GNU bug report logs - #39962
27.0.90; Crash in Emacs 27.0.90

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Pieter van Oostrum <pieter@HIDDEN>; Keywords: moreinfo; dated Fri, 6 Mar 2020 23:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 30 Apr 2022 12:38:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 08:38:32 2022
Received: from localhost ([127.0.0.1]:56091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nkmMq-0002CL-Ej
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2022 08:38:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nkmMp-0002C6-27
 for 39962 <at> debbugs.gnu.org; Sat, 30 Apr 2022 08:38:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=yeXeTP40CSxtkOm8zD7iknMjOyotCRkCbFh+6wGX9QE=; b=Hr4/Sw2DIAld1C/RSA2IBkW3et
 8Z5yfdaRS4mwJh8EznNpPQquzw5DtQIU1ZfDaXt8fbSJda9s5khheW+xYdS6xx0K9cydhwKi/oHff
 MWfPE7KhQ8HVGCDopCm3FCEr6CCWnxa9aSqcPNNJAPVMZ5uBguPIF9FAooKSIWKokU4U=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nkmMg-0007wW-9F; Sat, 30 Apr 2022 14:38:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Pieter van Oostrum <pieter@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
X-Now-Playing: New Order's _Technique_: "Vanishing point"
Date: Sat, 30 Apr 2022 14:38:18 +0200
In-Reply-To: <24162.58107.725366.668639@HIDDEN> (Pieter van
 Oostrum's message of "Sat, 7 Mar 2020 00:55:39 +0100")
Message-ID: <874k2a3fwl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Pieter van Oostrum <pieter@HIDDEN> writes: > I got
 a segmentation fault in Emacs. I read my email with VM > (Viewmail), and
 I had a few fairly large mailboxes open when Emacs > crashed. I had a few
 other cases where it crashed under similar > [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Pieter van Oostrum <pieter@HIDDEN> writes:

> I got a segmentation fault in Emacs. I read my email with VM
> (Viewmail), and I had a few fairly large mailboxes open when Emacs
> crashed. I had a few other cases where it crashed under similar
> circumstances, but other cases where it ran without problems.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Skimming this thread, it looked like the bug might have been due to
too-deep recursion in GC.  This was fixed recently in Emacs 29 -- the GC
no longer recurses (as much).

Do you still see this crash in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 23 Mar 2020 19:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 23 15:35:34 2020
Received: from localhost ([127.0.0.1]:53553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGSrF-0004vQ-Nt
	for submit <at> debbugs.gnu.org; Mon, 23 Mar 2020 15:35:34 -0400
Received: from mail-ot1-f52.google.com ([209.85.210.52]:39658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jGSrE-0004vD-4V
 for 39962 <at> debbugs.gnu.org; Mon, 23 Mar 2020 15:35:32 -0400
Received: by mail-ot1-f52.google.com with SMTP id x11so2591489otp.6
 for <39962 <at> debbugs.gnu.org>; Mon, 23 Mar 2020 12:35:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=5cFdtsZSyp2PC14JBUeElDjPzm3UO6OE2ekNdX7Ma7c=;
 b=p8iYctTia2y8V88GKggXq+kZ9k9CCtKx+d9jNWGB9KKn9Sj3pL36vpuh7hkS5HwFDT
 nJjZpMhh4wjVZ/CJyEnQRBOvpZ5j4Lu1mo2ix8NvHIAlOhnFSTxxDYXcQEKrFbVO7MMJ
 fpKz1Pebhcc/Ptas+l3s07n7x/DTsSd/d8Vxa4k1zg4I5TCNhLd/H68kSFl8HBn4Nwnb
 CoPMVT4eMrY7dCN63Qy+KqBD979B0XzmytlciaaC8kHGZHIW9qmxLYCqzAj7cqlVgAdh
 qXaFviMYiB4L6OrD/uFW6PghXUCxW/f6jEUB5sPtcM9tyBYBXpHHAwafWIai7TyKK+NY
 SaTg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=5cFdtsZSyp2PC14JBUeElDjPzm3UO6OE2ekNdX7Ma7c=;
 b=U/JydkZxYhpzEspg3MLZ4FhLO1edEU+lZvK3s+GBCbJgH7DJnM8yDxvh6pweXN6bjJ
 u10Ze3YWVChsA57LdkPg7vzgJmEK20uZZEaQwt06IlqCRCMlr9xGJa2bZAaBelW3ADIk
 vUGUjRogzVVrpHx4Aw5u31IUQdfCJ1VOL0zSnmkmWK5ZpkqKz8oHVoaQHNaUkns1+Nzp
 3T2riBVha/e8xas7sieGuxw4wBHzuNeEC92hH1W0/UJ4NMCjYgA0JVYl0UshMluPLdSa
 XCqK5dlGu0u8gs/6V7MPKDnpe5V4oqer4HFORVZhGhIFnyZDR0EcFGRGzwhjazIVDh7u
 mrjg==
X-Gm-Message-State: ANhLgQ2OpYN6Z54tEGAMLoDu/NzBuaXMkZT6w0V4/OYgSANDzaPLzVkX
 D1Qjg2EhO51BXq5LPGy9ix0PM4Ga+Q3MN02OxcA=
X-Google-Smtp-Source: ADFU+vvIXNIQJLxmYX7OoEDQ39ixTgZZ9Va9wGQ/92TRavBOJS1NtP9lzPxX6BmmQh1//yJlWnYmE0X8eVS3+shW/H8=
X-Received: by 2002:a05:6830:19ee:: with SMTP id
 t14mr20171440ott.287.1584992126413; 
 Mon, 23 Mar 2020 12:35:26 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lxmu8kos4k.fsf@HIDDEN> <83r1xv73ze.fsf@HIDDEN>
 <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN>
 <83imj5bdct.fsf@HIDDEN> <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 <lxeetrbc9e.fsf@HIDDEN>
 <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
 <lx7dzjatn9.fsf@HIDDEN>
 <CAOqdjBfLkgRSrpEck6sFBUtuSXp12PiWp2ewmR4nGL+F4G07Eg@HIDDEN>
 <lxtv2ma76t.fsf@HIDDEN> <83h7ylg0v6.fsf@HIDDEN>
 <lx1rpoa36l.fsf@HIDDEN>
 <CAOqdjBeeoiqVRP9b8+P-HTKhxGO6GWP=DwcVoNwR1K1ASNqMOQ@HIDDEN>
 <lxy2rt7693.fsf@HIDDEN>
 <CAOqdjBcx2ZvPgMW5Vber1tWctfeD8sY6TH6Sa0+NRp74GyHnPw@HIDDEN>
In-Reply-To: <CAOqdjBcx2ZvPgMW5Vber1tWctfeD8sY6TH6Sa0+NRp74GyHnPw@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Mon, 23 Mar 2020 19:34:50 +0000
Message-ID: <CAOqdjBdy6vam+6jy_tb49MZPR-qkpz7Do9wNUWeCGvmN+eKS4Q@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000aadab905a18abc48"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000aadab905a18abc48
Content-Type: text/plain; charset="UTF-8"

On Sun, Mar 22, 2020 at 3:48 PM Pip Cet <pipcet@HIDDEN> wrote:
> I've also added more checks for what's one potential erroneous code
> path: corruption of the red-black tree we use in conservative stack
> marking.

In fact I'd added too many checks, which didn't show up in my testing
because I had built things with the wrong configure options. Better
patch attached.

--000000000000aadab905a18abc48
Content-Type: text/x-patch; charset="US-ASCII"; name="0001-even-more-debugging.patch"
Content-Disposition: attachment; filename="0001-even-more-debugging.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k84vcv9v0>
X-Attachment-Id: f_k84vcv9v0

RnJvbSBkM2U3MDg1YTFmYTg1OGJmNDQ0YTFlYzhlYWVmM2QwOTk2ZDhhNDZmIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBQaXAgQ2V0IDxwaXBjZXRAZ21haWwuY29tPgpEYXRlOiBTdW4s
IDIyIE1hciAyMDIwIDE0OjU4OjA3ICswMDAwClN1YmplY3Q6IFtQQVRDSF0gZXZlbiBtb3JlIGRl
YnVnZ2luZwoKLS0tCiBzcmMvYWxsb2MuYyB8IDQwICsrKysrKysrKysrKysrKysrKysrKysrKysr
KysrKysrKystLS0tLS0KIHNyYy9saXNwLmggIHwgIDIgKy0KIDIgZmlsZXMgY2hhbmdlZCwgMzUg
aW5zZXJ0aW9ucygrKSwgNyBkZWxldGlvbnMoLSkKCmRpZmYgLS1naXQgYS9zcmMvYWxsb2MuYyBi
L3NyYy9hbGxvYy5jCmluZGV4IDFjNmI2NjRiMjIuLjAxOTExOTVkOGQgMTAwNjQ0Ci0tLSBhL3Ny
Yy9hbGxvYy5jCisrKyBiL3NyYy9hbGxvYy5jCkBAIC0yMzQsNyArMjM0LDcgQEAgI2RlZmluZSBH
Q19ERUZBVUxUX1RIUkVTSE9MRCAoMTAwMDAwICogd29yZF9zaXplKQogCiAvKiBUcnVlIGR1cmlu
ZyBHQy4gICovCiAKLWJvb2wgZ2NfaW5fcHJvZ3Jlc3M7Cit2b2xhdGlsZSBib29sIGdjX2luX3By
b2dyZXNzOwogCiAvKiBTeXN0ZW0gYnl0ZSBhbmQgb2JqZWN0IGNvdW50cyByZXBvcnRlZCBieSBH
Qy4gICovCiAKQEAgLTcxMSw2ICs3MTEsOCBAQCB4bWFsbG9jIChzaXplX3Qgc2l6ZSkKICAgaWYg
KCF2YWwgJiYgc2l6ZSkKICAgICBtZW1vcnlfZnVsbCAoc2l6ZSk7CiAgIE1BTExPQ19QUk9CRSAo
c2l6ZSk7CisgIGlmICh2YWwpCisgICAgbWVtc2V0ICh2YWwsIDB4YWEsIHNpemUpOwogICByZXR1
cm4gdmFsOwogfQogCkBAIC05NzAsNyArOTcyLDEyIEBAIGxpc3BfbWFsbG9jIChzaXplX3QgbmJ5
dGVzLCBlbnVtIG1lbV90eXBlIHR5cGUpCiAKICNpZm5kZWYgR0NfTUFMTE9DX0NIRUNLCiAgIGlm
ICh2YWwgJiYgdHlwZSAhPSBNRU1fVFlQRV9OT05fTElTUCkKLSAgICBtZW1faW5zZXJ0ICh2YWws
IChjaGFyICopIHZhbCArIG5ieXRlcywgdHlwZSk7CisgICAgeworICAgICAgZWFzc2VydCAoIWdj
X2luX3Byb2dyZXNzKTsKKyAgICAgIGdjX2luX3Byb2dyZXNzID0gdHJ1ZTsKKyAgICAgIG1lbV9p
bnNlcnQgKHZhbCwgKGNoYXIgKikgdmFsICsgbmJ5dGVzLCB0eXBlKTsKKyAgICAgIGdjX2luX3By
b2dyZXNzID0gZmFsc2U7CisgICAgfQogI2VuZGlmCiAKICAgTUFMTE9DX1VOQkxPQ0tfSU5QVVQ7
CkBAIC0xMjA2LDcgKzEyMTMsMTIgQEAgbGlzcF9hbGlnbl9tYWxsb2MgKHNpemVfdCBuYnl0ZXMs
IGVudW0gbWVtX3R5cGUgdHlwZSkKIAogI2lmbmRlZiBHQ19NQUxMT0NfQ0hFQ0sKICAgaWYgKHR5
cGUgIT0gTUVNX1RZUEVfTk9OX0xJU1ApCi0gICAgbWVtX2luc2VydCAodmFsLCAoY2hhciAqKSB2
YWwgKyBuYnl0ZXMsIHR5cGUpOworICAgIHsKKyAgICAgIGVhc3NlcnQgKCFnY19pbl9wcm9ncmVz
cyk7CisgICAgICBnY19pbl9wcm9ncmVzcyA9IHRydWU7CisgICAgICBtZW1faW5zZXJ0ICh2YWws
IChjaGFyICopIHZhbCArIG5ieXRlcywgdHlwZSk7CisgICAgICBnY19pbl9wcm9ncmVzcyA9IGZh
bHNlOworICAgIH0KICNlbmRpZgogCiAgIE1BTExPQ19VTkJMT0NLX0lOUFVUOwpAQCAtMTMwMSw3
ICsxMzEzLDEwIEBAIGxtYWxsb2MgKHNpemVfdCBzaXplKQogICAgIHsKICAgICAgIHZvaWQgKnAg
PSBtYWxsb2MgKHNpemUpOwogICAgICAgaWYgKGxhbGlnbmVkIChwLCBzaXplKSkKLQlyZXR1cm4g
cDsKKwl7CisJICBtZW1zZXQgKHAsIDB4NWEsIHNpemUpOworCSAgcmV0dXJuIHA7CisJfQogICAg
ICAgZnJlZSAocCk7CiAgICAgICBzaXplX3QgYmlnZ2VyID0gc2l6ZSArIExJU1BfQUxJR05NRU5U
OwogICAgICAgaWYgKHNpemUgPCBiaWdnZXIpCkBAIC0yODQyLDYgKzI4NTcsNyBAQCBzZXR1cF9v
bl9mcmVlX2xpc3QgKHN0cnVjdCBMaXNwX1ZlY3RvciAqdiwgcHRyZGlmZl90IG5ieXRlcykKICAg
ZWFzc3VtZSAoaGVhZGVyX3NpemUgPD0gbmJ5dGVzKTsKICAgcHRyZGlmZl90IG53b3JkcyA9IChu
Ynl0ZXMgLSBoZWFkZXJfc2l6ZSkgLyB3b3JkX3NpemU7CiAgIFhTRVRQVkVDVFlQRVNJWkUgKHYs
IFBWRUNfRlJFRSwgMCwgbndvcmRzKTsKKyAgbWVtc2V0ICh2LT5jb250ZW50cywgMHhhNSwgbmJ5
dGVzIC0gaGVhZGVyX3NpemUpOwogICBlYXNzZXJ0IChuYnl0ZXMgJSByb3VuZHVwX3NpemUgPT0g
MCk7CiAgIHB0cmRpZmZfdCB2aW5kZXggPSBWSU5ERVggKG5ieXRlcyk7CiAgIGVhc3NlcnQgKHZp
bmRleCA8IFZFQ1RPUl9NQVhfRlJFRV9MSVNUX0lOREVYKTsKQEAgLTI4NTcsOCArMjg3MywxMyBA
QCBhbGxvY2F0ZV92ZWN0b3JfYmxvY2sgKHZvaWQpCiAgIHN0cnVjdCB2ZWN0b3JfYmxvY2sgKmJs
b2NrID0geG1hbGxvYyAoc2l6ZW9mICpibG9jayk7CiAKICNpZm5kZWYgR0NfTUFMTE9DX0NIRUNL
Ci0gIG1lbV9pbnNlcnQgKGJsb2NrLT5kYXRhLCBibG9jay0+ZGF0YSArIFZFQ1RPUl9CTE9DS19C
WVRFUywKLQkgICAgICBNRU1fVFlQRV9WRUNUT1JfQkxPQ0spOworICB7CisgICAgZWFzc2VydCAo
IWdjX2luX3Byb2dyZXNzKTsKKyAgICBnY19pbl9wcm9ncmVzcyA9IHRydWU7CisgICAgbWVtX2lu
c2VydCAoYmxvY2stPmRhdGEsIGJsb2NrLT5kYXRhICsgVkVDVE9SX0JMT0NLX0JZVEVTLAorCQlN
RU1fVFlQRV9WRUNUT1JfQkxPQ0spOworICAgIGdjX2luX3Byb2dyZXNzID0gZmFsc2U7CisgIH0K
ICNlbmRpZgogCiAgIGJsb2NrLT5uZXh0ID0gdmVjdG9yX2Jsb2NrczsKQEAgLTMwOTQsNiArMzEx
NSw3IEBAIHN3ZWVwX3ZlY3RvcnMgKHZvaWQpCiAjaWZuZGVmIEdDX01BTExPQ19DSEVDSwogCSAg
bWVtX2RlbGV0ZSAobWVtX2ZpbmQgKGJsb2NrLT5kYXRhKSk7CiAjZW5kaWYKKwkgIG1lbXNldCAo
YmxvY2ssIDB4NTUsIFZFQ1RPUl9CTE9DS19CWVRFUyk7CiAJICB4ZnJlZSAoYmxvY2spOwogCX0K
ICAgICAgIGVsc2UKQEAgLTMxMzksNiArMzE2MSw4IEBAICNkZWZpbmUgVkVDVE9SX0VMVFNfTUFY
IFwKIHN0YXRpYyBzdHJ1Y3QgTGlzcF9WZWN0b3IgKgogYWxsb2NhdGVfdmVjdG9ybGlrZSAocHRy
ZGlmZl90IGxlbikKIHsKKyAgc3RydWN0IHRpbWVzcGVjIHRzID0gbWFrZV90aW1lc3BlYyAoMCwg
MTAwMDAwKTsKKyAgbmFub3NsZWVwICgmdHMsIE5VTEwpOwogICBlYXNzZXJ0ICgwIDwgbGVuICYm
IGxlbiA8PSBWRUNUT1JfRUxUU19NQVgpOwogICBwdHJkaWZmX3QgbmJ5dGVzID0gaGVhZGVyX3Np
emUgKyBsZW4gKiB3b3JkX3NpemU7CiAgIHN0cnVjdCBMaXNwX1ZlY3RvciAqcDsKQEAgLTU4Njgs
NiArNTg5Miw4IEBAIGdhcmJhZ2VfY29sbGVjdCAodm9pZCkKICAgaWYgKGdhcmJhZ2VfY29sbGVj
dGlvbl9pbmhpYml0ZWQpCiAgICAgcmV0dXJuOwogCisgIGVhc3NlcnQgKCFnY19pbl9wcm9ncmVz
cyk7CisKICAgLyogUmVjb3JkIHRoaXMgZnVuY3Rpb24sIHNvIGl0IGFwcGVhcnMgb24gdGhlIHBy
b2ZpbGVyJ3MgYmFja3RyYWNlcy4gICovCiAgIHJlY29yZF9pbl9iYWNrdHJhY2UgKFFBdXRvbWF0
aWNfR0MsIDAsIDApOwogCkBAIC01OTM0LDYgKzU5NjAsOCBAQCBnYXJiYWdlX2NvbGxlY3QgKHZv
aWQpCiAgIHNocmlua19yZWdleHBfY2FjaGUgKCk7CiAKICAgZ2NfaW5fcHJvZ3Jlc3MgPSAxOwor
ICBzdHJ1Y3QgdGltZXNwZWMgdHMgPSBtYWtlX3RpbWVzcGVjICgwLCAxMDAwMDApOworICBuYW5v
c2xlZXAgKCZ0cywgTlVMTCk7CiAKICAgLyogTWFyayBhbGwgdGhlIHNwZWNpYWwgc2xvdHMgdGhh
dCBzZXJ2ZSBhcyB0aGUgcm9vdHMgb2YgYWNjZXNzaWJpbGl0eS4gICovCiAKZGlmZiAtLWdpdCBh
L3NyYy9saXNwLmggYi9zcmMvbGlzcC5oCmluZGV4IDg2NzRmZTExYTYuLjRjOTQwODUxNzAgMTAw
NjQ0Ci0tLSBhL3NyYy9saXNwLmgKKysrIGIvc3JjL2xpc3AuaApAQCAtNDAwNiw3ICs0MDA2LDcg
QEAgI2RlZmluZSBBTExPQ0FURV9aRVJPRURfUFNFVURPVkVDVE9SKHR5cGUsIGZpZWxkLCB0YWcp
CQkgICAgICAgXAogCQkJCSAgIFBTRVVET1ZFQ1NJWkUgKHR5cGUsIGZpZWxkKSwJICAgICAgIFwK
IAkJCQkgICBWRUNTSVpFICh0eXBlKSwgdGFnKSkKIAotZXh0ZXJuIGJvb2wgZ2NfaW5fcHJvZ3Jl
c3M7CitleHRlcm4gdm9sYXRpbGUgYm9vbCBnY19pbl9wcm9ncmVzczsKIGV4dGVybiBMaXNwX09i
amVjdCBtYWtlX2Zsb2F0IChkb3VibGUpOwogZXh0ZXJuIHZvaWQgZGlzcGxheV9tYWxsb2Nfd2Fy
bmluZyAodm9pZCk7CiBleHRlcm4gcHRyZGlmZl90IGluaGliaXRfZ2FyYmFnZV9jb2xsZWN0aW9u
ICh2b2lkKTsKLS0gCjIuMjYuMC5yYzIKCg==
--000000000000aadab905a18abc48--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 22 Mar 2020 15:49:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 22 11:49:25 2020
Received: from localhost ([127.0.0.1]:50847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jG2qr-0004sW-Ih
	for submit <at> debbugs.gnu.org; Sun, 22 Mar 2020 11:49:25 -0400
Received: from mail-oi1-f178.google.com ([209.85.167.178]:43905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jG2qp-0004sE-QT
 for 39962 <at> debbugs.gnu.org; Sun, 22 Mar 2020 11:49:24 -0400
Received: by mail-oi1-f178.google.com with SMTP id p125so12119639oif.10
 for <39962 <at> debbugs.gnu.org>; Sun, 22 Mar 2020 08:49:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=12d6Qx89naff4RYi0n6WGoOGaeTNPsLhfRqU2JTx/0c=;
 b=m3H+tzXBr+8oFiAO88LLwTUupR/32DxwFfvRqShBcLjC/VLZxNayeTrmdWKZyGB0qF
 iiUP9d7xOPTS7Nm22uQGmOjvSCZBt4Bh4yMBN6uPseiOMtP1o/mu3RmP7BvW5QRneLN6
 xJ/Qv5MuNlJhAgHgbmNv2vmDcPgbPiVzLpBYt444PaDJibiR6IDCfa4i1hOlRf7K8FQO
 B0iIMeakdyKRFrMqvjwKK3FAswNve56Nb2CQUnSmPPoUEBm9v1ed7BWOsDTxp3jgbv4u
 /eRYPQiCB4dSzhKBHs5pJJLhMT163/g0c66kb3h9OV75IngcscGBmVwODNLPtNcTnp20
 5wCw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=12d6Qx89naff4RYi0n6WGoOGaeTNPsLhfRqU2JTx/0c=;
 b=sEtB39xSnc7/Nu5BSoltu5j8DiDbdQujyvfr2OeAvLfggVEqS2AC1TTHuJjSA8OZCZ
 itc6Ex7iaCEcLJ3CP/fyjQzjEMJZ1J1fQkt1t4xJjOKTr3QSuXv3JkVMcaMu2FpS9FDS
 MR9dyUYAar6gObSZ/nRyVtYh2usjiwYivOnkhvRXbkP1xtuQngFvOmmLFo4cRPpcUXhJ
 3Eaa2nswoGJ7ovzlPQwmks2lkolOtmHJViA2HtqC/3sDYXdgaXK4V+P6/PzUyH5G9eB0
 qa156KAdTT+FNOOmTWT3j1EHBx6Aa0r9b+xZioty4abYn39Ro+hsulyy2O35/woJiWVm
 mlSQ==
X-Gm-Message-State: ANhLgQ2dHevKVhxz6Nh6kxaZGJy0mgqum+ZQJEUlYGH3G9s3P0zVH1pO
 /4318NpzXS3VNYpleosUCq4CV2Akfn3wQzjx4p4=
X-Google-Smtp-Source: ADFU+vu4X8eUaxsxty4YP3Cp4toxESOkhSOVJqZIL8VC6RZHco01ZmEFhQs8tlxSQ+W/SAa43PZ1aCHOE1p6D5KnObw=
X-Received: by 2002:aca:3255:: with SMTP id y82mr14475220oiy.44.1584892158199; 
 Sun, 22 Mar 2020 08:49:18 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lxmu8kos4k.fsf@HIDDEN> <83r1xv73ze.fsf@HIDDEN>
 <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN>
 <83imj5bdct.fsf@HIDDEN> <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 <lxeetrbc9e.fsf@HIDDEN>
 <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
 <lx7dzjatn9.fsf@HIDDEN>
 <CAOqdjBfLkgRSrpEck6sFBUtuSXp12PiWp2ewmR4nGL+F4G07Eg@HIDDEN>
 <lxtv2ma76t.fsf@HIDDEN> <83h7ylg0v6.fsf@HIDDEN>
 <lx1rpoa36l.fsf@HIDDEN>
 <CAOqdjBeeoiqVRP9b8+P-HTKhxGO6GWP=DwcVoNwR1K1ASNqMOQ@HIDDEN>
 <lxy2rt7693.fsf@HIDDEN>
In-Reply-To: <lxy2rt7693.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sun, 22 Mar 2020 15:48:42 +0000
Message-ID: <CAOqdjBcx2ZvPgMW5Vber1tWctfeD8sY6TH6Sa0+NRp74GyHnPw@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000019386f05a173761c"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000019386f05a173761c
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

On Sat, Mar 21, 2020 at 9:22 PM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> Pip Cet <pipcet@HIDDEN> writes:
> > On Thu, Mar 19, 2020 at 1:23 PM Pieter van Oostrum
> > <pieter-l@HIDDEN> wrote:
> > If you have the time, could you install the patch, start Emacs the
> > same way you did to produce your original crash, and do similar things
> > you did that time? If we're lucky, we'll be getting an assert failure
> > rather than mere corruption.
> >
> With that patch (the latest 0001-more-debugging.patch) Emacs gets extreme=
ly slow (about 10 times slower that normal). Also, while it is processing, =
it becomes completely unresponsive: the cursor becomes an spinning beach ba=
ll, it won't even resize the windows, or react to C-g.

That's okay, that's the extra delays to increase the race condition.
I've reduced them by an order of magnitude in this patch.

I've also added more checks for what's one potential erroneous code
path: corruption of the red-black tree we use in conservative stack
marking.

--00000000000019386f05a173761c
Content-Type: text/x-patch; charset="US-ASCII"; name="0001-even-more-debugging.patch"
Content-Disposition: attachment; filename="0001-even-more-debugging.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k837ucln0>
X-Attachment-Id: f_k837ucln0
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--00000000000019386f05a173761c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 22 Mar 2020 14:21:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 22 10:21:06 2020
Received: from localhost ([127.0.0.1]:50801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jG1TO-00009d-8L
	for submit <at> debbugs.gnu.org; Sun, 22 Mar 2020 10:21:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44095)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jG1TL-00008h-8Y
 for 39962 <at> debbugs.gnu.org; Sun, 22 Mar 2020 10:21:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34342)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jG1TF-0006pZ-IH; Sun, 22 Mar 2020 10:20:57 -0400
Received: from [176.228.60.248] (port=3916 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jG1TE-0000kp-P5; Sun, 22 Mar 2020 10:20:57 -0400
Date: Sun, 22 Mar 2020 16:21:00 +0200
Message-Id: <83o8socvxv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-Reply-To: <lxy2rt7693.fsf@HIDDEN> (message from Pieter
 van Oostrum on Sat, 21 Mar 2020 22:22:32 +0100)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lxmu8kos4k.fsf@HIDDEN> <83r1xv73ze.fsf@HIDDEN>
 <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 <lxeetrbc9e.fsf@HIDDEN>
 <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
 <lx7dzjatn9.fsf@HIDDEN>
 <CAOqdjBfLkgRSrpEck6sFBUtuSXp12PiWp2ewmR4nGL+F4G07Eg@HIDDEN>
 <lxtv2ma76t.fsf@HIDDEN> <83h7ylg0v6.fsf@HIDDEN>
 <lx1rpoa36l.fsf@HIDDEN>
 <CAOqdjBeeoiqVRP9b8+P-HTKhxGO6GWP=DwcVoNwR1K1ASNqMOQ@HIDDEN>
 <lxy2rt7693.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  39962 <at> debbugs.gnu.org,  eggert@HIDDEN
> Date: Sat, 21 Mar 2020 22:22:32 +0100
> 
> I got the old Marker corruption back.
> 
> 
> insdel.c:295: Emacs fatal error: assertion failed: m->bytepos >= m->charpos && m->bytepos - m->charpos <= Z_BYTE - Z
> 
> Thread 3 hit Breakpoint 1, terminate_due_to_signal (sig=6, 
> --Type <RET> for more, q to quit, c to continue without paging--
>     backtrace_limit=2147483647) at emacs.c:371
> 371	  signal (sig, SIG_DFL);
> (gdb) bt
> #0  terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:371
> #1  0x00000001002a4a1b in die (
>     msg=0x10050ff60 "m->bytepos >= m->charpos && m->bytepos - m->charpos <= Z_BYTE - Z", file=0x10050fde3 "insdel.c", line=295) at alloc.c:7264
> #2  0x0000000100233a24 in adjust_markers_for_insert (from=529592, 
>     from_byte=529598, to=529594, to_byte=529600, before_markers=false)
>     at insdel.c:294

Can you show the offending data that failed the assertion?

Also, would it be possible for you to look into the related data, as I
suggested several messages ago, and show what you find?  It might give
us some ideas for further debugging.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 21 Mar 2020 21:22:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 17:22:42 2020
Received: from localhost ([127.0.0.1]:48291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFlZq-0006tg-2m
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 17:22:42 -0400
Received: from smarthost-b.hosting2go.nl ([185.135.240.51]:49819)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jFlZn-0006tP-Qk
 for 39962 <at> debbugs.gnu.org; Sat, 21 Mar 2020 17:22:40 -0400
X-ASG-Debug-ID: 1584825753-0a9db454e6114080001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id OQxLZCKM0nTqamCu
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Sat, 21 Mar 2020 22:22:33 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 29526 invoked from network); 21 Mar 2020 21:22:33 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 21 Mar 2020 21:22:33 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 0628EAC0453A;
 Sat, 21 Mar 2020 22:22:32 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lxmu8kos4k.fsf@HIDDEN> <83r1xv73ze.fsf@HIDDEN>
 <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 <lxeetrbc9e.fsf@HIDDEN>
 <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
 <lx7dzjatn9.fsf@HIDDEN>
 <CAOqdjBfLkgRSrpEck6sFBUtuSXp12PiWp2ewmR4nGL+F4G07Eg@HIDDEN>
 <lxtv2ma76t.fsf@HIDDEN> <83h7ylg0v6.fsf@HIDDEN>
 <lx1rpoa36l.fsf@HIDDEN>
 <CAOqdjBeeoiqVRP9b8+P-HTKhxGO6GWP=DwcVoNwR1K1ASNqMOQ@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Sat, 21 Mar 2020 22:22:32 +0100
In-Reply-To: <CAOqdjBeeoiqVRP9b8+P-HTKhxGO6GWP=DwcVoNwR1K1ASNqMOQ@HIDDEN>
 (Pip Cet's message of "Thu, 19 Mar 2020 13:57:54 +0000")
Message-ID: <lxy2rt7693.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584825753
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://185.135.240.51:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 12730
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.50
X-Barracuda-Spam-Status: No, SCORE=0.50 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_RULE7568M,
 BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80756
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
 0.50 BSF_RULE7568M          Custom Rule 7568M
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> On Thu, Mar 19, 2020 at 1:23 PM Pieter van Oostrum
> <pieter-l@HIDDEN> wrote:
>> (gdb) p ((Lisp_Object) {(Lisp_Word) (0xd4269c0)})
>> $5 = XIL(0xd4269c0)
>> (gdb) xsymbol
>> $6 = (struct Lisp_Symbol *) 0x10de5f6d0
>> "<v>"
>
> Okay, so that symbol is valid.
>
> I think it's not a coincidence this crash happens during
> keyboard/mouse input. I'm attaching a patch which increases the window
> for the race condition that I think is happening. It slows down Emacs
> significantly, but it should still be almost usable.
>
> If you have the time, could you install the patch, start Emacs the
> same way you did to produce your original crash, and do similar things
> you did that time? If we're lucky, we'll be getting an assert failure
> rather than mere corruption.
>
With that patch (the latest 0001-more-debugging.patch) Emacs gets extremely slow (about 10 times slower that normal). Also, while it is processing, it becomes completely unresponsive: the cursor becomes an spinning beach ball, it won't even resize the windows, or react to C-g.

I got the old Marker corruption back.


insdel.c:295: Emacs fatal error: assertion failed: m->bytepos >= m->charpos && m->bytepos - m->charpos <= Z_BYTE - Z

Thread 3 hit Breakpoint 1, terminate_due_to_signal (sig=6, 
--Type <RET> for more, q to quit, c to continue without paging--
    backtrace_limit=2147483647) at emacs.c:371
371	  signal (sig, SIG_DFL);
(gdb) bt
#0  terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:371
#1  0x00000001002a4a1b in die (
    msg=0x10050ff60 "m->bytepos >= m->charpos && m->bytepos - m->charpos <= Z_BYTE - Z", file=0x10050fde3 "insdel.c", line=295) at alloc.c:7264
#2  0x0000000100233a24 in adjust_markers_for_insert (from=529592, 
    from_byte=529598, to=529594, to_byte=529600, before_markers=false)
    at insdel.c:294
#3  0x0000000100234400 in insert_from_string_1 (string=XIL(0x11542c474), 
    pos=0, pos_byte=0, nchars=2, nbytes=2, inherit=false, before_markers=false)
    at insdel.c:1060
#4  0x0000000100233d48 in insert_from_string (string=XIL(0x11542c474), pos=0, 
    pos_byte=0, length=2, length_byte=2, inherit=false) at insdel.c:967
#5  0x00000001002ec552 in general_insert_function (
    insert_func=0x100231fe0 <insert>, 
    insert_from_string_func=0x100233cb0 <insert_from_string>, inherit=false, 
    nargs=1, args=0x7ffeefbed388) at editfns.c:1334
#6  0x00000001002ec26b in Finsert (nargs=1, args=0x7ffeefbed388)
    at editfns.c:1370
#7  0x00000001003a7dd3 in exec_byte_code (bytestr=XIL(0x10d1be5f4), 
    vector=XIL(0x10dba5245), maxdepth=make_fixnum(6), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:1075
#8  0x00000001003174b6 in funcall_lambda (fun=XIL(0x10dcbd9c5), nargs=1, 
    arg_vector=0x7ffeefbee520) at eval.c:3067
#9  0x0000000100314c7e in Ffuncall (nargs=2, args=0x7ffeefbee518)
    at eval.c:2796
#10 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10d415114), 
    vector=XIL(0x10dc9b965), maxdepth=make_fixnum(3), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:633
#11 0x00000001003174b6 in funcall_lambda (fun=XIL(0x10dc9b9b5), nargs=0, 
    arg_vector=0x7ffeefbef4f0) at eval.c:3067
#12 0x0000000100314c7e in Ffuncall (nargs=1, args=0x7ffeefbef4e8)
    at eval.c:2796
#13 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10b8d2fc4), 
    vector=XIL(0x104c8b925), maxdepth=make_fixnum(4), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:633
#14 0x00000001003174b6 in funcall_lambda (fun=XIL(0x104c8b9c5), nargs=1, 
    arg_vector=0x7ffeefbf04f0) at eval.c:3067
#15 0x0000000100314c7e in Ffuncall (nargs=2, args=0x7ffeefbf04e8)
    at eval.c:2796
#16 0x0000000100315d34 in call1 (fn=XIL(0x104c8b9c5), arg1=XIL(0x1e229380))
    at eval.c:2654
#17 0x000000010037aaed in mapatoms_1 (sym=XIL(0x1e229380), 
    function=XIL(0x104c8b9c5)) at lread.c:4380
#18 0x000000010037a98e in map_obarray (obarray=XIL(0x10e267435), 
    fn=0x10037aad0 <mapatoms_1>, arg=XIL(0x104c8b9c5)) at lread.c:4369
#19 0x000000010037aab1 in Fmapatoms (function=XIL(0x104c8b9c5), 
    obarray=XIL(0x10e267435)) at lread.c:4391
--Type <RET> for more, q to quit, c to continue without paging--
#20 0x000000010031664c in funcall_subr (subr=0x10055b588, numargs=2, 
    args=0x7ffeefbf0840) at eval.c:2869
#21 0x0000000100314c2e in Ffuncall (nargs=3, args=0x7ffeefbf0838)
    at eval.c:2794
#22 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10b8d2f84), 
    vector=XIL(0x104c8b9f5), maxdepth=make_fixnum(6), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:633
#23 0x00000001003174b6 in funcall_lambda (fun=XIL(0x104c8bae5), nargs=0, 
    arg_vector=0x7ffeefbf1860) at eval.c:3067
#24 0x0000000100314c7e in Ffuncall (nargs=1, args=0x7ffeefbf1858)
    at eval.c:2796
#25 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10b8c51d4), 
    vector=XIL(0x104ca2dd5), maxdepth=make_fixnum(6), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:633
#26 0x00000001003174b6 in funcall_lambda (fun=XIL(0x104ca3075), nargs=1, 
    arg_vector=0x7ffeefbf29e0) at eval.c:3067
#27 0x0000000100314c7e in Ffuncall (nargs=2, args=0x7ffeefbf29d8)
    at eval.c:2796
#28 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10b8dbb14), 
    vector=XIL(0x1057428e5), maxdepth=make_fixnum(3), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:633
#29 0x00000001003174b6 in funcall_lambda (fun=XIL(0x105742965), nargs=1, 
    arg_vector=0x7ffeefbf3d40) at eval.c:3067
#30 0x0000000100314c7e in Ffuncall (nargs=2, args=0x7ffeefbf3d38)
    at eval.c:2796
#31 0x0000000100311165 in Fapply (nargs=3, args=0x7ffeefbf3d38) at eval.c:2377
#32 0x0000000100316506 in funcall_subr (subr=0x100559368, numargs=3, 
    args=0x7ffeefbf3d38) at eval.c:2847
#33 0x0000000100314c2e in Ffuncall (nargs=4, args=0x7ffeefbf3d30)
    at eval.c:2794
#34 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10612797c), 
    vector=XIL(0x105742635), maxdepth=make_fixnum(5), 
    args_template=make_fixnum(128), nargs=0, args=0x7ffeefbf4ce0)
    at bytecode.c:633
#35 0x0000000100316d15 in funcall_lambda (fun=XIL(0x105742665), nargs=0, 
    arg_vector=0x7ffeefbf4ce0) at eval.c:2989
#36 0x0000000100314c7e in Ffuncall (nargs=1, args=0x7ffeefbf4cd8)
    at eval.c:2796
#37 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10b8d46d4), 
    vector=XIL(0x10570e495), maxdepth=make_fixnum(7), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:633
#38 0x00000001003174b6 in funcall_lambda (fun=XIL(0x10570e665), nargs=0, 
    arg_vector=0x7ffeefbf5dd0) at eval.c:3067
#39 0x0000000100314c7e in Ffuncall (nargs=1, args=0x7ffeefbf5dc8)
    at eval.c:2796
#40 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10d106884), 
    vector=XIL(0x104c9d3d5), maxdepth=make_fixnum(7), args_template=XIL(0), 
--Type <RET> for more, q to quit, c to continue without paging--
    nargs=0, args=0x0) at bytecode.c:633
#41 0x00000001003174b6 in funcall_lambda (fun=XIL(0x104c9d665), nargs=0, 
    arg_vector=0x7ffeefbf6fc0) at eval.c:3067
#42 0x0000000100314c7e in Ffuncall (nargs=1, args=0x7ffeefbf6fb8)
    at eval.c:2796
#43 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10450fb84), 
    vector=XIL(0x104c9fc35), maxdepth=make_fixnum(2), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:633
#44 0x00000001003174b6 in funcall_lambda (fun=XIL(0x104c9fc95), nargs=1, 
    arg_vector=0x7ffeefbf8310) at eval.c:3067
#45 0x0000000100314c7e in Ffuncall (nargs=2, args=0x7ffeefbf8308)
    at eval.c:2796
#46 0x0000000100311165 in Fapply (nargs=3, args=0x7ffeefbf8308) at eval.c:2377
#47 0x0000000100316506 in funcall_subr (subr=0x100559368, numargs=3, 
    args=0x7ffeefbf8308) at eval.c:2847
#48 0x0000000100314c2e in Ffuncall (nargs=4, args=0x7ffeefbf8300)
    at eval.c:2794
#49 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10612797c), 
    vector=XIL(0x104c9f995), maxdepth=make_fixnum(5), 
    args_template=make_fixnum(128), nargs=0, args=0x7ffeefbf92b0)
    at bytecode.c:633
#50 0x0000000100316d15 in funcall_lambda (fun=XIL(0x104c9f9c5), nargs=0, 
    arg_vector=0x7ffeefbf92b0) at eval.c:2989
#51 0x0000000100314c7e in Ffuncall (nargs=1, args=0x7ffeefbf92a8)
    at eval.c:2796
#52 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10d1018c4), 
    vector=XIL(0x1056f6405), maxdepth=make_fixnum(9), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:633
#53 0x00000001003174b6 in funcall_lambda (fun=XIL(0x104ca02a5), nargs=1, 
    arg_vector=0x7ffeefbfa4c0) at eval.c:3067
#54 0x0000000100314c7e in Ffuncall (nargs=2, args=0x7ffeefbfa4b8)
    at eval.c:2796
#55 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10d107ee4), 
    vector=XIL(0x104cb0ac5), maxdepth=make_fixnum(2), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:633
#56 0x00000001003174b6 in funcall_lambda (fun=XIL(0x104cb0b25), nargs=2, 
    arg_vector=0x7ffeefbfb810) at eval.c:3067
#57 0x0000000100314c7e in Ffuncall (nargs=3, args=0x7ffeefbfb808)
    at eval.c:2796
#58 0x00000001003111f8 in Fapply (nargs=3, args=0x7ffeefbfb808) at eval.c:2381
#59 0x0000000100316506 in funcall_subr (subr=0x100559368, numargs=3, 
    args=0x7ffeefbfb808) at eval.c:2847
#60 0x0000000100314c2e in Ffuncall (nargs=4, args=0x7ffeefbfb800)
    at eval.c:2794
#61 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10612797c), 
    vector=XIL(0x104cb08b5), maxdepth=make_fixnum(5), 
    args_template=make_fixnum(128), nargs=1, args=0x7ffeefbfca50)
--Type <RET> for more, q to quit, c to continue without paging--
    at bytecode.c:633
#62 0x0000000100316d15 in funcall_lambda (fun=XIL(0x104cb08e5), nargs=1, 
    arg_vector=0x7ffeefbfca50) at eval.c:2989
#63 0x0000000100314c7e in Ffuncall (nargs=2, args=0x7ffeefbfca48)
    at eval.c:2796
#64 0x00000001002fda4a in Ffuncall_interactively (nargs=2, args=0x7ffeefbfca48)
    at callint.c:254
#65 0x0000000100316506 in funcall_subr (subr=0x100558d98, numargs=2, 
    args=0x7ffeefbfca48) at eval.c:2847
#66 0x0000000100314c2e in Ffuncall (nargs=3, args=0x7ffeefbfca40)
    at eval.c:2794
#67 0x00000001003012f4 in Fcall_interactively (function=XIL(0x4c867c0), 
    record_flag=XIL(0), keys=XIL(0x15a8034f5)) at callint.c:783
#68 0x0000000100316682 in funcall_subr (subr=0x100558d68, numargs=3, 
    args=0x7ffeefbfd9c0) at eval.c:2872
#69 0x0000000100314c2e in Ffuncall (nargs=4, args=0x7ffeefbfd9b8)
    at eval.c:2794
#70 0x00000001003a525f in exec_byte_code (bytestr=XIL(0x10623df8c), 
    vector=XIL(0x10623dadd), maxdepth=make_fixnum(13), 
    args_template=make_fixnum(1025), nargs=1, args=0x7ffeefbfea28)
    at bytecode.c:633
#71 0x0000000100316d15 in funcall_lambda (fun=XIL(0x10623daad), nargs=1, 
    arg_vector=0x7ffeefbfea20) at eval.c:2989
#72 0x0000000100314c7e in Ffuncall (nargs=2, args=0x7ffeefbfea18)
    at eval.c:2796
#73 0x0000000100315d34 in call1 (fn=XIL(0x3960), arg1=XIL(0x4c867c0))
    at eval.c:2654
#74 0x00000001001c74f0 in command_loop_1 () at keyboard.c:1463
#75 0x000000010030d63f in internal_condition_case (
    bfun=0x1001c6790 <command_loop_1>, handlers=XIL(0x90), 
    hfun=0x1001e9e50 <cmd_error>) at eval.c:1355
#76 0x00000001001e9d31 in command_loop_2 (ignore=XIL(0)) at keyboard.c:1091
#77 0x000000010030c778 in internal_catch (tag=XIL(0xc450), 
    func=0x1001e9d00 <command_loop_2>, arg=XIL(0)) at eval.c:1116
#78 0x00000001001c5805 in command_loop () at keyboard.c:1070
#79 0x00000001001c55d7 in recursive_edit_1 () at keyboard.c:714
#80 0x00000001001c5a86 in Frecursive_edit () at keyboard.c:786
#81 0x00000001001c25ee in main (argc=1, argv=0x7ffeefbff660) at emacs.c:2054
[New Thread 0x240f of process 5346]

Lisp Backtrace:
"vm-set-summary-pointer" (0xefbee520)
"vm-do-needed-summary-rebuild" (0xefbef4f0)
0x4c8b9c0 PVEC_COMPILED
"mapatoms" (0xefbf0840)
"vm-update-summary-and-mode-line" (0xefbf1860)
0x4ca3070 PVEC_COMPILED
--Type <RET> for more, q to quit, c to continue without paging--
"ad-Advice-vm-decode-mime-message" (0xefbf3d40)
"apply" (0xefbf3d38)
"vm-decode-mime-message" (0xefbf4ce0)
"vm-show-current-message" (0xefbf5dd0)
0x4c9d660 PVEC_COMPILED
"ad-Advice-vm-present-current-message" (0xefbf8310)
"apply" (0xefbf8308)
"vm-present-current-message" (0xefbf92b0)
0x4ca02a0 PVEC_COMPILED
"ad-Advice-vm-scroll-forward" (0xefbfb810)
"apply" (0xefbfb808)
"vm-scroll-forward" (0xefbfca50)
"funcall-interactively" (0xefbfca48)
"call-interactively" (0xefbfd9c0)
"command-execute" (0xefbfea20)
(gdb) 


-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 19 Mar 2020 21:30:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 19 17:30:14 2020
Received: from localhost ([127.0.0.1]:43685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jF2k2-0004SX-01
	for submit <at> debbugs.gnu.org; Thu, 19 Mar 2020 17:30:14 -0400
Received: from smarthost-b.hosting2go.nl ([185.135.240.51]:60386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jF2jz-0004RG-KK
 for 39962 <at> debbugs.gnu.org; Thu, 19 Mar 2020 17:30:12 -0400
X-ASG-Debug-ID: 1584653405-0a9db454e627ca0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id pBnD0TTqPxWg0BBm
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Thu, 19 Mar 2020 22:30:05 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 31737 invoked from network); 19 Mar 2020 21:30:05 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 19 Mar 2020 21:30:05 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 4663BABEB344;
 Thu, 19 Mar 2020 22:30:04 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lx36acqhhj.fsf@HIDDEN> <83zhck6obg.fsf@HIDDEN>
 <lxmu8kos4k.fsf@HIDDEN> <83r1xv73ze.fsf@HIDDEN>
 <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN> <83zhcff131.fsf@HIDDEN>
 <2b2fc990-2917-7970-d88b-7708dbaa48be@HIDDEN>
 <CAOqdjBcnVmMVPwjYFaKTvbYuv-eQmden9=5HDzV0OcOyWLuGEA@HIDDEN>
 <m2d09aaugb.fsf@HIDDEN> <lxlfnxao58.fsf@HIDDEN>
 <CAOqdjBdxbVY-ymdnVZaW9+hHDSGajwm9hDBnifKfxSCCnTbYtg@HIDDEN>
 <lxk13g887w.fsf@HIDDEN>
 <CAOqdjBdXs2f=4PBwfU6ELVbDy1g35_NGwFHiZSQq9Kz__FRzbA@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Thu, 19 Mar 2020 22:30:03 +0100
In-Reply-To: <CAOqdjBdXs2f=4PBwfU6ELVbDy1g35_NGwFHiZSQq9Kz__FRzbA@HIDDEN>
 (Pip Cet's message of "Thu, 19 Mar 2020 19:31:44 +0000")
Message-ID: <lxblos823o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584653405
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://185.135.240.51:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 2189
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80712
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Robert Pluim <rpluim@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> On Thu, Mar 19, 2020 at 7:17 PM Pieter van Oostrum
> <pieter-l@HIDDEN> wrote:
>> I had my keyboard macro translated to an Elisp function and then
>> called this a 100 times with dotimes. However, there was no crash,
>> even though I had the smaller stack size.
>>
>> In total I had the macro run some 300+ times without any crash. I just
>> had it run automatically (put it in a .el file, and used emacs -Q -l
>> testfile.el), so no keyboard/mouse interaction.
>
> Did you use emacs -Q to produce the original crash, or just emacs? I
> ask because it's possible something in your mode line specification
> caused or exacerbated the problem.

The original crash was without -Q, i.e. my normal production Emacs. I have quite an elaborate init.el file, so it could be almost anything.

With the test described above, I used -Q -l testfile.el
I also redid that test with most of my init.el copied into the test,el, and that still did not cause a crash.

>> > If I'm right, it should be possible to trigger the bug by creating a
>> > reasonably large session, running (garbage-collect) in an infinite
>> > loop, and interacting with the mouse and keyboard while that is
>> > happening. Or running your keyboard macro in a similar loop, of
>> > course.
>>
>> But if I do it in a loop it will not react to the keyboard/mouse. Do
>> you think the asynchronous processing of these events will be
>> sufficient, even though no action is taken on these events?
>
> I think so, but I'm not sure. I've been looking at this code for a
> while, and I think the likeliest culprit is the mouse-over
> highlighting code, possibly for the mode line. On GNU/Linux, the
> behavior is quite odd: for the first second or so after starting a
> loop, the mode line elements react to mouseover events, but not
> afterwards. On the other hand, a millisecond delay ought to be enough
> to catch it during the first second.
>
OK, with the next test I will try to trigger that. Right now I am compiling with the new 0001-more-debugging.patch.
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 19 Mar 2020 19:32:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 19 15:32:29 2020
Received: from localhost ([127.0.0.1]:43646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jF0u5-0001S5-0N
	for submit <at> debbugs.gnu.org; Thu, 19 Mar 2020 15:32:29 -0400
Received: from mail-ot1-f49.google.com ([209.85.210.49]:32916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jF0u2-0001Rq-Jp
 for 39962 <at> debbugs.gnu.org; Thu, 19 Mar 2020 15:32:27 -0400
Received: by mail-ot1-f49.google.com with SMTP id x26so3680578otk.0
 for <39962 <at> debbugs.gnu.org>; Thu, 19 Mar 2020 12:32:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=hfGy6Ij/2gpRfGAdrsbl1HGh/HC673BYi2t6RooIHsc=;
 b=WiwC05MwckfcuXHvBok47ExfARY3qWvpgoRhUa1/kGBb0p/R/PYSMc/iGrvMqLF35l
 Dln0GTGgX2QgrXdSdo/BXuQyt//X09uMVngXRKX5ImDkIc3EKbr0syBw3ApUhElH6V05
 KvBCWJJQ0Qt5MQrdsoOuXCVF8DLN63kL9uGWfQQ+5gP1r6iWCHPRdNEDurDTh/VsyN20
 oySmL7uVomKHVc7ZHaqy89/wVIeFwFk0qeBfdFuiQmWgsezaq9xQ68VCZ5KIBug17snu
 EnQFvJTYNF51T8Zpbhb65Uj7DFMGXaTgNzYODnHAN9RFZXX07P3mJj/X6AYHEMQC0Sy2
 UhEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=hfGy6Ij/2gpRfGAdrsbl1HGh/HC673BYi2t6RooIHsc=;
 b=rKo5wiS5fd6Ye9bQB47Q9QhOWSTK5By2hEkxxYI6D+msMIZH5edEKjOMrC3ZOKETLD
 lT5euk6ll1BFfeuYGHaNl+ZWaLfr9oFeJnhWip9vZt9djA1+c85cbRbb8I4Qs7TN2jfW
 FFwX0tMrJy9L5x1QuRboJI4xjVcM0eLBXkh23HlpGI2C1+AELlvCxUk8dw/kzfGzC2J6
 yk4qUv9IXvKY8XZvXynr6HoHTYbF8OggdlImFlg7OQPxIMOG9o+ProJZPSY4p8vckNDs
 8BydbLlbh2xgPVrdNDF/DuUsKSpmuVcn/klWctODAarZj3iZAGxvJRlH3o/b9uXJzDRz
 w7Zg==
X-Gm-Message-State: ANhLgQ2bo729kDCALePBVWwZV0W749gJPRs/oXokn4ulGmwvzwd0DJQf
 AxK5TXEN9OTheRGWDkUxps7qDLRtEnRZ48tWdwY=
X-Google-Smtp-Source: ADFU+vuagpA4ZjvAfeaw2iIz9EmBOarmQIKQHUozPVeeoEn1sEFIvGbnuzrVc/oEGb2/yhHjiP6rWv3oUmhtI979K+4=
X-Received: by 2002:a05:6830:110c:: with SMTP id
 w12mr3429882otq.175.1584646341014; 
 Thu, 19 Mar 2020 12:32:21 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN> <83zhcff131.fsf@HIDDEN>
 <2b2fc990-2917-7970-d88b-7708dbaa48be@HIDDEN>
 <CAOqdjBcnVmMVPwjYFaKTvbYuv-eQmden9=5HDzV0OcOyWLuGEA@HIDDEN>
 <m2d09aaugb.fsf@HIDDEN> <lxlfnxao58.fsf@HIDDEN>
 <CAOqdjBdxbVY-ymdnVZaW9+hHDSGajwm9hDBnifKfxSCCnTbYtg@HIDDEN>
 <lxk13g887w.fsf@HIDDEN>
In-Reply-To: <lxk13g887w.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Thu, 19 Mar 2020 19:31:44 +0000
Message-ID: <CAOqdjBdXs2f=4PBwfU6ELVbDy1g35_NGwFHiZSQq9Kz__FRzbA@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Robert Pluim <rpluim@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Mar 19, 2020 at 7:17 PM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> I had my keyboard macro translated to an Elisp function and then called this a 100 times with dotimes. However, there was no crash, even though I had the smaller stack size.
>
> In total I had the macro run some 300+ times without any crash. I just had it run automatically (put it in a .el file, and used emacs -Q -l testfile.el), so no keyboard/mouse interaction.

Did you use emacs -Q to produce the original crash, or just emacs? I
ask because it's possible something in your mode line specification
caused or exacerbated the problem.

> > If I'm right, it should be possible to trigger the bug by creating a
> > reasonably large session, running (garbage-collect) in an infinite
> > loop, and interacting with the mouse and keyboard while that is
> > happening. Or running your keyboard macro in a similar loop, of
> > course.
>
> But if I do it in a loop it will not react to the keyboard/mouse. Do you think the asynchronous processing of these events will be sufficient, even though no action is taken on these events?

I think so, but I'm not sure. I've been looking at this code for a
while, and I think the likeliest culprit is the mouse-over
highlighting code, possibly for the mode line. On GNU/Linux, the
behavior is quite odd: for the first second or so after starting a
loop, the mode line elements react to mouseover events, but not
afterwards. On the other hand, a millisecond delay ought to be enough
to catch it during the first second.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 19 Mar 2020 19:18:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 19 15:18:05 2020
Received: from localhost ([127.0.0.1]:43636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jF0g9-00014E-3q
	for submit <at> debbugs.gnu.org; Thu, 19 Mar 2020 15:18:05 -0400
Received: from smarthost-b.hosting2go.nl ([185.135.240.51]:37145)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jF0g7-00013j-FG
 for 39962 <at> debbugs.gnu.org; Thu, 19 Mar 2020 15:18:03 -0400
X-ASG-Debug-ID: 1584645476-0a9db454e61df90001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id AXAQ0aST3elpeDzr
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Thu, 19 Mar 2020 20:17:56 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 16563 invoked from network); 19 Mar 2020 19:17:56 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 19 Mar 2020 19:17:56 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 34857ABE804A;
 Thu, 19 Mar 2020 20:17:56 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN> <83zhcff131.fsf@HIDDEN>
 <2b2fc990-2917-7970-d88b-7708dbaa48be@HIDDEN>
 <CAOqdjBcnVmMVPwjYFaKTvbYuv-eQmden9=5HDzV0OcOyWLuGEA@HIDDEN>
 <m2d09aaugb.fsf@HIDDEN> <lxlfnxao58.fsf@HIDDEN>
 <CAOqdjBdxbVY-ymdnVZaW9+hHDSGajwm9hDBnifKfxSCCnTbYtg@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Thu, 19 Mar 2020 20:17:55 +0100
In-Reply-To: <CAOqdjBdxbVY-ymdnVZaW9+hHDSGajwm9hDBnifKfxSCCnTbYtg@HIDDEN>
 (Pip Cet's message of "Wed, 18 Mar 2020 14:08:19 +0000")
Message-ID: <lxk13g887w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584645476
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://185.135.240.51:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 1627
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80710
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Robert Pluim <rpluim@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> On Wed, Mar 18, 2020 at 11:38 AM Pieter van Oostrum
>> I have a procedure to generate a crash, but it isn't very predictable.
>> I think that is because there are timers running and asynchronous
>> processes. I get a different crash each time I run it.
>
> I think it's because of user interaction and the events it generates...

[
...
]
> Is it possible this is somehow related to mouse/keyboard interaction?
> That's my prime suspect, anyway; I still think that macOS runs code
> asynchronously upon receiving external events in ways that aren't
> kosher, particularly if they happen during GC.

I think that is quite probable.

I had my keyboard macro translated to an Elisp function and then called this a 100 times with dotimes. However, there was no crash, even though I had the smaller stack size.

In total I had the macro run some 300+ times without any crash. I just had it run automatically (put it in a .el file, and used emacs -Q -l testfile.el), so no keyboard/mouse interaction.

> If I'm right, it should be possible to trigger the bug by creating a
> reasonably large session, running (garbage-collect) in an infinite
> loop, and interacting with the mouse and keyboard while that is
> happening. Or running your keyboard macro in a similar loop, of
> course.

But if I do it in a loop it will not react to the keyboard/mouse. Do you think the asynchronous processing of these events will be sufficient, even though no action is taken on these events?
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 19 Mar 2020 13:58:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 19 09:58:41 2020
Received: from localhost ([127.0.0.1]:43431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEvh3-0007OE-9w
	for submit <at> debbugs.gnu.org; Thu, 19 Mar 2020 09:58:41 -0400
Received: from mail-ot1-f67.google.com ([209.85.210.67]:43259)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jEvh0-0007Nz-Qq
 for 39962 <at> debbugs.gnu.org; Thu, 19 Mar 2020 09:58:39 -0400
Received: by mail-ot1-f67.google.com with SMTP id a6so2397095otb.10
 for <39962 <at> debbugs.gnu.org>; Thu, 19 Mar 2020 06:58:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=s4ylzMQlsXmSfc4TzMJ8A4tSiv9lX/zAhPcFZFc111w=;
 b=NOcQfbWSV2Dm+QkBMqbSsn4fnJEeAOr7RK5/NjXB1D+bHLyl3XKzz/DzRsHgb/mUIs
 pe8HbhI2q+YiI2FX6yNos3RpiYnwARK6JxIbjqJ1cIUXybBIu/6344F2mXTzFzi9rif/
 4CdOx+nT36TRLdEdlfaVQbkaUDY/fLlNphdwNVp4pWKmaVO5wuTSdnl45tY+A5CjMlN9
 +Y8ypf5lkzvPdWKaSg7nzzyoUQb3iDh9bW36PfCpAoQDSR78KyO6YTSh8F60hY2mN2fV
 rsagsPkSA2ICHMWQlg6Fv8nhwY7gOe8QjOobjw8TCpkhDas+PeN4jYTUspwJxVTARk66
 FrOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=s4ylzMQlsXmSfc4TzMJ8A4tSiv9lX/zAhPcFZFc111w=;
 b=CV7ck/EdPirkQXpevFPAc++VRy/Z1nFbLJmHRLxDSLQBTor8sbj657EAEgcSyNDmKw
 Quz8oMpMuCedeGC407BfJxmhiv+bCk919UOslACT5rKe5qY9UFo2+rjRyfBjyPrbMMN7
 qvaw06BjKPMX5HVcD+UqJYniMHnAUfgqWOjgU9DcupmyauQJTZGjf1X7bnJcrien8jYe
 7HCT4/unjPYZ801kA6vnN+1j2VsZl10fHuSfczN4uH6meYOFd5xE37l5+i9RoHpdzzMb
 qFH13kIIyjtfQl8+0eJEbqZeKl/Lewvp2istDJNtZFLoqhJhE4Qd7hWtXmFTUs612rA5
 3+8A==
X-Gm-Message-State: ANhLgQ0DqpC6rbEJ8tTqf4YEPJ0DIhJXkUMmpkRqgPyVkWjVqKSqBrbS
 cnOC4VFIRJMaqBPqWBsUlkXmlXMqAyF5ClYX2Ik=
X-Google-Smtp-Source: ADFU+vvKmLV+m9xyAQUymwm23UHnXYoBeFwKTyd5WagYKYMFqzbKGRimflHyFboGCSA7n8p/LOVHSkc0vYVTuMwvZMk=
X-Received: by 2002:a05:6830:19ee:: with SMTP id
 t14mr2494999ott.287.1584626311390; 
 Thu, 19 Mar 2020 06:58:31 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lx36acqhhj.fsf@HIDDEN> <83zhck6obg.fsf@HIDDEN>
 <lxmu8kos4k.fsf@HIDDEN> <83r1xv73ze.fsf@HIDDEN>
 <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN>
 <83imj5bdct.fsf@HIDDEN> <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 <lxeetrbc9e.fsf@HIDDEN>
 <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
 <lx7dzjatn9.fsf@HIDDEN>
 <CAOqdjBfLkgRSrpEck6sFBUtuSXp12PiWp2ewmR4nGL+F4G07Eg@HIDDEN>
 <lxtv2ma76t.fsf@HIDDEN> <83h7ylg0v6.fsf@HIDDEN>
 <lx1rpoa36l.fsf@HIDDEN>
In-Reply-To: <lx1rpoa36l.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Thu, 19 Mar 2020 13:57:54 +0000
Message-ID: <CAOqdjBeeoiqVRP9b8+P-HTKhxGO6GWP=DwcVoNwR1K1ASNqMOQ@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000648a1005a1359032"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000648a1005a1359032
Content-Type: text/plain; charset="UTF-8"

On Thu, Mar 19, 2020 at 1:23 PM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> (gdb) p ((Lisp_Object) {(Lisp_Word) (0xd4269c0)})
> $5 = XIL(0xd4269c0)
> (gdb) xsymbol
> $6 = (struct Lisp_Symbol *) 0x10de5f6d0
> "<v>"

Okay, so that symbol is valid.

I think it's not a coincidence this crash happens during
keyboard/mouse input. I'm attaching a patch which increases the window
for the race condition that I think is happening. It slows down Emacs
significantly, but it should still be almost usable.

If you have the time, could you install the patch, start Emacs the
same way you did to produce your original crash, and do similar things
you did that time? If we're lucky, we'll be getting an assert failure
rather than mere corruption.

--000000000000648a1005a1359032
Content-Type: text/x-patch; charset="US-ASCII"; name="0001-more-debugging.patch"
Content-Disposition: attachment; filename="0001-more-debugging.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k7yth48o0>
X-Attachment-Id: f_k7yth48o0
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--000000000000648a1005a1359032--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 19 Mar 2020 13:23:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 19 09:23:57 2020
Received: from localhost ([127.0.0.1]:41912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEv9Q-00068o-QC
	for submit <at> debbugs.gnu.org; Thu, 19 Mar 2020 09:23:57 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:42716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jEv9O-00068b-CI
 for 39962 <at> debbugs.gnu.org; Thu, 19 Mar 2020 09:23:55 -0400
X-ASG-Debug-ID: 1584624228-0a9db43b8a374cc40001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id FH3G42EsTCBNBpwP
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Thu, 19 Mar 2020 14:23:48 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 24252 invoked from network); 19 Mar 2020 13:23:48 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 19 Mar 2020 13:23:48 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id A87B9ABDF47B;
 Thu, 19 Mar 2020 14:23:47 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lx36acqhhj.fsf@HIDDEN> <83zhck6obg.fsf@HIDDEN>
 <lxmu8kos4k.fsf@HIDDEN> <83r1xv73ze.fsf@HIDDEN>
 <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 <lxeetrbc9e.fsf@HIDDEN>
 <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
 <lx7dzjatn9.fsf@HIDDEN>
 <CAOqdjBfLkgRSrpEck6sFBUtuSXp12PiWp2ewmR4nGL+F4G07Eg@HIDDEN>
 <lxtv2ma76t.fsf@HIDDEN> <83h7ylg0v6.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Thu, 19 Mar 2020 14:23:46 +0100
In-Reply-To: <83h7ylg0v6.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 18 Mar
 2020 17:05:01 +0200")
Message-ID: <lx1rpoa36l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584624228
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 1139
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80704
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Pieter van Oostrum <pieter-l@HIDDEN>
>> Cc: Eli Zaretskii <eliz@HIDDEN>,  39962 <at> debbugs.gnu.org,  eggert@HIDDEN
>> Date: Wed, 18 Mar 2020 00:32:42 +0100
>> 
>> >> >> 0x12590f3f0:    0x0000000000000006      0x0000000000000000
>> >> >> 0x12590f400:    0x000000000d4269c0      0x0000000000000000
>> >> >
>> >> > I'm suspicious about this "symbol". Is 0xd4269c0 a valid lisp value?
>> >>
>> >> I'm sorry. I don't know how to find out. I'm just a newbee with debugging elisp in gdb.
>> >
>> > I believe "xprintsym 0xd4269c0" would work on macOS, too. I'm not sure
>> > whether "pp 0xd4269c0" would.
>> 
>> (gdb) xprintsym 0xd4269c0
>> Invalid number "0xd4269c0.i".
>> (gdb) pp 0xd4269c0
>> Invalid cast.
>
> Try
>
>   (gdb) p XIL(0xd4269c0)
>   (gdb) xsymbol

After some trial and error finding the proper definition of XIL:

(gdb) p ((Lisp_Object) {(Lisp_Word) (0xd4269c0)})
$5 = XIL(0xd4269c0)
(gdb) xsymbol
$6 = (struct Lisp_Symbol *) 0x10de5f6d0
"<v>"


-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 18 Mar 2020 15:05:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 11:05:32 2020
Received: from localhost ([127.0.0.1]:41037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEaGC-0004Ld-CZ
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 11:05:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jEaGA-0004LF-Ex
 for 39962 <at> debbugs.gnu.org; Wed, 18 Mar 2020 11:05:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55888)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jEaG0-00013T-DU; Wed, 18 Mar 2020 11:05:20 -0400
Received: from [176.228.60.248] (port=3232 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jEaFw-0005Wf-CI; Wed, 18 Mar 2020 11:05:19 -0400
Date: Wed, 18 Mar 2020 17:05:01 +0200
Message-Id: <83h7ylg0v6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-Reply-To: <lxtv2ma76t.fsf@HIDDEN> (message from Pieter
 van Oostrum on Wed, 18 Mar 2020 00:32:42 +0100)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 <lxeetrbc9e.fsf@HIDDEN>
 <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
 <lx7dzjatn9.fsf@HIDDEN>
 <CAOqdjBfLkgRSrpEck6sFBUtuSXp12PiWp2ewmR4nGL+F4G07Eg@HIDDEN>
 <lxtv2ma76t.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  39962 <at> debbugs.gnu.org,  eggert@HIDDEN
> Date: Wed, 18 Mar 2020 00:32:42 +0100
> 
> >> >> 0x12590f3f0:    0x0000000000000006      0x0000000000000000
> >> >> 0x12590f400:    0x000000000d4269c0      0x0000000000000000
> >> >
> >> > I'm suspicious about this "symbol". Is 0xd4269c0 a valid lisp value?
> >>
> >> I'm sorry. I don't know how to find out. I'm just a newbee with debugging elisp in gdb.
> >
> > I believe "xprintsym 0xd4269c0" would work on macOS, too. I'm not sure
> > whether "pp 0xd4269c0" would.
> 
> (gdb) xprintsym 0xd4269c0
> Invalid number "0xd4269c0.i".
> (gdb) pp 0xd4269c0
> Invalid cast.

Try

  (gdb) p XIL(0xd4269c0)
  (gdb) xsymbol




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 18 Mar 2020 14:09:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 10:09:05 2020
Received: from localhost ([127.0.0.1]:40978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEZNZ-0002yr-9J
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 10:09:05 -0400
Received: from mail-ot1-f41.google.com ([209.85.210.41]:33419)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jEZNW-0002yG-NV
 for 39962 <at> debbugs.gnu.org; Wed, 18 Mar 2020 10:09:03 -0400
Received: by mail-ot1-f41.google.com with SMTP id x26so8583545otk.0
 for <39962 <at> debbugs.gnu.org>; Wed, 18 Mar 2020 07:09:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=PIQ116V/i4tpe/vT+kIHm/SZbROuNL1E54USOEORVdQ=;
 b=CENswSIeRC9eVcbJJ3JG8GCTXspuL52pFGHkc3QqOtgo/uMM5jHByfC5dFuL+hyAFa
 4vjYBGIKB2pvmyPi43UEk50TDEbwn2v5naDFluo4MOFrdNNwu+Bap/QbSUSJ/b03Vf6K
 BFGTuTPbnzetavH8LrgbQvtNuRwsCc+Iiijusrg2AeVpOmVFYFxobD2hHJJgmFt77kds
 yIVHr/ahj6LGbx8a33cZagahrB3/jGnrXT9hLrwa966OSRzoBZYsq0iSAqcCd11R68dL
 DKOXfOi5FR9aPYtX1x/XziUF7FxDb8En3UjcnBM7NEr6Fwuwz3xLgNYLOnugVJKsmPBk
 fCog==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=PIQ116V/i4tpe/vT+kIHm/SZbROuNL1E54USOEORVdQ=;
 b=G3T4N3xz5CVBrNZ6AGrph4omwKA7uPiwPTE2uN9S97I42vvMQVQq0rZ1C2pIlXqzgP
 1ISiy8wAumJZAH43OpKp/ZTacbclP9PdEX2vaRij5xkXA7GTTrRhtnVWHeSzpDrFg+Oq
 rT1lqhTRdbv1aKj8DBBdA5+ilwp7EqUQuBGmwynfd7mDWaFQLV4/pxbMzm7ZD3CESJFT
 WkdsrICAnHmYIl+rVlRV8GrOc8PQqSSOA3z7OUuLeSDlAMB0ruDELHCsplkvkl1J6Du/
 bb8Ckla/mKICsqdECJqpO2e8Iaga0N1/xNqHVavGUh8UpFIiofhhKiK7gRjNWC4IhtG2
 yUiQ==
X-Gm-Message-State: ANhLgQ2ZCFKJzEKQ0nnGh1etN+RSlban8uwolM7bbsxU+hY+DMRAqUDB
 EUVixCMW9XJg9AFPr6DMHVyfWBs9G42QplTdxxM=
X-Google-Smtp-Source: ADFU+vuyh2VmRSbMXWisMUUu7vNS9sLaYba28gluKn465sjouLa9xzjvcY78AarhFLo0Chee5hmMdxG2K+mGxatKkEg=
X-Received: by 2002:a05:6830:19ee:: with SMTP id
 t14mr4197218ott.287.1584540536892; 
 Wed, 18 Mar 2020 07:08:56 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN> <83zhcff131.fsf@HIDDEN>
 <2b2fc990-2917-7970-d88b-7708dbaa48be@HIDDEN>
 <CAOqdjBcnVmMVPwjYFaKTvbYuv-eQmden9=5HDzV0OcOyWLuGEA@HIDDEN>
 <m2d09aaugb.fsf@HIDDEN> <lxlfnxao58.fsf@HIDDEN>
In-Reply-To: <lxlfnxao58.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Wed, 18 Mar 2020 14:08:19 +0000
Message-ID: <CAOqdjBdxbVY-ymdnVZaW9+hHDSGajwm9hDBnifKfxSCCnTbYtg@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Robert Pluim <rpluim@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Mar 18, 2020 at 11:38 AM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> Robert Pluim <rpluim@HIDDEN> writes:
> >>>>>> On Wed, 18 Mar 2020 06:17:01 +0000, Pip Cet <pipcet@HIDDEN> sai=
d:
> >
> >     Pip> On Tue, Mar 17, 2020 at 8:59 PM Paul Eggert <eggert@HIDDEN=
u> wrote:
> >     >> Although I haven't been following this in detail, I'd like to su=
ggest trying a
> >     >> GDB watchpoint to find the bug. Watchpoints have been invaluable=
 to me when I
> >     >> debug garbage-collector and other memory management issues.
> >
> >     Pip> They are! Unfortunately, they require a predictable address at=
 which
> >     Pip> the corruption happens, and we don't appear to have that.
> >
> > You have a known address if you use rr and run in reverse.

Indeed, which makes debugging on GNU/Linux a lot easier.
Unfortunately, I strongly suspect this problem is specific to macOS,
and I'm not aware of a reverse debugger for that OS.

> I have a procedure to generate a crash, but it isn't very predictable. I =
think that is because there are timers running and asynchronous processes. =
I get a different crash each time I run it.

I think it's because of user interaction and the events it generates...

> The crash generation involves opening two large mailboxes with VM (it cou=
ld be that one would also work). I then manipulate them both, re-sorting th=
em in a different order, saving, switching between the two, sorting back to=
 my preferred order, saving and closing. I have saved this procedure in a k=
eyboard macro, giving it a name. I copied the definition to another Emacs s=
ession. To recreate the crash, I copy the definition to the new Emacs sessi=
on in the *scratch* buffer, and I can then invoke it with C-x C-e. For the =
latest crash, I entered C-x C-e some 40 times, and went to bed. After I awo=
ke, Emacs had not crashed yet. So I entered a few more C-x C-e, and then it=
 crashed immediately. But it was different than the previous one. So, actua=
lly, I think it will be very difficult to find proper watch points.

Is it possible this is somehow related to mouse/keyboard interaction?
That's my prime suspect, anyway; I still think that macOS runs code
asynchronously upon receiving external events in ways that aren't
kosher, particularly if they happen during GC.

If I'm right, it should be possible to trigger the bug by creating a
reasonably large session, running (garbage-collect) in an infinite
loop, and interacting with the mouse and keyboard while that is
happening. Or running your keyboard macro in a similar loop, of
course.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 18 Mar 2020 14:08:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 10:08:18 2020
Received: from localhost ([127.0.0.1]:40974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEZMn-0002xV-VA
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 10:08:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60574)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jEZMl-0002xJ-ID
 for 39962 <at> debbugs.gnu.org; Wed, 18 Mar 2020 10:08:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54649)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jEZMf-0004Nt-St; Wed, 18 Mar 2020 10:08:09 -0400
Received: from [176.228.60.248] (port=3475 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jEZMc-00061n-Jf; Wed, 18 Mar 2020 10:08:09 -0400
Date: Wed, 18 Mar 2020 16:08:00 +0200
Message-Id: <83o8stg3i7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-Reply-To: <CAOqdjBcnVmMVPwjYFaKTvbYuv-eQmden9=5HDzV0OcOyWLuGEA@HIDDEN>
 (message from Pip Cet on Wed, 18 Mar 2020 06:17:01 +0000)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN> <83zhcff131.fsf@HIDDEN>
 <2b2fc990-2917-7970-d88b-7708dbaa48be@HIDDEN>
 <CAOqdjBcnVmMVPwjYFaKTvbYuv-eQmden9=5HDzV0OcOyWLuGEA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pieter-l@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Wed, 18 Mar 2020 06:17:01 +0000
> Cc: Eli Zaretskii <eliz@HIDDEN>, Pieter van Oostrum <pieter-l@HIDDEN>, 39962 <at> debbugs.gnu.org
> 
> > Although I haven't been following this in detail, I'd like to suggest trying a
> > GDB watchpoint to find the bug. Watchpoints have been invaluable to me when I
> > debug garbage-collector and other memory management issues.
> 
> They are! Unfortunately, they require a predictable address at which
> the corruption happens, and we don't appear to have that.

It would suffice to have a predictable recipe where some variable has
the right value under some conditions: then we could put a watchpoint
using that variable's value from a conditional breakpoint that only
triggers under those conditions.  Unfortunately, it sounds like even
such a predictable recipe is not available.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 18 Mar 2020 11:57:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 07:57:48 2020
Received: from localhost ([127.0.0.1]:39931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEXKW-00042k-Lq
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 07:57:48 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:55138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1jEXKU-00042X-GX
 for 39962 <at> debbugs.gnu.org; Wed, 18 Mar 2020 07:57:47 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 64FF31600AB;
 Wed, 18 Mar 2020 04:57:40 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id GSQWo76tfq25; Wed, 18 Mar 2020 04:57:39 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id B5A941600AF;
 Wed, 18 Mar 2020 04:57:39 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 5-sQ81jD1Q1s; Wed, 18 Mar 2020 04:57:39 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 33ACD1600AB;
 Wed, 18 Mar 2020 04:57:39 -0700 (PDT)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>
References: <24162.58107.725366.668639@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN> <83zhcff131.fsf@HIDDEN>
 <2b2fc990-2917-7970-d88b-7708dbaa48be@HIDDEN>
 <CAOqdjBcnVmMVPwjYFaKTvbYuv-eQmden9=5HDzV0OcOyWLuGEA@HIDDEN>
 <m2d09aaugb.fsf@HIDDEN> <lxlfnxao58.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <e3d67d6c-4535-4c5f-6736-191da777bad4@HIDDEN>
Date: Wed, 18 Mar 2020 04:57:38 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
In-Reply-To: <lxlfnxao58.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Pip Cet <pipcet@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 3/18/20 4:38 AM, Pieter van Oostrum wrote:
> I think it will be very difficult to find proper watch points.

That's too bad. If you could somehow trigger the bug in a batch session by 
calling the right functions, it'd be easier to debug. That's one of the first 
things I try to do when debugging this sort of thing.

On 3/17/20 11:17 PM, Pip Cet wrote:

>>> (gdb) watch *(void *)0x16082a730
>> 
>> I think you mean
>> 
>> watch *(void **)0x16082a730

Yes, thanks for spotting the typo.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 18 Mar 2020 11:38:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 07:38:54 2020
Received: from localhost ([127.0.0.1]:39921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEX2D-0003cB-UG
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 07:38:54 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:48916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jEX2B-0003by-TY
 for 39962 <at> debbugs.gnu.org; Wed, 18 Mar 2020 07:38:52 -0400
X-ASG-Debug-ID: 1584531525-0ac37b520521074a0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id 5oMDVLhOJiQBQN6F
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Wed, 18 Mar 2020 12:38:45 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 2299 invoked from network); 18 Mar 2020 11:38:45 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 18 Mar 2020 11:38:45 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 9B218ABCC090;
 Wed, 18 Mar 2020 12:38:44 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN> <83zhcff131.fsf@HIDDEN>
 <2b2fc990-2917-7970-d88b-7708dbaa48be@HIDDEN>
 <CAOqdjBcnVmMVPwjYFaKTvbYuv-eQmden9=5HDzV0OcOyWLuGEA@HIDDEN>
 <m2d09aaugb.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Wed, 18 Mar 2020 12:38:43 +0100
In-Reply-To: <m2d09aaugb.fsf@HIDDEN> (Robert Pluim's message of "Wed, 18
 Mar 2020 10:22:28 +0100")
Message-ID: <lxlfnxao58.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584531525
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 1793
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80679
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>,
 Pip Cet <pipcet@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

>>>>>> On Wed, 18 Mar 2020 06:17:01 +0000, Pip Cet <pipcet@HIDDEN> said:
>
>     Pip> On Tue, Mar 17, 2020 at 8:59 PM Paul Eggert <eggert@HIDDEN> wrote:
>     >> Although I haven't been following this in detail, I'd like to suggest trying a
>     >> GDB watchpoint to find the bug. Watchpoints have been invaluable to me when I
>     >> debug garbage-collector and other memory management issues.
>
>     Pip> They are! Unfortunately, they require a predictable address at which
>     Pip> the corruption happens, and we don't appear to have that.
>
> You have a known address if you use rr and run in reverse.
>
> Robert
>

I have a procedure to generate a crash, but it isn't very predictable. I think that is because there are timers running and asynchronous processes. I get a different crash each time I run it.

The crash generation involves opening two large mailboxes with VM (it could be that one would also work). I then manipulate them both, re-sorting them in a different order, saving, switching between the two, sorting back to my preferred order, saving and closing. I have saved this procedure in a keyboard macro, giving it a name. I copied the definition to another Emacs session. To recreate the crash, I copy the definition to the new Emacs session in the *scratch* buffer, and I can then invoke it with C-x C-e. For the latest crash, I entered C-x C-e some 40 times, and went to bed. After I awoke, Emacs had not crashed yet. So I entered a few more C-x C-e, and then it crashed immediately. But it was different than the previous one. So, actually, I think it will be very difficult to find proper watch points.
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 18 Mar 2020 09:22:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 05:22:40 2020
Received: from localhost ([127.0.0.1]:39816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEUuN-0006k9-9R
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 05:22:40 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:37259)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1jEUuL-0006jx-GM
 for 39962 <at> debbugs.gnu.org; Wed, 18 Mar 2020 05:22:38 -0400
Received: by mail-wm1-f41.google.com with SMTP id d1so805834wmb.2
 for <39962 <at> debbugs.gnu.org>; Wed, 18 Mar 2020 02:22:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=6UaU/xE5FPsbqXcXOo9SbrUqbS9fZFFVO8yN58z1di4=;
 b=ofJ7Nrf1CGSbdhD//6OYlcz6zjF6wZU3BHyW9YfHm3IviigWQ7pe28yFdNGfPxR0ux
 aXoC9gHfIrYXJPqC9GC3EjinKXWUnrjk4UQnDz3LCh3t1fECni6PDTMpYnK1snnA/sId
 9fIZZPe2KHpJ3wG4EKfFJ5DoJi4kfwcXFtg9AvCnnpPY5FSmvjk/ZkW6ene3fXh4yT+r
 QJtypjggxtCKXgx/+25LhRR1C/ijaxdD2SYpnHea8YocdOMUHjSHVGfwNsEG9XJrDjgw
 aHGAPcBogW1jvIap0vYRWOUwO3lNtg/h/WgWmCPmUCY+4UDv4sXRp3tnHhxn/shAKxnp
 U2Ag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=6UaU/xE5FPsbqXcXOo9SbrUqbS9fZFFVO8yN58z1di4=;
 b=hm50XkuuAKAKmLmwH0WPt5lu1ZKACG5U7+UIavmsZzNNUQPfh0+AncihAMAlRkxDLv
 gbX0fRbLArLrXs2IafCArKUTLfiUcesmtJxJub4JaJgnxbFbtpPHid75isCh2uUAKK+G
 t4AYSMiyRqnJgDrVBYs5JKV7gt1Ix4yxhWeYPEoLfe4EvV66yfLfZN+wYT74tgR0tQ4E
 hm8+8Zt+jWQjus5hflouSxpbNcop3LLARE3LzuaKMWdxpuyhj03L1ELeHnBKTcsi/TBr
 9OaU97NC3E8RhiTRIG3ipmk0YXkyuMQRD/YNHgUBA5MaWIMVRG5YWq1Lb9Te9gxa6iN1
 9UsA==
X-Gm-Message-State: ANhLgQ1/1OT390/TA2v6rBeTFXUbZtq2jPcyBwzTAAxftiie3L414vyg
 UoBQWhI9ULSAy8nB69fXHjhs9MnGd24=
X-Google-Smtp-Source: ADFU+vvtWdIEhk9IZmA++/bZ6XX1kLR745yD1fMAbsqhD4ExpPqdqjuwgAbpbd7nf6/AD/ZD0gOpeg==
X-Received: by 2002:a7b:c153:: with SMTP id z19mr3989853wmi.37.1584523351295; 
 Wed, 18 Mar 2020 02:22:31 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:7800:e590:5d04:163a])
 by smtp.gmail.com with ESMTPSA id 98sm8527976wrk.52.2020.03.18.02.22.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 18 Mar 2020 02:22:30 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN> <83zhcff131.fsf@HIDDEN>
 <2b2fc990-2917-7970-d88b-7708dbaa48be@HIDDEN>
 <CAOqdjBcnVmMVPwjYFaKTvbYuv-eQmden9=5HDzV0OcOyWLuGEA@HIDDEN>
Date: Wed, 18 Mar 2020 10:22:28 +0100
In-Reply-To: <CAOqdjBcnVmMVPwjYFaKTvbYuv-eQmden9=5HDzV0OcOyWLuGEA@HIDDEN>
 (Pip Cet's message of "Wed, 18 Mar 2020 06:17:01 +0000")
Message-ID: <m2d09aaugb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>,
 Pieter van Oostrum <pieter-l@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Wed, 18 Mar 2020 06:17:01 +0000, Pip Cet <pipcet@HIDDEN> said:

    Pip> On Tue, Mar 17, 2020 at 8:59 PM Paul Eggert <eggert@HIDDEN> wrote:
    >> Although I haven't been following this in detail, I'd like to suggest trying a
    >> GDB watchpoint to find the bug. Watchpoints have been invaluable to me when I
    >> debug garbage-collector and other memory management issues.

    Pip> They are! Unfortunately, they require a predictable address at which
    Pip> the corruption happens, and we don't appear to have that.

You have a known address if you use rr and run in reverse.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 18 Mar 2020 06:17:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 02:17:44 2020
Received: from localhost ([127.0.0.1]:39756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jES1Q-0002Sq-NQ
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 02:17:44 -0400
Received: from mail-oi1-f179.google.com ([209.85.167.179]:41424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jES1O-0002Sd-Uz
 for 39962 <at> debbugs.gnu.org; Wed, 18 Mar 2020 02:17:43 -0400
Received: by mail-oi1-f179.google.com with SMTP id b17so9618337oic.8
 for <39962 <at> debbugs.gnu.org>; Tue, 17 Mar 2020 23:17:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=3cgxldxCa9DwDJ+oxKqTyDFlE4fssHPWD62/XAUwnks=;
 b=cIsuqNA/S9Tl115apU/jAdgZ2a1kyjCTxeHH1yrF71e+cyu/z/9akz3oA5RhdrU8CR
 HlWAwia370bSSKLF+7sYjguxUicNBmP6LJHyfXTvUVk+Sq/N2cxtu/ZlXULurai/Aa0L
 NRvaZzvpwyf2jyRcYkwFwfjaTK1fu3u2YNHO0tXfVW8t4Ifrg0LioaQXy0NblP9YzP8+
 fYeLlkdPmKKSt7U35vTE0KUENFG2imfFbBbR1TSM5i97K9jHMxpPQDAp6nQnM+TMp5vd
 +VeOakNHkiGjleNyQk3XigdyQKqt6W04vHJ/JrbN2ESh/ts5ywN6KxiyQL3PWcWe7j3L
 gvAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=3cgxldxCa9DwDJ+oxKqTyDFlE4fssHPWD62/XAUwnks=;
 b=pbRt0/uGKkaH26hTk6u412tHL7+7eYh4ZJfQEEx5nchfaAu5VGC5aRYNJaicrbKanr
 atnNs6XOwJRoVCVt6t3PZ1YWYd+OWbYvtUafFRV9ASSozemTK5P6+R20f/LkPgCaUu86
 8pVVlLFpyWcaYXZdMv1rbDTyPpINZzCzn4vUr1jg8/XrMzNNNltKjj+T+S77Cs/A3N0u
 /IQC9ISPDSxOPN5dHWlbutvbtLuIdHrRhWNUH/whPeJow6LE47i8aVvEzPTktV6gH473
 uhx74hRQ52xXdNg6xBPwO4/iLabvQgm1cXMvEVAeuHATVpX+MgmlSwig4DlW7dJTH45y
 8zwg==
X-Gm-Message-State: ANhLgQ1JMoEoOHaCB1qbgPll3BDg3Zn92b5dRZdMN3uzalvTSdkxoHcB
 RUQVZJossjX+nqvlBF/gEbhPIZAFvyKH3D+kshQ=
X-Google-Smtp-Source: ADFU+vuoLSCwrrQ1eDJZEAWAcFzPGe3jJu/0ImjSF3K8pbi9Odg1gm/N49dJ10TjaRAykXuAmJwMTJEjfROqyE3nAJs=
X-Received: by 2002:aca:b9c2:: with SMTP id j185mr1927385oif.112.1584512257407; 
 Tue, 17 Mar 2020 23:17:37 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN> <83zhcff131.fsf@HIDDEN>
 <2b2fc990-2917-7970-d88b-7708dbaa48be@HIDDEN>
In-Reply-To: <2b2fc990-2917-7970-d88b-7708dbaa48be@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Wed, 18 Mar 2020 06:17:01 +0000
Message-ID: <CAOqdjBcnVmMVPwjYFaKTvbYuv-eQmden9=5HDzV0OcOyWLuGEA@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Paul Eggert <eggert@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, Pieter van Oostrum <pieter-l@HIDDEN>,
 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Mar 17, 2020 at 8:59 PM Paul Eggert <eggert@HIDDEN> wrote:
> Although I haven't been following this in detail, I'd like to suggest trying a
> GDB watchpoint to find the bug. Watchpoints have been invaluable to me when I
> debug garbage-collector and other memory management issues.

They are! Unfortunately, they require a predictable address at which
the corruption happens, and we don't appear to have that.

> (gdb) watch *(void *)0x16082a730

I think you mean

watch *(void **)0x16082a730

Right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 17 Mar 2020 23:32:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 17 19:32:53 2020
Received: from localhost ([127.0.0.1]:39674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jELhc-0007ae-HH
	for submit <at> debbugs.gnu.org; Tue, 17 Mar 2020 19:32:52 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:36182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jELhZ-0007VN-Um
 for 39962 <at> debbugs.gnu.org; Tue, 17 Mar 2020 19:32:50 -0400
X-ASG-Debug-ID: 1584487963-0ac37b1e5532347a0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id dNAsRL3nopwPC0tH
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Wed, 18 Mar 2020 00:32:43 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 30597 invoked from network); 17 Mar 2020 23:32:43 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 17 Mar 2020 23:32:43 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 24E81ABC4137;
 Wed, 18 Mar 2020 00:32:43 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 <lxeetrbc9e.fsf@HIDDEN>
 <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
 <lx7dzjatn9.fsf@HIDDEN>
 <CAOqdjBfLkgRSrpEck6sFBUtuSXp12PiWp2ewmR4nGL+F4G07Eg@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Wed, 18 Mar 2020 00:32:42 +0100
In-Reply-To: <CAOqdjBfLkgRSrpEck6sFBUtuSXp12PiWp2ewmR4nGL+F4G07Eg@HIDDEN>
 (Pip Cet's message of "Tue, 17 Mar 2020 20:16:14 +0000")
Message-ID: <lxtv2ma76t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584487963
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 2804
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.50
X-Barracuda-Spam-Status: No, SCORE=0.50 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_RULE7568M,
 BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80667
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
 0.50 BSF_RULE7568M          Custom Rule 7568M
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> On Tue, Mar 17, 2020 at 3:27 PM Pieter van Oostrum
> <pieter-l@HIDDEN> wrote:
>> Pip Cet <pipcet@HIDDEN> writes:
>> > On Tue, Mar 17, 2020 at 8:45 AM Pieter van Oostrum
>> > <pieter-l@HIDDEN> wrote:
>> >> 0x12590f3f0:    0x0000000000000006      0x0000000000000000
>> >> 0x12590f400:    0x000000000d4269c0      0x0000000000000000
>> >
>> > I'm suspicious about this "symbol". Is 0xd4269c0 a valid lisp value?
>>
>> I'm sorry. I don't know how to find out. I'm just a newbee with debugging elisp in gdb.
>
> I believe "xprintsym 0xd4269c0" would work on macOS, too. I'm not sure
> whether "pp 0xd4269c0" would.

(gdb) xprintsym 0xd4269c0
Invalid number "0xd4269c0.i".
(gdb) pp 0xd4269c0
Invalid cast.

>
> "x/32gx 0xd4269c0" would also be interesting, potentially, if that is
> a valid memory address.

(gdb) x/32gx 0xd4269c0
0xd4269c0:	Cannot access memory at address 0xd4269c0


>> >> 0x12590f430:    0x0000000000000002      0x0000000000008df0
>> >> 0x12590f440:    0x0000000005757688      0xa5a5a5a5a5a5a5a5
>> >
>> > This vector is weird. The first entry is a symbol, but the second
>> > entry looks invalid to me: all other symbols are aligned to 16-byte
>> > boundaries, and I don't think 0x5757688 is even a valid pointer.
>
> "x/32gx 0x5757688" would also be interesting if it works.

(gdb) x/32gx 0x5757688
0x5757688:	Cannot access memory at address 0x5757688

>> > Can you check which symbol corresponds to 0x8df0 in your build? It
>> > should be the one with 757 in its define line in globals.h
>> >
>> > # define Qlibpng_version builtin_lisp_symbol (757)
>>
>> Sorry, again, I don't know how to find that symbol. I guess it's one
>> of the functions defined in .gdbinit, but I don't know which one.
>>
>> And in globals.h, the numbers are different.
>>
>> # define Qlibpng_version builtin_lisp_symbol (687)
>> # define Qmode_line builtin_lisp_symbol (757)
>
> Thanks, that's precisely what I wanted to know. So it's a vector
> [mode-line X], where X is either a very peculiar symbol or invalid.
>
>> >> 0x12590f520:    0x4000000002002000      0x0000000200000003
>> >> 0x12590f530:    0x000000011de53fc0      0xa5a5a5a5a5a5a5a5
>> >
>> > A real-life bignum! Can you print x/2gx 0x11de53fc0 so we figure out
>> > what its value is? (And what's creating bignums in your session?)
>>
>> (gdb) x/2gx 0x11de53fc0
>> 0x11de53fc0:    0xe3fedf0cbab410c0      0x0000000000000055
>>
>> I don't think there is something explicitely creating bignums. But
>> could it be the result of a calculation that doesn't fit in an normal
>> int?
>
> It's a picosecond time stamp, so that's okay.

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 17 Mar 2020 20:59:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 17 16:59:14 2020
Received: from localhost ([127.0.0.1]:39601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEJIw-00086W-62
	for submit <at> debbugs.gnu.org; Tue, 17 Mar 2020 16:59:14 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:52620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1jEJIt-00086G-UT
 for 39962 <at> debbugs.gnu.org; Tue, 17 Mar 2020 16:59:13 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 46B3E16008E;
 Tue, 17 Mar 2020 13:59:06 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id VFBJIjbODLDc; Tue, 17 Mar 2020 13:59:05 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 3CD70160091;
 Tue, 17 Mar 2020 13:59:05 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id a1AfrWDE2Eem; Tue, 17 Mar 2020 13:59:05 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 1055516008E;
 Tue, 17 Mar 2020 13:59:05 -0700 (PDT)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>, Pieter van Oostrum <pieter-l@HIDDEN>
References: <24162.58107.725366.668639@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN> <83zhcff131.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <2b2fc990-2917-7970-d88b-7708dbaa48be@HIDDEN>
Date: Tue, 17 Mar 2020 13:59:04 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
In-Reply-To: <83zhcff131.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Although I haven't been following this in detail, I'd like to suggest trying a 
GDB watchpoint to find the bug. Watchpoints have been invaluable to me when I 
debug garbage-collector and other memory management issues.

Say you have a repeatable way to make the problem happen. You discover that some 
random part of Emacs (you don't know what) has zapped the 'next' field of some 
data structure D to make it a null pointer. You want to find out who zapped it.

To do that, first compute the address of the field you're interested in:

(gdb) p &D->next

You'll get a number like 0x16082a730.

Then:

(gdb) watch *(void *)0x16082a730
(gdb) run

The last command re-runs Emacs, and should stop each time the memory location at 
0x16082a730 changes. If you're lucky, this will be just a few times and you can 
figure out who's zapping D->next. If you're unlucky you can come up with a 
fancier watchpoint that may do the trick. (I'm using a plain 'watch' rather than 
a 'watch -l' in the example above, merely to keep things simple.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 17 Mar 2020 20:17:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 17 16:17:00 2020
Received: from localhost ([127.0.0.1]:39580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEIe4-000701-HJ
	for submit <at> debbugs.gnu.org; Tue, 17 Mar 2020 16:17:00 -0400
Received: from mail-ot1-f45.google.com ([209.85.210.45]:34726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jEIe1-0006zj-W6
 for 39962 <at> debbugs.gnu.org; Tue, 17 Mar 2020 16:16:59 -0400
Received: by mail-ot1-f45.google.com with SMTP id j16so23110608otl.1
 for <39962 <at> debbugs.gnu.org>; Tue, 17 Mar 2020 13:16:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=UXjELt5A4M2L7oFpdo59FRIj9q5iSFZ+t9nCosB2BfY=;
 b=fBmHCfu1vgiZSfc7NKSDMuINHiOIVBPUyzU7QdNRyq6jAkCMNo76eAb2fSj87lqf+F
 FlTZLVuwmjiX0aLSy3WkXU44rAi+SBZhLQjWUA4z3Mb43y7X/t31+U6pxNfnTETrMPrw
 ySAyU2Ps7RNWTOH9EgODJiN11tzZvcI4bsWHkPh+88GEwkr1uyLe+Y5Vi5sQitrmtiWw
 ECgNoZ2HxGitdXmLvNjLrBJUQ/uEOuuNeVdh0Dq3u8uk4YrYjU90oh/iBzV2VEJ/y+8z
 f6GhbPj41kZvK8so79fE/FspHZ8saBh8gkdXts0p4p7APY+GvX49ML01Wmrzdt9Ybh8C
 DbNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=UXjELt5A4M2L7oFpdo59FRIj9q5iSFZ+t9nCosB2BfY=;
 b=iGqkVVsk5OBvt2LT86UitEQ1Vx7R+Qk313HCjmZQxxlYvfgSj5O2LGreDABUUiWJYP
 Ho1u5QXXbItogwKBsAW8J4p0KT+d/v3Qlk15Nz+TlVgMQASeVnu08K5DaLrCOCPBgx8y
 n5NTAbmGJH9PAC4lRPv+nEHuDCX75ohHHCit8gmgZC9QoDNOKGodmqSt5xPavS/FCUIZ
 zxEebMWDxrpczJ9FzwY4nVF/kVzVqJ9NaMn/qPFGfXCgR4orhx6JFje3FvikUzvOa2Z3
 NN8bE/M1NYHksqtqATjmzIxZJO91uUdjtkz/5BwuwjLXMudB0D3XYHurDVQR15hRGPpF
 E2tA==
X-Gm-Message-State: ANhLgQ23abfH5CD41xA8gIJwk22SCYAPd1ecGvd51v38OPJavikSwtQD
 yaswnxlgZfwKfj41eRMJ6aglk5dlyB+fruhRRyU=
X-Google-Smtp-Source: ADFU+vvZMEmWgCrKJ3GJhLfZ+J4HOJnfInHSqDoYfmU6a3x1bRtWxLf2u8h09n1nLYWIVf40Qa4C2ts1LlnENoRIBpA=
X-Received: by 2002:a05:6830:60a:: with SMTP id
 w10mr957248oti.292.1584476212262; 
 Tue, 17 Mar 2020 13:16:52 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 <lxeetrbc9e.fsf@HIDDEN>
 <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
 <lx7dzjatn9.fsf@HIDDEN>
In-Reply-To: <lx7dzjatn9.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Tue, 17 Mar 2020 20:16:14 +0000
Message-ID: <CAOqdjBfLkgRSrpEck6sFBUtuSXp12PiWp2ewmR4nGL+F4G07Eg@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Mar 17, 2020 at 3:27 PM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> Pip Cet <pipcet@HIDDEN> writes:
> > On Tue, Mar 17, 2020 at 8:45 AM Pieter van Oostrum
> > <pieter-l@HIDDEN> wrote:
> >> 0x12590f3f0:    0x0000000000000006      0x0000000000000000
> >> 0x12590f400:    0x000000000d4269c0      0x0000000000000000
> >
> > I'm suspicious about this "symbol". Is 0xd4269c0 a valid lisp value?
>
> I'm sorry. I don't know how to find out. I'm just a newbee with debugging elisp in gdb.

I believe "xprintsym 0xd4269c0" would work on macOS, too. I'm not sure
whether "pp 0xd4269c0" would.

"x/32gx 0xd4269c0" would also be interesting, potentially, if that is
a valid memory address.

> >> 0x12590f430:    0x0000000000000002      0x0000000000008df0
> >> 0x12590f440:    0x0000000005757688      0xa5a5a5a5a5a5a5a5
> >
> > This vector is weird. The first entry is a symbol, but the second
> > entry looks invalid to me: all other symbols are aligned to 16-byte
> > boundaries, and I don't think 0x5757688 is even a valid pointer.

"x/32gx 0x5757688" would also be interesting if it works.

> > Can you check which symbol corresponds to 0x8df0 in your build? It
> > should be the one with 757 in its define line in globals.h
> >
> > # define Qlibpng_version builtin_lisp_symbol (757)
>
> Sorry, again, I don't know how to find that symbol. I guess it's one of the functions defined in .gdbinit, but I don't know which one.
>
> And in globals.h, the numbers are different.
>
> # define Qlibpng_version builtin_lisp_symbol (687)
> # define Qmode_line builtin_lisp_symbol (757)

Thanks, that's precisely what I wanted to know. So it's a vector
[mode-line X], where X is either a very peculiar symbol or invalid.

> >> 0x12590f520:    0x4000000002002000      0x0000000200000003
> >> 0x12590f530:    0x000000011de53fc0      0xa5a5a5a5a5a5a5a5
> >
> > A real-life bignum! Can you print x/2gx 0x11de53fc0 so we figure out
> > what its value is? (And what's creating bignums in your session?)
>
> (gdb) x/2gx 0x11de53fc0
> 0x11de53fc0:    0xe3fedf0cbab410c0      0x0000000000000055
>
> I don't think there is something explicitely creating bignums. But could it be the result of a calculation that doesn't fit in an normal int?

It's a picosecond time stamp, so that's okay.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 17 Mar 2020 15:34:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 17 11:34:07 2020
Received: from localhost ([127.0.0.1]:39431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEEEJ-0003oL-8G
	for submit <at> debbugs.gnu.org; Tue, 17 Mar 2020 11:34:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jEEEH-0003ns-Kl
 for 39962 <at> debbugs.gnu.org; Tue, 17 Mar 2020 11:34:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36573)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jEEEB-0007XY-CC; Tue, 17 Mar 2020 11:33:59 -0400
Received: from [176.228.60.248] (port=4153 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jEEE6-0004pC-7G; Tue, 17 Mar 2020 11:33:58 -0400
Date: Tue, 17 Mar 2020 17:33:22 +0200
Message-Id: <83zhcff131.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-Reply-To: <lxmu8fbqwq.fsf@HIDDEN> (message from Pieter
 van Oostrum on Tue, 17 Mar 2020 04:29:09 +0100)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  39962 <at> debbugs.gnu.org,  eggert@HIDDEN
> Date: Tue, 17 Mar 2020 04:29:09 +0100
> 
> ./lisp.h:2623: Emacs fatal error: assertion failed: MARKERP (a)
> 
> Thread 3 hit Breakpoint 1, terminate_due_to_signal (sig=6, 
>     backtrace_limit=2147483647) at emacs.c:371
> 371	  signal (sig, SIG_DFL);
> (gdb) bt
> #0  terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:371
> #1  0x00000001002a4b2b in die (msg=0x1004f65cc "MARKERP (a)", 
>     file=0x1004f0449 "./lisp.h", line=2623) at alloc.c:7249
> #2  0x000000010023c21f in XMARKER (a=XIL(0x12590f575)) at ./lisp.h:2623
> #3  0x000000010023cdc5 in marker_position (marker=XIL(0x12590f575))
>     at marker.c:691
> #4  0x0000000100221335 in OVERLAY_POSITION (p=XIL(0x12590f575))
>     at ./buffer.h:1394
> #5  0x00000001002268d7 in report_overlay_modification (
>     start=make_fixnum(40255), end=make_fixnum(40255), after=false, 
>     arg1=make_fixnum(40255), arg2=make_fixnum(40255), arg3=XIL(0))
>     at buffer.c:4496

This is here:

      /* We are being called before a change.
	 Scan the overlays to find the functions to call.  */
      last_overlay_modification_hooks_used = 0;
      for (struct Lisp_Overlay *tail = current_buffer->overlays_before;
	   tail; tail = tail->next)
	{
	  ptrdiff_t startpos, endpos;
	  Lisp_Object ostart, oend;

	  Lisp_Object overlay = make_lisp_ptr (tail, Lisp_Vectorlike);

	  ostart = OVERLAY_START (overlay);
	  oend = OVERLAY_END (overlay);
	  endpos = OVERLAY_POSITION (oend); <<<<<<<<<<<<<<<<
	  if (XFIXNAT (start) > endpos)
	    break;
	  startpos = OVERLAY_POSITION (ostart);

Are this overlay's other fields valid?  E.g., what about ostart -- is
it a valid marker, and if so, what buffer does it point to? is that
buffer identical to current_buffer?

Also, can you go through this linked list of the overlays (it starts
at current_buffer->overlays_before), and see if there are other
overlays there that are similarly invalid?  Likewise with overlays
that start at current_buffer->overlays_after.

And what is current_buffer, anyway?  Any idea what are those overlays
in that buffer?

Btw, note that we again have mapatoms in the backtrace -- it
definitely has something to do with this.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 17 Mar 2020 15:27:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 17 11:27:48 2020
Received: from localhost ([127.0.0.1]:39427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEE8C-0003cS-FR
	for submit <at> debbugs.gnu.org; Tue, 17 Mar 2020 11:27:48 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:58477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jEE8B-0003cB-FD
 for 39962 <at> debbugs.gnu.org; Tue, 17 Mar 2020 11:27:48 -0400
X-ASG-Debug-ID: 1584458861-0a9db43b883653eb0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id X7rTeD8WBwM3Enaw
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Tue, 17 Mar 2020 16:27:41 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 10407 invoked from network); 17 Mar 2020 15:27:39 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 17 Mar 2020 15:27:39 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 034B6ABBD9C2;
 Tue, 17 Mar 2020 16:27:38 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 <lxeetrbc9e.fsf@HIDDEN>
 <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Tue, 17 Mar 2020 16:27:38 +0100
In-Reply-To: <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
 (Pip Cet's message of "Tue, 17 Mar 2020 13:54:05 +0000")
Message-ID: <lx7dzjatn9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584458861
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 2893
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.50
X-Barracuda-Spam-Status: No, SCORE=0.50 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_RULE7568M,
 BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80658
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
 0.50 BSF_RULE7568M          Custom Rule 7568M
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> On Tue, Mar 17, 2020 at 8:45 AM Pieter van Oostrum
> <pieter-l@HIDDEN> wrote:
>> Pip Cet <pipcet@HIDDEN> writes:
>> > On Tue, Mar 17, 2020 at 4:54 AM Pip Cet <pipcet@HIDDEN> wrote:
>> >> m has not been set; it would have been set to 0x12590f570; can you
>> >> print out the memory at that address? (x/32gx 0x12590f570)
>> >
>> > Actually, regardless of whether the pseudovector type is poisoned or
>> > zero,
>
> It's zero.
>
>> > it would be good to dump that entire vector block (x/512gx
>> > 0x12590f000)
>
>> 0x12590f3f0:    0x0000000000000006      0x0000000000000000
>> 0x12590f400:    0x000000000d4269c0      0x0000000000000000
>
> I'm suspicious about this "symbol". Is 0xd4269c0 a valid lisp value?

I'm sorry. I don't know how to find out. I'm just a newbee with debugging elisp in gdb.

>> 0x12590f430:    0x0000000000000002      0x0000000000008df0
>> 0x12590f440:    0x0000000005757688      0xa5a5a5a5a5a5a5a5
>
> This vector is weird. The first entry is a symbol, but the second
> entry looks invalid to me: all other symbols are aligned to 16-byte
> boundaries, and I don't think 0x5757688 is even a valid pointer.
>
> Can you check which symbol corresponds to 0x8df0 in your build? It
> should be the one with 757 in its define line in globals.h
>
> # define Qlibpng_version builtin_lisp_symbol (757)

Sorry, again, I don't know how to find that symbol. I guess it's one of the functions defined in .gdbinit, but I don't know which one.

And in globals.h, the numbers are different.

# define Qlibpng_version builtin_lisp_symbol (687)
# define Qmode_line builtin_lisp_symbol (757)


>> 0x12590f520:    0x4000000002002000      0x0000000200000003
>> 0x12590f530:    0x000000011de53fc0      0xa5a5a5a5a5a5a5a5
>
> A real-life bignum! Can you print x/2gx 0x11de53fc0 so we figure out
> what its value is? (And what's creating bignums in your session?)

(gdb) x/2gx 0x11de53fc0 
0x11de53fc0:	0xe3fedf0cbab410c0	0x0000000000000055

I don't think there is something explicitely creating bignums. But could it be the result of a calculation that doesn't fit in an normal int?
>
>> 0x12590f540:    0x4000000003005000      0x000000015b8a3b30
>> 0x12590f550:    0xa5a5a5a5a5a5a5a4      0x000000016082a820
>> 0x12590f560:    0x0000000000014ba0      0x0000000000014ba0
>> 0x12590f570:    0x0000000000000000      0x000000015b8a3b30
>
> That's our corrupt word.
>
>> 0x12590fbf0:    0x00000001079ffc00      0x0000000000000000
>
> And that's the end of the vector block.
>
> If you want to, you can try the attached patch and see whether it
> produces anything poisoned rather than merely corrupt.
>
I'll do that after I have extracted enough information from the current setting.

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 17 Mar 2020 13:54:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 17 09:54:53 2020
Received: from localhost ([127.0.0.1]:38303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jECgG-0007Gk-Ku
	for submit <at> debbugs.gnu.org; Tue, 17 Mar 2020 09:54:52 -0400
Received: from mail-oi1-f176.google.com ([209.85.167.176]:42720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jECgD-0007GT-ML
 for 39962 <at> debbugs.gnu.org; Tue, 17 Mar 2020 09:54:50 -0400
Received: by mail-oi1-f176.google.com with SMTP id 13so12854110oiy.9
 for <39962 <at> debbugs.gnu.org>; Tue, 17 Mar 2020 06:54:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=xCuLvMn3LKAkMVQ/RdkWxm1qDs2ZycXTdFrD4Fec33M=;
 b=EhpgXPQdV26kwl5WLHFzICuzcJjYUoIE9dzK8xEXNL3fupwlVsA6nD2WThj5c457M9
 mOViKZwn72J/NaSI77jLlkw2pzr4IG/WYbohiy5o6eQpJEvtgxczPUqIzbcRaGWFGYXB
 i8NyfUSLxWlj0IfmIDzjqNnLqM8CpmetgVi7w6BE5wwTig/cA4moPn4QnyM+qbAGqREh
 rHNOy7vdsvwryCiB7yICTKDibOh2yHz08ROagn93og+deVee8Wys0V4MnIkv7xuH8ZLA
 QfUvgPN43T1ps3dvcHiT9DiD7RDTQcxwRtKzNABpqPMGvt/MUZ4RwCpCRAaG0BJpKvxG
 YSvA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=xCuLvMn3LKAkMVQ/RdkWxm1qDs2ZycXTdFrD4Fec33M=;
 b=hvUrNQOERTlKuR2eaBvhqdq1DyiOzSovhK7f7k2CYvo63PpsRtNxgGo0afVgqbTziA
 vQiiIh03UKfoWyg9T691Knv78AZb6eprsnNPBgjmWMAIqIKeLWow51HsjUFP0B8KDLU5
 mtBvOxm4Cun7oyAmWMk8Oi/8TXWrP76lqA/m1MvxhPrFLu5gCSjb5qF/DR1uztba6iy/
 HpN1AaO4uFyu3dO++l/2RvIyhWK/aTX6DD0PDB5A9HlFJycsBLB1A0NXXFMcXgM46J08
 hUr1Syainh8ArdMTOz+r2M/NCYqGVDaKqxIJvK1nn6P6Fmu6ECgSxBJ+9jyCXSQpAHWV
 TdMQ==
X-Gm-Message-State: ANhLgQ0BsWuhsXPTkLVt3uPW+7XzMJ5MOuGu4uT7sot9v7JL6A14AXiM
 IswhNLBwj2FA/egQZmzilvkDXnze9IyHBXcH41k=
X-Google-Smtp-Source: ADFU+vs7Yzp6w4WM3Ep7SVjxGqDjr4ozNmodPnVYkeoVr7HfMy8XncfcGo7t94smuJsB0FkZZYVKblyze6/JFpWMN6o=
X-Received: by 2002:a54:4396:: with SMTP id u22mr3654851oiv.128.1584453284018; 
 Tue, 17 Mar 2020 06:54:44 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 <lxeetrbc9e.fsf@HIDDEN>
In-Reply-To: <lxeetrbc9e.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Tue, 17 Mar 2020 13:54:05 +0000
Message-ID: <CAOqdjBdY+_OUjQJJRVrCY-bLht+fXTrL=6qc6dzTT6vMP97J0A@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000028576905a10d479f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000028576905a10d479f
Content-Type: text/plain; charset="UTF-8"

On Tue, Mar 17, 2020 at 8:45 AM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> Pip Cet <pipcet@HIDDEN> writes:
> > On Tue, Mar 17, 2020 at 4:54 AM Pip Cet <pipcet@HIDDEN> wrote:
> >> m has not been set; it would have been set to 0x12590f570; can you
> >> print out the memory at that address? (x/32gx 0x12590f570)
> >
> > Actually, regardless of whether the pseudovector type is poisoned or
> > zero,

It's zero.

> > it would be good to dump that entire vector block (x/512gx
> > 0x12590f000)

> 0x12590f3f0:    0x0000000000000006      0x0000000000000000
> 0x12590f400:    0x000000000d4269c0      0x0000000000000000

I'm suspicious about this "symbol". Is 0xd4269c0 a valid lisp value?

> 0x12590f430:    0x0000000000000002      0x0000000000008df0
> 0x12590f440:    0x0000000005757688      0xa5a5a5a5a5a5a5a5

This vector is weird. The first entry is a symbol, but the second
entry looks invalid to me: all other symbols are aligned to 16-byte
boundaries, and I don't think 0x5757688 is even a valid pointer.

Can you check which symbol corresponds to 0x8df0 in your build? It
should be the one with 757 in its define line in globals.h

# define Qlibpng_version builtin_lisp_symbol (757)

> 0x12590f520:    0x4000000002002000      0x0000000200000003
> 0x12590f530:    0x000000011de53fc0      0xa5a5a5a5a5a5a5a5

A real-life bignum! Can you print x/2gx 0x11de53fc0 so we figure out
what its value is? (And what's creating bignums in your session?)

> 0x12590f540:    0x4000000003005000      0x000000015b8a3b30
> 0x12590f550:    0xa5a5a5a5a5a5a5a4      0x000000016082a820
> 0x12590f560:    0x0000000000014ba0      0x0000000000014ba0
> 0x12590f570:    0x0000000000000000      0x000000015b8a3b30

That's our corrupt word.

> 0x12590fbf0:    0x00000001079ffc00      0x0000000000000000

And that's the end of the vector block.

If you want to, you can try the attached patch and see whether it
produces anything poisoned rather than merely corrupt.

Thanks again!

--00000000000028576905a10d479f
Content-Type: text/x-patch; charset="US-ASCII"; name="0001-more-debugging.patch"
Content-Disposition: attachment; filename="0001-more-debugging.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k7vyi6hr0>
X-Attachment-Id: f_k7vyi6hr0
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--00000000000028576905a10d479f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 17 Mar 2020 08:45:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 17 04:45:45 2020
Received: from localhost ([127.0.0.1]:38168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jE7r6-0005TJ-GS
	for submit <at> debbugs.gnu.org; Tue, 17 Mar 2020 04:45:45 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:51847)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jE7r3-0005Sx-Sz
 for 39962 <at> debbugs.gnu.org; Tue, 17 Mar 2020 04:45:42 -0400
X-ASG-Debug-ID: 1584434736-0a9db43b893621570001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id p5MmQ2yXQZwgrh4a
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Tue, 17 Mar 2020 09:45:36 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 22087 invoked from network); 17 Mar 2020 08:45:36 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 17 Mar 2020 08:45:35 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 92081ABB8DBB;
 Tue, 17 Mar 2020 09:45:35 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Tue, 17 Mar 2020 09:45:33 +0100
In-Reply-To: <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
 (Pip Cet's message of "Tue, 17 Mar 2020 05:20:13 +0000")
Message-ID: <lxeetrbc9e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584434736
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 13910
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.50
X-Barracuda-Spam-Status: No, SCORE=0.50 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_RULE7568M,
 BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80651
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
 0.50 BSF_RULE7568M          Custom Rule 7568M
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> On Tue, Mar 17, 2020 at 4:54 AM Pip Cet <pipcet@HIDDEN> wrote:
>> m has not been set; it would have been set to 0x12590f570; can you
>> print out the memory at that address? (x/32gx 0x12590f570)
>
> Actually, regardless of whether the pseudovector type is poisoned or
> zero, it would be good to dump that entire vector block (x/512gx
> 0x12590f000)


(gdb) x/512gx 0x12590f000
0x12590f000:	0x0000000000000000	0x0000000000000000
0x12590f010:	0x0000000000000017	0x00000001256b9424
0x12590f020:	0x00000001256b9404	0x0000000000000000
0x12590f030:	0x000000011e462035	0x000000011e462065
0x12590f040:	0x000000001d5dd350	0x000000001d5dd3b0
0x12590f050:	0x0000000004679390	0x0000000160759b74
0x12590f060:	0x000000015b8f39d5	0x0000000000000000
0x12590f070:	0x0000000000000000	0x0000000000000000
0x12590f080:	0x0000000000000000	0x0000000000000000
0x12590f090:	0x0000000000000000	0x0000000000000000
0x12590f0a0:	0x0000000000000000	0x00000001608249a5
0x12590f0b0:	0x0000000000000000	0x0000000000000000
0x12590f0c0:	0x000000001d5dd350	0x0000000000000000
0x12590f0d0:	0x4000000003005000	0x000000015b8f39d0
0x12590f0e0:	0xa5a5a5a5a5a5a5a4	0x000000010df98aa0
0x12590f0f0:	0x000000000201db7b	0x000000000201db7b
0x12590f100:	0x4000000003005000	0x000000015b8f39d0
0x12590f110:	0xa5a5a5a5a5a5a5a4	0x000000012590f0d0
0x12590f120:	0x0000000002023612	0x0000000002023612
0x12590f130:	0x4000000003005000	0x000000015b8f39d0
0x12590f140:	0xa5a5a5a5a5a5a5a4	0x000000012590f100
0x12590f150:	0x0000000002023613	0x0000000002023613
0x12590f160:	0x0000000000000005	0x000000012590f255
0x12590f170:	0x000000012590f195	0x000000011e657125
0x12590f180:	0x000000011e6571d5	0x000000012590f295
0x12590f190:	0x0000000000000017	0x00000001256b93e4
0x12590f1a0:	0x00000001256b93c4	0x0000000000000000
0x12590f1b0:	0x000000011e463f35	0x000000011e463f65
0x12590f1c0:	0x000000001d5dd3e0	0x000000001d5dd440
0x12590f1d0:	0x0000000004679390	0x0000000160759b54
0x12590f1e0:	0x000000015b8f39d5	0x0000000000000000
0x12590f1f0:	0x0000000000000000	0x0000000000000000
0x12590f200:	0x0000000000000000	0x0000000000000000
0x12590f210:	0x0000000000000000	0x0000000000000000
0x12590f220:	0x0000000000000000	0x0000000160824a95
0x12590f230:	0x0000000000000000	0x0000000000000000
0x12590f240:	0x000000001d5dd3e0	0x0000000000000000
0x12590f250:	0x0000000000000006	0x0000000105d6fe45
0x12590f260:	0x0000000105d6fe75	0x0000000000000000
0x12590f270:	0x000000011e6570f5	0x0000000105d6fea5
0x12590f280:	0x0000000105d6fed5	0xa5a5a5a5a5a5a5a5
0x12590f290:	0x0000000000000006	0x0000000000000000
0x12590f2a0:	0x000000001d5dd410	0x0000000000000000
0x12590f2b0:	0x0000000105af1113	0x0000000000000000
0x12590f2c0:	0x0000000000000000	0xa5a5a5a5a5a5a5a5
0x12590f2d0:	0x4000000004001003	0x000000011e3b7f55
0x12590f2e0:	0x000000011e3b7f85	0x000000010e1e45f3
0x12590f2f0:	0x000000011e3b7ec0	0xa5a5a5a5a5a5a5a5
0x12590f300:	0x4000000003005000	0x000000015b6eedc0
0x12590f310:	0xa5a5a5a5a5a5a5a4	0x000000012590f5d0
0x12590f320:	0x00000000004d6218	0x00000000004d6218
0x12590f330:	0x4000000003005000	0x000000015b6eedc0
0x12590f340:	0xa5a5a5a5a5a5a5a4	0x000000012590f300
0x12590f350:	0x00000000004d6244	0x00000000004d6244
0x12590f360:	0x4000000003005000	0x000000015b8a3b30
0x12590f370:	0xa5a5a5a5a5a5a5a4	0x000000016082aa00
0x12590f380:	0x0000000000014b02	0x0000000000014b02
0x12590f390:	0x4000000003005000	0x000000015b8a3b30
0x12590f3a0:	0xa5a5a5a5a5a5a5a4	0x000000012590f360
0x12590f3b0:	0x0000000000014b5f	0x0000000000014b5f
0x12590f3c0:	0x4000000004001003	0x000000012590f365
0x12590f3d0:	0x000000012590f395	0x000000010e1e42e3
0x12590f3e0:	0x000000012590f2d0	0xa5a5a5a5a5a5a5a5
0x12590f3f0:	0x0000000000000006	0x0000000000000000
0x12590f400:	0x000000000d4269c0	0x0000000000000000
0x12590f410:	0x0000000000000000	0x0000000000000000
0x12590f420:	0x0000000000000000	0xa5a5a5a5a5a5a5a5
0x12590f430:	0x0000000000000002	0x0000000000008df0
0x12590f440:	0x0000000005757688	0xa5a5a5a5a5a5a5a5
0x12590f450:	0x4000000003005000	0x000000015b8a3b30
0x12590f460:	0xa5a5a5a5a5a5a5a4	0x000000016082a910
0x12590f470:	0x0000000000014b5f	0x0000000000014b5f
--Type <RET> for more, q to quit, c to continue without paging--c
0x12590f480:	0x4000000003005000	0x000000015b8a3b30
0x12590f490:	0xa5a5a5a5a5a5a5a4	0x000000012590f450
0x12590f4a0:	0x0000000000014ba0	0x0000000000014ba0
0x12590f4b0:	0x4000000004001003	0x000000012590f455
0x12590f4c0:	0x000000012590f485	0x000000010e1e37c3
0x12590f4d0:	0x000000012590f3c0	0xa5a5a5a5a5a5a5a5
0x12590f4e0:	0x0000000000000006	0x000000012590f305
0x12590f4f0:	0x000000012590f335	0x0000000000000000
0x12590f500:	0x0000000125f40675	0x0000000160d3f7a5
0x12590f510:	0x0000000160d3f7d5	0xa5a5a5a5a5a5a5a5
0x12590f520:	0x4000000002002000	0x0000000200000003
0x12590f530:	0x000000011de53fc0	0xa5a5a5a5a5a5a5a5
0x12590f540:	0x4000000003005000	0x000000015b8a3b30
0x12590f550:	0xa5a5a5a5a5a5a5a4	0x000000016082a820
0x12590f560:	0x0000000000014ba0	0x0000000000014ba0
0x12590f570:	0x0000000000000000	0x000000015b8a3b30
0x12590f580:	0xa5a5a5a5a5a5a5a4	0x000000012590f540
0x12590f590:	0x0000000000014bea	0x0000000000014bea
0x12590f5a0:	0x4000000004001003	0x000000012590f545
0x12590f5b0:	0x000000012590f575	0x000000010e1e2ee3
0x12590f5c0:	0x000000012590f4b0	0xa5a5a5a5a5a5a5a5
0x12590f5d0:	0x4000000003005000	0x000000015b6eedc0
0x12590f5e0:	0xa5a5a5a5a5a5a5a4	0x000000012590f6f0
0x12590f5f0:	0x00000000004d6218	0x00000000004d6218
0x12590f600:	0x0000000000000005	0x000000012590f4e5
0x12590f610:	0x0000000160e78c05	0x0000000125f406a5
0x12590f620:	0x0000000125f40755	0x000000012590f3f5
0x12590f630:	0x4000000003005000	0x000000015b8a3b30
0x12590f640:	0xa5a5a5a5a5a5a5a4	0x000000016082a730
0x12590f650:	0x0000000000014bea	0x0000000000014bea
0x12590f660:	0x4000000003005000	0x000000015b8a3b30
0x12590f670:	0xa5a5a5a5a5a5a5a4	0x000000012590f630
0x12590f680:	0x0000000000014c47	0x0000000000014c47
0x12590f690:	0x4000000004001003	0x000000012590f635
0x12590f6a0:	0x000000012590f665	0x000000010e1e9983
0x12590f6b0:	0x000000012590f5a0	0xa5a5a5a5a5a5a5a5
0x12590f6c0:	0x4000000003005000	0x000000015b6eedc0
0x12590f6d0:	0xa5a5a5a5a5a5a5a4	0x0000000125bec110
0x12590f6e0:	0x00000000004d4dc1	0x00000000004d4dc1
0x12590f6f0:	0x4000000003005000	0x000000015b6eedc0
0x12590f700:	0xa5a5a5a5a5a5a5a4	0x000000012590f6c0
0x12590f710:	0x00000000004d6217	0x00000000004d6217
0x12590f720:	0x4000000003005000	0x000000015b8a3b30
0x12590f730:	0xa5a5a5a5a5a5a5a4	0x000000016082a640
0x12590f740:	0x0000000000014c47	0x0000000000014c47
0x12590f750:	0x4000000003005000	0x000000015b8a3b30
0x12590f760:	0xa5a5a5a5a5a5a5a4	0x000000012590f720
0x12590f770:	0x0000000000014ca4	0x0000000000014ca4
0x12590f780:	0x4000000001001000	0x000000011e7e6c62
0x12590f790:	0x4000000003005000	0x000000015b8f39d0
0x12590f7a0:	0xa5a5a5a5a5a5a5a4	0x0000000160ab0400
0x12590f7b0:	0x00000000037026a3	0x00000000037026a3
0x12590f7c0:	0x4000000003005000	0x000000015b8f39d0
0x12590f7d0:	0xa5a5a5a5a5a5a5a4	0x000000012590f790
0x12590f7e0:	0x00000000037026a4	0x00000000037026a4
0x12590f7f0:	0x0000000000000005	0x000000012590f8e5
0x12590f800:	0x000000012590f825	0x0000000125ca5745
0x12590f810:	0x0000000125ca57f5	0x000000012590f925
0x12590f820:	0x0000000000000017	0x0000000160655624
0x12590f830:	0x0000000160655604	0x0000000000000000
0x12590f840:	0x000000010e56e6f5	0x000000010e56e725
0x12590f850:	0x000000001dd58ab0	0x000000000cfa8b20
0x12590f860:	0x0000000004679390	0x000000010d7f8a34
0x12590f870:	0x000000015b8f39d5	0x0000000000000000
0x12590f880:	0x0000000000000000	0x0000000000000000
0x12590f890:	0x0000000000000000	0x0000000000000000
0x12590f8a0:	0x0000000000000000	0x0000000000000000
0x12590f8b0:	0x0000000000000000	0x000000011e436a55
0x12590f8c0:	0x0000000000000000	0x0000000000000000
0x12590f8d0:	0x000000001dd58ab0	0x0000000000000000
0x12590f8e0:	0x0000000000000006	0x000000012590f965
0x12590f8f0:	0x000000012590f995	0x0000000000000000
0x12590f900:	0x0000000160b973b5	0x000000012590f9c5
0x12590f910:	0x000000012590f9f5	0xa5a5a5a5a5a5a5a5
0x12590f920:	0x0000000000000006	0x0000000000000000
0x12590f930:	0x000000000cfa8af0	0x0000000000000000
0x12590f940:	0x0000000000000000	0x0000000000000000
0x12590f950:	0x0000000000000000	0xa5a5a5a5a5a5a5a5
0x12590f960:	0x4000000003005000	0x000000015b8f39d0
0x12590f970:	0xa5a5a5a5a5a5a5a4	0x000000012590f7c0
0x12590f980:	0x00000000037026a4	0x00000000037026a4
0x12590f990:	0x4000000003005000	0x000000015b8f39d0
0x12590f9a0:	0xa5a5a5a5a5a5a5a4	0x000000012590f960
0x12590f9b0:	0x0000000003702728	0x0000000003702728
0x12590f9c0:	0x4000000003005000	0x000000015b8f39d0
0x12590f9d0:	0xa5a5a5a5a5a5a5a4	0x000000012590f990
0x12590f9e0:	0x0000000003708343	0x0000000003708343
0x12590f9f0:	0x4000000003005000	0x000000015b8f39d0
0x12590fa00:	0xa5a5a5a5a5a5a5a4	0x000000012590f9c0
0x12590fa10:	0x0000000003708344	0x0000000003708344
0x12590fa20:	0x0000000000000005	0x000000012590fb15
0x12590fa30:	0x000000012590fa55	0x0000000125ca59c5
0x12590fa40:	0x0000000125ca5a75	0x000000012590fb55
0x12590fa50:	0x0000000000000017	0x00000001606555e4
0x12590fa60:	0x00000001606555c4	0x0000000000000000
0x12590fa70:	0x000000010e56e755	0x000000010e56e785
0x12590fa80:	0x000000000cfa8b50	0x000000000cfa8bb0
0x12590fa90:	0x0000000004679390	0x000000010d7f8a14
0x12590faa0:	0x000000015b8f39d5	0x0000000000000000
0x12590fab0:	0x0000000000000000	0x0000000000000000
0x12590fac0:	0x0000000000000000	0x0000000000000000
0x12590fad0:	0x0000000000000000	0x0000000000000000
0x12590fae0:	0x0000000000000000	0x000000011e436b45
0x12590faf0:	0x0000000000000000	0x0000000000000000
0x12590fb00:	0x000000000cfa8b50	0x0000000000000000
0x12590fb10:	0x0000000000000006	0x000000012590fb95
0x12590fb20:	0x000000012590fbc5	0x0000000000000000
0x12590fb30:	0x0000000125ca5995	0x000000010e078605
0x12590fb40:	0x000000010e078635	0xa5a5a5a5a5a5a5a5
0x12590fb50:	0x0000000000000006	0x0000000000000000
0x12590fb60:	0x000000000cfa8b80	0x0000000000000000
0x12590fb70:	0x0000000000000000	0x0000000000000000
0x12590fb80:	0x0000000000000000	0xa5a5a5a5a5a5a5a5
0x12590fb90:	0x4000000003005000	0x000000015b8f39d0
0x12590fba0:	0xa5a5a5a5a5a5a5a4	0x000000012590f9f0
0x12590fbb0:	0x0000000003708344	0x0000000003708344
0x12590fbc0:	0x4000000003005000	0x000000015b8f39d0
0x12590fbd0:	0xa5a5a5a5a5a5a5a4	0x000000012590fb90
0x12590fbe0:	0x00000000037083c8	0x00000000037083c8
0x12590fbf0:	0x00000001079ffc00	0x0000000000000000
0x12590fc00:	0x0000000000000002	0x0000000000004c9a
0x12590fc10:	0x000000012590fca8	0x0000000000000000
0x12590fc20:	0x000000012590fd18	0x0000000125907fc0
0x12590fc30:	0x000000010e764273	0x0000000000000001
0x12590fc40:	0x000000000000008c	0x0000000000000000
0x12590fc50:	0x0000000000000000	0x00000001609e4bb8
0x12590fc60:	0x0000000125913c80	0x0000000160ae8563
0x12590fc70:	0x0000000000000003	0x0000000000000099
0x12590fc80:	0x000000012590fdc0	0x000000012590fed8
0x12590fc90:	0x000000012590fd50	0x0000000125913c80
0x12590fca0:	0x0000000160ae6f33	0x0000000000000001
0x12590fcb0:	0x0000000000004c99	0x0000000000000000
0x12590fcc0:	0x0000000000000000	0x000000012590fc00
0x12590fcd0:	0x0000000125913cc0	0x000000010e764843
0x12590fce0:	0x0000000000000001	0x0000000000000096
0x12590fcf0:	0x0000000000000000	0x0000000000000000
0x12590fd00:	0x000000012590fd50	0x0000000125913cc0
0x12590fd10:	0x0000000160ae83d3	0x0000000000000007
0x12590fd20:	0x0000000000004c96	0x000000012590fd88
0x12590fd30:	0x000000012590fc00	0x0000000125907b80
0x12590fd40:	0x0000000125913d00	0x000000010e764863
0x12590fd50:	0x0000000000000005	0x0000000000000097
0x12590fd60:	0x000000012590fce0	0x000000012590fc70
0x12590fd70:	0x000000012590fdf8	0x0000000125913d00
0x12590fd80:	0x0000000160ae6fb3	0x0000000000000002
0x12590fd90:	0x0000000000004c94	0x0000000000000000
0x12590fda0:	0x0000000000000000	0x000000012590fd18
0x12590fdb0:	0x0000000125913dc0	0x000000010e764883
0x12590fdc0:	0x0000000000000001	0x0000000000000098
0x12590fdd0:	0x0000000000000000	0x0000000000000000
0x12590fde0:	0x000000012590fc70	0x0000000125913dc0
0x12590fdf0:	0x0000000160ae6f73	0x000000000000000b
0x12590fe00:	0x000000000000009b	0x000000012590fd50
0x12590fe10:	0x000000012590ff80	0x00000001609e4bb8
0x12590fe20:	0x0000000000000000	0x0000000160ae6eb3
0x12590fe30:	0x000000000000000d	0x0000000000000000
0x12590fe40:	0x0000000000000000	0x000000012590fe68
0x12590fe50:	0x0000000125731bc4	0x0000000000000001
0x12590fe60:	0x0000000000000000	0x0000000000000005
0x12590fe70:	0x0000000000000008	0x0000000000000000
0x12590fe80:	0x0000000000000000	0x000000012590fe30
0x12590fe90:	0x0000000000000000	0x0000000160ae7f23
0x12590fea0:	0x000000000000008e	0x0000000000004c68
0x12590feb0:	0x000000012590ff48	0x0000000125907b80
0x12590fec0:	0x00000001609e48e0	0x0000000000000000
0x12590fed0:	0x000000010e764ae3	0x0000000000000001
0x12590fee0:	0x000000000000009a	0x0000000000000000
0x12590fef0:	0x0000000000000000	0x000000012590fc70
0x12590ff00:	0x0000000000000000	0x0000000160ae6ef3
0x12590ff10:	0x0000000000000101	0x00000000000000a1
0x12590ff20:	0x0000000160f38748	0x000000011e7d7000
0x12590ff30:	0x000000016070fca5	0x0000000000000001
0x12590ff40:	0x0000000160ae6e33	0x0000000000000031
0x12590ff50:	0x0000000000004c3e	0x00000001609e4838
0x12590ff60:	0x0000000000000000	0x000000012590fea0
0x12590ff70:	0x0000000000000000	0x000000010e764b03
0x12590ff80:	0x0000000000000001	0x00000000000000a0
0x12590ff90:	0x0000000000000000	0x0000000000000000
0x12590ffa0:	0x000000012590fdf8	0x0000000000000000
0x12590ffb0:	0x0000000160ae6e73	0x0000000000000002
0x12590ffc0:	0x0000000000004c3d	0x00000001609e4800
0x12590ffd0:	0x0000000000000000	0x00000001609e4838
0x12590ffe0:	0x0000000000000000	0x000000010e764b33
0x12590fff0:	0x00000001609e4800	0x0000000000000000
(gdb) 

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 17 Mar 2020 08:40:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 17 04:40:52 2020
Received: from localhost ([127.0.0.1]:38164 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jE7mN-0005LG-Tw
	for submit <at> debbugs.gnu.org; Tue, 17 Mar 2020 04:40:52 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:50640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jE7mM-0005L0-E9
 for 39962 <at> debbugs.gnu.org; Tue, 17 Mar 2020 04:40:51 -0400
X-ASG-Debug-ID: 1584434444-0a9db43b8b3622410001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id THBPg2U5J4ixsw5y
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Tue, 17 Mar 2020 09:40:44 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 12659 invoked from network); 17 Mar 2020 08:40:44 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 17 Mar 2020 08:40:44 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id D6B35ABB8D14;
 Tue, 17 Mar 2020 09:40:43 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Tue, 17 Mar 2020 09:40:43 +0100
In-Reply-To: <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
 (Pip Cet's message of "Tue, 17 Mar 2020 04:54:31 +0000")
Message-ID: <lximj3bchg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584434444
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Barracuda-BRTS-Status: 1
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 1566
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80651
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> On Tue, Mar 17, 2020 at 3:29 AM Pieter van Oostrum
> <pieter-l@HIDDEN> wrote:
>
>> (gdb) f 3
>> #3  0x000000010023cdc5 in marker_position (marker=XIL(0x12590f575))
>>     at marker.c:691
>> 691       register struct Lisp_Marker *m = XMARKER (marker);
>> (gdb) p marker
>> $1 = XIL(0x12590f575)
>> (gdb) xtype
>> Lisp_Vectorlike
>> PVEC_NORMAL_VECTOR
>> (gdb) p m
>> $2 = (struct Lisp_Marker *) 0x7ffeefbe92d0
>
> m has not been set; it would have been set to 0x12590f570; can you
> print out the memory at that address? (x/32gx 0x12590f570)

(gdb) x/32gx 0x12590f570
0x12590f570:	0x0000000000000000	0x000000015b8a3b30
0x12590f580:	0xa5a5a5a5a5a5a5a4	0x000000012590f540
0x12590f590:	0x0000000000014bea	0x0000000000014bea
0x12590f5a0:	0x4000000004001003	0x000000012590f545
0x12590f5b0:	0x000000012590f575	0x000000010e1e2ee3
0x12590f5c0:	0x000000012590f4b0	0xa5a5a5a5a5a5a5a5
0x12590f5d0:	0x4000000003005000	0x000000015b6eedc0
0x12590f5e0:	0xa5a5a5a5a5a5a5a4	0x000000012590f6f0
0x12590f5f0:	0x00000000004d6218	0x00000000004d6218
0x12590f600:	0x0000000000000005	0x000000012590f4e5
0x12590f610:	0x0000000160e78c05	0x0000000125f406a5
0x12590f620:	0x0000000125f40755	0x000000012590f3f5
0x12590f630:	0x4000000003005000	0x000000015b8a3b30
0x12590f640:	0xa5a5a5a5a5a5a5a4	0x000000016082a730
0x12590f650:	0x0000000000014bea	0x0000000000014bea
0x12590f660:	0x4000000003005000	0x000000015b8a3b30
(gdb) 

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 17 Mar 2020 05:20:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 17 01:20:59 2020
Received: from localhost ([127.0.0.1]:38058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jE4ex-0008Rt-0v
	for submit <at> debbugs.gnu.org; Tue, 17 Mar 2020 01:20:59 -0400
Received: from mail-oi1-f170.google.com ([209.85.167.170]:34172)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jE4eu-0008Rh-Vh
 for 39962 <at> debbugs.gnu.org; Tue, 17 Mar 2020 01:20:57 -0400
Received: by mail-oi1-f170.google.com with SMTP id j5so4440852oij.1
 for <39962 <at> debbugs.gnu.org>; Mon, 16 Mar 2020 22:20:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=u/CxTtsGHRPRzlIRvIg/jcX5CQMFBZAABLrreYvkZX4=;
 b=lGF1skjFe1OC8RvqyyoL7GUtMAU3IkxFphW0LF4InNiBF4qV/GHRu6TCsURcbad50h
 qTSONNbUMjni9/579cNJ9cihoWEKGdbhtu3/xz4Hpm6lFPaZqCUPQcJYx6dNrQqU+nMs
 c9pTP6vtmoJ+ik99kOyvTWa6GaMz57h4cfqur7aNZahKbtVpq9aFRepAovh6MSzmBxEV
 +ClfsAUlp/XcA1OPnQ0kQdA+iIyKyYZWTCkaDfpLWCuqQ30Wi2guToa3xeA4m51pFHc1
 JX7T4MQxIKkBFqfgGwM3kLFkcc2fwJ3N4lUFNtebYoZiEHWfAZLGtZuWg+AhWn/dXwd8
 jlJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=u/CxTtsGHRPRzlIRvIg/jcX5CQMFBZAABLrreYvkZX4=;
 b=EwnYzy/N/v1RlO2bibqxvrmHaAORjXaBkerVKe73vzZ2tBurGJa9Ng2kyCLmoz2xDm
 wlHAzObI9UfYD6HGq81jEva3FGPeerq11ikxXud/hdKN6N9vJTERhuM27jOm3yG/sclK
 NCkoTGe1A2jPEbuCgbhXo7GQCGZUaKa98kjhYTp31aOSb1zXoP7F4++KRIsc6YxCnD+X
 W6aCcDNZw9D0bp3haqA69ZcRDC4X4YMTrHvupqOVQAh9Y+dB6oW6s3NwNd2IWbysW0Qz
 oTHq9J7fj2aH5qyVYco5t810yFrCpymBxTGhA21RWEtrbH/44Tw/hltxTn81n96ZFqu/
 updQ==
X-Gm-Message-State: ANhLgQ20Rol9gUUNd7es1rzw5pRCdmgkDuSd8lwNPgk48I8s5n+mgbJ+
 HnM2jU9PUZvnc1F57iufW01HtA7k4Yr8y+RpKUw=
X-Google-Smtp-Source: ADFU+vvq3dI0z5IFdDWwAOJlMIqwm+T1WPRkah0l43SoM0hHug+wbcwYGMtOl3qXggy6nW0C9pzvwegMFh8YGmiLHPE=
X-Received: by 2002:aca:d553:: with SMTP id m80mr2321358oig.30.1584422451451; 
 Mon, 16 Mar 2020 22:20:51 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
 <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
In-Reply-To: <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Tue, 17 Mar 2020 05:20:13 +0000
Message-ID: <CAOqdjBdjC_CpFSWNLP_6udArjSdS2Rc55b4yAYCYcW_HEwkLxA@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Mar 17, 2020 at 4:54 AM Pip Cet <pipcet@HIDDEN> wrote:
> m has not been set; it would have been set to 0x12590f570; can you
> print out the memory at that address? (x/32gx 0x12590f570)

Actually, regardless of whether the pseudovector type is poisoned or
zero, it would be good to dump that entire vector block (x/512gx
0x12590f000)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 17 Mar 2020 04:55:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 17 00:55:16 2020
Received: from localhost ([127.0.0.1]:38053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jE4G3-0007lm-VP
	for submit <at> debbugs.gnu.org; Tue, 17 Mar 2020 00:55:16 -0400
Received: from mail-ot1-f52.google.com ([209.85.210.52]:42278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jE4G1-0007lW-V3
 for 39962 <at> debbugs.gnu.org; Tue, 17 Mar 2020 00:55:14 -0400
Received: by mail-ot1-f52.google.com with SMTP id 66so20350231otd.9
 for <39962 <at> debbugs.gnu.org>; Mon, 16 Mar 2020 21:55:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=wDV7VPQjgE8gfvQ2sBm94at6ucbjrBu3T4WHuIXZRlc=;
 b=beK4DWqf4OpyEFm4O+MP8rzesrEv0as7fVnm3texpeOZUgSD56SBW632AE4oPd3w0r
 VX2GANsUI2oZdudN0aQqsUImtbNuOTgUDlOLsRr5eGBpODJKiqcAvDfI6PzeAjudxyOw
 OnrZsy1K5Ya1xdRxKZw/zfpRNfnV0h9ZpV/AiThD5HJe0becat/e2jSwqj41smYOkj6t
 7eaSTimWth/NWfRWPmjQA5DjXZ7uKncPzcHMIqg1VpvH7YqdHc7C05dyL4VT9l0OPABP
 TWDr2IDj9K2sIedX9MTyaO0SwwPxyyw8CVotHVpCrB0lRvve5zB+yL8gToUScSYGVe8Q
 SmlA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=wDV7VPQjgE8gfvQ2sBm94at6ucbjrBu3T4WHuIXZRlc=;
 b=hbVhHSv2WSsFY/5VJsX1GrQTTkyrMPPqLiYLP6Z3GoL3hm+ldNDvH1TjWtMQFWezz+
 vHsGThrd08/kVfzM+jX6ejfIfEuPYRmRLCqTnQHIVM9PCT4/B8jNteUVzZNcmpD8MRA5
 QUXCafMQgpwfl3YPdrq7NedbklpoGX9vnUSxgGvZZWKgaX86Ffan+p1Y6nxwrplCfZmB
 9w4WzmJA5HlAHRXr23AlIOwmI19g9BlhioeOHGoxkpS33oOYZRbfHYUDkJK9n4kpIoJG
 7hxkButgIEYXSDb4bEuy0aBtmDkcWIJmy8baGOgPS1cF3f/78o3QwUP+MtqMOrRLHDFa
 Cg6Q==
X-Gm-Message-State: ANhLgQ067NUWanBt968QQ24keK0qCUSioRbZTIiK7m18iOuDznZf7Tm4
 GhKW2Es0blBU7566lA3oeedubl5uvhQp1MtK0ak=
X-Google-Smtp-Source: ADFU+vtf6tTk2v27VlQQi6LSytpnKpv9fzpVRybzAnV9slo79cmyBpvM2g5fIqm5Ssz0h6b7hLJqGiqjEQAQ8UvPsVs=
X-Received: by 2002:a05:6830:19ee:: with SMTP id
 t14mr2319156ott.287.1584420908215; 
 Mon, 16 Mar 2020 21:55:08 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 <lxmu8fbqwq.fsf@HIDDEN>
In-Reply-To: <lxmu8fbqwq.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Tue, 17 Mar 2020 04:54:31 +0000
Message-ID: <CAOqdjBeifu+C5L4cw9SviFvk-N64=hjPaT2saHX=XL4ZdsUe3g@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Mar 17, 2020 at 3:29 AM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> Pip Cet <pipcet@HIDDEN> writes:
>
> > Another thing we could try is poisoning the memory area used by a
> > vector when we put it on the free list. Something like the attached
> > patch might work.
>
> I made a new compile with the patch 0001-poison-memory-of-vectors-put-on-=
the-free-list.patch applied and also the latest 0001-Don-t-collect-reachabl=
e-killed-buffers-during-GC.patch (from message ID <CAOqdjBfeL-T8grB+sW+jLoW=
-JX8Y0siFTzG1q0o+Skc+sKvtSQ@HIDDEN>) applied.

Thanks!

> (gdb) f 3
> #3  0x000000010023cdc5 in marker_position (marker=3DXIL(0x12590f575))
>     at marker.c:691
> 691       register struct Lisp_Marker *m =3D XMARKER (marker);
> (gdb) p marker
> $1 =3D XIL(0x12590f575)
> (gdb) xtype
> Lisp_Vectorlike
> PVEC_NORMAL_VECTOR
> (gdb) p m
> $2 =3D (struct Lisp_Marker *) 0x7ffeefbe92d0

m has not been set; it would have been set to 0x12590f570; can you
print out the memory at that address? (x/32gx 0x12590f570)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 17 Mar 2020 03:29:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 16 23:29:21 2020
Received: from localhost ([127.0.0.1]:38023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jE2uu-0005To-Pm
	for submit <at> debbugs.gnu.org; Mon, 16 Mar 2020 23:29:21 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:41493)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jE2us-0005TP-Hv
 for 39962 <at> debbugs.gnu.org; Mon, 16 Mar 2020 23:29:19 -0400
X-ASG-Debug-ID: 1584415750-0a9db43b8b360dd70001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id JEBd5TYULPxnaSJx
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Tue, 17 Mar 2020 04:29:11 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 32090 invoked from network); 17 Mar 2020 03:29:10 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 17 Mar 2020 03:29:10 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 3EE0CABB5B5B;
 Tue, 17 Mar 2020 04:29:10 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Tue, 17 Mar 2020 04:29:09 +0100
In-Reply-To: <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
 (Pip Cet's message of "Mon, 16 Mar 2020 17:19:52 +0000")
Message-ID: <lxmu8fbqwq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584415751
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 15055
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 1.00
X-Barracuda-Spam-Status: No, SCORE=1.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_RULE7568M,
 BSF_SC0_MISMATCH_TO, BSF_SC1_TG070
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80647
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
 0.50 BSF_RULE7568M          Custom Rule 7568M
 0.50 BSF_SC1_TG070          Custom Rule TG070
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> Another thing we could try is poisoning the memory area used by a
> vector when we put it on the free list. Something like the attached
> patch might work.

I made a new compile with the patch 0001-poison-memory-of-vectors-put-on-the-free-list.patch applied and also the latest 0001-Don-t-collect-reachable-killed-buffers-during-GC.patch (from message ID <CAOqdjBfeL-T8grB+sW+jLoW-JX8Y0siFTzG1q0o+Skc+sKvtSQ@HIDDEN>) applied.

I get a crash about a mal-formed marker, but now in the running code, not in the GC.


./lisp.h:2623: Emacs fatal error: assertion failed: MARKERP (a)
--Type <RET> for more, q to quit, c to continue without paging--

Thread 3 hit Breakpoint 1, terminate_due_to_signal (sig=6, 
    backtrace_limit=2147483647) at emacs.c:371
371	  signal (sig, SIG_DFL);
(gdb) bt
#0  terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:371
#1  0x00000001002a4b2b in die (msg=0x1004f65cc "MARKERP (a)", 
    file=0x1004f0449 "./lisp.h", line=2623) at alloc.c:7249
#2  0x000000010023c21f in XMARKER (a=XIL(0x12590f575)) at ./lisp.h:2623
#3  0x000000010023cdc5 in marker_position (marker=XIL(0x12590f575))
    at marker.c:691
#4  0x0000000100221335 in OVERLAY_POSITION (p=XIL(0x12590f575))
    at ./buffer.h:1394
#5  0x00000001002268d7 in report_overlay_modification (
    start=make_fixnum(40255), end=make_fixnum(40255), after=false, 
    arg1=make_fixnum(40255), arg2=make_fixnum(40255), arg3=XIL(0))
    at buffer.c:4496
#6  0x0000000100239462 in signal_before_change (start_int=40255, 
    end_int=40255, preserve_ptr=0x0) at insdel.c:2179
#7  0x000000010023878b in prepare_to_modify_buffer_1 (start=40255, end=40255, 
    preserve_ptr=0x0) at insdel.c:2007
#8  0x00000001002339a5 in prepare_to_modify_buffer (start=40255, end=40255, 
    preserve_ptr=0x0) at insdel.c:2018
#9  0x0000000100234067 in insert_from_string_1 (string=XIL(0x1607b3984), 
    pos=0, pos_byte=0, nchars=2, nbytes=2, inherit=false, before_markers=false)
    at insdel.c:1016
#10 0x0000000100233e88 in insert_from_string (string=XIL(0x1607b3984), pos=0, 
    pos_byte=0, length=2, length_byte=2, inherit=false) at insdel.c:967
#11 0x00000001002ec572 in general_insert_function (
    insert_func=0x100232120 <insert>, 
    insert_from_string_func=0x100233df0 <insert_from_string>, inherit=false, 
    nargs=1, args=0x7ffeefbe9af8) at editfns.c:1334
#12 0x00000001002ec28b in Finsert (nargs=1, args=0x7ffeefbe9af8)
    at editfns.c:1370
#13 0x00000001003a7df3 in exec_byte_code (bytestr=XIL(0x10d555e74), 
    vector=XIL(0x10dbc0e65), maxdepth=make_fixnum(6), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:1075
#14 0x00000001003174d6 in funcall_lambda (fun=XIL(0x10dbc1005), nargs=1, 
    arg_vector=0x7ffeefbeac90) at eval.c:3067
#15 0x0000000100314c9e in Ffuncall (nargs=2, args=0x7ffeefbeac88)
    at eval.c:2796
#16 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10d555cd4), 
    vector=XIL(0x10dbbf105), maxdepth=make_fixnum(3), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:633
#17 0x00000001003174d6 in funcall_lambda (fun=XIL(0x10dbbf155), nargs=0, 
    arg_vector=0x7ffeefbebc60) at eval.c:3067
#18 0x0000000100314c9e in Ffuncall (nargs=1, args=0x7ffeefbebc58)
    at eval.c:2796
#19 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10bcb9c54), 
    vector=XIL(0x105e347e5), maxdepth=make_fixnum(4), args_template=XIL(0), 
    nargs=0, args=0x0) at bytecode.c:633
#20 0x00000001003174d6 in funcall_lambda (fun=XIL(0x105e34885), nargs=1, 
    arg_vector=0x7ffeefbecc60) at eval.c:3067
#21 0x0000000100314c9e in Ffuncall (nargs=2, args=0x7ffeefbecc58)
--Type <RET> for more, q to quit, c to continue without paging--c
   
#22 0x0000000100315d54 in call1 (fn=XIL(0x105e34885), arg1=XIL(0xda2bad0)) at eval.c:2654
#23 0x000000010037ab0d in mapatoms_1 (sym=XIL(0xda2bad0), function=XIL(0x105e34885)) at lread.c:4380
#24 0x000000010037a9ae in map_obarray (obarray=XIL(0x10e062585), fn=0x10037aaf0 <mapatoms_1>, arg=XIL(0x105e34885)) at lread.c:4369
#25 0x000000010037aad1 in Fmapatoms (function=XIL(0x105e34885), obarray=XIL(0x10e062585)) at lread.c:4391
#26 0x000000010031666c in funcall_subr (subr=0x10055b588, numargs=2, args=0x7ffeefbecfb0) at eval.c:2869
#27 0x0000000100314c4e in Ffuncall (nargs=3, args=0x7ffeefbecfa8) at eval.c:2794
#28 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10bcb9c14), vector=XIL(0x105e348b5), maxdepth=make_fixnum(6), args_template=XIL(0), nargs=0, args=0x0) at bytecode.c:633
#29 0x00000001003174d6 in funcall_lambda (fun=XIL(0x105e349a5), nargs=0, arg_vector=0x7ffeefbedfd0) at eval.c:3067
#30 0x0000000100314c9e in Ffuncall (nargs=1, args=0x7ffeefbedfc8) at eval.c:2796
#31 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10d3c1e64), vector=XIL(0x104a577f5), maxdepth=make_fixnum(13), args_template=XIL(0), nargs=0, args=0x0) at bytecode.c:633
#32 0x00000001003174d6 in funcall_lambda (fun=XIL(0x10dcd81a5), nargs=9, arg_vector=0x7ffeefbef420) at eval.c:3067
#33 0x0000000100314c9e in Ffuncall (nargs=10, args=0x7ffeefbef418) at eval.c:2796
#34 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10d3c16a4), vector=XIL(0x10daee0a5), maxdepth=make_fixnum(11), args_template=XIL(0), nargs=0, args=0x0) at bytecode.c:633
#35 0x00000001003174d6 in funcall_lambda (fun=XIL(0x10dcfa1b5), nargs=2, arg_vector=0x7ffeefbf0770) at eval.c:3067
#36 0x0000000100314c9e in Ffuncall (nargs=3, args=0x7ffeefbf0768) at eval.c:2796
#37 0x00000001002fda6a in Ffuncall_interactively (nargs=3, args=0x7ffeefbf0768) at callint.c:254
#38 0x0000000100316526 in funcall_subr (subr=0x100558d98, numargs=3, args=0x7ffeefbf0768) at eval.c:2847
#39 0x0000000100314c4e in Ffuncall (nargs=4, args=0x7ffeefbf0760) at eval.c:2794
#40 0x0000000100314a06 in Fapply (nargs=3, args=0x7ffeefbf1500) at eval.c:2424
#41 0x00000001002fdfd0 in Fcall_interactively (function=XIL(0x54b0790), record_flag=XIL(0xa770), keys=XIL(0x11e7468a5)) at callint.c:342
#42 0x00000001003166a2 in funcall_subr (subr=0x100558d68, numargs=3, args=0x7ffeefbf17d0) at eval.c:2872
#43 0x0000000100314c4e in Ffuncall (nargs=4, args=0x7ffeefbf17c8) at eval.c:2794
#44 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10623df8c), vector=XIL(0x10623dadd), maxdepth=make_fixnum(13), args_template=make_fixnum(1025), nargs=2, args=0x7ffeefbf2848) at bytecode.c:633
#45 0x0000000100316d35 in funcall_lambda (fun=XIL(0x10623daad), nargs=2, arg_vector=0x7ffeefbf2838) at eval.c:2989
#46 0x0000000100314c9e in Ffuncall (nargs=3, args=0x7ffeefbf2830) at eval.c:2796
#47 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10627ee64), vector=XIL(0x10627e965), maxdepth=make_fixnum(15), args_template=make_fixnum(769), nargs=3, args=0x7ffeefbf3be8) at bytecode.c:633
#48 0x0000000100316d35 in funcall_lambda (fun=XIL(0x10627d80d), nargs=3, arg_vector=0x7ffeefbf3bd0) at eval.c:2989
#49 0x0000000100314c9e in Ffuncall (nargs=4, args=0x7ffeefbf3bc8) at eval.c:2796
#50 0x00000001002fda6a in Ffuncall_interactively (nargs=4, args=0x7ffeefbf3bc8) at callint.c:254
#51 0x0000000100316526 in funcall_subr (subr=0x100558d98, numargs=4, args=0x7ffeefbf3bc8) at eval.c:2847
#52 0x0000000100314c4e in Ffuncall (nargs=5, args=0x7ffeefbf3bc0) at eval.c:2794
#53 0x0000000100314a06 in Fapply (nargs=3, args=0x7ffeefbf4970) at eval.c:2424
#54 0x00000001002fdfd0 in Fcall_interactively (function=XIL(0x5844aa8), record_flag=XIL(0), keys=XIL(0x160a78fd5)) at callint.c:342
#55 0x00000001003166a2 in funcall_subr (subr=0x100558d68, numargs=3, args=0x7ffeefbf4c40) at eval.c:2872
#56 0x0000000100314c4e in Ffuncall (nargs=4, args=0x7ffeefbf4c38) at eval.c:2794
#57 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10623df8c), vector=XIL(0x10623dadd), maxdepth=make_fixnum(13), args_template=make_fixnum(1025), nargs=1, args=0x7ffeefbf5ca8) at bytecode.c:633
#58 0x0000000100316d35 in funcall_lambda (fun=XIL(0x10623daad), nargs=1, arg_vector=0x7ffeefbf5ca0) at eval.c:2989
#59 0x0000000100314c9e in Ffuncall (nargs=2, args=0x7ffeefbf5c98) at eval.c:2796
#60 0x0000000100315d54 in call1 (fn=XIL(0x3960), arg1=XIL(0x5844aa8)) at eval.c:2654
#61 0x00000001001c76b0 in command_loop_1 () at keyboard.c:1463
#62 0x00000001001f4b5e in Fexecute_kbd_macro (macro=XIL(0x10e00fe05), count=XIL(0), loopfunc=XIL(0x43b13e0)) at macros.c:324
#63 0x00000001003166a2 in funcall_subr (subr=0x100553c98, numargs=3, args=0x7ffeefbf6600) at eval.c:2872
#64 0x0000000100314c4e in Ffuncall (nargs=4, args=0x7ffeefbf65f8) at eval.c:2794
#65 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10d506dd4), vector=XIL(0x10e0532c5), maxdepth=make_fixnum(4), args_template=XIL(0), nargs=0, args=0x0) at bytecode.c:633
#66 0x00000001003174d6 in funcall_lambda (fun=XIL(0x10e053305), nargs=4, arg_vector=0x7ffeefbf75a8) at eval.c:3067
#67 0x0000000100314c9e in Ffuncall (nargs=5, args=0x7ffeefbf75a0) at eval.c:2796
#68 0x0000000100314a06 in Fapply (nargs=3, args=0x7ffeefbf7978) at eval.c:2424
#69 0x0000000100316526 in funcall_subr (subr=0x100559368, numargs=3, args=0x7ffeefbf7978) at eval.c:2847
#70 0x0000000100314c4e in Ffuncall (nargs=4, args=0x7ffeefbf7970) at eval.c:2794
#71 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10612797c), vector=XIL(0x10e04ff55), maxdepth=make_fixnum(5), args_template=make_fixnum(128), nargs=3, args=0x7ffeefbf8930) at bytecode.c:633
#72 0x0000000100316d35 in funcall_lambda (fun=XIL(0x10e04ff85), nargs=3, arg_vector=0x7ffeefbf8930) at eval.c:2989
#73 0x0000000100314c9e in Ffuncall (nargs=4, args=0x7ffeefbf8928) at eval.c:2796
#74 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10d3650a4), vector=XIL(0x104e341b5), maxdepth=make_fixnum(6), args_template=make_fixnum(514), nargs=2, args=0x7ffeefbf97c0) at bytecode.c:633
#75 0x0000000100316d35 in funcall_lambda (fun=XIL(0x104e341e5), nargs=2, arg_vector=0x7ffeefbf97b0) at eval.c:2989
#76 0x0000000100311005 in apply_lambda (fun=XIL(0x104e341e5), args=XIL(0x10794c773), count=18) at eval.c:2926
#77 0x000000010030680d in eval_sub (form=XIL(0x10794c6d3)) at eval.c:2318
#78 0x000000010030705d in Fprogn (body=XIL(0)) at eval.c:462
#79 0x00000001003173ec in funcall_lambda (fun=XIL(0x10794c643), nargs=0, arg_vector=0x7ffeefbf9dc0) at eval.c:3060
#80 0x0000000100311005 in apply_lambda (fun=XIL(0x10794c643), args=XIL(0), count=15) at eval.c:2926
#81 0x0000000100306b79 in eval_sub (form=XIL(0x160a862b3)) at eval.c:2348
#82 0x000000010030705d in Fprogn (body=XIL(0)) at eval.c:462
#83 0x0000000100304a44 in eval_sub (form=XIL(0x160a862d3)) at eval.c:2226
#84 0x000000010030f55d in Feval (form=XIL(0x160a862d3), lexical=XIL(0x30)) at eval.c:2102
#85 0x000000010031666c in funcall_subr (subr=0x100559338, numargs=2, args=0x7ffeefbfa820) at eval.c:2869
#86 0x0000000100314c4e in Ffuncall (nargs=3, args=0x7ffeefbfa818) at eval.c:2794
#87 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10630312c), vector=XIL(0x106302905), maxdepth=make_fixnum(16), args_template=make_fixnum(257), nargs=1, args=0x7ffeefbfb800) at bytecode.c:633
#88 0x0000000100316d35 in funcall_lambda (fun=XIL(0x1063028d5), nargs=1, arg_vector=0x7ffeefbfb7f8) at eval.c:2989
#89 0x0000000100314c9e in Ffuncall (nargs=2, args=0x7ffeefbfb7f0) at eval.c:2796
#90 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10630327c), vector=XIL(0x10630287d), maxdepth=make_fixnum(4), args_template=make_fixnum(257), nargs=1, args=0x7ffeefbfca58) at bytecode.c:633
#91 0x0000000100316d35 in funcall_lambda (fun=XIL(0x106302845), nargs=1, arg_vector=0x7ffeefbfca50) at eval.c:2989
#92 0x0000000100314c9e in Ffuncall (nargs=2, args=0x7ffeefbfca48) at eval.c:2796
#93 0x00000001002fda6a in Ffuncall_interactively (nargs=2, args=0x7ffeefbfca48) at callint.c:254
#94 0x0000000100316526 in funcall_subr (subr=0x100558d98, numargs=2, args=0x7ffeefbfca48) at eval.c:2847
#95 0x0000000100314c4e in Ffuncall (nargs=3, args=0x7ffeefbfca40) at eval.c:2794
#96 0x0000000100301314 in Fcall_interactively (function=XIL(0x58c9b00), record_flag=XIL(0), keys=XIL(0x160a78fd5)) at callint.c:783
#97 0x00000001003166a2 in funcall_subr (subr=0x100558d68, numargs=3, args=0x7ffeefbfd9c0) at eval.c:2872
#98 0x0000000100314c4e in Ffuncall (nargs=4, args=0x7ffeefbfd9b8) at eval.c:2794
#99 0x00000001003a527f in exec_byte_code (bytestr=XIL(0x10623df8c), vector=XIL(0x10623dadd), maxdepth=make_fixnum(13), args_template=make_fixnum(1025), nargs=1, args=0x7ffeefbfea28) at bytecode.c:633
#100 0x0000000100316d35 in funcall_lambda (fun=XIL(0x10623daad), nargs=1, arg_vector=0x7ffeefbfea20) at eval.c:2989
#101 0x0000000100314c9e in Ffuncall (nargs=2, args=0x7ffeefbfea18) at eval.c:2796
#102 0x0000000100315d54 in call1 (fn=XIL(0x3960), arg1=XIL(0x58c9b00)) at eval.c:2654
#103 0x00000001001c76b0 in command_loop_1 () at keyboard.c:1463
#104 0x000000010030d65f in internal_condition_case (bfun=0x1001c6950 <command_loop_1>, handlers=XIL(0x90), hfun=0x1001ea010 <cmd_error>) at eval.c:1355
#105 0x00000001001e9ef1 in command_loop_2 (ignore=XIL(0)) at keyboard.c:1091
#106 0x000000010030c798 in internal_catch (tag=XIL(0xc450), func=0x1001e9ec0 <command_loop_2>, arg=XIL(0)) at eval.c:1116
#107 0x00000001001c59c5 in command_loop () at keyboard.c:1070
#108 0x00000001001c5797 in recursive_edit_1 () at keyboard.c:714
#109 0x00000001001c5c46 in Frecursive_edit () at keyboard.c:786
#110 0x00000001001c27ae in main (argc=1, argv=0x7ffeefbff660) at emacs.c:2054
[New Thread 0x2f53 of process 39258]

Lisp Backtrace:
"vm-set-summary-pointer" (0xefbeac90)
"vm-do-needed-summary-rebuild" (0xefbebc60)
0x5e34880 PVEC_COMPILED
"mapatoms" (0xefbecfb0)
"vm-update-summary-and-mode-line" (0xefbedfd0)
"vm" (0xefbef420)
"vf" (0xefbf0770)
"funcall-interactively" (0xefbf0768)
"call-interactively" (0xefbf17d0)
"command-execute" (0xefbf2838)
"execute-extended-command" (0xefbf3bd0)
"funcall-interactively" (0xefbf3bc8)
"call-interactively" (0xefbf4c40)
"command-execute" (0xefbf5ca0)
0x553c98 PVEC_SUBR
"ad-Advice-execute-kbd-macro" (0xefbf75a8)
"apply" (0xefbf7978)
"execute-kbd-macro" (0xefbf8930)
"kmacro-exec-ring-item" (0xefbf97b0)
"test-emacs-crash" (0xefbf9dc0)
"progn" (0xefbfa448)
"eval" (0xefbfa820)
"elisp--eval-last-sexp" (0xefbfb7f8)
"eval-last-sexp" (0xefbfca50)
"funcall-interactively" (0xefbfca48)
"call-interactively" (0xefbfd9c0)
"command-execute" (0xefbfea20)
(gdb) f 3
#3  0x000000010023cdc5 in marker_position (marker=XIL(0x12590f575))
    at marker.c:691
691	  register struct Lisp_Marker *m = XMARKER (marker);
(gdb) p marker
$1 = XIL(0x12590f575)
(gdb) xtype
Lisp_Vectorlike
PVEC_NORMAL_VECTOR
(gdb) p m
$2 = (struct Lisp_Marker *) 0x7ffeefbe92d0
(gdb) p *m
$3 = {
  header = {
    size = 140732920665232
  },
  buffer = 0x1002268d7 <report_overlay_modification+263>,
  need_adjustment = true,
  insertion_type = false,
  next = 0x0,
  charpos = 4406354344,
  bytepos = 4305685776
}
(gdb) 


-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 16 Mar 2020 18:36:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 16 14:36:23 2020
Received: from localhost ([127.0.0.1]:37860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDub8-0000BQ-HK
	for submit <at> debbugs.gnu.org; Mon, 16 Mar 2020 14:36:23 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:34409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jDub5-0000B8-Kh
 for 39962 <at> debbugs.gnu.org; Mon, 16 Mar 2020 14:36:21 -0400
X-ASG-Debug-ID: 1584383773-0ac37b520520296c0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id uGie1MDynpbNM8Rd
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Mon, 16 Mar 2020 19:36:13 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 28554 invoked from network); 16 Mar 2020 18:36:13 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 16 Mar 2020 18:36:13 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id A1E26ABAA7A6;
 Mon, 16 Mar 2020 19:36:12 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Mon, 16 Mar 2020 19:36:12 +0100
In-Reply-To: <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
 (Pip Cet's message of "Mon, 16 Mar 2020 15:33:56 +0000")
Message-ID: <lxk13kw3j7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584383773
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 28379
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.50
X-Barracuda-Spam-Status: No, SCORE=0.50 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_RULE7568M,
 BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80639
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
 0.50 BSF_RULE7568M          Custom Rule 7568M
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> On Mon, Mar 16, 2020 at 10:44 AM Pieter van Oostrum
> <pieter-l@HIDDEN> wrote:
>> Pieter van Oostrum <pieter-l@HIDDEN> writes:
>>
>> >>> (gdb) p $rsp
>> >>> $1 = (void *) 0x7ffeef9c9270
>> >>
>> >> What is the value of stack_bottom?
>> >>
>> > (gdb) p &stack_bottom_variable
>> > $3 = (void **) 0x7ffeefbff628
>> >
>> > (gdb) p current_thread->m_stack_bottom
>> > $4 = 0x7ffeefbff628 ""
>> >
>> >> And how many frames do you have in that backtrace, if you show all of
>> >> it?
>> >
>> > 11567
>> > #11567 0x00000001001c281e in main (argc=1, argv=0x7ffeefbff660) at emacs.c:2054
>>
>> (gdb) f 3
>> #3  0x00000001002b56e7 in mark_overlay (ptr=0x12c489030) at alloc.c:6213
>> 6213          set_vectorlike_marked (&XMARKER (ptr->end)->header);
>> (gdb) p *ptr
>> $9 = {
>>   header = {
>>     size = -4611686018360274941
>>   },
>>   start = XIL(0x12c488fc5),
>>   end = XIL(0),
>>   plist = XIL(0x11dc4e263),
>>   next = 0x12c488f30
>> }
>
> Can you show the entire small vector block containing 0x12c488fc0?
> Something like
>
> x/1024gx 0x12c488000
>
> should work.

(gdb) x/1024gx 0x12c488000
0x12c488000:	0xc000000003005000	0x000000013470c6c0
0x12c488010:	0x4000000003005000	0x000000012c487fc0
0x12c488020:	0x000000000000e951	0x000000000000e951
0x12c488030:	0xc000000004001003	0x000000012c487fc5
0x12c488040:	0x000000012c488005	0x00000001069537b3
0x12c488050:	0x000000012c487f30	0x0000000000000000
0x12c488060:	0x4000000003005000	0x0000000160e5d8e0
0x12c488070:	0x000000010d75fdc0	0x000000012c488180
0x12c488080:	0x0000000004034c11	0x0000000004034c11
0x12c488090:	0x4000000003005000	0x0000000160e5d8e0
0x12c4880a0:	0x4000000002002000	0x000000012c488060
0x12c4880b0:	0x000000000408ca03	0x000000000408ca03
0x12c4880c0:	0xc000000003005000	0x000000013470c6c0
0x12c4880d0:	0x4000000003005000	0x000000010d982780
0x12c4880e0:	0x000000000000e951	0x000000000000e951
0x12c4880f0:	0xc000000003005000	0x000000013470c6c0
0x12c488100:	0x4000000018000004	0x000000012c4880c0
0x12c488110:	0x000000000000e9ae	0x000000000000e9ae
0x12c488120:	0xc000000004001003	0x000000012c4880c5
0x12c488130:	0x000000012c4880f5	0x0000000106953793
0x12c488140:	0x000000012c488030	0x000000012c487e90
0x12c488150:	0x4000000003005000	0x0000000160e5d8e0
0x12c488160:	0x000000011d589530	0x000000012c488270
0x12c488170:	0x0000000003fac124	0x0000000003fac124
0x12c488180:	0x4000000003005000	0x0000000160e5d8e0
0x12c488190:	0x4000000002002000	0x000000012c488150
0x12c4881a0:	0x0000000003ff08c3	0x0000000003ff08c3
0x12c4881b0:	0xc000000003005000	0x000000013470c6c0
0x12c4881c0:	0x4000000003005000	0x000000010d9827e0
0x12c4881d0:	0x000000000000e9ae	0x000000000000e9ae
0x12c4881e0:	0xc000000003005000	0x000000013470c6c0
0x12c4881f0:	0x4000000003005000	0x000000012c4881b0
0x12c488200:	0x000000000000ea0b	0x000000000000ea0b
0x12c488210:	0xc000000004001003	0x000000012c4881b5
0x12c488220:	0x000000012c4881e5	0x0000000106953773
0x12c488230:	0x000000012c488120	0x0000000000000000
0x12c488240:	0x4000000003005000	0x0000000160e5d8e0
0x12c488250:	0x0000000118928350	0x000000012c488360
0x12c488260:	0x0000000003f1f4f4	0x0000000003f1f4f4
0x12c488270:	0x4000000003005000	0x0000000160e5d8e0
0x12c488280:	0x4000000002002000	0x000000012c488240
0x12c488290:	0x0000000003f69440	0x0000000003f69440
0x12c4882a0:	0xc000000003005000	0x000000013470c6c0
0x12c4882b0:	0x4000000003005000	0x000000010d982840
0x12c4882c0:	0x000000000000ea0b	0x000000000000ea0b
0x12c4882d0:	0xc000000003005000	0x000000013470c6c0
0x12c4882e0:	0x4000000003005000	0x000000012c4882a0
0x12c4882f0:	0x000000000000ea68	0x000000000000ea68
0x12c488300:	0xc000000004001003	0x000000012c4882a5
0x12c488310:	0x000000012c4882d5	0x0000000106953753
0x12c488320:	0x000000012c488210	0x000000012c488280
0x12c488330:	0x4000000003005000	0x0000000160e5d8e0
0x12c488340:	0x00000000000179b8	0x000000012c488450
0x12c488350:	0x0000000003ec0c1d	0x0000000003ec0c1d
0x12c488360:	0x4000000003005000	0x0000000160e5d8e0
0x12c488370:	0x0000000000000000	0x000000012c488330
0x12c488380:	0x0000000003edcc75	0x0000000003edcc75
0x12c488390:	0xc000000003005000	0x000000013470c6c0
0x12c4883a0:	0x4000000003005000	0x000000010d9828a0
0x12c4883b0:	0x000000000000ea68	0x000000000000ea68
0x12c4883c0:	0xc000000003005000	0x000000013470c6c0
0x12c4883d0:	0x4000000003005000	0x000000012c488390
0x12c4883e0:	0x000000000000eac5	0x000000000000eac5
0x12c4883f0:	0xc000000004001003	0x000000012c488395
0x12c488400:	0x000000012c4883c5	0x0000000106953673
0x12c488410:	0x000000012c488300	0x000000012c4883d0
0x12c488420:	0x4000000003005000	0x0000000160e5d8e0
0x12c488430:	0x0000000004ef0510	0x000000012c488540
0x12c488440:	0x0000000003e77cfa	0x0000000003e77cfa
--Type <RET> for more, q to quit, c to continue without paging--
0x12c488450:	0x4000000003005000	0x0000000160e5d8e0
0x12c488460:	0x000000000000000c	0x000000012c488420
0x12c488470:	0x0000000003e9c68d	0x0000000003e9c68d
0x12c488480:	0xc000000003005000	0x000000013470c6c0
0x12c488490:	0x4000000003005000	0x000000010d982900
0x12c4884a0:	0x000000000000eac5	0x000000000000eac5
0x12c4884b0:	0xc000000003005000	0x000000013470c6c0
0x12c4884c0:	0x4000000003005000	0x000000012c488480
0x12c4884d0:	0x000000000000eb22	0x000000000000eb22
0x12c4884e0:	0xc000000004001003	0x000000012c488485
0x12c4884f0:	0x000000012c4884b5	0x0000000106953653
0x12c488500:	0x000000012c4883f0	0x0000000000000000
0x12c488510:	0x4000000003005000	0x0000000160e5d8e0
0x12c488520:	0x00000000000179b8	0x000000012c488630
0x12c488530:	0x0000000003e01464	0x0000000003e01464
0x12c488540:	0x4000000003005000	0x0000000160e5d8e0
0x12c488550:	0x0000000000000000	0x000000012c488510
0x12c488560:	0x0000000003e3c41b	0x0000000003e3c41b
0x12c488570:	0xc000000003005000	0x000000013470c6c0
0x12c488580:	0x4000000003005000	0x000000010d982960
0x12c488590:	0x000000000000eb22	0x000000000000eb22
0x12c4885a0:	0xc000000003005000	0x000000013470c6c0
0x12c4885b0:	0x4000000003005000	0x000000012c488570
0x12c4885c0:	0x000000000000eb7f	0x000000000000eb7f
0x12c4885d0:	0xc000000004001003	0x000000012c488575
0x12c4885e0:	0x000000012c4885a5	0x0000000106953633
0x12c4885f0:	0x000000012c4884e0	0x000000012c4883d0
0x12c488600:	0x4000000003005000	0x0000000160e5d8e0
0x12c488610:	0x000000012687d200	0x000000012c488720
0x12c488620:	0x0000000003d85137	0x0000000003d85137
0x12c488630:	0x4000000003005000	0x0000000160e5d8e0
0x12c488640:	0x4000000002002000	0x000000012c488600
0x12c488650:	0x0000000003dc2afa	0x0000000003dc2afa
0x12c488660:	0xc000000003005000	0x000000013470c6c0
0x12c488670:	0x4000000018000004	0x000000010d9829c0
0x12c488680:	0x000000000000eb7f	0x000000000000eb7f
0x12c488690:	0xc000000003005000	0x000000013470c6c0
0x12c4886a0:	0x4000000003005000	0x000000012c488660
0x12c4886b0:	0x000000000000ebdc	0x000000000000ebdc
0x12c4886c0:	0xc000000004001003	0x000000012c488665
0x12c4886d0:	0x000000012c488695	0x0000000106953613
0x12c4886e0:	0x000000012c4885d0	0x0000000000000000
0x12c4886f0:	0x4000000003005000	0x0000000160e5d8e0
0x12c488700:	0x000000011d4c8be0	0x000000012c488810
0x12c488710:	0x0000000003ceda81	0x0000000003ceda81
0x12c488720:	0x4000000003005000	0x0000000160e5d8e0
0x12c488730:	0x4000000002002000	0x000000012c4886f0
0x12c488740:	0x0000000003d4718f	0x0000000003d4718f
0x12c488750:	0xc000000003005000	0x000000013470c6c0
0x12c488760:	0x4000000003005000	0x0000000134954c30
0x12c488770:	0x000000000000ebdc	0x000000000000ebdc
0x12c488780:	0xc000000003005000	0x000000013470c6c0
0x12c488790:	0x4000000003005000	0x000000012c488750
0x12c4887a0:	0x000000000000ec26	0x000000000000ec26
0x12c4887b0:	0xc000000004001003	0x000000012c488755
0x12c4887c0:	0x000000012c488785	0x0000000106953523
0x12c4887d0:	0x000000012c4886c0	0x0000000000000000
0x12c4887e0:	0x4000000003005000	0x0000000160e5d8e0
0x12c4887f0:	0x000000011d4fbfb0	0x000000012c488900
0x12c488800:	0x0000000003c967df	0x0000000003c967df
0x12c488810:	0x4000000003005000	0x0000000160e5d8e0
0x12c488820:	0x4000000002002000	0x000000012c4887e0
0x12c488830:	0x0000000003ccdc6e	0x0000000003ccdc6e
0x12c488840:	0xc000000003005000	0x000000013470c6c0
0x12c488850:	0x0000000000000040	0x0000000134954c90
0x12c488860:	0x000000000000ec26	0x000000000000ec26
0x12c488870:	0xc000000003005000	0x000000013470c6c0
0x12c488880:	0x0000000000000040	0x000000012c488840
0x12c488890:	0x000000000000ec67	0x000000000000ec67
--Type <RET> for more, q to quit, c to continue without paging--
0x12c4888a0:	0xc000000004001003	0x000000012c488845
0x12c4888b0:	0x000000012c488875	0x0000000106953503
0x12c4888c0:	0x000000012c4887b0	0x0000000000000000
0x12c4888d0:	0x4000000003005000	0x0000000160e5d8e0
0x12c4888e0:	0x00000000000179b8	0x000000012c4889f0
0x12c4888f0:	0x0000000003c27fbb	0x0000000003c27fbb
0x12c488900:	0x4000000003005000	0x0000000160e5d8e0
0x12c488910:	0x0000000000000000	0x000000012c4888d0
0x12c488920:	0x0000000003c5f3cd	0x0000000003c5f3cd
0x12c488930:	0xc000000003005000	0x000000013470c6c0
0x12c488940:	0x0000000000000040	0x0000000134954cf0
0x12c488950:	0x000000000000ec67	0x000000000000ec67
0x12c488960:	0xc000000003005000	0x000000013470c6c0
0x12c488970:	0x000000000000000c	0x000000012c488930
0x12c488980:	0x000000000000ecc4	0x000000000000ecc4
0x12c488990:	0xc000000004001003	0x000000012c488935
0x12c4889a0:	0x000000012c488965	0x00000001069534e3
0x12c4889b0:	0x000000012c4888a0	0x0000000000000000
0x12c4889c0:	0x4000000003005000	0x0000000160e5d8e0
0x12c4889d0:	0x0000000004ef0510	0x000000012c488ae0
0x12c4889e0:	0x0000000003bb43b0	0x0000000003bb43b0
0x12c4889f0:	0x4000000003005000	0x0000000160e5d8e0
0x12c488a00:	0x000000000000000c	0x000000012c4889c0
0x12c488a10:	0x0000000003bee19f	0x0000000003bee19f
0x12c488a20:	0xc000000003005000	0x000000013470c6c0
0x12c488a30:	0x0000000000000000	0x0000000134954d50
0x12c488a40:	0x000000000000ecc4	0x000000000000ecc4
0x12c488a50:	0xc000000003005000	0x000000013470c6c0
0x12c488a60:	0x0000000000000000	0x000000012c488a20
0x12c488a70:	0x000000000000ed21	0x000000000000ed21
0x12c488a80:	0xc000000004001003	0x000000012c488a25
0x12c488a90:	0x000000012c488a55	0x00000001069534c3
0x12c488aa0:	0x000000012c488990	0x0000000000000000
0x12c488ab0:	0x4000000003005000	0x0000000160e5d8e0
0x12c488ac0:	0x00000000000179b8	0x000000012c488bd0
0x12c488ad0:	0x0000000003b5d83c	0x0000000003b5d83c
0x12c488ae0:	0x4000000003005000	0x0000000160e5d8e0
0x12c488af0:	0x0000000000000000	0x000000012c488ab0
0x12c488b00:	0x0000000003b7a5c1	0x0000000003b7a5c1
0x12c488b10:	0xc000000003005000	0x000000013470c6c0
0x12c488b20:	0x0000000000000000	0x0000000134954db0
0x12c488b30:	0x000000000000ed21	0x000000000000ed21
0x12c488b40:	0xc000000003005000	0x000000013470c6c0
0x12c488b50:	0x0000000000000000	0x000000012c488b10
0x12c488b60:	0x000000000000ed7e	0x000000000000ed7e
0x12c488b70:	0xc000000004001003	0x000000012c488b15
0x12c488b80:	0x000000012c488b45	0x000000011dc4e3c3
0x12c488b90:	0x000000012c488a80	0x0000000000000000
0x12c488ba0:	0x4000000003005000	0x0000000160e5d8e0
0x12c488bb0:	0x000000011d4a5990	0x000000012c488cc0
0x12c488bc0:	0x0000000003b5b76b	0x0000000003b5b76b
0x12c488bd0:	0x4000000003005000	0x0000000160e5d8e0
0x12c488be0:	0x4000000002002000	0x000000012c488ba0
0x12c488bf0:	0x0000000003b5c8e5	0x0000000003b5c8e5
0x12c488c00:	0xc000000003005000	0x000000013470c6c0
0x12c488c10:	0x0000000000000030	0x0000000134954e10
0x12c488c20:	0x000000000000ed7e	0x000000000000ed7e
0x12c488c30:	0xc000000003005000	0x000000013470c6c0
0x12c488c40:	0x0000000000000034	0x000000012c488c00
0x12c488c50:	0x000000000000eddb	0x000000000000eddb
0x12c488c60:	0xc000000004001003	0x000000012c488c05
0x12c488c70:	0x000000012c488c35	0x000000011dc4e3a3
0x12c488c80:	0x000000012c488b70	0x0000000000000000
0x12c488c90:	0x4000000003005000	0x0000000160e5d8e0
0x12c488ca0:	0x000000010d641d70	0x000000012c488db0
0x12c488cb0:	0x0000000003b50fe9	0x0000000003b50fe9
0x12c488cc0:	0x4000000003005000	0x0000000160e5d8e0
0x12c488cd0:	0x4000000002002000	0x000000012c488c90
0x12c488ce0:	0x0000000003b56c4c	0x0000000003b56c4c
--Type <RET> for more, q to quit, c to continue without paging--
0x12c488cf0:	0xc000000003005000	0x000000013470c6c0
0x12c488d00:	0x000000000000003c	0x0000000134954e70
0x12c488d10:	0x000000000000eddb	0x000000000000eddb
0x12c488d20:	0xc000000003005000	0x000000013470c6c0
0x12c488d30:	0x0000000000000000	0x000000012c488cf0
0x12c488d40:	0x000000000000ee25	0x000000000000ee25
0x12c488d50:	0xc000000004001003	0x000000012c488cf5
0x12c488d60:	0x000000012c488d25	0x000000011dc4e383
0x12c488d70:	0x000000012c488c60	0x0000000000000000
0x12c488d80:	0x4000000003005000	0x0000000160e5d8e0
0x12c488d90:	0x000000011d4c2270	0x000000012c488ea0
0x12c488da0:	0x0000000003b45abb	0x0000000003b45abb
0x12c488db0:	0x4000000003005000	0x0000000160e5d8e0
0x12c488dc0:	0x4000000002002000	0x000000012c488d80
0x12c488dd0:	0x0000000003b4b544	0x0000000003b4b544
0x12c488de0:	0xc000000003005000	0x000000013470c6c0
0x12c488df0:	0x0000000000000004	0x0000000134954ed0
0x12c488e00:	0x000000000000ee25	0x000000000000ee25
0x12c488e10:	0xc000000003005000	0x000000013470c6c0
0x12c488e20:	0x000000000000003c	0x000000012c488de0
0x12c488e30:	0x000000000000ee66	0x000000000000ee66
0x12c488e40:	0xc000000004001003	0x000000012c488de5
0x12c488e50:	0x000000012c488e15	0x000000011dc4e363
0x12c488e60:	0x000000012c488d50	0x0000000000000000
0x12c488e70:	0x4000000003005000	0x0000000160e5d8e0
0x12c488e80:	0x00000000000179b8	0x000000012c488f90
0x12c488e90:	0x0000000003b3d487	0x0000000003b3d487
0x12c488ea0:	0x4000000003005000	0x0000000160e5d8e0
0x12c488eb0:	0x0000000000000000	0x000000012c488e70
0x12c488ec0:	0x0000000003b416ac	0x0000000003b416ac
0x12c488ed0:	0xc000000003005000	0x000000013470c6c0
0x12c488ee0:	0x000000000000000c	0x0000000134954f30
0x12c488ef0:	0x000000000000ee66	0x000000000000ee66
0x12c488f00:	0xc000000003005000	0x000000013470c6c0
0x12c488f10:	0x0000000000000030	0x000000012c488ed0
0x12c488f20:	0x000000000000eea7	0x000000000000eea7
0x12c488f30:	0xc000000004001003	0x000000012c488ed5
0x12c488f40:	0x000000012c488f05	0x000000011dc4e283
0x12c488f50:	0x000000012c488e40	0x0000000000000000
0x12c488f60:	0x4000000003005000	0x0000000160e5d8e0
0x12c488f70:	0x0000000004ef0510	0x000000012c487090
0x12c488f80:	0x0000000003aee876	0x0000000003aee876
0x12c488f90:	0x4000000003005000	0x0000000160e5d8e0
0x12c488fa0:	0x000000000000000c	0x000000012c488f60
0x12c488fb0:	0x0000000003b25537	0x0000000003b25537
0x12c488fc0:	0xc000000003005000	0x000000013470c6c0
0x12c488fd0:	0x0000000000000000	0x0000000134954f90
0x12c488fe0:	0x000000000000eea7	0x000000000000eea7
0x12c488ff0:	0x000000012c487000	0x000000012c488f80
0x12c489000:	0x4000000003005000	0x000000013470c6c0
0x12c489010:	0x4000000003005000	0x000000012c488fc0
0x12c489020:	0x000000000000eef1	0x000000000000eef1
0x12c489030:	0xc000000004001003	0x000000012c488fc5
0x12c489040:	0x0000000000000000	0x000000011dc4e263
0x12c489050:	0x000000012c488f30	0x0000000000000000
0x12c489060:	0x4000000003005000	0x0000000160e5d8e0
0x12c489070:	0x000000010d6a9c00	0x000000012c489180
0x12c489080:	0x00000000045e4806	0x00000000045e4806
0x12c489090:	0x4000000003005000	0x0000000160e5d8e0
0x12c4890a0:	0x4000000002002000	0x000000012c489060
0x12c4890b0:	0x00000000045e8654	0x00000000045e8654
0x12c4890c0:	0x4000000003005000	0x000000013470c6c0
0x12c4890d0:	0x4000000003005000	0x0000000134954ff0
0x12c4890e0:	0x000000000000eef1	0x000000000000eef1
0x12c4890f0:	0x4000000003005000	0x000000013470c6c0
0x12c489100:	0x4000000003005000	0x000000012c4890c0
0x12c489110:	0x000000000000ef4e	0x000000000000ef4e
0x12c489120:	0x4000000004001003	0x000000012c4890c5
0x12c489130:	0x000000012c4890f5	0x000000011dc4e243
--Type <RET> for more, q to quit, c to continue without paging--
0x12c489140:	0x000000012c489030	0x000000012c4890a0
0x12c489150:	0x4000000003005000	0x0000000160e5d8e0
0x12c489160:	0x000000010d4e5ae0	0x000000012c489270
0x12c489170:	0x00000000045d9aaa	0x00000000045d9aaa
0x12c489180:	0x4000000003005000	0x0000000160e5d8e0
0x12c489190:	0x4000000002002000	0x000000012c489150
0x12c4891a0:	0x00000000045df3ff	0x00000000045df3ff
0x12c4891b0:	0x4000000003005000	0x000000013470c6c0
0x12c4891c0:	0x4000000003005000	0x0000000134955050
0x12c4891d0:	0x000000000000ef4e	0x000000000000ef4e
0x12c4891e0:	0x4000000003005000	0x000000013470c6c0
0x12c4891f0:	0x4000000003005000	0x000000012c4891b0
0x12c489200:	0x000000000000efab	0x000000000000efab
0x12c489210:	0x4000000004001003	0x000000012c4891b5
0x12c489220:	0x000000012c4891e5	0x000000011dc4e223
0x12c489230:	0x000000012c489120	0x0000000000000000
0x12c489240:	0x4000000003005000	0x0000000160e5d8e0
0x12c489250:	0x00000000000179b8	0x000000012c489360
0x12c489260:	0x00000000045d1144	0x00000000045d1144
0x12c489270:	0x4000000003005000	0x0000000160e5d8e0
0x12c489280:	0x0000000000000000	0x000000012c489240
0x12c489290:	0x00000000045d4402	0x00000000045d4402
0x12c4892a0:	0x4000000003005000	0x000000013470c6c0
0x12c4892b0:	0x4000000003005000	0x00000001349550b0
0x12c4892c0:	0x000000000000efab	0x000000000000efab
0x12c4892d0:	0x4000000003005000	0x000000013470c6c0
0x12c4892e0:	0x4000000003005000	0x000000012c4892a0
0x12c4892f0:	0x000000000000efec	0x000000000000efec
0x12c489300:	0x4000000004001003	0x000000012c4892a5
0x12c489310:	0x000000012c4892d5	0x000000011dc4e133
0x12c489320:	0x000000012c489210	0x000000012c488f20
0x12c489330:	0x4000000003005000	0x0000000160e5d8e0
0x12c489340:	0x0000000004ef0510	0x000000012c489450
0x12c489350:	0x00000000045c50cb	0x00000000045c50cb
0x12c489360:	0x4000000003005000	0x0000000160e5d8e0
0x12c489370:	0x000000000000000c	0x000000012c489330
0x12c489380:	0x00000000045cb2a1	0x00000000045cb2a1
0x12c489390:	0x4000000003005000	0x000000013470c6c0
0x12c4893a0:	0x4000000003005000	0x0000000134955110
0x12c4893b0:	0x000000000000efec	0x000000000000efec
0x12c4893c0:	0x4000000003005000	0x000000013470c6c0
0x12c4893d0:	0x4000000003005000	0x000000012c489390
0x12c4893e0:	0x000000000000f036	0x000000000000f036
0x12c4893f0:	0x4000000004001003	0x000000012c489395
0x12c489400:	0x000000012c4893c5	0x000000011dc4e113
0x12c489410:	0x000000012c489300	0x00000001056543d5
0x12c489420:	0x4000000003005000	0x0000000160e5d8e0
0x12c489430:	0x000000011899ce50	0x000000012c489540
0x12c489440:	0x00000000045b6cff	0x00000000045b6cff
0x12c489450:	0x4000000003005000	0x0000000160e5d8e0
0x12c489460:	0x4000000002002000	0x000000012c489420
0x12c489470:	0x00000000045bc126	0x00000000045bc126
0x12c489480:	0x4000000003005000	0x000000013470c6c0
0x12c489490:	0x4000000003005000	0x0000000134955170
0x12c4894a0:	0x000000000000f036	0x000000000000f036
0x12c4894b0:	0x4000000003005000	0x000000013470c6c0
0x12c4894c0:	0x4000000003005000	0x000000012c489480
0x12c4894d0:	0x000000000000f093	0x000000000000f093
0x12c4894e0:	0x4000000004001003	0x000000012c489485
0x12c4894f0:	0x000000012c4894b5	0x000000011dc4e0f3
0x12c489500:	0x000000012c4893f0	0x000000012c4894c0
0x12c489510:	0x4000000003005000	0x0000000160e5d8e0
0x12c489520:	0x0000000115728120	0x000000012c489630
0x12c489530:	0x00000000045adcdf	0x00000000045adcdf
0x12c489540:	0x4000000003005000	0x0000000160e5d8e0
0x12c489550:	0x4000000002002000	0x000000012c489510
0x12c489560:	0x00000000045b14c6	0x00000000045b14c6
0x12c489570:	0x4000000003005000	0x000000013470c6c0
0x12c489580:	0x4000000003005000	0x00000001349551d0
--Type <RET> for more, q to quit, c to continue without paging--
0x12c489590:	0x000000000000f093	0x000000000000f093
0x12c4895a0:	0x4000000003005000	0x000000013470c6c0
0x12c4895b0:	0x4000000003005000	0x000000012c489570
0x12c4895c0:	0x000000000000f0f0	0x000000000000f0f0
0x12c4895d0:	0x4000000004001003	0x000000012c489575
0x12c4895e0:	0x000000012c4895a5	0x000000011dc4e0d3
0x12c4895f0:	0x000000012c4894e0	0x0000000000000000
0x12c489600:	0x4000000003005000	0x0000000160e5d8e0
0x12c489610:	0x0000000126874280	0x000000012c489720
0x12c489620:	0x00000000045a6ece	0x00000000045a6ece
0x12c489630:	0x4000000003005000	0x0000000160e5d8e0
0x12c489640:	0x4000000002002000	0x000000012c489600
0x12c489650:	0x00000000045a85ab	0x00000000045a85ab
0x12c489660:	0x4000000003005000	0x000000013470c6c0
0x12c489670:	0x4000000003005000	0x0000000134955230
0x12c489680:	0x000000000000f0f0	0x000000000000f0f0
0x12c489690:	0x4000000003005000	0x000000013470c6c0
0x12c4896a0:	0x4000000003005000	0x000000012c489660
0x12c4896b0:	0x000000000000f14d	0x000000000000f14d
0x12c4896c0:	0x4000000004001003	0x000000012c489665
0x12c4896d0:	0x000000012c489695	0x000000011dc4dfd3
0x12c4896e0:	0x000000012c4895d0	0x0000000000000000
0x12c4896f0:	0x4000000003005000	0x0000000160e5d8e0
0x12c489700:	0x00000001268a5900	0x000000012c489810
0x12c489710:	0x0000000004544250	0x0000000004544250
0x12c489720:	0x4000000003005000	0x0000000160e5d8e0
0x12c489730:	0x4000000002002000	0x000000012c4896f0
0x12c489740:	0x00000000045a3423	0x00000000045a3423
0x12c489750:	0x4000000003005000	0x000000013470c6c0
0x12c489760:	0x4000000003005000	0x0000000134955290
0x12c489770:	0x000000000000f14d	0x000000000000f14d
0x12c489780:	0x4000000003005000	0x000000013470c6c0
0x12c489790:	0x4000000003005000	0x000000012c489750
0x12c4897a0:	0x000000000000f1aa	0x000000000000f1aa
0x12c4897b0:	0x4000000004001003	0x000000012c489755
0x12c4897c0:	0x000000012c489785	0x000000011dc4dfb3
0x12c4897d0:	0x000000012c4896c0	0x000000012c489760
0x12c4897e0:	0x4000000003005000	0x0000000160e5d8e0
0x12c4897f0:	0x00000000000179b8	0x000000012c489900
0x12c489800:	0x0000000004489eec	0x0000000004489eec
0x12c489810:	0x4000000003005000	0x0000000160e5d8e0
0x12c489820:	0x0000000000000000	0x000000012c4897e0
0x12c489830:	0x00000000044e6d46	0x00000000044e6d46
0x12c489840:	0x4000000003005000	0x000000013470c6c0
0x12c489850:	0x0000000000000000	0x00000001349552f0
0x12c489860:	0x000000000000f1aa	0x000000000000f1aa
0x12c489870:	0x4000000003005000	0x000000013470c6c0
0x12c489880:	0x000000012c486400	0x000000012c489840
0x12c489890:	0x000000000000f207	0x000000000000f207
0x12c4898a0:	0x4000000004001003	0x000000012c489845
0x12c4898b0:	0x000000012c489875	0x000000011dc4df93
0x12c4898c0:	0x000000012c4897b0	0x000000012c489870
0x12c4898d0:	0x4000000003005000	0x0000000160e5d8e0
0x12c4898e0:	0x0000000004ef0510	0x000000012c4899f0
0x12c4898f0:	0x00000000043d41c9	0x00000000043d41c9
0x12c489900:	0x4000000003005000	0x0000000160e5d8e0
0x12c489910:	0x000000000000000c	0x000000012c4898d0
0x12c489920:	0x000000000442e27b	0x000000000442e27b
0x12c489930:	0x4000000003005000	0x000000013470c6c0
0x12c489940:	0x696f766e49203a40	0x0000000134955350
0x12c489950:	0x000000000000f207	0x000000000000f207
0x12c489960:	0x4000000003005000	0x000000013470c6c0
0x12c489970:	0x000000012c489918	0x000000012c489930
0x12c489980:	0x000000000000f264	0x000000000000f264
0x12c489990:	0x4000000004001003	0x000000012c489935
0x12c4899a0:	0x000000012c489965	0x000000011dc4df73
0x12c4899b0:	0x000000012c4898a0	0x0000000000000000
0x12c4899c0:	0x4000000003005000	0x0000000160e5d8e0
0x12c4899d0:	0x0000000004eef068	0x000000012c489ae0
--Type <RET> for more, q to quit, c to continue without paging--
0x12c4899e0:	0x000000000435ceba	0x000000000435ceba
0x12c4899f0:	0x4000000003005000	0x0000000160e5d8e0
0x12c489a00:	0x0000000000000014	0x000000012c4899c0
0x12c489a10:	0x000000000437afdb	0x000000000437afdb
0x12c489a20:	0x4000000003005000	0x000000013470c6c0
0x12c489a30:	0x0000000000000004	0x00000001349553b0
0x12c489a40:	0x000000000000f264	0x000000000000f264
0x12c489a50:	0x4000000003005000	0x000000013470c6c0
0x12c489a60:	0x0000000000000000	0x000000012c489a20
0x12c489a70:	0x000000000000f2c1	0x000000000000f2c1
0x12c489a80:	0x4000000004001003	0x000000012c489a25
0x12c489a90:	0x000000012c489a55	0x000000011dc4de83
0x12c489aa0:	0x000000012c489990	0x000000000000003f
0x12c489ab0:	0x4000000003005000	0x0000000160e5d8e0
0x12c489ac0:	0x0000000126865ef0	0x000000012c489bd0
0x12c489ad0:	0x000000000431f2f3	0x000000000431f2f3
0x12c489ae0:	0x4000000003005000	0x0000000160e5d8e0
0x12c489af0:	0x4000000002002000	0x000000012c489ab0
0x12c489b00:	0x000000000433d4e9	0x000000000433d4e9
0x12c489b10:	0x4000000003005000	0x000000013470c6c0
0x12c489b20:	0x0000000000000000	0x0000000134955410
0x12c489b30:	0x000000000000f2c1	0x000000000000f2c1
0x12c489b40:	0x4000000003005000	0x000000013470c6c0
0x12c489b50:	0x0000000000000000	0x000000012c489b10
0x12c489b60:	0x000000000000f31e	0x000000000000f31e
0x12c489b70:	0x4000000004001003	0x000000012c489b15
0x12c489b80:	0x000000012c489b45	0x000000011dc4de63
0x12c489b90:	0x000000012c489a80	0x0000000000000000
0x12c489ba0:	0x4000000003005000	0x0000000160e5d8e0
0x12c489bb0:	0x00000001268891d0	0x000000012c489cc0
0x12c489bc0:	0x00000000042e1eb3	0x00000000042e1eb3
0x12c489bd0:	0x4000000003005000	0x0000000160e5d8e0
0x12c489be0:	0x4000000002002000	0x000000012c489ba0
0x12c489bf0:	0x0000000004301283	0x0000000004301283
0x12c489c00:	0x4000000003005000	0x000000013470c6c0
0x12c489c10:	0x000000012c7ffde4	0x0000000134955470
0x12c489c20:	0x000000000000f31e	0x000000000000f31e
0x12c489c30:	0x4000000003005000	0x000000013470c6c0
0x12c489c40:	0x0000000000005988	0x000000012c489c00
0x12c489c50:	0x000000000000f35f	0x000000000000f35f
0x12c489c60:	0x4000000004001003	0x000000012c489c05
0x12c489c70:	0x000000012c489c35	0x000000011dc4de43
0x12c489c80:	0x000000012c489b70	0x0000000000000001
0x12c489c90:	0x4000000003005000	0x0000000160e5d8e0
0x12c489ca0:	0x00000001268348a0	0x000000012c489db0
0x12c489cb0:	0x00000000042609cd	0x00000000042609cd
0x12c489cc0:	0x4000000003005000	0x0000000160e5d8e0
0x12c489cd0:	0x4000000002002000	0x000000012c489c90
0x12c489ce0:	0x000000000429e5ac	0x000000000429e5ac
0x12c489cf0:	0x4000000003005000	0x000000013470c6c0
0x12c489d00:	0x000000012c489ca8	0x00000001349554d0
0x12c489d10:	0x000000000000f35f	0x000000000000f35f
0x12c489d20:	0x4000000003005000	0x000000013470c6c0
0x12c489d30:	0x0000000000000000	0x000000012c489cf0
0x12c489d40:	0x000000000000f3a9	0x000000000000f3a9
0x12c489d50:	0x4000000004001003	0x000000012c489cf5
0x12c489d60:	0x000000012c489d25	0x000000011dc4de23
0x12c489d70:	0x000000012c489c60	0x0000000000000002
0x12c489d80:	0x4000000003005000	0x0000000160e5d8e0
0x12c489d90:	0x00000000000179b8	0x000000012c489ea0
0x12c489da0:	0x00000000041e9220	0x00000000041e9220
0x12c489db0:	0x4000000003005000	0x0000000160e5d8e0
0x12c489dc0:	0x0000000000000000	0x000000012c489d80
0x12c489dd0:	0x00000000042256fe	0x00000000042256fe
0x12c489de0:	0x4000000003005000	0x000000013470c6c0
0x12c489df0:	0x000000010cb3af44	0x0000000134955530
0x12c489e00:	0x000000000000f3a9	0x000000000000f3a9
0x12c489e10:	0x4000000003005000	0x000000013470c6c0
0x12c489e20:	0x4f20202020202000	0x000000012c489de0
--Type <RET> for more, q to quit, c to continue without paging--
0x12c489e30:	0x000000000000f3f3	0x000000000000f3f3
0x12c489e40:	0x4000000004001003	0x000000012c489de5
0x12c489e50:	0x000000012c489e15	0x000000011dc4dd43
0x12c489e60:	0x000000012c489d50	0x0000000000000000
0x12c489e70:	0x4000000003005000	0x0000000160e5d8e0
0x12c489e80:	0x0000000004ef0510	0x000000012c489f90
0x12c489e90:	0x00000000041998ca	0x00000000041998ca
0x12c489ea0:	0x4000000003005000	0x0000000160e5d8e0
0x12c489eb0:	0x000000000000000c	0x000000012c489e70
0x12c489ec0:	0x00000000041cbed1	0x00000000041cbed1
0x12c489ed0:	0x4000000003005000	0x000000013470c6c0
0x12c489ee0:	0x0000000000005a18	0x0000000134955590
0x12c489ef0:	0x000000000000f3f3	0x000000000000f3f3
0x12c489f00:	0x4000000003005000	0x000000013470c6c0
0x12c489f10:	0x0000000000000000	0x000000012c489ed0
0x12c489f20:	0x000000000000f434	0x000000000000f434
0x12c489f30:	0x4000000004001003	0x000000012c489ed5
0x12c489f40:	0x000000012c489f05	0x000000011dc4dd23
0x12c489f50:	0x000000012c489e40	0x000000000000004c
0x12c489f60:	0x4000000003005000	0x0000000160e5d8e0
0x12c489f70:	0x00000000000179b8	0x000000012c488090
0x12c489f80:	0x00000000040ea063	0x00000000040ea063
0x12c489f90:	0x4000000003005000	0x0000000160e5d8e0
0x12c489fa0:	0x0000000000000000	0x000000012c489f60
0x12c489fb0:	0x000000000413f1d4	0x000000000413f1d4
0x12c489fc0:	0x4000000003005000	0x000000013470c6c0
0x12c489fd0:	0x000000011e6451c0	0x00000001349555f0
0x12c489fe0:	0x000000000000f434	0x000000000000f434
0x12c489ff0:	0x000000012c488000	0x0000000000000000
(gdb) 

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 16 Mar 2020 17:20:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 16 13:20:38 2020
Received: from localhost ([127.0.0.1]:37834 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDtPp-0004bk-Vu
	for submit <at> debbugs.gnu.org; Mon, 16 Mar 2020 13:20:38 -0400
Received: from mail-oi1-f178.google.com ([209.85.167.178]:34184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jDtPo-0004bS-BU
 for 39962 <at> debbugs.gnu.org; Mon, 16 Mar 2020 13:20:36 -0400
Received: by mail-oi1-f178.google.com with SMTP id j5so2622298oij.1
 for <39962 <at> debbugs.gnu.org>; Mon, 16 Mar 2020 10:20:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=ViCJmnoxPfkUNnsWfrr4sSkrttiqzGtJGayNbIo+wrI=;
 b=t8jB6esOo71sDBPvUxSkwV6v6if+/mUTRLO3eN2fg2qkXfAOEebNBQCBZPwBCmMyT+
 KznX7ceG1CwWF5Ouv4MkslIRae/SZJjh+EjJlNIfwHNodOaHr3zqG/ngikCurIOOhNtT
 xWPxhVZnHMfeyVxPsvo3fyNt/8wUDUUNfB8SqWfnTfAlj+mX0z4cJO9i1s+HuuX3U2SI
 JymGy+3GqneF/YlesuOf0PHtiUoYI/6DqD2dE4PZqpGti1KkOzHbnj6AVHzC08Sludwp
 58sqs2LK7H2XaOTN0G395/MzivvpvV9GHVzMVG4DD+uqTu9T7RxunFodeIFn3nyXPeZ2
 QBGg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=ViCJmnoxPfkUNnsWfrr4sSkrttiqzGtJGayNbIo+wrI=;
 b=h2eTA47o0clHLDaZx7hmJbNjhA2+wVHqwDdQVv2jdUa6TJRS9f9mbmcr9H8UNm5XKt
 w7jxxnxcMIqxIRQCCYeGykRSqYT09EYW4DmM+p4Sx78nKfgW+2KefS9m+MogBsqV6HBe
 Z2tGc8MuIczcA6oCM85Ah5SGcWS7QboVZPfjLVIjL6zg4/ZnHozV+C9Pm2CwpH9U1BNi
 XJml0ugfa+pCMxtLYGpBR5DrgypUY59TcV9lpaSAGYuFwhWMUNCrJMz0/JGdwziqYlLb
 4EUe+Cn50SofxGOyyz3ewOY/j025f/gnBsqtrbmDqM4zf5PkqW0IbhU1jkNr/LM77AQO
 T/lQ==
X-Gm-Message-State: ANhLgQ38SJw60BH7peYbubB58SiDKkRyVFV3iVqLkvctBNPqpcSnLHV8
 IKZIW3aeSH1wn/e4gf5SteZEFT5t+lanwOWLZuA=
X-Google-Smtp-Source: ADFU+vutXvYjBUeAsYrFDjv9z6pRueapvr5jMxYujgGoMxpeHqNTDs271dzEwgnH9pde2TakMrq3W4AMWNJgjV5WYcE=
X-Received: by 2002:aca:bb83:: with SMTP id l125mr416952oif.122.1584379230811; 
 Mon, 16 Mar 2020 10:20:30 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
 <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
In-Reply-To: <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Mon, 16 Mar 2020 17:19:52 +0000
Message-ID: <CAOqdjBeyGW=Lpebh+OHJpeAhJM6dbj_q28FXLD+HQ=-DcdBT2g@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000003e1b2005a0fc09d5"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000003e1b2005a0fc09d5
Content-Type: text/plain; charset="UTF-8"

On Mon, Mar 16, 2020 at 3:33 PM Pip Cet <pipcet@HIDDEN> wrote:
> On Mon, Mar 16, 2020 at 10:44 AM Pieter van Oostrum
> <pieter-l@HIDDEN> wrote:
> > Pieter van Oostrum <pieter-l@HIDDEN> writes:
> >
> > (gdb) f 3
> > #3  0x00000001002b56e7 in mark_overlay (ptr=0x12c489030) at alloc.c:6213
> > 6213          set_vectorlike_marked (&XMARKER (ptr->end)->header);
> > (gdb) p *ptr
> > $9 = {
> >   header = {
> >     size = -4611686018360274941
> >   },
> >   start = XIL(0x12c488fc5),
> >   end = XIL(0),
> >   plist = XIL(0x11dc4e263),
> >   next = 0x12c488f30
> > }
>
> Can you show the entire small vector block containing 0x12c488fc0?
> Something like
>
> x/1024gx 0x12c488000
>
> should work.
>
> What I think happened is that the vector free list got corrupted
> somehow, and two vectors believed they owned the memory location
> 0x12c489040.

Another thing we could try is poisoning the memory area used by a
vector when we put it on the free list. Something like the attached
patch might work.

--0000000000003e1b2005a0fc09d5
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-poison-memory-of-vectors-put-on-the-free-list.patch"
Content-Disposition: attachment; 
	filename="0001-poison-memory-of-vectors-put-on-the-free-list.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k7uqfxtf0>
X-Attachment-Id: f_k7uqfxtf0

RnJvbSA4MGYxM2I5MjYwMjA3OTYxNjUwOGJjMTcyNWQ1MzAyYmQ1M2U3MTk1IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBQaXAgQ2V0IDxwaXBjZXRAZ21haWwuY29tPgpEYXRlOiBNb24s
IDE2IE1hciAyMDIwIDE3OjE4OjQ0ICswMDAwClN1YmplY3Q6IFtQQVRDSF0gcG9pc29uIG1lbW9y
eSBvZiB2ZWN0b3JzIHB1dCBvbiB0aGUgZnJlZSBsaXN0CgotLS0KIHNyYy9hbGxvYy5jIHwgMSAr
CiAxIGZpbGUgY2hhbmdlZCwgMSBpbnNlcnRpb24oKykKCmRpZmYgLS1naXQgYS9zcmMvYWxsb2Mu
YyBiL3NyYy9hbGxvYy5jCmluZGV4IDFjNmI2NjRiMjIuLjQ2OWM0NDQ1YmIgMTAwNjQ0Ci0tLSBh
L3NyYy9hbGxvYy5jCisrKyBiL3NyYy9hbGxvYy5jCkBAIC0yODQyLDYgKzI4NDIsNyBAQCBzZXR1
cF9vbl9mcmVlX2xpc3QgKHN0cnVjdCBMaXNwX1ZlY3RvciAqdiwgcHRyZGlmZl90IG5ieXRlcykK
ICAgZWFzc3VtZSAoaGVhZGVyX3NpemUgPD0gbmJ5dGVzKTsKICAgcHRyZGlmZl90IG53b3JkcyA9
IChuYnl0ZXMgLSBoZWFkZXJfc2l6ZSkgLyB3b3JkX3NpemU7CiAgIFhTRVRQVkVDVFlQRVNJWkUg
KHYsIFBWRUNfRlJFRSwgMCwgbndvcmRzKTsKKyAgbWVtc2V0ICh2LT5jb250ZW50cywgMHhhNSwg
bmJ5dGVzIC0gaGVhZGVyX3NpemUpOwogICBlYXNzZXJ0IChuYnl0ZXMgJSByb3VuZHVwX3NpemUg
PT0gMCk7CiAgIHB0cmRpZmZfdCB2aW5kZXggPSBWSU5ERVggKG5ieXRlcyk7CiAgIGVhc3NlcnQg
KHZpbmRleCA8IFZFQ1RPUl9NQVhfRlJFRV9MSVNUX0lOREVYKTsKLS0gCjIuMjUuMQoK
--0000000000003e1b2005a0fc09d5--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 16 Mar 2020 16:31:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 16 12:31:54 2020
Received: from localhost ([127.0.0.1]:37819 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDseg-0003Jd-KG
	for submit <at> debbugs.gnu.org; Mon, 16 Mar 2020 12:31:54 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:38961)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1jDsee-0003JO-Jn
 for 39962 <at> debbugs.gnu.org; Mon, 16 Mar 2020 12:31:53 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 172E644F4B5;
 Mon, 16 Mar 2020 12:31:47 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id E472D44F0F0;
 Mon, 16 Mar 2020 12:31:45 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1584376305;
 bh=9Ex4dWm0r/ndd89HmyPYS+ucX/18pAxqY79jGnJN22Q=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=bhir3IbG9Rb506ocP6Rj2TRhLEZtHcIF1vvtViH1pReq43Nx+faja4/sgkR3DPyMN
 CXzGFSuzBReSBDxou4ukIGJajUwgAv750m8diNE0ozVL++f2q1tCHrohoVTFbPyJ5e
 rheTBRXD/XXaPuUIz7ClVtPLIneitFApN7MqTXtB4OfPQO0thh4wY2GFCNDImgB4mO
 6I8aNSFXs0CX/qhnzyUtjWv7MFz0+nhuShAuktpD1xals3uLepeQ+mrN83t3+3hjEm
 ydNi+/KpHZV49VHXRj43JEe30zQa5ay6JCgopWkJlY4NUxJ1PLlIjZOcmFJwwzg7LL
 OLOzsSOZyFiiw==
Received: from alfajor (modemcable157.163-203-24.mc.videotron.ca
 [24.203.163.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id A89C01206C3;
 Mon, 16 Mar 2020 12:31:45 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Message-ID: <jwveetss1xy.fsf-monnier+emacs@HIDDEN>
References: <24162.58107.725366.668639@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
Date: Mon, 16 Mar 2020 12:31:44 -0400
In-Reply-To: <831rpw8bf3.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 13 Mar
 2020 18:30:40 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.264 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
 KAM_NUMSUBJECT 0.5 Subject ends in numbers excluding current years
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, Pip Cet <pipcet@HIDDEN>,
 eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> But what does "valid" mean in this case?  The part that looks at the
> stack uses the stack-marking routines, and thus inherits the
> "conservative" nature of stack marking.  The code also makes it quite
> clear that it only considers "live" objects as valid, and a killed
> buffer is not "live".

[ I understand I'm late to this game, but just want to clarify
  a point here.  ]

There are two uses of the word "live" at play here:
- The use coming from Emacs for whether a buffer has been killed or not.
- The use coming from the realm of memory management where it means that
  the object can't be reclaimed because some pointers still point to it
  (and may still be dereferenced or compared).

The GC's marking is only concerned about liveness in the
memory-management sense.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 16 Mar 2020 15:34:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 16 11:34:44 2020
Received: from localhost ([127.0.0.1]:37795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDrlL-0001lP-RY
	for submit <at> debbugs.gnu.org; Mon, 16 Mar 2020 11:34:44 -0400
Received: from mail-oi1-f172.google.com ([209.85.167.172]:36877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jDrlK-0001lC-7e
 for 39962 <at> debbugs.gnu.org; Mon, 16 Mar 2020 11:34:42 -0400
Received: by mail-oi1-f172.google.com with SMTP id w13so18256829oih.4
 for <39962 <at> debbugs.gnu.org>; Mon, 16 Mar 2020 08:34:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=aqR/nPrQhJOeKAKXqJpRBDAcPM8Ntlt3XCfXe1iF9cw=;
 b=bcz8/TnAq/tur6Yz5HcPu6Bawlrwq2HRd/7Z1mYIu1k1jbu/wktbFQjNEvJp3f1QY4
 TklOORhVLI2dIZO+aRf9mEiDbCsrdKdMkKbI0yLZj46Ovuchog3Bo1sakKjlZFDJKHPx
 H0j+Ls3emcBgGcZhPsn4xSfcAmI4alVCbNxAmsG+6Y4POB7LcwzoIUWOiM82JKgVZUaO
 Hn7vlGJxYJrW0Aa+/tmbgzoXPgqWfeeKlrwtz90noUl6Q8jYVhSKRlqJErgfK7FsEniy
 3rHEYj/mYBpWNdigXA483DMUa1NpjE+qft5Eogr9OEehx4wFciFTWXmFhQTW+jvAz8gL
 a07g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=aqR/nPrQhJOeKAKXqJpRBDAcPM8Ntlt3XCfXe1iF9cw=;
 b=WcVbue8X8X46UgU72zJpysA6vqn5SwJdxsVqTErhsyFG+R+CmvLY50cra7KYZNc75x
 pQHsqfDQnX7FqF2upqpUOoAkBZZDmbrdH+Z3fgH8itR0cVAPij+6AcSbiyoREqoMBjQZ
 EcDKqtdGXqDdWZyrQpXu8xdPn6Ny3FiAYIiQnZyg2CKOSvbLBOSCoENf4mzmq1taCTrn
 CUKzMGfA1Wd/zDJ9GfNhvmBh8qWwwnzdzDQviYnaTihFJTfRCmH7vf8F9BY6zo7y+xm+
 5PirjjP0NahjziGSJS5C7fF7+8o7EPlpSt/wAzLVFXYKiYEbKy9iHXqM6nUTTFUOGg8b
 fLng==
X-Gm-Message-State: ANhLgQ29ISyvz9H7mZ0vQKVtIaHEfmnJHNBfQmRul+drA4Sg1I7lVDVM
 kQc+KiXELvxnCsRptR3VExiXWnJYJQnIriysaqo=
X-Google-Smtp-Source: ADFU+vuC3IfMgaBzf0FeTZ2myU1geAGtwRfFI29yWrr8oP/EZOIG9V+tgZDNEFgbvSOrSFx+BixAa7uGYM0wnVbceFY=
X-Received: by 2002:aca:b9c2:: with SMTP id j185mr101781oif.112.1584372876673; 
 Mon, 16 Mar 2020 08:34:36 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
In-Reply-To: <lxtv2omvdz.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Mon, 16 Mar 2020 15:33:56 +0000
Message-ID: <CAOqdjBfjU6giSSSQtjcG-SszrSO=wqD3+qF+oUpRJRFhjeSZng@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, eggert@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Mar 16, 2020 at 10:44 AM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> Pieter van Oostrum <pieter-l@HIDDEN> writes:
>
> >>> (gdb) p $rsp
> >>> $1 = (void *) 0x7ffeef9c9270
> >>
> >> What is the value of stack_bottom?
> >>
> > (gdb) p &stack_bottom_variable
> > $3 = (void **) 0x7ffeefbff628
> >
> > (gdb) p current_thread->m_stack_bottom
> > $4 = 0x7ffeefbff628 ""
> >
> >> And how many frames do you have in that backtrace, if you show all of
> >> it?
> >
> > 11567
> > #11567 0x00000001001c281e in main (argc=1, argv=0x7ffeefbff660) at emacs.c:2054
>
> (gdb) f 3
> #3  0x00000001002b56e7 in mark_overlay (ptr=0x12c489030) at alloc.c:6213
> 6213          set_vectorlike_marked (&XMARKER (ptr->end)->header);
> (gdb) p *ptr
> $9 = {
>   header = {
>     size = -4611686018360274941
>   },
>   start = XIL(0x12c488fc5),
>   end = XIL(0),
>   plist = XIL(0x11dc4e263),
>   next = 0x12c488f30
> }

Can you show the entire small vector block containing 0x12c488fc0?
Something like

x/1024gx 0x12c488000

should work.

What I think happened is that the vector free list got corrupted
somehow, and two vectors believed they owned the memory location
0x12c489040.

> So the end of the overlay = 0

It's nil, indeed. That does point to corruption.

> , and the size is negative. Corruption.

The size looks fine. It's a pseudovector, and tagged, so the two msbs
are 1, making it look negative.

> This build doesn't have the 0001-Don-t-collect-reachable-killed-buffers-during-GC.patch applied. I guess that patch might help.

It's very unlikely.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 16 Mar 2020 15:07:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 16 11:07:30 2020
Received: from localhost ([127.0.0.1]:37769 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDrL0-00012v-0X
	for submit <at> debbugs.gnu.org; Mon, 16 Mar 2020 11:07:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57167)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jDrKx-00012c-IF
 for 39962 <at> debbugs.gnu.org; Mon, 16 Mar 2020 11:07:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44145)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jDrKr-0007uM-7p; Mon, 16 Mar 2020 11:07:21 -0400
Received: from [176.228.60.248] (port=3899 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jDrKj-00079f-Te; Mon, 16 Mar 2020 11:07:20 -0400
Date: Mon, 16 Mar 2020 17:07:12 +0200
Message-Id: <83fte8baov.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-Reply-To: <lxtv2omvdz.fsf@HIDDEN> (message from Pieter
 van Oostrum on Mon, 16 Mar 2020 11:44:40 +0100)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
 <lxtv2omvdz.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Cc: 39962 <at> debbugs.gnu.org,  eggert@HIDDEN,  pipcet@HIDDEN
> Date: Mon, 16 Mar 2020 11:44:40 +0100
> 
> #3  0x00000001002b56e7 in mark_overlay (ptr=0x12c489030) at alloc.c:6213
> 6213	      set_vectorlike_marked (&XMARKER (ptr->end)->header);
> (gdb) p *ptr
> $9 = {
>   header = {
>     size = -4611686018360274941
>   },
>   start = XIL(0x12c488fc5),
>   end = XIL(0),
>   plist = XIL(0x11dc4e263),
>   next = 0x12c488f30
> }
> 
> So the end of the overlay = 0, and the size is negative.

XIL(0) is not a position of zero, it's nil (which has binary
representation as zero).  IOW, the END marker of the overlay is nil,
something that shouldn't happen.  (The size prints negative because
the object is marked, and the mark bit makes it look like a negative
value.)  And thus this abort is different from the one you reported
originally: the failed assertion now says that something that should
have been a marker, isn't.

Is the START marker of that overlay valid (albeit marked)?  If so, is
its buffer live, i.e. is its name a Lisp string or is it nil?  And if
it's a live buffer, what kind of buffer is it?

> Corruption.  Maybe a stray assignment, or error in freeing memory.

It does look like memory corruption, although it's hard to imagine a
memory corruption that zeroes out one full 32-bit field of a struct,
but leaves the previous one and the next one intact.

> This build doesn't have the 0001-Don-t-collect-reachable-killed-buffers-during-GC.patch applied. I guess that patch might help.

Didn't you say that an early version of that patch didn't help you
avoid the crashes?  But sure, go ahead and apply that patch, it cannot
possibly hurt.  Although the markers and the overlays are unlinked
from the buffer as part of kill-buffer, i.e. before that patch comes
into play...

An alternative idea is to write code that checks overlays for nil
markers, and then run this code periodically to find when such an
overlay appears.

Or maybe, given enough of such aborts, you could determine whether the
offending overlay always belongs to a certain buffer, and then we
could focus on monitoring that one buffer.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 16 Mar 2020 10:44:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 16 06:44:54 2020
Received: from localhost ([127.0.0.1]:36090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDnEs-0006mF-7g
	for submit <at> debbugs.gnu.org; Mon, 16 Mar 2020 06:44:54 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:38382)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jDnEm-0006lw-IH
 for 39962 <at> debbugs.gnu.org; Mon, 16 Mar 2020 06:44:52 -0400
X-ASG-Debug-ID: 1584355482-0ac37b15bc27085e0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id CjqN0zHmhqCqljyv
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Mon, 16 Mar 2020 11:44:42 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 14967 invoked from network); 16 Mar 2020 10:44:42 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 16 Mar 2020 10:44:42 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 62C85AB9D45F;
 Mon, 16 Mar 2020 11:44:41 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
 <lxy2s1mc7s.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Mon, 16 Mar 2020 11:44:40 +0100
In-Reply-To: <lxy2s1mc7s.fsf@HIDDEN> (Pieter van Oostrum's
 message of "Mon, 16 Mar 2020 00:26:31 +0100")
Message-ID: <lxtv2omvdz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584355482
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 1150
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80632
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pieter van Oostrum <pieter-l@HIDDEN> writes:

>>> (gdb) p $rsp
>>> $1 = (void *) 0x7ffeef9c9270
>>
>> What is the value of stack_bottom?
>>
> (gdb) p &stack_bottom_variable
> $3 = (void **) 0x7ffeefbff628
>
> (gdb) p current_thread->m_stack_bottom
> $4 = 0x7ffeefbff628 ""
>
>> And how many frames do you have in that backtrace, if you show all of
>> it?
>
> 11567
> #11567 0x00000001001c281e in main (argc=1, argv=0x7ffeefbff660) at emacs.c:2054

(gdb) f 3
#3  0x00000001002b56e7 in mark_overlay (ptr=0x12c489030) at alloc.c:6213
6213	      set_vectorlike_marked (&XMARKER (ptr->end)->header);
(gdb) p *ptr
$9 = {
  header = {
    size = -4611686018360274941
  },
  start = XIL(0x12c488fc5),
  end = XIL(0),
  plist = XIL(0x11dc4e263),
  next = 0x12c488f30
}

So the end of the overlay = 0, and the size is negative. Corruption.
Maybe a stray assignment, or error in freeing memory.

This build doesn't have the 0001-Don-t-collect-reachable-killed-buffers-during-GC.patch applied. I guess that patch might help.

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 15 Mar 2020 23:26:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 19:26:42 2020
Received: from localhost ([127.0.0.1]:35787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDceY-0003oW-BR
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 19:26:42 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:51944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jDceX-0003oG-4y
 for 39962 <at> debbugs.gnu.org; Sun, 15 Mar 2020 19:26:41 -0400
X-ASG-Debug-ID: 1584314793-0ac37b1e553122570001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id IaCEMePqjXXuhpkQ
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Mon, 16 Mar 2020 00:26:33 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 5548 invoked from network); 15 Mar 2020 23:26:33 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 15 Mar 2020 23:26:33 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 211F6AB671A1;
 Mon, 16 Mar 2020 00:26:32 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN> <83imj5bdct.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Mon, 16 Mar 2020 00:26:31 +0100
In-Reply-To: <83imj5bdct.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 15 Mar
 2020 21:57:22 +0200")
Message-ID: <lxy2s1mc7s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584314793
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 761
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80624
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Pieter van Oostrum <pieter-l@HIDDEN>
>> Cc: 39962 <at> debbugs.gnu.org,  eggert@HIDDEN,  pipcet@HIDDEN
>> Date: Sun, 15 Mar 2020 20:49:54 +0100
>> 
>> Pieter van Oostrum <pieter-l@HIDDEN> writes:
>> 
>> (gdb) p $rsp
>> $1 = (void *) 0x7ffeef9c9270
>
> What is the value of stack_bottom?
>
(gdb) p &stack_bottom_variable
$3 = (void **) 0x7ffeefbff628

(gdb) p current_thread->m_stack_bottom
$4 = 0x7ffeefbff628 ""

> And how many frames do you have in that backtrace, if you show all of
> it?

11567
#11567 0x00000001001c281e in main (argc=1, argv=0x7ffeefbff660) at emacs.c:2054

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 15 Mar 2020 19:57:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 15:57:31 2020
Received: from localhost ([127.0.0.1]:35658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDZO6-0006hl-OE
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 15:57:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jDZO4-0006hX-ED
 for 39962 <at> debbugs.gnu.org; Sun, 15 Mar 2020 15:57:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58396)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jDZNx-0001df-HE; Sun, 15 Mar 2020 15:57:21 -0400
Received: from [176.228.60.248] (port=1975 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jDZNw-0005Pa-Cv; Sun, 15 Mar 2020 15:57:21 -0400
Date: Sun, 15 Mar 2020 21:57:22 +0200
Message-Id: <83imj5bdct.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-Reply-To: <lx7dzlo0t9.fsf@HIDDEN> (message from Pieter
 van Oostrum on Sun, 15 Mar 2020 20:49:54 +0100)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
 <lx7dzlo0t9.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Cc: 39962 <at> debbugs.gnu.org,  eggert@HIDDEN,  pipcet@HIDDEN
> Date: Sun, 15 Mar 2020 20:49:54 +0100
> 
> Pieter van Oostrum <pieter-l@HIDDEN> writes:
> 
> (gdb) p $rsp
> $1 = (void *) 0x7ffeef9c9270

What is the value of stack_bottom?

And how many frames do you have in that backtrace, if you show all of
it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 15 Mar 2020 19:50:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 15:50:05 2020
Received: from localhost ([127.0.0.1]:35634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDZGu-0006Uw-9T
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 15:50:04 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:45918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jDZGr-0006UO-Qu
 for 39962 <at> debbugs.gnu.org; Sun, 15 Mar 2020 15:50:02 -0400
X-ASG-Debug-ID: 1584301795-0a9db43b8b35570c0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id td5BvgT5zov5ceSa
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Sun, 15 Mar 2020 20:49:55 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 6771 invoked from network); 15 Mar 2020 19:49:55 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 15 Mar 2020 19:49:55 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 00284AB661FF;
 Sun, 15 Mar 2020 20:49:54 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN> <lxv9n6oc6b.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Sun, 15 Mar 2020 20:49:54 +0100
In-Reply-To: <lxv9n6oc6b.fsf@HIDDEN> (Pieter van Oostrum's
 message of "Sat, 14 Mar 2020 22:32:12 +0100")
Message-ID: <lx7dzlo0t9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584301795
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Barracuda-BRTS-Status: 1
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 6154
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80624
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pieter van Oostrum <pieter-l@HIDDEN> writes:

> line 1167: rlim_t lim = rlim.rlim_cur;
> gives the new maximum that I specified with ulimit -s (67104768). So I
> can redo the test with that limit. But first get some night rest.

I have done the test with the large stack size. It took considerably longer to crash Emacs, but I still got the crash. 

I had the two breakpoints
break marker.c:472 if charpos <= 0
break alloc.c:3518 if charpos <= 0
but these weren't triggered.

The crash is in the GC, and it seems there is a corrupted overlay or some such.

BTW, the warning: Source file is more recent than executable, is because I switched back and forth between different branches in my repository, but before running I switched back to the compiled Emacs 27 branch, commit c5f255d68156926923232b1edadf50faac527861.
This means it didn't have the live_buffer_holding patch.

------------------------------------------------------------------------
./lisp.h:2623: Emacs fatal error: assertion failed: MARKERP (a)
--Type <RET> for more, q to quit, c to continue without paging--


Thread 3 hit Breakpoint 1, terminate_due_to_signal (sig=6, 
    backtrace_limit=2147483647) at emacs.c:371
warning: Source file is more recent than executable.
371	  signal (sig, SIG_DFL);
(gdb) 
(gdb) bt
#0  terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:371
#1  0x00000001002a4b9b in die (msg=0x1004f65cc "MARKERP (a)", 
    file=0x1004f0449 "./lisp.h", line=2623) at alloc.c:7245
#2  0x00000001002b98cf in XMARKER (a=XIL(0)) at ./lisp.h:2623
#3  0x00000001002b56e7 in mark_overlay (ptr=0x12c489030) at alloc.c:6213
#4  0x00000001002b3902 in mark_object (arg=XIL(0x12c489035)) at alloc.c:6554
#5  0x00000001002b5813 in mark_vectorlike (header=0x11e7da6b0) at alloc.c:6157
#6  0x00000001002b391a in mark_object (arg=XIL(0x11e7da6b5)) at alloc.c:6566
#7  0x00000001002b5813 in mark_vectorlike (header=0x11d98cc70) at alloc.c:6157
#8  0x00000001002b391a in mark_object (arg=XIL(0x11d98cc75)) at alloc.c:6566
#9  0x00000001002b3d33 in mark_object (arg=XIL(0x11dbdbd33)) at alloc.c:6628
#10 0x00000001002b5a17 in mark_localized_symbol (ptr=0x104a5a560)
    at alloc.c:6278
#11 0x00000001002b3b3d in mark_object (arg=XIL(0x4021850)) at alloc.c:6594
#12 0x00000001002b5813 in mark_vectorlike (header=0x106d63050) at alloc.c:6157
#13 0x00000001002b391a in mark_object (arg=XIL(0x106d63105)) at alloc.c:6566
#14 0x00000001002b3a5d in mark_object (arg=XIL(0x488fbb0)) at alloc.c:6581
#15 0x00000001002b5813 in mark_vectorlike (header=0x104d4abe0) at alloc.c:6157
#16 0x00000001002b391a in mark_object (arg=XIL(0x104d4ba35)) at alloc.c:6566
#17 0x00000001002b3a5d in mark_object (arg=XIL(0x6f1e7e0)) at alloc.c:6581
#18 0x00000001002b5813 in mark_vectorlike (header=0x106d32640) at alloc.c:6157
#19 0x00000001002b391a in mark_object (arg=XIL(0x106d326e5)) at alloc.c:6566
#20 0x00000001002b3a5d in mark_object (arg=XIL(0x62e4f90)) at alloc.c:6581
#21 0x00000001002b5813 in mark_vectorlike (header=0x106d43400) at alloc.c:6157
#22 0x00000001002b391a in mark_object (arg=XIL(0x106d327a5)) at alloc.c:6566
#23 0x00000001002b3a5d in mark_object (arg=XIL(0x105333cf3)) at alloc.c:6581
#24 0x00000001002b3a6a in mark_object (arg=XIL(0x4af0780)) at alloc.c:6582
#25 0x00000001002b5813 in mark_vectorlike (header=0x106f18620) at alloc.c:6157
#26 0x00000001002b391a in mark_object (arg=XIL(0x106f18685)) at alloc.c:6566
#27 0x00000001002b3a5d in mark_object (arg=XIL(0x4af0a20)) at alloc.c:6581
#28 0x00000001002b5813 in mark_vectorlike (header=0x106f186b0) at alloc.c:6157
#29 0x00000001002b391a in mark_object (arg=XIL(0x104c44eb3)) at alloc.c:6566
#30 0x00000001002b3a5d in mark_object (arg=XIL(0x125d29773)) at alloc.c:6581
#31 0x00000001002b5207 in mark_compiled (ptr=0x125c0ae90) at alloc.c:6199
#32 0x00000001002b3827 in mark_object (arg=XIL(0x125c0ae95)) at alloc.c:6521
#33 0x00000001002b3a5d in mark_object (arg=XIL(0x6343500)) at alloc.c:6581
#34 0x00000001002b5813 in mark_vectorlike (header=0x106d81d10) at alloc.c:6157
#35 0x00000001002b391a in mark_object (arg=XIL(0x106d81e05)) at alloc.c:6566
#36 0x00000001002b3a5d in mark_object (arg=XIL(0x6343440)) at alloc.c:6581
#37 0x00000001002b5813 in mark_vectorlike (header=0x106d81cd0) at alloc.c:6157
#38 0x00000001002b391a in mark_object (arg=XIL(0x106d813c5)) at alloc.c:6566
#39 0x00000001002b3a5d in mark_object (arg=XIL(0x6343410)) at alloc.c:6581
#40 0x00000001002b5813 in mark_vectorlike (header=0x106d81f70) at alloc.c:6157
#41 0x00000001002b391a in mark_object (arg=XIL(0x106d82115)) at alloc.c:6566
#42 0x00000001002b3a5d in mark_object (arg=XIL(0x632b2b0)) at alloc.c:6581
#43 0x00000001002b5813 in mark_vectorlike (header=0x106d77220) at alloc.c:6157
#44 0x00000001002b391a in mark_object (arg=XIL(0x106d77285)) at alloc.c:6566
#45 0x00000001002b3a5d in mark_object (arg=XIL(0x6333650)) at alloc.c:6581
--Type <RET> for more, q to quit, c to continue without paging--q
Quit
(gdb) p $rsp
$1 = (void *) 0x7ffeef9c9270
(gdb) i thr
  Id   Target Id                     Frame 
* 3    Thread 0x1d03 of process 9528 terminate_due_to_signal (sig=6, 
    backtrace_limit=2147483647) at emacs.c:371
  6    Thread 0x2a1b of process 9528 0x00007fff72c1fcf2 in ?? ()
   from /usr/lib/system/libsystem_kernel.dylib
  8    Thread 0x5203 of process 9528 0x00007fff72c1fcf2 in ?? ()
   from /usr/lib/system/libsystem_kernel.dylib
  11   Thread 0x5003 of process 9528 0x00007fff72c161fa in ?? ()
   from /usr/lib/system/libsystem_kernel.dylib
  411  Thread 0x4f23 of process 9528 0x00007fff72c2028a in ?? ()
   from /usr/lib/system/libsystem_kernel.dylib
  412  Thread 0x1b33 of process 9528 0x00007fff72de6bdc in start_wqthread ()
   from /usr/lib/system/libsystem_pthread.dylib
  413  Thread 0x1fab of process 9528 0x00007fff72c2028a in ?? ()
   from /usr/lib/system/libsystem_kernel.dylib
  414  Thread 0x2c27 of process 9528 0x00007fff72c2028a in ?? ()
   from /usr/lib/system/libsystem_kernel.dylib
(gdb) 

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 15 Mar 2020 14:53:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 10:53:40 2020
Received: from localhost ([127.0.0.1]:35351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDUe3-0006r1-S9
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 10:53:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jDUe1-0006qo-R6
 for 39962 <at> debbugs.gnu.org; Sun, 15 Mar 2020 10:53:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53329)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jDUdw-00045v-K5; Sun, 15 Mar 2020 10:53:32 -0400
Received: from [176.228.60.248] (port=2777 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jDUdv-0005mP-MT; Sun, 15 Mar 2020 10:53:32 -0400
Date: Sun, 15 Mar 2020 16:53:35 +0200
Message-Id: <83sgi9brf4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-Reply-To: <CAOqdjBfS6eG_qCTyXkMKBuNtCOy=DYCqhXRUdutRMojB+MghVA@HIDDEN>
 (message from Pip Cet on Sun, 15 Mar 2020 12:12:52 +0000)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
 <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
 <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
 <17a7a496-d142-55d4-3cc9-f4f86fdaeaa8@HIDDEN>
 <CAOqdjBfCg8LGcnnfrZFjWOss4rJiwF-SfoQKJFRmup_qg_uhyg@HIDDEN>
 <8336aadgca.fsf@HIDDEN>
 <CAOqdjBfK_SqwWxJD_x0yf=BBn7Un-cWgEKCMDET4hCdqT2UAqA@HIDDEN>
 <62ae1ea8-93d1-aa4e-dfb6-4dbd2d88e581@HIDDEN> <83wo7mbstw.fsf@HIDDEN>
 <CAOqdjBfS6eG_qCTyXkMKBuNtCOy=DYCqhXRUdutRMojB+MghVA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pieter-l@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sun, 15 Mar 2020 12:12:52 +0000
> Cc: Paul Eggert <eggert@HIDDEN>, pieter-l@HIDDEN, 39962 <at> debbugs.gnu.org
> 
> On Sat, Mar 14, 2020 at 8:10 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > This patch is for emacs-27, right?
> > No, it's for master.
> 
> Do you want to apply a different fix to emacs-27, or just leave it unfixed?

The latter.  I don't want to mess with GC on the release branch at
this time.  We can always consider backporting it to Emacs 27.2 (or
earlier if the need arises); meanwhile I'd like the change to collect
some usage experience on master.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 15 Mar 2020 14:50:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 10:50:55 2020
Received: from localhost ([127.0.0.1]:35347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDUbP-0006mY-C8
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 10:50:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58315)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jDUbN-0006mJ-Ev
 for 39962 <at> debbugs.gnu.org; Sun, 15 Mar 2020 10:50:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53312)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jDUbH-0005QI-3A; Sun, 15 Mar 2020 10:50:47 -0400
Received: from [176.228.60.248] (port=2608 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jDUbG-0005a2-By; Sun, 15 Mar 2020 10:50:46 -0400
Date: Sun, 15 Mar 2020 16:50:47 +0200
Message-Id: <83tv2pbrjs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-Reply-To: <CAOqdjBfeL-T8grB+sW+jLoW-JX8Y0siFTzG1q0o+Skc+sKvtSQ@HIDDEN>
 (message from Pip Cet on Sun, 15 Mar 2020 12:09:43 +0000)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
 <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
 <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
 <17a7a496-d142-55d4-3cc9-f4f86fdaeaa8@HIDDEN>
 <CAOqdjBfCg8LGcnnfrZFjWOss4rJiwF-SfoQKJFRmup_qg_uhyg@HIDDEN>
 <8336aadgca.fsf@HIDDEN>
 <CAOqdjBfK_SqwWxJD_x0yf=BBn7Un-cWgEKCMDET4hCdqT2UAqA@HIDDEN>
 <62ae1ea8-93d1-aa4e-dfb6-4dbd2d88e581@HIDDEN>
 <CAOqdjBfeL-T8grB+sW+jLoW-JX8Y0siFTzG1q0o+Skc+sKvtSQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pieter-l@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sun, 15 Mar 2020 12:09:43 +0000
> Cc: Eli Zaretskii <eliz@HIDDEN>, pieter-l@HIDDEN, 39962 <at> debbugs.gnu.org
> 
> Oops, sorry. Fixed patch attached.

Thanks, I pushed it to the master branch (after reversing the meaning
of the additional argument).

> In master we should get rid of the live_buffer_p function entirely,
> I think.

What is wrong with that function that we need to get rid of it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 15 Mar 2020 12:13:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 08:13:36 2020
Received: from localhost ([127.0.0.1]:34300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDS9A-0002MU-06
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 08:13:36 -0400
Received: from mail-oi1-f178.google.com ([209.85.167.178]:38117)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jDS98-0002MJ-N0
 for 39962 <at> debbugs.gnu.org; Sun, 15 Mar 2020 08:13:34 -0400
Received: by mail-oi1-f178.google.com with SMTP id k21so14729229oij.5
 for <39962 <at> debbugs.gnu.org>; Sun, 15 Mar 2020 05:13:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=UJR1QjkyQrtYWdrtXrxFMtVNiHdUR4FKSLYddtwy8yc=;
 b=dxTA1LYso9KFUyHvUZtLQJiaVKtdDbB+N8NK4P2i/ARKbuAN9AqAHrWspFd8HEel4i
 plxBr3IwMpxIct16AXO2qcvXnYH1oNJI45XpUh08IGFQwk4MlGsUs2EHezQfpeElBVzD
 U5qEhPNwEXUUXUHm5EBMRXAYXdvOfxdEDBw7fuhiL0c49FqohbBGxXzX/5px9OAftHeH
 DIEPzV7FaaFpexbsyV0ZjWhFpofIO1bbQhIFW1DgBDjKL39OjMGnS+0fymNB12/95D3I
 zKxA2K1M6AC9mRbSEHQSgLuXxpfVM6KXlBHrbAvndjvkE1fLT/3KCUfJbrpJUwu9OEyt
 NC8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=UJR1QjkyQrtYWdrtXrxFMtVNiHdUR4FKSLYddtwy8yc=;
 b=VAqKEP1sdcvkwVjx/u1UCZSMPmGRbToDmMDP+vuiw0a9xtCfnZYEcVBKa2TzalBgca
 L7vFUqY+B0TBLzVepNaGdJn6xa4aXnuUCI59M9sAkzTUO74CcBWP9lw5MoCyDfaKWZOO
 gGS6UF9Tt/c3d4VvZ0cXZI0td2Ih4Danv7u9RYx7KWDIsIFCs6EnDoLZXEXriv6VRgbk
 l83CdtmNbWugmXRNT+rZSu52fx0Qvzh4ipX9hgkWOYbMKxJZ+TIyvpblXJLoYkjCrEtd
 ZbPfkKWPHXJMcxVi8g86UOrYudtovBVF7CDDZdEagkOh5GlNsWYgd2rbo7CiN9PuGOaA
 Rh0Q==
X-Gm-Message-State: ANhLgQ0p0WPR+ad+MS9QWYNfpH/aOanBT9q9nfw2KDpjdXil4z/HFP/X
 0X8euVU0kNLIZv8mNCg4osA8I3UHkQ1UBxvGGFL1/PXz
X-Google-Smtp-Source: ADFU+vsIUIcHTlNM07FEd/aiAq+9a0SnuM/yyb/e1t9e9NKmcv+6VV/KA8JZlax0oFF2IM+fT6DqfX/0Z/AQgSigDb4=
X-Received: by 2002:aca:b9c2:: with SMTP id
 j185mr13259397oif.112.1584274409242; 
 Sun, 15 Mar 2020 05:13:29 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
 <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
 <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
 <17a7a496-d142-55d4-3cc9-f4f86fdaeaa8@HIDDEN>
 <CAOqdjBfCg8LGcnnfrZFjWOss4rJiwF-SfoQKJFRmup_qg_uhyg@HIDDEN>
 <8336aadgca.fsf@HIDDEN>
 <CAOqdjBfK_SqwWxJD_x0yf=BBn7Un-cWgEKCMDET4hCdqT2UAqA@HIDDEN>
 <62ae1ea8-93d1-aa4e-dfb6-4dbd2d88e581@HIDDEN> <83wo7mbstw.fsf@HIDDEN>
In-Reply-To: <83wo7mbstw.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sun, 15 Mar 2020 12:12:52 +0000
Message-ID: <CAOqdjBfS6eG_qCTyXkMKBuNtCOy=DYCqhXRUdutRMojB+MghVA@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>,
 pieter-l@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Mar 14, 2020 at 8:10 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > This patch is for emacs-27, right?
> No, it's for master.

Do you want to apply a different fix to emacs-27, or just leave it unfixed?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 15 Mar 2020 12:10:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 08:10:26 2020
Received: from localhost ([127.0.0.1]:34296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDS66-0002HT-FB
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 08:10:26 -0400
Received: from mail-ot1-f53.google.com ([209.85.210.53]:41447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jDS65-0002HG-Jx
 for 39962 <at> debbugs.gnu.org; Sun, 15 Mar 2020 08:10:26 -0400
Received: by mail-ot1-f53.google.com with SMTP id s15so14956670otq.8
 for <39962 <at> debbugs.gnu.org>; Sun, 15 Mar 2020 05:10:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=MdiLad9hSevv2yaMxFC303yLGEPRCZ/YXOcRPmuhhm8=;
 b=kShHDGn5fT0FFPH2UVZ6oJDfXMbkLr5fZ6IEBiSNcqG3wJzIlELBoL9CCVbGE6JugS
 d4UibQkjTh/zhiIQkljDCkNEt6VYe0EMXEbHTYFimdXWadTF/9ZolowHb4fA/AQu2xIV
 DMY9YSeyNSvdkkAU9huHv7DwQvpQYxV7wQGmf6O4IY2NwPOFKUW7tct+esaa2VguhQ4V
 0EXyg8FUDKe0PCopEKYj0VoRSPePRWDQXYBy9DoO9mA9tjVjHpoyjPVlcDRb81GlvVhs
 WAFniR43+h8VNRzyDorI2ML8mTtDir1oPp4/HBZNtqCvAoBJJHL/uveWhKWcvC/qUcQO
 QItg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=MdiLad9hSevv2yaMxFC303yLGEPRCZ/YXOcRPmuhhm8=;
 b=ROjiEOX6lPHj25kszik6BZ+DP8rm1n5PAr3bdT5cKejiHxE0vtwDjrB6wKHIQoxeB0
 G7ININo9muOLo8DVOyjiZD+rbUwH/XYVfqZjxHfWcSyli6DZX1GZInAOMfeFfl1BIeQo
 2TRFhKg6TeT9HGsrTyHgQFlRZ1RxdBAICitj8+kP8SmlRUj4Ueg53v+nQZ8g0UFSGGBR
 G8wv4RcNqimdoQ82ZwwW1MbbmveBLM/kctHBvUMrIJ6oBp/71Xkbcsqys+9CMN/Swdx5
 u7HD9BfI7Q9l8WmASJqNpgn4IYZu54u8sptZFUbFuta49NqvEGAma/FUrXBT8CBUK56H
 6GMg==
X-Gm-Message-State: ANhLgQ35Zoud1innHhNWNIdzfxFockxeUTPZJlvJoe+/KLgWAweA4I0g
 +4SLEyNy5srgf7GOXLOSQeTMLrGyK4NxFUFur4Q=
X-Google-Smtp-Source: ADFU+vsSCgeBPalnYFOV/wByEwFfw/DgygLHVyFxfNjOXIwL/QYxQPiR2kxDlMNVfAOq1HqMdpwIpEUw6BEs8j4/ir8=
X-Received: by 2002:a05:6830:11:: with SMTP id
 c17mr18381779otp.292.1584274219994; 
 Sun, 15 Mar 2020 05:10:19 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
 <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
 <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
 <17a7a496-d142-55d4-3cc9-f4f86fdaeaa8@HIDDEN>
 <CAOqdjBfCg8LGcnnfrZFjWOss4rJiwF-SfoQKJFRmup_qg_uhyg@HIDDEN>
 <8336aadgca.fsf@HIDDEN>
 <CAOqdjBfK_SqwWxJD_x0yf=BBn7Un-cWgEKCMDET4hCdqT2UAqA@HIDDEN>
 <62ae1ea8-93d1-aa4e-dfb6-4dbd2d88e581@HIDDEN>
In-Reply-To: <62ae1ea8-93d1-aa4e-dfb6-4dbd2d88e581@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sun, 15 Mar 2020 12:09:43 +0000
Message-ID: <CAOqdjBfeL-T8grB+sW+jLoW-JX8Y0siFTzG1q0o+Skc+sKvtSQ@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Paul Eggert <eggert@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000001c2be905a0e396c1"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, pieter-l@HIDDEN,
 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000001c2be905a0e396c1
Content-Type: text/plain; charset="UTF-8"

On Sat, Mar 14, 2020 at 7:09 PM Paul Eggert <eggert@HIDDEN> wrote:
> On 3/14/20 11:34 AM, Pip Cet wrote:
>
> > +      if (0 <= offset && offset < sizeof *b &&
> > +       (all_buffers || !NILP (b->name_)))
>
> The "&&" should go at the start of the second line, not the end of the first.

Oops, sorry. Fixed patch attached.

> This patch is for emacs-27, right?

I'd intended it for emacs-27, yes. In master we should get rid of the
live_buffer_p function entirely, I think.

> Thanks again.

Thank you!

--0000000000001c2be905a0e396c1
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Don-t-collect-reachable-killed-buffers-during-GC.patch"
Content-Disposition: attachment; 
	filename="0001-Don-t-collect-reachable-killed-buffers-during-GC.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k7szxfzo0>
X-Attachment-Id: f_k7szxfzo0

RnJvbSBiMTAwZDVlNzBjZWQ1ZWQ1MGM3Y2JjYjQ3ZDNhNTViZWUzYTFmYzljIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBQaXAgQ2V0IDxwaXBjZXRAZ21haWwuY29tPgpEYXRlOiBTYXQs
IDE0IE1hciAyMDIwIDE4OjI2OjMzICswMDAwClN1YmplY3Q6IFtQQVRDSF0gRG9uJ3QgY29sbGVj
dCByZWFjaGFibGUga2lsbGVkIGJ1ZmZlcnMgZHVyaW5nIEdDCgoqIHNyYy9hbGxvYy5jIChsaXZl
X2J1ZmZlcl9ob2xkaW5nKTogQWRkIGBhbGxfYnVmZmVycycgYXJndW1lbnQgZm9yCnJldHVybmlu
ZyBraWxsZWQgYnVmZmVycy4KKG1hcmtfbWF5YmVfb2JqZWN0LCBtYXJrX21heWJlX3BvaW50ZXIp
OiBVc2UgaXQuCi0tLQogc3JjL2FsbG9jLmMgfCAxOCArKysrKysrKysrLS0tLS0tLS0KIDEgZmls
ZSBjaGFuZ2VkLCAxMCBpbnNlcnRpb25zKCspLCA4IGRlbGV0aW9ucygtKQoKZGlmZiAtLWdpdCBh
L3NyYy9hbGxvYy5jIGIvc3JjL2FsbG9jLmMKaW5kZXggMWM2YjY2NGIyMi4uOTMwMDM4MGZlMiAx
MDA2NDQKLS0tIGEvc3JjL2FsbG9jLmMKKysrIGIvc3JjL2FsbG9jLmMKQEAgLTQ0ODIsMjAgKzQ0
ODIsMjIgQEAgbGl2ZV92ZWN0b3JfcCAoc3RydWN0IG1lbV9ub2RlICptLCB2b2lkICpwKQogfQog
CiAvKiBJZiBQIGlzIGEgcG9pbnRlciBpbnRvIGEgbGl2ZSBidWZmZXIsIHJldHVybiB0aGUgYnVm
ZmVyLgotICAgT3RoZXJ3aXNlLCByZXR1cm4gbmlsLiAgTSBpcyBhIHBvaW50ZXIgdG8gdGhlIG1l
bV9ibG9jayBmb3IgUC4gICovCisgICBPdGhlcndpc2UsIHJldHVybiBuaWwuICBNIGlzIGEgcG9p
bnRlciB0byB0aGUgbWVtX2Jsb2NrIGZvciBQLgorICAgQWxzbyByZXR1cm4ga2lsbGVkIGJ1ZmZl
cnMgaWYgQUxMLUJVRkZFUlMgaXMgdHJ1ZS4gICovCiAKIHN0YXRpYyBMaXNwX09iamVjdAotbGl2
ZV9idWZmZXJfaG9sZGluZyAoc3RydWN0IG1lbV9ub2RlICptLCB2b2lkICpwKQorbGl2ZV9idWZm
ZXJfaG9sZGluZyAoc3RydWN0IG1lbV9ub2RlICptLCB2b2lkICpwLCBib29sIGFsbF9idWZmZXJz
KQogewotICAvKiBQIG11c3QgcG9pbnQgaW50byB0aGUgYmxvY2ssIGFuZCB0aGUgYnVmZmVyCi0g
ICAgIG11c3Qgbm90IGhhdmUgYmVlbiBraWxsZWQuICAqLworICAvKiBQIG11c3QgcG9pbnQgaW50
byB0aGUgYmxvY2ssIGFuZCB0aGUgYnVmZmVyIG11c3Qgbm90CisgICAgIGhhdmUgYmVlbiBraWxs
ZWQgdW5sZXNzIEFMTC1CVUZGRVJTIGlzIHRydWUuICAqLwogICBpZiAobS0+dHlwZSA9PSBNRU1f
VFlQRV9CVUZGRVIpCiAgICAgewogICAgICAgc3RydWN0IGJ1ZmZlciAqYiA9IG0tPnN0YXJ0Owog
ICAgICAgY2hhciAqY2IgPSBtLT5zdGFydDsKICAgICAgIGNoYXIgKmNwID0gcDsKICAgICAgIHB0
cmRpZmZfdCBvZmZzZXQgPSBjcCAtIGNiOwotICAgICAgaWYgKDAgPD0gb2Zmc2V0ICYmIG9mZnNl
dCA8IHNpemVvZiAqYiAmJiAhTklMUCAoYi0+bmFtZV8pKQorICAgICAgaWYgKDAgPD0gb2Zmc2V0
ICYmIG9mZnNldCA8IHNpemVvZiAqYgorCSAgJiYgKGFsbF9idWZmZXJzIHx8ICFOSUxQIChiLT5u
YW1lXykpKQogCXsKIAkgIExpc3BfT2JqZWN0IG9iajsKIAkgIFhTRVRCVUZGRVIgKG9iaiwgYik7
CkBAIC00NTA4LDcgKzQ1MTAsNyBAQCBsaXZlX2J1ZmZlcl9ob2xkaW5nIChzdHJ1Y3QgbWVtX25v
ZGUgKm0sIHZvaWQgKnApCiBzdGF0aWMgYm9vbAogbGl2ZV9idWZmZXJfcCAoc3RydWN0IG1lbV9u
b2RlICptLCB2b2lkICpwKQogewotICByZXR1cm4gIU5JTFAgKGxpdmVfYnVmZmVyX2hvbGRpbmcg
KG0sIHApKTsKKyAgcmV0dXJuICFOSUxQIChsaXZlX2J1ZmZlcl9ob2xkaW5nIChtLCBwLCBmYWxz
ZSkpOwogfQogCiAvKiBNYXJrIE9CSiBpZiB3ZSBjYW4gcHJvdmUgaXQncyBhIExpc3BfT2JqZWN0
LiAgKi8KQEAgLTQ1NjYsNyArNDU2OCw3IEBAIG1hcmtfbWF5YmVfb2JqZWN0IChMaXNwX09iamVj
dCBvYmopCiAKIAljYXNlIExpc3BfVmVjdG9ybGlrZToKIAkgIG1hcmtfcCA9IChFUSAob2JqLCBs
aXZlX3ZlY3Rvcl9ob2xkaW5nIChtLCBwbykpCi0JCSAgICB8fCBFUSAob2JqLCBsaXZlX2J1ZmZl
cl9ob2xkaW5nIChtLCBwbykpKTsKKwkJICAgIHx8IEVRIChvYmosIGxpdmVfYnVmZmVyX2hvbGRp
bmcgKG0sIHBvLCB0cnVlKSkpOwogCSAgYnJlYWs7CiAKIAlkZWZhdWx0OgpAQCAtNDYzNiw3ICs0
NjM4LDcgQEAgbWFya19tYXliZV9wb2ludGVyICh2b2lkICpwKQogCSAgYnJlYWs7CiAKIAljYXNl
IE1FTV9UWVBFX0JVRkZFUjoKLQkgIG9iaiA9IGxpdmVfYnVmZmVyX2hvbGRpbmcgKG0sIHApOwor
CSAgb2JqID0gbGl2ZV9idWZmZXJfaG9sZGluZyAobSwgcCwgdHJ1ZSk7CiAJICBicmVhazsKIAog
CWNhc2UgTUVNX1RZUEVfQ09OUzoKLS0gCjIuMjUuMQoK
--0000000000001c2be905a0e396c1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 21:32:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 17:32:23 2020
Received: from localhost ([127.0.0.1]:34056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDEOM-0004uz-Ow
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 17:32:22 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:54473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jDEOL-0004uk-9k
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 17:32:21 -0400
X-ASG-Debug-ID: 1584221534-0ac37b52051f494f0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id QzsrvgBdofu626Mt
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Sat, 14 Mar 2020 22:32:14 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 4307 invoked from network); 14 Mar 2020 21:32:14 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 14 Mar 2020 21:32:14 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id DB2D0AAECA33;
 Sat, 14 Mar 2020 22:32:13 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
 <83r1xv73ze.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Sat, 14 Mar 2020 22:32:12 +0100
In-Reply-To: <83r1xv73ze.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 14 Mar
 2020 10:08:53 +0200")
Message-ID: <lxv9n6oc6b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584221534
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 1003
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80624
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Pieter van Oostrum <pieter-l@HIDDEN>
>> Cc: pipcet@HIDDEN,  39962 <at> debbugs.gnu.org,  eggert@HIDDEN
>> Date: Fri, 13 Mar 2020 22:35:23 +0100
>> 
>> >> My ulimit -s was 8192 (8 MiBi if I am correct).
>> >
>> > But does that mean Emacs can really use that much stack space?
>> 
>> I don't know. If not, would that be an Emacs problem or a MacOS problem? And how can I find out?
>
> I'm not familiar enough with Binutils (or their equivalent) on macOS,
> but if you put a breakpoint around line 1167 in emacs.c, you should be
> able to examine the amount of stack returned by getrlimit.  Assuming
> that code gets compiled on your system, that is.

Thanks.

line 1167: rlim_t lim = rlim.rlim_cur;
gives the new maximum that I specified with ulimit -s (67104768). So I can redo the test with that limit. But first get some night rest.
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 20:10:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 16:10:59 2020
Received: from localhost ([127.0.0.1]:34047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDD7b-00033P-JY
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 16:10:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43145)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jDD7Z-00033C-Ms
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 16:10:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43182)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jDD7T-0008BI-Ox; Sat, 14 Mar 2020 16:10:51 -0400
Received: from [176.228.60.248] (port=2313 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jDD7S-0002Wl-U2; Sat, 14 Mar 2020 16:10:51 -0400
Date: Sat, 14 Mar 2020 22:10:51 +0200
Message-Id: <83wo7mbstw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-Reply-To: <62ae1ea8-93d1-aa4e-dfb6-4dbd2d88e581@HIDDEN> (message from
 Paul Eggert on Sat, 14 Mar 2020 12:09:45 -0700)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
 <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
 <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
 <17a7a496-d142-55d4-3cc9-f4f86fdaeaa8@HIDDEN>
 <CAOqdjBfCg8LGcnnfrZFjWOss4rJiwF-SfoQKJFRmup_qg_uhyg@HIDDEN>
 <8336aadgca.fsf@HIDDEN>
 <CAOqdjBfK_SqwWxJD_x0yf=BBn7Un-cWgEKCMDET4hCdqT2UAqA@HIDDEN>
 <62ae1ea8-93d1-aa4e-dfb6-4dbd2d88e581@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Cc: pieter-l@HIDDEN, 39962 <at> debbugs.gnu.org
> From: Paul Eggert <eggert@HIDDEN>
> Date: Sat, 14 Mar 2020 12:09:45 -0700
> 
> This patch is for emacs-27, right?

No, it's for master.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 19:09:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 15:09:54 2020
Received: from localhost ([127.0.0.1]:34024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDCAT-0001eF-QB
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 15:09:54 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:34780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1jDCAR-0001e1-M2
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 15:09:52 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 2A1221600E7;
 Sat, 14 Mar 2020 12:09:46 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 3mcww3GNV9bS; Sat, 14 Mar 2020 12:09:45 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 765D11600F4;
 Sat, 14 Mar 2020 12:09:45 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id kl4FsfIZwggv; Sat, 14 Mar 2020 12:09:45 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 3EB791600E7;
 Sat, 14 Mar 2020 12:09:45 -0700 (PDT)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pip Cet <pipcet@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <24162.58107.725366.668639@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
 <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
 <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
 <17a7a496-d142-55d4-3cc9-f4f86fdaeaa8@HIDDEN>
 <CAOqdjBfCg8LGcnnfrZFjWOss4rJiwF-SfoQKJFRmup_qg_uhyg@HIDDEN>
 <8336aadgca.fsf@HIDDEN>
 <CAOqdjBfK_SqwWxJD_x0yf=BBn7Un-cWgEKCMDET4hCdqT2UAqA@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <62ae1ea8-93d1-aa4e-dfb6-4dbd2d88e581@HIDDEN>
Date: Sat, 14 Mar 2020 12:09:45 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
In-Reply-To: <CAOqdjBfK_SqwWxJD_x0yf=BBn7Un-cWgEKCMDET4hCdqT2UAqA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 3/14/20 11:34 AM, Pip Cet wrote:

> +      if (0 <= offset && offset < sizeof *b &&
> +	  (all_buffers || !NILP (b->name_)))

The "&&" should go at the start of the second line, not the end of the first.

This patch is for emacs-27, right?

Thanks again.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 18:35:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 14:35:43 2020
Received: from localhost ([127.0.0.1]:33988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDBdO-0000pP-VA
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 14:35:43 -0400
Received: from mail-ot1-f44.google.com ([209.85.210.44]:42187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jDBdN-0000pC-EI
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 14:35:41 -0400
Received: by mail-ot1-f44.google.com with SMTP id 66so13640235otd.9
 for <39962 <at> debbugs.gnu.org>; Sat, 14 Mar 2020 11:35:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=fEmhlBgcLeQuScsf2vUSRtFRFJPYORUGThLCNjGMfuI=;
 b=MA3fTT4llMFkQNoUwIYu9BmFpTJlFf57R4IF5w4rUQEIgJBtKlnbeq34x2GVoZUV7e
 TLxEJyP5TtT4KUBpnBU8qXrxXShBV9EAzL2gbTDnxad1hbR84svZKwPSudIxT6SChGOs
 CIJR1txV6Mc/CqEzTfMo5bihUb2zzyjjKY1ZTfRlAJNQBQ43e7ry97xMG8lKiUzwn6Xh
 jnw5IcEEAPMXoMEW4UyOIF+uZvRB9ojTUcMDpy26JXwwb9VPmhE5MILcY4jU6lx94CqS
 O1A10uZ8Tr9X/sr3M6nY7CF+HF3WvWG8HRXY8XPioeOHDeQlESQM+c9TiWo4Z7hrZjIH
 7KTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=fEmhlBgcLeQuScsf2vUSRtFRFJPYORUGThLCNjGMfuI=;
 b=eJgNFtrfZYDWa2fcX3LVe5OfZ3GeaSvxR8r11mvjHXZpgPg0epT2uZhgzRq4U0Z2TR
 /r12s6Rqz5UIwFJ3urOm8OOclHFb/PxAu6zJ56yhVT/YPNmyq/YJ7/bkAgIE8zz/ac5I
 aZz2skusc8q1PCVSGxf07HmZpFr43ep4qEdPfNxBA4MX/z1aP4E6hYAk7sTWn5n4Zths
 NvwOjKw0FonfeWPaq859W9hM4e5SaUAserCGrVWgSfosnFRq6HQ3TZ95zn7eDqPxn9td
 BJ+IlsIOhmwKzVOAeX9BLrIrgaLT2i1SpMG23tPMKT2wG3Kunk3jjuuv+KKBkSt30rMy
 bByA==
X-Gm-Message-State: ANhLgQ17KmIV/Ues3cXN+VVvyVcO7uyqcC9gMjTicg2/0YEEuEnv9oFI
 ncOdZ5Dev/qVd77Mq20k1N9BZeXZ+VseixHfiBI=
X-Google-Smtp-Source: ADFU+vuvn4Ex9iiDgI155AuKB4vZdjK/wHCGTZJFOlAZp0JV1nBTkT9qF9cpewTa2Rtl8HWVPYXuh+igGfUXkSQJKA0=
X-Received: by 2002:a9d:4508:: with SMTP id w8mr17380794ote.154.1584210935745; 
 Sat, 14 Mar 2020 11:35:35 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
 <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
 <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
 <17a7a496-d142-55d4-3cc9-f4f86fdaeaa8@HIDDEN>
 <CAOqdjBfCg8LGcnnfrZFjWOss4rJiwF-SfoQKJFRmup_qg_uhyg@HIDDEN>
 <8336aadgca.fsf@HIDDEN>
In-Reply-To: <8336aadgca.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sat, 14 Mar 2020 18:34:58 +0000
Message-ID: <CAOqdjBfK_SqwWxJD_x0yf=BBn7Un-cWgEKCMDET4hCdqT2UAqA@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000132a8c05a0d4dac8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pieter-l@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000132a8c05a0d4dac8
Content-Type: text/plain; charset="UTF-8"

On Sat, Mar 14, 2020 at 4:57 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > The two comments do not seem to agree. Surely second one should say just
> > > something like "P must point into block M."
> >
> > Thanks! Revised patch attached.
>
> Thanks.  I'd prefer not to duplicate code, though.  Can we teach
> live_buffer_holding to disregard whether a buffer is killed or not
> based on an additional argument?

Sure. Patch attached.

--000000000000132a8c05a0d4dac8
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Don-t-collect-reachable-killed-buffers-during-GC.patch"
Content-Disposition: attachment; 
	filename="0001-Don-t-collect-reachable-killed-buffers-during-GC.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k7ry96dk0>
X-Attachment-Id: f_k7ry96dk0

RnJvbSBiZjJkOTJmNjM4N2U3YmFkZTA1NjdmMjA4MWI0MjAwODRlMTNiNTAyIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBQaXAgQ2V0IDxwaXBjZXRAZ21haWwuY29tPgpEYXRlOiBTYXQs
IDE0IE1hciAyMDIwIDE4OjI2OjMzICswMDAwClN1YmplY3Q6IFtQQVRDSF0gRG9uJ3QgY29sbGVj
dCByZWFjaGFibGUga2lsbGVkIGJ1ZmZlcnMgZHVyaW5nIEdDCgoqIHNyYy9hbGxvYy5jIChsaXZl
X2J1ZmZlcl9ob2xkaW5nKTogQWRkIGBhbGxfYnVmZmVycycgYXJndW1lbnQgZm9yCnJldHVybmlu
ZyBraWxsZWQgYnVmZmVycy4KKG1hcmtfbWF5YmVfb2JqZWN0LCBtYXJrX21heWJlX3BvaW50ZXIp
OiBVc2UgaXQuCi0tLQogc3JjL2FsbG9jLmMgfCAxOCArKysrKysrKysrLS0tLS0tLS0KIDEgZmls
ZSBjaGFuZ2VkLCAxMCBpbnNlcnRpb25zKCspLCA4IGRlbGV0aW9ucygtKQoKZGlmZiAtLWdpdCBh
L3NyYy9hbGxvYy5jIGIvc3JjL2FsbG9jLmMKaW5kZXggMWM2YjY2NGIyMi4uYWVhMWYyN2EzOSAx
MDA2NDQKLS0tIGEvc3JjL2FsbG9jLmMKKysrIGIvc3JjL2FsbG9jLmMKQEAgLTQ0ODIsMjAgKzQ0
ODIsMjIgQEAgbGl2ZV92ZWN0b3JfcCAoc3RydWN0IG1lbV9ub2RlICptLCB2b2lkICpwKQogfQog
CiAvKiBJZiBQIGlzIGEgcG9pbnRlciBpbnRvIGEgbGl2ZSBidWZmZXIsIHJldHVybiB0aGUgYnVm
ZmVyLgotICAgT3RoZXJ3aXNlLCByZXR1cm4gbmlsLiAgTSBpcyBhIHBvaW50ZXIgdG8gdGhlIG1l
bV9ibG9jayBmb3IgUC4gICovCisgICBPdGhlcndpc2UsIHJldHVybiBuaWwuICBNIGlzIGEgcG9p
bnRlciB0byB0aGUgbWVtX2Jsb2NrIGZvciBQLgorICAgQWxzbyByZXR1cm4ga2lsbGVkIGJ1ZmZl
cnMgaWYgQUxMLUJVRkZFUlMgaXMgdHJ1ZS4gICovCiAKIHN0YXRpYyBMaXNwX09iamVjdAotbGl2
ZV9idWZmZXJfaG9sZGluZyAoc3RydWN0IG1lbV9ub2RlICptLCB2b2lkICpwKQorbGl2ZV9idWZm
ZXJfaG9sZGluZyAoc3RydWN0IG1lbV9ub2RlICptLCB2b2lkICpwLCBib29sIGFsbF9idWZmZXJz
KQogewotICAvKiBQIG11c3QgcG9pbnQgaW50byB0aGUgYmxvY2ssIGFuZCB0aGUgYnVmZmVyCi0g
ICAgIG11c3Qgbm90IGhhdmUgYmVlbiBraWxsZWQuICAqLworICAvKiBQIG11c3QgcG9pbnQgaW50
byB0aGUgYmxvY2ssIGFuZCB0aGUgYnVmZmVyIG11c3Qgbm90CisgICAgIGhhdmUgYmVlbiBraWxs
ZWQgdW5sZXNzIEFMTC1CVUZGRVJTIGlzIHRydWUuICAqLwogICBpZiAobS0+dHlwZSA9PSBNRU1f
VFlQRV9CVUZGRVIpCiAgICAgewogICAgICAgc3RydWN0IGJ1ZmZlciAqYiA9IG0tPnN0YXJ0Owog
ICAgICAgY2hhciAqY2IgPSBtLT5zdGFydDsKICAgICAgIGNoYXIgKmNwID0gcDsKICAgICAgIHB0
cmRpZmZfdCBvZmZzZXQgPSBjcCAtIGNiOwotICAgICAgaWYgKDAgPD0gb2Zmc2V0ICYmIG9mZnNl
dCA8IHNpemVvZiAqYiAmJiAhTklMUCAoYi0+bmFtZV8pKQorICAgICAgaWYgKDAgPD0gb2Zmc2V0
ICYmIG9mZnNldCA8IHNpemVvZiAqYiAmJgorCSAgKGFsbF9idWZmZXJzIHx8ICFOSUxQIChiLT5u
YW1lXykpKQogCXsKIAkgIExpc3BfT2JqZWN0IG9iajsKIAkgIFhTRVRCVUZGRVIgKG9iaiwgYik7
CkBAIC00NTA4LDcgKzQ1MTAsNyBAQCBsaXZlX2J1ZmZlcl9ob2xkaW5nIChzdHJ1Y3QgbWVtX25v
ZGUgKm0sIHZvaWQgKnApCiBzdGF0aWMgYm9vbAogbGl2ZV9idWZmZXJfcCAoc3RydWN0IG1lbV9u
b2RlICptLCB2b2lkICpwKQogewotICByZXR1cm4gIU5JTFAgKGxpdmVfYnVmZmVyX2hvbGRpbmcg
KG0sIHApKTsKKyAgcmV0dXJuICFOSUxQIChsaXZlX2J1ZmZlcl9ob2xkaW5nIChtLCBwLCBmYWxz
ZSkpOwogfQogCiAvKiBNYXJrIE9CSiBpZiB3ZSBjYW4gcHJvdmUgaXQncyBhIExpc3BfT2JqZWN0
LiAgKi8KQEAgLTQ1NjYsNyArNDU2OCw3IEBAIG1hcmtfbWF5YmVfb2JqZWN0IChMaXNwX09iamVj
dCBvYmopCiAKIAljYXNlIExpc3BfVmVjdG9ybGlrZToKIAkgIG1hcmtfcCA9IChFUSAob2JqLCBs
aXZlX3ZlY3Rvcl9ob2xkaW5nIChtLCBwbykpCi0JCSAgICB8fCBFUSAob2JqLCBsaXZlX2J1ZmZl
cl9ob2xkaW5nIChtLCBwbykpKTsKKwkJICAgIHx8IEVRIChvYmosIGxpdmVfYnVmZmVyX2hvbGRp
bmcgKG0sIHBvLCB0cnVlKSkpOwogCSAgYnJlYWs7CiAKIAlkZWZhdWx0OgpAQCAtNDYzNiw3ICs0
NjM4LDcgQEAgbWFya19tYXliZV9wb2ludGVyICh2b2lkICpwKQogCSAgYnJlYWs7CiAKIAljYXNl
IE1FTV9UWVBFX0JVRkZFUjoKLQkgIG9iaiA9IGxpdmVfYnVmZmVyX2hvbGRpbmcgKG0sIHApOwor
CSAgb2JqID0gbGl2ZV9idWZmZXJfaG9sZGluZyAobSwgcCwgdHJ1ZSk7CiAJICBicmVhazsKIAog
CWNhc2UgTUVNX1RZUEVfQ09OUzoKLS0gCjIuMjUuMQoK
--000000000000132a8c05a0d4dac8--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 16:57:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 12:57:59 2020
Received: from localhost ([127.0.0.1]:33888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDA6p-0006wj-K1
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 12:57:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jDA6n-0006wU-QT
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 12:57:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41433)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jDA6g-0003W1-Vv; Sat, 14 Mar 2020 12:57:51 -0400
Received: from [176.228.60.248] (port=1990 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jDA6e-0008LK-DN; Sat, 14 Mar 2020 12:57:50 -0400
Date: Sat, 14 Mar 2020 18:57:41 +0200
Message-Id: <8336aadgca.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-Reply-To: <CAOqdjBfCg8LGcnnfrZFjWOss4rJiwF-SfoQKJFRmup_qg_uhyg@HIDDEN>
 (message from Pip Cet on Sat, 14 Mar 2020 16:15:57 +0000)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
 <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
 <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
 <17a7a496-d142-55d4-3cc9-f4f86fdaeaa8@HIDDEN>
 <CAOqdjBfCg8LGcnnfrZFjWOss4rJiwF-SfoQKJFRmup_qg_uhyg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pieter-l@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Sat, 14 Mar 2020 16:15:57 +0000
> Cc: Eli Zaretskii <eliz@HIDDEN>, pieter-l@HIDDEN, 39962 <at> debbugs.gnu.org
> 
> > The two comments do not seem to agree. Surely second one should say just
> > something like "P must point into block M."
> 
> Thanks! Revised patch attached.

Thanks.  I'd prefer not to duplicate code, though.  Can we teach
live_buffer_holding to disregard whether a buffer is killed or not
based on an additional argument?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 16:16:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 12:16:42 2020
Received: from localhost ([127.0.0.1]:33858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jD9Ss-0003zI-5z
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 12:16:42 -0400
Received: from mail-oi1-f173.google.com ([209.85.167.173]:34569)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jD9Sq-0003z5-Gu
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 12:16:40 -0400
Received: by mail-oi1-f173.google.com with SMTP id g6so12985439oiy.1
 for <39962 <at> debbugs.gnu.org>; Sat, 14 Mar 2020 09:16:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=3z6koYT5OM/RALL/mTaV9jo4y7iYQB31ZG5jwG/kn1Y=;
 b=YWOOlcFfmgAg2uFADyuvYlH11LnQH9j3Fvp94Uh07oDPAH0t+MJeW8xSgyTr9xdTzd
 uOIDAPsv6H2mOhmUvWs1pX61H0Nc1fbeM9AxKl5Zyao1CJyBWd8v7kPTCyUWaTEYlZki
 pkAme/f3kNJaXtDF6Myq7jleyQEGLnIyYqqbD4wtSwFWdI6zSmrVQ8ijp1p8mWRDDBq8
 +8DDd8FZcN16VbdYu9POalRgGVf4Iz+WwfJBVHI8FmD4Yy3r9hIy2GoAY6c06B51MjDl
 wmUn8YtCv8XH/ziUQIQHfVp+5XNAsgF9Iw01nJ4S7AAMUR61I6q0miUmLrFqsHMAa+iS
 AyXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=3z6koYT5OM/RALL/mTaV9jo4y7iYQB31ZG5jwG/kn1Y=;
 b=r2mGv3SfVKbWd0OKpiI6YI+sxMAiGUGdH59dBeRbzNIkxt+XAP2zRS8Ivw9Bku1gl/
 +KEIiXqK3tOJwW4uNbU/5X2RsW08BsIiU7CxL2EuAeHWfAdvFPpr+dpE6BShGu35uaZM
 hncOTUWiOvb06cs3kHH60HyXGcmH2wLBn62QwhUDwA1eBDCiJz3ia6F/nIYtIZ795NUG
 2Zcdsryrzelr7dVYDVh7Ly60tRXktrKy9otS1RhKKVgtAdlhX8/BIsInpdrcidnUSQ5o
 tvQEm7bWvgdhTtbICH17XlrjbZxUoGCntRp5uULX2kUnRd+UfA88i8v6b4Vv88SBDhc9
 yvAA==
X-Gm-Message-State: ANhLgQ1tyID+TcWfrPLPF1LyU84yq2gowt4lA5k5C3PpoStXl59l+Co8
 DW4H652Mzx4BsOlwLtpfBmL2lOSkr0nWMC69XAk=
X-Google-Smtp-Source: ADFU+vuQfBcu+IVOQOdSnWYI+/eMDs/9FdX2SIiw0IH6/pwgs3aLT6UZXGKAL9672RWHrCOeRGtiTvoQqSPigGQhdj0=
X-Received: by 2002:a05:6808:1cf:: with SMTP id
 x15mr11664400oic.44.1584202594954; 
 Sat, 14 Mar 2020 09:16:34 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
 <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
 <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
 <17a7a496-d142-55d4-3cc9-f4f86fdaeaa8@HIDDEN>
In-Reply-To: <17a7a496-d142-55d4-3cc9-f4f86fdaeaa8@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sat, 14 Mar 2020 16:15:57 +0000
Message-ID: <CAOqdjBfCg8LGcnnfrZFjWOss4rJiwF-SfoQKJFRmup_qg_uhyg@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Paul Eggert <eggert@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000ecc97105a0d2e891"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, pieter-l@HIDDEN,
 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000ecc97105a0d2e891
Content-Type: text/plain; charset="UTF-8"

On Sat, Mar 14, 2020 at 4:00 PM Paul Eggert <eggert@HIDDEN> wrote:
> > +/* If P is a pointer into a buffer, killed or live, return the buffer.
> > +   Otherwise, return nil.  M is a pointer to the mem_block for P.  */
> > +
> > +static Lisp_Object
> > +valid_buffer_holding (struct mem_node *m, void *p)
> > +{
> > +  /* P must point into the block, and the buffer
> > +     must not have been killed.  */
>
> The two comments do not seem to agree. Surely second one should say just
> something like "P must point into block M."

Thanks! Revised patch attached.

--000000000000ecc97105a0d2e891
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Don-t-collect-reachable-killed-buffers-during-GC.patch"
Content-Disposition: attachment; 
	filename="0001-Don-t-collect-reachable-killed-buffers-during-GC.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k7rta1050>
X-Attachment-Id: f_k7rta1050
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--000000000000ecc97105a0d2e891--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 16:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 12:01:00 2020
Received: from localhost ([127.0.0.1]:33853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jD9Df-0003dx-RC
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 12:00:59 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:40748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1jD9Dd-0003di-MX
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 12:00:58 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id F3AE51600F4;
 Sat, 14 Mar 2020 09:00:51 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id M2dso6HXtGAi; Sat, 14 Mar 2020 09:00:51 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 4D0111600E7;
 Sat, 14 Mar 2020 09:00:51 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id s2jcAvjLh-lr; Sat, 14 Mar 2020 09:00:51 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 1F07B1600D8;
 Sat, 14 Mar 2020 09:00:51 -0700 (PDT)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pip Cet <pipcet@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <24162.58107.725366.668639@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
 <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
 <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <17a7a496-d142-55d4-3cc9-f4f86fdaeaa8@HIDDEN>
Date: Sat, 14 Mar 2020 09:00:50 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
In-Reply-To: <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 3/14/20 8:39 AM, Pip Cet wrote:

> +/* If P is a pointer into a buffer, killed or live, return the buffer.
> +   Otherwise, return nil.  M is a pointer to the mem_block for P.  */
> +
> +static Lisp_Object
> +valid_buffer_holding (struct mem_node *m, void *p)
> +{
> +  /* P must point into the block, and the buffer
> +     must not have been killed.  */

The two comments do not seem to agree. Surely second one should say just 
something like "P must point into block M."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 15:40:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 11:40:27 2020
Received: from localhost ([127.0.0.1]:33833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jD8tm-00039y-Qv
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 11:40:27 -0400
Received: from mail-ot1-f43.google.com ([209.85.210.43]:41664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jD8tl-00039l-5h
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 11:40:25 -0400
Received: by mail-ot1-f43.google.com with SMTP id s15so13341667otq.8
 for <39962 <at> debbugs.gnu.org>; Sat, 14 Mar 2020 08:40:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=IQE0NAKVhDNWM2BTpB+36Yc22PcRd3WGqKxojffigY8=;
 b=fE3NAL1eoRpaoTvH63rHO0xwuh0MmGvdG4n9hR5mY7qO2h4wb5HLmd5901M0TGVBNK
 aneTJGZ6e4R6e7P/fnU4d9quxFJND7g1FBjyWXhcS3aVNbraE60CbVoUFcJnLuBk1I8x
 lbGnRfjGxm54xVx0wfr7visYSfUeT41wjWZ7CguyT4T1lAFLMfvgOLo1pF0DNVVqnqEd
 waQFu6526UKNqqu9zN7c84HIFzkS33dAPqxeeepxSmzIAUD+vB27ZW+JObSBxN0rd0QB
 LhFkjfrjNv/2fmVgZ1RqeDyDWArj1uk4/qwd9fgVqT0pB7Fx5ctzzEJjTAgH3N9SiipY
 Tz+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=IQE0NAKVhDNWM2BTpB+36Yc22PcRd3WGqKxojffigY8=;
 b=NuhHYm5URngofgVCtEUE0ZikppLAcLo5yZhoqk3sDlokwmBds0g25rHSJjE+VEzidc
 hcJ4hCiq2dDzMDz+yJhTRTRNSsP+CvaT2Bl7ubSrwKKbenrNb2LUDqpavOG2zyCOaZmZ
 0tB/0Xz90JZlx6ScU92HQ7EC7rGzyyETNh/A3DBcfwBylIbDLX4KOkEL9uOSEzZ1Qozu
 PbjMkEU8iRJBFpv84rrQE8oNnU2qQc8ezxRrD6VdEpgmFG60wQq8NCuygVWHz3xzZSou
 PdV2UvNctGDp6MygVu54K5uC+X/QxcaDBlMkmwoljwgDYd9kKpkrUPP8CTZ2uZAWzrPX
 BS3Q==
X-Gm-Message-State: ANhLgQ2UWep7vcwwI5XSdsMiQT1vAVjUWB5fgsJyfhE5RzdHJHgw8Pqn
 hPHRoGQXx3kOf1can8DO5aJFzJRnVhvpMg/eDEk=
X-Google-Smtp-Source: ADFU+vsFk0Az179olQK1FVlhwtrQYDqKHSlvIZg7iMhyX3xdCKghsxE01cVrf1FYe0qp7b+t0jVyfrwNOrL+zjzvKAY=
X-Received: by 2002:a9d:175:: with SMTP id 108mr16610913otu.287.1584200419574; 
 Sat, 14 Mar 2020 08:40:19 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
 <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
In-Reply-To: <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sat, 14 Mar 2020 15:39:42 +0000
Message-ID: <CAOqdjBdG=TgCBiNpb+xMarMx4J5JjT3N6Y5-5avjFk=KF-0h2w@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000043962005a0d267aa"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000043962005a0d267aa
Content-Type: text/plain; charset="UTF-8"

> > Fine, so you are saying that stack marking should disregard whether a
> > buffer is "live"?  Then let's make such a change only for stack
> > marking, not in a function called from other places.
>
> I agree. I'll prepare a patch.

Here's the patch. Please let me know if anything else needs changing.

--00000000000043962005a0d267aa
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Don-t-collect-reachable-killed-buffers-during-GC.patch"
Content-Disposition: attachment; 
	filename="0001-Don-t-collect-reachable-killed-buffers-during-GC.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k7rrymax0>
X-Attachment-Id: f_k7rrymax0
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--00000000000043962005a0d267aa--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 15:34:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 11:34:59 2020
Received: from localhost ([127.0.0.1]:33829 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jD8oU-00032K-T5
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 11:34:59 -0400
Received: from mail-ot1-f53.google.com ([209.85.210.53]:44057)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jD8oT-000327-C7
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 11:34:57 -0400
Received: by mail-ot1-f53.google.com with SMTP id a49so10562813otc.11
 for <39962 <at> debbugs.gnu.org>; Sat, 14 Mar 2020 08:34:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=VeThAz9+bthZigJSXOtRhCvdiDH3Bkjvvw6Dhc2w5ek=;
 b=plkKjCZVbiDpYvlwBdELKF+OrZ8jPxOku5aeApKX3CQrZs8D2N+M9q3Gu+zHf8wksm
 mJQxEFjiMhz1Yi81qLDPsF6GmesaHdWhMMwIxXB3T3DxbBuzeXp5W2SjV2iXBIwDFDLx
 L48T3spm5RO9tYIWjOc93YYwrJQIRiD3oRAIs2auGWh1NdkZ7rbgWUT16zwy1Wvn/V/6
 HY+g16FFEtG5oSRce9U2LkuiJiei5A660jQCUwa94YNYCvjZuLTEUXcc5d8+snF657GY
 hNMTPUQltvzbh+6MrpIuUxNjzQLbwnffYDgLZvuICP79wstXdU6nPsTXwB5teUHe8DKZ
 Y4eA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=VeThAz9+bthZigJSXOtRhCvdiDH3Bkjvvw6Dhc2w5ek=;
 b=Sl0JzWGlYaFXqfjKF4atMmH8DOZhEWUeZbffSUU2YMTF61Mrhrh+H7LUt/WKsmh2WK
 lZHyf9VOfym5z3UBAa9ezNFBLtnzk/2f1q2I3GEJvbLhfuMXgmLrwdx5DIjd2JkIfUMQ
 97x8m9eLPvErt5dedhGAWRyYWN5FyaydooInFa8Q3eP9GRz/JI5ll65gw0jG0+uVUxEJ
 ktPxjLvug4o6g+TqrSdsiUizmht60Jz1l0KqoGsycdsMyMKTvp3DVISgB2u9BQW34VGc
 2zQ7O+SfrrDPVIOVSsds/eBeR3IKxF5tkJapIGhnLCI0eOotGQElA/xjmg7Aa2GqPQfp
 J/sQ==
X-Gm-Message-State: ANhLgQ0YDXSUXupvp6zaELBP3Av4nvCZGJT5jvPdzGtc0SZfRxpJmBkr
 GJqct/CWXOYJLWo5GHSN9H8wf2JDuizq+AQQA4g=
X-Google-Smtp-Source: ADFU+vvLXd2onZZQtaZrNRn8G0nxmAM3UfU1EVuPVcqKQ+UrCdq8YKolUI76nyHkroRVKIIb6zL8pXTk0tYqcvuxnEA=
X-Received: by 2002:a05:6830:11:: with SMTP id
 c17mr15425390otp.292.1584200091688; 
 Sat, 14 Mar 2020 08:34:51 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN>
 <CAOqdjBe6dVhLcXkC0B8SF48_H9MqFO8WUCMN407WGMSTJrsH_w@HIDDEN>
 <83pndg8vde.fsf@HIDDEN> <E1jCxd7-0008SX-0e@HIDDEN>
 <83lfo372nn.fsf@HIDDEN>
 <CAOqdjBcyz4NJCkTotKRs_gJRTc8Ki2RsnX2imOw7cexLgWhEqg@HIDDEN>
In-Reply-To: <CAOqdjBcyz4NJCkTotKRs_gJRTc8Ki2RsnX2imOw7cexLgWhEqg@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sat, 14 Mar 2020 15:34:14 +0000
Message-ID: <CAOqdjBemiVsiLULRhWZ3uKjTQzB0OazWMOzHQggPSqHf2KOvxQ@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000b84ceb05a0d253b5"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, rms@HIDDEN,
 eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000b84ceb05a0d253b5
Content-Type: text/plain; charset="UTF-8"

On Sat, Mar 14, 2020 at 9:16 AM Pip Cet <pipcet@HIDDEN> wrote:
> I don't think it's desirable as default behavior, at this point. It
> seems not entirely trivial to get it to work, at least in the case
> where system libraries aren't built with -fsplit-stack.

It turns out my problems were due to vfork, which doesn't appear to
work with -fsplit-stack and non-split-stack libraries.

The attached patch works, but it appears the standard behavior of
-fsplit-stack is to allocate the stack one page at a time, so it runs
into Linux system limits after 128K stack pages (with guard pages).
That corresponds to somewhere between 4M and 8M symbols in the linked
list, using my test program.

To make this work, configure with CFLAGS="-fsplit-stack", edit
config.h to define USE_SPLIT_STACK and #define vfork fork.

Note that this version marks the entire mapped stack, not just the
area that is actually used; that should be easy enough to fix, but it
doesn't appear to cause any immediate problems.

So, in summary, it's possible to get it to work, but you have to work
around the vfork limitation, and it doesn't help all that much because
the allocation strategy needs to be adjusted, and even then it would
need some extra work not to mark stack areas that were once used but
now aren't.

--000000000000b84ceb05a0d253b5
Content-Type: text/x-patch; charset="US-ASCII"; name="0001-split-stack-support.patch"
Content-Disposition: attachment; filename="0001-split-stack-support.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k7rrovvf0>
X-Attachment-Id: f_k7rrovvf0
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--000000000000b84ceb05a0d253b5--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 09:17:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 05:17:22 2020
Received: from localhost ([127.0.0.1]:60613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jD2v4-0002ni-Pp
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 05:17:22 -0400
Received: from mail-ot1-f50.google.com ([209.85.210.50]:43334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jD2v3-0002nX-V0
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 05:17:22 -0400
Received: by mail-ot1-f50.google.com with SMTP id a6so12693012otb.10
 for <39962 <at> debbugs.gnu.org>; Sat, 14 Mar 2020 02:17:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=cfZToo4ALUN6oNRjNEf+cgxfyxZen84oA+SnRFAPFGU=;
 b=GLVXXcLvi2CamI5KsWNXnYzapL1pdsPkGlmbyn1wVTtXjiaBUXd4t2LbPM1w8Bpm/3
 Z/MlfOpDkOi2A5mxxIWvqhfN5p1JuZdqlEQlyLhzHPmYUNv+MOJIYDKK9W4ylGa7R0YC
 mgzkO8DigSPPKJB4K3aBU5a2tC0Fnn/537tXxhRXzeKqqWdFxbF19R9RRm2k5cCIu0sI
 ni9j64aNnRwfIaQWNTOzUUt4KxFRy3aYAXFG+6pCA/5Yu300kSJUve+kO3ezjZSJ62Of
 EYXAdZsF65ouXUKVxPBNSfp0q69sp94wSlaJFowPQlNyWl7OlxTSwumrFjnsKTCHORUr
 eSiA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=cfZToo4ALUN6oNRjNEf+cgxfyxZen84oA+SnRFAPFGU=;
 b=tOnRnpjTlWGi16HeLW1cMo0LPhzXWp3FJBBVzQnONw1OQ5NQSUhhX3Wl/7gt8ibCAm
 6Y0MGo0LNROXJ2giaZNYeyjZFSapqqDeQ2MOm1VCt8Z30tQ83CA5Stn9qHXGrVsPqjMd
 9ZO90uUNCOO0bw96S9L611Nlxb3tPhUtHrs+BEfmupCg67zXFrQObD2G11YejIqi8jWG
 NxLfXXHTmL34C/DScnyFXcnBjPj7ShJ+oGz7HYYYAa570CsXR7AGkKbZVt1EcmxLlbVh
 iGvUzYS7Q9jS6MavKr1Bfqsyk59z8iyQilPqlhQ6songY3LLZtN4Nm4lU3gaxcdqsja+
 Q60w==
X-Gm-Message-State: ANhLgQ0A8TV+JwE49g/804vOVwL7V96fqYMbXm8+s/X6OKyKhsggf0iT
 X6Ql6C/Q7LfwkTaTZZK9nlUSwtzo1yFw7XJ1ELc=
X-Google-Smtp-Source: ADFU+vsBl5KWSyd+m1xmJd7u6/+NOvUV7Vy3VZGyRpCsmlJefcEEJSE9+5zQJCpIGeiW6ddEANw/g8T6TBBXL9nOj4Y=
X-Received: by 2002:a05:6830:11:: with SMTP id
 c17mr14272362otp.292.1584177436434; 
 Sat, 14 Mar 2020 02:17:16 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN>
 <CAOqdjBe6dVhLcXkC0B8SF48_H9MqFO8WUCMN407WGMSTJrsH_w@HIDDEN>
 <83pndg8vde.fsf@HIDDEN> <E1jCxd7-0008SX-0e@HIDDEN>
 <83lfo372nn.fsf@HIDDEN>
In-Reply-To: <83lfo372nn.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sat, 14 Mar 2020 09:16:40 +0000
Message-ID: <CAOqdjBcyz4NJCkTotKRs_gJRTc8Ki2RsnX2imOw7cexLgWhEqg@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, rms@HIDDEN,
 eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Mar 14, 2020 at 8:37 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> If it wasn't clear, my point was that I didn't think this option is
> too good for GNU/Linux, either.

I don't think it's desirable as default behavior, at this point. It
seems not entirely trivial to get it to work, at least in the case
where system libraries aren't built with -fsplit-stack.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 09:03:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 05:03:31 2020
Received: from localhost ([127.0.0.1]:60597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jD2hf-0002Sp-0x
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 05:03:31 -0400
Received: from mail-ot1-f44.google.com ([209.85.210.44]:34727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jD2hd-0002Sd-7J
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 05:03:29 -0400
Received: by mail-ot1-f44.google.com with SMTP id j16so12724544otl.1
 for <39962 <at> debbugs.gnu.org>; Sat, 14 Mar 2020 02:03:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=A6Qw0rctRFuzhDKkH8zV5UD9ObVA595KLFXOLXHpERA=;
 b=bEEzoE1NfFHeTDoOIxY+OaTN3IdbZY0XsAo/P/yQQ3acK0UOU5ioEtcs/PvI+o7HzO
 TIcbK+89SIP8SKnUwX/B8IP0S2eVL5zqNGv7eQDzlEUxPp5d/WNAAXdQtx4JgKhLB2R4
 5BXo4HKlRySY0IOiqiQyKvFKq5OrMWyw/MbjpeNIqs/+X+c6ZGmB1q2xd7Xn7KjfPBbw
 qZRckNro4Rco+M+BPEgzkpDgR/a2/WouRkbG85b517d8YVATPx0x94BXzWCc+dr09nZG
 VhiJTyPr3MhJZA5lvQ4zrA8dpxx/28Ii9QCt6TRy9sq9qf1mrLwxIOOzyqPPA2WGcFqy
 MPzg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=A6Qw0rctRFuzhDKkH8zV5UD9ObVA595KLFXOLXHpERA=;
 b=EW8Rd7DSMcn+nMLs3XoAuF5MUOIeQ0Ob42VTyWMZtXclVvuOmbBpYtHo+ShAJ8ZZXD
 Yu221Pmct7NS+O2tlcNdR0LrEoftBLHqS5gsBhVBMhGaOdpXdlaSN/4IrMS7Vsq7HigX
 DuyNMGWKTiuKNGUd20tDFFOL1CWAAcTIJGqPlKUEmAaIaJFOAT8H5bu45+vYLIljxXCU
 10sg1idXwBj+ijCHQZgHJBeLMzxEjfHXAOaCRtqp1tsRwZIkvPQjJV39EElbGmbKfYZx
 IkplrUnZo3g1zTjPSWhn/wLgCkIhavMZ6+qM5sJ4WL04Xm793lQ6obkcz9wRQyrULinT
 z5vA==
X-Gm-Message-State: ANhLgQ2idTZoO5a6dv76ZiN9bwWyvNgENfJZXgW0nxq8z/5IGWKelxxO
 C0Ofl+/BQr3/pWumGZ+ZSRyxozeUtYjZBurmAVY=
X-Google-Smtp-Source: ADFU+vsQrf1JbvDL+7qPvO9pTlJnS7mKy3p5E/u1MXpbKzcZ/iFi88K0MXlH8rsW6lnJYlzpXXE3XN0zd5hGdqoxN6U=
X-Received: by 2002:a05:6830:11:: with SMTP id
 c17mr14230614otp.292.1584176603559; 
 Sat, 14 Mar 2020 02:03:23 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 <831rpw8bf3.fsf@HIDDEN>
In-Reply-To: <831rpw8bf3.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sat, 14 Mar 2020 09:02:47 +0000
Message-ID: <CAOqdjBfzc-NJn0bXY5hYq=Xb-VboHVNvteyCUpvdM0tUS096eQ@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Mar 13, 2020 at 4:30 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > > Please say something about your notion of "visible". It doesn't affect
> > > > any of the existing C callers of valid_lisp_object_p. Are you talking
> > > > about printing valid_lisp_object_p(x) in a debugger, and not getting
> > > > the expected value? Or something else?
> > >
> > > I'm talking about the behavior documented in the commentary.
> >
> > You're right if your point is the comment should be adjusted to omit
> > the unnecessary, and unused, special behavior on killed buffers.
>
> I don't yet think that function's behavior should be changed.  See
> below.

Okay, I can accept that. I suggest we focus on what you want changed, then?

> > How so? Can you describe a scenario in which Emacs would behave at all
> > differently?
>
> The behavior of live_buffer_p and valid_lisp_object_p changed, and
> those functions weren't "buggy" before.

We're just going to have to agree to disagree about whether changing
an internal-only function counts as a behavor change.

I'm perfectly okay with maintaining those two functions as they were
before, and using reachable_buffer_p or something for the GC function.
Would that work for you?

> > > > (gdb) p current_thread->m_current_buffer
> > > > $3 = (struct buffer *) 0x555556694b10
> > > > (gdb) p valid_lisp_object_p(0x555556694b15)
> > > > $4 = 1
> > > > (gdb) p valid_lisp_object_p(0x555556694b25)
> > > > $5 = 1
> > >
> > > Why do you consider this incorrect?  The Emacs GC is "conservative",
> > > which means it doesn't collect anything that _might_ be a valid Lisp
> > > object.  In what ways does the above violate that contract?
> >
> > GC is conservative; valid_lisp_object_p is documented to be precise: a
> > return value of 1 or 2 means that the object is valid, not that it's
> > potentially valid and potentially nonsense.
>
> But what does "valid" mean in this case?  The part that looks at the
> stack uses the stack-marking routines, and thus inherits the
> "conservative" nature of stack marking.

I don't believe that's correct. valid_lisp_object_p is documented, at
least, to return precisely which object is valid, which one isn't, and
potentially which one we can't say anything about.

> > A buffer should be marked iff it is reachable
> >
> > A buffer is marked iff it is reachable from the heap or it is
> > reachable from the stack and buffer_live_p returns true
> >
> > Therefore, it is invalid for buffer_live_p to return false for a
> > buffer which is reachable from the stack.
>
> This mixes two notions: a "live" buffer and a buffer that should be
> marked.  They are not the same.

No, it doesn't. I never mentioned liveness in the sense of not being
killed, at all.

> Fine, so you are saying that stack marking should disregard whether a
> buffer is "live"?  Then let's make such a change only for stack
> marking, not in a function called from other places.

I agree. I'll prepare a patch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 08:37:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 04:37:50 2020
Received: from localhost ([127.0.0.1]:60581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jD2Io-0001sZ-84
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 04:37:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40125)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jD2Ik-0001sJ-FM
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 04:37:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36054)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jD2Id-0002WN-SP; Sat, 14 Mar 2020 04:37:39 -0400
Received: from [176.228.60.248] (port=2277 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jD2IW-0003zr-HF; Sat, 14 Mar 2020 04:37:33 -0400
Date: Sat, 14 Mar 2020 10:37:32 +0200
Message-Id: <83lfo372nn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: rms@HIDDEN
In-Reply-To: <E1jCxd7-0008SX-0e@HIDDEN> (message from Richard
 Stallman on Fri, 13 Mar 2020 23:38:29 -0400)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN>
 <CAOqdjBe6dVhLcXkC0B8SF48_H9MqFO8WUCMN407WGMSTJrsH_w@HIDDEN>
 <83pndg8vde.fsf@HIDDEN> <E1jCxd7-0008SX-0e@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, pipcet@HIDDEN,
 eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Richard Stallman <rms@HIDDEN>
> Cc: pipcet@HIDDEN, 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN,
> 	eggert@HIDDEN
> Date: Fri, 13 Mar 2020 23:38:29 -0400
> 
>   > I'm not aware of anyone working on that, no.  But I also am not sure
>   > this is something we should do.  First, it only works on GNU/Linux,
>   > while Pieter is on macOS AFAIU.
> 
> The GNU system is our primary target; other systems are secondary.
> Our motto is, "It runs best on GNU."
> 
> Therefore if this feature in question would be good to install on
> GNU/Linux, we should not hold back from that merely because non-GNU
> systems won't be improved as well.
> 
> I have not studied this technical issue.  Eli's message suggests it
> may have other problems, and perhaps it is not solid enough to be
> desirable even on GNU/Linux.  I don't have any opinion about that
> question.

If it wasn't clear, my point was that I didn't think this option is
too good for GNU/Linux, either.  One other evidence to that is that it
isn't the default on those GNU/Linux targets where it works (which are
only a subset of architectures GNU/Linux supports, btw, albeit an
important subset).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 08:09:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 04:09:03 2020
Received: from localhost ([127.0.0.1]:60553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jD1qx-0001Bi-3j
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 04:09:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53183)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jD1qv-0001B6-8G
 for 39962 <at> debbugs.gnu.org; Sat, 14 Mar 2020 04:09:01 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35682)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jD1qp-0003q5-4z; Sat, 14 Mar 2020 04:08:55 -0400
Received: from [176.228.60.248] (port=4471 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jD1qo-0008UB-Jj; Sat, 14 Mar 2020 04:08:54 -0400
Date: Sat, 14 Mar 2020 10:08:53 +0200
Message-Id: <83r1xv73ze.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-Reply-To: <lxmu8kos4k.fsf@HIDDEN> (message from Pieter
 van Oostrum on Fri, 13 Mar 2020 22:35:23 +0100)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN> <lxmu8kos4k.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Cc: pipcet@HIDDEN,  39962 <at> debbugs.gnu.org,  eggert@HIDDEN
> Date: Fri, 13 Mar 2020 22:35:23 +0100
> 
> >> My ulimit -s was 8192 (8 MiBi if I am correct).
> >
> > But does that mean Emacs can really use that much stack space?
> 
> I don't know. If not, would that be an Emacs problem or a MacOS problem? And how can I find out?

I'm not familiar enough with Binutils (or their equivalent) on macOS,
but if you put a breakpoint around line 1167 in emacs.c, you should be
able to examine the amount of stack returned by getrlimit.  Assuming
that code gets compiled on your system, that is.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 14 Mar 2020 03:38:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 23:38:37 2020
Received: from localhost ([127.0.0.1]:60468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCxdF-0001HK-Nw
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 23:38:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1jCxdE-0001H9-Tn
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 23:38:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60973)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1jCxd8-00071e-T4; Fri, 13 Mar 2020 23:38:30 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1jCxd7-0008SX-0e; Fri, 13 Mar 2020 23:38:29 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <83pndg8vde.fsf@HIDDEN> (message from Eli Zaretskii on Fri, 13
 Mar 2020 11:19:41 +0200)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN>
 <CAOqdjBe6dVhLcXkC0B8SF48_H9MqFO8WUCMN407WGMSTJrsH_w@HIDDEN>
 <83pndg8vde.fsf@HIDDEN>
Message-Id: <E1jCxd7-0008SX-0e@HIDDEN>
Date: Fri, 13 Mar 2020 23:38:29 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, pipcet@HIDDEN,
 eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I'm not aware of anyone working on that, no.  But I also am not sure
  > this is something we should do.  First, it only works on GNU/Linux,
  > while Pieter is on macOS AFAIU.

The GNU system is our primary target; other systems are secondary.
Our motto is, "It runs best on GNU."

Therefore if this feature in question would be good to install on
GNU/Linux, we should not hold back from that merely because non-GNU
systems won't be improved as well.

I have not studied this technical issue.  Eli's message suggests it
may have other problems, and perhaps it is not solid enough to be
desirable even on GNU/Linux.  I don't have any opinion about that
question.


-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 13 Mar 2020 21:35:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 17:35:32 2020
Received: from localhost ([127.0.0.1]:60311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCrxs-0007e3-6q
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 17:35:32 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:54882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jCrxr-0007dr-2i
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 17:35:31 -0400
X-ASG-Debug-ID: 1584135325-0a9db43b893485320001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id uA227NB1yRdxwGl5
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Fri, 13 Mar 2020 22:35:25 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 31372 invoked from network); 13 Mar 2020 21:35:25 -0000
Received: from ip5650f203.speed.planet.nl (HELO cochabamba.vanoostrum.org)
 (86.80.242.3)
 by server24.hosting2go.nl with SMTP; 13 Mar 2020 21:35:24 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 98924AAEAD8D;
 Fri, 13 Mar 2020 22:35:24 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
 <83zhck6obg.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Fri, 13 Mar 2020 22:35:23 +0100
In-Reply-To: <83zhck6obg.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 13 Mar
 2020 21:34:59 +0200")
Message-ID: <lxmu8kos4k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584135325
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 815
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80624
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Pieter van Oostrum <pieter-l@HIDDEN>
>> Cc: Pip Cet <pipcet@HIDDEN>,  39962 <at> debbugs.gnu.org,  eggert@HIDDEN
>> Date: Fri, 13 Mar 2020 18:42:16 +0100
>> 
>> > The default stack size on GNU/Linux is 2MB, right?  Maybe it's high
>> > time we raised that, what with the memory size today's machines
>> > routinely have at their disposal.  FWIW, the MS-Windows build have
>> > been using a 8MB run-time stack for a very long time.
>> 
>> My ulimit -s was 8192 (8 MiBi if I am correct).
>
> But does that mean Emacs can really use that much stack space?

I don't know. If not, would that be an Emacs problem or a MacOS problem? And how can I find out?
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 13 Mar 2020 19:35:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 15:35:11 2020
Received: from localhost ([127.0.0.1]:60256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCq5P-0004g1-8u
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 15:35:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jCq5N-0004fi-TP
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 15:35:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52162)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jCq5I-00067M-7S; Fri, 13 Mar 2020 15:35:04 -0400
Received: from [176.228.60.248] (port=2422 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jCq5H-0008Gd-3B; Fri, 13 Mar 2020 15:35:04 -0400
Date: Fri, 13 Mar 2020 21:34:59 +0200
Message-Id: <83zhck6obg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-Reply-To: <lx36acqhhj.fsf@HIDDEN> (message from Pieter
 van Oostrum on Fri, 13 Mar 2020 18:42:16 +0100)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN> <lx36acqhhj.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Cc: Pip Cet <pipcet@HIDDEN>,  39962 <at> debbugs.gnu.org,  eggert@HIDDEN
> Date: Fri, 13 Mar 2020 18:42:16 +0100
> 
> > The default stack size on GNU/Linux is 2MB, right?  Maybe it's high
> > time we raised that, what with the memory size today's machines
> > routinely have at their disposal.  FWIW, the MS-Windows build have
> > been using a 8MB run-time stack for a very long time.
> 
> My ulimit -s was 8192 (8 MiBi if I am correct).

But does that mean Emacs can really use that much stack space?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 13 Mar 2020 17:44:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 13:44:07 2020
Received: from localhost ([127.0.0.1]:60217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCoLu-0001kI-Pv
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 13:44:07 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:44385)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jCoLt-0001ji-Ob
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 13:44:06 -0400
X-ASG-Debug-ID: 1584121440-0a9db43b893472bd0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id 8b6FA5WE4Td98xWN
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Fri, 13 Mar 2020 18:44:00 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 28675 invoked from network); 13 Mar 2020 17:44:00 -0000
Received: from ip5650f203.speed.planet.nl (HELO cochabamba.vanoostrum.org)
 (86.80.242.3)
 by server24.hosting2go.nl with SMTP; 13 Mar 2020 17:44:00 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 97E1EAAEA450;
 Fri, 13 Mar 2020 18:43:58 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN>
 <CAOqdjBe6dVhLcXkC0B8SF48_H9MqFO8WUCMN407WGMSTJrsH_w@HIDDEN>
 <83pndg8vde.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Fri, 13 Mar 2020 18:43:58 +0100
In-Reply-To: <83pndg8vde.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 13 Mar
 2020 11:19:41 +0200")
Message-ID: <lxy2s4p2u9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584121440
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 608
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80624
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, Pip Cet <pipcet@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>
> I'm not aware of anyone working on that, no.  But I also am not sure
> this is something we should do.  First, it only works on GNU/Linux,
> while Pieter is on macOS AFAIU.  And second, if you read the GCC
> manual's description of that switch, you will see some serious
> caveats, which could mean using that option might produce an
> unworkable binary.  IOW, it doesn't sound to me as an option that is
> recommended for general-purpose use.

Yes I am on MacOS.
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 13 Mar 2020 17:42:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 13:42:25 2020
Received: from localhost ([127.0.0.1]:60213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCoKH-0001hP-B1
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 13:42:25 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:44223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jCoKF-0001hC-Fm
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 13:42:23 -0400
X-ASG-Debug-ID: 1584121337-0a9db43b8a3474930001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id uYRwxQgSTjlHSc1J
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Fri, 13 Mar 2020 18:42:17 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 25835 invoked from network); 13 Mar 2020 17:42:17 -0000
Received: from ip5650f203.speed.planet.nl (HELO cochabamba.vanoostrum.org)
 (86.80.242.3)
 by server24.hosting2go.nl with SMTP; 13 Mar 2020 17:42:17 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id E3268AAEA406;
 Fri, 13 Mar 2020 18:42:16 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Fri, 13 Mar 2020 18:42:16 +0100
In-Reply-To: <83y2s48yn7.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 13 Mar
 2020 10:09:00 +0200")
Message-ID: <lx36acqhhj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584121337
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Barracuda-BRTS-Status: 1
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 1724
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80624
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, Pip Cet <pipcet@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Pip Cet <pipcet@HIDDEN>
>> Date: Thu, 12 Mar 2020 20:00:13 +0000
>> Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
>> 
>> The first attachment to this message is an Elisp file which does the
>> same thing, by creating thousands of symbols. On GNU/Linux, with
>> fairly default standard stack size settings, I get a segfault after
>> some 85,000 symbols have been created.
>
> The default stack size on GNU/Linux is 2MB, right?  Maybe it's high
> time we raised that, what with the memory size today's machines
> routinely have at their disposal.  FWIW, the MS-Windows build have
> been using a 8MB run-time stack for a very long time.

My ulimit -s was 8192 (8 MiBi if I am correct).
The maximum I can set it to is 65532 (that's 64 MiBi if I am correct).

> Of course, given enough recursive data structures we can always crash
> the current GC the way it is implemented.  But the question is how
> many such recursive symbols are there in Pieter's sessions? are they
> anywhere near the 1000000000 mark you used in your test program?  IOW,
> I think we need to know how close we are in real-life sessions to the
> dangerous mark.

One file had 5063 messages, another one 2374.
But I was resorting these files, so I don't know if these caused more of these entries to be generated. The sorting has to reorder the messages, so I get the total would double, but they would be separate lists.

> Maybe this is also worth reporting to VM developers.  They might
> consider changing their implementation to avoid these problems.
>
> Thanks.

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 13 Mar 2020 16:30:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 12:30:55 2020
Received: from localhost ([127.0.0.1]:60187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCnD5-0008Et-DQ
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 12:30:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jCnD3-0008Ef-Mi
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 12:30:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48743)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jCnCx-0007CH-E1; Fri, 13 Mar 2020 12:30:47 -0400
Received: from [176.228.60.248] (port=3202 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jCnCv-00065Y-Ev; Fri, 13 Mar 2020 12:30:46 -0400
Date: Fri, 13 Mar 2020 18:30:40 +0200
Message-Id: <831rpw8bf3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-Reply-To: <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
 (message from Pip Cet on Fri, 13 Mar 2020 13:56:07 +0000)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
 <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Fri, 13 Mar 2020 13:56:07 +0000
> Cc: pieter-l@HIDDEN, 39962 <at> debbugs.gnu.org, eggert@HIDDEN
> 
> On Fri, Mar 13, 2020 at 9:40 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > > > It doesn't affect visible behavior of any callers, except in the case
> > > > > where the previous behavior was buggy.
> > > >
> > > > I guess we have different notions of "visible"
> > >
> > > Please say something about your notion of "visible". It doesn't affect
> > > any of the existing C callers of valid_lisp_object_p. Are you talking
> > > about printing valid_lisp_object_p(x) in a debugger, and not getting
> > > the expected value? Or something else?
> >
> > I'm talking about the behavior documented in the commentary.
> 
> You're right if your point is the comment should be adjusted to omit
> the unnecessary, and unused, special behavior on killed buffers.

I don't yet think that function's behavior should be changed.  See
below.

> > > > and "buggy".
> > >
> > > It avoids segfaults or random memory corruption. How is that not "buggy"?
> >
> > That's not the issue here.  You said the proposed change didn't change
> > the behavior "except where it was buggy"; I'm saying that it changes
> > the behavior unrelated to this bug, where previous behavior was not
> > buggy by any measure.
> 
> How so? Can you describe a scenario in which Emacs would behave at all
> differently?

The behavior of live_buffer_p and valid_lisp_object_p changed, and
those functions weren't "buggy" before.

> valid_lisp_object_p returns a different value, sure; but
> none of its callers care about the difference, so Emacs behavior
> overall does not change.

I wasn't talking about behavior of Emacs as a whole.

And I don't understand why you are arguing about this.  You asked me
to say something about my notion of "visible", and I did.  Will
arguing about _my_ notion of that get us to some useful place?

> > > (gdb) p current_thread->m_current_buffer
> > > $3 = (struct buffer *) 0x555556694b10
> > > (gdb) p valid_lisp_object_p(0x555556694b15)
> > > $4 = 1
> > > (gdb) p valid_lisp_object_p(0x555556694b25)
> > > $5 = 1
> >
> > Why do you consider this incorrect?  The Emacs GC is "conservative",
> > which means it doesn't collect anything that _might_ be a valid Lisp
> > object.  In what ways does the above violate that contract?
> 
> GC is conservative; valid_lisp_object_p is documented to be precise: a
> return value of 1 or 2 means that the object is valid, not that it's
> potentially valid and potentially nonsense.

But what does "valid" mean in this case?  The part that looks at the
stack uses the stack-marking routines, and thus inherits the
"conservative" nature of stack marking.  The code also makes it quite
clear that it only considers "live" objects as valid, and a killed
buffer is not "live".  So I still don't understand in what way the
above results are incorrect.

> > Your patch modifies the notion of whether a buffer is "live",
> 
> No, it modifies a specific function (mis)named buffer_live_p.

Which, among other things, checks whether a buffer is "live".  So it
is not necessarily mis-named.

> The dozens of places in which we check whether a buffer is "live",
> as opposed to "killed", are unaffected. Only GC is affected.

No, not only GC is affected.  Some of the callers are outside GC,
we've been there up-thread, and agreed about that.

> A buffer should be marked iff it is reachable
> 
> A buffer is marked iff it is reachable from the heap or it is
> reachable from the stack and buffer_live_p returns true
> 
> Therefore, it is invalid for buffer_live_p to return false for a
> buffer which is reachable from the stack.

This mixes two notions: a "live" buffer and a buffer that should be
marked.  They are not the same.

> > if so, how come stack marking didn't find it?
> 
> Because we are talking about the stack marking! The stack marking
> calls buffer_live_p to check whether it should actually mark the
> buffer or not.

Fine, so you are saying that stack marking should disregard whether a
buffer is "live"?  Then let's make such a change only for stack
marking, not in a function called from other places.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 13 Mar 2020 13:56:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 09:56:53 2020
Received: from localhost ([127.0.0.1]:60092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCko0-00045y-NS
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 09:56:53 -0400
Received: from mail-ot1-f51.google.com ([209.85.210.51]:39252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jCknx-00045l-Vn
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 09:56:50 -0400
Received: by mail-ot1-f51.google.com with SMTP id a9so10155798otl.6
 for <39962 <at> debbugs.gnu.org>; Fri, 13 Mar 2020 06:56:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=J/nY0mqXNID6NfakzrBH2UQapqhk3/n2/XjNsPY9j7A=;
 b=dBQEpEuI54wfNvOz0cpHZUe5j4WPqde97Nk0WifmcggFTM+cEvjDiJShd9Y9GHsQ4W
 eB8AaLJPyVEv5ZBcF+HZDRwRuJ5cuGY/p+cPUBTDN8VtUOSM01JsncPXdREBb2/pn8lU
 TAq+TrwUbjpdik511ndnGNsc3uL0ByK6/p7+VGavR2SXikKdB9DQ4tTvoqI7iiv10IB5
 AU6PWanLSX1gdely807lwgZDAzeiTXQcBn7tF21fFDv3kTRsT82NndZMEdn/Ib6bIKs0
 26j1WFDSn9uSYlr7AJyfOUW4U3YFLOKkmdt7810BMxp6dbSrpnvZbyzBSCUlDKhuU2Yq
 9GyA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=J/nY0mqXNID6NfakzrBH2UQapqhk3/n2/XjNsPY9j7A=;
 b=VjyN6JlsLcjk4OOlQQ45/CfjVvqPoB1/ZjN6UW6hVRNRHJA/PrCAL93cIwNFq8GnKq
 UitBOxyuGkyisVjl9qv3QYqp2FUmyrNvRdRgkRrfL+3sy0oSKlb24wNxnNoLEEu8EXoC
 A7FOH7j+RuL8l+xnagNDA6nKI1VcVny1CbaN9wsM+WbUwpqz4NWxeWc84k2rnePUk7DC
 e0auSSFm2eogMvNjC5uXri6Y6sbx5Gk9fhJ603exivBiAWAMgEO0fVqQ/D0Le9dQBu/m
 +Ir30ja9/Bj/VyMLMDxiq07ru71XXj1NXJWOVNOiVGhCU5+IUUt0MYyQ8hwv04M645pE
 LF/A==
X-Gm-Message-State: ANhLgQ3e/o2Q76pFHPRDF1IQbmmIcogKIZAPrAlpY7duGCRIM0oy3+du
 79piFT24FHToD5kBAE16hMz8ls6LvSlIsCq4P9c=
X-Google-Smtp-Source: ADFU+vvareakgmSGjOoDC24YZQtNAysScb5SvLMVW2XYlxS6nykeAnzPmbjrpRpecH6zYDHV1Nz4uLwsKrrpeBQDNU0=
X-Received: by 2002:a05:6830:11:: with SMTP id
 c17mr10706139otp.292.1584107804093; 
 Fri, 13 Mar 2020 06:56:44 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 <83o8t08ufp.fsf@HIDDEN>
In-Reply-To: <83o8t08ufp.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Fri, 13 Mar 2020 13:56:07 +0000
Message-ID: <CAOqdjBdB6dNiK==8oZaW=AHYhzov15Krk+xU4zH--KM6LONzYg@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Mar 13, 2020 at 9:40 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > > It doesn't affect visible behavior of any callers, except in the case
> > > > where the previous behavior was buggy.
> > >
> > > I guess we have different notions of "visible"
> >
> > Please say something about your notion of "visible". It doesn't affect
> > any of the existing C callers of valid_lisp_object_p. Are you talking
> > about printing valid_lisp_object_p(x) in a debugger, and not getting
> > the expected value? Or something else?
>
> I'm talking about the behavior documented in the commentary.

You're right if your point is the comment should be adjusted to omit
the unnecessary, and unused, special behavior on killed buffers.

> > > and "buggy".
> >
> > It avoids segfaults or random memory corruption. How is that not "buggy"?
>
> That's not the issue here.  You said the proposed change didn't change
> the behavior "except where it was buggy"; I'm saying that it changes
> the behavior unrelated to this bug, where previous behavior was not
> buggy by any measure.

How so? Can you describe a scenario in which Emacs would behave at all
differently? valid_lisp_object_p returns a different value, sure; but
none of its callers care about the difference, so Emacs behavior
overall does not change.

> So why does it not consider the buffer reachable in this case?  The
> call to live_buffer_p is just one attempt to identify it as reachable;
> there are (or at least should be) others.

I don't think there are, no. This is the one shot we get at protecting
a stack slot that might contain the sole reference to a killed buffer.

> > valid_lisp_object_p is currently documented to return 2 for a killed
> > buffer and 1 for a live buffer, which is weird since they're both
> > valid. It also returns 1 for some fake objects which aren't actually
> > valid:
> >
> > (gdb) p current_thread->m_current_buffer
> > $3 = (struct buffer *) 0x555556694b10
> > (gdb) p valid_lisp_object_p(0x555556694b15)
> > $4 = 1
> > (gdb) p valid_lisp_object_p(0x555556694b25)
> > $5 = 1
>
> Why do you consider this incorrect?  The Emacs GC is "conservative",
> which means it doesn't collect anything that _might_ be a valid Lisp
> object.  In what ways does the above violate that contract?

GC is conservative; valid_lisp_object_p is documented to be precise: a
return value of 1 or 2 means that the object is valid, not that it's
potentially valid and potentially nonsense.

> > If a buffer has been killed but is reachable only through
> > mark_maybe_object, we fail to mark it.
> >
> > We should mark it. In fact, whether a buffer object is marked should
> > depend only on whether it's reachable, not whether it's "live" in some
> > other sense.
> >
> > That's all my patch does.
>
> Your patch modifies the notion of whether a buffer is "live",

No, it modifies a specific function (mis)named buffer_live_p. The
dozens of places in which we check whether a buffer is "live", as
opposed to "killed", are unaffected. Only GC is affected.

> on the
> assumption that this is the root cause of the failure to mark it.

I'm not sure about the philosophical implications of "root cause", but
this is a very obvious bug.

> But do we have any evidence that this is the root cause?

What kind of evidence do you want?

A buffer should be marked iff it is reachable

A buffer is marked iff it is reachable from the heap or it is
reachable from the stack and buffer_live_p returns true

Therefore, it is invalid for buffer_live_p to return false for a
buffer which is reachable from the stack.

> Moreover, by disregarding the indication of a killed buffer, doesn't
> your patch cause us not to GC killed buffers even though they are
> unreachable, or at least create a danger that we would?

Only in the rare case that they appear to be reachable through a stack
reference but actually aren't, but that's just the price we pay for
conservative GC.

> The way to understand what happened in your test case is to figure out
> how come the buffer was not found to be reachable via any other
> approach the GC makes.

There is no other approach.

> For example, shouldn't we have this buffer
> somewhere on the stack?

Precisely.

> if so, how come stack marking didn't find it?

Because we are talking about the stack marking! The stack marking
calls buffer_live_p to check whether it should actually mark the
buffer or not.

> And if we don't have it on the stack, why not?

We do.

> > How about we put out the fire rather than waiting to see whether it
> > causes any damage?
>
> The disagreement is whether there's fire, not whether we should put it
> out if there is.  You've shown that you can start a fire if you want,
> but not that the fire is already out there, burning.  E.g., I see no
> reason for some Lisp program to do what your test case does, it simply
> makes no sense.

How does it not make sense? We kill a buffer and return it.

> > And, if we can agree to do so, what would you like a patch which is
> > actually meant for inclusion into the emacs-27 branch (my previous
> > patch wasn't, obviously) to look like?
>
> If it isn't clear, I'm saying that your proposed patch is not
> necessarily TRT for master, either.  I'd like to see more analysis of
> what exactly happens in that case, and why, along the above-mentioned
> lines, before I make up my mind.

It's certainly not the right thing for master! Using "live" in two
different senses like that is way too confusing for a code base that
is still being worked on.

Again, I think we're being distracted from a very simple issue: stack
marking relies on recognizing reachable objects. Reachable objects are
called "live" in GC code, so the stack marking code that calls
buffer_live_p clearly expects a return value indicating whether the
pointer it passed in points into a buffer object; it doesn't, and
shouldn't, care whether that buffer has been killed or not.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 13 Mar 2020 09:40:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 05:40:12 2020
Received: from localhost ([127.0.0.1]:58163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCgnb-0003JS-NQ
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 05:40:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jCgnZ-0003J9-Bf
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 05:40:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49246)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jCgnP-0007lA-KS; Fri, 13 Mar 2020 05:39:59 -0400
Received: from [176.228.60.248] (port=1786 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jCgnP-0001oe-0R; Fri, 13 Mar 2020 05:39:59 -0400
Date: Fri, 13 Mar 2020 11:39:54 +0200
Message-Id: <83o8t08ufp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-Reply-To: <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
 (message from Pip Cet on Thu, 12 Mar 2020 20:36:10 +0000)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
 <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Thu, 12 Mar 2020 20:36:10 +0000
> Cc: pieter-l@HIDDEN, 39962 <at> debbugs.gnu.org, eggert@HIDDEN
> 
> > > It doesn't affect visible behavior of any callers, except in the case
> > > where the previous behavior was buggy.
> >
> > I guess we have different notions of "visible"
> 
> Please say something about your notion of "visible". It doesn't affect
> any of the existing C callers of valid_lisp_object_p. Are you talking
> about printing valid_lisp_object_p(x) in a debugger, and not getting
> the expected value? Or something else?

I'm talking about the behavior documented in the commentary.

> > and "buggy".
> 
> It avoids segfaults or random memory corruption. How is that not "buggy"?

That's not the issue here.  You said the proposed change didn't change
the behavior "except where it was buggy"; I'm saying that it changes
the behavior unrelated to this bug, where previous behavior was not
buggy by any measure.

> > > I'm most certainly not changing the semantics of live_buffer, if
> > > that's what you're worried about. I am changing the semantics of
> > > live_buffer_p, which is an internal function, and my initial patch
> > > also changed the return value of valid_lisp_object_p, to another value
> > > that would be treated equivalently. If there are objections to that,
> > > we can easily distinguish the two cases.
> >
> > I actually don't understand why we need to make such a change.
> 
> Which change? Treating the two cases differently? Because the garbage
> collector needs to know whether an object is reachable, not whether
> it's still a live buffer.

So why does it not consider the buffer reachable in this case?  The
call to live_buffer_p is just one attempt to identify it as reachable;
there are (or at least should be) others.

> valid_lisp_object_p is currently documented to return 2 for a killed
> buffer and 1 for a live buffer, which is weird since they're both
> valid. It also returns 1 for some fake objects which aren't actually
> valid:
> 
> (gdb) p current_thread->m_current_buffer
> $3 = (struct buffer *) 0x555556694b10
> (gdb) p valid_lisp_object_p(0x555556694b15)
> $4 = 1
> (gdb) p valid_lisp_object_p(0x555556694b25)
> $5 = 1

Why do you consider this incorrect?  The Emacs GC is "conservative",
which means it doesn't collect anything that _might_ be a valid Lisp
object.  In what ways does the above violate that contract?

> If a buffer has been killed but is reachable only through
> mark_maybe_object, we fail to mark it.
> 
> We should mark it. In fact, whether a buffer object is marked should
> depend only on whether it's reachable, not whether it's "live" in some
> other sense.
> 
> That's all my patch does.

Your patch modifies the notion of whether a buffer is "live", on the
assumption that this is the root cause of the failure to mark it.  But
do we have any evidence that this is the root cause?  Because if not,
your patch might just be a band-aid, and the real root cause will
still be out there, even if we apply the patch.

Moreover, by disregarding the indication of a killed buffer, doesn't
your patch cause us not to GC killed buffers even though they are
unreachable, or at least create a danger that we would?  Buffers are
objects that are created and killed a lot in any Emacs session, so
failing to GC them would mean memory leaks.

The way to understand what happened in your test case is to figure out
how come the buffer was not found to be reachable via any other
approach the GC makes.  For example, shouldn't we have this buffer
somewhere on the stack? if so, how come stack marking didn't find it?
And if we don't have it on the stack, why not?

> > > > The problem you are trying to solve is rare
> > >
> > > I think it would become much less rare with lexical binding in effect,
> > > at least when the code's byte-compiled.
> >
> > That remains to be seen.
> 
> How about we put out the fire rather than waiting to see whether it
> causes any damage?

The disagreement is whether there's fire, not whether we should put it
out if there is.  You've shown that you can start a fire if you want,
but not that the fire is already out there, burning.  E.g., I see no
reason for some Lisp program to do what your test case does, it simply
makes no sense.

> And, if we can agree to do so, what would you like a patch which is
> actually meant for inclusion into the emacs-27 branch (my previous
> patch wasn't, obviously) to look like?

If it isn't clear, I'm saying that your proposed patch is not
necessarily TRT for master, either.  I'd like to see more analysis of
what exactly happens in that case, and why, along the above-mentioned
lines, before I make up my mind.

> > > > since this code was with us since 20 years ago without
> > > > anyone bumping into it,
> > >
> > > That we know of. They might have just accrued it to random Emacs crashes.
> >
> > Then again, they might not.  We don't really have any evidence to that
> > effect, all we know is that the code survived virtually intact since
> > the day it was written.
> 
> I have no idea what you're trying to get at here.

I'm saying that we have no evidence on which to base the arguments, so
I suggest to drop this part of the dispute as counter-productive.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 13 Mar 2020 09:19:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 05:19:56 2020
Received: from localhost ([127.0.0.1]:58134 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCgU0-0002l0-3X
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 05:19:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jCgTz-0002kk-5n
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 05:19:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47890)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jCgTt-0007sg-F6; Fri, 13 Mar 2020 05:19:49 -0400
Received: from [176.228.60.248] (port=4531 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jCgTq-0008KM-D9; Fri, 13 Mar 2020 05:19:48 -0400
Date: Fri, 13 Mar 2020 11:19:41 +0200
Message-Id: <83pndg8vde.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-Reply-To: <CAOqdjBe6dVhLcXkC0B8SF48_H9MqFO8WUCMN407WGMSTJrsH_w@HIDDEN>
 (message from Pip Cet on Fri, 13 Mar 2020 08:39:41 +0000)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN>
 <CAOqdjBe6dVhLcXkC0B8SF48_H9MqFO8WUCMN407WGMSTJrsH_w@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Fri, 13 Mar 2020 08:39:41 +0000
> Cc: pieter-l@HIDDEN, 39962 <at> debbugs.gnu.org, eggert@HIDDEN
> 
> > The default stack size on GNU/Linux is 2MB, right?  Maybe it's high
> > time we raised that, what with the memory size today's machines
> > routinely have at their disposal.
> 
> Well, it's just virtual memory, so raising it shouldn't be a problem,
> though apparently the stack size is limited to 4 GB.

We have a long way to go before we get anywhere near that limit ;-)

> > FWIW, the MS-Windows build have
> > been using a 8MB run-time stack for a very long time.
> 
> "ulimit -s" produces 9788 here.

That's system-wide, but what is the stack size that the Emacs binary
can use?

> > But the question is how
> > many such recursive symbols are there in Pieter's sessions? are they
> > anywhere near the 1000000000 mark you used in your test program?
> 
> If I'm reading the code correctly, the recursion depth is equal to the
> number of messages in VM's list, so a few tens of thousands of symbols
> seem possible. Not anywhere near a billion, though.

Your test code crashes before 100,000, so the question is how many
tens of thousands of messages does Pieter's session have?  If it's
anywhere near 100,000, then we are really close to the limit, but I
suspect it's much lower, which might suggest the recursion in VM is
much deeper.

> It should certainly be possible to warn the user when stack usage
> during GC exceeded a given percentage of the possible stack size;
> hopefully, that would happen at least once before a crash.
> 
> It would also be possible to modify the code in sysdep.c to report
> when it has detected an unrecoverable stack overflow.

How do you do that without consuming more stack?

Btw, we already have stack-overflow protection in Emacs, but it is
disabled during GC.

> Do you happen to know whether anyone is looking at gcc -fsplit-stack
> support for Emacs?

I'm not aware of anyone working on that, no.  But I also am not sure
this is something we should do.  First, it only works on GNU/Linux,
while Pieter is on macOS AFAIU.  And second, if you read the GCC
manual's description of that switch, you will see some serious
caveats, which could mean using that option might produce an
unworkable binary.  IOW, it doesn't sound to me as an option that is
recommended for general-purpose use.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 13 Mar 2020 08:40:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 04:40:26 2020
Received: from localhost ([127.0.0.1]:58112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCfrl-0001iL-TN
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 04:40:26 -0400
Received: from mail-ot1-f49.google.com ([209.85.210.49]:37624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jCfrj-0001i5-S9
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 04:40:24 -0400
Received: by mail-ot1-f49.google.com with SMTP id i12so3994264otp.4
 for <39962 <at> debbugs.gnu.org>; Fri, 13 Mar 2020 01:40:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=5bAj0RaPV/eTxdj+a+Nncv4sac4703pmV0efYkyGbOY=;
 b=Zqm7g8Y7SGDsmJxzqpN4uHIdBR3k4GT2zqVBGFsf69r/YJu+Tp4iPgwR4M6LMYPnX+
 2eQEiVb6Qcf09fClH0NkjIf/I2eh5icuGsI1T775uwET+Xq2yeqYs57aD63VrYgBmyJI
 HGOvuGEqOruTxKztTNiLtn/ARi3X4jriQ7enmm1jkebQGBAjYi8412HX4dLcfkKZPNL1
 gSxf7PYekCpJlrNR9VG179iybfV/0D2adNfX6ZH5+jS5+UOdYDruiB+Su16yhakAq87D
 oKKLIt5n/OWCaQ0bzfi/izn3HHSzE6xPRncM1qTeLGvaHje1dWL2QMjfMW2eiWZRcL6x
 sqFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=5bAj0RaPV/eTxdj+a+Nncv4sac4703pmV0efYkyGbOY=;
 b=IOchAiHRXlLmjUM1DP9vP6wA8fJknAyd1aqh7eOUM4aAMkcwZ73yllocbpBmcwkjFr
 rAeGx1Ap3qpDeC8Ib5Lk31m8ILHV2Zm0vGmaUn4CN7fEZPunBULmA9N1HP1LTh4fwq4x
 z7WCuxbfRkRXny07deTVntiqgd/7Ymt2e1/FIokyuMy/J3AJE24CaIFzYmI+uyLNM5H+
 kI8TSCI5CzWI317AJEXJmrV3UL3gX5sfQPeTRc3igNF8Ta/vXngNsHFx7tO2yZ1ySxx+
 TwF8RkNqzfdTWFBOhqnxvomwP6nXYZbKfbVlnfHrDmkrV/lPLsfuWD50PLtKbnzEfCiZ
 oC1A==
X-Gm-Message-State: ANhLgQ2dYNNJYdBiKAxL3mFMQ8e5RI7L17xWyKJCZ3BC3lMOu5nRm3At
 M+aRMVDaQmtuKvDe6PppCtMg2IrLfoT+sJHuHqk=
X-Google-Smtp-Source: ADFU+vv4itW97S8ImbaKhgzbY+fB419luC/4VwK3ezTug3POt+bxHzZimT3BDrxnEN2TqlMlY3Gp034AJdzHMCtgBus=
X-Received: by 2002:a05:6830:11:: with SMTP id
 c17mr9498035otp.292.1584088818125; 
 Fri, 13 Mar 2020 01:40:18 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 <83y2s48yn7.fsf@HIDDEN>
In-Reply-To: <83y2s48yn7.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Fri, 13 Mar 2020 08:39:41 +0000
Message-ID: <CAOqdjBe6dVhLcXkC0B8SF48_H9MqFO8WUCMN407WGMSTJrsH_w@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Mar 13, 2020 at 8:08 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> > The first attachment to this message is an Elisp file which does the
> > same thing, by creating thousands of symbols. On GNU/Linux, with
> > fairly default standard stack size settings, I get a segfault after
> > some 85,000 symbols have been created.
>
> The default stack size on GNU/Linux is 2MB, right?  Maybe it's high
> time we raised that, what with the memory size today's machines
> routinely have at their disposal.

Well, it's just virtual memory, so raising it shouldn't be a problem,
though apparently the stack size is limited to 4 GB.

> FWIW, the MS-Windows build have
> been using a 8MB run-time stack for a very long time.

"ulimit -s" produces 9788 here.

> Of course, given enough recursive data structures we can always crash
> the current GC the way it is implemented.

Absolutely.

> But the question is how
> many such recursive symbols are there in Pieter's sessions? are they
> anywhere near the 1000000000 mark you used in your test program?

If I'm reading the code correctly, the recursion depth is equal to the
number of messages in VM's list, so a few tens of thousands of symbols
seem possible. Not anywhere near a billion, though.

> IOW,
> I think we need to know how close we are in real-life sessions to the
> dangerous mark.

It should certainly be possible to warn the user when stack usage
during GC exceeded a given percentage of the possible stack size;
hopefully, that would happen at least once before a crash.

It would also be possible to modify the code in sysdep.c to report
when it has detected an unrecoverable stack overflow.

> Maybe this is also worth reporting to VM developers.  They might
> consider changing their implementation to avoid these problems.

I think this is a VM-specific problem, not anything that we should be
changing GC code on the release branch for.

Do you happen to know whether anyone is looking at gcc -fsplit-stack
support for Emacs? That would avoid the problem entirely but allow us
to keep our current GC code.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 13 Mar 2020 08:08:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 04:08:59 2020
Received: from localhost ([127.0.0.1]:58075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCfNL-0000qq-5p
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 04:08:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jCfNK-0000qZ-0O
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 04:08:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45534)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jCfND-0006BC-NI; Fri, 13 Mar 2020 04:08:51 -0400
Received: from [176.228.60.248] (port=4178 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jCfND-00078y-6n; Fri, 13 Mar 2020 04:08:51 -0400
Date: Fri, 13 Mar 2020 10:09:00 +0200
Message-Id: <83y2s48yn7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-Reply-To: <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
 (message from Pip Cet on Thu, 12 Mar 2020 20:00:13 +0000)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
 <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Thu, 12 Mar 2020 20:00:13 +0000
> Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
> 
> The first attachment to this message is an Elisp file which does the
> same thing, by creating thousands of symbols. On GNU/Linux, with
> fairly default standard stack size settings, I get a segfault after
> some 85,000 symbols have been created.

The default stack size on GNU/Linux is 2MB, right?  Maybe it's high
time we raised that, what with the memory size today's machines
routinely have at their disposal.  FWIW, the MS-Windows build have
been using a 8MB run-time stack for a very long time.

Of course, given enough recursive data structures we can always crash
the current GC the way it is implemented.  But the question is how
many such recursive symbols are there in Pieter's sessions? are they
anywhere near the 1000000000 mark you used in your test program?  IOW,
I think we need to know how close we are in real-life sessions to the
dangerous mark.

Maybe this is also worth reporting to VM developers.  They might
consider changing their implementation to avoid these problems.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 13 Mar 2020 07:58:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 13 03:58:56 2020
Received: from localhost ([127.0.0.1]:58064 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCfDc-0000ZA-A4
	for submit <at> debbugs.gnu.org; Fri, 13 Mar 2020 03:58:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jCfDa-0000Yy-86
 for 39962 <at> debbugs.gnu.org; Fri, 13 Mar 2020 03:58:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45393)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jCfDT-00061y-Uj; Fri, 13 Mar 2020 03:58:47 -0400
Received: from [176.228.60.248] (port=3565 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jCfDS-0006tu-GT; Fri, 13 Mar 2020 03:58:47 -0400
Date: Fri, 13 Mar 2020 09:58:51 +0200
Message-Id: <83zhck8z44.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-Reply-To: <lxlfo5saq1.fsf@HIDDEN> (message from Pieter
 van Oostrum on Thu, 12 Mar 2020 19:13:10 +0100)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Date: Thu, 12 Mar 2020 19:13:10 +0100
> Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
> 
> > My guess is 0x7ffeef270000 is your stack's guard page... Can you print
> > $rsp to confirm?
> 
> Sorry, because of the erratic behaviour of GDB I killed that one. I have a new segfault in the GC. It is a long stack trace, so it could be a stack overflow. And, by the way, I had the two brakpoints set for the assignments to marker->charpos that Eli suggested, but they were not triggered. I have dumped a part of the stack trace below.
> 
> Thread 3 received signal SIGSEGV, Segmentation fault.
> dead_object () at ./lisp.h:1303
> 1303	  return make_lisp_ptr (NULL, Lisp_String);
> (gdb) bt
> #0  dead_object () at ./lisp.h:1303
> #1  0x00000001002b6179 in deadp (x=XIL(0x11e331fb5)) at alloc.c:433
> #2  0x00000001002b80d4 in live_cons_holding (m=0x16033ead0, p=0x170c5c770)
>     at alloc.c:4365

That does look like a stack overflow, since there's nothing at line
1303 of lisp.h which could cause a segfault, except a function call
(which pushes stuff onto the stack).  It doesn't seem to be related to
the crashes due to markers (unless those were somehow caused by  stack
overflow).

Can you enlarge the run-time stack size of the Emacs binary, e.g., by
using ulimit?  We may need to do that by default in the build command,
but just to check it is effective, could you run for a while with an
enlarged stack and see if crashes in GC go away?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 12 Mar 2020 20:36:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 12 16:36:54 2020
Received: from localhost ([127.0.0.1]:57851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCUZa-0001nx-A4
	for submit <at> debbugs.gnu.org; Thu, 12 Mar 2020 16:36:54 -0400
Received: from mail-oi1-f180.google.com ([209.85.167.180]:44781)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jCUZZ-0001nk-95
 for 39962 <at> debbugs.gnu.org; Thu, 12 Mar 2020 16:36:53 -0400
Received: by mail-oi1-f180.google.com with SMTP id d62so6927985oia.11
 for <39962 <at> debbugs.gnu.org>; Thu, 12 Mar 2020 13:36:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=fV1rLq1VJQ0xEdx0AAGcTHAhxMSfVGjh6gNbUIHKqhw=;
 b=Kf4xOinzZ12w0SYJ4gjGzknr5sfVUFou5azKbhkerbgOv/3L6V/QScXOvdwxylG699
 WxxIUqtyNl87XXuwQZ4cQgB3U2shqdgAWF8FP5Ue1i65LT5poOM5v3RLR27SpR35jost
 pOIItqDbMYI7O74kLf0CoLG73EeTWXoSUBfzhX8xBEq6dvMSNch+lwjCf4K10Sqr/6vd
 nWdr97vR2EnBZy3Q/5DXG8GxVBeWjV8hFrRtuQQURorxMiTYYPWlf10c6an8wnBFF7ma
 5bCg4VmSsfqELo52EwMnfl8dGBk+iNTueE11LEir251zQICw3eZDcdp/MRMcgQSJ8xCO
 eCig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=fV1rLq1VJQ0xEdx0AAGcTHAhxMSfVGjh6gNbUIHKqhw=;
 b=od3R8xt2UAy1YtPdIUMlAm2oQGkDPxfxIwkfzCStObCwLbCciC5akeO0vYvitZoUkL
 UVyorVJ9EdPtvU6yZh9AUeFaK/arcE+j/frwH1NCo2WSYWwiS83ePlJneMdj+ENUTpEn
 2929EI1dE4czL35KsvUA9Np1KQGg/wQ1lhJ6lS1QMMjQ6pU8ycwziNKVTccahfCq4Y+1
 7nb/NPggvRdYZH9zg2PEz0UD4dWecQ40m6bAthXfts0ykUbcZuRjggTEb2Pd2ciwbVUi
 +nZtZBnF8hCEcpesrr+OdRhi/9rNFdyCQ4DRA6EYfKIUBxFablKHC9XHUtIwYBmBWPO8
 m+Mg==
X-Gm-Message-State: ANhLgQ3NVbMxHs9OvDBfEu2jEjAYxddwukyD3+sEimgWGDCkv3oe+GOs
 nTufTEb8NWPv55emRcXzFnLlclpo9h+seoAMFE4=
X-Google-Smtp-Source: ADFU+vuaXjSJEReWpoUkO/WdN85tsXGGrDXiCNtjITw4872XIMll3jnKXmVQAcFWIorTF9QbPKPu2LED4xmncEUkAtk=
X-Received: by 2002:aca:b9c2:: with SMTP id j185mr4035721oif.112.1584045407649; 
 Thu, 12 Mar 2020 13:36:47 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 <83blp1siku.fsf@HIDDEN>
In-Reply-To: <83blp1siku.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Thu, 12 Mar 2020 20:36:10 +0000
Message-ID: <CAOqdjBdscissdCY8V0NHnkZeydNJJn-XEZoyTbMm2gzFvTTkKA@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Mar 12, 2020 at 3:23 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > > > Did you audit all the users of this function, both direct and
> > > > > indirect?  Some of them are outside of GC.
> > > >
> > > > Thanks for the comment; I just re-checked, and they look fine to me.
> > >
> > > ??? Fine in what way?
> >
> > It doesn't affect visible behavior of any callers, except in the case
> > where the previous behavior was buggy.
>
> I guess we have different notions of "visible"

Please say something about your notion of "visible". It doesn't affect
any of the existing C callers of valid_lisp_object_p. Are you talking
about printing valid_lisp_object_p(x) in a debugger, and not getting
the expected value? Or something else?

> and "buggy".

It avoids segfaults or random memory corruption. How is that not "buggy"?

> > I'm most certainly not changing the semantics of live_buffer, if
> > that's what you're worried about. I am changing the semantics of
> > live_buffer_p, which is an internal function, and my initial patch
> > also changed the return value of valid_lisp_object_p, to another value
> > that would be treated equivalently. If there are objections to that,
> > we can easily distinguish the two cases.
>
> I actually don't understand why we need to make such a change.

Which change? Treating the two cases differently? Because the garbage
collector needs to know whether an object is reachable, not whether
it's still a live buffer.

valid_lisp_object_p is currently documented to return 2 for a killed
buffer and 1 for a live buffer, which is weird since they're both
valid. It also returns 1 for some fake objects which aren't actually
valid:

(gdb) p current_thread->m_current_buffer
$3 = (struct buffer *) 0x555556694b10
(gdb) p valid_lisp_object_p(0x555556694b15)
$4 = 1
(gdb) p valid_lisp_object_p(0x555556694b25)
$5 = 1

Luckily, no one relies upon that documented mis-feature, so it's safe
to remove it.

> > And I think "so we don't collect reachable objects" is a fairly good
> > reason, generally.
>
> I didn't say it wasn't good, I said it didn't justify the proposed
> solution.

> How about if you tell more about the root cause of the crash you are
> trying to solve, and why disregarding the fact that a buffer is killed
> is the way to solve it?

I can try.

The garbage collector needs to mark all reachable objects. It can get
away with marking unreachable objects (and does so, for overlays in
killed buffers), but not marking a reachable object is a serious bug.

If a buffer is live, everything is fine.

If a buffer has been killed but is unreachable, everything is fine; it
will be collected by GC.

If a buffer has been killed but is reachable through mark_object,
everything is fine.

If a buffer has been killed but is reachable only through
mark_maybe_object, we fail to mark it.

We should mark it. In fact, whether a buffer object is marked should
depend only on whether it's reachable, not whether it's "live" in some
other sense.

That's all my patch does.

> > > The problem you are trying to solve is rare
> >
> > I think it would become much less rare with lexical binding in effect,
> > at least when the code's byte-compiled.
>
> That remains to be seen.

How about we put out the fire rather than waiting to see whether it
causes any damage? And, if we can agree to do so, what would you like
a patch which is actually meant for inclusion into the emacs-27 branch
(my previous patch wasn't, obviously) to look like?

> > > since this code was with us since 20 years ago without
> > > anyone bumping into it,
> >
> > That we know of. They might have just accrued it to random Emacs crashes.
>
> Then again, they might not.  We don't really have any evidence to that
> effect, all we know is that the code survived virtually intact since
> the day it was written.

I have no idea what you're trying to get at here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 12 Mar 2020 20:01:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 12 16:01:08 2020
Received: from localhost ([127.0.0.1]:57836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCU0y-0000q1-EP
	for submit <at> debbugs.gnu.org; Thu, 12 Mar 2020 16:01:08 -0400
Received: from mail-oi1-f177.google.com ([209.85.167.177]:45826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jCU0w-0000pN-Ev
 for 39962 <at> debbugs.gnu.org; Thu, 12 Mar 2020 16:01:06 -0400
Received: by mail-oi1-f177.google.com with SMTP id v19so6830396oic.12
 for <39962 <at> debbugs.gnu.org>; Thu, 12 Mar 2020 13:01:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=CcqC71U6PcBVyd6KkTR3bDz4njJrqk7UsyaFbEIBTQw=;
 b=KJZy+lUzL8LFdJ8sW9zKsOTkVn8lV27OtvcXcmu1MAOcU1hmexPLes1Jdf7PlFFrYc
 cdx97tALsBVCf8HXkaIfWsLWSAoYWMQaNn3gXgiZaaTDJwWCFOavo91SrZg6HiP1PpKR
 wLla38DCUv1UI5Z5/ExcSKO52pgWke/n0Xbrw0GZR5gnVdeJg3YrDkMQc0AYaRYslRvK
 phaQa2fthK/vt1S7/Td0TAzfOLIwnJvrtHK9uYpQ0TSQy9vaLaxQ0c+bsBYK5liRvl0p
 MnqGQLRfHSBzqVPNZaLHsmztquXnklnlms4RhLAPLD/F+EUuDrjrVuqdJIkfmoK4GwXv
 ylww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=CcqC71U6PcBVyd6KkTR3bDz4njJrqk7UsyaFbEIBTQw=;
 b=dkvCG6hTNZovAGrkiYCaOulzVrBI8D3R/lhtAu5gcHc5hwUvg8c8tGe1fatZI+7qbR
 WLQgQ7AQqOlgjwzZPoH9NapMnNVdpQCNUmGJmD11ecgzs5XLhb7G11NY1yRh/PgISOTC
 Kb7vPX68xvST+G+hb5W2Vg7GyUC+2gdhRGZiOqocPfNRDGADA3Prlj2JPbT+6KC1JQCy
 c6Vl29IpBbfdKxQ+6Dtr5RMf5fDBHZH8DKEaLpe/bWdCLJT6ZFgREQQ/aALrnqxVVat2
 eAMoZk4Nj3cIeKS4JeRU23c6z/V5yidTsOeBLU26kfQyaGwGAn9DPIRC0ZFNAv2VcqfB
 JdpA==
X-Gm-Message-State: ANhLgQ1sSIjWRWd12qmqn/6j80xuf/eGpxiQol8hC/GzRTxMVYrgl+Xd
 QV0FLcBnqkvH4g/ZBsdyzU1SMC4S1am+wd3ARNM=
X-Google-Smtp-Source: ADFU+vsLiFSipp+xnK6Qa7Ul1Tiqamm4j3zQTkZPrWT0h460kB92PN+bBErJsWR0NNkCdcpnTdWxv0aAqjylCf64Tlg=
X-Received: by 2002:aca:d553:: with SMTP id m80mr4129694oig.30.1584043260605; 
 Thu, 12 Mar 2020 13:01:00 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 <lxlfo5saq1.fsf@HIDDEN>
In-Reply-To: <lxlfo5saq1.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Thu, 12 Mar 2020 20:00:13 +0000
Message-ID: <CAOqdjBfumTOOWEZsEbDUkwSD7_KPQg_a1EXx+=1djn9JQuVUAg@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000db8fbf05a0adcff7"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000db8fbf05a0adcff7
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

On Thu, Mar 12, 2020 at 6:13 PM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> > My guess is 0x7ffeef270000 is your stack's guard page... Can you print
> > $rsp to confirm?
>
> Sorry, because of the erratic behaviour of GDB I killed that one. I have =
a new segfault in the GC. It is a long stack trace, so it could be a stack =
overflow. And, by the way, I had the two brakpoints set for the assignments=
 to marker->charpos that Eli suggested, but they were not triggered. I have=
 dumped a part of the stack trace below.

Thanks! I believe that solves it.

That indeed looks like a stack overflow.

Here's some speculation about what I think is happening:

We're seeing deep recursion in the garbage collector. If you look at
the tag bits of the objects marked by mark_object, you'll notice the
sequence is

symbol - cons - vectorlike - vectorlike - symbol - cons - vectorlike -
vectorlike - ...

That means there are thousands of symbols referring to values which
again contain symbols, and so on.

I suspect this code in vm-summary.el, or similar code, at least:

(defun vm-make-message ()
  "Create a new blank message struct."
  (let ((mvec (make-vector 5 nil))
    sym)
    (vm-set-softdata-of mvec (make-vector vm-softdata-vector-length nil))
    (vm-set-location-data-of
     mvec (make-vector vm-location-data-vector-length nil))
    (vm-set-mirror-data-of
     mvec (make-vector vm-mirror-data-vector-length nil))
    (vm-set-message-id-number-of mvec (int-to-string vm-message-id-number))
    (vm-increment vm-message-id-number)
    (vm-set-buffer-of mvec (current-buffer))
    ;; We use an uninterned symbol here as a level of indirection
    ;; from a purely self-referential structure.  This is
    ;; necessary so that Emacs debugger can be used on this
    ;; program.
    (setq sym (make-symbol "<<>>"))
    (set sym mvec)
    (vm-set-real-message-sym-of mvec sym)
    (vm-set-mirrored-message-sym-of mvec sym)
    ;; Another uninterned symbol for the virtual messages list.
    (setq sym (make-symbol "<v>"))
    (set sym nil)
    (vm-set-virtual-messages-sym-of mvec sym)
    ;; Another uninterned symbol for the reverse link
    ;; into the message list.
    (setq sym (make-symbol "<--"))
    (vm-set-reverse-link-sym-of mvec sym)
    mvec ))

Essentially, that code is building a singly-linked list of message
vectors, but the links go via symbols rather than directly to the next
message. The garbage collector isn't written for that case, and
recurses rather than iterating, causing the stack overflow.

The first attachment to this message is an Elisp file which does the
same thing, by creating thousands of symbols. On GNU/Linux, with
fairly default standard stack size settings, I get a segfault after
some 85,000 symbols have been created.

The second attachment is a patch which is
1. untested
2. a dirty workaround
3. not intended for inclusion in the master branch
4. not intended for inclusion in the emacs-27 branch.

It's possible this patch will work around the problem and result in a
different bug, or, less optimistically, fix this bug. With the patch,
I'm able to make it through the first 2^20 iterations of
symbol-crash.el without a segfault.

--000000000000db8fbf05a0adcff7
Content-Type: text/x-emacs-lisp; charset="US-ASCII"; name="symbol-crash.el"
Content-Disposition: attachment; filename="symbol-crash.el"
Content-Transfer-Encoding: base64
Content-ID: <f_k7p69irs0>
X-Attachment-Id: f_k7p69irs0

KGxldCogKChzeW0gKG1ha2Utc3ltYm9sICIiKSkKICAgICAgIChvc3ltIHN5bSkpCiAgKGRvdGlt
ZXMgKGkgMTAwMDAwMDAwMCkKICAgIChzZXQgc3ltIChtYWtlLXN5bWJvbCAiIikpCiAgICAoc2V0
cSBzeW0gKHN5bWJvbC12YWx1ZSBzeW0pKQogICAgKG1lc3NhZ2UgIiVkIiBpKQogICAgKHdoZW4g
KD0gMCAobG9nYW5kIGkgKDErIGkpKSkKICAgICAgKGdhcmJhZ2UtY29sbGVjdCkpKSkK
--000000000000db8fbf05a0adcff7
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-recurse-into-symbol-values-rather-than-along-the-sym.patch"
Content-Disposition: attachment; 
	filename="0001-recurse-into-symbol-values-rather-than-along-the-sym.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k7p69pdp1>
X-Attachment-Id: f_k7p69pdp1
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--000000000000db8fbf05a0adcff7--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 12 Mar 2020 18:13:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 12 14:13:22 2020
Received: from localhost ([127.0.0.1]:57789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCSKg-0006LJ-Q9
	for submit <at> debbugs.gnu.org; Thu, 12 Mar 2020 14:13:22 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:60186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jCSKe-0006Ku-8h
 for 39962 <at> debbugs.gnu.org; Thu, 12 Mar 2020 14:13:20 -0400
X-ASG-Debug-ID: 1584036792-0ac37b52051e5a810001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id lioSDm7jpMclz7pC
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Thu, 12 Mar 2020 19:13:12 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 1953 invoked from network); 12 Mar 2020 18:13:12 -0000
Received: from ip5650f203.speed.planet.nl (HELO cochabamba.vanoostrum.org)
 (86.80.242.3)
 by server24.hosting2go.nl with SMTP; 12 Mar 2020 18:13:11 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 2DB6FAAE5507;
 Thu, 12 Mar 2020 19:13:11 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
 <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Thu, 12 Mar 2020 19:13:10 +0100
In-Reply-To: <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
 (Pip Cet's message of "Thu, 12 Mar 2020 13:55:56 +0000")
Message-ID: <lxlfo5saq1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1584036792
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Barracuda-BRTS-Status: 1
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 569
X-Barracuda-Spam-Score: 1.00
X-Barracuda-Spam-Status: No, SCORE=1.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_RULE7568M, BSF_RULE_7582B,
 BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80624
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
 0.50 BSF_RULE7568M          Custom Rule 7568M
 0.50 BSF_RULE_7582B         Custom Rule 7582B
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

Pip Cet <pipcet@HIDDEN> writes:
>
> My guess is 0x7ffeef270000 is your stack's guard page... Can you print
> $rsp to confirm?

Sorry, because of the erratic behaviour of GDB I killed that one. I have a new segfault in the GC. It is a long stack trace, so it could be a stack overflow. And, by the way, I had the two brakpoints set for the assignments to marker->charpos that Eli suggested, but they were not triggered. I have dumped a part of the stack trace below.


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=GDBOutput.txt


Thread 3 received signal SIGSEGV, Segmentation fault.
dead_object () at ./lisp.h:1303
1303	  return make_lisp_ptr (NULL, Lisp_String);
(gdb) bt
#0  dead_object () at ./lisp.h:1303
#1  0x00000001002b6179 in deadp (x=XIL(0x11e331fb5)) at alloc.c:433
#2  0x00000001002b80d4 in live_cons_holding (m=0x16033ead0, p=0x170c5c770)
    at alloc.c:4365
#3  0x00000001002b0f7d in live_cons_p (m=0x16033ead0, p=0x170c5c770)
    at alloc.c:4375
#4  0x00000001002b3cbb in mark_object (arg=XIL(0x170c5c773)) at alloc.c:6619
#5  0x00000001002b3b04 in mark_object (arg=XIL(0x1cdd4a20)) at alloc.c:6585
#6  0x00000001002b5813 in mark_vectorlike (header=0x11dc7ae90) at alloc.c:6157
#7  0x00000001002b391a in mark_object (arg=XIL(0x11dc7ae95)) at alloc.c:6566
#8  0x00000001002b5813 in mark_vectorlike (header=0x11dc7ae60) at alloc.c:6157
#9  0x00000001002b391a in mark_object (arg=XIL(0x11dc7ae65)) at alloc.c:6566
#10 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23573)) at alloc.c:6628
#11 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e3e0)) at alloc.c:6585
#12 0x00000001002b5813 in mark_vectorlike (header=0x107a96e60) at alloc.c:6157
#13 0x00000001002b391a in mark_object (arg=XIL(0x107a96e65)) at alloc.c:6566
#14 0x00000001002b5813 in mark_vectorlike (header=0x107a96e30) at alloc.c:6157
#15 0x00000001002b391a in mark_object (arg=XIL(0x107a96e35)) at alloc.c:6566
#16 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56ec3)) at alloc.c:6628
#17 0x00000001002b3b04 in mark_object (arg=XIL(0x1cf47cb0)) at alloc.c:6585
#18 0x00000001002b5813 in mark_vectorlike (header=0x11e3ffe60) at alloc.c:6157
#19 0x00000001002b391a in mark_object (arg=XIL(0x11e3ffe65)) at alloc.c:6566
#20 0x00000001002b5813 in mark_vectorlike (header=0x11e3ffe30) at alloc.c:6157
#21 0x00000001002b391a in mark_object (arg=XIL(0x11e3ffe35)) at alloc.c:6566
#22 0x00000001002b3d33 in mark_object (arg=XIL(0x170c648e3)) at alloc.c:6628
#23 0x00000001002b3b04 in mark_object (arg=XIL(0x419e820)) at alloc.c:6585
#24 0x00000001002b5813 in mark_vectorlike (header=0x11d965090) at alloc.c:6157
#25 0x00000001002b391a in mark_object (arg=XIL(0x11d965095)) at alloc.c:6566
#26 0x00000001002b5813 in mark_vectorlike (header=0x11d965060) at alloc.c:6157
#27 0x00000001002b391a in mark_object (arg=XIL(0x11d965065)) at alloc.c:6566
#28 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a6c3)) at alloc.c:6628
#29 0x00000001002b3b04 in mark_object (arg=XIL(0x1cdd4990)) at alloc.c:6585
#30 0x00000001002b5813 in mark_vectorlike (header=0x11dc7cd20) at alloc.c:6157
#31 0x00000001002b391a in mark_object (arg=XIL(0x11dc7cd25)) at alloc.c:6566
#32 0x00000001002b5813 in mark_vectorlike (header=0x11dc7ccf0) at alloc.c:6157
#33 0x00000001002b391a in mark_object (arg=XIL(0x11dc7ccf5)) at alloc.c:6566
#34 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23563)) at alloc.c:6628
#35 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e470)) at alloc.c:6585
#36 0x00000001002b5813 in mark_vectorlike (header=0x107a97cf0) at alloc.c:6157
#37 0x00000001002b391a in mark_object (arg=XIL(0x107a97cf5)) at alloc.c:6566
#38 0x00000001002b5813 in mark_vectorlike (header=0x107a97cc0) at alloc.c:6157
#39 0x00000001002b391a in mark_object (arg=XIL(0x107a97cc5)) at alloc.c:6566
#40 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56eb3)) at alloc.c:6628
#41 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e500)) at alloc.c:6585
#42 0x00000001002b5813 in mark_vectorlike (header=0x107a97f20) at alloc.c:6157
#43 0x00000001002b391a in mark_object (arg=XIL(0x107a97f25)) at alloc.c:6566
#44 0x00000001002b5813 in mark_vectorlike (header=0x107a97ef0) at alloc.c:6157
#45 0x00000001002b391a in mark_object (arg=XIL(0x107a97ef5)) at alloc.c:6566
#46 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56ea3)) at alloc.c:6628
--Type <RET> for more, q to quit, c to continue without paging--
#47 0x00000001002b3b04 in mark_object (arg=XIL(0x410ea20)) at alloc.c:6585
#48 0x00000001002b5813 in mark_vectorlike (header=0x166e463a0) at alloc.c:6157
#49 0x00000001002b391a in mark_object (arg=XIL(0x166e463a5)) at alloc.c:6566
#50 0x00000001002b5813 in mark_vectorlike (header=0x166e46370) at alloc.c:6157
#51 0x00000001002b391a in mark_object (arg=XIL(0x166e46375)) at alloc.c:6566
#52 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54e03)) at alloc.c:6628
#53 0x00000001002b3b04 in mark_object (arg=XIL(0x66571a20)) at alloc.c:6585
#54 0x00000001002b5813 in mark_vectorlike (header=0x166d6b120) at alloc.c:6157
#55 0x00000001002b391a in mark_object (arg=XIL(0x166d6b125)) at alloc.c:6566
#56 0x00000001002b5813 in mark_vectorlike (header=0x166d6b0f0) at alloc.c:6157
#57 0x00000001002b391a in mark_object (arg=XIL(0x166d6b0f5)) at alloc.c:6566
#58 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5ab43)) at alloc.c:6628
#59 0x00000001002b3b04 in mark_object (arg=XIL(0x1cdd4900)) at alloc.c:6585
#60 0x00000001002b5813 in mark_vectorlike (header=0x11dc7dc30) at alloc.c:6157
#61 0x00000001002b391a in mark_object (arg=XIL(0x11dc7dc35)) at alloc.c:6566
#62 0x00000001002b5813 in mark_vectorlike (header=0x11dc7cf20) at alloc.c:6157
#63 0x00000001002b391a in mark_object (arg=XIL(0x11dc7cf25)) at alloc.c:6566
#64 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23553)) at alloc.c:6628
#65 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e590)) at alloc.c:6585
#66 0x00000001002b5813 in mark_vectorlike (header=0x107a98da0) at alloc.c:6157
#67 0x00000001002b391a in mark_object (arg=XIL(0x107a98da5)) at alloc.c:6566
#68 0x00000001002b5813 in mark_vectorlike (header=0x107a98d70) at alloc.c:6157
#69 0x00000001002b391a in mark_object (arg=XIL(0x107a98d75)) at alloc.c:6566
#70 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56e93)) at alloc.c:6628
#71 0x00000001002b3b04 in mark_object (arg=XIL(0x641c5070)) at alloc.c:6585
#72 0x00000001002b5813 in mark_vectorlike (header=0x166e2af20) at alloc.c:6157
#73 0x00000001002b391a in mark_object (arg=XIL(0x166e2af25)) at alloc.c:6566
#74 0x00000001002b5813 in mark_vectorlike (header=0x166e2aef0) at alloc.c:6157
#75 0x00000001002b391a in mark_object (arg=XIL(0x166e2aef5)) at alloc.c:6566
#76 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55373)) at alloc.c:6628
#77 0x00000001002b3b04 in mark_object (arg=XIL(0x641c5100)) at alloc.c:6585
#78 0x00000001002b5813 in mark_vectorlike (header=0x166e2bda0) at alloc.c:6157
#79 0x00000001002b391a in mark_object (arg=XIL(0x166e2bda5)) at alloc.c:6566
#80 0x00000001002b5813 in mark_vectorlike (header=0x166e2bd70) at alloc.c:6157
#81 0x00000001002b391a in mark_object (arg=XIL(0x166e2bd75)) at alloc.c:6566
#82 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55363)) at alloc.c:6628
#83 0x00000001002b3b04 in mark_object (arg=XIL(0x1cdd4870)) at alloc.c:6585
#84 0x00000001002b5813 in mark_vectorlike (header=0x11dc7dde0) at alloc.c:6157
#85 0x00000001002b391a in mark_object (arg=XIL(0x11dc7dde5)) at alloc.c:6566
#86 0x00000001002b5813 in mark_vectorlike (header=0x11dc7ddb0) at alloc.c:6157
#87 0x00000001002b391a in mark_object (arg=XIL(0x11dc7ddb5)) at alloc.c:6566
#88 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23543)) at alloc.c:6628
#89 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e620)) at alloc.c:6585
#90 0x00000001002b5813 in mark_vectorlike (header=0x107a99c30) at alloc.c:6157
#91 0x00000001002b391a in mark_object (arg=XIL(0x107a99c35)) at alloc.c:6566
#92 0x00000001002b5813 in mark_vectorlike (header=0x107a98fa0) at alloc.c:6157
#93 0x00000001002b391a in mark_object (arg=XIL(0x107a98fa5)) at alloc.c:6566
#94 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56e83)) at alloc.c:6628
#95 0x00000001002b3b04 in mark_object (arg=XIL(0x641ff870)) at alloc.c:6585
--Type <RET> for more, q to quit, c to continue without paging--
#96 0x00000001002b5813 in mark_vectorlike (header=0x166f9e2e0) at alloc.c:6157
#97 0x00000001002b391a in mark_object (arg=XIL(0x166f9e2e5)) at alloc.c:6566
#98 0x00000001002b5813 in mark_vectorlike (header=0x166f9e2b0) at alloc.c:6157
#99 0x00000001002b391a in mark_object (arg=XIL(0x166f9e2b5)) at alloc.c:6566
#100 0x00000001002b3d33 in mark_object (arg=XIL(0x170c491f3)) at alloc.c:6628
#101 0x00000001002b3b04 in mark_object (arg=XIL(0x6620f300)) at alloc.c:6585
#102 0x00000001002b5813 in mark_vectorlike (header=0x11dc3b920) at alloc.c:6157
#103 0x00000001002b391a in mark_object (arg=XIL(0x11dc3b925)) at alloc.c:6566
#104 0x00000001002b5813 in mark_vectorlike (header=0x11dc3b8f0) at alloc.c:6157
#105 0x00000001002b391a in mark_object (arg=XIL(0x11dc3b8f5)) at alloc.c:6566
#106 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58203)) at alloc.c:6628
#107 0x00000001002b3b04 in mark_object (arg=XIL(0x1cdd47e0)) at alloc.c:6585
#108 0x00000001002b5813 in mark_vectorlike (header=0x11dc7ec60) at alloc.c:6157
#109 0x00000001002b391a in mark_object (arg=XIL(0x11dc7ec65)) at alloc.c:6566
#110 0x00000001002b5813 in mark_vectorlike (header=0x11dc7ec30) at alloc.c:6157
#111 0x00000001002b391a in mark_object (arg=XIL(0x11dc7ec35)) at alloc.c:6566
#112 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23533)) at alloc.c:6628
#113 0x00000001002b3b04 in mark_object (arg=XIL(0x419e8b0)) at alloc.c:6585
#114 0x00000001002b5813 in mark_vectorlike (header=0x11d979320) at alloc.c:6157
#115 0x00000001002b391a in mark_object (arg=XIL(0x11d979325)) at alloc.c:6566
#116 0x00000001002b5813 in mark_vectorlike (header=0x11d9792f0) at alloc.c:6157
#117 0x00000001002b391a in mark_object (arg=XIL(0x11d9792f5)) at alloc.c:6566
#118 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a6b3)) at alloc.c:6628
#119 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e6b0)) at alloc.c:6585
#120 0x00000001002b5813 in mark_vectorlike (header=0x107a99e60) at alloc.c:6157
#121 0x00000001002b391a in mark_object (arg=XIL(0x107a99e65)) at alloc.c:6566
#122 0x00000001002b5813 in mark_vectorlike (header=0x107a99e30) at alloc.c:6157
#123 0x00000001002b391a in mark_object (arg=XIL(0x107a99e35)) at alloc.c:6566
#124 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56e73)) at alloc.c:6628
#125 0x00000001002b3b04 in mark_object (arg=XIL(0x6620f670)) at alloc.c:6585
#126 0x00000001002b5813 in mark_vectorlike (header=0x11d8f6250) at alloc.c:6157
#127 0x00000001002b391a in mark_object (arg=XIL(0x11d8f6255)) at alloc.c:6566
#128 0x00000001002b5813 in mark_vectorlike (header=0x11d8f6220) at alloc.c:6157
#129 0x00000001002b391a in mark_object (arg=XIL(0x11d8f6225)) at alloc.c:6566
#130 0x00000001002b3d33 in mark_object (arg=XIL(0x164f581a3)) at alloc.c:6628
#131 0x00000001002b3b04 in mark_object (arg=XIL(0x6658a100)) at alloc.c:6585
#132 0x00000001002b5813 in mark_vectorlike (header=0x105ac2c60) at alloc.c:6157
#133 0x00000001002b391a in mark_object (arg=XIL(0x105ac2c65)) at alloc.c:6566
#134 0x00000001002b5813 in mark_vectorlike (header=0x105ac2c30) at alloc.c:6157
#135 0x00000001002b391a in mark_object (arg=XIL(0x105ac2c35)) at alloc.c:6566
#136 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4b4a3)) at alloc.c:6628
#137 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e750)) at alloc.c:6585
#138 0x00000001002b5813 in mark_vectorlike (header=0x107a9acf0) at alloc.c:6157
#139 0x00000001002b391a in mark_object (arg=XIL(0x107a9acf5)) at alloc.c:6566
#140 0x00000001002b5813 in mark_vectorlike (header=0x107a9acc0) at alloc.c:6157
#141 0x00000001002b391a in mark_object (arg=XIL(0x107a9acc5)) at alloc.c:6566
#142 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56e63)) at alloc.c:6628
#143 0x00000001002b3b04 in mark_object (arg=XIL(0x423db50)) at alloc.c:6585
#144 0x00000001002b5813 in mark_vectorlike (header=0x164ad9a90) at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#145 0x00000001002b391a in mark_object (arg=XIL(0x164ad9a95)) at alloc.c:6566
#146 0x00000001002b5813 in mark_vectorlike (header=0x164ad9a60) at alloc.c:6157
#147 0x00000001002b391a in mark_object (arg=XIL(0x164ad9a65)) at alloc.c:6566
#148 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a503)) at alloc.c:6628
#149 0x00000001002b3b04 in mark_object (arg=XIL(0x47fa070)) at alloc.c:6585
#150 0x00000001002b5813 in mark_vectorlike (header=0x164c91030) at alloc.c:6157
#151 0x00000001002b391a in mark_object (arg=XIL(0x164c91035)) at alloc.c:6566
#152 0x00000001002b5813 in mark_vectorlike (header=0x107a35fa0) at alloc.c:6157
#153 0x00000001002b391a in mark_object (arg=XIL(0x107a35fa5)) at alloc.c:6566
#154 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55443)) at alloc.c:6628
#155 0x00000001002b3b04 in mark_object (arg=XIL(0x1cdd4750)) at alloc.c:6585
#156 0x00000001002b5813 in mark_vectorlike (header=0x11dc7ee90) at alloc.c:6157
#157 0x00000001002b391a in mark_object (arg=XIL(0x11dc7ee95)) at alloc.c:6566
#158 0x00000001002b5813 in mark_vectorlike (header=0x11dc7ee60) at alloc.c:6157
#159 0x00000001002b391a in mark_object (arg=XIL(0x11dc7ee65)) at alloc.c:6566
#160 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23523)) at alloc.c:6628
#161 0x00000001002b3b04 in mark_object (arg=XIL(0x641ffd90)) at alloc.c:6585
#162 0x00000001002b5813 in mark_vectorlike (header=0x11e58f430) at alloc.c:6157
#163 0x00000001002b391a in mark_object (arg=XIL(0x11e58f435)) at alloc.c:6566
#164 0x00000001002b5813 in mark_vectorlike (header=0x11e58f400) at alloc.c:6157
#165 0x00000001002b391a in mark_object (arg=XIL(0x11e58f405)) at alloc.c:6566
#166 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58113)) at alloc.c:6628
#167 0x00000001002b3b04 in mark_object (arg=XIL(0x66485670)) at alloc.c:6585
#168 0x00000001002b5813 in mark_vectorlike (header=0x11e2f3e20) at alloc.c:6157
#169 0x00000001002b391a in mark_object (arg=XIL(0x11e2f3e25)) at alloc.c:6566
#170 0x00000001002b5813 in mark_vectorlike (header=0x11e2f3df0) at alloc.c:6157
#171 0x00000001002b391a in mark_object (arg=XIL(0x11e2f3df5)) at alloc.c:6566
#172 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c463)) at alloc.c:6628
#173 0x00000001002b3b04 in mark_object (arg=XIL(0x1d1bb220)) at alloc.c:6585
#174 0x00000001002b5813 in mark_vectorlike (header=0x166b2a520) at alloc.c:6157
#175 0x00000001002b391a in mark_object (arg=XIL(0x166b2a525)) at alloc.c:6566
#176 0x00000001002b5813 in mark_vectorlike (header=0x166b2a4f0) at alloc.c:6157
#177 0x00000001002b391a in mark_object (arg=XIL(0x166b2a4f5)) at alloc.c:6566
#178 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cb13)) at alloc.c:6628
#179 0x00000001002b3b04 in mark_object (arg=XIL(0x1d959e20)) at alloc.c:6585
#180 0x00000001002b5813 in mark_vectorlike (header=0x166db65d0) at alloc.c:6157
#181 0x00000001002b391a in mark_object (arg=XIL(0x166db65d5)) at alloc.c:6566
#182 0x00000001002b5813 in mark_vectorlike (header=0x166db65a0) at alloc.c:6157
#183 0x00000001002b391a in mark_object (arg=XIL(0x166db65a5)) at alloc.c:6566
#184 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49383)) at alloc.c:6628
#185 0x00000001002b3b04 in mark_object (arg=XIL(0x6642ab00)) at alloc.c:6585
#186 0x00000001002b5813 in mark_vectorlike (header=0x164b96fe0) at alloc.c:6157
#187 0x00000001002b391a in mark_object (arg=XIL(0x164b96fe5)) at alloc.c:6566
#188 0x00000001002b5813 in mark_vectorlike (header=0x164b96fb0) at alloc.c:6157
#189 0x00000001002b391a in mark_object (arg=XIL(0x164b96fb5)) at alloc.c:6566
#190 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5aa83)) at alloc.c:6628
#191 0x00000001002b3b04 in mark_object (arg=XIL(0x6642ab90)) at alloc.c:6585
#192 0x00000001002b5813 in mark_vectorlike (header=0x104b28c60) at alloc.c:6157
#193 0x00000001002b391a in mark_object (arg=XIL(0x104b28c65)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#194 0x00000001002b5813 in mark_vectorlike (header=0x104b28c30) at alloc.c:6157
#195 0x00000001002b391a in mark_object (arg=XIL(0x104b28c35)) at alloc.c:6566
#196 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5aa73)) at alloc.c:6628
#197 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdcd070)) at alloc.c:6585
#198 0x00000001002b5813 in mark_vectorlike (header=0x170827be0) at alloc.c:6157
#199 0x00000001002b391a in mark_object (arg=XIL(0x170827be5)) at alloc.c:6566
#200 0x00000001002b5813 in mark_vectorlike (header=0x170827bb0) at alloc.c:6157
#201 0x00000001002b391a in mark_object (arg=XIL(0x170827bb5)) at alloc.c:6566
#202 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4bad3)) at alloc.c:6628
#203 0x00000001002b3b04 in mark_object (arg=XIL(0x6f19670)) at alloc.c:6585
#204 0x00000001002b5813 in mark_vectorlike (header=0x11dcafdc0) at alloc.c:6157
#205 0x00000001002b391a in mark_object (arg=XIL(0x11dcafdc5)) at alloc.c:6566
#206 0x00000001002b5813 in mark_vectorlike (header=0x11dcafd90) at alloc.c:6157
#207 0x00000001002b391a in mark_object (arg=XIL(0x11dcafd95)) at alloc.c:6566
#208 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c1f3)) at alloc.c:6628
#209 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e7e0)) at alloc.c:6585
#210 0x00000001002b5813 in mark_vectorlike (header=0x107a9af20) at alloc.c:6157
#211 0x00000001002b391a in mark_object (arg=XIL(0x107a9af25)) at alloc.c:6566
#212 0x00000001002b5813 in mark_vectorlike (header=0x107a9aef0) at alloc.c:6157
#213 0x00000001002b391a in mark_object (arg=XIL(0x107a9aef5)) at alloc.c:6566
#214 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56e53)) at alloc.c:6628
#215 0x00000001002b3b04 in mark_object (arg=XIL(0x45ca950)) at alloc.c:6585
#216 0x00000001002b5813 in mark_vectorlike (header=0x1079154e0) at alloc.c:6157
#217 0x00000001002b391a in mark_object (arg=XIL(0x1079154e5)) at alloc.c:6566
#218 0x00000001002b5813 in mark_vectorlike (header=0x1079154b0) at alloc.c:6157
#219 0x00000001002b391a in mark_object (arg=XIL(0x1079154b5)) at alloc.c:6566
#220 0x00000001002b3d33 in mark_object (arg=XIL(0x170c48db3)) at alloc.c:6628
#221 0x00000001002b3b04 in mark_object (arg=XIL(0x65e21a20)) at alloc.c:6585
#222 0x00000001002b5813 in mark_vectorlike (header=0x166e314c0) at alloc.c:6157
#223 0x00000001002b391a in mark_object (arg=XIL(0x166e314c5)) at alloc.c:6566
#224 0x00000001002b5813 in mark_vectorlike (header=0x166e31490) at alloc.c:6157
#225 0x00000001002b391a in mark_object (arg=XIL(0x166e31495)) at alloc.c:6566
#226 0x00000001002b3d33 in mark_object (arg=XIL(0x164f577b3)) at alloc.c:6628
#227 0x00000001002b3b04 in mark_object (arg=XIL(0x4757390)) at alloc.c:6585
#228 0x00000001002b5813 in mark_vectorlike (header=0x11e3d0e60) at alloc.c:6157
#229 0x00000001002b391a in mark_object (arg=XIL(0x11e3d0e65)) at alloc.c:6566
#230 0x00000001002b5813 in mark_vectorlike (header=0x11e3d0e30) at alloc.c:6157
#231 0x00000001002b391a in mark_object (arg=XIL(0x11e3d0e35)) at alloc.c:6566
#232 0x00000001002b3d33 in mark_object (arg=XIL(0x170c63913)) at alloc.c:6628
#233 0x00000001002b3b04 in mark_object (arg=XIL(0x1d659350)) at alloc.c:6585
#234 0x00000001002b5813 in mark_vectorlike (header=0x11da60230) at alloc.c:6157
#235 0x00000001002b391a in mark_object (arg=XIL(0x11da60235)) at alloc.c:6566
#236 0x00000001002b5813 in mark_vectorlike (header=0x11d979520) at alloc.c:6157
#237 0x00000001002b391a in mark_object (arg=XIL(0x11d979525)) at alloc.c:6566
#238 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a6a3)) at alloc.c:6628
#239 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8470)) at alloc.c:6585
#240 0x00000001002b5813 in mark_vectorlike (header=0x166e1ac30) at alloc.c:6157
#241 0x00000001002b391a in mark_object (arg=XIL(0x166e1ac35)) at alloc.c:6566
#242 0x00000001002b5813 in mark_vectorlike (header=0x166e4c5a0) at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#243 0x00000001002b391a in mark_object (arg=XIL(0x166e4c5a5)) at alloc.c:6566
#244 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54d53)) at alloc.c:6628
#245 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e870)) at alloc.c:6585
#246 0x00000001002b5813 in mark_vectorlike (header=0x107a9bda0) at alloc.c:6157
#247 0x00000001002b391a in mark_object (arg=XIL(0x107a9bda5)) at alloc.c:6566
#248 0x00000001002b5813 in mark_vectorlike (header=0x107a9bd70) at alloc.c:6157
#249 0x00000001002b391a in mark_object (arg=XIL(0x107a9bd75)) at alloc.c:6566
#250 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56e43)) at alloc.c:6628
#251 0x00000001002b3b04 in mark_object (arg=XIL(0x4373f90)) at alloc.c:6585
#252 0x00000001002b5813 in mark_vectorlike (header=0x107a552f0) at alloc.c:6157
#253 0x00000001002b391a in mark_object (arg=XIL(0x107a552f5)) at alloc.c:6566
#254 0x00000001002b5813 in mark_vectorlike (header=0x107a552c0) at alloc.c:6157
#255 0x00000001002b391a in mark_object (arg=XIL(0x107a552c5)) at alloc.c:6566
#256 0x00000001002b3d33 in mark_object (arg=XIL(0x164f565d3)) at alloc.c:6628
#257 0x00000001002b3b04 in mark_object (arg=XIL(0x1d046e20)) at alloc.c:6585
#258 0x00000001002b5813 in mark_vectorlike (header=0x105957e60) at alloc.c:6157
#259 0x00000001002b391a in mark_object (arg=XIL(0x105957e65)) at alloc.c:6566
#260 0x00000001002b5813 in mark_vectorlike (header=0x105957e30) at alloc.c:6157
#261 0x00000001002b391a in mark_object (arg=XIL(0x105957e35)) at alloc.c:6566
#262 0x00000001002b3d33 in mark_object (arg=XIL(0x170c63a53)) at alloc.c:6628
#263 0x00000001002b3b04 in mark_object (arg=XIL(0x1d2d5eb0)) at alloc.c:6585
#264 0x00000001002b5813 in mark_vectorlike (header=0x11e3dc090) at alloc.c:6157
#265 0x00000001002b391a in mark_object (arg=XIL(0x11e3dc095)) at alloc.c:6566
#266 0x00000001002b5813 in mark_vectorlike (header=0x11e3dc060) at alloc.c:6157
#267 0x00000001002b391a in mark_object (arg=XIL(0x11e3dc065)) at alloc.c:6566
#268 0x00000001002b3d33 in mark_object (arg=XIL(0x170c63813)) at alloc.c:6628
#269 0x00000001002b3b04 in mark_object (arg=XIL(0x1d1789e0)) at alloc.c:6585
#270 0x00000001002b5813 in mark_vectorlike (header=0x11dcdede0) at alloc.c:6157
#271 0x00000001002b391a in mark_object (arg=XIL(0x11dcdede5)) at alloc.c:6566
#272 0x00000001002b5813 in mark_vectorlike (header=0x11dcdedb0) at alloc.c:6157
#273 0x00000001002b391a in mark_object (arg=XIL(0x11dcdedb5)) at alloc.c:6566
#274 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62023)) at alloc.c:6628
#275 0x00000001002b3b04 in mark_object (arg=XIL(0x1d8843e0)) at alloc.c:6585
#276 0x00000001002b5813 in mark_vectorlike (header=0x16487e430) at alloc.c:6157
#277 0x00000001002b391a in mark_object (arg=XIL(0x16487e435)) at alloc.c:6566
#278 0x00000001002b5813 in mark_vectorlike (header=0x16487e400) at alloc.c:6157
#279 0x00000001002b391a in mark_object (arg=XIL(0x16487e405)) at alloc.c:6566
#280 0x00000001002b3d33 in mark_object (arg=XIL(0x164f576a3)) at alloc.c:6628
#281 0x00000001002b3b04 in mark_object (arg=XIL(0x1d646190)) at alloc.c:6585
#282 0x00000001002b5813 in mark_vectorlike (header=0x11dce4de0) at alloc.c:6157
#283 0x00000001002b391a in mark_object (arg=XIL(0x11dce4de5)) at alloc.c:6566
#284 0x00000001002b5813 in mark_vectorlike (header=0x11dce4db0) at alloc.c:6157
#285 0x00000001002b391a in mark_object (arg=XIL(0x11dce4db5)) at alloc.c:6566
#286 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62b63)) at alloc.c:6628
#287 0x00000001002b3b04 in mark_object (arg=XIL(0x6620f270)) at alloc.c:6585
#288 0x00000001002b5813 in mark_vectorlike (header=0x11dc3b6f0) at alloc.c:6157
#289 0x00000001002b391a in mark_object (arg=XIL(0x11dc3b6f5)) at alloc.c:6566
#290 0x00000001002b5813 in mark_vectorlike (header=0x11dc3b6c0) at alloc.c:6157
#291 0x00000001002b391a in mark_object (arg=XIL(0x11dc3b6c5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#292 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58213)) at alloc.c:6628
#293 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8500)) at alloc.c:6585
#294 0x00000001002b5813 in mark_vectorlike (header=0x166e1ae60) at alloc.c:6157
#295 0x00000001002b391a in mark_object (arg=XIL(0x166e1ae65)) at alloc.c:6566
#296 0x00000001002b5813 in mark_vectorlike (header=0x166e1ae30) at alloc.c:6157
#297 0x00000001002b391a in mark_object (arg=XIL(0x166e1ae35)) at alloc.c:6566
#298 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54d43)) at alloc.c:6628
#299 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e900)) at alloc.c:6585
#300 0x00000001002b5813 in mark_vectorlike (header=0x166e56c30) at alloc.c:6157
#301 0x00000001002b391a in mark_object (arg=XIL(0x166e56c35)) at alloc.c:6566
#302 0x00000001002b5813 in mark_vectorlike (header=0x107a9bfa0) at alloc.c:6157
#303 0x00000001002b391a in mark_object (arg=XIL(0x107a9bfa5)) at alloc.c:6566
#304 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56e33)) at alloc.c:6628
#305 0x00000001002b3b04 in mark_object (arg=XIL(0x1cfea1e0)) at alloc.c:6585
#306 0x00000001002b5813 in mark_vectorlike (header=0x105ad6e90) at alloc.c:6157
#307 0x00000001002b391a in mark_object (arg=XIL(0x105ad6e95)) at alloc.c:6566
#308 0x00000001002b5813 in mark_vectorlike (header=0x105ad6e60) at alloc.c:6157
#309 0x00000001002b391a in mark_object (arg=XIL(0x105ad6e65)) at alloc.c:6566
#310 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a083)) at alloc.c:6628
#311 0x00000001002b3b04 in mark_object (arg=XIL(0x1d1790b0)) at alloc.c:6585
#312 0x00000001002b5813 in mark_vectorlike (header=0x11e3a1d20) at alloc.c:6157
#313 0x00000001002b391a in mark_object (arg=XIL(0x11e3a1d25)) at alloc.c:6566
#314 0x00000001002b5813 in mark_vectorlike (header=0x11e3a1cf0) at alloc.c:6157
#315 0x00000001002b391a in mark_object (arg=XIL(0x11e3a1cf5)) at alloc.c:6566
#316 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a823)) at alloc.c:6628
#317 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8590)) at alloc.c:6585
#318 0x00000001002b5813 in mark_vectorlike (header=0x166e1bcf0) at alloc.c:6157
#319 0x00000001002b391a in mark_object (arg=XIL(0x166e1bcf5)) at alloc.c:6566
#320 0x00000001002b5813 in mark_vectorlike (header=0x166e1bcc0) at alloc.c:6157
#321 0x00000001002b391a in mark_object (arg=XIL(0x166e1bcc5)) at alloc.c:6566
#322 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54d33)) at alloc.c:6628
#323 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e990)) at alloc.c:6585
#324 0x00000001002b5813 in mark_vectorlike (header=0x166e56e60) at alloc.c:6157
#325 0x00000001002b391a in mark_object (arg=XIL(0x166e56e65)) at alloc.c:6566
#326 0x00000001002b5813 in mark_vectorlike (header=0x166e56e30) at alloc.c:6157
#327 0x00000001002b391a in mark_object (arg=XIL(0x166e56e35)) at alloc.c:6566
#328 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56e23)) at alloc.c:6628
#329 0x00000001002b3b04 in mark_object (arg=XIL(0x1d178420)) at alloc.c:6585
#330 0x00000001002b5813 in mark_vectorlike (header=0x166dc8120) at alloc.c:6157
#331 0x00000001002b391a in mark_object (arg=XIL(0x166dc8125)) at alloc.c:6566
#332 0x00000001002b5813 in mark_vectorlike (header=0x166dc80f0) at alloc.c:6157
#333 0x00000001002b391a in mark_object (arg=XIL(0x166dc80f5)) at alloc.c:6566
#334 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bac3)) at alloc.c:6628
#335 0x00000001002b3b04 in mark_object (arg=XIL(0x1cf13350)) at alloc.c:6585
#336 0x00000001002b5813 in mark_vectorlike (header=0x105987290) at alloc.c:6157
#337 0x00000001002b391a in mark_object (arg=XIL(0x105987295)) at alloc.c:6566
#338 0x00000001002b5813 in mark_vectorlike (header=0x105987260) at alloc.c:6157
#339 0x00000001002b391a in mark_object (arg=XIL(0x105987265)) at alloc.c:6566
#340 0x00000001002b3d33 in mark_object (arg=XIL(0x170c59df3)) at alloc.c:6628
--Type <RET> for more, q to quit, c to continue without paging--
#341 0x00000001002b3b04 in mark_object (arg=XIL(0x66485700)) at alloc.c:6585
#342 0x00000001002b5813 in mark_vectorlike (header=0x11e2fdda0) at alloc.c:6157
#343 0x00000001002b391a in mark_object (arg=XIL(0x11e2fdda5)) at alloc.c:6566
#344 0x00000001002b5813 in mark_vectorlike (header=0x11e2fdd70) at alloc.c:6157
#345 0x00000001002b391a in mark_object (arg=XIL(0x11e2fdd75)) at alloc.c:6566
#346 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c453)) at alloc.c:6628
#347 0x00000001002b3b04 in mark_object (arg=XIL(0x1d1bb2b0)) at alloc.c:6585
#348 0x00000001002b5813 in mark_vectorlike (header=0x166b94030) at alloc.c:6157
#349 0x00000001002b391a in mark_object (arg=XIL(0x166b94035)) at alloc.c:6566
#350 0x00000001002b5813 in mark_vectorlike (header=0x166b2a720) at alloc.c:6157
#351 0x00000001002b391a in mark_object (arg=XIL(0x166b2a725)) at alloc.c:6566
#352 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cb03)) at alloc.c:6628
#353 0x00000001002b3b04 in mark_object (arg=XIL(0x1d6593e0)) at alloc.c:6585
#354 0x00000001002b5813 in mark_vectorlike (header=0x11da603e0) at alloc.c:6157
#355 0x00000001002b391a in mark_object (arg=XIL(0x11da603e5)) at alloc.c:6566
#356 0x00000001002b5813 in mark_vectorlike (header=0x11da603b0) at alloc.c:6157
#357 0x00000001002b391a in mark_object (arg=XIL(0x11da603b5)) at alloc.c:6566
#358 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a693)) at alloc.c:6628
#359 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8620)) at alloc.c:6585
#360 0x00000001002b5813 in mark_vectorlike (header=0x166e1bf20) at alloc.c:6157
#361 0x00000001002b391a in mark_object (arg=XIL(0x166e1bf25)) at alloc.c:6566
#362 0x00000001002b5813 in mark_vectorlike (header=0x166e1bef0) at alloc.c:6157
#363 0x00000001002b391a in mark_object (arg=XIL(0x166e1bef5)) at alloc.c:6566
#364 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54d23)) at alloc.c:6628
#365 0x00000001002b3b04 in mark_object (arg=XIL(0x1db12900)) at alloc.c:6585
#366 0x00000001002b5813 in mark_vectorlike (header=0x11e3b8de0) at alloc.c:6157
#367 0x00000001002b391a in mark_object (arg=XIL(0x11e3b8de5)) at alloc.c:6566
#368 0x00000001002b5813 in mark_vectorlike (header=0x11e3b8db0) at alloc.c:6157
#369 0x00000001002b391a in mark_object (arg=XIL(0x11e3b8db5)) at alloc.c:6566
#370 0x00000001002b3d33 in mark_object (arg=XIL(0x170c63b53)) at alloc.c:6628
#371 0x00000001002b3b04 in mark_object (arg=XIL(0x660eae20)) at alloc.c:6585
#372 0x00000001002b5813 in mark_vectorlike (header=0x107a66460) at alloc.c:6157
#373 0x00000001002b391a in mark_object (arg=XIL(0x107a66465)) at alloc.c:6566
#374 0x00000001002b5813 in mark_vectorlike (header=0x107a66430) at alloc.c:6157
#375 0x00000001002b391a in mark_object (arg=XIL(0x107a66435)) at alloc.c:6566
#376 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56403)) at alloc.c:6628
#377 0x00000001002b3b04 in mark_object (arg=XIL(0x660ead00)) at alloc.c:6585
#378 0x00000001002b5813 in mark_vectorlike (header=0x107a653a0) at alloc.c:6157
#379 0x00000001002b391a in mark_object (arg=XIL(0x107a653a5)) at alloc.c:6566
#380 0x00000001002b5813 in mark_vectorlike (header=0x107a65370) at alloc.c:6157
#381 0x00000001002b391a in mark_object (arg=XIL(0x107a65375)) at alloc.c:6566
#382 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56423)) at alloc.c:6628
#383 0x00000001002b3b04 in mark_object (arg=XIL(0x1d014990)) at alloc.c:6585
#384 0x00000001002b5813 in mark_vectorlike (header=0x170804170) at alloc.c:6157
#385 0x00000001002b391a in mark_object (arg=XIL(0x170804175)) at alloc.c:6566
#386 0x00000001002b5813 in mark_vectorlike (header=0x170804140) at alloc.c:6157
#387 0x00000001002b391a in mark_object (arg=XIL(0x170804145)) at alloc.c:6566
#388 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4bb93)) at alloc.c:6628
#389 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa86b0)) at alloc.c:6585
--Type <RET> for more, q to quit, c to continue without paging--
#390 0x00000001002b5813 in mark_vectorlike (header=0x166e1cda0) at alloc.c:6157
#391 0x00000001002b391a in mark_object (arg=XIL(0x166e1cda5)) at alloc.c:6566
#392 0x00000001002b5813 in mark_vectorlike (header=0x166e1cd70) at alloc.c:6157
#393 0x00000001002b391a in mark_object (arg=XIL(0x166e1cd75)) at alloc.c:6566
#394 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54d13)) at alloc.c:6628
#395 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77ea20)) at alloc.c:6585
#396 0x00000001002b5813 in mark_vectorlike (header=0x166e57cf0) at alloc.c:6157
#397 0x00000001002b391a in mark_object (arg=XIL(0x166e57cf5)) at alloc.c:6566
#398 0x00000001002b5813 in mark_vectorlike (header=0x166e57cc0) at alloc.c:6157
#399 0x00000001002b391a in mark_object (arg=XIL(0x166e57cc5)) at alloc.c:6566
#400 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56e13)) at alloc.c:6628
#401 0x00000001002b3b04 in mark_object (arg=XIL(0x65e21e20)) at alloc.c:6585
#402 0x00000001002b5813 in mark_vectorlike (header=0x166e32420) at alloc.c:6157
#403 0x00000001002b391a in mark_object (arg=XIL(0x166e32425)) at alloc.c:6566
#404 0x00000001002b5813 in mark_vectorlike (header=0x166e323f0) at alloc.c:6157
#405 0x00000001002b391a in mark_object (arg=XIL(0x166e323f5)) at alloc.c:6566
#406 0x00000001002b3d33 in mark_object (arg=XIL(0x164f57743)) at alloc.c:6628
#407 0x00000001002b3b04 in mark_object (arg=XIL(0x660ead90)) at alloc.c:6585
#408 0x00000001002b5813 in mark_vectorlike (header=0x107a66230) at alloc.c:6157
#409 0x00000001002b391a in mark_object (arg=XIL(0x107a66235)) at alloc.c:6566
#410 0x00000001002b5813 in mark_vectorlike (header=0x107a655a0) at alloc.c:6157
#411 0x00000001002b391a in mark_object (arg=XIL(0x107a655a5)) at alloc.c:6566
#412 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56413)) at alloc.c:6628
#413 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77eab0)) at alloc.c:6585
#414 0x00000001002b5813 in mark_vectorlike (header=0x166e57f20) at alloc.c:6157
#415 0x00000001002b391a in mark_object (arg=XIL(0x166e57f25)) at alloc.c:6566
#416 0x00000001002b5813 in mark_vectorlike (header=0x166e57ef0) at alloc.c:6157
#417 0x00000001002b391a in mark_object (arg=XIL(0x166e57ef5)) at alloc.c:6566
#418 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56e03)) at alloc.c:6628
#419 0x00000001002b3b04 in mark_object (arg=XIL(0x642d3f50)) at alloc.c:6585
#420 0x00000001002b5813 in mark_vectorlike (header=0x105ae1da0) at alloc.c:6157
#421 0x00000001002b391a in mark_object (arg=XIL(0x105ae1da5)) at alloc.c:6566
#422 0x00000001002b5813 in mark_vectorlike (header=0x105ae1d70) at alloc.c:6157
#423 0x00000001002b391a in mark_object (arg=XIL(0x105ae1d75)) at alloc.c:6566
#424 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56df3)) at alloc.c:6628
#425 0x00000001002b3b04 in mark_object (arg=XIL(0x1d813070)) at alloc.c:6585
#426 0x00000001002b5813 in mark_vectorlike (header=0x11e24b0c0) at alloc.c:6157
#427 0x00000001002b391a in mark_object (arg=XIL(0x11e24b0c5)) at alloc.c:6566
#428 0x00000001002b5813 in mark_vectorlike (header=0x11e24b090) at alloc.c:6157
#429 0x00000001002b391a in mark_object (arg=XIL(0x11e24b095)) at alloc.c:6566
#430 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49b23)) at alloc.c:6628
#431 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8750)) at alloc.c:6585
#432 0x00000001002b5813 in mark_vectorlike (header=0x166e1dc30) at alloc.c:6157
#433 0x00000001002b391a in mark_object (arg=XIL(0x166e1dc35)) at alloc.c:6566
#434 0x00000001002b5813 in mark_vectorlike (header=0x166e1cfa0) at alloc.c:6157
#435 0x00000001002b391a in mark_object (arg=XIL(0x166e1cfa5)) at alloc.c:6566
#436 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54d03)) at alloc.c:6628
#437 0x00000001002b3b04 in mark_object (arg=XIL(0x1d659470)) at alloc.c:6585
#438 0x00000001002b5813 in mark_vectorlike (header=0x11db2b260) at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#439 0x00000001002b391a in mark_object (arg=XIL(0x11db2b265)) at alloc.c:6566
#440 0x00000001002b5813 in mark_vectorlike (header=0x11db2b230) at alloc.c:6157
#441 0x00000001002b391a in mark_object (arg=XIL(0x11db2b235)) at alloc.c:6566
#442 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a683)) at alloc.c:6628
#443 0x00000001002b3b04 in mark_object (arg=XIL(0x642d3fe0)) at alloc.c:6585
#444 0x00000001002b5813 in mark_vectorlike (header=0x105a58030) at alloc.c:6157
#445 0x00000001002b391a in mark_object (arg=XIL(0x105a58035)) at alloc.c:6566
#446 0x00000001002b5813 in mark_vectorlike (header=0x105ae1fa0) at alloc.c:6157
#447 0x00000001002b391a in mark_object (arg=XIL(0x105ae1fa5)) at alloc.c:6566
#448 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56de3)) at alloc.c:6628
#449 0x00000001002b3b04 in mark_object (arg=XIL(0x641ffbe0)) at alloc.c:6585
#450 0x00000001002b5813 in mark_vectorlike (header=0x11e58eda0) at alloc.c:6157
#451 0x00000001002b391a in mark_object (arg=XIL(0x11e58eda5)) at alloc.c:6566
#452 0x00000001002b5813 in mark_vectorlike (header=0x11e58ed70) at alloc.c:6157
#453 0x00000001002b391a in mark_object (arg=XIL(0x11e58ed75)) at alloc.c:6566
#454 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58143)) at alloc.c:6628
#455 0x00000001002b3b04 in mark_object (arg=XIL(0x65e22070)) at alloc.c:6585
#456 0x00000001002b5813 in mark_vectorlike (header=0x166e32ce0) at alloc.c:6157
#457 0x00000001002b391a in mark_object (arg=XIL(0x166e32ce5)) at alloc.c:6566
#458 0x00000001002b5813 in mark_vectorlike (header=0x166e32cb0) at alloc.c:6157
#459 0x00000001002b391a in mark_object (arg=XIL(0x166e32cb5)) at alloc.c:6566
#460 0x00000001002b3d33 in mark_object (arg=XIL(0x164f57703)) at alloc.c:6628
#461 0x00000001002b3b04 in mark_object (arg=XIL(0x1d046190)) at alloc.c:6585
#462 0x00000001002b5813 in mark_vectorlike (header=0x1708006f0) at alloc.c:6157
#463 0x00000001002b391a in mark_object (arg=XIL(0x1708006f5)) at alloc.c:6566
#464 0x00000001002b5813 in mark_vectorlike (header=0x1708006c0) at alloc.c:6157
#465 0x00000001002b391a in mark_object (arg=XIL(0x1708006c5)) at alloc.c:6566
#466 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4b033)) at alloc.c:6628
#467 0x00000001002b3b04 in mark_object (arg=XIL(0x1da91100)) at alloc.c:6585
#468 0x00000001002b5813 in mark_vectorlike (header=0x11e3a9c60) at alloc.c:6157
#469 0x00000001002b391a in mark_object (arg=XIL(0x11e3a9c65)) at alloc.c:6566
#470 0x00000001002b5813 in mark_vectorlike (header=0x11e3a9c30) at alloc.c:6157
#471 0x00000001002b391a in mark_object (arg=XIL(0x11e3a9c35)) at alloc.c:6566
#472 0x00000001002b3d33 in mark_object (arg=XIL(0x170c63a03)) at alloc.c:6628
#473 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdccbe0)) at alloc.c:6585
#474 0x00000001002b5813 in mark_vectorlike (header=0x170804a30) at alloc.c:6157
#475 0x00000001002b391a in mark_object (arg=XIL(0x170804a35)) at alloc.c:6566
#476 0x00000001002b5813 in mark_vectorlike (header=0x170804a00) at alloc.c:6157
#477 0x00000001002b391a in mark_object (arg=XIL(0x170804a05)) at alloc.c:6566
#478 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4bb53)) at alloc.c:6628
#479 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa87e0)) at alloc.c:6585
#480 0x00000001002b5813 in mark_vectorlike (header=0x166e1de60) at alloc.c:6157
#481 0x00000001002b391a in mark_object (arg=XIL(0x166e1de65)) at alloc.c:6566
#482 0x00000001002b5813 in mark_vectorlike (header=0x166e1de30) at alloc.c:6157
#483 0x00000001002b391a in mark_object (arg=XIL(0x166e1de35)) at alloc.c:6566
#484 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54cf3)) at alloc.c:6628
#485 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77eeb0)) at alloc.c:6585
#486 0x00000001002b5813 in mark_vectorlike (header=0x166e5acf0) at alloc.c:6157
#487 0x00000001002b391a in mark_object (arg=XIL(0x166e5acf5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#488 0x00000001002b5813 in mark_vectorlike (header=0x166e5acc0) at alloc.c:6157
#489 0x00000001002b391a in mark_object (arg=XIL(0x166e5acc5)) at alloc.c:6566
#490 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56d23)) at alloc.c:6628
#491 0x00000001002b3b04 in mark_object (arg=XIL(0x1d9d67e0)) at alloc.c:6585
#492 0x00000001002b5813 in mark_vectorlike (header=0x166f987e0) at alloc.c:6157
#493 0x00000001002b391a in mark_object (arg=XIL(0x166f987e5)) at alloc.c:6566
#494 0x00000001002b5813 in mark_vectorlike (header=0x166f987b0) at alloc.c:6157
#495 0x00000001002b391a in mark_object (arg=XIL(0x166f987b5)) at alloc.c:6566
#496 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49dd3)) at alloc.c:6628
#497 0x00000001002b3b04 in mark_object (arg=XIL(0x6fde4100)) at alloc.c:6585
#498 0x00000001002b5813 in mark_vectorlike (header=0x166eaaf20) at alloc.c:6157
#499 0x00000001002b391a in mark_object (arg=XIL(0x166eaaf25)) at alloc.c:6566
#500 0x00000001002b5813 in mark_vectorlike (header=0x166eaaef0) at alloc.c:6157
#501 0x00000001002b391a in mark_object (arg=XIL(0x166eaaef5)) at alloc.c:6566
#502 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a8c3)) at alloc.c:6628
#503 0x00000001002b3b04 in mark_object (arg=XIL(0x1cfc9820)) at alloc.c:6585
#504 0x00000001002b5813 in mark_vectorlike (header=0x166d92de0) at alloc.c:6157
#505 0x00000001002b391a in mark_object (arg=XIL(0x166d92de5)) at alloc.c:6566
#506 0x00000001002b5813 in mark_vectorlike (header=0x166d92db0) at alloc.c:6157
#507 0x00000001002b391a in mark_object (arg=XIL(0x166d92db5)) at alloc.c:6566
#508 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a3c3)) at alloc.c:6628
#509 0x00000001002b3b04 in mark_object (arg=XIL(0x1d7befe0)) at alloc.c:6585
#510 0x00000001002b5813 in mark_vectorlike (header=0x11dd06030) at alloc.c:6157
#511 0x00000001002b391a in mark_object (arg=XIL(0x11dd06035)) at alloc.c:6566
#512 0x00000001002b5813 in mark_vectorlike (header=0x11dd05320) at alloc.c:6157
#513 0x00000001002b391a in mark_object (arg=XIL(0x11dd05325)) at alloc.c:6566
#514 0x00000001002b3d33 in mark_object (arg=XIL(0x170c628f3)) at alloc.c:6628
#515 0x00000001002b3b04 in mark_object (arg=XIL(0x410eab0)) at alloc.c:6585
#516 0x00000001002b5813 in mark_vectorlike (header=0x166e47230) at alloc.c:6157
#517 0x00000001002b391a in mark_object (arg=XIL(0x166e47235)) at alloc.c:6566
#518 0x00000001002b5813 in mark_vectorlike (header=0x166e465a0) at alloc.c:6157
#519 0x00000001002b391a in mark_object (arg=XIL(0x166e465a5)) at alloc.c:6566
#520 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54df3)) at alloc.c:6628
#521 0x00000001002b3b04 in mark_object (arg=XIL(0x1d2d6070)) at alloc.c:6585
#522 0x00000001002b5813 in mark_vectorlike (header=0x11e2fed60) at alloc.c:6157
#523 0x00000001002b391a in mark_object (arg=XIL(0x11e2fed65)) at alloc.c:6566
#524 0x00000001002b5813 in mark_vectorlike (header=0x11e2fed30) at alloc.c:6157
#525 0x00000001002b391a in mark_object (arg=XIL(0x11e2fed35)) at alloc.c:6566
#526 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c183)) at alloc.c:6628
#527 0x00000001002b3b04 in mark_object (arg=XIL(0x3f9a7e0)) at alloc.c:6585
#528 0x00000001002b5813 in mark_vectorlike (header=0x10592de90) at alloc.c:6157
#529 0x00000001002b391a in mark_object (arg=XIL(0x10592de95)) at alloc.c:6566
#530 0x00000001002b5813 in mark_vectorlike (header=0x10592de60) at alloc.c:6157
#531 0x00000001002b391a in mark_object (arg=XIL(0x10592de65)) at alloc.c:6566
#532 0x00000001002b3d33 in mark_object (arg=XIL(0x170c61c33)) at alloc.c:6628
#533 0x00000001002b3b04 in mark_object (arg=XIL(0x1d804300)) at alloc.c:6585
#534 0x00000001002b5813 in mark_vectorlike (header=0x164b9bc90) at alloc.c:6157
#535 0x00000001002b391a in mark_object (arg=XIL(0x164b9bc95)) at alloc.c:6566
#536 0x00000001002b5813 in mark_vectorlike (header=0x164b9bc60) at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#537 0x00000001002b391a in mark_object (arg=XIL(0x164b9bc65)) at alloc.c:6566
#538 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5aa13)) at alloc.c:6628
#539 0x00000001002b3b04 in mark_object (arg=XIL(0x1d804390)) at alloc.c:6585
#540 0x00000001002b5813 in mark_vectorlike (header=0x164bbc320) at alloc.c:6157
#541 0x00000001002b391a in mark_object (arg=XIL(0x164bbc325)) at alloc.c:6566
#542 0x00000001002b5813 in mark_vectorlike (header=0x164bbc2f0) at alloc.c:6157
#543 0x00000001002b391a in mark_object (arg=XIL(0x164bbc2f5)) at alloc.c:6566
#544 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5aa03)) at alloc.c:6628
#545 0x00000001002b3b04 in mark_object (arg=XIL(0x1d7e9870)) at alloc.c:6585
#546 0x00000001002b5813 in mark_vectorlike (header=0x166c33920) at alloc.c:6157
#547 0x00000001002b391a in mark_object (arg=XIL(0x166c33925)) at alloc.c:6566
#548 0x00000001002b5813 in mark_vectorlike (header=0x166c338f0) at alloc.c:6157
#549 0x00000001002b391a in mark_object (arg=XIL(0x166c338f5)) at alloc.c:6566
#550 0x00000001002b3d33 in mark_object (arg=XIL(0x170c59cf3)) at alloc.c:6628
#551 0x00000001002b3b04 in mark_object (arg=XIL(0x1d646220)) at alloc.c:6585
#552 0x00000001002b5813 in mark_vectorlike (header=0x11dce6c60) at alloc.c:6157
#553 0x00000001002b391a in mark_object (arg=XIL(0x11dce6c65)) at alloc.c:6566
#554 0x00000001002b5813 in mark_vectorlike (header=0x11dce6c30) at alloc.c:6157
#555 0x00000001002b391a in mark_object (arg=XIL(0x11dce6c35)) at alloc.c:6566
#556 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62b53)) at alloc.c:6628
#557 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8870)) at alloc.c:6585
#558 0x00000001002b5813 in mark_vectorlike (header=0x166e1ecf0) at alloc.c:6157
#559 0x00000001002b391a in mark_object (arg=XIL(0x166e1ecf5)) at alloc.c:6566
#560 0x00000001002b5813 in mark_vectorlike (header=0x166e1ecc0) at alloc.c:6157
#561 0x00000001002b391a in mark_object (arg=XIL(0x166e1ecc5)) at alloc.c:6566
#562 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54ce3)) at alloc.c:6628
#563 0x00000001002b3b04 in mark_object (arg=XIL(0x65e217e0)) at alloc.c:6585
#564 0x00000001002b5813 in mark_vectorlike (header=0x11dd0d7e0) at alloc.c:6157
#565 0x00000001002b391a in mark_object (arg=XIL(0x11dd0d7e5)) at alloc.c:6566
#566 0x00000001002b5813 in mark_vectorlike (header=0x11dd0d7b0) at alloc.c:6157
#567 0x00000001002b391a in mark_object (arg=XIL(0x11dd0d7b5)) at alloc.c:6566
#568 0x00000001002b3d33 in mark_object (arg=XIL(0x164f57013)) at alloc.c:6628
#569 0x00000001002b3b04 in mark_object (arg=XIL(0x4ea66b0)) at alloc.c:6585
#570 0x00000001002b5813 in mark_vectorlike (header=0x1058edf30) at alloc.c:6157
#571 0x00000001002b391a in mark_object (arg=XIL(0x1058edf35)) at alloc.c:6566
#572 0x00000001002b5813 in mark_vectorlike (header=0x1058edf00) at alloc.c:6157
#573 0x00000001002b391a in mark_object (arg=XIL(0x1058edf05)) at alloc.c:6566
#574 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c9b3)) at alloc.c:6628
#575 0x00000001002b3b04 in mark_object (arg=XIL(0x6ef9d50)) at alloc.c:6585
#576 0x00000001002b5813 in mark_vectorlike (header=0x166e5af20) at alloc.c:6157
#577 0x00000001002b391a in mark_object (arg=XIL(0x166e5af25)) at alloc.c:6566
#578 0x00000001002b5813 in mark_vectorlike (header=0x166e5aef0) at alloc.c:6157
#579 0x00000001002b391a in mark_object (arg=XIL(0x166e5aef5)) at alloc.c:6566
#580 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56d13)) at alloc.c:6628
#581 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8900)) at alloc.c:6585
#582 0x00000001002b5813 in mark_vectorlike (header=0x166e1ef20) at alloc.c:6157
#583 0x00000001002b391a in mark_object (arg=XIL(0x166e1ef25)) at alloc.c:6566
#584 0x00000001002b5813 in mark_vectorlike (header=0x166e1eef0) at alloc.c:6157
#585 0x00000001002b391a in mark_object (arg=XIL(0x166e1eef5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#586 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54cd3)) at alloc.c:6628
#587 0x00000001002b3b04 in mark_object (arg=XIL(0x6ef9de0)) at alloc.c:6585
#588 0x00000001002b5813 in mark_vectorlike (header=0x164bc55a0) at alloc.c:6157
#589 0x00000001002b391a in mark_object (arg=XIL(0x164bc55a5)) at alloc.c:6566
#590 0x00000001002b5813 in mark_vectorlike (header=0x164bc5570) at alloc.c:6157
#591 0x00000001002b391a in mark_object (arg=XIL(0x164bc5575)) at alloc.c:6566
#592 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56d03)) at alloc.c:6628
#593 0x00000001002b3b04 in mark_object (arg=XIL(0x642e9ab0)) at alloc.c:6585
#594 0x00000001002b5813 in mark_vectorlike (header=0x11dd0d380) at alloc.c:6157
#595 0x00000001002b391a in mark_object (arg=XIL(0x11dd0d385)) at alloc.c:6566
#596 0x00000001002b5813 in mark_vectorlike (header=0x11dd0d350) at alloc.c:6157
#597 0x00000001002b391a in mark_object (arg=XIL(0x11dd0d355)) at alloc.c:6566
#598 0x00000001002b3d33 in mark_object (arg=XIL(0x164f57033)) at alloc.c:6628
#599 0x00000001002b3b04 in mark_object (arg=XIL(0x65e21750)) at alloc.c:6585
#600 0x00000001002b5813 in mark_vectorlike (header=0x11dd0d5b0) at alloc.c:6157
#601 0x00000001002b391a in mark_object (arg=XIL(0x11dd0d5b5)) at alloc.c:6566
#602 0x00000001002b5813 in mark_vectorlike (header=0x11dd0d580) at alloc.c:6157
#603 0x00000001002b391a in mark_object (arg=XIL(0x11dd0d585)) at alloc.c:6566
#604 0x00000001002b3d33 in mark_object (arg=XIL(0x164f57023)) at alloc.c:6628
#605 0x00000001002b3b04 in mark_object (arg=XIL(0x65e21900)) at alloc.c:6585
#606 0x00000001002b5813 in mark_vectorlike (header=0x166e31060) at alloc.c:6157
#607 0x00000001002b391a in mark_object (arg=XIL(0x166e31065)) at alloc.c:6566
#608 0x00000001002b5813 in mark_vectorlike (header=0x166e31030) at alloc.c:6157
#609 0x00000001002b391a in mark_object (arg=XIL(0x166e31035)) at alloc.c:6566
#610 0x00000001002b3d33 in mark_object (arg=XIL(0x164f577d3)) at alloc.c:6628
#611 0x00000001002b3b04 in mark_object (arg=XIL(0x1d843f00)) at alloc.c:6585
#612 0x00000001002b5813 in mark_vectorlike (header=0x166ea3fd0) at alloc.c:6157
#613 0x00000001002b391a in mark_object (arg=XIL(0x166ea3fd5)) at alloc.c:6566
#614 0x00000001002b5813 in mark_vectorlike (header=0x166ea3fa0) at alloc.c:6157
#615 0x00000001002b391a in mark_object (arg=XIL(0x166ea3fa5)) at alloc.c:6566
#616 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49a33)) at alloc.c:6628
#617 0x00000001002b3b04 in mark_object (arg=XIL(0x6620fb00)) at alloc.c:6585
#618 0x00000001002b5813 in mark_vectorlike (header=0x11e590180) at alloc.c:6157
#619 0x00000001002b391a in mark_object (arg=XIL(0x11e590185)) at alloc.c:6566
#620 0x00000001002b5813 in mark_vectorlike (header=0x11e590150) at alloc.c:6157
#621 0x00000001002b391a in mark_object (arg=XIL(0x11e590155)) at alloc.c:6566
#622 0x00000001002b3d33 in mark_object (arg=XIL(0x164f580b3)) at alloc.c:6628
#623 0x00000001002b3b04 in mark_object (arg=XIL(0x497f220)) at alloc.c:6585
#624 0x00000001002b5813 in mark_vectorlike (header=0x11dc59e20) at alloc.c:6157
#625 0x00000001002b391a in mark_object (arg=XIL(0x11dc59e25)) at alloc.c:6566
#626 0x00000001002b5813 in mark_vectorlike (header=0x11dc59df0) at alloc.c:6157
#627 0x00000001002b391a in mark_object (arg=XIL(0x11dc59df5)) at alloc.c:6566
#628 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cba3)) at alloc.c:6628
#629 0x00000001002b3b04 in mark_object (arg=XIL(0x63e469e0)) at alloc.c:6585
#630 0x00000001002b5813 in mark_vectorlike (header=0x11e3d3fe0) at alloc.c:6157
#631 0x00000001002b391a in mark_object (arg=XIL(0x11e3d3fe5)) at alloc.c:6566
#632 0x00000001002b5813 in mark_vectorlike (header=0x11e3d3fb0) at alloc.c:6157
#633 0x00000001002b391a in mark_object (arg=XIL(0x11e3d3fb5)) at alloc.c:6566
#634 0x00000001002b3d33 in mark_object (arg=XIL(0x170c638d3)) at alloc.c:6628
--Type <RET> for more, q to quit, c to continue without paging--
#635 0x00000001002b3b04 in mark_object (arg=XIL(0x663b0990)) at alloc.c:6585
#636 0x00000001002b5813 in mark_vectorlike (header=0x1059140b0) at alloc.c:6157
#637 0x00000001002b391a in mark_object (arg=XIL(0x1059140b5)) at alloc.c:6566
#638 0x00000001002b5813 in mark_vectorlike (header=0x105914080) at alloc.c:6157
#639 0x00000001002b391a in mark_object (arg=XIL(0x105914085)) at alloc.c:6566
#640 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c4b3)) at alloc.c:6628
#641 0x00000001002b3b04 in mark_object (arg=XIL(0x641ffb50)) at alloc.c:6585
#642 0x00000001002b5813 in mark_vectorlike (header=0x11e58eb70) at alloc.c:6157
#643 0x00000001002b391a in mark_object (arg=XIL(0x11e58eb75)) at alloc.c:6566
#644 0x00000001002b5813 in mark_vectorlike (header=0x11e58eb40) at alloc.c:6157
#645 0x00000001002b391a in mark_object (arg=XIL(0x11e58eb45)) at alloc.c:6566
#646 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58153)) at alloc.c:6628
#647 0x00000001002b3b04 in mark_object (arg=XIL(0x661b7d90)) at alloc.c:6585
#648 0x00000001002b5813 in mark_vectorlike (header=0x11e2edc30) at alloc.c:6157
#649 0x00000001002b391a in mark_object (arg=XIL(0x11e2edc35)) at alloc.c:6566
#650 0x00000001002b5813 in mark_vectorlike (header=0x164c47760) at alloc.c:6157
#651 0x00000001002b391a in mark_object (arg=XIL(0x164c47765)) at alloc.c:6566
#652 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c963)) at alloc.c:6628
#653 0x00000001002b3b04 in mark_object (arg=XIL(0x63e48c70)) at alloc.c:6585
#654 0x00000001002b5813 in mark_vectorlike (header=0x104c46060) at alloc.c:6157
#655 0x00000001002b391a in mark_object (arg=XIL(0x104c46065)) at alloc.c:6566
#656 0x00000001002b5813 in mark_vectorlike (header=0x104c46030) at alloc.c:6157
#657 0x00000001002b391a in mark_object (arg=XIL(0x104c46035)) at alloc.c:6566
#658 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c5d3)) at alloc.c:6628
#659 0x00000001002b3b04 in mark_object (arg=XIL(0x661b7e20)) at alloc.c:6585
#660 0x00000001002b5813 in mark_vectorlike (header=0x11e2ede60) at alloc.c:6157
#661 0x00000001002b391a in mark_object (arg=XIL(0x11e2ede65)) at alloc.c:6566
#662 0x00000001002b5813 in mark_vectorlike (header=0x11e2ede30) at alloc.c:6157
#663 0x00000001002b391a in mark_object (arg=XIL(0x11e2ede35)) at alloc.c:6566
#664 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c953)) at alloc.c:6628
#665 0x00000001002b3b04 in mark_object (arg=XIL(0x1cf47c20)) at alloc.c:6585
#666 0x00000001002b5813 in mark_vectorlike (header=0x11e3fefe0) at alloc.c:6157
#667 0x00000001002b391a in mark_object (arg=XIL(0x11e3fefe5)) at alloc.c:6566
#668 0x00000001002b5813 in mark_vectorlike (header=0x11e3fefb0) at alloc.c:6157
#669 0x00000001002b391a in mark_object (arg=XIL(0x11e3fefb5)) at alloc.c:6566
#670 0x00000001002b3d33 in mark_object (arg=XIL(0x170c648f3)) at alloc.c:6628
#671 0x00000001002b3b04 in mark_object (arg=XIL(0x1d659500)) at alloc.c:6585
#672 0x00000001002b5813 in mark_vectorlike (header=0x11db2b490) at alloc.c:6157
#673 0x00000001002b391a in mark_object (arg=XIL(0x11db2b495)) at alloc.c:6566
#674 0x00000001002b5813 in mark_vectorlike (header=0x11db2b460) at alloc.c:6157
#675 0x00000001002b391a in mark_object (arg=XIL(0x11db2b465)) at alloc.c:6566
#676 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a673)) at alloc.c:6628
#677 0x00000001002b3b04 in mark_object (arg=XIL(0x6620de70)) at alloc.c:6585
#678 0x00000001002b5813 in mark_vectorlike (header=0x11dc3a800) at alloc.c:6157
#679 0x00000001002b391a in mark_object (arg=XIL(0x11dc3a805)) at alloc.c:6566
#680 0x00000001002b5813 in mark_vectorlike (header=0x11dc3a7d0) at alloc.c:6157
#681 0x00000001002b391a in mark_object (arg=XIL(0x11dc3a7d5)) at alloc.c:6566
#682 0x00000001002b3d33 in mark_object (arg=XIL(0x164f582f3)) at alloc.c:6628
#683 0x00000001002b3b04 in mark_object (arg=XIL(0x508e3e0)) at alloc.c:6585
--Type <RET> for more, q to quit, c to continue without paging--
#684 0x00000001002b5813 in mark_vectorlike (header=0x105984060) at alloc.c:6157
#685 0x00000001002b391a in mark_object (arg=XIL(0x105984065)) at alloc.c:6566
#686 0x00000001002b5813 in mark_vectorlike (header=0x105984030) at alloc.c:6157
#687 0x00000001002b391a in mark_object (arg=XIL(0x105984035)) at alloc.c:6566
#688 0x00000001002b3d33 in mark_object (arg=XIL(0x170c59e53)) at alloc.c:6628
#689 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8990)) at alloc.c:6585
#690 0x00000001002b5813 in mark_vectorlike (header=0x166e1fda0) at alloc.c:6157
#691 0x00000001002b391a in mark_object (arg=XIL(0x166e1fda5)) at alloc.c:6566
#692 0x00000001002b5813 in mark_vectorlike (header=0x166e1fd70) at alloc.c:6157
#693 0x00000001002b391a in mark_object (arg=XIL(0x166e1fd75)) at alloc.c:6566
#694 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54cc3)) at alloc.c:6628
#695 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdf03e0)) at alloc.c:6585
#696 0x00000001002b5813 in mark_vectorlike (header=0x170828920) at alloc.c:6157
#697 0x00000001002b391a in mark_object (arg=XIL(0x170828925)) at alloc.c:6566
#698 0x00000001002b5813 in mark_vectorlike (header=0x1708288f0) at alloc.c:6157
#699 0x00000001002b391a in mark_object (arg=XIL(0x1708288f5)) at alloc.c:6566
#700 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4ba73)) at alloc.c:6628
#701 0x00000001002b3b04 in mark_object (arg=XIL(0x1d25e990)) at alloc.c:6585
#702 0x00000001002b5813 in mark_vectorlike (header=0x11e3b0e10) at alloc.c:6157
#703 0x00000001002b391a in mark_object (arg=XIL(0x11e3b0e15)) at alloc.c:6566
#704 0x00000001002b5813 in mark_vectorlike (header=0x11e3b0de0) at alloc.c:6157
#705 0x00000001002b391a in mark_object (arg=XIL(0x11e3b0de5)) at alloc.c:6566
#706 0x00000001002b3d33 in mark_object (arg=XIL(0x164f57443)) at alloc.c:6628
#707 0x00000001002b3b04 in mark_object (arg=XIL(0x4299870)) at alloc.c:6585
#708 0x00000001002b5813 in mark_vectorlike (header=0x166acba60) at alloc.c:6157
#709 0x00000001002b391a in mark_object (arg=XIL(0x166acba65)) at alloc.c:6566
#710 0x00000001002b5813 in mark_vectorlike (header=0x166acba30) at alloc.c:6157
#711 0x00000001002b391a in mark_object (arg=XIL(0x166acba35)) at alloc.c:6566
#712 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a473)) at alloc.c:6628
#713 0x00000001002b3b04 in mark_object (arg=XIL(0x1d838190)) at alloc.c:6585
#714 0x00000001002b5813 in mark_vectorlike (header=0x11dcff120) at alloc.c:6157
#715 0x00000001002b391a in mark_object (arg=XIL(0x11dcff125)) at alloc.c:6566
#716 0x00000001002b5813 in mark_vectorlike (header=0x11dcff0f0) at alloc.c:6157
#717 0x00000001002b391a in mark_object (arg=XIL(0x11dcff0f5)) at alloc.c:6566
#718 0x00000001002b3d33 in mark_object (arg=XIL(0x170c629a3)) at alloc.c:6628
#719 0x00000001002b3b04 in mark_object (arg=XIL(0x1d959eb0)) at alloc.c:6585
#720 0x00000001002b5813 in mark_vectorlike (header=0x166db6800) at alloc.c:6157
#721 0x00000001002b391a in mark_object (arg=XIL(0x166db6805)) at alloc.c:6566
#722 0x00000001002b5813 in mark_vectorlike (header=0x166db67d0) at alloc.c:6157
#723 0x00000001002b391a in mark_object (arg=XIL(0x166db67d5)) at alloc.c:6566
#724 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49373)) at alloc.c:6628
#725 0x00000001002b3b04 in mark_object (arg=XIL(0x6ef9e70)) at alloc.c:6585
#726 0x00000001002b5813 in mark_vectorlike (header=0x164bc6430) at alloc.c:6157
#727 0x00000001002b391a in mark_object (arg=XIL(0x164bc6435)) at alloc.c:6566
#728 0x00000001002b5813 in mark_vectorlike (header=0x164bc57a0) at alloc.c:6157
#729 0x00000001002b391a in mark_object (arg=XIL(0x164bc57a5)) at alloc.c:6566
#730 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56cf3)) at alloc.c:6628
#731 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdd4b50)) at alloc.c:6585
#732 0x00000001002b5813 in mark_vectorlike (header=0x11e370e90) at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#733 0x00000001002b391a in mark_object (arg=XIL(0x11e370e95)) at alloc.c:6566
#734 0x00000001002b5813 in mark_vectorlike (header=0x11e370e60) at alloc.c:6157
#735 0x00000001002b391a in mark_object (arg=XIL(0x11e370e65)) at alloc.c:6566
#736 0x00000001002b3d33 in mark_object (arg=XIL(0x170c61993)) at alloc.c:6628
#737 0x00000001002b3b04 in mark_object (arg=XIL(0x1d25eb50)) at alloc.c:6585
#738 0x00000001002b5813 in mark_vectorlike (header=0x164c37420) at alloc.c:6157
#739 0x00000001002b391a in mark_object (arg=XIL(0x164c37425)) at alloc.c:6566
#740 0x00000001002b5813 in mark_vectorlike (header=0x164c373f0) at alloc.c:6157
#741 0x00000001002b391a in mark_object (arg=XIL(0x164c373f5)) at alloc.c:6566
#742 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58383)) at alloc.c:6628
#743 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77dab0)) at alloc.c:6585
#744 0x00000001002b5813 in mark_vectorlike (header=0x107a6fe60) at alloc.c:6157
#745 0x00000001002b391a in mark_object (arg=XIL(0x107a6fe65)) at alloc.c:6566
#746 0x00000001002b5813 in mark_vectorlike (header=0x107a6fe30) at alloc.c:6157
#747 0x00000001002b391a in mark_object (arg=XIL(0x107a6fe35)) at alloc.c:6566
#748 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56af3)) at alloc.c:6628
#749 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8a20)) at alloc.c:6585
#750 0x00000001002b5813 in mark_vectorlike (header=0x166e20c30) at alloc.c:6157
#751 0x00000001002b391a in mark_object (arg=XIL(0x166e20c35)) at alloc.c:6566
#752 0x00000001002b5813 in mark_vectorlike (header=0x166e1ffa0) at alloc.c:6157
#753 0x00000001002b391a in mark_object (arg=XIL(0x166e1ffa5)) at alloc.c:6566
#754 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54cb3)) at alloc.c:6628
#755 0x00000001002b3b04 in mark_object (arg=XIL(0x6ef9f00)) at alloc.c:6585
#756 0x00000001002b5813 in mark_vectorlike (header=0x164bc6660) at alloc.c:6157
#757 0x00000001002b391a in mark_object (arg=XIL(0x164bc6665)) at alloc.c:6566
#758 0x00000001002b5813 in mark_vectorlike (header=0x164bc6630) at alloc.c:6157
#759 0x00000001002b391a in mark_object (arg=XIL(0x164bc6635)) at alloc.c:6566
#760 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56ce3)) at alloc.c:6628
#761 0x00000001002b3b04 in mark_object (arg=XIL(0x1d828e20)) at alloc.c:6585
#762 0x00000001002b5813 in mark_vectorlike (header=0x166fa1520) at alloc.c:6157
#763 0x00000001002b391a in mark_object (arg=XIL(0x166fa1525)) at alloc.c:6566
#764 0x00000001002b5813 in mark_vectorlike (header=0x166fa14f0) at alloc.c:6157
#765 0x00000001002b391a in mark_object (arg=XIL(0x166fa14f5)) at alloc.c:6566
#766 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49153)) at alloc.c:6628
#767 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdccfe0)) at alloc.c:6585
#768 0x00000001002b5813 in mark_vectorlike (header=0x1708279b0) at alloc.c:6157
#769 0x00000001002b391a in mark_object (arg=XIL(0x1708279b5)) at alloc.c:6566
#770 0x00000001002b5813 in mark_vectorlike (header=0x170827980) at alloc.c:6157
#771 0x00000001002b391a in mark_object (arg=XIL(0x170827985)) at alloc.c:6566
#772 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4bae3)) at alloc.c:6628
#773 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8ab0)) at alloc.c:6585
#774 0x00000001002b5813 in mark_vectorlike (header=0x166e20e60) at alloc.c:6157
#775 0x00000001002b391a in mark_object (arg=XIL(0x166e20e65)) at alloc.c:6566
#776 0x00000001002b5813 in mark_vectorlike (header=0x166e20e30) at alloc.c:6157
#777 0x00000001002b391a in mark_object (arg=XIL(0x166e20e35)) at alloc.c:6566
#778 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54ca3)) at alloc.c:6628
#779 0x00000001002b3b04 in mark_object (arg=XIL(0x6ef9f90)) at alloc.c:6585
#780 0x00000001002b5813 in mark_vectorlike (header=0x11dbbecc0) at alloc.c:6157
#781 0x00000001002b391a in mark_object (arg=XIL(0x11dbbecc5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#782 0x00000001002b5813 in mark_vectorlike (header=0x11dbbec90) at alloc.c:6157
#783 0x00000001002b391a in mark_object (arg=XIL(0x11dbbec95)) at alloc.c:6566
#784 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56cd3)) at alloc.c:6628
#785 0x00000001002b3b04 in mark_object (arg=XIL(0x641ffe20)) at alloc.c:6585
#786 0x00000001002b5813 in mark_vectorlike (header=0x11e58f660) at alloc.c:6157
#787 0x00000001002b391a in mark_object (arg=XIL(0x11e58f665)) at alloc.c:6566
#788 0x00000001002b5813 in mark_vectorlike (header=0x11e58f630) at alloc.c:6157
#789 0x00000001002b391a in mark_object (arg=XIL(0x11e58f635)) at alloc.c:6566
#790 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58103)) at alloc.c:6628
#791 0x00000001002b3b04 in mark_object (arg=XIL(0x1da91190)) at alloc.c:6585
#792 0x00000001002b5813 in mark_vectorlike (header=0x11e3a9e90) at alloc.c:6157
#793 0x00000001002b391a in mark_object (arg=XIL(0x11e3a9e95)) at alloc.c:6566
#794 0x00000001002b5813 in mark_vectorlike (header=0x11e3a9e60) at alloc.c:6157
#795 0x00000001002b391a in mark_object (arg=XIL(0x11e3a9e65)) at alloc.c:6566
#796 0x00000001002b3d33 in mark_object (arg=XIL(0x170c639f3)) at alloc.c:6628
#797 0x00000001002b3b04 in mark_object (arg=XIL(0x64092670)) at alloc.c:6585
#798 0x00000001002b5813 in mark_vectorlike (header=0x11dd2bd80) at alloc.c:6157
#799 0x00000001002b391a in mark_object (arg=XIL(0x11dd2bd85)) at alloc.c:6566
#800 0x00000001002b5813 in mark_vectorlike (header=0x11dd2bd50) at alloc.c:6157
#801 0x00000001002b391a in mark_object (arg=XIL(0x11dd2bd55)) at alloc.c:6566
#802 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49d53)) at alloc.c:6628
#803 0x00000001002b3b04 in mark_object (arg=XIL(0x662bfc20)) at alloc.c:6585
#804 0x00000001002b5813 in mark_vectorlike (header=0x11dc66e90) at alloc.c:6157
#805 0x00000001002b391a in mark_object (arg=XIL(0x11dc66e95)) at alloc.c:6566
#806 0x00000001002b5813 in mark_vectorlike (header=0x11dc66e60) at alloc.c:6157
#807 0x00000001002b391a in mark_object (arg=XIL(0x11dc66e65)) at alloc.c:6566
#808 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23703)) at alloc.c:6628
#809 0x00000001002b3b04 in mark_object (arg=XIL(0x641ff750)) at alloc.c:6585
#810 0x00000001002b5813 in mark_vectorlike (header=0x166f9de80) at alloc.c:6157
#811 0x00000001002b391a in mark_object (arg=XIL(0x166f9de85)) at alloc.c:6566
#812 0x00000001002b5813 in mark_vectorlike (header=0x166f9de50) at alloc.c:6157
#813 0x00000001002b391a in mark_object (arg=XIL(0x166f9de55)) at alloc.c:6566
#814 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49213)) at alloc.c:6628
#815 0x00000001002b3b04 in mark_object (arg=XIL(0x1d83cfb0)) at alloc.c:6585
#816 0x00000001002b5813 in mark_vectorlike (header=0x11dc61cf0) at alloc.c:6157
#817 0x00000001002b391a in mark_object (arg=XIL(0x11dc61cf5)) at alloc.c:6566
#818 0x00000001002b5813 in mark_vectorlike (header=0x11d99a790) at alloc.c:6157
#819 0x00000001002b391a in mark_object (arg=XIL(0x11d99a795)) at alloc.c:6566
#820 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bc63)) at alloc.c:6628
#821 0x00000001002b3b04 in mark_object (arg=XIL(0x1d83cf20)) at alloc.c:6585
#822 0x00000001002b5813 in mark_vectorlike (header=0x11e404e40) at alloc.c:6157
#823 0x00000001002b391a in mark_object (arg=XIL(0x11e404e45)) at alloc.c:6566
#824 0x00000001002b5813 in mark_vectorlike (header=0x11e373fc0) at alloc.c:6157
#825 0x00000001002b391a in mark_object (arg=XIL(0x11e373fc5)) at alloc.c:6566
#826 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bc53)) at alloc.c:6628
#827 0x00000001002b3b04 in mark_object (arg=XIL(0x426aa20)) at alloc.c:6585
#828 0x00000001002b5813 in mark_vectorlike (header=0x166b81660) at alloc.c:6157
#829 0x00000001002b391a in mark_object (arg=XIL(0x166b81665)) at alloc.c:6566
#830 0x00000001002b5813 in mark_vectorlike (header=0x166b81630) at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#831 0x00000001002b391a in mark_object (arg=XIL(0x166b81635)) at alloc.c:6566
#832 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5abb3)) at alloc.c:6628
#833 0x00000001002b3b04 in mark_object (arg=XIL(0x426aab0)) at alloc.c:6585
#834 0x00000001002b5813 in mark_vectorlike (header=0x166b81890) at alloc.c:6157
#835 0x00000001002b391a in mark_object (arg=XIL(0x166b81895)) at alloc.c:6566
#836 0x00000001002b5813 in mark_vectorlike (header=0x166b81860) at alloc.c:6157
#837 0x00000001002b391a in mark_object (arg=XIL(0x166b81865)) at alloc.c:6566
#838 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5aba3)) at alloc.c:6628
#839 0x00000001002b3b04 in mark_object (arg=XIL(0x640747b0)) at alloc.c:6585
#840 0x00000001002b5813 in mark_vectorlike (header=0x104c7b430) at alloc.c:6157
#841 0x00000001002b391a in mark_object (arg=XIL(0x104c7b435)) at alloc.c:6566
#842 0x00000001002b5813 in mark_vectorlike (header=0x11d8d0760) at alloc.c:6157
#843 0x00000001002b391a in mark_object (arg=XIL(0x11d8d0765)) at alloc.c:6566
#844 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bc93)) at alloc.c:6628
#845 0x00000001002b3b04 in mark_object (arg=XIL(0x474c550)) at alloc.c:6585
#846 0x00000001002b5813 in mark_vectorlike (header=0x107a3c0f0) at alloc.c:6157
#847 0x00000001002b391a in mark_object (arg=XIL(0x107a3c0f5)) at alloc.c:6566
#848 0x00000001002b5813 in mark_vectorlike (header=0x107a3c0c0) at alloc.c:6157
#849 0x00000001002b391a in mark_object (arg=XIL(0x107a3c0c5)) at alloc.c:6566
#850 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56763)) at alloc.c:6628
#851 0x00000001002b3b04 in mark_object (arg=XIL(0x641ff620)) at alloc.c:6585
#852 0x00000001002b5813 in mark_vectorlike (header=0x166f9da20) at alloc.c:6157
#853 0x00000001002b391a in mark_object (arg=XIL(0x166f9da25)) at alloc.c:6566
#854 0x00000001002b5813 in mark_vectorlike (header=0x166f9d9f0) at alloc.c:6157
#855 0x00000001002b391a in mark_object (arg=XIL(0x166f9d9f5)) at alloc.c:6566
#856 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49233)) at alloc.c:6628
#857 0x00000001002b3b04 in mark_object (arg=XIL(0x423dd90)) at alloc.c:6585
#858 0x00000001002b5813 in mark_vectorlike (header=0x107905260) at alloc.c:6157
#859 0x00000001002b391a in mark_object (arg=XIL(0x107905265)) at alloc.c:6566
#860 0x00000001002b5813 in mark_vectorlike (header=0x107905230) at alloc.c:6157
#861 0x00000001002b391a in mark_object (arg=XIL(0x107905235)) at alloc.c:6566
#862 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a4c3)) at alloc.c:6628
#863 0x00000001002b3b04 in mark_object (arg=XIL(0x1d83d040)) at alloc.c:6585
#864 0x00000001002b5813 in mark_vectorlike (header=0x11dc61c30) at alloc.c:6157
#865 0x00000001002b391a in mark_object (arg=XIL(0x11dc61c35)) at alloc.c:6566
#866 0x00000001002b5813 in mark_vectorlike (header=0x104b903c0) at alloc.c:6157
#867 0x00000001002b391a in mark_object (arg=XIL(0x104b903c5)) at alloc.c:6566
#868 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bc73)) at alloc.c:6628
#869 0x00000001002b3b04 in mark_object (arg=XIL(0x41173e0)) at alloc.c:6585
#870 0x00000001002b5813 in mark_vectorlike (header=0x105adbc30) at alloc.c:6157
#871 0x00000001002b391a in mark_object (arg=XIL(0x105adbc35)) at alloc.c:6566
#872 0x00000001002b5813 in mark_vectorlike (header=0x105adaf20) at alloc.c:6157
#873 0x00000001002b391a in mark_object (arg=XIL(0x105adaf25)) at alloc.c:6566
#874 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a003)) at alloc.c:6628
#875 0x00000001002b3b04 in mark_object (arg=XIL(0x4ebdfe0)) at alloc.c:6585
#876 0x00000001002b5813 in mark_vectorlike (header=0x1059771e0) at alloc.c:6157
#877 0x00000001002b391a in mark_object (arg=XIL(0x1059771e5)) at alloc.c:6566
#878 0x00000001002b5813 in mark_vectorlike (header=0x1059771b0) at alloc.c:6157
#879 0x00000001002b391a in mark_object (arg=XIL(0x1059771b5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#880 0x00000001002b3d33 in mark_object (arg=XIL(0x170c59fa3)) at alloc.c:6628
#881 0x00000001002b3b04 in mark_object (arg=XIL(0x1d843670)) at alloc.c:6585
#882 0x00000001002b5813 in mark_vectorlike (header=0x11e24a150) at alloc.c:6157
#883 0x00000001002b391a in mark_object (arg=XIL(0x11e24a155)) at alloc.c:6566
#884 0x00000001002b5813 in mark_vectorlike (header=0x11e24a120) at alloc.c:6157
#885 0x00000001002b391a in mark_object (arg=XIL(0x11e24a125)) at alloc.c:6566
#886 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49b93)) at alloc.c:6628
#887 0x00000001002b3b04 in mark_object (arg=XIL(0x662bfcb0)) at alloc.c:6585
#888 0x00000001002b5813 in mark_vectorlike (header=0x11dc66c60) at alloc.c:6157
#889 0x00000001002b391a in mark_object (arg=XIL(0x11dc66c65)) at alloc.c:6566
#890 0x00000001002b5813 in mark_vectorlike (header=0x11dc66c30) at alloc.c:6157
#891 0x00000001002b391a in mark_object (arg=XIL(0x11dc66c35)) at alloc.c:6566
#892 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23713)) at alloc.c:6628
#893 0x00000001002b3b04 in mark_object (arg=XIL(0x642d1d00)) at alloc.c:6585
#894 0x00000001002b5813 in mark_vectorlike (header=0x11e2d3a60) at alloc.c:6157
#895 0x00000001002b391a in mark_object (arg=XIL(0x11e2d3a65)) at alloc.c:6566
#896 0x00000001002b5813 in mark_vectorlike (header=0x11e2d3a30) at alloc.c:6157
#897 0x00000001002b391a in mark_object (arg=XIL(0x11e2d3a35)) at alloc.c:6566
#898 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a933)) at alloc.c:6628
#899 0x00000001002b3b04 in mark_object (arg=XIL(0x474ca70)) at alloc.c:6585
#900 0x00000001002b5813 in mark_vectorlike (header=0x107a46e60) at alloc.c:6157
#901 0x00000001002b391a in mark_object (arg=XIL(0x107a46e65)) at alloc.c:6566
#902 0x00000001002b5813 in mark_vectorlike (header=0x107a46e30) at alloc.c:6157
#903 0x00000001002b391a in mark_object (arg=XIL(0x107a46e35)) at alloc.c:6566
#904 0x00000001002b3d33 in mark_object (arg=XIL(0x164f566d3)) at alloc.c:6628
#905 0x00000001002b3b04 in mark_object (arg=XIL(0x1d8382b0)) at alloc.c:6585
#906 0x00000001002b5813 in mark_vectorlike (header=0x11dd001e0) at alloc.c:6157
#907 0x00000001002b391a in mark_object (arg=XIL(0x11dd001e5)) at alloc.c:6566
#908 0x00000001002b5813 in mark_vectorlike (header=0x11dd001b0) at alloc.c:6157
#909 0x00000001002b391a in mark_object (arg=XIL(0x11dd001b5)) at alloc.c:6566
#910 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62983)) at alloc.c:6628
#911 0x00000001002b3b04 in mark_object (arg=XIL(0x4010f50)) at alloc.c:6585
#912 0x00000001002b5813 in mark_vectorlike (header=0x11dcef1e0) at alloc.c:6157
#913 0x00000001002b391a in mark_object (arg=XIL(0x11dcef1e5)) at alloc.c:6566
#914 0x00000001002b5813 in mark_vectorlike (header=0x11dcef1b0) at alloc.c:6157
#915 0x00000001002b391a in mark_object (arg=XIL(0x11dcef1b5)) at alloc.c:6566
#916 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62ac3)) at alloc.c:6628
#917 0x00000001002b3b04 in mark_object (arg=XIL(0x4010fe0)) at alloc.c:6585
#918 0x00000001002b5813 in mark_vectorlike (header=0x11dcf0060) at alloc.c:6157
#919 0x00000001002b391a in mark_object (arg=XIL(0x11dcf0065)) at alloc.c:6566
#920 0x00000001002b5813 in mark_vectorlike (header=0x11dcf0030) at alloc.c:6157
#921 0x00000001002b391a in mark_object (arg=XIL(0x11dcf0035)) at alloc.c:6566
#922 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62ab3)) at alloc.c:6628
#923 0x00000001002b3b04 in mark_object (arg=XIL(0x641c4b50)) at alloc.c:6585
#924 0x00000001002b5813 in mark_vectorlike (header=0x166e21cf0) at alloc.c:6157
#925 0x00000001002b391a in mark_object (arg=XIL(0x166e21cf5)) at alloc.c:6566
#926 0x00000001002b5813 in mark_vectorlike (header=0x166e21cc0) at alloc.c:6157
#927 0x00000001002b391a in mark_object (arg=XIL(0x166e21cc5)) at alloc.c:6566
#928 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54c93)) at alloc.c:6628
--Type <RET> for more, q to quit, c to continue without paging--
#929 0x00000001002b3b04 in mark_object (arg=XIL(0x423dbe0)) at alloc.c:6585
#930 0x00000001002b5813 in mark_vectorlike (header=0x164adc520) at alloc.c:6157
#931 0x00000001002b391a in mark_object (arg=XIL(0x164adc525)) at alloc.c:6566
#932 0x00000001002b5813 in mark_vectorlike (header=0x164adc4f0) at alloc.c:6157
#933 0x00000001002b391a in mark_object (arg=XIL(0x164adc4f5)) at alloc.c:6566
#934 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a4f3)) at alloc.c:6628
#935 0x00000001002b3b04 in mark_object (arg=XIL(0x1d2d62b0)) at alloc.c:6585
#936 0x00000001002b5813 in mark_vectorlike (header=0x11e302c90) at alloc.c:6157
#937 0x00000001002b391a in mark_object (arg=XIL(0x11e302c95)) at alloc.c:6566
#938 0x00000001002b5813 in mark_vectorlike (header=0x11e302c60) at alloc.c:6157
#939 0x00000001002b391a in mark_object (arg=XIL(0x11e302c65)) at alloc.c:6566
#940 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c143)) at alloc.c:6628
#941 0x00000001002b3b04 in mark_object (arg=XIL(0x1cfea270)) at alloc.c:6585
#942 0x00000001002b5813 in mark_vectorlike (header=0x105ad7d20) at alloc.c:6157
#943 0x00000001002b391a in mark_object (arg=XIL(0x105ad7d25)) at alloc.c:6566
#944 0x00000001002b5813 in mark_vectorlike (header=0x105ad7cf0) at alloc.c:6157
#945 0x00000001002b391a in mark_object (arg=XIL(0x105ad7cf5)) at alloc.c:6566
#946 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a073)) at alloc.c:6628
#947 0x00000001002b3b04 in mark_object (arg=XIL(0x1d25ec70)) at alloc.c:6585
#948 0x00000001002b5813 in mark_vectorlike (header=0x164c37880) at alloc.c:6157
#949 0x00000001002b391a in mark_object (arg=XIL(0x164c37885)) at alloc.c:6566
#950 0x00000001002b5813 in mark_vectorlike (header=0x164c37850) at alloc.c:6157
#951 0x00000001002b391a in mark_object (arg=XIL(0x164c37855)) at alloc.c:6566
#952 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58363)) at alloc.c:6628
#953 0x00000001002b3b04 in mark_object (arg=XIL(0x641c4870)) at alloc.c:6585
#954 0x00000001002b5813 in mark_vectorlike (header=0x166e403a0) at alloc.c:6157
#955 0x00000001002b391a in mark_object (arg=XIL(0x166e403a5)) at alloc.c:6566
#956 0x00000001002b5813 in mark_vectorlike (header=0x166e40370) at alloc.c:6157
#957 0x00000001002b391a in mark_object (arg=XIL(0x166e40375)) at alloc.c:6566
#958 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54ea3)) at alloc.c:6628
#959 0x00000001002b3b04 in mark_object (arg=XIL(0x1d9877e0)) at alloc.c:6585
#960 0x00000001002b5813 in mark_vectorlike (header=0x11d937e60) at alloc.c:6157
#961 0x00000001002b391a in mark_object (arg=XIL(0x11d937e65)) at alloc.c:6566
#962 0x00000001002b5813 in mark_vectorlike (header=0x11d937e30) at alloc.c:6157
#963 0x00000001002b391a in mark_object (arg=XIL(0x11d937e35)) at alloc.c:6566
#964 0x00000001002b3d33 in mark_object (arg=XIL(0x164f567c3)) at alloc.c:6628
#965 0x00000001002b3b04 in mark_object (arg=XIL(0x4143100)) at alloc.c:6585
#966 0x00000001002b5813 in mark_vectorlike (header=0x11dd03030) at alloc.c:6157
#967 0x00000001002b391a in mark_object (arg=XIL(0x11dd03035)) at alloc.c:6566
#968 0x00000001002b5813 in mark_vectorlike (header=0x11dd02320) at alloc.c:6157
#969 0x00000001002b391a in mark_object (arg=XIL(0x11dd02325)) at alloc.c:6566
#970 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62943)) at alloc.c:6628
#971 0x00000001002b3b04 in mark_object (arg=XIL(0x642d1900)) at alloc.c:6585
#972 0x00000001002b5813 in mark_vectorlike (header=0x166dc5d20) at alloc.c:6157
#973 0x00000001002b391a in mark_object (arg=XIL(0x166dc5d25)) at alloc.c:6566
#974 0x00000001002b5813 in mark_vectorlike (header=0x166dc5cf0) at alloc.c:6157
#975 0x00000001002b391a in mark_object (arg=XIL(0x166dc5cf5)) at alloc.c:6566
#976 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5aaf3)) at alloc.c:6628
#977 0x00000001002b3b04 in mark_object (arg=XIL(0x3edaf50)) at alloc.c:6585
--Type <RET> for more, q to quit, c to continue without paging--
#978 0x00000001002b5813 in mark_vectorlike (header=0x11e334f60) at alloc.c:6157
#979 0x00000001002b391a in mark_object (arg=XIL(0x11e334f65)) at alloc.c:6566
#980 0x00000001002b5813 in mark_vectorlike (header=0x11e334f30) at alloc.c:6157
#981 0x00000001002b391a in mark_object (arg=XIL(0x11e334f35)) at alloc.c:6566
#982 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c753)) at alloc.c:6628
#983 0x00000001002b3b04 in mark_object (arg=XIL(0x64053e20)) at alloc.c:6585
#984 0x00000001002b5813 in mark_vectorlike (header=0x11dc80c30) at alloc.c:6157
#985 0x00000001002b391a in mark_object (arg=XIL(0x11dc80c35)) at alloc.c:6566
#986 0x00000001002b5813 in mark_vectorlike (header=0x11dc7ff20) at alloc.c:6157
#987 0x00000001002b391a in mark_object (arg=XIL(0x11dc7ff25)) at alloc.c:6566
#988 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23503)) at alloc.c:6628
#989 0x00000001002b3b04 in mark_object (arg=XIL(0x47bcb00)) at alloc.c:6585
#990 0x00000001002b5813 in mark_vectorlike (header=0x11e355e60) at alloc.c:6157
#991 0x00000001002b391a in mark_object (arg=XIL(0x11e355e65)) at alloc.c:6566
#992 0x00000001002b5813 in mark_vectorlike (header=0x11e355e30) at alloc.c:6157
#993 0x00000001002b391a in mark_object (arg=XIL(0x11e355e35)) at alloc.c:6566
#994 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c903)) at alloc.c:6628
#995 0x00000001002b3b04 in mark_object (arg=XIL(0x641ffeb0)) at alloc.c:6585
#996 0x00000001002b5813 in mark_vectorlike (header=0x11e58f890) at alloc.c:6157
#997 0x00000001002b391a in mark_object (arg=XIL(0x11e58f895)) at alloc.c:6566
#998 0x00000001002b5813 in mark_vectorlike (header=0x11e58f860) at alloc.c:6157
#999 0x00000001002b391a in mark_object (arg=XIL(0x11e58f865)) at alloc.c:6566
#1000 0x00000001002b3d33 in mark_object (arg=XIL(0x164f580f3)) at alloc.c:6628
#1001 0x00000001002b3b04 in mark_object (arg=XIL(0x661b7be0)) at alloc.c:6585
#1002 0x00000001002b5813 in mark_vectorlike (header=0x11dc4dca0)
    at alloc.c:6157
#1003 0x00000001002b391a in mark_object (arg=XIL(0x11dc4dca5)) at alloc.c:6566
#1004 0x00000001002b5813 in mark_vectorlike (header=0x11dc4dc70)
    at alloc.c:6157
#1005 0x00000001002b391a in mark_object (arg=XIL(0x11dc4dc75)) at alloc.c:6566
#1006 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c993)) at alloc.c:6628
#1007 0x00000001002b3b04 in mark_object (arg=XIL(0x1d178390)) at alloc.c:6585
#1008 0x00000001002b5813 in mark_vectorlike (header=0x166dd5e90)
    at alloc.c:6157
#1009 0x00000001002b391a in mark_object (arg=XIL(0x166dd5e95)) at alloc.c:6566
#1010 0x00000001002b5813 in mark_vectorlike (header=0x166dd5e60)
    at alloc.c:6157
#1011 0x00000001002b391a in mark_object (arg=XIL(0x166dd5e65)) at alloc.c:6566
#1012 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bad3)) at alloc.c:6628
#1013 0x00000001002b3b04 in mark_object (arg=XIL(0x6fde7b50)) at alloc.c:6585
#1014 0x00000001002b5813 in mark_vectorlike (header=0x170820580)
    at alloc.c:6157
#1015 0x00000001002b391a in mark_object (arg=XIL(0x170820585)) at alloc.c:6566
#1016 0x00000001002b5813 in mark_vectorlike (header=0x170820550)
    at alloc.c:6157
#1017 0x00000001002b391a in mark_object (arg=XIL(0x170820555)) at alloc.c:6566
#1018 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49913)) at alloc.c:6628
#1019 0x00000001002b3b04 in mark_object (arg=XIL(0x6646c4b0)) at alloc.c:6585
#1020 0x00000001002b5813 in mark_vectorlike (header=0x170820350)
--Type <RET> for more, q to quit, c to continue without paging--
    at alloc.c:6157
#1021 0x00000001002b391a in mark_object (arg=XIL(0x170820355)) at alloc.c:6566
#1022 0x00000001002b5813 in mark_vectorlike (header=0x170820320)
    at alloc.c:6157
#1023 0x00000001002b391a in mark_object (arg=XIL(0x170820325)) at alloc.c:6566
#1024 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49923)) at alloc.c:6628
#1025 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdcdbe0)) at alloc.c:6585
#1026 0x00000001002b5813 in mark_vectorlike (header=0x11e3a2de0)
    at alloc.c:6157
#1027 0x00000001002b391a in mark_object (arg=XIL(0x11e3a2de5)) at alloc.c:6566
#1028 0x00000001002b5813 in mark_vectorlike (header=0x11e3a2db0)
    at alloc.c:6157
#1029 0x00000001002b391a in mark_object (arg=XIL(0x11e3a2db5)) at alloc.c:6566
#1030 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a803)) at alloc.c:6628
#1031 0x00000001002b3b04 in mark_object (arg=XIL(0x1d807620)) at alloc.c:6585
#1032 0x00000001002b5813 in mark_vectorlike (header=0x166e28da0)
    at alloc.c:6157
#1033 0x00000001002b391a in mark_object (arg=XIL(0x166e28da5)) at alloc.c:6566
#1034 0x00000001002b5813 in mark_vectorlike (header=0x166e28d70)
    at alloc.c:6157
#1035 0x00000001002b391a in mark_object (arg=XIL(0x166e28d75)) at alloc.c:6566
#1036 0x00000001002b3d33 in mark_object (arg=XIL(0x164f553b3)) at alloc.c:6628
#1037 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdc9350)) at alloc.c:6585
#1038 0x00000001002b5813 in mark_vectorlike (header=0x170801ce0)
    at alloc.c:6157
#1039 0x00000001002b391a in mark_object (arg=XIL(0x170801ce5)) at alloc.c:6566
#1040 0x00000001002b5813 in mark_vectorlike (header=0x170801cb0)
    at alloc.c:6157
#1041 0x00000001002b391a in mark_object (arg=XIL(0x170801cb5)) at alloc.c:6566
#1042 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4b773)) at alloc.c:6628
#1043 0x00000001002b3b04 in mark_object (arg=XIL(0x423dc70)) at alloc.c:6585
#1044 0x00000001002b5813 in mark_vectorlike (header=0x164ae7e30)
    at alloc.c:6157
#1045 0x00000001002b391a in mark_object (arg=XIL(0x164ae7e35)) at alloc.c:6566
#1046 0x00000001002b5813 in mark_vectorlike (header=0x164adc720)
    at alloc.c:6157
#1047 0x00000001002b391a in mark_object (arg=XIL(0x164adc725)) at alloc.c:6566
#1048 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a4e3)) at alloc.c:6628
#1049 0x00000001002b3b04 in mark_object (arg=XIL(0x641e72b0)) at alloc.c:6585
#1050 0x00000001002b5813 in mark_vectorlike (header=0x104c53f20)
    at alloc.c:6157
#1051 0x00000001002b391a in mark_object (arg=XIL(0x104c53f25)) at alloc.c:6566
#1052 0x00000001002b5813 in mark_vectorlike (header=0x104c53ef0)
    at alloc.c:6157
#1053 0x00000001002b391a in mark_object (arg=XIL(0x104c53ef5)) at alloc.c:6566
#1054 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cfd3)) at alloc.c:6628
#1055 0x00000001002b3b04 in mark_object (arg=XIL(0x6f19550)) at alloc.c:6585
#1056 0x00000001002b5813 in mark_vectorlike (header=0x11dc48cf0)
    at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#1057 0x00000001002b391a in mark_object (arg=XIL(0x11dc48cf5)) at alloc.c:6566
#1058 0x00000001002b5813 in mark_vectorlike (header=0x11dc48cc0)
    at alloc.c:6157
#1059 0x00000001002b391a in mark_object (arg=XIL(0x11dc48cc5)) at alloc.c:6566
#1060 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c213)) at alloc.c:6628
#1061 0x00000001002b3b04 in mark_object (arg=XIL(0x506f590)) at alloc.c:6585
#1062 0x00000001002b5813 in mark_vectorlike (header=0x10591aa60)
    at alloc.c:6157
#1063 0x00000001002b391a in mark_object (arg=XIL(0x10591aa65)) at alloc.c:6566
#1064 0x00000001002b5813 in mark_vectorlike (header=0x10591aa30)
    at alloc.c:6157
#1065 0x00000001002b391a in mark_object (arg=XIL(0x10591aa35)) at alloc.c:6566
#1066 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a133)) at alloc.c:6628
#1067 0x00000001002b3b04 in mark_object (arg=XIL(0x1d659590)) at alloc.c:6585
#1068 0x00000001002b5813 in mark_vectorlike (header=0x11da2ad20)
    at alloc.c:6157
#1069 0x00000001002b391a in mark_object (arg=XIL(0x11da2ad25)) at alloc.c:6566
#1070 0x00000001002b5813 in mark_vectorlike (header=0x11da2acf0)
    at alloc.c:6157
#1071 0x00000001002b391a in mark_object (arg=XIL(0x11da2acf5)) at alloc.c:6566
#1072 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a663)) at alloc.c:6628
#1073 0x00000001002b3b04 in mark_object (arg=XIL(0x63ea2c40)) at alloc.c:6585
#1074 0x00000001002b5813 in mark_vectorlike (header=0x104b53e50)
    at alloc.c:6157
#1075 0x00000001002b391a in mark_object (arg=XIL(0x104b53e55)) at alloc.c:6566
#1076 0x00000001002b5813 in mark_vectorlike (header=0x104cec350)
    at alloc.c:6157
#1077 0x00000001002b391a in mark_object (arg=XIL(0x104cec355)) at alloc.c:6566
#1078 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bd53)) at alloc.c:6628
#1079 0x00000001002b3b04 in mark_object (arg=XIL(0x1d885d90)) at alloc.c:6585
#1080 0x00000001002b5813 in mark_vectorlike (header=0x11dd1ce90)
    at alloc.c:6157
#1081 0x00000001002b391a in mark_object (arg=XIL(0x11dd1ce95)) at alloc.c:6566
#1082 0x00000001002b5813 in mark_vectorlike (header=0x11dd1ce60)
    at alloc.c:6157
#1083 0x00000001002b391a in mark_object (arg=XIL(0x11dd1ce65)) at alloc.c:6566
#1084 0x00000001002b3d33 in mark_object (arg=XIL(0x164f574b3)) at alloc.c:6628
#1085 0x00000001002b3b04 in mark_object (arg=XIL(0x417fe70)) at alloc.c:6585
#1086 0x00000001002b5813 in mark_vectorlike (header=0x10792bb20)
    at alloc.c:6157
#1087 0x00000001002b391a in mark_object (arg=XIL(0x10792bb25)) at alloc.c:6566
#1088 0x00000001002b5813 in mark_vectorlike (header=0x10792baf0)
    at alloc.c:6157
#1089 0x00000001002b391a in mark_object (arg=XIL(0x10792baf5)) at alloc.c:6566
#1090 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64fb3)) at alloc.c:6628
#1091 0x00000001002b3b04 in mark_object (arg=XIL(0x417ff90)) at alloc.c:6585
#1092 0x00000001002b5813 in mark_vectorlike (header=0x10792cbe0)
    at alloc.c:6157
#1093 0x00000001002b391a in mark_object (arg=XIL(0x10792cbe5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#1094 0x00000001002b5813 in mark_vectorlike (header=0x10792cbb0)
    at alloc.c:6157
#1095 0x00000001002b391a in mark_object (arg=XIL(0x10792cbb5)) at alloc.c:6566
#1096 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64f93)) at alloc.c:6628
#1097 0x00000001002b3b04 in mark_object (arg=XIL(0x417ff00)) at alloc.c:6585
#1098 0x00000001002b5813 in mark_vectorlike (header=0x10792ca30)
    at alloc.c:6157
#1099 0x00000001002b391a in mark_object (arg=XIL(0x10792ca35)) at alloc.c:6566
#1100 0x00000001002b5813 in mark_vectorlike (header=0x10792bd20)
    at alloc.c:6157
#1101 0x00000001002b391a in mark_object (arg=XIL(0x10792bd25)) at alloc.c:6566
#1102 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64fa3)) at alloc.c:6628
#1103 0x00000001002b3b04 in mark_object (arg=XIL(0x63e48d00)) at alloc.c:6585
#1104 0x00000001002b5813 in mark_vectorlike (header=0x11e2e7c30)
    at alloc.c:6157
#1105 0x00000001002b391a in mark_object (arg=XIL(0x11e2e7c35)) at alloc.c:6566
#1106 0x00000001002b5813 in mark_vectorlike (header=0x104c46260)
    at alloc.c:6157
#1107 0x00000001002b391a in mark_object (arg=XIL(0x104c46265)) at alloc.c:6566
#1108 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c5c3)) at alloc.c:6628
#1109 0x00000001002b3b04 in mark_object (arg=XIL(0x642fdd00)) at alloc.c:6585
#1110 0x00000001002b5813 in mark_vectorlike (header=0x107a82f20)
    at alloc.c:6157
#1111 0x00000001002b391a in mark_object (arg=XIL(0x107a82f25)) at alloc.c:6566
#1112 0x00000001002b5813 in mark_vectorlike (header=0x107a82ef0)
    at alloc.c:6157
#1113 0x00000001002b391a in mark_object (arg=XIL(0x107a82ef5)) at alloc.c:6566
#1114 0x00000001002b3d33 in mark_object (arg=XIL(0x164f568f3)) at alloc.c:6628
#1115 0x00000001002b3b04 in mark_object (arg=XIL(0x642fdd90)) at alloc.c:6585
#1116 0x00000001002b5813 in mark_vectorlike (header=0x107a83da0)
    at alloc.c:6157
#1117 0x00000001002b391a in mark_object (arg=XIL(0x107a83da5)) at alloc.c:6566
#1118 0x00000001002b5813 in mark_vectorlike (header=0x107a83d70)
    at alloc.c:6157
#1119 0x00000001002b391a in mark_object (arg=XIL(0x107a83d75)) at alloc.c:6566
#1120 0x00000001002b3d33 in mark_object (arg=XIL(0x164f568e3)) at alloc.c:6628
#1121 0x00000001002b3b04 in mark_object (arg=XIL(0x65e22220)) at alloc.c:6585
#1122 0x00000001002b5813 in mark_vectorlike (header=0x16487dda0)
    at alloc.c:6157
#1123 0x00000001002b391a in mark_object (arg=XIL(0x16487dda5)) at alloc.c:6566
#1124 0x00000001002b5813 in mark_vectorlike (header=0x16487dd70)
    at alloc.c:6157
#1125 0x00000001002b391a in mark_object (arg=XIL(0x16487dd75)) at alloc.c:6566
#1126 0x00000001002b3d33 in mark_object (arg=XIL(0x164f576d3)) at alloc.c:6628
#1127 0x00000001002b3b04 in mark_object (arg=XIL(0x1d2b5350)) at alloc.c:6585
#1128 0x00000001002b5813 in mark_vectorlike (header=0x105965060)
    at alloc.c:6157
#1129 0x00000001002b391a in mark_object (arg=XIL(0x105965065)) at alloc.c:6566
#1130 0x00000001002b5813 in mark_vectorlike (header=0x105965030)
--Type <RET> for more, q to quit, c to continue without paging--
    at alloc.c:6157
#1131 0x00000001002b391a in mark_object (arg=XIL(0x105965035)) at alloc.c:6566
#1132 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64da3)) at alloc.c:6628
#1133 0x00000001002b3b04 in mark_object (arg=XIL(0x4375c70)) at alloc.c:6585
#1134 0x00000001002b5813 in mark_vectorlike (header=0x11dd56e90)
    at alloc.c:6157
#1135 0x00000001002b391a in mark_object (arg=XIL(0x11dd56e95)) at alloc.c:6566
#1136 0x00000001002b5813 in mark_vectorlike (header=0x11dd56e60)
    at alloc.c:6157
#1137 0x00000001002b391a in mark_object (arg=XIL(0x11dd56e65)) at alloc.c:6566
#1138 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64ed3)) at alloc.c:6628
#1139 0x00000001002b3b04 in mark_object (arg=XIL(0x3f9a870)) at alloc.c:6585
#1140 0x00000001002b5813 in mark_vectorlike (header=0x10592ed20)
    at alloc.c:6157
#1141 0x00000001002b391a in mark_object (arg=XIL(0x10592ed25)) at alloc.c:6566
#1142 0x00000001002b5813 in mark_vectorlike (header=0x10592ecf0)
    at alloc.c:6157
#1143 0x00000001002b391a in mark_object (arg=XIL(0x10592ecf5)) at alloc.c:6566
#1144 0x00000001002b3d33 in mark_object (arg=XIL(0x170c61c23)) at alloc.c:6628
#1145 0x00000001002b3b04 in mark_object (arg=XIL(0x1d80a150)) at alloc.c:6585
#1146 0x00000001002b5813 in mark_vectorlike (header=0x11dd4cde0)
    at alloc.c:6157
#1147 0x00000001002b391a in mark_object (arg=XIL(0x11dd4cde5)) at alloc.c:6566
#1148 0x00000001002b5813 in mark_vectorlike (header=0x11dd4cdb0)
    at alloc.c:6157
#1149 0x00000001002b391a in mark_object (arg=XIL(0x11dd4cdb5)) at alloc.c:6566
#1150 0x00000001002b3d33 in mark_object (arg=XIL(0x170c639c3)) at alloc.c:6628
#1151 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77dfe0)) at alloc.c:6585
#1152 0x00000001002b5813 in mark_vectorlike (header=0x107a7dda0)
    at alloc.c:6157
#1153 0x00000001002b391a in mark_object (arg=XIL(0x107a7dda5)) at alloc.c:6566
#1154 0x00000001002b5813 in mark_vectorlike (header=0x107a7dd70)
    at alloc.c:6157
#1155 0x00000001002b391a in mark_object (arg=XIL(0x107a7dd75)) at alloc.c:6566
#1156 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56983)) at alloc.c:6628
#1157 0x00000001002b3b04 in mark_object (arg=XIL(0x660ea500)) at alloc.c:6585
#1158 0x00000001002b5813 in mark_vectorlike (header=0x107a58520)
    at alloc.c:6157
#1159 0x00000001002b391a in mark_object (arg=XIL(0x107a58525)) at alloc.c:6566
#1160 0x00000001002b5813 in mark_vectorlike (header=0x107a584f0)
    at alloc.c:6157
#1161 0x00000001002b391a in mark_object (arg=XIL(0x107a584f5)) at alloc.c:6566
#1162 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56573)) at alloc.c:6628
#1163 0x00000001002b3b04 in mark_object (arg=XIL(0x1d829fe0)) at alloc.c:6585
#1164 0x00000001002b5813 in mark_vectorlike (header=0x166d5a720)
    at alloc.c:6157
#1165 0x00000001002b391a in mark_object (arg=XIL(0x166d5a725)) at alloc.c:6566
#1166 0x00000001002b5813 in mark_vectorlike (header=0x166d5a6f0)
    at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#1167 0x00000001002b391a in mark_object (arg=XIL(0x166d5a6f5)) at alloc.c:6566
#1168 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cae3)) at alloc.c:6628
#1169 0x00000001002b3b04 in mark_object (arg=XIL(0x4375d00)) at alloc.c:6585
#1170 0x00000001002b5813 in mark_vectorlike (header=0x11dd57d20)
    at alloc.c:6157
#1171 0x00000001002b391a in mark_object (arg=XIL(0x11dd57d25)) at alloc.c:6566
#1172 0x00000001002b5813 in mark_vectorlike (header=0x11dd57cf0)
    at alloc.c:6157
#1173 0x00000001002b391a in mark_object (arg=XIL(0x11dd57cf5)) at alloc.c:6566
#1174 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64ec3)) at alloc.c:6628
#1175 0x00000001002b3b04 in mark_object (arg=XIL(0x660ea590)) at alloc.c:6585
#1176 0x00000001002b5813 in mark_vectorlike (header=0x107a593a0)
    at alloc.c:6157
#1177 0x00000001002b391a in mark_object (arg=XIL(0x107a593a5)) at alloc.c:6566
#1178 0x00000001002b5813 in mark_vectorlike (header=0x107a59370)
    at alloc.c:6157
#1179 0x00000001002b391a in mark_object (arg=XIL(0x107a59375)) at alloc.c:6566
#1180 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56563)) at alloc.c:6628
#1181 0x00000001002b3b04 in mark_object (arg=XIL(0x6edceb0)) at alloc.c:6585
#1182 0x00000001002b5813 in mark_vectorlike (header=0x11d805880)
    at alloc.c:6157
#1183 0x00000001002b391a in mark_object (arg=XIL(0x11d805885)) at alloc.c:6566
#1184 0x00000001002b5813 in mark_vectorlike (header=0x11d805850)
    at alloc.c:6157
#1185 0x00000001002b391a in mark_object (arg=XIL(0x11d805855)) at alloc.c:6566
#1186 0x00000001002b3d33 in mark_object (arg=XIL(0x170c48c03)) at alloc.c:6628
#1187 0x00000001002b3b04 in mark_object (arg=XIL(0x486fcb0)) at alloc.c:6585
#1188 0x00000001002b5813 in mark_vectorlike (header=0x11dc5ccf0)
    at alloc.c:6157
#1189 0x00000001002b391a in mark_object (arg=XIL(0x11dc5ccf5)) at alloc.c:6566
#1190 0x00000001002b5813 in mark_vectorlike (header=0x11dc5ccc0)
    at alloc.c:6157
#1191 0x00000001002b391a in mark_object (arg=XIL(0x11dc5ccc5)) at alloc.c:6566
#1192 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54683)) at alloc.c:6628
#1193 0x00000001002b3b04 in mark_object (arg=XIL(0x1d0c89f0)) at alloc.c:6585
#1194 0x00000001002b5813 in mark_vectorlike (header=0x1058ed000)
    at alloc.c:6157
#1195 0x00000001002b391a in mark_object (arg=XIL(0x1058ed005)) at alloc.c:6566
#1196 0x00000001002b5813 in mark_vectorlike (header=0x11dcf83c0)
    at alloc.c:6157
#1197 0x00000001002b391a in mark_object (arg=XIL(0x11dcf83c5)) at alloc.c:6566
#1198 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bc33)) at alloc.c:6628
#1199 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdc9f50)) at alloc.c:6585
#1200 0x00000001002b5813 in mark_vectorlike (header=0x105ac3520)
    at alloc.c:6157
#1201 0x00000001002b391a in mark_object (arg=XIL(0x105ac3525)) at alloc.c:6566
#1202 0x00000001002b5813 in mark_vectorlike (header=0x105ac34f0)
    at alloc.c:6157
#1203 0x00000001002b391a in mark_object (arg=XIL(0x105ac34f5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#1204 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4b463)) at alloc.c:6628
#1205 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdc9fe0)) at alloc.c:6585
#1206 0x00000001002b5813 in mark_vectorlike (header=0x105ac3750)
    at alloc.c:6157
#1207 0x00000001002b391a in mark_object (arg=XIL(0x105ac3755)) at alloc.c:6566
#1208 0x00000001002b5813 in mark_vectorlike (header=0x105ac3720)
    at alloc.c:6157
#1209 0x00000001002b391a in mark_object (arg=XIL(0x105ac3725)) at alloc.c:6566
#1210 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4b453)) at alloc.c:6628
#1211 0x00000001002b3b04 in mark_object (arg=XIL(0x1d43ab90)) at alloc.c:6585
#1212 0x00000001002b5813 in mark_vectorlike (header=0x10590ef20)
    at alloc.c:6157
#1213 0x00000001002b391a in mark_object (arg=XIL(0x10590ef25)) at alloc.c:6566
#1214 0x00000001002b5813 in mark_vectorlike (header=0x10590eef0)
    at alloc.c:6157
#1215 0x00000001002b391a in mark_object (arg=XIL(0x10590eef5)) at alloc.c:6566
#1216 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c243)) at alloc.c:6628
#1217 0x00000001002b3b04 in mark_object (arg=XIL(0x1ceabab0)) at alloc.c:6585
#1218 0x00000001002b5813 in mark_vectorlike (header=0x11e098450)
    at alloc.c:6157
#1219 0x00000001002b391a in mark_object (arg=XIL(0x11e098455)) at alloc.c:6566
#1220 0x00000001002b5813 in mark_vectorlike (header=0x11e098420)
    at alloc.c:6157
#1221 0x00000001002b391a in mark_object (arg=XIL(0x11e098425)) at alloc.c:6566
#1222 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5ca23)) at alloc.c:6628
#1223 0x00000001002b3b04 in mark_object (arg=XIL(0x6fde7eb0)) at alloc.c:6585
#1224 0x00000001002b5813 in mark_vectorlike (header=0x11e40cab0)
    at alloc.c:6157
#1225 0x00000001002b391a in mark_object (arg=XIL(0x11e40cab5)) at alloc.c:6566
#1226 0x00000001002b5813 in mark_vectorlike (header=0x11e40ca80)
    at alloc.c:6157
#1227 0x00000001002b391a in mark_object (arg=XIL(0x11e40ca85)) at alloc.c:6566
#1228 0x00000001002b3d33 in mark_object (arg=XIL(0x170c498b3)) at alloc.c:6628
#1229 0x00000001002b3b04 in mark_object (arg=XIL(0x40e6c70)) at alloc.c:6585
#1230 0x00000001002b5813 in mark_vectorlike (header=0x11dcebde0)
    at alloc.c:6157
#1231 0x00000001002b391a in mark_object (arg=XIL(0x11dcebde5)) at alloc.c:6566
#1232 0x00000001002b5813 in mark_vectorlike (header=0x11dcebdb0)
    at alloc.c:6157
#1233 0x00000001002b391a in mark_object (arg=XIL(0x11dcebdb5)) at alloc.c:6566
#1234 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62b13)) at alloc.c:6628
#1235 0x00000001002b3b04 in mark_object (arg=XIL(0x66395f50)) at alloc.c:6585
#1236 0x00000001002b5813 in mark_vectorlike (header=0x11e309d20)
    at alloc.c:6157
#1237 0x00000001002b391a in mark_object (arg=XIL(0x11e309d25)) at alloc.c:6566
#1238 0x00000001002b5813 in mark_vectorlike (header=0x11e309cf0)
    at alloc.c:6157
#1239 0x00000001002b391a in mark_object (arg=XIL(0x11e309cf5)) at alloc.c:6566
#1240 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c0c3)) at alloc.c:6628
--Type <RET> for more, q to quit, c to continue without paging--
#1241 0x00000001002b3b04 in mark_object (arg=XIL(0x3fe1420)) at alloc.c:6585
#1242 0x00000001002b5813 in mark_vectorlike (header=0x10597e060)
    at alloc.c:6157
#1243 0x00000001002b391a in mark_object (arg=XIL(0x10597e065)) at alloc.c:6566
#1244 0x00000001002b5813 in mark_vectorlike (header=0x10597e030)
    at alloc.c:6157
#1245 0x00000001002b391a in mark_object (arg=XIL(0x10597e035)) at alloc.c:6566
#1246 0x00000001002b3d33 in mark_object (arg=XIL(0x170c59ef3)) at alloc.c:6628
#1247 0x00000001002b3b04 in mark_object (arg=XIL(0x1d82a100)) at alloc.c:6585
#1248 0x00000001002b5813 in mark_vectorlike (header=0x164bc4630)
    at alloc.c:6157
#1249 0x00000001002b391a in mark_object (arg=XIL(0x164bc4635)) at alloc.c:6566
#1250 0x00000001002b5813 in mark_vectorlike (header=0x164bc4600)
    at alloc.c:6157
#1251 0x00000001002b391a in mark_object (arg=XIL(0x164bc4605)) at alloc.c:6566
#1252 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cac3)) at alloc.c:6628
#1253 0x00000001002b3b04 in mark_object (arg=XIL(0x1d646100)) at alloc.c:6585
#1254 0x00000001002b5813 in mark_vectorlike (header=0x11dce4c30)
    at alloc.c:6157
#1255 0x00000001002b391a in mark_object (arg=XIL(0x11dce4c35)) at alloc.c:6566
#1256 0x00000001002b5813 in mark_vectorlike (header=0x11dce3f20)
    at alloc.c:6157
#1257 0x00000001002b391a in mark_object (arg=XIL(0x11dce3f25)) at alloc.c:6566
#1258 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62b73)) at alloc.c:6628
#1259 0x00000001002b3b04 in mark_object (arg=XIL(0x66571900)) at alloc.c:6585
#1260 0x00000001002b5813 in mark_vectorlike (header=0x166d1e860)
    at alloc.c:6157
#1261 0x00000001002b391a in mark_object (arg=XIL(0x166d1e865)) at alloc.c:6566
#1262 0x00000001002b5813 in mark_vectorlike (header=0x166d1e830)
    at alloc.c:6157
#1263 0x00000001002b391a in mark_object (arg=XIL(0x166d1e835)) at alloc.c:6566
#1264 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5ab63)) at alloc.c:6628
#1265 0x00000001002b3b04 in mark_object (arg=XIL(0x6fde7d00)) at alloc.c:6585
#1266 0x00000001002b5813 in mark_vectorlike (header=0x11e40c420)
    at alloc.c:6157
#1267 0x00000001002b391a in mark_object (arg=XIL(0x11e40c425)) at alloc.c:6566
#1268 0x00000001002b5813 in mark_vectorlike (header=0x11e40c3f0)
    at alloc.c:6157
#1269 0x00000001002b391a in mark_object (arg=XIL(0x11e40c3f5)) at alloc.c:6566
#1270 0x00000001002b3d33 in mark_object (arg=XIL(0x170c498e3)) at alloc.c:6628
#1271 0x00000001002b3b04 in mark_object (arg=XIL(0x4143190)) at alloc.c:6585
#1272 0x00000001002b5813 in mark_vectorlike (header=0x11dd031e0)
    at alloc.c:6157
#1273 0x00000001002b391a in mark_object (arg=XIL(0x11dd031e5)) at alloc.c:6566
#1274 0x00000001002b5813 in mark_vectorlike (header=0x11dd031b0)
    at alloc.c:6157
#1275 0x00000001002b391a in mark_object (arg=XIL(0x11dd031b5)) at alloc.c:6566
#1276 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62933)) at alloc.c:6628
#1277 0x00000001002b3b04 in mark_object (arg=XIL(0x641fffe0)) at alloc.c:6585
--Type <RET> for more, q to quit, c to continue without paging--
#1278 0x00000001002b5813 in mark_vectorlike (header=0x11dd3c890)
    at alloc.c:6157
#1279 0x00000001002b391a in mark_object (arg=XIL(0x11dd3c895)) at alloc.c:6566
#1280 0x00000001002b5813 in mark_vectorlike (header=0x11dd3c860)
    at alloc.c:6157
#1281 0x00000001002b391a in mark_object (arg=XIL(0x11dd3c865)) at alloc.c:6566
#1282 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62f13)) at alloc.c:6628
#1283 0x00000001002b3b04 in mark_object (arg=XIL(0x1d659620)) at alloc.c:6585
#1284 0x00000001002b5813 in mark_vectorlike (header=0x11d95ec30)
    at alloc.c:6157
#1285 0x00000001002b391a in mark_object (arg=XIL(0x11d95ec35)) at alloc.c:6566
#1286 0x00000001002b5813 in mark_vectorlike (header=0x11da2af20)
    at alloc.c:6157
#1287 0x00000001002b391a in mark_object (arg=XIL(0x11da2af25)) at alloc.c:6566
#1288 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a653)) at alloc.c:6628
#1289 0x00000001002b3b04 in mark_object (arg=XIL(0x1d813190)) at alloc.c:6585
#1290 0x00000001002b5813 in mark_vectorlike (header=0x11e24b520)
    at alloc.c:6157
#1291 0x00000001002b391a in mark_object (arg=XIL(0x11e24b525)) at alloc.c:6566
#1292 0x00000001002b5813 in mark_vectorlike (header=0x11e24b4f0)
    at alloc.c:6157
#1293 0x00000001002b391a in mark_object (arg=XIL(0x11e24b4f5)) at alloc.c:6566
#1294 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49b03)) at alloc.c:6628
#1295 0x00000001002b3b04 in mark_object (arg=XIL(0x4375be0)) at alloc.c:6585
#1296 0x00000001002b5813 in mark_vectorlike (header=0x11dd56c60)
    at alloc.c:6157
#1297 0x00000001002b391a in mark_object (arg=XIL(0x11dd56c65)) at alloc.c:6566
#1298 0x00000001002b5813 in mark_vectorlike (header=0x11dd56c30)
    at alloc.c:6157
#1299 0x00000001002b391a in mark_object (arg=XIL(0x11dd56c35)) at alloc.c:6566
#1300 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64ee3)) at alloc.c:6628
#1301 0x00000001002b3b04 in mark_object (arg=XIL(0x66212670)) at alloc.c:6585
#1302 0x00000001002b5813 in mark_vectorlike (header=0x104a3de30)
    at alloc.c:6157
#1303 0x00000001002b391a in mark_object (arg=XIL(0x104a3de35)) at alloc.c:6566
#1304 0x00000001002b5813 in mark_vectorlike (header=0x104bdffa0)
    at alloc.c:6157
#1305 0x00000001002b391a in mark_object (arg=XIL(0x104bdffa5)) at alloc.c:6566
#1306 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cec3)) at alloc.c:6628
#1307 0x00000001002b3b04 in mark_object (arg=XIL(0x66212700)) at alloc.c:6585
#1308 0x00000001002b5813 in mark_vectorlike (header=0x104a3e060)
    at alloc.c:6157
#1309 0x00000001002b391a in mark_object (arg=XIL(0x104a3e065)) at alloc.c:6566
#1310 0x00000001002b5813 in mark_vectorlike (header=0x104a3e030)
    at alloc.c:6157
#1311 0x00000001002b391a in mark_object (arg=XIL(0x104a3e035)) at alloc.c:6566
#1312 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5ceb3)) at alloc.c:6628
#1313 0x00000001002b3b04 in mark_object (arg=XIL(0x661b7c70)) at alloc.c:6585
#1314 0x00000001002b5813 in mark_vectorlike (header=0x11dc4ded0)
--Type <RET> for more, q to quit, c to continue without paging--
    at alloc.c:6157
#1315 0x00000001002b391a in mark_object (arg=XIL(0x11dc4ded5)) at alloc.c:6566
#1316 0x00000001002b5813 in mark_vectorlike (header=0x11dc4dea0)
    at alloc.c:6157
#1317 0x00000001002b391a in mark_object (arg=XIL(0x11dc4dea5)) at alloc.c:6566
#1318 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c983)) at alloc.c:6628
#1319 0x00000001002b3b04 in mark_object (arg=XIL(0x6630eb50)) at alloc.c:6585
#1320 0x00000001002b5813 in mark_vectorlike (header=0x104b370f0)
    at alloc.c:6157
#1321 0x00000001002b391a in mark_object (arg=XIL(0x104b370f5)) at alloc.c:6566
#1322 0x00000001002b5813 in mark_vectorlike (header=0x104b370c0)
    at alloc.c:6157
#1323 0x00000001002b391a in mark_object (arg=XIL(0x104b370c5)) at alloc.c:6566
#1324 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5ce13)) at alloc.c:6628
#1325 0x00000001002b3b04 in mark_object (arg=XIL(0x6630ebe0)) at alloc.c:6585
#1326 0x00000001002b5813 in mark_vectorlike (header=0x104b37320)
    at alloc.c:6157
#1327 0x00000001002b391a in mark_object (arg=XIL(0x104b37325)) at alloc.c:6566
#1328 0x00000001002b5813 in mark_vectorlike (header=0x104b372f0)
    at alloc.c:6157
#1329 0x00000001002b391a in mark_object (arg=XIL(0x104b372f5)) at alloc.c:6566
#1330 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5ce03)) at alloc.c:6628
#1331 0x00000001002b3b04 in mark_object (arg=XIL(0x6630ec70)) at alloc.c:6585
#1332 0x00000001002b5813 in mark_vectorlike (header=0x104b13ba0)
    at alloc.c:6157
#1333 0x00000001002b391a in mark_object (arg=XIL(0x104b13ba5)) at alloc.c:6566
#1334 0x00000001002b5813 in mark_vectorlike (header=0x104b13b70)
    at alloc.c:6157
#1335 0x00000001002b391a in mark_object (arg=XIL(0x104b13b75)) at alloc.c:6566
#1336 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cdf3)) at alloc.c:6628
#1337 0x00000001002b3b04 in mark_object (arg=XIL(0x6630ed00)) at alloc.c:6585
#1338 0x00000001002b5813 in mark_vectorlike (header=0x104b9b630)
    at alloc.c:6157
#1339 0x00000001002b391a in mark_object (arg=XIL(0x104b9b635)) at alloc.c:6566
#1340 0x00000001002b5813 in mark_vectorlike (header=0x104b13da0)
    at alloc.c:6157
#1341 0x00000001002b391a in mark_object (arg=XIL(0x104b13da5)) at alloc.c:6566
#1342 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cde3)) at alloc.c:6628
#1343 0x00000001002b3b04 in mark_object (arg=XIL(0x6630ed90)) at alloc.c:6585
#1344 0x00000001002b5813 in mark_vectorlike (header=0x104b9b860)
    at alloc.c:6157
#1345 0x00000001002b391a in mark_object (arg=XIL(0x104b9b865)) at alloc.c:6566
#1346 0x00000001002b5813 in mark_vectorlike (header=0x104b9b830)
    at alloc.c:6157
#1347 0x00000001002b391a in mark_object (arg=XIL(0x104b9b835)) at alloc.c:6566
#1348 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cdd3)) at alloc.c:6628
#1349 0x00000001002b3b04 in mark_object (arg=XIL(0x64092270)) at alloc.c:6585
#1350 0x00000001002b5813 in mark_vectorlike (header=0x11e40e060)
    at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#1351 0x00000001002b391a in mark_object (arg=XIL(0x11e40e065)) at alloc.c:6566
#1352 0x00000001002b5813 in mark_vectorlike (header=0x11e40e030)
    at alloc.c:6157
#1353 0x00000001002b391a in mark_object (arg=XIL(0x11e40e035)) at alloc.c:6566
#1354 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49f83)) at alloc.c:6628
#1355 0x00000001002b3b04 in mark_object (arg=XIL(0x64092300)) at alloc.c:6585
#1356 0x00000001002b5813 in mark_vectorlike (header=0x11e40e290)
    at alloc.c:6157
#1357 0x00000001002b391a in mark_object (arg=XIL(0x11e40e295)) at alloc.c:6566
#1358 0x00000001002b5813 in mark_vectorlike (header=0x11e40e260)
    at alloc.c:6157
#1359 0x00000001002b391a in mark_object (arg=XIL(0x11e40e265)) at alloc.c:6566
#1360 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49f73)) at alloc.c:6628
#1361 0x00000001002b3b04 in mark_object (arg=XIL(0x64092390)) at alloc.c:6585
#1362 0x00000001002b5813 in mark_vectorlike (header=0x11e40e4c0)
    at alloc.c:6157
#1363 0x00000001002b391a in mark_object (arg=XIL(0x11e40e4c5)) at alloc.c:6566
#1364 0x00000001002b5813 in mark_vectorlike (header=0x11e40e490)
    at alloc.c:6157
#1365 0x00000001002b391a in mark_object (arg=XIL(0x11e40e495)) at alloc.c:6566
#1366 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49f63)) at alloc.c:6628
#1367 0x00000001002b3b04 in mark_object (arg=XIL(0x64092420)) at alloc.c:6585
#1368 0x00000001002b5813 in mark_vectorlike (header=0x11e40e6f0)
    at alloc.c:6157
#1369 0x00000001002b391a in mark_object (arg=XIL(0x11e40e6f5)) at alloc.c:6566
#1370 0x00000001002b5813 in mark_vectorlike (header=0x11e40e6c0)
    at alloc.c:6157
#1371 0x00000001002b391a in mark_object (arg=XIL(0x11e40e6c5)) at alloc.c:6566
#1372 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49f53)) at alloc.c:6628
#1373 0x00000001002b3b04 in mark_object (arg=XIL(0x474e820)) at alloc.c:6585
#1374 0x00000001002b5813 in mark_vectorlike (header=0x164c00cf0)
    at alloc.c:6157
#1375 0x00000001002b391a in mark_object (arg=XIL(0x164c00cf5)) at alloc.c:6566
#1376 0x00000001002b5813 in mark_vectorlike (header=0x164c00cc0)
    at alloc.c:6157
#1377 0x00000001002b391a in mark_object (arg=XIL(0x164c00cc5)) at alloc.c:6566
#1378 0x00000001002b3d33 in mark_object (arg=XIL(0x164f557a3)) at alloc.c:6628
#1379 0x00000001002b3b04 in mark_object (arg=XIL(0x640924b0)) at alloc.c:6585
#1380 0x00000001002b5813 in mark_vectorlike (header=0x11e40e920)
    at alloc.c:6157
#1381 0x00000001002b391a in mark_object (arg=XIL(0x11e40e925)) at alloc.c:6566
#1382 0x00000001002b5813 in mark_vectorlike (header=0x11e40e8f0)
    at alloc.c:6157
#1383 0x00000001002b391a in mark_object (arg=XIL(0x11e40e8f5)) at alloc.c:6566
#1384 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49f43)) at alloc.c:6628
#1385 0x00000001002b3b04 in mark_object (arg=XIL(0x1d987b50)) at alloc.c:6585
#1386 0x00000001002b5813 in mark_vectorlike (header=0x11e40eb50)
    at alloc.c:6157
#1387 0x00000001002b391a in mark_object (arg=XIL(0x11e40eb55)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#1388 0x00000001002b5813 in mark_vectorlike (header=0x11e40eb20)
    at alloc.c:6157
#1389 0x00000001002b391a in mark_object (arg=XIL(0x11e40eb25)) at alloc.c:6566
#1390 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49f33)) at alloc.c:6628
#1391 0x00000001002b3b04 in mark_object (arg=XIL(0x1d987be0)) at alloc.c:6585
#1392 0x00000001002b5813 in mark_vectorlike (header=0x11e40ed80)
    at alloc.c:6157
#1393 0x00000001002b391a in mark_object (arg=XIL(0x11e40ed85)) at alloc.c:6566
#1394 0x00000001002b5813 in mark_vectorlike (header=0x11e40ed50)
    at alloc.c:6157
#1395 0x00000001002b391a in mark_object (arg=XIL(0x11e40ed55)) at alloc.c:6566
#1396 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49f23)) at alloc.c:6628
#1397 0x00000001002b3b04 in mark_object (arg=XIL(0x1d987c70)) at alloc.c:6585
#1398 0x00000001002b5813 in mark_vectorlike (header=0x11dd51000)
    at alloc.c:6157
#1399 0x00000001002b391a in mark_object (arg=XIL(0x11dd51005)) at alloc.c:6566
#1400 0x00000001002b5813 in mark_vectorlike (header=0x11e40ef80)
    at alloc.c:6157
#1401 0x00000001002b391a in mark_object (arg=XIL(0x11e40ef85)) at alloc.c:6566
#1402 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49f13)) at alloc.c:6628
#1403 0x00000001002b3b04 in mark_object (arg=XIL(0x1d98ac20)) at alloc.c:6585
#1404 0x00000001002b5813 in mark_vectorlike (header=0x107a3eda0)
    at alloc.c:6157
#1405 0x00000001002b391a in mark_object (arg=XIL(0x107a3eda5)) at alloc.c:6566
#1406 0x00000001002b5813 in mark_vectorlike (header=0x107a3ed70)
    at alloc.c:6157
#1407 0x00000001002b391a in mark_object (arg=XIL(0x107a3ed75)) at alloc.c:6566
#1408 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54853)) at alloc.c:6628
#1409 0x00000001002b3b04 in mark_object (arg=XIL(0x6f19700)) at alloc.c:6585
#1410 0x00000001002b5813 in mark_vectorlike (header=0x11e393d90)
    at alloc.c:6157
#1411 0x00000001002b391a in mark_object (arg=XIL(0x11e393d95)) at alloc.c:6566
#1412 0x00000001002b5813 in mark_vectorlike (header=0x11dcaffc0)
    at alloc.c:6157
#1413 0x00000001002b391a in mark_object (arg=XIL(0x11dcaffc5)) at alloc.c:6566
#1414 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c1e3)) at alloc.c:6628
#1415 0x00000001002b3b04 in mark_object (arg=XIL(0x1d7e97e0)) at alloc.c:6585
#1416 0x00000001002b5813 in mark_vectorlike (header=0x166c1cc90)
    at alloc.c:6157
#1417 0x00000001002b391a in mark_object (arg=XIL(0x166c1cc95)) at alloc.c:6566
#1418 0x00000001002b5813 in mark_vectorlike (header=0x166c1cc60)
    at alloc.c:6157
#1419 0x00000001002b391a in mark_object (arg=XIL(0x166c1cc65)) at alloc.c:6566
#1420 0x00000001002b3d33 in mark_object (arg=XIL(0x170c59d03)) at alloc.c:6628
#1421 0x00000001002b3b04 in mark_object (arg=XIL(0x6642cb90)) at alloc.c:6585
#1422 0x00000001002b5813 in mark_vectorlike (header=0x166d334b0)
    at alloc.c:6157
#1423 0x00000001002b391a in mark_object (arg=XIL(0x166d334b5)) at alloc.c:6566
#1424 0x00000001002b5813 in mark_vectorlike (header=0x166d33480)
--Type <RET> for more, q to quit, c to continue without paging--
    at alloc.c:6157
#1425 0x00000001002b391a in mark_object (arg=XIL(0x166d33485)) at alloc.c:6566
#1426 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49473)) at alloc.c:6628
#1427 0x00000001002b3b04 in mark_object (arg=XIL(0x6642cc20)) at alloc.c:6585
#1428 0x00000001002b5813 in mark_vectorlike (header=0x166d336e0)
    at alloc.c:6157
#1429 0x00000001002b391a in mark_object (arg=XIL(0x166d336e5)) at alloc.c:6566
#1430 0x00000001002b5813 in mark_vectorlike (header=0x166d336b0)
    at alloc.c:6157
#1431 0x00000001002b391a in mark_object (arg=XIL(0x166d336b5)) at alloc.c:6566
#1432 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49463)) at alloc.c:6628
#1433 0x00000001002b3b04 in mark_object (arg=XIL(0x4299900)) at alloc.c:6585
#1434 0x00000001002b5813 in mark_vectorlike (header=0x166acbc90)
    at alloc.c:6157
#1435 0x00000001002b391a in mark_object (arg=XIL(0x166acbc95)) at alloc.c:6566
#1436 0x00000001002b5813 in mark_vectorlike (header=0x166acbc60)
    at alloc.c:6157
#1437 0x00000001002b391a in mark_object (arg=XIL(0x166acbc65)) at alloc.c:6566
#1438 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a463)) at alloc.c:6628
#1439 0x00000001002b3b04 in mark_object (arg=XIL(0x1d807eb0)) at alloc.c:6585
#1440 0x00000001002b5813 in mark_vectorlike (header=0x11dbd6e60)
    at alloc.c:6157
#1441 0x00000001002b391a in mark_object (arg=XIL(0x11dbd6e65)) at alloc.c:6566
#1442 0x00000001002b5813 in mark_vectorlike (header=0x11dbd6e30)
    at alloc.c:6157
#1443 0x00000001002b391a in mark_object (arg=XIL(0x11dbd6e35)) at alloc.c:6566
#1444 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55253)) at alloc.c:6628
#1445 0x00000001002b3b04 in mark_object (arg=XIL(0x1d178820)) at alloc.c:6585
#1446 0x00000001002b5813 in mark_vectorlike (header=0x166eb1f20)
    at alloc.c:6157
#1447 0x00000001002b391a in mark_object (arg=XIL(0x166eb1f25)) at alloc.c:6566
#1448 0x00000001002b5813 in mark_vectorlike (header=0x166eb1ef0)
    at alloc.c:6157
#1449 0x00000001002b391a in mark_object (arg=XIL(0x166eb1ef5)) at alloc.c:6566
#1450 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5b893)) at alloc.c:6628
#1451 0x00000001002b3b04 in mark_object (arg=XIL(0x1d645fe0)) at alloc.c:6585
#1452 0x00000001002b5813 in mark_vectorlike (header=0x11dce2e90)
    at alloc.c:6157
#1453 0x00000001002b391a in mark_object (arg=XIL(0x11dce2e95)) at alloc.c:6566
#1454 0x00000001002b5813 in mark_vectorlike (header=0x11dce2e60)
    at alloc.c:6157
#1455 0x00000001002b391a in mark_object (arg=XIL(0x11dce2e65)) at alloc.c:6566
#1456 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62b93)) at alloc.c:6628
#1457 0x00000001002b3b04 in mark_object (arg=XIL(0x1d25eeb0)) at alloc.c:6585
#1458 0x00000001002b5813 in mark_vectorlike (header=0x11dc3a170)
    at alloc.c:6157
#1459 0x00000001002b391a in mark_object (arg=XIL(0x11dc3a175)) at alloc.c:6566
#1460 0x00000001002b5813 in mark_vectorlike (header=0x11dc3a140)
    at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#1461 0x00000001002b391a in mark_object (arg=XIL(0x11dc3a145)) at alloc.c:6566
#1462 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58323)) at alloc.c:6628
#1463 0x00000001002b3b04 in mark_object (arg=XIL(0x474e8b0)) at alloc.c:6585
#1464 0x00000001002b5813 in mark_vectorlike (header=0x164c00f20)
    at alloc.c:6157
#1465 0x00000001002b391a in mark_object (arg=XIL(0x164c00f25)) at alloc.c:6566
#1466 0x00000001002b5813 in mark_vectorlike (header=0x164c00ef0)
    at alloc.c:6157
#1467 0x00000001002b391a in mark_object (arg=XIL(0x164c00ef5)) at alloc.c:6566
#1468 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55793)) at alloc.c:6628
#1469 0x00000001002b3b04 in mark_object (arg=XIL(0x1d2e43e0)) at alloc.c:6585
#1470 0x00000001002b5813 in mark_vectorlike (header=0x11d8f6df0)
    at alloc.c:6157
#1471 0x00000001002b391a in mark_object (arg=XIL(0x11d8f6df5)) at alloc.c:6566
#1472 0x00000001002b5813 in mark_vectorlike (header=0x11d8f6dc0)
    at alloc.c:6157
#1473 0x00000001002b391a in mark_object (arg=XIL(0x11d8f6dc5)) at alloc.c:6566
#1474 0x00000001002b3d33 in mark_object (arg=XIL(0x170c48fd3)) at alloc.c:6628
#1475 0x00000001002b3b04 in mark_object (arg=XIL(0x1d6462b0)) at alloc.c:6585
#1476 0x00000001002b5813 in mark_vectorlike (header=0x11dce6e90)
    at alloc.c:6157
#1477 0x00000001002b391a in mark_object (arg=XIL(0x11dce6e95)) at alloc.c:6566
#1478 0x00000001002b5813 in mark_vectorlike (header=0x11dce6e60)
    at alloc.c:6157
#1479 0x00000001002b391a in mark_object (arg=XIL(0x11dce6e65)) at alloc.c:6566
#1480 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62b43)) at alloc.c:6628
#1481 0x00000001002b3b04 in mark_object (arg=XIL(0x1d2e4470)) at alloc.c:6585
#1482 0x00000001002b5813 in mark_vectorlike (header=0x11d8f7020)
    at alloc.c:6157
#1483 0x00000001002b391a in mark_object (arg=XIL(0x11d8f7025)) at alloc.c:6566
#1484 0x00000001002b5813 in mark_vectorlike (header=0x11d8f6ff0)
    at alloc.c:6157
#1485 0x00000001002b391a in mark_object (arg=XIL(0x11d8f6ff5)) at alloc.c:6566
#1486 0x00000001002b3d33 in mark_object (arg=XIL(0x170c48fc3)) at alloc.c:6628
#1487 0x00000001002b3b04 in mark_object (arg=XIL(0x1d884990)) at alloc.c:6585
#1488 0x00000001002b5813 in mark_vectorlike (header=0x11dc96060)
    at alloc.c:6157
#1489 0x00000001002b391a in mark_object (arg=XIL(0x11dc96065)) at alloc.c:6566
#1490 0x00000001002b5813 in mark_vectorlike (header=0x11dc96030)
    at alloc.c:6157
#1491 0x00000001002b391a in mark_object (arg=XIL(0x11dc96035)) at alloc.c:6566
#1492 0x00000001002b3d33 in mark_object (arg=XIL(0x164f57603)) at alloc.c:6628
#1493 0x00000001002b3b04 in mark_object (arg=XIL(0x41e83e0)) at alloc.c:6585
#1494 0x00000001002b5813 in mark_vectorlike (header=0x11e400f20)
    at alloc.c:6157
#1495 0x00000001002b391a in mark_object (arg=XIL(0x11e400f25)) at alloc.c:6566
#1496 0x00000001002b5813 in mark_vectorlike (header=0x11e400ef0)
    at alloc.c:6157
#1497 0x00000001002b391a in mark_object (arg=XIL(0x11e400ef5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#1498 0x00000001002b3d33 in mark_object (arg=XIL(0x170c648c3)) at alloc.c:6628
#1499 0x00000001002b3b04 in mark_object (arg=XIL(0x1cf479e0)) at alloc.c:6585
#1500 0x00000001002b5813 in mark_vectorlike (header=0x11e3fce60)
    at alloc.c:6157
#1501 0x00000001002b391a in mark_object (arg=XIL(0x11e3fce65)) at alloc.c:6566
#1502 0x00000001002b5813 in mark_vectorlike (header=0x11e3fce30)
    at alloc.c:6157
#1503 0x00000001002b391a in mark_object (arg=XIL(0x11e3fce35)) at alloc.c:6566
#1504 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64933)) at alloc.c:6628
#1505 0x00000001002b3b04 in mark_object (arg=XIL(0x1d1788b0)) at alloc.c:6585
#1506 0x00000001002b5813 in mark_vectorlike (header=0x166eb2e30)
    at alloc.c:6157
#1507 0x00000001002b391a in mark_object (arg=XIL(0x166eb2e35)) at alloc.c:6566
#1508 0x00000001002b5813 in mark_vectorlike (header=0x166eb2120)
    at alloc.c:6157
#1509 0x00000001002b391a in mark_object (arg=XIL(0x166eb2125)) at alloc.c:6566
#1510 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5b883)) at alloc.c:6628
#1511 0x00000001002b3b04 in mark_object (arg=XIL(0x1d2e4590)) at alloc.c:6585
#1512 0x00000001002b5813 in mark_vectorlike (header=0x11d8f7480)
    at alloc.c:6157
#1513 0x00000001002b391a in mark_object (arg=XIL(0x11d8f7485)) at alloc.c:6566
#1514 0x00000001002b5813 in mark_vectorlike (header=0x11d8f7450)
    at alloc.c:6157
#1515 0x00000001002b391a in mark_object (arg=XIL(0x11d8f7455)) at alloc.c:6566
#1516 0x00000001002b3d33 in mark_object (arg=XIL(0x170c48fa3)) at alloc.c:6628
#1517 0x00000001002b3b04 in mark_object (arg=XIL(0x47f9f50)) at alloc.c:6585
#1518 0x00000001002b5813 in mark_vectorlike (header=0x1079f9120)
    at alloc.c:6157
#1519 0x00000001002b391a in mark_object (arg=XIL(0x1079f9125)) at alloc.c:6566
#1520 0x00000001002b5813 in mark_vectorlike (header=0x1079f90f0)
    at alloc.c:6157
#1521 0x00000001002b391a in mark_object (arg=XIL(0x1079f90f5)) at alloc.c:6566
#1522 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55463)) at alloc.c:6628
#1523 0x00000001002b3b04 in mark_object (arg=XIL(0x4373550)) at alloc.c:6585
#1524 0x00000001002b5813 in mark_vectorlike (header=0x164c3fda0)
    at alloc.c:6157
#1525 0x00000001002b391a in mark_object (arg=XIL(0x164c3fda5)) at alloc.c:6566
#1526 0x00000001002b5813 in mark_vectorlike (header=0x164c3fd70)
    at alloc.c:6157
#1527 0x00000001002b391a in mark_object (arg=XIL(0x164c3fd75)) at alloc.c:6566
#1528 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55783)) at alloc.c:6628
#1529 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdca2b0)) at alloc.c:6585
#1530 0x00000001002b5813 in mark_vectorlike (header=0x170803650)
    at alloc.c:6157
#1531 0x00000001002b391a in mark_object (arg=XIL(0x170803655)) at alloc.c:6566
#1532 0x00000001002b5813 in mark_vectorlike (header=0x170803620)
    at alloc.c:6157
#1533 0x00000001002b391a in mark_object (arg=XIL(0x170803625)) at alloc.c:6566
#1534 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4b403)) at alloc.c:6628
--Type <RET> for more, q to quit, c to continue without paging--
#1535 0x00000001002b3b04 in mark_object (arg=XIL(0x1d014750)) at alloc.c:6585
#1536 0x00000001002b5813 in mark_vectorlike (header=0x170803880)
    at alloc.c:6157
#1537 0x00000001002b391a in mark_object (arg=XIL(0x170803885)) at alloc.c:6566
#1538 0x00000001002b5813 in mark_vectorlike (header=0x170803850)
    at alloc.c:6157
#1539 0x00000001002b391a in mark_object (arg=XIL(0x170803855)) at alloc.c:6566
#1540 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4bbd3)) at alloc.c:6628
#1541 0x00000001002b3b04 in mark_object (arg=XIL(0x642d3620)) at alloc.c:6585
#1542 0x00000001002b5813 in mark_vectorlike (header=0x166c47c10)
    at alloc.c:6157
#1543 0x00000001002b391a in mark_object (arg=XIL(0x166c47c15)) at alloc.c:6566
#1544 0x00000001002b5813 in mark_vectorlike (header=0x166c47be0)
    at alloc.c:6157
#1545 0x00000001002b391a in mark_object (arg=XIL(0x166c47be5)) at alloc.c:6566
#1546 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58253)) at alloc.c:6628
#1547 0x00000001002b3b04 in mark_object (arg=XIL(0x4011070)) at alloc.c:6585
#1548 0x00000001002b5813 in mark_vectorlike (header=0x11dcf0290)
    at alloc.c:6157
#1549 0x00000001002b391a in mark_object (arg=XIL(0x11dcf0295)) at alloc.c:6566
#1550 0x00000001002b5813 in mark_vectorlike (header=0x11dcf0260)
    at alloc.c:6157
#1551 0x00000001002b391a in mark_object (arg=XIL(0x11dcf0265)) at alloc.c:6566
#1552 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62aa3)) at alloc.c:6628
#1553 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa7f50)) at alloc.c:6585
#1554 0x00000001002b5813 in mark_vectorlike (header=0x166e47460)
    at alloc.c:6157
#1555 0x00000001002b391a in mark_object (arg=XIL(0x166e47465)) at alloc.c:6566
#1556 0x00000001002b5813 in mark_vectorlike (header=0x166e47430)
    at alloc.c:6157
#1557 0x00000001002b391a in mark_object (arg=XIL(0x166e47435)) at alloc.c:6566
#1558 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54de3)) at alloc.c:6628
#1559 0x00000001002b3b04 in mark_object (arg=XIL(0x1d7bef50)) at alloc.c:6585
#1560 0x00000001002b5813 in mark_vectorlike (header=0x11dd05120)
    at alloc.c:6157
#1561 0x00000001002b391a in mark_object (arg=XIL(0x11dd05125)) at alloc.c:6566
#1562 0x00000001002b5813 in mark_vectorlike (header=0x11dd050f0)
    at alloc.c:6157
#1563 0x00000001002b391a in mark_object (arg=XIL(0x11dd050f5)) at alloc.c:6566
#1564 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62903)) at alloc.c:6628
#1565 0x00000001002b3b04 in mark_object (arg=XIL(0x665bf020)) at alloc.c:6585
#1566 0x00000001002b5813 in mark_vectorlike (header=0x11e360c30)
    at alloc.c:6157
#1567 0x00000001002b391a in mark_object (arg=XIL(0x11e360c35)) at alloc.c:6566
#1568 0x00000001002b5813 in mark_vectorlike (header=0x11e35ff20)
    at alloc.c:6157
#1569 0x00000001002b391a in mark_object (arg=XIL(0x11e35ff25)) at alloc.c:6566
#1570 0x00000001002b3d33 in mark_object (arg=XIL(0x170c61b03)) at alloc.c:6628
#1571 0x00000001002b3b04 in mark_object (arg=XIL(0x1d1fb8b0)) at alloc.c:6585
--Type <RET> for more, q to quit, c to continue without paging--
#1572 0x00000001002b5813 in mark_vectorlike (header=0x166f9a150)
    at alloc.c:6157
#1573 0x00000001002b391a in mark_object (arg=XIL(0x166f9a155)) at alloc.c:6566
#1574 0x00000001002b5813 in mark_vectorlike (header=0x166f9a120)
    at alloc.c:6157
#1575 0x00000001002b391a in mark_object (arg=XIL(0x166f9a125)) at alloc.c:6566
#1576 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49c33)) at alloc.c:6628
#1577 0x00000001002b3b04 in mark_object (arg=XIL(0x1cfb8ab0)) at alloc.c:6585
#1578 0x00000001002b5813 in mark_vectorlike (header=0x10791fc60)
    at alloc.c:6157
#1579 0x00000001002b391a in mark_object (arg=XIL(0x10791fc65)) at alloc.c:6566
#1580 0x00000001002b5813 in mark_vectorlike (header=0x10791fc30)
    at alloc.c:6157
#1581 0x00000001002b391a in mark_object (arg=XIL(0x10791fc35)) at alloc.c:6566
#1582 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a723)) at alloc.c:6628
#1583 0x00000001002b3b04 in mark_object (arg=XIL(0x662bf9e0)) at alloc.c:6585
#1584 0x00000001002b5813 in mark_vectorlike (header=0x11dc69c60)
    at alloc.c:6157
#1585 0x00000001002b391a in mark_object (arg=XIL(0x11dc69c65)) at alloc.c:6566
#1586 0x00000001002b5813 in mark_vectorlike (header=0x11dc69c30)
    at alloc.c:6157
#1587 0x00000001002b391a in mark_object (arg=XIL(0x11dc69c35)) at alloc.c:6566
#1588 0x00000001002b3d33 in mark_object (arg=XIL(0x164e236c3)) at alloc.c:6628
#1589 0x00000001002b3b04 in mark_object (arg=XIL(0x1d0f4a20)) at alloc.c:6585
#1590 0x00000001002b5813 in mark_vectorlike (header=0x107a15120)
    at alloc.c:6157
#1591 0x00000001002b391a in mark_object (arg=XIL(0x107a15125)) at alloc.c:6566
#1592 0x00000001002b5813 in mark_vectorlike (header=0x107a150f0)
    at alloc.c:6157
#1593 0x00000001002b391a in mark_object (arg=XIL(0x107a150f5)) at alloc.c:6566
#1594 0x00000001002b3d33 in mark_object (arg=XIL(0x170c59c53)) at alloc.c:6628
#1595 0x00000001002b3b04 in mark_object (arg=XIL(0x665bf0b0)) at alloc.c:6585
#1596 0x00000001002b5813 in mark_vectorlike (header=0x11e360de0)
    at alloc.c:6157
#1597 0x00000001002b391a in mark_object (arg=XIL(0x11e360de5)) at alloc.c:6566
#1598 0x00000001002b5813 in mark_vectorlike (header=0x11e360db0)
    at alloc.c:6157
#1599 0x00000001002b391a in mark_object (arg=XIL(0x11e360db5)) at alloc.c:6566
#1600 0x00000001002b3d33 in mark_object (arg=XIL(0x170c61af3)) at alloc.c:6628
#1601 0x00000001002b3b04 in mark_object (arg=XIL(0x1d9d6f50)) at alloc.c:6585
#1602 0x00000001002b5813 in mark_vectorlike (header=0x166f9a380)
    at alloc.c:6157
#1603 0x00000001002b391a in mark_object (arg=XIL(0x166f9a385)) at alloc.c:6566
#1604 0x00000001002b5813 in mark_vectorlike (header=0x166f9a350)
    at alloc.c:6157
#1605 0x00000001002b391a in mark_object (arg=XIL(0x166f9a355)) at alloc.c:6566
#1606 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49c23)) at alloc.c:6628
#1607 0x00000001002b3b04 in mark_object (arg=XIL(0x1d807a20)) at alloc.c:6585
#1608 0x00000001002b5813 in mark_vectorlike (header=0x166e55f20)
--Type <RET> for more, q to quit, c to continue without paging--
    at alloc.c:6157
#1609 0x00000001002b391a in mark_object (arg=XIL(0x166e55f25)) at alloc.c:6566
#1610 0x00000001002b5813 in mark_vectorlike (header=0x166e55ef0)
    at alloc.c:6157
#1611 0x00000001002b391a in mark_object (arg=XIL(0x166e55ef5)) at alloc.c:6566
#1612 0x00000001002b3d33 in mark_object (arg=XIL(0x164f552d3)) at alloc.c:6628
#1613 0x00000001002b3b04 in mark_object (arg=XIL(0x1da91220)) at alloc.c:6585
#1614 0x00000001002b5813 in mark_vectorlike (header=0x11e3c4d20)
    at alloc.c:6157
#1615 0x00000001002b391a in mark_object (arg=XIL(0x11e3c4d25)) at alloc.c:6566
#1616 0x00000001002b5813 in mark_vectorlike (header=0x11e3c4cf0)
    at alloc.c:6157
#1617 0x00000001002b391a in mark_object (arg=XIL(0x11e3c4cf5)) at alloc.c:6566
#1618 0x00000001002b3d33 in mark_object (arg=XIL(0x170c639e3)) at alloc.c:6628
#1619 0x00000001002b3b04 in mark_object (arg=XIL(0x6420b350)) at alloc.c:6585
#1620 0x00000001002b5813 in mark_vectorlike (header=0x166eb2fe0)
    at alloc.c:6157
#1621 0x00000001002b391a in mark_object (arg=XIL(0x166eb2fe5)) at alloc.c:6566
#1622 0x00000001002b5813 in mark_vectorlike (header=0x166eb2fb0)
    at alloc.c:6157
#1623 0x00000001002b391a in mark_object (arg=XIL(0x166eb2fb5)) at alloc.c:6566
#1624 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5b873)) at alloc.c:6628
#1625 0x00000001002b3b04 in mark_object (arg=XIL(0x1d807ab0)) at alloc.c:6585
#1626 0x00000001002b5813 in mark_vectorlike (header=0x164be01a0)
    at alloc.c:6157
#1627 0x00000001002b391a in mark_object (arg=XIL(0x164be01a5)) at alloc.c:6566
#1628 0x00000001002b5813 in mark_vectorlike (header=0x164be0170)
    at alloc.c:6157
#1629 0x00000001002b391a in mark_object (arg=XIL(0x164be0175)) at alloc.c:6566
#1630 0x00000001002b3d33 in mark_object (arg=XIL(0x164f552c3)) at alloc.c:6628
#1631 0x00000001002b3b04 in mark_object (arg=XIL(0x43735e0)) at alloc.c:6585
#1632 0x00000001002b5813 in mark_vectorlike (header=0x164c69c30)
    at alloc.c:6157
#1633 0x00000001002b391a in mark_object (arg=XIL(0x164c69c35)) at alloc.c:6566
#1634 0x00000001002b5813 in mark_vectorlike (header=0x164c3ffa0)
    at alloc.c:6157
#1635 0x00000001002b391a in mark_object (arg=XIL(0x164c3ffa5)) at alloc.c:6566
#1636 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55773)) at alloc.c:6628
#1637 0x00000001002b3b04 in mark_object (arg=XIL(0x1d1245b0)) at alloc.c:6585
#1638 0x00000001002b5813 in mark_vectorlike (header=0x104a274e0)
    at alloc.c:6157
#1639 0x00000001002b391a in mark_object (arg=XIL(0x104a274e5)) at alloc.c:6566
#1640 0x00000001002b5813 in mark_vectorlike (header=0x10591f090)
    at alloc.c:6157
#1641 0x00000001002b391a in mark_object (arg=XIL(0x10591f095)) at alloc.c:6566
#1642 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bf33)) at alloc.c:6628
#1643 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdca100)) at alloc.c:6585
#1644 0x00000001002b5813 in mark_vectorlike (header=0x170803000)
    at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#1645 0x00000001002b391a in mark_object (arg=XIL(0x170803005)) at alloc.c:6566
#1646 0x00000001002b5813 in mark_vectorlike (header=0x105ac3b80)
    at alloc.c:6157
#1647 0x00000001002b391a in mark_object (arg=XIL(0x105ac3b85)) at alloc.c:6566
#1648 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4b433)) at alloc.c:6628
#1649 0x00000001002b3b04 in mark_object (arg=XIL(0x6fdca190)) at alloc.c:6585
#1650 0x00000001002b5813 in mark_vectorlike (header=0x1708031f0)
    at alloc.c:6157
#1651 0x00000001002b391a in mark_object (arg=XIL(0x1708031f5)) at alloc.c:6566
#1652 0x00000001002b5813 in mark_vectorlike (header=0x1708031c0)
    at alloc.c:6157
#1653 0x00000001002b391a in mark_object (arg=XIL(0x1708031c5)) at alloc.c:6566
#1654 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4b423)) at alloc.c:6628
#1655 0x00000001002b3b04 in mark_object (arg=XIL(0x4373670)) at alloc.c:6585
#1656 0x00000001002b5813 in mark_vectorlike (header=0x164c69e60)
    at alloc.c:6157
#1657 0x00000001002b391a in mark_object (arg=XIL(0x164c69e65)) at alloc.c:6566
#1658 0x00000001002b5813 in mark_vectorlike (header=0x164c69e30)
    at alloc.c:6157
#1659 0x00000001002b391a in mark_object (arg=XIL(0x164c69e35)) at alloc.c:6566
#1660 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55763)) at alloc.c:6628
#1661 0x00000001002b3b04 in mark_object (arg=XIL(0x6620fb90)) at alloc.c:6585
#1662 0x00000001002b5813 in mark_vectorlike (header=0x11e5903b0)
    at alloc.c:6157
#1663 0x00000001002b391a in mark_object (arg=XIL(0x11e5903b5)) at alloc.c:6566
#1664 0x00000001002b5813 in mark_vectorlike (header=0x11e590380)
    at alloc.c:6157
#1665 0x00000001002b391a in mark_object (arg=XIL(0x11e590385)) at alloc.c:6566
#1666 0x00000001002b3d33 in mark_object (arg=XIL(0x164f580a3)) at alloc.c:6628
#1667 0x00000001002b3b04 in mark_object (arg=XIL(0x1d0147e0)) at alloc.c:6585
#1668 0x00000001002b5813 in mark_vectorlike (header=0x170803ab0)
    at alloc.c:6157
#1669 0x00000001002b391a in mark_object (arg=XIL(0x170803ab5)) at alloc.c:6566
#1670 0x00000001002b5813 in mark_vectorlike (header=0x170803a80)
    at alloc.c:6157
#1671 0x00000001002b391a in mark_object (arg=XIL(0x170803a85)) at alloc.c:6566
#1672 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4bbc3)) at alloc.c:6628
#1673 0x00000001002b3b04 in mark_object (arg=XIL(0x63e46a70)) at alloc.c:6585
#1674 0x00000001002b5813 in mark_vectorlike (header=0x11e3d4e60)
    at alloc.c:6157
#1675 0x00000001002b391a in mark_object (arg=XIL(0x11e3d4e65)) at alloc.c:6566
#1676 0x00000001002b5813 in mark_vectorlike (header=0x11e3d4e30)
    at alloc.c:6157
#1677 0x00000001002b391a in mark_object (arg=XIL(0x11e3d4e35)) at alloc.c:6566
#1678 0x00000001002b3d33 in mark_object (arg=XIL(0x170c638c3)) at alloc.c:6628
#1679 0x00000001002b3b04 in mark_object (arg=XIL(0x40e6be0)) at alloc.c:6585
#1680 0x00000001002b5813 in mark_vectorlike (header=0x11dcebc30)
    at alloc.c:6157
#1681 0x00000001002b391a in mark_object (arg=XIL(0x11dcebc35)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#1682 0x00000001002b5813 in mark_vectorlike (header=0x11dce9f20)
    at alloc.c:6157
#1683 0x00000001002b391a in mark_object (arg=XIL(0x11dce9f25)) at alloc.c:6566
#1684 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62b23)) at alloc.c:6628
#1685 0x00000001002b3b04 in mark_object (arg=XIL(0x1cf5a5c0)) at alloc.c:6585
#1686 0x00000001002b5813 in mark_vectorlike (header=0x11e333ea0)
    at alloc.c:6157
#1687 0x00000001002b391a in mark_object (arg=XIL(0x11e333ea5)) at alloc.c:6566
#1688 0x00000001002b5813 in mark_vectorlike (header=0x166dea790)
    at alloc.c:6157
#1689 0x00000001002b391a in mark_object (arg=XIL(0x166dea795)) at alloc.c:6566
#1690 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c393)) at alloc.c:6628
#1691 0x00000001002b3b04 in mark_object (arg=XIL(0x66571870)) at alloc.c:6585
#1692 0x00000001002b5813 in mark_vectorlike (header=0x166d14be0)
    at alloc.c:6157
#1693 0x00000001002b391a in mark_object (arg=XIL(0x166d14be5)) at alloc.c:6566
#1694 0x00000001002b5813 in mark_vectorlike (header=0x166d14bb0)
    at alloc.c:6157
#1695 0x00000001002b391a in mark_object (arg=XIL(0x166d14bb5)) at alloc.c:6566
#1696 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5ab73)) at alloc.c:6628
#1697 0x00000001002b3b04 in mark_object (arg=XIL(0x665810b0)) at alloc.c:6585
#1698 0x00000001002b5813 in mark_vectorlike (header=0x104bd8e90)
    at alloc.c:6157
#1699 0x00000001002b391a in mark_object (arg=XIL(0x104bd8e95)) at alloc.c:6566
#1700 0x00000001002b5813 in mark_vectorlike (header=0x104bd8e60)
    at alloc.c:6157
#1701 0x00000001002b391a in mark_object (arg=XIL(0x104bd8e65)) at alloc.c:6566
#1702 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a973)) at alloc.c:6628
#1703 0x00000001002b3b04 in mark_object (arg=XIL(0x1d6596b0)) at alloc.c:6585
#1704 0x00000001002b5813 in mark_vectorlike (header=0x11d95ede0)
    at alloc.c:6157
#1705 0x00000001002b391a in mark_object (arg=XIL(0x11d95ede5)) at alloc.c:6566
#1706 0x00000001002b5813 in mark_vectorlike (header=0x11d95edb0)
    at alloc.c:6157
#1707 0x00000001002b391a in mark_object (arg=XIL(0x11d95edb5)) at alloc.c:6566
#1708 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a643)) at alloc.c:6628
#1709 0x00000001002b3b04 in mark_object (arg=XIL(0x63ed4160)) at alloc.c:6585
#1710 0x00000001002b5813 in mark_vectorlike (header=0x11dc47d70)
    at alloc.c:6157
#1711 0x00000001002b391a in mark_object (arg=XIL(0x11dc47d75)) at alloc.c:6566
#1712 0x00000001002b5813 in mark_vectorlike (header=0x166e7a1b0)
    at alloc.c:6157
#1713 0x00000001002b391a in mark_object (arg=XIL(0x166e7a1b5)) at alloc.c:6566
#1714 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bda3)) at alloc.c:6628
#1715 0x00000001002b3b04 in mark_object (arg=XIL(0x429d990)) at alloc.c:6585
#1716 0x00000001002b5813 in mark_vectorlike (header=0x11e3e0090)
    at alloc.c:6157
#1717 0x00000001002b391a in mark_object (arg=XIL(0x11e3e0095)) at alloc.c:6566
#1718 0x00000001002b5813 in mark_vectorlike (header=0x11e3e0060)
--Type <RET> for more, q to quit, c to continue without paging--
    at alloc.c:6157
#1719 0x00000001002b391a in mark_object (arg=XIL(0x11e3e0065)) at alloc.c:6566
#1720 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64ba3)) at alloc.c:6628
#1721 0x00000001002b3b04 in mark_object (arg=XIL(0x1d807b50)) at alloc.c:6585
#1722 0x00000001002b5813 in mark_vectorlike (header=0x10515bc30)
    at alloc.c:6157
#1723 0x00000001002b391a in mark_object (arg=XIL(0x10515bc35)) at alloc.c:6566
#1724 0x00000001002b5813 in mark_vectorlike (header=0x164be03a0)
    at alloc.c:6157
#1725 0x00000001002b391a in mark_object (arg=XIL(0x164be03a5)) at alloc.c:6566
#1726 0x00000001002b3d33 in mark_object (arg=XIL(0x164f552b3)) at alloc.c:6628
#1727 0x00000001002b3b04 in mark_object (arg=XIL(0x63f65f20)) at alloc.c:6585
#1728 0x00000001002b5813 in mark_vectorlike (header=0x104be9430)
    at alloc.c:6157
#1729 0x00000001002b391a in mark_object (arg=XIL(0x104be9435)) at alloc.c:6566
#1730 0x00000001002b5813 in mark_vectorlike (header=0x11dc79f70)
    at alloc.c:6157
#1731 0x00000001002b391a in mark_object (arg=XIL(0x11dc79f75)) at alloc.c:6566
#1732 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bdd3)) at alloc.c:6628
#1733 0x00000001002b3b04 in mark_object (arg=XIL(0x1d807c70)) at alloc.c:6585
#1734 0x00000001002b5813 in mark_vectorlike (header=0x11d93ecf0)
    at alloc.c:6157
#1735 0x00000001002b391a in mark_object (arg=XIL(0x11d93ecf5)) at alloc.c:6566
#1736 0x00000001002b5813 in mark_vectorlike (header=0x11d93ecc0)
    at alloc.c:6157
#1737 0x00000001002b391a in mark_object (arg=XIL(0x11d93ecc5)) at alloc.c:6566
#1738 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55293)) at alloc.c:6628
#1739 0x00000001002b3b04 in mark_object (arg=XIL(0x426a990)) at alloc.c:6585
#1740 0x00000001002b5813 in mark_vectorlike (header=0x166b54de0)
    at alloc.c:6157
#1741 0x00000001002b391a in mark_object (arg=XIL(0x166b54de5)) at alloc.c:6566
#1742 0x00000001002b5813 in mark_vectorlike (header=0x166b54db0)
    at alloc.c:6157
#1743 0x00000001002b391a in mark_object (arg=XIL(0x166b54db5)) at alloc.c:6566
#1744 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5abc3)) at alloc.c:6628
#1745 0x00000001002b3b04 in mark_object (arg=XIL(0x4375eb0)) at alloc.c:6585
#1746 0x00000001002b5813 in mark_vectorlike (header=0x11dd5e460)
    at alloc.c:6157
#1747 0x00000001002b391a in mark_object (arg=XIL(0x11dd5e465)) at alloc.c:6566
#1748 0x00000001002b5813 in mark_vectorlike (header=0x11dd5e430)
    at alloc.c:6157
#1749 0x00000001002b391a in mark_object (arg=XIL(0x11dd5e435)) at alloc.c:6566
#1750 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64e93)) at alloc.c:6628
#1751 0x00000001002b3b04 in mark_object (arg=XIL(0x660ea6b0)) at alloc.c:6585
#1752 0x00000001002b5813 in mark_vectorlike (header=0x107a5a460)
    at alloc.c:6157
#1753 0x00000001002b391a in mark_object (arg=XIL(0x107a5a465)) at alloc.c:6566
#1754 0x00000001002b5813 in mark_vectorlike (header=0x107a5a430)
    at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#1755 0x00000001002b391a in mark_object (arg=XIL(0x107a5a435)) at alloc.c:6566
#1756 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56543)) at alloc.c:6628
#1757 0x00000001002b3b04 in mark_object (arg=XIL(0x4ea6d00)) at alloc.c:6585
#1758 0x00000001002b5813 in mark_vectorlike (header=0x10d835e70)
    at alloc.c:6157
#1759 0x00000001002b391a in mark_object (arg=XIL(0x10d835e75)) at alloc.c:6566
#1760 0x00000001002b5813 in mark_vectorlike (header=0x166e8e1c0)
    at alloc.c:6157
#1761 0x00000001002b391a in mark_object (arg=XIL(0x166e8e1c5)) at alloc.c:6566
#1762 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5be33)) at alloc.c:6628
#1763 0x00000001002b3b04 in mark_object (arg=XIL(0x641e7220)) at alloc.c:6585
#1764 0x00000001002b5813 in mark_vectorlike (header=0x104c53cf0)
    at alloc.c:6157
#1765 0x00000001002b391a in mark_object (arg=XIL(0x104c53cf5)) at alloc.c:6566
#1766 0x00000001002b5813 in mark_vectorlike (header=0x104c53cc0)
    at alloc.c:6157
#1767 0x00000001002b391a in mark_object (arg=XIL(0x104c53cc5)) at alloc.c:6566
#1768 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c803)) at alloc.c:6628
#1769 0x00000001002b3b04 in mark_object (arg=XIL(0x1d15c950)) at alloc.c:6585
#1770 0x00000001002b5813 in mark_vectorlike (header=0x11dd5e690)
    at alloc.c:6157
#1771 0x00000001002b391a in mark_object (arg=XIL(0x11dd5e695)) at alloc.c:6566
#1772 0x00000001002b5813 in mark_vectorlike (header=0x11dd5e660)
    at alloc.c:6157
#1773 0x00000001002b391a in mark_object (arg=XIL(0x11dd5e665)) at alloc.c:6566
#1774 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64e83)) at alloc.c:6628
#1775 0x00000001002b3b04 in mark_object (arg=XIL(0x6642a9e0)) at alloc.c:6585
#1776 0x00000001002b5813 in mark_vectorlike (header=0x164af2120)
    at alloc.c:6157
#1777 0x00000001002b391a in mark_object (arg=XIL(0x164af2125)) at alloc.c:6566
#1778 0x00000001002b5813 in mark_vectorlike (header=0x164af20f0)
    at alloc.c:6157
#1779 0x00000001002b391a in mark_object (arg=XIL(0x164af20f5)) at alloc.c:6566
#1780 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5aaa3)) at alloc.c:6628
#1781 0x00000001002b3b04 in mark_object (arg=XIL(0x4373700)) at alloc.c:6585
#1782 0x00000001002b5813 in mark_vectorlike (header=0x164aafaf0)
    at alloc.c:6157
#1783 0x00000001002b391a in mark_object (arg=XIL(0x164aafaf5)) at alloc.c:6566
#1784 0x00000001002b5813 in mark_vectorlike (header=0x164aafac0)
    at alloc.c:6157
#1785 0x00000001002b391a in mark_object (arg=XIL(0x164aafac5)) at alloc.c:6566
#1786 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55753)) at alloc.c:6628
#1787 0x00000001002b3b04 in mark_object (arg=XIL(0x642d3900)) at alloc.c:6585
#1788 0x00000001002b5813 in mark_vectorlike (header=0x11e3916f0)
    at alloc.c:6157
#1789 0x00000001002b391a in mark_object (arg=XIL(0x11e3916f5)) at alloc.c:6566
#1790 0x00000001002b5813 in mark_vectorlike (header=0x11e3916c0)
    at alloc.c:6157
#1791 0x00000001002b391a in mark_object (arg=XIL(0x11e3916c5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#1792 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58043)) at alloc.c:6628
#1793 0x00000001002b3b04 in mark_object (arg=XIL(0x6620fc20)) at alloc.c:6585
#1794 0x00000001002b5813 in mark_vectorlike (header=0x11e5905e0)
    at alloc.c:6157
#1795 0x00000001002b391a in mark_object (arg=XIL(0x11e5905e5)) at alloc.c:6566
#1796 0x00000001002b5813 in mark_vectorlike (header=0x11e5905b0)
    at alloc.c:6157
#1797 0x00000001002b391a in mark_object (arg=XIL(0x11e5905b5)) at alloc.c:6566
#1798 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58093)) at alloc.c:6628
#1799 0x00000001002b3b04 in mark_object (arg=XIL(0x64052950)) at alloc.c:6585
#1800 0x00000001002b5813 in mark_vectorlike (header=0x11e3f7f20)
    at alloc.c:6157
#1801 0x00000001002b391a in mark_object (arg=XIL(0x11e3f7f25)) at alloc.c:6566
#1802 0x00000001002b5813 in mark_vectorlike (header=0x11e3f7ef0)
    at alloc.c:6157
#1803 0x00000001002b391a in mark_object (arg=XIL(0x11e3f7ef5)) at alloc.c:6566
#1804 0x00000001002b3d33 in mark_object (arg=XIL(0x170c649b3)) at alloc.c:6628
#1805 0x00000001002b3b04 in mark_object (arg=XIL(0x1d15cc20)) at alloc.c:6585
#1806 0x00000001002b5813 in mark_vectorlike (header=0x10595b090)
    at alloc.c:6157
#1807 0x00000001002b391a in mark_object (arg=XIL(0x10595b095)) at alloc.c:6566
#1808 0x00000001002b5813 in mark_vectorlike (header=0x10595b060)
    at alloc.c:6157
#1809 0x00000001002b391a in mark_object (arg=XIL(0x10595b065)) at alloc.c:6566
#1810 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64e33)) at alloc.c:6628
#1811 0x00000001002b3b04 in mark_object (arg=XIL(0x642d1990)) at alloc.c:6585
#1812 0x00000001002b5813 in mark_vectorlike (header=0x166e08c30)
    at alloc.c:6157
#1813 0x00000001002b391a in mark_object (arg=XIL(0x166e08c35)) at alloc.c:6566
#1814 0x00000001002b5813 in mark_vectorlike (header=0x166dc5f20)
    at alloc.c:6157
#1815 0x00000001002b391a in mark_object (arg=XIL(0x166dc5f25)) at alloc.c:6566
#1816 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5aae3)) at alloc.c:6628
#1817 0x00000001002b3b04 in mark_object (arg=XIL(0x474cde0)) at alloc.c:6585
#1818 0x00000001002b5813 in mark_vectorlike (header=0x107a5b520)
    at alloc.c:6157
#1819 0x00000001002b391a in mark_object (arg=XIL(0x107a5b525)) at alloc.c:6566
#1820 0x00000001002b5813 in mark_vectorlike (header=0x107a5b4f0)
    at alloc.c:6157
#1821 0x00000001002b391a in mark_object (arg=XIL(0x107a5b4f5)) at alloc.c:6566
#1822 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56523)) at alloc.c:6628
#1823 0x00000001002b3b04 in mark_object (arg=XIL(0x1d15ccb0)) at alloc.c:6585
#1824 0x00000001002b5813 in mark_vectorlike (header=0x10595bf20)
    at alloc.c:6157
#1825 0x00000001002b391a in mark_object (arg=XIL(0x10595bf25)) at alloc.c:6566
#1826 0x00000001002b5813 in mark_vectorlike (header=0x10595bef0)
    at alloc.c:6157
#1827 0x00000001002b391a in mark_object (arg=XIL(0x10595bef5)) at alloc.c:6566
#1828 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64e23)) at alloc.c:6628
--Type <RET> for more, q to quit, c to continue without paging--
#1829 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77e190)) at alloc.c:6585
#1830 0x00000001002b5813 in mark_vectorlike (header=0x107a7fcf0)
    at alloc.c:6157
#1831 0x00000001002b391a in mark_object (arg=XIL(0x107a7fcf5)) at alloc.c:6566
#1832 0x00000001002b5813 in mark_vectorlike (header=0x107a7fcc0)
    at alloc.c:6157
#1833 0x00000001002b391a in mark_object (arg=XIL(0x107a7fcc5)) at alloc.c:6566
#1834 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56953)) at alloc.c:6628
#1835 0x00000001002b3b04 in mark_object (arg=XIL(0x1d0a19e0)) at alloc.c:6585
#1836 0x00000001002b5813 in mark_vectorlike (header=0x11e304c30)
    at alloc.c:6157
#1837 0x00000001002b391a in mark_object (arg=XIL(0x11e304c35)) at alloc.c:6566
#1838 0x00000001002b5813 in mark_vectorlike (header=0x11e303e60)
    at alloc.c:6157
#1839 0x00000001002b391a in mark_object (arg=XIL(0x11e303e65)) at alloc.c:6566
#1840 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c123)) at alloc.c:6628
#1841 0x00000001002b3b04 in mark_object (arg=XIL(0x4375b50)) at alloc.c:6585
#1842 0x00000001002b5813 in mark_vectorlike (header=0x11dd54de0)
    at alloc.c:6157
#1843 0x00000001002b391a in mark_object (arg=XIL(0x11dd54de5)) at alloc.c:6566
#1844 0x00000001002b5813 in mark_vectorlike (header=0x11dd54db0)
    at alloc.c:6157
#1845 0x00000001002b391a in mark_object (arg=XIL(0x11dd54db5)) at alloc.c:6566
#1846 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64ef3)) at alloc.c:6628
#1847 0x00000001002b3b04 in mark_object (arg=XIL(0x6618b990)) at alloc.c:6585
#1848 0x00000001002b5813 in mark_vectorlike (header=0x104b0c520)
    at alloc.c:6157
#1849 0x00000001002b391a in mark_object (arg=XIL(0x104b0c525)) at alloc.c:6566
#1850 0x00000001002b5813 in mark_vectorlike (header=0x104b0c4f0)
    at alloc.c:6157
#1851 0x00000001002b391a in mark_object (arg=XIL(0x104b0c4f5)) at alloc.c:6566
#1852 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cf83)) at alloc.c:6628
#1853 0x00000001002b3b04 in mark_object (arg=XIL(0x6618ba20)) at alloc.c:6585
#1854 0x00000001002b5813 in mark_vectorlike (header=0x104b5c9a0)
    at alloc.c:6157
#1855 0x00000001002b391a in mark_object (arg=XIL(0x104b5c9a5)) at alloc.c:6566
#1856 0x00000001002b5813 in mark_vectorlike (header=0x104b5c970)
    at alloc.c:6157
#1857 0x00000001002b391a in mark_object (arg=XIL(0x104b5c975)) at alloc.c:6566
#1858 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cf73)) at alloc.c:6628
#1859 0x00000001002b3b04 in mark_object (arg=XIL(0x6618bab0)) at alloc.c:6585
#1860 0x00000001002b5813 in mark_vectorlike (header=0x104b55c30)
    at alloc.c:6157
#1861 0x00000001002b391a in mark_object (arg=XIL(0x104b55c35)) at alloc.c:6566
#1862 0x00000001002b5813 in mark_vectorlike (header=0x104b5cba0)
    at alloc.c:6157
#1863 0x00000001002b391a in mark_object (arg=XIL(0x104b5cba5)) at alloc.c:6566
#1864 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cf63)) at alloc.c:6628
#1865 0x00000001002b3b04 in mark_object (arg=XIL(0x6416f350)) at alloc.c:6585
--Type <RET> for more, q to quit, c to continue without paging--
#1866 0x00000001002b5813 in mark_vectorlike (header=0x104b55e60)
    at alloc.c:6157
#1867 0x00000001002b391a in mark_object (arg=XIL(0x104b55e65)) at alloc.c:6566
#1868 0x00000001002b5813 in mark_vectorlike (header=0x104b55e30)
    at alloc.c:6157
#1869 0x00000001002b391a in mark_object (arg=XIL(0x104b55e35)) at alloc.c:6566
#1870 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cf53)) at alloc.c:6628
#1871 0x00000001002b3b04 in mark_object (arg=XIL(0x6416f3e0)) at alloc.c:6585
#1872 0x00000001002b5813 in mark_vectorlike (header=0x104b9f2f0)
    at alloc.c:6157
#1873 0x00000001002b391a in mark_object (arg=XIL(0x104b9f2f5)) at alloc.c:6566
#1874 0x00000001002b5813 in mark_vectorlike (header=0x104b9f2c0)
    at alloc.c:6157
#1875 0x00000001002b391a in mark_object (arg=XIL(0x104b9f2c5)) at alloc.c:6566
#1876 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cf43)) at alloc.c:6628
#1877 0x00000001002b3b04 in mark_object (arg=XIL(0x3f8b6b0)) at alloc.c:6585
#1878 0x00000001002b5813 in mark_vectorlike (header=0x1059641e0)
    at alloc.c:6157
#1879 0x00000001002b391a in mark_object (arg=XIL(0x1059641e5)) at alloc.c:6566
#1880 0x00000001002b5813 in mark_vectorlike (header=0x1059641b0)
    at alloc.c:6157
#1881 0x00000001002b391a in mark_object (arg=XIL(0x1059641b5)) at alloc.c:6566
#1882 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64db3)) at alloc.c:6628
#1883 0x00000001002b3b04 in mark_object (arg=XIL(0x65de1b90)) at alloc.c:6585
#1884 0x00000001002b5813 in mark_vectorlike (header=0x104c3cb20)
    at alloc.c:6157
#1885 0x00000001002b391a in mark_object (arg=XIL(0x104c3cb25)) at alloc.c:6566
#1886 0x00000001002b5813 in mark_vectorlike (header=0x104c3caf0)
    at alloc.c:6157
#1887 0x00000001002b391a in mark_object (arg=XIL(0x104c3caf5)) at alloc.c:6566
#1888 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cd63)) at alloc.c:6628
#1889 0x00000001002b3b04 in mark_object (arg=XIL(0x65de1c20)) at alloc.c:6585
#1890 0x00000001002b5813 in mark_vectorlike (header=0x104c20da0)
    at alloc.c:6157
#1891 0x00000001002b391a in mark_object (arg=XIL(0x104c20da5)) at alloc.c:6566
#1892 0x00000001002b5813 in mark_vectorlike (header=0x104c20d70)
    at alloc.c:6157
#1893 0x00000001002b391a in mark_object (arg=XIL(0x104c20d75)) at alloc.c:6566
#1894 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cd53)) at alloc.c:6628
#1895 0x00000001002b3b04 in mark_object (arg=XIL(0x65de1cb0)) at alloc.c:6585
#1896 0x00000001002b5813 in mark_vectorlike (header=0x104c6c430)
    at alloc.c:6157
#1897 0x00000001002b391a in mark_object (arg=XIL(0x104c6c435)) at alloc.c:6566
#1898 0x00000001002b5813 in mark_vectorlike (header=0x104c20fa0)
    at alloc.c:6157
#1899 0x00000001002b391a in mark_object (arg=XIL(0x104c20fa5)) at alloc.c:6566
#1900 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cd43)) at alloc.c:6628
#1901 0x00000001002b3b04 in mark_object (arg=XIL(0x4373790)) at alloc.c:6585
#1902 0x00000001002b5813 in mark_vectorlike (header=0x164aafd20)
--Type <RET> for more, q to quit, c to continue without paging--
    at alloc.c:6157
#1903 0x00000001002b391a in mark_object (arg=XIL(0x164aafd25)) at alloc.c:6566
#1904 0x00000001002b5813 in mark_vectorlike (header=0x164aafcf0)
    at alloc.c:6157
#1905 0x00000001002b391a in mark_object (arg=XIL(0x164aafcf5)) at alloc.c:6566
#1906 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55743)) at alloc.c:6628
#1907 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8100)) at alloc.c:6585
#1908 0x00000001002b5813 in mark_vectorlike (header=0x166e493a0)
    at alloc.c:6157
#1909 0x00000001002b391a in mark_object (arg=XIL(0x166e493a5)) at alloc.c:6566
#1910 0x00000001002b5813 in mark_vectorlike (header=0x166e49370)
    at alloc.c:6157
#1911 0x00000001002b391a in mark_object (arg=XIL(0x166e49375)) at alloc.c:6566
#1912 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54db3)) at alloc.c:6628
#1913 0x00000001002b3b04 in mark_object (arg=XIL(0x642d1b50)) at alloc.c:6585
#1914 0x00000001002b5813 in mark_vectorlike (header=0x166d18320)
    at alloc.c:6157
#1915 0x00000001002b391a in mark_object (arg=XIL(0x166d18325)) at alloc.c:6566
#1916 0x00000001002b5813 in mark_vectorlike (header=0x166d182f0)
    at alloc.c:6157
#1917 0x00000001002b391a in mark_object (arg=XIL(0x166d182f5)) at alloc.c:6566
#1918 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a963)) at alloc.c:6628
#1919 0x00000001002b3b04 in mark_object (arg=XIL(0x660ea870)) at alloc.c:6585
#1920 0x00000001002b5813 in mark_vectorlike (header=0x107a60460)
    at alloc.c:6157
#1921 0x00000001002b391a in mark_object (arg=XIL(0x107a60465)) at alloc.c:6566
#1922 0x00000001002b5813 in mark_vectorlike (header=0x107a60430)
    at alloc.c:6157
#1923 0x00000001002b391a in mark_object (arg=XIL(0x107a60435)) at alloc.c:6566
#1924 0x00000001002b3d33 in mark_object (arg=XIL(0x164f564a3)) at alloc.c:6628
#1925 0x00000001002b3b04 in mark_object (arg=XIL(0x1d11ff50)) at alloc.c:6585
#1926 0x00000001002b5813 in mark_vectorlike (header=0x1649c1060)
    at alloc.c:6157
#1927 0x00000001002b391a in mark_object (arg=XIL(0x1649c1065)) at alloc.c:6566
#1928 0x00000001002b5813 in mark_vectorlike (header=0x1649c1030)
    at alloc.c:6157
#1929 0x00000001002b391a in mark_object (arg=XIL(0x1649c1035)) at alloc.c:6566
#1930 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a633)) at alloc.c:6628
#1931 0x00000001002b3b04 in mark_object (arg=XIL(0x1d15cb90)) at alloc.c:6585
#1932 0x00000001002b5813 in mark_vectorlike (header=0x10595ae60)
    at alloc.c:6157
#1933 0x00000001002b391a in mark_object (arg=XIL(0x10595ae65)) at alloc.c:6566
#1934 0x00000001002b5813 in mark_vectorlike (header=0x10595ae30)
    at alloc.c:6157
#1935 0x00000001002b391a in mark_object (arg=XIL(0x10595ae35)) at alloc.c:6566
#1936 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64e43)) at alloc.c:6628
#1937 0x00000001002b3b04 in mark_object (arg=XIL(0x6630ee20)) at alloc.c:6585
#1938 0x00000001002b5813 in mark_vectorlike (header=0x104bb78f0)
    at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#1939 0x00000001002b391a in mark_object (arg=XIL(0x104bb78f5)) at alloc.c:6566
#1940 0x00000001002b5813 in mark_vectorlike (header=0x104bb78c0)
    at alloc.c:6157
#1941 0x00000001002b391a in mark_object (arg=XIL(0x104bb78c5)) at alloc.c:6566
#1942 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cdc3)) at alloc.c:6628
#1943 0x00000001002b3b04 in mark_object (arg=XIL(0x6630eeb0)) at alloc.c:6585
#1944 0x00000001002b5813 in mark_vectorlike (header=0x104bb7b20)
    at alloc.c:6157
#1945 0x00000001002b391a in mark_object (arg=XIL(0x104bb7b25)) at alloc.c:6566
#1946 0x00000001002b5813 in mark_vectorlike (header=0x104bb7af0)
    at alloc.c:6157
#1947 0x00000001002b391a in mark_object (arg=XIL(0x104bb7af5)) at alloc.c:6566
#1948 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cdb3)) at alloc.c:6628
#1949 0x00000001002b3b04 in mark_object (arg=XIL(0x65de1950)) at alloc.c:6585
#1950 0x00000001002b5813 in mark_vectorlike (header=0x104b71fa0)
    at alloc.c:6157
#1951 0x00000001002b391a in mark_object (arg=XIL(0x104b71fa5)) at alloc.c:6566
#1952 0x00000001002b5813 in mark_vectorlike (header=0x104b71f70)
    at alloc.c:6157
#1953 0x00000001002b391a in mark_object (arg=XIL(0x104b71f75)) at alloc.c:6566
#1954 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cda3)) at alloc.c:6628
#1955 0x00000001002b3b04 in mark_object (arg=XIL(0x65de19e0)) at alloc.c:6585
#1956 0x00000001002b5813 in mark_vectorlike (header=0x104c5a430)
    at alloc.c:6157
#1957 0x00000001002b391a in mark_object (arg=XIL(0x104c5a435)) at alloc.c:6566
#1958 0x00000001002b5813 in mark_vectorlike (header=0x104b721a0)
    at alloc.c:6157
#1959 0x00000001002b391a in mark_object (arg=XIL(0x104b721a5)) at alloc.c:6566
#1960 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cd93)) at alloc.c:6628
#1961 0x00000001002b3b04 in mark_object (arg=XIL(0x65de1a70)) at alloc.c:6585
#1962 0x00000001002b5813 in mark_vectorlike (header=0x104c5a660)
    at alloc.c:6157
#1963 0x00000001002b391a in mark_object (arg=XIL(0x104c5a665)) at alloc.c:6566
#1964 0x00000001002b5813 in mark_vectorlike (header=0x104c5a630)
    at alloc.c:6157
#1965 0x00000001002b391a in mark_object (arg=XIL(0x104c5a635)) at alloc.c:6566
#1966 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cd83)) at alloc.c:6628
#1967 0x00000001002b3b04 in mark_object (arg=XIL(0x65de1b00)) at alloc.c:6585
#1968 0x00000001002b5813 in mark_vectorlike (header=0x104c3c8f0)
    at alloc.c:6157
#1969 0x00000001002b391a in mark_object (arg=XIL(0x104c3c8f5)) at alloc.c:6566
#1970 0x00000001002b5813 in mark_vectorlike (header=0x104c3c8c0)
    at alloc.c:6157
#1971 0x00000001002b391a in mark_object (arg=XIL(0x104c3c8c5)) at alloc.c:6566
#1972 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cd73)) at alloc.c:6628
#1973 0x00000001002b3b04 in mark_object (arg=XIL(0x642fbbe0)) at alloc.c:6585
#1974 0x00000001002b5813 in mark_vectorlike (header=0x11e3e9fa0)
    at alloc.c:6157
#1975 0x00000001002b391a in mark_object (arg=XIL(0x11e3e9fa5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#1976 0x00000001002b5813 in mark_vectorlike (header=0x11e3e9f70)
    at alloc.c:6157
#1977 0x00000001002b391a in mark_object (arg=XIL(0x11e3e9f75)) at alloc.c:6566
#1978 0x00000001002b3d33 in mark_object (arg=XIL(0x164f549e3)) at alloc.c:6628
#1979 0x00000001002b3b04 in mark_object (arg=XIL(0x661b7eb0)) at alloc.c:6585
#1980 0x00000001002b5813 in mark_vectorlike (header=0x11da6d8f0)
    at alloc.c:6157
#1981 0x00000001002b391a in mark_object (arg=XIL(0x11da6d8f5)) at alloc.c:6566
#1982 0x00000001002b5813 in mark_vectorlike (header=0x11da6d8c0)
    at alloc.c:6157
#1983 0x00000001002b391a in mark_object (arg=XIL(0x11da6d8c5)) at alloc.c:6566
#1984 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c943)) at alloc.c:6628
#1985 0x00000001002b3b04 in mark_object (arg=XIL(0x66485790)) at alloc.c:6585
#1986 0x00000001002b5813 in mark_vectorlike (header=0x105911f60)
    at alloc.c:6157
#1987 0x00000001002b391a in mark_object (arg=XIL(0x105911f65)) at alloc.c:6566
#1988 0x00000001002b5813 in mark_vectorlike (header=0x105911f30)
    at alloc.c:6157
#1989 0x00000001002b391a in mark_object (arg=XIL(0x105911f35)) at alloc.c:6566
#1990 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c443)) at alloc.c:6628
#1991 0x00000001002b3b04 in mark_object (arg=XIL(0x3fa8190)) at alloc.c:6585
#1992 0x00000001002b5813 in mark_vectorlike (header=0x166e4a230)
    at alloc.c:6157
#1993 0x00000001002b391a in mark_object (arg=XIL(0x166e4a235)) at alloc.c:6566
#1994 0x00000001002b5813 in mark_vectorlike (header=0x166e495a0)
    at alloc.c:6157
#1995 0x00000001002b391a in mark_object (arg=XIL(0x166e495a5)) at alloc.c:6566
#1996 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54da3)) at alloc.c:6628
#1997 0x00000001002b3b04 in mark_object (arg=XIL(0x64091e70)) at alloc.c:6585
#1998 0x00000001002b5813 in mark_vectorlike (header=0x11dbba6f0)
    at alloc.c:6157
#1999 0x00000001002b391a in mark_object (arg=XIL(0x11dbba6f5)) at alloc.c:6566
#2000 0x00000001002b5813 in mark_vectorlike (header=0x11dbba6c0)
    at alloc.c:6157
#2001 0x00000001002b391a in mark_object (arg=XIL(0x11dbba6c5)) at alloc.c:6566
#2002 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49503)) at alloc.c:6628
#2003 0x00000001002b3b04 in mark_object (arg=XIL(0x1d014870)) at alloc.c:6585
#2004 0x00000001002b5813 in mark_vectorlike (header=0x170803ce0)
    at alloc.c:6157
#2005 0x00000001002b391a in mark_object (arg=XIL(0x170803ce5)) at alloc.c:6566
#2006 0x00000001002b5813 in mark_vectorlike (header=0x170803cb0)
    at alloc.c:6157
#2007 0x00000001002b391a in mark_object (arg=XIL(0x170803cb5)) at alloc.c:6566
#2008 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4bbb3)) at alloc.c:6628
#2009 0x00000001002b3b04 in mark_object (arg=XIL(0x4373820)) at alloc.c:6585
#2010 0x00000001002b5813 in mark_vectorlike (header=0x164b337a0)
    at alloc.c:6157
#2011 0x00000001002b391a in mark_object (arg=XIL(0x164b337a5)) at alloc.c:6566
#2012 0x00000001002b5813 in mark_vectorlike (header=0x164b33770)
--Type <RET> for more, q to quit, c to continue without paging--
    at alloc.c:6157
#2013 0x00000001002b391a in mark_object (arg=XIL(0x164b33775)) at alloc.c:6566
#2014 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55733)) at alloc.c:6628
#2015 0x00000001002b3b04 in mark_object (arg=XIL(0x1d829f50)) at alloc.c:6585
#2016 0x00000001002b5813 in mark_vectorlike (header=0x166b94230)
    at alloc.c:6157
#2017 0x00000001002b391a in mark_object (arg=XIL(0x166b94235)) at alloc.c:6566
#2018 0x00000001002b5813 in mark_vectorlike (header=0x166b94200)
    at alloc.c:6157
#2019 0x00000001002b391a in mark_object (arg=XIL(0x166b94205)) at alloc.c:6566
#2020 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5caf3)) at alloc.c:6628
#2021 0x00000001002b3b04 in mark_object (arg=XIL(0x6620f700)) at alloc.c:6585
#2022 0x00000001002b5813 in mark_vectorlike (header=0x11d8f6480)
    at alloc.c:6157
#2023 0x00000001002b391a in mark_object (arg=XIL(0x11d8f6485)) at alloc.c:6566
#2024 0x00000001002b5813 in mark_vectorlike (header=0x11d8f6450)
    at alloc.c:6157
#2025 0x00000001002b391a in mark_object (arg=XIL(0x11d8f6455)) at alloc.c:6566
#2026 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58193)) at alloc.c:6628
#2027 0x00000001002b3b04 in mark_object (arg=XIL(0x4ebe070)) at alloc.c:6585
#2028 0x00000001002b5813 in mark_vectorlike (header=0x105978060)
    at alloc.c:6157
#2029 0x00000001002b391a in mark_object (arg=XIL(0x105978065)) at alloc.c:6566
#2030 0x00000001002b5813 in mark_vectorlike (header=0x105978030)
    at alloc.c:6157
#2031 0x00000001002b391a in mark_object (arg=XIL(0x105978035)) at alloc.c:6566
#2032 0x00000001002b3d33 in mark_object (arg=XIL(0x170c59f93)) at alloc.c:6628
#2033 0x00000001002b3b04 in mark_object (arg=XIL(0x474c9e0)) at alloc.c:6585
#2034 0x00000001002b5813 in mark_vectorlike (header=0x107a46c30)
    at alloc.c:6157
#2035 0x00000001002b391a in mark_object (arg=XIL(0x107a46c35)) at alloc.c:6566
#2036 0x00000001002b5813 in mark_vectorlike (header=0x107a45fa0)
    at alloc.c:6157
#2037 0x00000001002b391a in mark_object (arg=XIL(0x107a45fa5)) at alloc.c:6566
#2038 0x00000001002b3d33 in mark_object (arg=XIL(0x164f566e3)) at alloc.c:6628
#2039 0x00000001002b3b04 in mark_object (arg=XIL(0x642d1750)) at alloc.c:6585
#2040 0x00000001002b5813 in mark_vectorlike (header=0x166d74be0)
    at alloc.c:6157
#2041 0x00000001002b391a in mark_object (arg=XIL(0x166d74be5)) at alloc.c:6566
#2042 0x00000001002b5813 in mark_vectorlike (header=0x166d74bb0)
    at alloc.c:6157
#2043 0x00000001002b391a in mark_object (arg=XIL(0x166d74bb5)) at alloc.c:6566
#2044 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5ab23)) at alloc.c:6628
#2045 0x00000001002b3b04 in mark_object (arg=XIL(0x426a750)) at alloc.c:6585
#2046 0x00000001002b5813 in mark_vectorlike (header=0x166b32660)
    at alloc.c:6157
#2047 0x00000001002b391a in mark_object (arg=XIL(0x166b32665)) at alloc.c:6566
#2048 0x00000001002b5813 in mark_vectorlike (header=0x166b32630)
    at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#2049 0x00000001002b391a in mark_object (arg=XIL(0x166b32635)) at alloc.c:6566
#2050 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a423)) at alloc.c:6628
#2051 0x00000001002b3b04 in mark_object (arg=XIL(0x1d11ffe0)) at alloc.c:6585
#2052 0x00000001002b5813 in mark_vectorlike (header=0x1649c1290)
    at alloc.c:6157
#2053 0x00000001002b391a in mark_object (arg=XIL(0x1649c1295)) at alloc.c:6566
#2054 0x00000001002b5813 in mark_vectorlike (header=0x1649c1260)
    at alloc.c:6157
#2055 0x00000001002b391a in mark_object (arg=XIL(0x1649c1265)) at alloc.c:6566
#2056 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a623)) at alloc.c:6628
#2057 0x00000001002b3b04 in mark_object (arg=XIL(0x43738b0)) at alloc.c:6585
#2058 0x00000001002b5813 in mark_vectorlike (header=0x164bc8630)
    at alloc.c:6157
#2059 0x00000001002b391a in mark_object (arg=XIL(0x164bc8635)) at alloc.c:6566
#2060 0x00000001002b5813 in mark_vectorlike (header=0x164b339a0)
    at alloc.c:6157
#2061 0x00000001002b391a in mark_object (arg=XIL(0x164b339a5)) at alloc.c:6566
#2062 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55723)) at alloc.c:6628
#2063 0x00000001002b3b04 in mark_object (arg=XIL(0x1d0f47e0)) at alloc.c:6585
#2064 0x00000001002b5813 in mark_vectorlike (header=0x166c43e30)
    at alloc.c:6157
#2065 0x00000001002b391a in mark_object (arg=XIL(0x166c43e35)) at alloc.c:6566
#2066 0x00000001002b5813 in mark_vectorlike (header=0x107a0c120)
    at alloc.c:6157
#2067 0x00000001002b391a in mark_object (arg=XIL(0x107a0c125)) at alloc.c:6566
#2068 0x00000001002b3d33 in mark_object (arg=XIL(0x170c59c93)) at alloc.c:6628
#2069 0x00000001002b3b04 in mark_object (arg=XIL(0x4fde100)) at alloc.c:6585
#2070 0x00000001002b5813 in mark_vectorlike (header=0x164bffc30)
    at alloc.c:6157
#2071 0x00000001002b391a in mark_object (arg=XIL(0x164bffc35)) at alloc.c:6566
#2072 0x00000001002b5813 in mark_vectorlike (header=0x166e6efc0)
    at alloc.c:6157
#2073 0x00000001002b391a in mark_object (arg=XIL(0x166e6efc5)) at alloc.c:6566
#2074 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5be53)) at alloc.c:6628
#2075 0x00000001002b3b04 in mark_object (arg=XIL(0x47bcb90)) at alloc.c:6585
#2076 0x00000001002b5813 in mark_vectorlike (header=0x11e3e6ef0)
    at alloc.c:6157
#2077 0x00000001002b391a in mark_object (arg=XIL(0x11e3e6ef5)) at alloc.c:6566
#2078 0x00000001002b5813 in mark_vectorlike (header=0x11e3e6ec0)
    at alloc.c:6157
#2079 0x00000001002b391a in mark_object (arg=XIL(0x11e3e6ec5)) at alloc.c:6566
#2080 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c8f3)) at alloc.c:6628
#2081 0x00000001002b3b04 in mark_object (arg=XIL(0x47bcc20)) at alloc.c:6585
#2082 0x00000001002b5813 in mark_vectorlike (header=0x11e3e7120)
    at alloc.c:6157
#2083 0x00000001002b391a in mark_object (arg=XIL(0x11e3e7125)) at alloc.c:6566
#2084 0x00000001002b5813 in mark_vectorlike (header=0x11e3e70f0)
    at alloc.c:6157
#2085 0x00000001002b391a in mark_object (arg=XIL(0x11e3e70f5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#2086 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c8e3)) at alloc.c:6628
#2087 0x00000001002b3b04 in mark_object (arg=XIL(0x47bccb0)) at alloc.c:6585
#2088 0x00000001002b5813 in mark_vectorlike (header=0x166c54da0)
    at alloc.c:6157
#2089 0x00000001002b391a in mark_object (arg=XIL(0x166c54da5)) at alloc.c:6566
#2090 0x00000001002b5813 in mark_vectorlike (header=0x166c54d70)
    at alloc.c:6157
#2091 0x00000001002b391a in mark_object (arg=XIL(0x166c54d75)) at alloc.c:6566
#2092 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c8d3)) at alloc.c:6628
#2093 0x00000001002b3b04 in mark_object (arg=XIL(0x66586c70)) at alloc.c:6585
#2094 0x00000001002b5813 in mark_vectorlike (header=0x11dd17a30)
    at alloc.c:6157
#2095 0x00000001002b391a in mark_object (arg=XIL(0x11dd17a35)) at alloc.c:6566
#2096 0x00000001002b5813 in mark_vectorlike (header=0x11dd17a00)
    at alloc.c:6157
#2097 0x00000001002b391a in mark_object (arg=XIL(0x11dd17a05)) at alloc.c:6566
#2098 0x00000001002b3d33 in mark_object (arg=XIL(0x170c4ae93)) at alloc.c:6628
#2099 0x00000001002b3b04 in mark_object (arg=XIL(0x1d7e9750)) at alloc.c:6585
#2100 0x00000001002b5813 in mark_vectorlike (header=0x166c1ca60)
    at alloc.c:6157
#2101 0x00000001002b391a in mark_object (arg=XIL(0x166c1ca65)) at alloc.c:6566
#2102 0x00000001002b5813 in mark_vectorlike (header=0x166c1ca30)
    at alloc.c:6157
#2103 0x00000001002b391a in mark_object (arg=XIL(0x166c1ca35)) at alloc.c:6566
#2104 0x00000001002b3d33 in mark_object (arg=XIL(0x170c59d13)) at alloc.c:6628
#2105 0x00000001002b3b04 in mark_object (arg=XIL(0x64196350)) at alloc.c:6585
#2106 0x00000001002b5813 in mark_vectorlike (header=0x164b29a30)
    at alloc.c:6157
#2107 0x00000001002b391a in mark_object (arg=XIL(0x164b29a35)) at alloc.c:6566
#2108 0x00000001002b5813 in mark_vectorlike (header=0x166c54fa0)
    at alloc.c:6157
#2109 0x00000001002b391a in mark_object (arg=XIL(0x166c54fa5)) at alloc.c:6566
#2110 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c8c3)) at alloc.c:6628
#2111 0x00000001002b3b04 in mark_object (arg=XIL(0x1d7bf2b0)) at alloc.c:6585
#2112 0x00000001002b5813 in mark_vectorlike (header=0x11dd0a030)
    at alloc.c:6157
#2113 0x00000001002b391a in mark_object (arg=XIL(0x11dd0a035)) at alloc.c:6566
#2114 0x00000001002b5813 in mark_vectorlike (header=0x11dd09320)
    at alloc.c:6157
#2115 0x00000001002b391a in mark_object (arg=XIL(0x11dd09325)) at alloc.c:6566
#2116 0x00000001002b3d33 in mark_object (arg=XIL(0x170c628a3)) at alloc.c:6628
#2117 0x00000001002b3b04 in mark_object (arg=XIL(0x663e0750)) at alloc.c:6585
#2118 0x00000001002b5813 in mark_vectorlike (header=0x11dd0a1e0)
    at alloc.c:6157
#2119 0x00000001002b391a in mark_object (arg=XIL(0x11dd0a1e5)) at alloc.c:6566
#2120 0x00000001002b5813 in mark_vectorlike (header=0x11dd0a1b0)
    at alloc.c:6157
#2121 0x00000001002b391a in mark_object (arg=XIL(0x11dd0a1b5)) at alloc.c:6566
#2122 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62893)) at alloc.c:6628
--Type <RET> for more, q to quit, c to continue without paging--
#2123 0x00000001002b3b04 in mark_object (arg=XIL(0x640949e0)) at alloc.c:6585
#2124 0x00000001002b5813 in mark_vectorlike (header=0x11dd5ac30)
    at alloc.c:6157
#2125 0x00000001002b391a in mark_object (arg=XIL(0x11dd5ac35)) at alloc.c:6566
#2126 0x00000001002b5813 in mark_vectorlike (header=0x11dd50f20)
    at alloc.c:6157
#2127 0x00000001002b391a in mark_object (arg=XIL(0x11dd50f25)) at alloc.c:6566
#2128 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64f53)) at alloc.c:6628
#2129 0x00000001002b3b04 in mark_object (arg=XIL(0x1d807470)) at alloc.c:6585
#2130 0x00000001002b5813 in mark_vectorlike (header=0x166e26e60)
    at alloc.c:6157
#2131 0x00000001002b391a in mark_object (arg=XIL(0x166e26e65)) at alloc.c:6566
#2132 0x00000001002b5813 in mark_vectorlike (header=0x166e26e30)
    at alloc.c:6157
#2133 0x00000001002b391a in mark_object (arg=XIL(0x166e26e35)) at alloc.c:6566
#2134 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54c03)) at alloc.c:6628
#2135 0x00000001002b3b04 in mark_object (arg=XIL(0x1d807500)) at alloc.c:6585
#2136 0x00000001002b5813 in mark_vectorlike (header=0x166e27cf0)
    at alloc.c:6157
#2137 0x00000001002b391a in mark_object (arg=XIL(0x166e27cf5)) at alloc.c:6566
#2138 0x00000001002b5813 in mark_vectorlike (header=0x166e27cc0)
    at alloc.c:6157
#2139 0x00000001002b391a in mark_object (arg=XIL(0x166e27cc5)) at alloc.c:6566
#2140 0x00000001002b3d33 in mark_object (arg=XIL(0x164f553d3)) at alloc.c:6628
#2141 0x00000001002b3b04 in mark_object (arg=XIL(0x6646c020)) at alloc.c:6585
#2142 0x00000001002b5813 in mark_vectorlike (header=0x17081e9b0)
    at alloc.c:6157
#2143 0x00000001002b391a in mark_object (arg=XIL(0x17081e9b5)) at alloc.c:6566
#2144 0x00000001002b5813 in mark_vectorlike (header=0x17081e980)
    at alloc.c:6157
#2145 0x00000001002b391a in mark_object (arg=XIL(0x17081e985)) at alloc.c:6566
#2146 0x00000001002b3d33 in mark_object (arg=XIL(0x170c499a3)) at alloc.c:6628
#2147 0x00000001002b3b04 in mark_object (arg=XIL(0x6646c0b0)) at alloc.c:6585
#2148 0x00000001002b5813 in mark_vectorlike (header=0x17081ebe0)
    at alloc.c:6157
#2149 0x00000001002b391a in mark_object (arg=XIL(0x17081ebe5)) at alloc.c:6566
#2150 0x00000001002b5813 in mark_vectorlike (header=0x17081ebb0)
    at alloc.c:6157
#2151 0x00000001002b391a in mark_object (arg=XIL(0x17081ebb5)) at alloc.c:6566
#2152 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49993)) at alloc.c:6628
#2153 0x00000001002b3b04 in mark_object (arg=XIL(0x1d8073e0)) at alloc.c:6585
#2154 0x00000001002b5813 in mark_vectorlike (header=0x166e26c30)
    at alloc.c:6157
#2155 0x00000001002b391a in mark_object (arg=XIL(0x166e26c35)) at alloc.c:6566
#2156 0x00000001002b5813 in mark_vectorlike (header=0x166e25fa0)
    at alloc.c:6157
#2157 0x00000001002b391a in mark_object (arg=XIL(0x166e25fa5)) at alloc.c:6566
#2158 0x00000001002b3d33 in mark_object (arg=XIL(0x164f54c13)) at alloc.c:6628
#2159 0x00000001002b3b04 in mark_object (arg=XIL(0x1d807590)) at alloc.c:6585
--Type <RET> for more, q to quit, c to continue without paging--
#2160 0x00000001002b5813 in mark_vectorlike (header=0x166e27f20)
    at alloc.c:6157
#2161 0x00000001002b391a in mark_object (arg=XIL(0x166e27f25)) at alloc.c:6566
#2162 0x00000001002b5813 in mark_vectorlike (header=0x166e27ef0)
    at alloc.c:6157
#2163 0x00000001002b391a in mark_object (arg=XIL(0x166e27ef5)) at alloc.c:6566
#2164 0x00000001002b3d33 in mark_object (arg=XIL(0x164f553c3)) at alloc.c:6628
#2165 0x00000001002b3b04 in mark_object (arg=XIL(0x4011190)) at alloc.c:6585
#2166 0x00000001002b5813 in mark_vectorlike (header=0x11dcf2030)
    at alloc.c:6157
#2167 0x00000001002b391a in mark_object (arg=XIL(0x11dcf2035)) at alloc.c:6566
#2168 0x00000001002b5813 in mark_vectorlike (header=0x11dcf1320)
    at alloc.c:6157
#2169 0x00000001002b391a in mark_object (arg=XIL(0x11dcf1325)) at alloc.c:6566
#2170 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62a83)) at alloc.c:6628
#2171 0x00000001002b3b04 in mark_object (arg=XIL(0x1d124700)) at alloc.c:6585
#2172 0x00000001002b5813 in mark_vectorlike (header=0x11e173b00)
    at alloc.c:6157
#2173 0x00000001002b391a in mark_object (arg=XIL(0x11e173b05)) at alloc.c:6566
#2174 0x00000001002b5813 in mark_vectorlike (header=0x11e173ad0)
    at alloc.c:6157
#2175 0x00000001002b391a in mark_object (arg=XIL(0x11e173ad5)) at alloc.c:6566
#2176 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23753)) at alloc.c:6628
#2177 0x00000001002b3b04 in mark_object (arg=XIL(0x4215190)) at alloc.c:6585
#2178 0x00000001002b5813 in mark_vectorlike (header=0x11e354d20)
    at alloc.c:6157
#2179 0x00000001002b391a in mark_object (arg=XIL(0x11e354d25)) at alloc.c:6566
#2180 0x00000001002b5813 in mark_vectorlike (header=0x11e354cf0)
    at alloc.c:6157
#2181 0x00000001002b391a in mark_object (arg=XIL(0x11e354cf5)) at alloc.c:6566
#2182 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23423)) at alloc.c:6628
#2183 0x00000001002b3b04 in mark_object (arg=XIL(0x45ca9e0)) at alloc.c:6585
#2184 0x00000001002b5813 in mark_vectorlike (header=0x107915710)
    at alloc.c:6157
#2185 0x00000001002b391a in mark_object (arg=XIL(0x107915715)) at alloc.c:6566
#2186 0x00000001002b5813 in mark_vectorlike (header=0x1079156e0)
    at alloc.c:6157
#2187 0x00000001002b391a in mark_object (arg=XIL(0x1079156e5)) at alloc.c:6566
#2188 0x00000001002b3d33 in mark_object (arg=XIL(0x170c48da3)) at alloc.c:6628
#2189 0x00000001002b3b04 in mark_object (arg=XIL(0x4374150)) at alloc.c:6585
#2190 0x00000001002b5813 in mark_vectorlike (header=0x164bc8860)
    at alloc.c:6157
#2191 0x00000001002b391a in mark_object (arg=XIL(0x164bc8865)) at alloc.c:6566
#2192 0x00000001002b5813 in mark_vectorlike (header=0x164bc8830)
    at alloc.c:6157
#2193 0x00000001002b391a in mark_object (arg=XIL(0x164bc8835)) at alloc.c:6566
#2194 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55713)) at alloc.c:6628
#2195 0x00000001002b3b04 in mark_object (arg=XIL(0x3f80b00)) at alloc.c:6585
#2196 0x00000001002b5813 in mark_vectorlike (header=0x1059741e0)
--Type <RET> for more, q to quit, c to continue without paging--
    at alloc.c:6157
#2197 0x00000001002b391a in mark_object (arg=XIL(0x1059741e5)) at alloc.c:6566
#2198 0x00000001002b5813 in mark_vectorlike (header=0x1059741b0)
    at alloc.c:6157
#2199 0x00000001002b391a in mark_object (arg=XIL(0x1059741b5)) at alloc.c:6566
#2200 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64c13)) at alloc.c:6628
#2201 0x00000001002b3b04 in mark_object (arg=XIL(0x3f80b90)) at alloc.c:6585
#2202 0x00000001002b5813 in mark_vectorlike (header=0x105975060)
    at alloc.c:6157
#2203 0x00000001002b391a in mark_object (arg=XIL(0x105975065)) at alloc.c:6566
#2204 0x00000001002b5813 in mark_vectorlike (header=0x105975030)
    at alloc.c:6157
#2205 0x00000001002b391a in mark_object (arg=XIL(0x105975035)) at alloc.c:6566
#2206 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64c03)) at alloc.c:6628
#2207 0x00000001002b3b04 in mark_object (arg=XIL(0x47fa220)) at alloc.c:6585
#2208 0x00000001002b5813 in mark_vectorlike (header=0x164a87b20)
    at alloc.c:6157
#2209 0x00000001002b391a in mark_object (arg=XIL(0x164a87b25)) at alloc.c:6566
#2210 0x00000001002b5813 in mark_vectorlike (header=0x164a87af0)
    at alloc.c:6157
#2211 0x00000001002b391a in mark_object (arg=XIL(0x164a87af5)) at alloc.c:6566
#2212 0x00000001002b3d33 in mark_object (arg=XIL(0x164f55413)) at alloc.c:6628
#2213 0x00000001002b3b04 in mark_object (arg=XIL(0x1d178a70)) at alloc.c:6585
#2214 0x00000001002b5813 in mark_vectorlike (header=0x11dcdfc60)
    at alloc.c:6157
#2215 0x00000001002b391a in mark_object (arg=XIL(0x11dcdfc65)) at alloc.c:6566
#2216 0x00000001002b5813 in mark_vectorlike (header=0x11dcdfc30)
    at alloc.c:6157
#2217 0x00000001002b391a in mark_object (arg=XIL(0x11dcdfc35)) at alloc.c:6566
#2218 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62013)) at alloc.c:6628
#2219 0x00000001002b3b04 in mark_object (arg=XIL(0x1d178b00)) at alloc.c:6585
#2220 0x00000001002b5813 in mark_vectorlike (header=0x11dcdfe90)
    at alloc.c:6157
#2221 0x00000001002b391a in mark_object (arg=XIL(0x11dcdfe95)) at alloc.c:6566
#2222 0x00000001002b5813 in mark_vectorlike (header=0x11dcdfe60)
    at alloc.c:6157
#2223 0x00000001002b391a in mark_object (arg=XIL(0x11dcdfe65)) at alloc.c:6566
#2224 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62003)) at alloc.c:6628
#2225 0x00000001002b3b04 in mark_object (arg=XIL(0x660eab50)) at alloc.c:6585
#2226 0x00000001002b5813 in mark_vectorlike (header=0x107a63460)
    at alloc.c:6157
#2227 0x00000001002b391a in mark_object (arg=XIL(0x107a63465)) at alloc.c:6566
#2228 0x00000001002b5813 in mark_vectorlike (header=0x107a63430)
    at alloc.c:6157
#2229 0x00000001002b391a in mark_object (arg=XIL(0x107a63435)) at alloc.c:6566
#2230 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56453)) at alloc.c:6628
#2231 0x00000001002b3b04 in mark_object (arg=XIL(0x1d178b90)) at alloc.c:6585
#2232 0x00000001002b5813 in mark_vectorlike (header=0x11dce0d20)
    at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#2233 0x00000001002b391a in mark_object (arg=XIL(0x11dce0d25)) at alloc.c:6566
#2234 0x00000001002b5813 in mark_vectorlike (header=0x11dce0cf0)
    at alloc.c:6157
#2235 0x00000001002b391a in mark_object (arg=XIL(0x11dce0cf5)) at alloc.c:6566
#2236 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62bd3)) at alloc.c:6628
#2237 0x00000001002b3b04 in mark_object (arg=XIL(0x1d178c20)) at alloc.c:6585
#2238 0x00000001002b5813 in mark_vectorlike (header=0x11dce1c30)
    at alloc.c:6157
#2239 0x00000001002b391a in mark_object (arg=XIL(0x11dce1c35)) at alloc.c:6566
#2240 0x00000001002b5813 in mark_vectorlike (header=0x11dce0f20)
    at alloc.c:6157
#2241 0x00000001002b391a in mark_object (arg=XIL(0x11dce0f25)) at alloc.c:6566
#2242 0x00000001002b3d33 in mark_object (arg=XIL(0x170c62bc3)) at alloc.c:6628
#2243 0x00000001002b3b04 in mark_object (arg=XIL(0x660eabe0)) at alloc.c:6585
#2244 0x00000001002b5813 in mark_vectorlike (header=0x107a642f0)
    at alloc.c:6157
#2245 0x00000001002b391a in mark_object (arg=XIL(0x107a642f5)) at alloc.c:6566
#2246 0x00000001002b5813 in mark_vectorlike (header=0x107a642c0)
    at alloc.c:6157
#2247 0x00000001002b391a in mark_object (arg=XIL(0x107a642c5)) at alloc.c:6566
#2248 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56443)) at alloc.c:6628
#2249 0x00000001002b3b04 in mark_object (arg=XIL(0x660eac70)) at alloc.c:6585
#2250 0x00000001002b5813 in mark_vectorlike (header=0x107a64520)
    at alloc.c:6157
#2251 0x00000001002b391a in mark_object (arg=XIL(0x107a64525)) at alloc.c:6566
#2252 0x00000001002b5813 in mark_vectorlike (header=0x107a644f0)
    at alloc.c:6157
#2253 0x00000001002b391a in mark_object (arg=XIL(0x107a644f5)) at alloc.c:6566
#2254 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56433)) at alloc.c:6628
#2255 0x00000001002b3b04 in mark_object (arg=XIL(0x65e21870)) at alloc.c:6585
#2256 0x00000001002b5813 in mark_vectorlike (header=0x11dd0da10)
    at alloc.c:6157
#2257 0x00000001002b391a in mark_object (arg=XIL(0x11dd0da15)) at alloc.c:6566
#2258 0x00000001002b5813 in mark_vectorlike (header=0x11dd0d9e0)
    at alloc.c:6157
#2259 0x00000001002b391a in mark_object (arg=XIL(0x11dd0d9e5)) at alloc.c:6566
#2260 0x00000001002b3d33 in mark_object (arg=XIL(0x164f57003)) at alloc.c:6628
#2261 0x00000001002b3b04 in mark_object (arg=XIL(0x1d2e4870)) at alloc.c:6585
#2262 0x00000001002b5813 in mark_vectorlike (header=0x11dd20fa0)
    at alloc.c:6157
#2263 0x00000001002b391a in mark_object (arg=XIL(0x11dd20fa5)) at alloc.c:6566
#2264 0x00000001002b5813 in mark_vectorlike (header=0x11dd20f70)
    at alloc.c:6157
#2265 0x00000001002b391a in mark_object (arg=XIL(0x11dd20f75)) at alloc.c:6566
#2266 0x00000001002b3d33 in mark_object (arg=XIL(0x170c48f53)) at alloc.c:6628
#2267 0x00000001002b3b04 in mark_object (arg=XIL(0x1d1baf50)) at alloc.c:6585
#2268 0x00000001002b5813 in mark_vectorlike (header=0x104bc9ec0)
    at alloc.c:6157
#2269 0x00000001002b391a in mark_object (arg=XIL(0x104bc9ec5)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#2270 0x00000001002b5813 in mark_vectorlike (header=0x11def8260)
    at alloc.c:6157
#2271 0x00000001002b391a in mark_object (arg=XIL(0x11def8265)) at alloc.c:6566
#2272 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5cb63)) at alloc.c:6628
#2273 0x00000001002b3b04 in mark_object (arg=XIL(0x1cef12b0)) at alloc.c:6585
#2274 0x00000001002b5813 in mark_vectorlike (header=0x11dbf5b10)
    at alloc.c:6157
#2275 0x00000001002b391a in mark_object (arg=XIL(0x11dbf5b15)) at alloc.c:6566
#2276 0x00000001002b5813 in mark_vectorlike (header=0x11e2ebf60)
    at alloc.c:6157
#2277 0x00000001002b391a in mark_object (arg=XIL(0x11e2ebf65)) at alloc.c:6566
#2278 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5bdf3)) at alloc.c:6628
#2279 0x00000001002b3b04 in mark_object (arg=XIL(0x1ceab7e0)) at alloc.c:6585
#2280 0x00000001002b5813 in mark_vectorlike (header=0x164be7c30)
    at alloc.c:6157
#2281 0x00000001002b391a in mark_object (arg=XIL(0x164be7c35)) at alloc.c:6566
#2282 0x00000001002b5813 in mark_vectorlike (header=0x107a36f20)
    at alloc.c:6157
#2283 0x00000001002b391a in mark_object (arg=XIL(0x107a36f25)) at alloc.c:6566
#2284 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5ca73)) at alloc.c:6628
#2285 0x00000001002b3b04 in mark_object (arg=XIL(0x4233d00)) at alloc.c:6585
#2286 0x00000001002b5813 in mark_vectorlike (header=0x11e3e3f20)
    at alloc.c:6157
#2287 0x00000001002b391a in mark_object (arg=XIL(0x11e3e3f25)) at alloc.c:6566
#2288 0x00000001002b5813 in mark_vectorlike (header=0x11e3e3ef0)
    at alloc.c:6157
#2289 0x00000001002b391a in mark_object (arg=XIL(0x11e3e3ef5)) at alloc.c:6566
#2290 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64b43)) at alloc.c:6628
#2291 0x00000001002b3b04 in mark_object (arg=XIL(0x64092790)) at alloc.c:6585
#2292 0x00000001002b5813 in mark_vectorlike (header=0x166f98df0)
    at alloc.c:6157
#2293 0x00000001002b391a in mark_object (arg=XIL(0x166f98df5)) at alloc.c:6566
#2294 0x00000001002b5813 in mark_vectorlike (header=0x166f98dc0)
    at alloc.c:6157
#2295 0x00000001002b391a in mark_object (arg=XIL(0x166f98dc5)) at alloc.c:6566
#2296 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49d33)) at alloc.c:6628
#2297 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77dd00)) at alloc.c:6585
#2298 0x00000001002b5813 in mark_vectorlike (header=0x107a72c30)
    at alloc.c:6157
#2299 0x00000001002b391a in mark_object (arg=XIL(0x107a72c35)) at alloc.c:6566
#2300 0x00000001002b5813 in mark_vectorlike (header=0x107a71fa0)
    at alloc.c:6157
#2301 0x00000001002b391a in mark_object (arg=XIL(0x107a71fa5)) at alloc.c:6566
#2302 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56ab3)) at alloc.c:6628
#2303 0x00000001002b3b04 in mark_object (arg=XIL(0x429d900)) at alloc.c:6585
#2304 0x00000001002b5813 in mark_vectorlike (header=0x11e3dfe60)
    at alloc.c:6157
#2305 0x00000001002b391a in mark_object (arg=XIL(0x11e3dfe65)) at alloc.c:6566
#2306 0x00000001002b5813 in mark_vectorlike (header=0x11e3dfe30)
--Type <RET> for more, q to quit, c to continue without paging--
    at alloc.c:6157
#2307 0x00000001002b391a in mark_object (arg=XIL(0x11e3dfe35)) at alloc.c:6566
#2308 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64bb3)) at alloc.c:6628
#2309 0x00000001002b3b04 in mark_object (arg=XIL(0xd3c74b0)) at alloc.c:6585
#2310 0x00000001002b5813 in mark_vectorlike (header=0x105ad5de0)
    at alloc.c:6157
#2311 0x00000001002b391a in mark_object (arg=XIL(0x105ad5de5)) at alloc.c:6566
#2312 0x00000001002b5813 in mark_vectorlike (header=0x105ad5db0)
    at alloc.c:6157
#2313 0x00000001002b391a in mark_object (arg=XIL(0x105ad5db5)) at alloc.c:6566
#2314 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a0a3)) at alloc.c:6628
#2315 0x00000001002b3b04 in mark_object (arg=XIL(0x42042b0)) at alloc.c:6585
#2316 0x00000001002b5813 in mark_vectorlike (header=0x107928be0)
    at alloc.c:6157
#2317 0x00000001002b391a in mark_object (arg=XIL(0x107928be5)) at alloc.c:6566
#2318 0x00000001002b5813 in mark_vectorlike (header=0x107928bb0)
    at alloc.c:6157
#2319 0x00000001002b391a in mark_object (arg=XIL(0x107928bb5)) at alloc.c:6566
#2320 0x00000001002b3d33 in mark_object (arg=XIL(0x170c64803)) at alloc.c:6628
#2321 0x00000001002b3b04 in mark_object (arg=XIL(0x65e21990)) at alloc.c:6585
#2322 0x00000001002b5813 in mark_vectorlike (header=0x166e31290)
    at alloc.c:6157
#2323 0x00000001002b391a in mark_object (arg=XIL(0x166e31295)) at alloc.c:6566
#2324 0x00000001002b5813 in mark_vectorlike (header=0x166e31260)
    at alloc.c:6157
#2325 0x00000001002b391a in mark_object (arg=XIL(0x166e31265)) at alloc.c:6566
#2326 0x00000001002b3d33 in mark_object (arg=XIL(0x164f577c3)) at alloc.c:6628
#2327 0x00000001002b3b04 in mark_object (arg=XIL(0x6620fa70)) at alloc.c:6585
#2328 0x00000001002b5813 in mark_vectorlike (header=0x11e58ff50)
    at alloc.c:6157
#2329 0x00000001002b391a in mark_object (arg=XIL(0x11e58ff55)) at alloc.c:6566
#2330 0x00000001002b5813 in mark_vectorlike (header=0x11e58ff20)
    at alloc.c:6157
#2331 0x00000001002b391a in mark_object (arg=XIL(0x11e58ff25)) at alloc.c:6566
#2332 0x00000001002b3d33 in mark_object (arg=XIL(0x164f580c3)) at alloc.c:6628
#2333 0x00000001002b3b04 in mark_object (arg=XIL(0x1d0f4ab0)) at alloc.c:6585
#2334 0x00000001002b5813 in mark_vectorlike (header=0x164bcdc30)
    at alloc.c:6157
#2335 0x00000001002b391a in mark_object (arg=XIL(0x164bcdc35)) at alloc.c:6566
#2336 0x00000001002b5813 in mark_vectorlike (header=0x107a15320)
    at alloc.c:6157
#2337 0x00000001002b391a in mark_object (arg=XIL(0x107a15325)) at alloc.c:6566
#2338 0x00000001002b3d33 in mark_object (arg=XIL(0x170c59c43)) at alloc.c:6628
#2339 0x00000001002b3b04 in mark_object (arg=XIL(0x1d120070)) at alloc.c:6585
#2340 0x00000001002b5813 in mark_vectorlike (header=0x164a5ad20)
    at alloc.c:6157
#2341 0x00000001002b391a in mark_object (arg=XIL(0x164a5ad25)) at alloc.c:6566
#2342 0x00000001002b5813 in mark_vectorlike (header=0x164a5acf0)
    at alloc.c:6157
--Type <RET> for more, q to quit, c to continue without paging--
#2343 0x00000001002b391a in mark_object (arg=XIL(0x164a5acf5)) at alloc.c:6566
#2344 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5a613)) at alloc.c:6628
#2345 0x00000001002b3b04 in mark_object (arg=XIL(0x1dd57700)) at alloc.c:6585
#2346 0x00000001002b5813 in mark_vectorlike (header=0x11e330e30)
    at alloc.c:6157
#2347 0x00000001002b391a in mark_object (arg=XIL(0x11e330e35)) at alloc.c:6566
#2348 0x00000001002b5813 in mark_vectorlike (header=0x11e330030)
    at alloc.c:6157
#2349 0x00000001002b391a in mark_object (arg=XIL(0x11e330035)) at alloc.c:6566
#2350 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c793)) at alloc.c:6628
#2351 0x00000001002b3b04 in mark_object (arg=XIL(0x1d886190)) at alloc.c:6585
#2352 0x00000001002b5813 in mark_vectorlike (header=0x11e3b1d80)
    at alloc.c:6157
#2353 0x00000001002b391a in mark_object (arg=XIL(0x11e3b1d85)) at alloc.c:6566
#2354 0x00000001002b5813 in mark_vectorlike (header=0x11e3b1d50)
    at alloc.c:6157
#2355 0x00000001002b391a in mark_object (arg=XIL(0x11e3b1d55)) at alloc.c:6566
#2356 0x00000001002b3d33 in mark_object (arg=XIL(0x164f583b3)) at alloc.c:6628
#2357 0x00000001002b3b04 in mark_object (arg=XIL(0x1d886070)) at alloc.c:6585
#2358 0x00000001002b5813 in mark_vectorlike (header=0x11e3b1920)
    at alloc.c:6157
#2359 0x00000001002b391a in mark_object (arg=XIL(0x11e3b1925)) at alloc.c:6566
#2360 0x00000001002b5813 in mark_vectorlike (header=0x11e3b18f0)
    at alloc.c:6157
#2361 0x00000001002b391a in mark_object (arg=XIL(0x11e3b18f5)) at alloc.c:6566
#2362 0x00000001002b3d33 in mark_object (arg=XIL(0x164f583d3)) at alloc.c:6628
#2363 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77d500)) at alloc.c:6585
#2364 0x00000001002b5813 in mark_vectorlike (header=0x107a69460)
    at alloc.c:6157
#2365 0x00000001002b391a in mark_object (arg=XIL(0x107a69465)) at alloc.c:6566
#2366 0x00000001002b5813 in mark_vectorlike (header=0x107a69430)
    at alloc.c:6157
#2367 0x00000001002b391a in mark_object (arg=XIL(0x107a69435)) at alloc.c:6566
#2368 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56b93)) at alloc.c:6628
#2369 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77d470)) at alloc.c:6585
#2370 0x00000001002b5813 in mark_vectorlike (header=0x107a69230)
    at alloc.c:6157
#2371 0x00000001002b391a in mark_object (arg=XIL(0x107a69235)) at alloc.c:6566
#2372 0x00000001002b5813 in mark_vectorlike (header=0x107a685a0)
    at alloc.c:6157
#2373 0x00000001002b391a in mark_object (arg=XIL(0x107a685a5)) at alloc.c:6566
#2374 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56ba3)) at alloc.c:6628
#2375 0x00000001002b3b04 in mark_object (arg=XIL(0x1d25e3e0)) at alloc.c:6585
#2376 0x00000001002b5813 in mark_vectorlike (header=0x11e2be080)
    at alloc.c:6157
#2377 0x00000001002b391a in mark_object (arg=XIL(0x11e2be085)) at alloc.c:6566
#2378 0x00000001002b5813 in mark_vectorlike (header=0x11e2be050)
    at alloc.c:6157
#2379 0x00000001002b391a in mark_object (arg=XIL(0x11e2be055)) at alloc.c:6566
--Type <RET> for more, q to quit, c to continue without paging--
#2380 0x00000001002b3d33 in mark_object (arg=XIL(0x164f57553)) at alloc.c:6628
#2381 0x00000001002b3b04 in mark_object (arg=XIL(0x1d77da20)) at alloc.c:6585
#2382 0x00000001002b5813 in mark_vectorlike (header=0x107a6fc30)
    at alloc.c:6157
#2383 0x00000001002b391a in mark_object (arg=XIL(0x107a6fc35)) at alloc.c:6566
#2384 0x00000001002b5813 in mark_vectorlike (header=0x107a6efa0)
    at alloc.c:6157
#2385 0x00000001002b391a in mark_object (arg=XIL(0x107a6efa5)) at alloc.c:6566
#2386 0x00000001002b3d33 in mark_object (arg=XIL(0x164f56b03)) at alloc.c:6628
#2387 0x00000001002b3b04 in mark_object (arg=XIL(0x4ea6500)) at alloc.c:6585
#2388 0x00000001002b5813 in mark_vectorlike (header=0x105906c70)
    at alloc.c:6157
#2389 0x00000001002b391a in mark_object (arg=XIL(0x105906c75)) at alloc.c:6566
#2390 0x00000001002b5813 in mark_vectorlike (header=0x10598a2f0)
    at alloc.c:6157
#2391 0x00000001002b391a in mark_object (arg=XIL(0x10598a2f5)) at alloc.c:6566
#2392 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c9e3)) at alloc.c:6628
#2393 0x00000001002b3b04 in mark_object (arg=XIL(0x642d3750)) at alloc.c:6585
#2394 0x00000001002b5813 in mark_vectorlike (header=0x11e391060)
    at alloc.c:6157
#2395 0x00000001002b391a in mark_object (arg=XIL(0x11e391065)) at alloc.c:6566
#2396 0x00000001002b5813 in mark_vectorlike (header=0x11e391030)
    at alloc.c:6157
#2397 0x00000001002b391a in mark_object (arg=XIL(0x11e391035)) at alloc.c:6566
#2398 0x00000001002b3d33 in mark_object (arg=XIL(0x164f58073)) at alloc.c:6628
#2399 0x00000001002b3b04 in mark_object (arg=XIL(0x642e97e0)) at alloc.c:6585
#2400 0x00000001002b5813 in mark_vectorlike (header=0x164aca660)
    at alloc.c:6157
#2401 0x00000001002b391a in mark_object (arg=XIL(0x164aca665)) at alloc.c:6566
#2402 0x00000001002b5813 in mark_vectorlike (header=0x164aca630)
    at alloc.c:6157
#2403 0x00000001002b391a in mark_object (arg=XIL(0x164aca635)) at alloc.c:6566
#2404 0x00000001002b3d33 in mark_object (arg=XIL(0x164f57083)) at alloc.c:6628
#2405 0x00000001002b3b04 in mark_object (arg=XIL(0x6646c270)) at alloc.c:6585
#2406 0x00000001002b5813 in mark_vectorlike (header=0x17081fa90)
    at alloc.c:6157
#2407 0x00000001002b391a in mark_object (arg=XIL(0x17081fa95)) at alloc.c:6566
#2408 0x00000001002b5813 in mark_vectorlike (header=0x17081fa60)
    at alloc.c:6157
#2409 0x00000001002b391a in mark_object (arg=XIL(0x17081fa65)) at alloc.c:6566
#2410 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49963)) at alloc.c:6628
#2411 0x00000001002b3b04 in mark_object (arg=XIL(0x6646c300)) at alloc.c:6585
#2412 0x00000001002b5813 in mark_vectorlike (header=0x17081fcc0)
    at alloc.c:6157
#2413 0x00000001002b391a in mark_object (arg=XIL(0x17081fcc5)) at alloc.c:6566
#2414 0x00000001002b5813 in mark_vectorlike (header=0x17081fc90)
    at alloc.c:6157
#2415 0x00000001002b391a in mark_object (arg=XIL(0x17081fc95)) at alloc.c:6566
#2416 0x00000001002b3d33 in mark_object (arg=XIL(0x170c49953)) at alloc.c:6628
--Type <RET> for more, q to quit, c to continue without paging--
#2417 0x00000001002b3b04 in mark_object (arg=XIL(0x642fbd00)) at alloc.c:6585
#2418 0x00000001002b5813 in mark_vectorlike (header=0x105961260)
    at alloc.c:6157
#2419 0x00000001002b391a in mark_object (arg=XIL(0x105961265)) at alloc.c:6566
#2420 0x00000001002b5813 in mark_vectorlike (header=0x105961230)
    at alloc.c:6157
#2421 0x00000001002b391a in mark_object (arg=XIL(0x105961235)) at alloc.c:6566
#2422 0x00000001002b3d33 in mark_object (arg=XIL(0x164f549c3)) at alloc.c:6628
#2423 0x00000001002b3b04 in mark_object (arg=XIL(0x1d80a1e0)) at alloc.c:6585
#2424 0x00000001002b5813 in mark_vectorlike (header=0x11e3c5c60)
    at alloc.c:6157
#2425 0x00000001002b391a in mark_object (arg=XIL(0x11e3c5c65)) at alloc.c:6566
#2426 0x00000001002b5813 in mark_vectorlike (header=0x11e3c5c30)
    at alloc.c:6157
#2427 0x00000001002b391a in mark_object (arg=XIL(0x11e3c5c35)) at alloc.c:6566
#2428 0x00000001002b3d33 in mark_object (arg=XIL(0x170c639b3)) at alloc.c:6628
#2429 0x00000001002b3b04 in mark_object (arg=XIL(0x6636fa20)) at alloc.c:6585
#2430 0x00000001002b5813 in mark_vectorlike (header=0x11e3990c0)
    at alloc.c:6157
#2431 0x00000001002b391a in mark_object (arg=XIL(0x11e3990c5)) at alloc.c:6566
#2432 0x00000001002b5813 in mark_vectorlike (header=0x11e399090)
    at alloc.c:6157
#2433 0x00000001002b391a in mark_object (arg=XIL(0x11e399095)) at alloc.c:6566
#2434 0x00000001002b3d33 in mark_object (arg=XIL(0x164f573c3)) at alloc.c:6628
#2435 0x00000001002b3b04 in mark_object (arg=XIL(0x1d7fd070)) at alloc.c:6585
#2436 0x00000001002b5813 in mark_vectorlike (header=0x10518f720)
    at alloc.c:6157
#2437 0x00000001002b391a in mark_object (arg=XIL(0x10518f725)) at alloc.c:6566
#2438 0x00000001002b5813 in mark_vectorlike (header=0x10518f6f0)
    at alloc.c:6157
#2439 0x00000001002b391a in mark_object (arg=XIL(0x10518f6f5)) at alloc.c:6566
#2440 0x00000001002b3d33 in mark_object (arg=XIL(0x164f554b3)) at alloc.c:6628
#2441 0x00000001002b3b04 in mark_object (arg=XIL(0x661e9f90)) at alloc.c:6585
#2442 0x00000001002b5813 in mark_vectorlike (header=0x11dc63c90)
    at alloc.c:6157
#2443 0x00000001002b391a in mark_object (arg=XIL(0x11dc63c95)) at alloc.c:6566
#2444 0x00000001002b5813 in mark_vectorlike (header=0x11dc63c60)
    at alloc.c:6157
#2445 0x00000001002b391a in mark_object (arg=XIL(0x11dc63c65)) at alloc.c:6566
#2446 0x00000001002b3d33 in mark_object (arg=XIL(0x164e23743)) at alloc.c:6628
#2447 0x00000001002b3b04 in mark_object (arg=XIL(0x1d0482b0)) at alloc.c:6585
#2448 0x00000001002b5813 in mark_vectorlike (header=0x166e10d30)
    at alloc.c:6157
#2449 0x00000001002b391a in mark_object (arg=XIL(0x166e10d35)) at alloc.c:6566
#2450 0x00000001002b5813 in mark_vectorlike (header=0x166e10d00)
    at alloc.c:6157
#2451 0x00000001002b391a in mark_object (arg=XIL(0x166e10d05)) at alloc.c:6566
#2452 0x00000001002b3d33 in mark_object (arg=XIL(0x170c5c503)) at alloc.c:6628
#2453 0x00000001002b3b04 in mark_object (arg=XIL(0x6636f620)) at alloc.c:6585
--Type <RET> for more, q to quit, c to continue without paging--q
Quit
(gdb) i thr
  Id   Target Id                      Frame 
* 3    Thread 0x2203 of process 49024 dead_object () at ./lisp.h:1303
  7    Thread 0x541b of process 49024 0x00007fff72c1fcf2 in ?? ()
   from /usr/lib/system/libsystem_kernel.dylib
  10   Thread 0x2b03 of process 49024 0x00007fff72c1fcf2 in ?? ()
   from /usr/lib/system/libsystem_kernel.dylib
  14   Thread 0x5237 of process 49024 0x00007fff72c161fa in ?? ()
   from /usr/lib/system/libsystem_kernel.dylib
  111  Thread 0xf23 of process 49024  0x00007fff72c2028a in ?? ()
   from /usr/lib/system/libsystem_kernel.dylib
  113  Thread 0x2cbb of process 49024 0x00007fff72de6bdc in start_wqthread ()
   from /usr/lib/system/libsystem_pthread.dylib
  114  Thread 0x2d33 of process 49024 0x00007fff72c2028a in ?? ()
   from /usr/lib/system/libsystem_kernel.dylib
(gdb) p $rsp
$1 = (void *) 0x7ffeef270ff0
(gdb)

--=-=-=
Content-Type: text/plain


-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 12 Mar 2020 15:23:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 12 11:23:32 2020
Received: from localhost ([127.0.0.1]:57686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCPgJ-000685-Q3
	for submit <at> debbugs.gnu.org; Thu, 12 Mar 2020 11:23:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jCPgH-00067s-LF
 for 39962 <at> debbugs.gnu.org; Thu, 12 Mar 2020 11:23:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59342)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jCPgB-0007UI-B8; Thu, 12 Mar 2020 11:23:23 -0400
Received: from [176.228.60.248] (port=3491 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jCPgA-0007HN-PF; Thu, 12 Mar 2020 11:23:23 -0400
Date: Thu, 12 Mar 2020 17:23:29 +0200
Message-Id: <83blp1siku.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-Reply-To: <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
 (message from Pip Cet on Thu, 12 Mar 2020 10:32:16 +0000)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
 <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Thu, 12 Mar 2020 10:32:16 +0000
> Cc: pieter-l@HIDDEN, 39962 <at> debbugs.gnu.org, eggert@HIDDEN
> 
> On Wed, Mar 11, 2020 at 7:34 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > > Did you audit all the users of this function, both direct and
> > > > indirect?  Some of them are outside of GC.
> > >
> > > Thanks for the comment; I just re-checked, and they look fine to me.
> >
> > ??? Fine in what way?
> 
> It doesn't affect visible behavior of any callers, except in the case
> where the previous behavior was buggy.

I guess we have different notions of "visible" and "buggy".

> What confused me is that live_buffer and live_buffer_p both exist and
> do wildly different things.

They do very similar things, AFAICT.

> I'm most certainly not changing the semantics of live_buffer, if
> that's what you're worried about. I am changing the semantics of
> live_buffer_p, which is an internal function, and my initial patch
> also changed the return value of valid_lisp_object_p, to another value
> that would be treated equivalently. If there are objections to that,
> we can easily distinguish the two cases.

I actually don't understand why we need to make such a change.

> And I think "so we don't collect reachable objects" is a fairly good
> reason, generally.

I didn't say it wasn't good, I said it didn't justify the proposed
solution.

How about if you tell more about the root cause of the crash you are
trying to solve, and why disregarding the fact that a buffer is killed
is the way to solve it?

> > The problem you are trying to solve is rare
> 
> I think it would become much less rare with lexical binding in effect,
> at least when the code's byte-compiled.

That remains to be seen.

> > since this code was with us since 20 years ago without
> > anyone bumping into it,
> 
> That we know of. They might have just accrued it to random Emacs crashes.

Then again, they might not.  We don't really have any evidence to that
effect, all we know is that the code survived virtually intact since
the day it was written.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 12 Mar 2020 13:56:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 12 09:56:41 2020
Received: from localhost ([127.0.0.1]:57587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCOKH-0003ho-9e
	for submit <at> debbugs.gnu.org; Thu, 12 Mar 2020 09:56:41 -0400
Received: from mail-ot1-f45.google.com ([209.85.210.45]:34048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jCOKE-0003hb-W2
 for 39962 <at> debbugs.gnu.org; Thu, 12 Mar 2020 09:56:39 -0400
Received: by mail-ot1-f45.google.com with SMTP id j16so6290822otl.1
 for <39962 <at> debbugs.gnu.org>; Thu, 12 Mar 2020 06:56:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=HNv8vG0ZK2ITaLKieDAjiozad7PQrs64BKKy0n0o11s=;
 b=m5B7KxhISfNMrqT0fq0DOpnbpxSDP2wBUGqk8jG+UEIfJSJX4D3W8ZW7o8Ox3F9y0k
 WNexl8nraUj43YKgmJXIaQSgFsV/7tT78W6zoCAi8yAl7TVEzlzMXUmknc1WG2RxNZ72
 d/p6KMgyqUdt7uBMDncPTX8MygvepJlNqoDZbJK/75OHyu44h9TaQt2/7juLCsZxOgoS
 ZND8L/tRPgyI7P0AQMswD12qj97tKAanGCBLCIVt4N8pIMe/Nqb7Vof8eewfWsnTtVdK
 jHgjmz4LXuva6bfoGOfEbWc2SuFOH3477yXzLFgNs4KvF08EQKjTak9GjUIbgIXcEf/n
 6NRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=HNv8vG0ZK2ITaLKieDAjiozad7PQrs64BKKy0n0o11s=;
 b=PlrTXAROpXSctEZmhBTRdaNL3I6TWRIvhTqlj4PaYlojdT5qFBpe1Bi86PFYAzezMY
 Z8IFUaVV8mVwEhTjXOTKbUjxJTHKLWjmmXWA47QcBevsZb8WDXynzR7FK+IZrlqpU6VZ
 WPPUOARU8hoMFvABcBVuFeTzgmcY0evBJXZVHXMZoRT6hw8aQDsFsljnq/DhnYiCdsM3
 cx9ifl/CzZ6BxjRy9ZbBu6b7OtfYIU+WXsGK9ztyj3YHc7CoDMeZzTKNqjpdeyKA1wqL
 /KSOtVM3gT3IfbMAQumhtmZqPcP8CJ88JvAoB/QR8dgbWJnVFYTM4qy6HCEgb8lNyChu
 3YCg==
X-Gm-Message-State: ANhLgQ2KbHJbUqy+A6T+o+JrdCqIopcncGGEKoyaz90A6swwcclXjpta
 jdEVtK2IFCySSsypq7VLfPmY5CnSOwi7cvDo328=
X-Google-Smtp-Source: ADFU+vs+LQK/Ph8uMQv6K3RvMeBUtmnepv0F1y1dusWaSefP5njN5bNopFVMw3K+4MIS74jMmqrj+162sq0UU4R/7rc=
X-Received: by 2002:a9d:175:: with SMTP id 108mr6778669otu.287.1584021393213; 
 Thu, 12 Mar 2020 06:56:33 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <lx8sk6vev1.fsf@HIDDEN>
In-Reply-To: <lx8sk6vev1.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Thu, 12 Mar 2020 13:55:56 +0000
Message-ID: <CAOqdjBfawwRwNF=78__MsvGX8hH2W5Ait6aOkgRe2=cjgLoXtg@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Mar 11, 2020 at 8:03 PM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> With this patch I still get a crash. This time a sementation violation again in the garbage collector. So that doesn't solve the problem I am encountering.

It's not always the same crash, is it? That one looks like it might be
a stack overflow.

> Thread 3 received signal SIGSEGV, Segmentation fault.

Thread 3 is the main thread? What does "i thr" say, if gdb supports it on MacOS?

> 0x00000001002b5000 in vector_marked_p (v=0x160249fd0) at alloc.c:3715
> 3715      if (pdumper_object_p (v))
> (gdb) bt 10
> #0  0x00000001002b5000 in vector_marked_p (v=0x160249fd0) at alloc.c:3715
> #1  0x00000001002b369f in mark_object (arg=XIL(0x160249fd5)) at alloc.c:6480
> #2  0x00000001002b5813 in mark_vectorlike (header=0x160249f50) at alloc.c:6157
> #3  0x00000001002b391a in mark_object (arg=XIL(0x160249f55)) at alloc.c:6566
> #4  0x00000001002b5813 in mark_vectorlike (header=0x160249e60) at alloc.c:6157
> #5  0x00000001002b391a in mark_object (arg=XIL(0x160249e65)) at alloc.c:6566
> #6  0x00000001002b3d33 in mark_object (arg=XIL(0x167929583)) at alloc.c:6628
> #7  0x00000001002b3b04 in mark_object (arg=XIL(0x515dcd0)) at alloc.c:6585
> #8  0x00000001002b5813 in mark_vectorlike (header=0x11ddd20f0) at alloc.c:6157
> #9  0x00000001002b391a in mark_object (arg=XIL(0x11ddd20f5)) at alloc.c:6566
> (More stack frames follow...)
> Warning:
> Cannot insert breakpoint 0.
> Cannot access memory at address 0x7ffeef270f7f

My guess is 0x7ffeef270000 is your stack's guard page... Can you print
$rsp to confirm?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 12 Mar 2020 10:33:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 12 06:33:03 2020
Received: from localhost ([127.0.0.1]:56011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCL9D-0003u1-D1
	for submit <at> debbugs.gnu.org; Thu, 12 Mar 2020 06:33:03 -0400
Received: from mail-ot1-f42.google.com ([209.85.210.42]:32896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jCL9C-0003tT-0X
 for 39962 <at> debbugs.gnu.org; Thu, 12 Mar 2020 06:33:02 -0400
Received: by mail-ot1-f42.google.com with SMTP id g15so5595773otr.0
 for <39962 <at> debbugs.gnu.org>; Thu, 12 Mar 2020 03:33:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=smhj9tlEtJ8goOTF8UsAD0qPsluiKmL3q1Dkn7z2nYY=;
 b=A+bbAgWszFodlAfudqiLm3buDzsIp9jvfFFshuw2Iput5WlRu+j2Wvnv8w0KiUmE1s
 QvA42O7CGihx5yrbxBmytQ9lp5KIWvNVAYrv2E3OcSnilnrmGn4BuSExfA0HxjPP3Z9P
 UChfUnzS8mM2QLYSJ9M6sLh5cMipeENVPgJCfz+oLOqSo+wckOl/tCJFhH2pFVljL7I0
 CX5nXOkf2zI9RiTxipFjbO38u88yEvXpKFGKHhcr9ZWBTXDa7Zw3JuPAurDY/qLLRc8X
 +3csX0gAwSwPIHOlg8vz7UGYAyiWZLcaHjzViPYZ93aCQniltKQd8s8zuZa9VgkqrbHk
 ++KA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=smhj9tlEtJ8goOTF8UsAD0qPsluiKmL3q1Dkn7z2nYY=;
 b=FjJjL+bO0qX4QoHbxRiZwJAFrT1wLdv5QJrhhN5kF/ELqAn86VEn+eV0v4e0+JEB41
 Ake5fqMa0TRI92/bOcHMWvRAnKyvbS98UF5CXFQnYgvi6EbBjsv0XAHypf8N+kasCZUw
 xUdZhd0FVqyyqrcJk2G+8Qci+1xgZMrMLIV72q/F/0oYAge+uIW3SxG8bS2pSsz7jqMO
 TCN8WKqW/jLsZeJLILzwBnZ3+0Qo4NengQsDG+WqgBFbJiLF7iLLYxM/xc28KsTOhmRM
 SHl0S6x52WzH9/XODRnO0Jbcq+oM53v1Cc/JvITpdbTD/ikVZNRyUZvYW32LaKUthZez
 /X1Q==
X-Gm-Message-State: ANhLgQ1wth/sNgE2/fxB5wok5hctIdbJhXpfr+cvazPA56eTkeanVHsN
 G+akPG4PzlBKbici+Qbvdfotazdp5MvIN3eDXLU=
X-Google-Smtp-Source: ADFU+vukjGa39/0391MX8xVjr6uxFBsAyHLV2a48PAu8Rkpwb5ho9DGIdfBAiL6NR+Ub2bTc08myocyKcPsyHJ6bvSM=
X-Received: by 2002:a05:6830:11:: with SMTP id
 c17mr5144699otp.292.1584009175074; 
 Thu, 12 Mar 2020 03:32:55 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 <834kuuadod.fsf@HIDDEN>
In-Reply-To: <834kuuadod.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Thu, 12 Mar 2020 10:32:16 +0000
Message-ID: <CAOqdjBenhHO4-8kdKRZ-guo0h1ozwzDBZ6ddtXmjQRbHVZ=4AA@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Mar 11, 2020 at 7:34 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > Did you audit all the users of this function, both direct and
> > > indirect?  Some of them are outside of GC.
> >
> > Thanks for the comment; I just re-checked, and they look fine to me.
>
> ??? Fine in what way?

It doesn't affect visible behavior of any callers, except in the case
where the previous behavior was buggy.

> One of the callers is live_buffer_p, which is
> called by valid_lisp_object_p, which is expected to return a special
> value for dead buffers.  Your change will break that, no?

Who's expecting valid_lisp_object_p to return a special value for dead buffers?

The only calls to it that I see check merely whether the return value
is != 0 or > 0, both of which tests remain invariant. Am I missing
something?

What confused me is that live_buffer and live_buffer_p both exist and
do wildly different things. But as you correctly point out, we
shouldn't fix that on the release branch.

> IOW, you are changing the semantics of "live buffer", for a reason
> that can hardly justify that.

I'm most certainly not changing the semantics of live_buffer, if
that's what you're worried about. I am changing the semantics of
live_buffer_p, which is an internal function, and my initial patch
also changed the return value of valid_lisp_object_p, to another value
that would be treated equivalently. If there are objections to that,
we can easily distinguish the two cases.

And I think "so we don't collect reachable objects" is a fairly good
reason, generally.

> That doesn't sound economical to me; it
> will certainly make it much harder for me to agree to make the change
> on the release branch.

I think you've made perfectly clear that you don't want this patch on
the release branch, though I'm not sure I understand the reasoning for
that.

> The problem you are trying to solve is rare

I think it would become much less rare with lexical binding in effect,
at least when the code's byte-compiled.

> and obscure,

IME, test cases often are, even if they test for real and common problems.

> since this code was with us since 20 years ago without
> anyone bumping into it,

That we know of. They might have just accrued it to random Emacs crashes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 11 Mar 2020 20:03:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 11 16:03:25 2020
Received: from localhost ([127.0.0.1]:55585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jC7Zd-0000NQ-53
	for submit <at> debbugs.gnu.org; Wed, 11 Mar 2020 16:03:25 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:39371)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jC7Zb-0000N6-30
 for 39962 <at> debbugs.gnu.org; Wed, 11 Mar 2020 16:03:23 -0400
X-ASG-Debug-ID: 1583956996-0a9db43b8833827d0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id tq5XtQG3B2J69mLC
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Wed, 11 Mar 2020 21:03:16 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 20323 invoked from network); 11 Mar 2020 20:03:16 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 11 Mar 2020 20:03:16 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 0E105AADF63D;
 Wed, 11 Mar 2020 21:03:15 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Wed, 11 Mar 2020 21:03:14 +0100
In-Reply-To: <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 (Pip Cet's message of "Wed, 11 Mar 2020 15:43:18 +0000")
Message-ID: <lx8sk6vev1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1583956996
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 2955
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80607
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> On Wed, Mar 11, 2020 at 3:16 PM Pieter van Oostrum
> <pieter-l@HIDDEN> wrote:
>> > (prog1
>> >     (let ((temp-buffer (generate-new-buffer " *temp*")))
>> >       (prog1
>> >           temp-buffer
>> >         (kill-buffer temp-buffer)
>> >         (setq temp-buffer nil)))
>> >   (garbage-collect))
>>
>> That crash shouldn't happen, so it has to be found what causes it.
>
> The attached patch should fix things.

With this patch I still get a crash. This time a sementation violation again in the garbage collector. So that doesn't solve the problem I am encountering.

GDB bailed out for some reason (I get the impression that GDB on MacOS isn't very stable).
But here is what I got:


Thread 3 received signal SIGSEGV, Segmentation fault.
0x00000001002b5000 in vector_marked_p (v=0x160249fd0) at alloc.c:3715
3715	  if (pdumper_object_p (v))
(gdb) bt 10
#0  0x00000001002b5000 in vector_marked_p (v=0x160249fd0) at alloc.c:3715
#1  0x00000001002b369f in mark_object (arg=XIL(0x160249fd5)) at alloc.c:6480
#2  0x00000001002b5813 in mark_vectorlike (header=0x160249f50) at alloc.c:6157
#3  0x00000001002b391a in mark_object (arg=XIL(0x160249f55)) at alloc.c:6566
#4  0x00000001002b5813 in mark_vectorlike (header=0x160249e60) at alloc.c:6157
#5  0x00000001002b391a in mark_object (arg=XIL(0x160249e65)) at alloc.c:6566
#6  0x00000001002b3d33 in mark_object (arg=XIL(0x167929583)) at alloc.c:6628
#7  0x00000001002b3b04 in mark_object (arg=XIL(0x515dcd0)) at alloc.c:6585
#8  0x00000001002b5813 in mark_vectorlike (header=0x11ddd20f0) at alloc.c:6157
#9  0x00000001002b391a in mark_object (arg=XIL(0x11ddd20f5)) at alloc.c:6566
(More stack frames follow...)
Warning:
Cannot insert breakpoint 0.
Cannot access memory at address 0x7ffeef270f7f

Command aborted.
An error occurred while in a function called from GDB.
Evaluation of the expression containing the function
(backtrace_top) will be abandoned.
When the function is done executing, GDB will silently stop.

[1]+  Stopped                 gdb ~/Projects/Emacs/nextstep/Emacs.app/Contents/MacOS/Emacs
src $ bt
-bash: bt: command not found
src $ fg
gdb ~/Projects/Emacs/nextstep/Emacs.app/Contents/MacOS/Emacs
(gdb) bt
#0  backtrace_top () at eval.c:176
Backtrace stopped: Cannot access memory at address 0x7ffeef270f68
Warning:
Cannot insert breakpoint 0.
Cannot access memory at address 0x7ffeef270edf
Cannot insert breakpoint 0.
Cannot access memory at address 0x7ffeef270f7f

Command aborted.
An error occurred while in a function called from GDB.
Evaluation of the expression containing the function
(backtrace_top) will be abandoned.
When the function is done executing, GDB will silently stop.

[1]+  Stopped                 gdb ~/Projects/Emacs/nextstep/Emacs.app/Contents/MacOS/Emacs

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 11 Mar 2020 19:34:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 11 15:34:37 2020
Received: from localhost ([127.0.0.1]:55557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jC77k-00087G-RN
	for submit <at> debbugs.gnu.org; Wed, 11 Mar 2020 15:34:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jC77i-000873-6a
 for 39962 <at> debbugs.gnu.org; Wed, 11 Mar 2020 15:34:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38448)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jC77c-0007yq-1U; Wed, 11 Mar 2020 15:34:28 -0400
Received: from [176.228.60.248] (port=4159 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jC77a-0003JW-KD; Wed, 11 Mar 2020 15:34:27 -0400
Date: Wed, 11 Mar 2020 21:34:26 +0200
Message-Id: <834kuuadod.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-Reply-To: <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
 (message from Pip Cet on Wed, 11 Mar 2020 18:53:55 +0000)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
 <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Wed, 11 Mar 2020 18:53:55 +0000
> Cc: pieter-l@HIDDEN, 39962 <at> debbugs.gnu.org, eggert@HIDDEN
> 
> > Did you audit all the users of this function, both direct and
> > indirect?  Some of them are outside of GC.
> 
> Thanks for the comment; I just re-checked, and they look fine to me.

??? Fine in what way?  One of the callers is live_buffer_p, which is
called by valid_lisp_object_p, which is expected to return a special
value for dead buffers.  Your change will break that, no?

IOW, you are changing the semantics of "live buffer", for a reason
that can hardly justify that.  That doesn't sound economical to me; it
will certainly make it much harder for me to agree to make the change
on the release branch.  The problem you are trying to solve is rare
and obscure, since this code was with us since 20 years ago without
anyone bumping into it, so changing it to solve such a rare problem,
and on the release branch on top of that, doesn't sound right to me.

Am I missing something?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 11 Mar 2020 18:54:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 11 14:54:41 2020
Received: from localhost ([127.0.0.1]:55515 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jC6V6-00075u-Tk
	for submit <at> debbugs.gnu.org; Wed, 11 Mar 2020 14:54:41 -0400
Received: from mail-oi1-f194.google.com ([209.85.167.194]:35413)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jC6V4-00075e-11
 for 39962 <at> debbugs.gnu.org; Wed, 11 Mar 2020 14:54:38 -0400
Received: by mail-oi1-f194.google.com with SMTP id k8so1502512oik.2
 for <39962 <at> debbugs.gnu.org>; Wed, 11 Mar 2020 11:54:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=+GSFWIAKSFom1XZqiorU2OOrfbt/xQc/VbZd5leAyuE=;
 b=WMMiBCfmMqL0aTdF+I/K2PosUU11QGHgkjshA7OP4lobkA4saJG7APkZNtCF+saOKP
 0/OQMszccL+ASjFkl83ZS6VyljXtTDVlsmEAnoRO2wkjrT75Q7w95EJ6tTP6hXUyqtYV
 dzDEZ0sZamb2wIDV8rmBZ+ntFtmU78O92Ug8hiL0FjH8YpqhZYSc1SanTVaaNAt8jxDH
 9Awpq+2zJR5Gk9epjqB2Xs6po9DdKiNn8LRzdi1ZiudA9EGxpc/HikuXwITQgACV3P5+
 8yiArCwvLf2emCKiuRs9glfTTCRg4r3WhrtGt6aaYlXCepY13z3uAKsKX2tX2W+I+eWw
 PsLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=+GSFWIAKSFom1XZqiorU2OOrfbt/xQc/VbZd5leAyuE=;
 b=T/LQwgUUQ+asGwtun5dSlQVl9UwA3/V7gFqoDiPtqomBk8WWvPFXlqxNjqbYlgU2P2
 o8WRuMg9DwNKPU25Ly1UzxHQxZFr/mfUCmZ+e3ddFOu2BzfTQoIMaf+5tGnAWOnPfaT+
 PUOuc/xLgsz8x4TFv0SWgp6m8uRdotZU0ZO6fr+I0a3doVU6S0n8sgoOK3yQDWIMn/2n
 ZstLM5M4yrE836eJ1hIe9FyI+SZ82DplcXaJNzMYYnABIhmNs6pftpI+1YD93VYz8V4r
 U1UuZMvH8Sc63VKokXeumtPa81lAxw1/b/ml1PwcMjx562sdCMbMPxAQDoTzN04QFIm/
 EWhg==
X-Gm-Message-State: ANhLgQ1fjok3K9z7MxCwxr+vCOVHrtNBpJRRdqWXPH33faEvI8i5t5Jx
 lqrMQ4idSPkp7gIwEbGMiWTeP9EREU2y3wtCZvQ=
X-Google-Smtp-Source: ADFU+vvQovGet+KwTzKTqNgGtzeMpTklnlj5WZtSKFVZD9y5lmOdb6eSVMaeTG7CZK4QxXnGGaGxjF5ectSu/byUxkU=
X-Received: by 2002:aca:130c:: with SMTP id e12mr83874oii.122.1583952872427;
 Wed, 11 Mar 2020 11:54:32 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <837dzqaieq.fsf@HIDDEN>
In-Reply-To: <837dzqaieq.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Wed, 11 Mar 2020 18:53:55 +0000
Message-ID: <CAOqdjBeTusDtxc9fug+V8XraxO0P_nu2GctBO5dq60Fdz_cE8Q@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Mar 11, 2020 at 5:52 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > * src/alloc.c (live_buffer_holding): Return killed buffers, which are
> > still "live" for GC purposes.
>
> Thanks.
>
> Did you audit all the users of this function, both direct and
> indirect?  Some of them are outside of GC.

Thanks for the comment; I just re-checked, and they look fine to me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 11 Mar 2020 17:52:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 11 13:52:20 2020
Received: from localhost ([127.0.0.1]:55493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jC5Wm-0005dP-IF
	for submit <at> debbugs.gnu.org; Wed, 11 Mar 2020 13:52:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50165)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jC5Wl-0005dD-2v
 for 39962 <at> debbugs.gnu.org; Wed, 11 Mar 2020 13:52:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36505)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jC5We-0004gH-4x; Wed, 11 Mar 2020 13:52:12 -0400
Received: from [176.228.60.248] (port=1649 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jC5Wd-0000To-As; Wed, 11 Mar 2020 13:52:11 -0400
Date: Wed, 11 Mar 2020 19:52:13 +0200
Message-Id: <837dzqaieq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-Reply-To: <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 (message from Pip Cet on Wed, 11 Mar 2020 15:43:18 +0000)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Wed, 11 Mar 2020 15:43:18 +0000
> Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
> 
> From e98749389a1cc81f3c4479170d223cc8c9871288 Mon Sep 17 00:00:00 2001
> From: Pip Cet <pipcet@HIDDEN>
> Date: Wed, 11 Mar 2020 15:29:19 +0000
> Subject: [PATCH] Don't GC killed buffers that are still reachable
> 
> * src/alloc.c (live_buffer_holding): Return killed buffers, which are
> still "live" for GC purposes.

Thanks.

Did you audit all the users of this function, both direct and
indirect?  Some of them are outside of GC.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 11 Mar 2020 16:21:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 11 12:21:30 2020
Received: from localhost ([127.0.0.1]:55419 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jC46r-0003T8-NZ
	for submit <at> debbugs.gnu.org; Wed, 11 Mar 2020 12:21:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jC46p-0003Sw-Kz
 for 39962 <at> debbugs.gnu.org; Wed, 11 Mar 2020 12:21:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35019)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jC46j-0006gQ-N3; Wed, 11 Mar 2020 12:21:21 -0400
Received: from [176.228.60.248] (port=3910 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jC46i-0000Uv-FB; Wed, 11 Mar 2020 12:21:20 -0400
Date: Wed, 11 Mar 2020 18:21:26 +0200
Message-Id: <83d09iamm1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-Reply-To: <22866421-8131-72ca-4765-93d1fdd511ea@HIDDEN> (message from
 Paul Eggert on Wed, 11 Mar 2020 08:51:15 -0700)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
 <22866421-8131-72ca-4765-93d1fdd511ea@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter-l@HIDDEN, pipcet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Paul Eggert <eggert@HIDDEN>
> Date: Wed, 11 Mar 2020 08:51:15 -0700
> Cc: 39962 <at> debbugs.gnu.org
> 
> On 3/11/20 8:43 AM, Pip Cet wrote:
> > The attached patch should fix things.
> 
> Thanks for writing that. Pieter, does that work for you? Either way, I suppose 
> we should install this into the emacs-27 branch.

I'd prefer not to.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 11 Mar 2020 15:51:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 11 11:51:29 2020
Received: from localhost ([127.0.0.1]:55385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jC3dp-0002kB-EX
	for submit <at> debbugs.gnu.org; Wed, 11 Mar 2020 11:51:29 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:52582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1jC3do-0002jw-1m
 for 39962 <at> debbugs.gnu.org; Wed, 11 Mar 2020 11:51:28 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id C7C541600A4;
 Wed, 11 Mar 2020 08:51:20 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id ACGpSSiQylWZ; Wed, 11 Mar 2020 08:51:20 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 27F7A1600AC;
 Wed, 11 Mar 2020 08:51:20 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id JgaBiFVD9J5d; Wed, 11 Mar 2020 08:51:20 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 00FCA1600A4;
 Wed, 11 Mar 2020 08:51:19 -0700 (PDT)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pip Cet <pipcet@HIDDEN>, Pieter van Oostrum <pieter-l@HIDDEN>
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
 <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <22866421-8131-72ca-4765-93d1fdd511ea@HIDDEN>
Date: Wed, 11 Mar 2020 08:51:15 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
In-Reply-To: <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 3/11/20 8:43 AM, Pip Cet wrote:
> The attached patch should fix things.

Thanks for writing that. Pieter, does that work for you? Either way, I suppose 
we should install this into the emacs-27 branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 11 Mar 2020 15:44:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 11 11:44:03 2020
Received: from localhost ([127.0.0.1]:55381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jC3Wd-0002ZP-Kx
	for submit <at> debbugs.gnu.org; Wed, 11 Mar 2020 11:44:03 -0400
Received: from mail-ot1-f44.google.com ([209.85.210.44]:46032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jC3Wc-0002Ym-FR
 for 39962 <at> debbugs.gnu.org; Wed, 11 Mar 2020 11:44:03 -0400
Received: by mail-ot1-f44.google.com with SMTP id f21so2422779otp.12
 for <39962 <at> debbugs.gnu.org>; Wed, 11 Mar 2020 08:44:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=zryC2JvA41dcpo/RXRH2ZmtkrFm0oweFnwd1Nb9rqx0=;
 b=CX2JK/uDBuNqeoD3r7k2lfuj3f1Y5VNSqFAsm6iDdHHVJ1ZbZsuIiVJi50THTiSMXe
 S3DMRQ0v0wFeHPnJidnV9nF762H7/fl9xH6quAhx4AaU+qgvxY1ZQ6IauaQQ7kCXTsXp
 cowMjzcYV28WSJMUfOXxizzEoZJ9TjpiM2hOcU8wIdS7yEfb4xpCGWjrggjYZH9JOIq2
 dnPbDKkb1co8om14AZEQiTkzATDsdy5ept6SBX5UoqhRZ8eMyMtxBwboY4enCwIAemIl
 usda6careoF9Cv5ntew1fs6gwb5JmP95rDIRShT3tLXyfdt2OU9F7DW9GOGSb9KBDo3d
 NWvA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=zryC2JvA41dcpo/RXRH2ZmtkrFm0oweFnwd1Nb9rqx0=;
 b=X7Ua+DGHRRrWVt0CnVlh5Li/XLuhhl4kP+Os2pwuUblrt6mSCLwxNOfmjI3lk8uNeW
 NW0uiiesiZHty7NzWU0+IuZdBQ/wX1Bd7Xre6r6sqcE8Dwh87t/MoyHmnUAQKmvVTSSc
 1F9hSWsBcdRL04Nqfs9euuLC/6CFQ1eX6Sp8QsgdURv/FcvkTB+x3zl+N4kcQSbP1dCr
 yD6GVF8T5f5VlNjFGeZ4EyLFoXkgdqH5xwXAaj7HR48kojtx5cO0I1LQYXV/pSs2LE5d
 IlZJDGg0SvuUK1DYZ+BIvFIf8XYW4TK7DcFpi4XIC3zTofmGy2qVKZWlfoVDJxSC1z1c
 hycg==
X-Gm-Message-State: ANhLgQ1MFGgeGTPeisJaXW57WUsCVyJbLDC5WEioCR4fYZTgH6yrnAS/
 0dnMmqIK/ObiFytG1TNz7j/Rfix5jwPkATMv+YM=
X-Google-Smtp-Source: ADFU+vsW2oQ/X7JaCwlzjBqStKnIZcyM82dIECyBsN+k9cU/FJWZCKRKUbPPjAbjl9+c40vlP7IFGYuMn8lOLM67Zd8=
X-Received: by 2002:a9d:4508:: with SMTP id w8mr3037546ote.154.1583941434671; 
 Wed, 11 Mar 2020 08:43:54 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 <lximjax6pr.fsf@HIDDEN>
In-Reply-To: <lximjax6pr.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Wed, 11 Mar 2020 15:43:18 +0000
Message-ID: <CAOqdjBeiPffvHhKdo1X9BiQap-Dt0d92rwX6L2qr84qRJFxJUg@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000008f57d805a0961ae3"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000008f57d805a0961ae3
Content-Type: text/plain; charset="UTF-8"

On Wed, Mar 11, 2020 at 3:16 PM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> > (prog1
> >     (let ((temp-buffer (generate-new-buffer " *temp*")))
> >       (prog1
> >           temp-buffer
> >         (kill-buffer temp-buffer)
> >         (setq temp-buffer nil)))
> >   (garbage-collect))
>
> That crash shouldn't happen, so it has to be found what causes it.

The attached patch should fix things.

--0000000000008f57d805a0961ae3
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-Don-t-GC-killed-buffers-that-are-still-reachable.patch"
Content-Disposition: attachment; 
	filename="0001-Don-t-GC-killed-buffers-that-are-still-reachable.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k7nhs3zt0>
X-Attachment-Id: f_k7nhs3zt0

RnJvbSBlOTg3NDkzODlhMWNjODFmM2M0NDc5MTcwZDIyM2NjOGM5ODcxMjg4IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBQaXAgQ2V0IDxwaXBjZXRAZ21haWwuY29tPgpEYXRlOiBXZWQs
IDExIE1hciAyMDIwIDE1OjI5OjE5ICswMDAwClN1YmplY3Q6IFtQQVRDSF0gRG9uJ3QgR0Mga2ls
bGVkIGJ1ZmZlcnMgdGhhdCBhcmUgc3RpbGwgcmVhY2hhYmxlCgoqIHNyYy9hbGxvYy5jIChsaXZl
X2J1ZmZlcl9ob2xkaW5nKTogUmV0dXJuIGtpbGxlZCBidWZmZXJzLCB3aGljaCBhcmUKc3RpbGwg
ImxpdmUiIGZvciBHQyBwdXJwb3Nlcy4KLS0tCiBzcmMvYWxsb2MuYyB8IDcgKysrLS0tLQogMSBm
aWxlIGNoYW5nZWQsIDMgaW5zZXJ0aW9ucygrKSwgNCBkZWxldGlvbnMoLSkKCmRpZmYgLS1naXQg
YS9zcmMvYWxsb2MuYyBiL3NyYy9hbGxvYy5jCmluZGV4IDFjNmI2NjRiMjIuLmIxYzNmNzUzMDMg
MTAwNjQ0Ci0tLSBhL3NyYy9hbGxvYy5jCisrKyBiL3NyYy9hbGxvYy5jCkBAIC00NDgxLDIxICs0
NDgxLDIwIEBAIGxpdmVfdmVjdG9yX3AgKHN0cnVjdCBtZW1fbm9kZSAqbSwgdm9pZCAqcCkKICAg
cmV0dXJuICFOSUxQIChsaXZlX3ZlY3Rvcl9ob2xkaW5nIChtLCBwKSk7CiB9CiAKLS8qIElmIFAg
aXMgYSBwb2ludGVyIGludG8gYSBsaXZlIGJ1ZmZlciwgcmV0dXJuIHRoZSBidWZmZXIuCisvKiBJ
ZiBQIGlzIGEgcG9pbnRlciBpbnRvIGEgYnVmZmVyLCByZXR1cm4gdGhlIGJ1ZmZlci4KICAgIE90
aGVyd2lzZSwgcmV0dXJuIG5pbC4gIE0gaXMgYSBwb2ludGVyIHRvIHRoZSBtZW1fYmxvY2sgZm9y
IFAuICAqLwogCiBzdGF0aWMgTGlzcF9PYmplY3QKIGxpdmVfYnVmZmVyX2hvbGRpbmcgKHN0cnVj
dCBtZW1fbm9kZSAqbSwgdm9pZCAqcCkKIHsKLSAgLyogUCBtdXN0IHBvaW50IGludG8gdGhlIGJs
b2NrLCBhbmQgdGhlIGJ1ZmZlcgotICAgICBtdXN0IG5vdCBoYXZlIGJlZW4ga2lsbGVkLiAgKi8K
KyAgLyogUCBtdXN0IHBvaW50IGludG8gdGhlIGJsb2NrLiAgKi8KICAgaWYgKG0tPnR5cGUgPT0g
TUVNX1RZUEVfQlVGRkVSKQogICAgIHsKICAgICAgIHN0cnVjdCBidWZmZXIgKmIgPSBtLT5zdGFy
dDsKICAgICAgIGNoYXIgKmNiID0gbS0+c3RhcnQ7CiAgICAgICBjaGFyICpjcCA9IHA7CiAgICAg
ICBwdHJkaWZmX3Qgb2Zmc2V0ID0gY3AgLSBjYjsKLSAgICAgIGlmICgwIDw9IG9mZnNldCAmJiBv
ZmZzZXQgPCBzaXplb2YgKmIgJiYgIU5JTFAgKGItPm5hbWVfKSkKKyAgICAgIGlmICgwIDw9IG9m
ZnNldCAmJiBvZmZzZXQgPCBzaXplb2YgKmIpCiAJewogCSAgTGlzcF9PYmplY3Qgb2JqOwogCSAg
WFNFVEJVRkZFUiAob2JqLCBiKTsKLS0gCjIuMjUuMQoK
--0000000000008f57d805a0961ae3--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 11 Mar 2020 15:16:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 11 11:16:26 2020
Received: from localhost ([127.0.0.1]:55349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jC35u-0001Nc-9w
	for submit <at> debbugs.gnu.org; Wed, 11 Mar 2020 11:16:26 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:33697)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jC35s-0001NB-6o
 for 39962 <at> debbugs.gnu.org; Wed, 11 Mar 2020 11:16:24 -0400
X-ASG-Debug-ID: 1583939777-0a9db43b883365940001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-b.hosting2go.nl with ESMTP id rNfB8PnEajG34AEE
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Wed, 11 Mar 2020 16:16:17 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 22286 invoked from network); 11 Mar 2020 15:16:17 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 11 Mar 2020 15:16:17 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 3E2EAAADA36E;
 Wed, 11 Mar 2020 16:16:17 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
 <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Wed, 11 Mar 2020 16:16:16 +0100
In-Reply-To: <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
 (Pip Cet's message of "Wed, 11 Mar 2020 14:32:09 +0000")
Message-ID: <lximjax6pr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1583939777
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 1490
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80602
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> I'm not sure this is related, but in looking over the code I spotted a
> bit of confusion in the garbage collector between checking a buffer is
> "live" (in the sense that it has not been killed) and checking it's
> live in the sense that it needs to be preserved by GC: evaluating this
> code in *scratch* causes a segfault at least some of the time.
>
> (prog1
>     (let ((temp-buffer (generate-new-buffer " *temp*")))
>       (prog1
>           temp-buffer
>         (kill-buffer temp-buffer)
>         (setq temp-buffer nil)))
>   (garbage-collect))

That crash shouldn't happen, so it has to be found what causes it.

Looking through the code of kill-buffer, I also spotted something that
surprised me. I don't thing it is related to the current crash, but I
want to mention it anyway.

In various places we find the following or similar code:

    /* If the hooks have killed the buffer, exit now.  */
    if (!BUFFER_LIVE_P (b))
      return unbind_to (count, Qt);

But after running the Query functions (line 1724-1732) this is not done.
Now in most cases, because these functions just return true or false,
they will not kill the buffer, but there is no restriction
for them to do that.
So before checking whether the buffer is still modified (line
1734-1742), shouldn't it also check if the buffer is still live?


-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 11 Mar 2020 14:32:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 11 10:32:54 2020
Received: from localhost ([127.0.0.1]:55299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jC2Pm-00008L-CP
	for submit <at> debbugs.gnu.org; Wed, 11 Mar 2020 10:32:54 -0400
Received: from mail-oi1-f174.google.com ([209.85.167.174]:35491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jC2Pk-000086-CH
 for 39962 <at> debbugs.gnu.org; Wed, 11 Mar 2020 10:32:53 -0400
Received: by mail-oi1-f174.google.com with SMTP id k8so635100oik.2
 for <39962 <at> debbugs.gnu.org>; Wed, 11 Mar 2020 07:32:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Vipq7YMBSolhhFaUHzl2pfIfU4CWNjR6sND1vYTwyh0=;
 b=ZOUKkzl/GwobKhRHlTppKYec9c3+NyaQB/7eMiHxMZaVD3CjTr7DLbk0y44xgNPY2/
 BgF2wxfOkKrKb3dHEI5uLIaQF7w/iI/n5hv8KEYQYabTMJiak2LJIqZ4WtH0IIqkj1v7
 yJ371jlidQqWsInlV0Xv0GhMATpi8Q4NMUjxWPVYfROg/MMl7VQh59pVkOR7NgpfwDA3
 an2xnprlYKIy/NkWIEOc0FYuEGKTB3lUZ0JdGBPbd9MxRV1KCYNwB1T9EonbtE3oELow
 jzMhoH1ZkijW+jad420HW7MmlY07EprvPxky8oAwb/hXmY8juPE9TX9Gfluy2chjXIuh
 RAzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Vipq7YMBSolhhFaUHzl2pfIfU4CWNjR6sND1vYTwyh0=;
 b=EDjdJrHlfqTb6BpeQZ5VfdfijOg8UZ8NjZcGylnBi2PMhW8ysS1hcp5CQ+lfUp1SIB
 okZMJWwd2x5ZFz+IxwndWKZDKcjn+XcOrNhqS6zXNpDhx1iqEdGVX0TNFMdmvrRotMiH
 qCWuXAPhIJcm1gBdpgfn7KhdZovqAw/pdtrgMuxYe0Jni4WNHDrv6DSBQb2DsfFrxTmr
 QfkmuSP81t/tKUG/yrsKMBw9dTf6UeIQoqpM3yjYlNIjePBSr+0s5ZPNqBGj8+cETnY1
 Tun5JoUt1OK1Q7YIi9MdVrB77MFjizlZ4kQXJc9SodFf0T/ZBwaaSKXOsBNEGwBC9zm3
 GSSA==
X-Gm-Message-State: ANhLgQ3IxKcem1ar8TZx6lNllADpHL2oyIdIAVHNf2qqEm979jDm6aTj
 9l0m/kvhB89vyv1CSt0WtqVbfz8FvIh9AqLCXns=
X-Google-Smtp-Source: ADFU+vsl/3NFjitOx9DEOeE9IxN8DHHaZaijL7Hc5IUYE9v9Sq+jNc1hQrYA8l19GMoVcdnMHigicvD5tqcnM8J+Ct8=
X-Received: by 2002:aca:d553:: with SMTP id m80mr2212101oig.30.1583937166528; 
 Wed, 11 Mar 2020 07:32:46 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 <lxd09kyxor.fsf@HIDDEN>
In-Reply-To: <lxd09kyxor.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Wed, 11 Mar 2020 14:32:09 +0000
Message-ID: <CAOqdjBcsRwp1XFH-w_hDQV4qDiOB9aw3tdRbos+zwYaOYtUAgg@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Mar 10, 2020 at 4:36 PM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> #2  0x0000000100233af4 in adjust_markers_for_insert (from=36399,
>     from_byte=36399, to=36401, to_byte=36401, before_markers=false)
>     at insdel.c:294
> 294           eassert (m->bytepos >= m->charpos
> (gdb) x/32gx m
> 0x1609db830:    0x4000000003005000      0x000000015b29a4b0
> 0x1609db840:    0x00000001609dba44      0x00000001609db800
> 0x1609db850:    0x0000000000000000      0x0000000000002d12
> 0x1609db860:    0x4000000003005000      0x000000015b29a4b0
> 0x1609db870:    0x0000000000000000      0x00000001609db830
> 0x1609db880:    0x0000000000002d6f      0x0000000000002d6f
> 0x1609db890:    0x4000000004001003      0x00000001609db835
> 0x1609db8a0:    0x00000001609db865      0x00000001054d2723
> 0x1609db8b0:    0x00000001609db7a0      0x0000000000000000

So it's a marker marking the start position of an overlay. It's
allocated in the same vector block as other markers and overlays, so
maybe there used to be an overlay at 0x1609db830 and someone set its
"next" pointer to NULL after it had been freed?

I'm not sure this is related, but in looking over the code I spotted a
bit of confusion in the garbage collector between checking a buffer is
"live" (in the sense that it has not been killed) and checking it's
live in the sense that it needs to be preserved by GC: evaluating this
code in *scratch* causes a segfault at least some of the time.

(prog1
    (let ((temp-buffer (generate-new-buffer " *temp*")))
      (prog1
          temp-buffer
        (kill-buffer temp-buffer)
        (setq temp-buffer nil)))
  (garbage-collect))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 11 Mar 2020 08:22:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 11 04:22:39 2020
Received: from localhost ([127.0.0.1]:53608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBwdT-0003nL-K4
	for submit <at> debbugs.gnu.org; Wed, 11 Mar 2020 04:22:39 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:60340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1jBwdQ-0003n8-Jf
 for 39962 <at> debbugs.gnu.org; Wed, 11 Mar 2020 04:22:37 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 19A7B16007E;
 Wed, 11 Mar 2020 01:22:31 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id xgsR-YiIV7zV; Wed, 11 Mar 2020 01:22:29 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 6B9441600AC;
 Wed, 11 Mar 2020 01:22:29 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id XrXaffRTCjsh; Wed, 11 Mar 2020 01:22:29 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 43FD816007E;
 Wed, 11 Mar 2020 01:22:29 -0700 (PDT)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <faacb510-ab83-eaa8-2b01-0fffe0445cef@HIDDEN>
Date: Wed, 11 Mar 2020 01:22:28 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
In-Reply-To: <lxblp41nzf.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 3/10/20 3:52 AM, Pieter van Oostrum wrote:
> Rather, the problem was that a marker was corrupted (m->charpos == 0).

GDB's 'watch -l' command is often a good way to find out when a particular 
location unexpectedly became 0.

https://sourceware.org/gdb/current/onlinedocs/gdb/Set-Watchpoints.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 10 Mar 2020 18:23:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 10 14:23:35 2020
Received: from localhost ([127.0.0.1]:53296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBjXT-0000Vr-Iw
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 14:23:35 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:60146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jBjXS-0000VX-0o
 for 39962 <at> debbugs.gnu.org; Tue, 10 Mar 2020 14:23:34 -0400
X-ASG-Debug-ID: 1583864607-0ac37b15bc248d080001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id mxnz2Mhcwo5CWQGu
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Tue, 10 Mar 2020 19:23:27 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 7595 invoked from network); 10 Mar 2020 18:23:27 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 10 Mar 2020 18:23:27 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 3A81BAACB511;
 Tue, 10 Mar 2020 19:23:27 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN> <83sgig9rg6.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Tue, 10 Mar 2020 19:23:26 +0100
In-Reply-To: <83sgig9rg6.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 10 Mar
 2020 17:10:01 +0200")
Message-ID: <lx5zfcyspt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1583864607
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Barracuda-BRTS-Status: 1
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 3613
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80583
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Pieter van Oostrum <pieter-l@HIDDEN>
>> Cc: Eli Zaretskii <eliz@HIDDEN>, 39962 <at> debbugs.gnu.org
>> Date: Tue, 10 Mar 2020 11:52:04 +0100
>> 
>> I think we got stuck here.
>
> I think you are jumping to conclusions too quickly.  We've just
> obtained the ability of putting GDB to a good use in this case, so we
> are just starting to look seriously into this problem.  There are
> still several things to try before we decide that we are stuck.

I meant: in the current session.
I have done a recompile with cleaner options.

I will start a new session and set the breakpoints/suggestions mentioned
below, and then try to have it crash/trigger the bug again.
I will keep the other session around as long as my laptop can bear it.

>> I don't think the problem is in the actual code that Emacs was
>> executing at this point. Rather, the problem was that a marker was
>> corrupted (m->charpos == 0).
>> That could have happened at a completely unrelated place. I have been
>> trying to look in insdel.c and editfns.c to find something unusual,
>> but to no avail.
>> 
>> I have also looked into the chain of markers in the buffer. There are
>> quite a lot of them, and I haven't finished it, but what I have seen
>> looks normal.
>> 
>> On the other hand, every edit action on the buffer must have adjusted
>> the markers, so the corruption probably did not occur a long time ago.
>
> Indeed, so the "completely unrelated code" which corrupts the marker
> (if indeed this is what happens) must be quite close to what we see,
> perhaps even in the same backtrace.  Too early to decide that's not
> so.
>
> Moreover, we don't even know that the code being executed is not the
> culprit: it could be a compiler bug, for example.
>
>> Do you have any suggestion on what more to inspect?
>
> A few.
>
> First, your original message indicated that you used the -march
> compiler switch -- is that strictly necessary? can Emacs be built with
> the default architecture, and if so, does the bug still happen?
>
> Next, I see two places in the code which assigns the value to
> m->charpos without validating it first.  Here's one:
>
>   static void
>   attach_marker (struct Lisp_Marker *m, struct buffer *b,
> 		 ptrdiff_t charpos, ptrdiff_t bytepos)
>   {
>     /* In a single-byte buffer, two positions must be equal.
>        Otherwise, every character is at least one byte.  */
>     if (BUF_Z (b) == BUF_Z_BYTE (b))
>       eassert (charpos == bytepos);
>     else
>       eassert (charpos <= bytepos);
>
>     m->charpos = charpos;  <<<<<<<<<<<<<<<<<<<<<
>     m->bytepos = bytepos;
>
> The other one is in alloc.c:build_marker.
>
> So another idea is to put a conditional breakpoint there:
>
>   (gdb) break marker.c:472 if charpos <= 0
>
> and similarly for build_marker, and run with them to see whether you
> ever get any of them to break.  If one of these breakpoints breaks, we
> then will have our culprit.
>
> The next idea depends on whether the offending marker always happens
> in the same buffer and at the same position in the buffer's chain of
> markers.  For example, is it always the first or the last marker?  If
> it is, then you could put a watchpoint on that marker's charpos,
> conditioned by the value being zero, and see if you can catch the code
> which does that.
>
> That's what I have for now.  I will try to come up with more ideas
> later.
>
> Thanks.

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 10 Mar 2020 16:36:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 10 12:36:17 2020
Received: from localhost ([127.0.0.1]:53182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBhrd-0004Li-6v
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 12:36:17 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:37780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jBhrY-0004LK-MJ
 for 39962 <at> debbugs.gnu.org; Tue, 10 Mar 2020 12:36:16 -0400
X-ASG-Debug-ID: 1583858165-0ac37b67521d61110001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id BS3QfOeA2CoYtGWX
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Tue, 10 Mar 2020 17:36:05 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 14369 invoked from network); 10 Mar 2020 16:36:05 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 10 Mar 2020 16:36:05 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 097FFAACADA9;
 Tue, 10 Mar 2020 17:36:04 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
 <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Tue, 10 Mar 2020 17:36:04 +0100
In-Reply-To: <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
 (Pip Cet's message of "Tue, 10 Mar 2020 14:19:14 +0000")
Message-ID: <lxd09kyxor.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1583858165
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 1721
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80582
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pip Cet <pipcet@HIDDEN> writes:

> On Tue, Mar 10, 2020 at 10:53 AM Pieter van Oostrum
> <pieter-l@HIDDEN> wrote:
>> I think we got stuck here. I don't think the problem is in the actual
>> code that Emacs was executing at this point. Rather, the problem was
>> that a marker was corrupted (m->charpos == 0).
>
> Inspecting the rest of the marker structure, in particular the header,
> might let us know whether, as I suspect, the marker was wrongly freed
> and re-allocated.
>
> What does "x/32gx marker" produce?

#2  0x0000000100233af4 in adjust_markers_for_insert (from=36399, 
    from_byte=36399, to=36401, to_byte=36401, before_markers=false)
    at insdel.c:294
294	      eassert (m->bytepos >= m->charpos
(gdb) x/32gx m
0x1609db830:	0x4000000003005000	0x000000015b29a4b0
0x1609db840:	0x00000001609dba44	0x00000001609db800
0x1609db850:	0x0000000000000000	0x0000000000002d12
0x1609db860:	0x4000000003005000	0x000000015b29a4b0
0x1609db870:	0x0000000000000000	0x00000001609db830
0x1609db880:	0x0000000000002d6f	0x0000000000002d6f
0x1609db890:	0x4000000004001003	0x00000001609db835
0x1609db8a0:	0x00000001609db865	0x00000001054d2723
0x1609db8b0:	0x00000001609db7a0	0x0000000000000000
0x1609db8c0:	0x4000000003005000	0x000000015b29a4b0
0x1609db8d0:	0x0000000000000010	0x00000001609db860
0x1609db8e0:	0x0000000000002d12	0x0000000000002d12
0x1609db8f0:	0x4000000003005000	0x000000015b29a4b0
0x1609db900:	0x0000000000000008	0x00000001609db8c0
0x1609db910:	0x0000000000002d6f	0x0000000000002d6f
0x1609db920:	0x4000000003005000	0x000000015b29a4b0
(gdb) p m->charpos
$186 = 0
(gdb) 

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 10 Mar 2020 15:10:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 10 11:10:08 2020
Received: from localhost ([127.0.0.1]:53099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBgWG-0002FZ-0K
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 11:10:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jBgWF-0002Ev-58
 for 39962 <at> debbugs.gnu.org; Tue, 10 Mar 2020 11:10:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37562)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jBgW9-0003yp-2m; Tue, 10 Mar 2020 11:10:01 -0400
Received: from [176.228.60.248] (port=2950 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jBgW8-0000vO-Ee; Tue, 10 Mar 2020 11:10:00 -0400
Date: Tue, 10 Mar 2020 17:10:01 +0200
Message-Id: <83sgig9rg6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-Reply-To: <lxblp41nzf.fsf@HIDDEN> (message from Pieter
 van Oostrum on Tue, 10 Mar 2020 11:52:04 +0100)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, 39962 <at> debbugs.gnu.org
> Date: Tue, 10 Mar 2020 11:52:04 +0100
> 
> I think we got stuck here.

I think you are jumping to conclusions too quickly.  We've just
obtained the ability of putting GDB to a good use in this case, so we
are just starting to look seriously into this problem.  There are
still several things to try before we decide that we are stuck.

> I don't think the problem is in the actual code that Emacs was executing at this point. Rather, the problem was that a marker was corrupted (m->charpos == 0).
> That could have happened at a completely unrelated place. I have been trying to look in insdel.c and editfns.c to find something unusual, but to no avail.
> 
> I have also looked into the chain of markers in the buffer. There are quite a lot of them, and I haven't finished it, but what I have seen looks normal.
> 
> On the other hand, every edit action on the buffer must have adjusted the markers, so the corruption probably did not occur a long time ago.

Indeed, so the "completely unrelated code" which corrupts the marker
(if indeed this is what happens) must be quite close to what we see,
perhaps even in the same backtrace.  Too early to decide that's not
so.

Moreover, we don't even know that the code being executed is not the
culprit: it could be a compiler bug, for example.

> Do you have any suggestion on what more to inspect?

A few.

First, your original message indicated that you used the -march
compiler switch -- is that strictly necessary? can Emacs be built with
the default architecture, and if so, does the bug still happen?

Next, I see two places in the code which assigns the value to
m->charpos without validating it first.  Here's one:

  static void
  attach_marker (struct Lisp_Marker *m, struct buffer *b,
		 ptrdiff_t charpos, ptrdiff_t bytepos)
  {
    /* In a single-byte buffer, two positions must be equal.
       Otherwise, every character is at least one byte.  */
    if (BUF_Z (b) == BUF_Z_BYTE (b))
      eassert (charpos == bytepos);
    else
      eassert (charpos <= bytepos);

    m->charpos = charpos;  <<<<<<<<<<<<<<<<<<<<<
    m->bytepos = bytepos;

The other one is in alloc.c:build_marker.

So another idea is to put a conditional breakpoint there:

  (gdb) break marker.c:472 if charpos <= 0

and similarly for build_marker, and run with them to see whether you
ever get any of them to break.  If one of these breakpoints breaks, we
then will have our culprit.

The next idea depends on whether the offending marker always happens
in the same buffer and at the same position in the buffer's chain of
markers.  For example, is it always the first or the last marker?  If
it is, then you could put a watchpoint on that marker's charpos,
conditioned by the value being zero, and see if you can catch the code
which does that.

That's what I have for now.  I will try to come up with more ideas
later.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 10 Mar 2020 14:20:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 10 10:20:00 2020
Received: from localhost ([127.0.0.1]:53018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBfjj-0007Nn-Vi
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 10:20:00 -0400
Received: from mail-oi1-f170.google.com ([209.85.167.170]:35927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jBfjh-0007NY-Om
 for 39962 <at> debbugs.gnu.org; Tue, 10 Mar 2020 10:19:58 -0400
Received: by mail-oi1-f170.google.com with SMTP id k18so931216oib.3
 for <39962 <at> debbugs.gnu.org>; Tue, 10 Mar 2020 07:19:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=9GNvHxWr51X7wikc5EY2XT6kWLwxnmheC1ncCKwNPN0=;
 b=Sc1/SFV8N4KoiO1a6xrt9Vl6ahM+P0XiAZadBsWdD6U542q40T8b7HUWgsfBDG5qN/
 UprFW1FHLXvWX+bVPQm8Dp1zQ8Bh91IFkueApUky3PEZwyY2NnmuNJki6cke80f3uwv8
 RivJQu+833W+JuNrF0nJ/mtOt5ihWa1ZaeHkQ2F4VPccKMHjK03+lWwzjTqAvY/2tvTI
 D8qpgoV+v7GsSM11cnhFXpPNUunoj7x+aN0/hOYkpsdEEIhrimUCjf57NRe9v+wUnTqB
 TgdRCFRiGGyCBqGm1U1DBrpMxp2GnNzsxBXw3/oSA1Oz1aYXYKr2AM0rN3yHvqOxYxfF
 LAUg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=9GNvHxWr51X7wikc5EY2XT6kWLwxnmheC1ncCKwNPN0=;
 b=hayJBtIMMd8htkbZb+OrLTBibM1eRhfPLI08W0jdvVHeJhRc/AmvZclDHM7T3GLyIm
 8kJUG0yJgAZAzi3GXyAkbaltmUg/RqKWDPZl+RFEkfZXLMZtcBpD4pUAcxjsSaKzL2Hz
 8k/ZYsm5wRlqNP3WSufJotXu6j6Z0rIOjiD8aeC2mYeidoQECLj+Bf9+BcRGXkqCFbkH
 kifJXAkJpWK7Urqam8sUlVg5nTkIyvRCB2q8ED6U/P5ZA18VHeQ+KQGYpoaS8ufw5KCw
 npjUB9RlaqhelDFLohaawqyGLS+3S8PFA+oMELbci/Z1YKjbBMDgJgx4JcaA4MkoqFIB
 5YDw==
X-Gm-Message-State: ANhLgQ2wD5RirZFGOd8stR6LrgKD/qI4ARgPONRKsDmWLXC+O69rGmry
 9nRJQ5db6J2v5HDR2wpg89fIu11yi9yykJCMSJc=
X-Google-Smtp-Source: ADFU+vtiID4IisAA4qbDxt5reOIhFFqr4yVrjljWpJz0C2tlVW9hwDuqm+kPy3LXWaiRA1E9eBFGMGbGnJjycB+w+Bs=
X-Received: by 2002:aca:130c:: with SMTP id e12mr1281443oii.122.1583849992242; 
 Tue, 10 Mar 2020 07:19:52 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
 <83d09lbgk5.fsf@HIDDEN> <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
 <lxblp41nzf.fsf@HIDDEN>
In-Reply-To: <lxblp41nzf.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Tue, 10 Mar 2020 14:19:14 +0000
Message-ID: <CAOqdjBcjKb24EvAfG8fabKpKhakUC_vAr645CQ0qS+AFMmyueQ@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Mar 10, 2020 at 10:53 AM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> I think we got stuck here. I don't think the problem is in the actual code that Emacs was executing at this point. Rather, the problem was that a marker was corrupted (m->charpos == 0).

Inspecting the rest of the marker structure, in particular the header,
might let us know whether, as I suspect, the marker was wrongly freed
and re-allocated.

What does "x/32gx marker" produce?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 10 Mar 2020 13:37:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 10 09:37:53 2020
Received: from localhost ([127.0.0.1]:52033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBf4y-0006Ct-Rf
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 09:37:53 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:45659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jBf4x-0006Cf-8R
 for 39962 <at> debbugs.gnu.org; Tue, 10 Mar 2020 09:37:51 -0400
X-ASG-Debug-ID: 1583847465-0ac37b15bc2473ee0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id fKTuCxn6bOo5KmXP
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Tue, 10 Mar 2020 14:37:45 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 11653 invoked from network); 10 Mar 2020 13:37:45 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 10 Mar 2020 13:37:45 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id B13CCAAC7BD0;
 Tue, 10 Mar 2020 14:37:44 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <lx7dzt48db.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Tue, 10 Mar 2020 14:37:43 +0100
In-Reply-To: <lx7dzt48db.fsf@HIDDEN> (Pieter van Oostrum's
 message of "Mon, 09 Mar 2020 20:48:48 +0100")
Message-ID: <lxv9ncz5y0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1583847465
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 563
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80579
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pieter@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I wrote:

> You probably mean vm-update-summary-and-mode-line (in frame #24). That one indeed calls mapatoms. It uses it to find all the buffers. I don't know why they don't use '(buffer-list)'.
> And then that calls vm-do-needed-summary-rebuild which calls vm-set-summary-pointer

I checked, and VM uses mapatoms a lot, but always on its own obarrays. They use these as hash storages. So it shouldn't affect the Lisp obarray. So I was wrong about the (buffer-list).
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 10 Mar 2020 10:52:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 10 06:52:12 2020
Received: from localhost ([127.0.0.1]:51931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBcUe-0008Ka-FH
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 06:52:12 -0400
Received: from smarthost-a.hosting2go.nl ([83.137.198.201]:58110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jBcUd-0008KN-BH
 for 39962 <at> debbugs.gnu.org; Tue, 10 Mar 2020 06:52:11 -0400
X-ASG-Debug-ID: 1583837524-0ac37b15bc24634b0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl
 [185.135.241.24]) by smarthost-a.hosting2go.nl with ESMTP id Lsy8RjMp2Qg5j2o8
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Tue, 10 Mar 2020 11:52:04 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Apparent-Source-IP: 185.135.241.24
Received: (qmail 8402 invoked from network); 10 Mar 2020 10:52:04 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 10 Mar 2020 10:52:04 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 6D327AAC682E;
 Tue, 10 Mar 2020 11:52:04 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
 <lxlfo92ozs.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Tue, 10 Mar 2020 11:52:04 +0100
In-Reply-To: <lxlfo92ozs.fsf@HIDDEN> (Pieter van Oostrum's
 message of "Mon, 09 Mar 2020 22:32:39 +0100")
Message-ID: <lxblp41nzf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[185.135.241.24]
X-Barracuda-Start-Time: 1583837524
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.201:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 788
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
A-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80576
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I think we got stuck here. I don't think the problem is in the actual code that Emacs was executing at this point. Rather, the problem was that a marker was corrupted (m->charpos == 0).
That could have happened at a completely unrelated place. I have been trying to look in insdel.c and editfns.c to find something unusual, but to no avail.

I have also looked into the chain of markers in the buffer. There are quite a lot of them, and I haven't finished it, but what I have seen looks normal.

On the other hand, every edit action on the buffer must have adjusted the markers, so the corruption probably did not occur a long time ago.

Do you have any suggestion on what more to inspect?
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 9 Mar 2020 21:32:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 17:32:47 2020
Received: from localhost ([127.0.0.1]:51530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBQ11-0000cc-ND
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2020 17:32:47 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:45973)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jBQ10-0000cQ-AX
 for 39962 <at> debbugs.gnu.org; Mon, 09 Mar 2020 17:32:46 -0400
X-ASG-Debug-ID: 1583789560-0a9db43b8932917a0001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl [83.137.194.11])
 by smarthost-b.hosting2go.nl with ESMTP id FgAiJZQjBIkifYNG (version=TLSv1.2
 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Mon, 09 Mar 2020 22:32:40 +0100 (CET)
X-Barracuda-Envelope-From: pieter-l@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[83.137.194.11]
X-Barracuda-Apparent-Source-IP: 83.137.194.11
Received: (qmail 20102 invoked from network); 9 Mar 2020 21:32:40 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO
 cochabamba.vanoostrum.org) (145.132.212.31)
 by server24.hosting2go.nl with SMTP; 9 Mar 2020 21:32:40 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id C3B72AAB00D1;
 Mon,  9 Mar 2020 22:32:39 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
 <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
Date: Mon, 09 Mar 2020 22:32:39 +0100
In-Reply-To: <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN> (Paul Eggert's
 message of "Mon, 9 Mar 2020 12:51:05 -0700")
Message-ID: <lxlfo92ozs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Barracuda-Connect: server24.hosting2go.nl[83.137.194.11]
X-Barracuda-Start-Time: 1583789560
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 1071
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80562
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, pieter@HIDDEN, 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Paul Eggert <eggert@HIDDEN> writes:

> On 3/9/20 10:10 AM, Eli Zaretskii wrote:
>> So does vm-set-summary-pointer indeed call mapatoms as part of its
>> job?  If so, can you show the relevant code fragment(s)?
>
>
> https://bazaar.launchpad.net/~vm/vm/trunk/view/head:/lisp/vm-folder.el#L514
>
> though it's not clear whether this (the trunk version) is exactly the
> code he's running.
>

Yes, I am running trunk, with one small patch:

--- /Users/pieter/Projects/vm/lisp/vm-mime.el.~1~	2020-01-24 16:44:18.000000000 +0100
+++ /Users/pieter/Projects/vm/lisp/vm-mime.el	2020-01-24 16:47:54.000000000 +0100
@@ -1102,7 +1102,7 @@
     (save-excursion
       (setq start (point-min))
       (while (not done)
-	(setq charset (get-text-property start 'vm-charset))
+	(setq charset (or (get-text-property start 'vm-charset) "us-ascii"))
 	(setq pos (next-single-property-change start 'vm-charset))
 	(or pos (setq pos (point-max) done t))
 	(if charset

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 9 Mar 2020 19:51:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 15:51:15 2020
Received: from localhost ([127.0.0.1]:51486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBOQl-0006e3-Gn
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2020 15:51:15 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:56356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1jBOQi-0006dp-IL
 for 39962 <at> debbugs.gnu.org; Mon, 09 Mar 2020 15:51:14 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id E7E3E160073;
 Mon,  9 Mar 2020 12:51:06 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id U9Z1WXXMh26r; Mon,  9 Mar 2020 12:51:06 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 2020416009E;
 Mon,  9 Mar 2020 12:51:06 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id aNzVVq3fbrAV; Mon,  9 Mar 2020 12:51:06 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 00FBA160073;
 Mon,  9 Mar 2020 12:51:05 -0700 (PDT)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Eli Zaretskii <eliz@HIDDEN>, Pieter van Oostrum <pieter-l@HIDDEN>
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <b3a50b8e-7173-36fd-971b-7368ddc1abc4@HIDDEN>
Date: Mon, 9 Mar 2020 12:51:05 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.5.0
MIME-Version: 1.0
In-Reply-To: <83d09lbgk5.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, pieter@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 3/9/20 10:10 AM, Eli Zaretskii wrote:
> So does vm-set-summary-pointer indeed call mapatoms as part of its
> job?  If so, can you show the relevant code fragment(s)?


https://bazaar.launchpad.net/~vm/vm/trunk/view/head:/lisp/vm-folder.el#L514

though it's not clear whether this (the trunk version) is exactly the 
code he's running.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 9 Mar 2020 19:49:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 15:49:00 2020
Received: from localhost ([127.0.0.1]:51482 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBOOZ-0006aH-C3
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2020 15:49:00 -0400
Received: from [145.132.212.31] (port=58119 helo=cochabamba.vanoostrum.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jBOOV-0006a0-7I
 for 39962 <at> debbugs.gnu.org; Mon, 09 Mar 2020 15:48:58 -0400
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 0DCE8AAAF24E;
 Mon,  9 Mar 2020 20:48:49 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN> <83d09lbgk5.fsf@HIDDEN>
Date: Mon, 09 Mar 2020 20:48:48 +0100
In-Reply-To: <83d09lbgk5.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 09 Mar
 2020 19:10:02 +0200")
Message-ID: <lx7dzt48db.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> From: Pieter van
 Oostrum
 <pieter-l@HIDDEN> >> Cc: Pieter van Oostrum <pieter@HIDDEN>,
 39962 <at> debbugs.gnu.org, Eli >> Zaretskii <eliz@HIDDEN> >> Date: Mon, 09 Mar
 2020 14:26:19 +0100 [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: vanoostrum.org]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pieter@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Pieter van Oostrum <pieter-l@HIDDEN>
>> Cc: Pieter van Oostrum <pieter@HIDDEN>,  39962 <at> debbugs.gnu.org,  Eli
>>  Zaretskii <eliz@HIDDEN>
>> Date: Mon, 09 Mar 2020 14:26:19 +0100
>> 
>> OK, with this change I get sensible information:
>> 
>> (gdb) f 9
>> #9  0x0000000100314bfe in Ffuncall (nargs=2, args=0x7ffeefbf6e78)
>>     at eval.c:2796
>> 2796	    val = funcall_lambda (fun, numargs, args + 1);
>> (gdb) p args[0]
>> $50 = XIL(0xcfeb420)
>> (gdb) xtype
>> Lisp_Symbol
>> (gdb) xsymbol
>> $51 = (struct Lisp_Symbol *) 0x10da24150
>> "vm-set-summary-pointer"
>
> Thanks (and thanks to Paul for making GD|B usable in this case).
>
> So does vm-set-summary-pointer indeed call mapatoms as part of its
> job?  If so, can you show the relevant code fragment(s)?

You probably mean vm-update-summary-and-mode-line (in frame #24). That one indeed calls mapatoms. It uses it to find all the buffers. I don't know why they don't use '(buffer-list)'.
And then that calls vm-do-needed-summary-rebuild which calls vm-set-summary-pointer

But anyway, this shouldn't crash emacs.

By the way, with Paul's patch, I now do get a normal Lisp backtrace. It's equal to what I got the hard way:

Lisp Backtrace:
"vm-set-summary-pointer" (0xefbf6e80)
"vm-do-needed-summary-rebuild" (0xefbf7e50)
0x5c5b460 PVEC_COMPILED
"mapatoms" (0xefbf91a0)
"vm-update-summary-and-mode-line" (0xefbfa1c0)
"vm" (0xefbfb610)
"vm-visit-folder" (0xefbfc960)
"funcall-interactively" (0xefbfc958)
"call-interactively" (0xefbfd9c0)
"command-execute" (0xefbfea20)
(gdb) 

I include the whole Elisp file with these functions.


--=-=-=
Content-Type: application/emacs-lisp
Content-Disposition: attachment; filename=vm-summary.el
Content-Transfer-Encoding: quoted-printable

;;; vm-summary.el --- Summary gathering and formatting routines for VM
;;
;; This file is part of VM
;;
;; Copyright (C) 1989-1995, 2000 Kyle E. Jones
;; Copyright (C) 2003-2006 Robert Widhopf-Fenk
;; Copyright (C) 2009-2010 Uday S Reddy
;; Copyright (C) 2010 Arik Mitschang
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with this program; if not, write to the Free Software Foundation, Inc.,
;; 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

;;; Code:

(provide 'vm-summary)

(eval-and-compile
  (require 'vm-misc)
  (require 'vm-crypto)
  (require 'vm-folder)
  (require 'vm-window)
  (require 'vm-menu)
  (require 'vm-toolbar)
  (require 'vm-mouse)
  (require 'vm-motion)
  (require 'vm-mime)
  (require 'vm-thread)
  (require 'vm-imap)
  (require 'vm-pop)
  (require 'vm-summary-faces)
)

(declare-function set-specifier "vm-xemacs"=20
		  (specifier value &optional locale tag-set how-to-add))
(declare-function rfc822-addresses "ext:rfc822" (header-text))

(declare-function vm-visit-folder "vm.el"=20
		  (folder &optional read-only &key interactive just-visit))
(declare-function vm-set-folded-flag "vm-undo.el" (m flag &optional norecor=
d))

(declare-function vm-sort-messages "vm-sort.el"
		  (keys &optional lets-get-physical))

(defvar scrollbar-height)		; defined for XEmacs


(defun vm-summary-trace-message ()
  (interactive)
  (add-to-list 'vm-summary-traced-messages
	       (vm-number-of (vm-current-message)))
  (message "%s" vm-summary-traced-messages))

(defsubst vm-summary-debug (m)
  (if (and vm-debug
	   (member (vm-number-of m) vm-summary-traced-messages))
      (debug 'vm-summary m)))

(defsubst vm-summary-message-at-point ()
  "Returns the message of the current summary line."
  (save-excursion
    (forward-line 0)
    ;; The point often ends up preceding the invisible stuff.  Skip it.
    (while (get-text-property (point) 'invisible)
      (forward-char))
    (if (eobp)
	nil
      (get-text-property (+ (point) 3) 'vm-message))))

(defsubst vm-summary-padded-thread-count (m)
  "Returns a formatted thread count of the message M, usable in
summary display."
  (let ((count (vm-thread-count m)))
    (if (> count 1)
	(format "+%-2s" (1- (vm-thread-count m)))
      "   ")))

(defsubst vm-summary-message-number-thread-descendant (m)
  "Returns the message number of M, padded with spaces to display as
an interior message of a thread."
  (concat "  " (vm-padded-number-of m) " "))

(defsubst vm-expanded-root-p (m)
  "Returns t if M is the root of a thread that is currently shown
expanded (using the folded attribute of the message)."
  (and (vm-thread-root-p m)
       (null (vm-folded-flag m))))

(defsubst vm-collapsed-root-p (m)
  "Returns t if M is the root fo a thread that is currently shown
  collapsed (usint the folded attribute of the message)."
  (and (vm-thread-root-p m)
       (vm-folded-flag m)))

(defsubst vm-summary-set-root-collapsed (m)
  "Set a thread root message M as being collapsed.  Folder is not
marked as modified."
  (vm-set-folded-flag m t t))

(defsubst vm-summary-set-root-expanded (m)
  "Set a thread root message M as being expanded.  Folder is not
marked as modified."
  (vm-set-folded-flag m nil t))

(defsubst vm-summary-mark-root-collapsed (m)
  "Mark a thread root message M as collapsed."
  (vm-set-folded-flag m t))

(defsubst vm-summary-mark-root-expanded (m)
  "Mark a thread root message M as expanded."
  (vm-set-folded-flag m nil))

(defsubst vm-visible-message (m)
  (apply 'vm-vs-or m vm-summary-visible))

;; This variable is only in Emacs 24
(defvar bidi-paragraph-direction)

(defun vm-summary-mode-internal ()
  (setq mode-name "VM Summary"
	major-mode 'vm-summary-mode
	mode-line-format vm-mode-line-format
	;; must come after the setting of major-mode
	mode-popup-menu (and vm-use-menus
			     (vm-menu-support-possible-p)
			     (vm-menu-mode-menu))
	buffer-read-only t
	vm-summary-pointer nil
	vm-summary-=3D> (if (stringp vm-summary-arrow) vm-summary-arrow "")
	vm-summary-no-=3D> (make-string (length vm-summary-=3D>) ? )
	truncate-lines t
	;; Needed for Emacs 24 bidi display
	bidi-paragraph-direction 'left-to-right)
  ;; horizontal scrollbar off by default
  ;; user can turn it on in summary hook if desired.
  (when (and vm-xemacs-p (featurep 'scrollbar))
    (set-specifier scrollbar-height (cons (current-buffer) 0)))
  (use-local-map vm-summary-mode-map)
  (when (vm-menu-support-possible-p)
    (vm-menu-install-menus))
;; using the 'mouse-face property gives faster highlighting than this.
;;  (and vm-mouse-track-summary
;;       (vm-mouse-support-possible-p)
;;       (vm-mouse-xemacs-mouse-p)
;;       (add-hook 'mode-motion-hook 'mode-motion-highlight-line))
  (when (and vm-mutable-frame-configuration=20
	     (or vm-frame-per-folder vm-frame-per-summary))
    (vm-set-hooks-for-frame-deletion))
  (run-hooks 'vm-summary-mode-hook)
  ;; Lucid Emacs apparently used this name
  (run-hooks 'vm-summary-mode-hooks))

(fset 'vm-summary-mode 'vm-mode)
(put 'vm-summary-mode 'mode-class 'special)

;;;###autoload
(defun vm-summarize (&optional display raise)
  "Summarize the contents of the folder in a summary buffer.
The format is as described by the variable `vm-summary-format'.  Generally
one line per message is most pleasing to the eye but this is not
mandatory."
  (interactive "p\np")
  (vm-select-folder-buffer-and-validate 0 (vm-interactive-p))
  (if (null vm-summary-buffer)
      (let ((b (current-buffer))
	    (read-only vm-folder-read-only)
	    (summary-buffer-name (format "%s Summary" (buffer-name))))
	(setq vm-summary-buffer
	      (or (get-buffer summary-buffer-name)
		  (vm-generate-new-multibyte-buffer summary-buffer-name)))
	(save-excursion
	  (set-buffer vm-summary-buffer)
	  (abbrev-mode 0)
	  (auto-fill-mode 0)
	  ;; Experimental code to use buffer-face-mode to change font
	  ;; (when (boundp 'vm-summary-face)
	  ;;   (setq bufer-face-mode-face vm-summary-face)
	  ;;   (buffer-face-mode 1))
	  (vm-fsfemacs-nonmule-display-8bit-chars)
	  (if (fboundp 'buffer-disable-undo)
	      (buffer-disable-undo (current-buffer))
	    ;; obfuscation to make the v19 compiler not whine
	    ;; about obsolete functions.
	    (let ((x 'buffer-flush-undo))
	      (funcall x (current-buffer))))
	  (setq vm-mail-buffer b
		vm-folder-read-only read-only)
	  (vm-summary-mode-internal))
	(vm-set-summary-redo-start-point t)))
  (if display
      (save-excursion
	(vm-goto-new-summary-frame-maybe)
	(vm-display vm-summary-buffer t
		    '(vm-summarize
		      vm-summarize-other-frame)
		    (list this-command) (not raise))
	;; need to do this after any frame creation because the
	;; toolbar sets frame-specific height and width specifiers.
	(set-buffer vm-summary-buffer)
	(vm-toolbar-install-or-uninstall-toolbar))
    (vm-display nil nil '(vm-summarize vm-summarize-other-frame)
		(list this-command)))
  (vm-update-summary-and-mode-line))
(defalias 'vm-headers-summary 'vm-summarize)

;;;###autoload
(defun vm-summarize-other-frame (&optional display)
  "Like vm-summarize, but run in a newly created frame."
  (interactive "p")
  (if (vm-multiple-frames-possible-p)
      (vm-goto-new-frame 'summary))
  (vm-summarize display)
  (if (vm-multiple-frames-possible-p)
      (vm-set-hooks-for-frame-deletion)))
(defalias 'vm-headers-summary-other-frame 'vm-summarize-other-frame)

(defun vm-do-summary (&optional start-point)
  "Generate summary lines for all the messages in the optional
argument START-POINT (a list of messages) or, if it is nil, all
the messages in the current folder."
  (let ((m-list (or start-point vm-message-list))
	(n 0)
	(modulus 100)
	(do-mouse-track (or (and vm-mouse-track-summary
				 (vm-mouse-support-possible-p))
			    vm-summary-enable-faces)))
    ;; (setq mp m-list)
    (save-excursion
      (set-buffer vm-summary-buffer)
      (setq line-move-ignore-invisible vm-summary-show-threads)
      (let ((buffer-read-only nil)
	    (modified (buffer-modified-p))
	    (debug nil) ; vm-summary-debug, if necessary
	    track)
	(unwind-protect
	    (progn
	      (if (null start-point)
		  (setq vm-summary-pointer nil))
	      (if start-point
		  (goto-char (or (vm-su-start-of (car m-list)) (point-max)))
		(goto-char (point-min)))
	      (vm-disable-extents (point) (point-max))
	      (delete-region (point) (point-max))

	      ;; avoid doing long runs down the marker chain while
	      ;; building the summary.  use integers to store positions
	      ;; and then convert them to markers after all the
	      ;; insertions are done.  Likewise, detach overlays and
	      ;; re-establish them afterwards.
	      (vm-inform 7 "%s: Generating summary... %d"=20
			 (buffer-name vm-mail-buffer) n)
	      (overlay-recenter (point))
	      (let ((mp m-list)
		    m start end track)
		(while mp
		  (setq m (car mp))
		  (setq start (vm-su-start-of m)
			end (vm-su-end-of m)
			track (vm-su-summary-mouse-track-overlay-of m))
		  (when start (set-marker start nil))
		  (vm-set-su-start-of m nil)
		  (when end (set-marker end nil))
		  (vm-set-su-end-of m nil)
		  (when track (vm-detach-extent track))
		  (setq mp (cdr mp))))

	      (overlay-recenter (point-max))

	      (let ((mp m-list)=20
		    m root)
		(while mp
		  (setq m (car mp))
		  (vm-summary-debug m)
		  (vm-set-su-start-of m (point))
		  (insert vm-summary-no-=3D>)
		  (vm-tokenized-summary-insert m (vm-su-summary m))
		  (vm-set-su-end-of m (point))
		  (let ((s (vm-su-start-of m)) (e (vm-su-end-of m)))
		    (when s
		      (put-text-property s e 'vm-message m)
		      (when (and vm-summary-enable-thread-folding
				 vm-summary-show-threads)
			(if (=3D (vm-thread-indentation-of m) 0)
			    (when (> (vm-thread-count m) 1)
			      ;; FIXME this is not working yet.
			      ;; USR 2012-11-12
			      ;; (if vm-summary-threads-collapsed
			      ;; 	  (vm-summary-set-root-collapsed m)
			      ;; 	(vm-summary-set-root-expanded m))
			      (if vm-summary-threads-collapsed
				  (vm-summary-mark-root-collapsed m)
				(vm-summary-mark-root-expanded m))
			      )
			  (setq root (vm-thread-root m))
			  (when (and root (vm-collapsed-root-p root))
			    (unless (vm-visible-message m)
			      (put-text-property s e 'invisible t))
			    ;; why mess with the root here?  USR, 2010-07-20
			    ;; (vm-summary-mark-root-collapsed root)
			    )))))
		  (setq mp (cdr mp) n (1+ n))
		  (when (zerop (% n modulus))
		    (vm-inform 7 "%s: Generating summary... %d"=20
			       (buffer-name vm-mail-buffer) n)
		    (if debug (debug "vm-debug-summary: Generating summary"))
		    (setq debug nil)))))

	  ;; unwind-protection
	  ;; convert the summary markers back from ints
	  (let ((mp m-list)
		m start end)
	    (while mp
	      (setq m (car mp))
	      (setq start (or (vm-su-start-of m) (point-max))
		    end (or (vm-su-end-of m) (point-max))
		    track (vm-su-summary-mouse-track-overlay-of m))
	      (when do-mouse-track
		(vm-set-su-summary-mouse-track-overlay-of
		 m (vm-mouse-set-mouse-track-highlight start end track)))
	      (vm-set-su-start-of m (vm-marker start))
	      (vm-set-su-end-of m (vm-marker end))
	      (when vm-summary-enable-faces (vm-summary-faces-add m))
	      (setq mp (cdr mp))))
	  (set-buffer-modified-p modified))

	(run-hooks 'vm-summary-redo-hook)))

    (if (>=3D n modulus)
	(unless vm-summary-debug=20
	  (vm-inform 7 "%s: Generating summary... done"=20
		     (buffer-name vm-mail-buffer))))))

(defun vm-expand-thread (&optional root)
  "Expand the thread associated with the message at point. This
will make visible all invisible elements of the thread tree and
place a '-' character at the pointer position indicating that the
thread can be collapsed.

In a Lisp program, you should call it with an argument ROOT, which
is the root of the thread you want expanded."
  (interactive)
  (unless vm-summary-enable-thread-folding=20
    (error "Thread folding not enabled"))
  (when (vm-interactive-p)
    (vm-select-folder-buffer-and-validate 1 (vm-interactive-p))
    (unless vm-summary-show-threads
      (error "Summary is not sorted by threads"))
    (vm-follow-summary-cursor)
    (set-buffer vm-summary-buffer))
  (let ((buffer-read-only nil))
    (unless root
      (setq root (vm-thread-root (vm-summary-message-at-point))))
    (when (> (vm-thread-count root) 1)
      (vm-summary-mark-root-expanded root)
      (vm-mark-for-summary-update root)
      (mapc
       (lambda (m)=20
	 (put-text-property=20
	  (vm-su-start-of m) (vm-su-end-of m) 'invisible nil))
       (vm-thread-subtree (vm-thread-symbol root)))
      (when (vm-interactive-p)
	(vm-update-summary-and-mode-line)))))

(defun vm-collapse-thread (&optional nomove root)
  "Collapse the thread associated with the message at point. This
will make invisible all read and non-new elements of the thread
tree and will place a '+' character at the pointer position
indicating the thread can be expanded. Optional argument nomove
directs vm-collapse-thread to not take the default action of
moving the pointer to the thread root after collapsing.

In a Lisp program, you should call it with an additional argument
ROOT, which is the root of the thread you want collapsed."
  (interactive "P")
  (unless vm-summary-enable-thread-folding=20
    (error "Thread folding not enabled"))
  (when (vm-interactive-p)
    (vm-select-folder-buffer-and-validate 1 (vm-interactive-p))
    (unless vm-summary-show-threads
      (error "Summary is not sorted by threads"))
    (vm-follow-summary-cursor)
    (set-buffer vm-summary-buffer))
  (let ((buffer-read-only nil)
	(msg nil))
    (unless root
      (setq msg (vm-summary-message-at-point))
      (setq root (vm-thread-root msg)))
    (when (> (vm-thread-count root) 1)
      (vm-summary-mark-root-collapsed root)
      (vm-mark-for-summary-update root)
      (mapc
       (lambda (m)=20
	 (unless (or (eq m root) (vm-visible-message m))
	   (put-text-property=20
	    (vm-su-start-of m) (vm-su-end-of m) 'invisible t)))
       (vm-thread-subtree (vm-thread-symbol root)))
      ;; move to the parent thread only when not
      ;; instructed not to, AND when the currently
      ;; selected message will become invisible
      (when (vm-interactive-p)
	(unless nomove
	  (when (get-text-property (+ (vm-su-start-of msg) 3) 'invisible)
	    (goto-char (vm-su-start-of root))))
	(vm-update-summary-and-mode-line)))))
=09
(defun vm-expand-all-threads ()
  "Expand all threads in the folder, which might have been collapsed
 (folded) earlier."
  (interactive)
  (vm-select-folder-buffer-and-validate 0 (vm-interactive-p))
  (if (vm-interactive-p)
      (vm-follow-summary-cursor))
  (unless vm-summary-show-threads
    (error "Summary is not sorted by threads"))
  (let ((ml vm-message-list))
    (with-current-buffer vm-summary-buffer
      (save-excursion
	(mapc (lambda (m)
		(when (and (eq m (vm-thread-root m))
			   (> (vm-thread-count m) 1))
		  (vm-expand-thread m)))
	      ml))))
  (setq vm-summary-threads-collapsed nil)
  (when (vm-interactive-p)
    (vm-update-summary-and-mode-line)))

(defun vm-collapse-all-threads ()
  "Collapse (fold) all threads in the folder so that only the roots of
the threads are shown in the Summary window."
  (interactive)
  (vm-select-folder-buffer-and-validate 0 (vm-interactive-p))
  (if (vm-interactive-p)
      (vm-follow-summary-cursor))
  (unless vm-summary-show-threads
    (error "Summary is not sorted by threads"))
  (let ((ml vm-message-list)
	msg root)
    (with-current-buffer vm-summary-buffer
      (setq msg (vm-summary-message-at-point))
      (setq root (vm-thread-root msg))
      (save-excursion
	(mapc (lambda (m)
		(when (and (eq m (vm-thread-root m))
			   (> (vm-thread-count m) 1))
		  (vm-collapse-thread t m)))
	      ml))
      (when (vm-interactive-p)
	(when (get-text-property (+ (vm-su-start-of msg) 3) 'invisible)
	  (goto-char (vm-su-start-of root))))))
  (setq vm-summary-threads-collapsed t)
  (when (vm-interactive-p)
    (vm-update-summary-and-mode-line)))
=20=20=20=20=20=20
(defun vm-toggle-thread ()
  "Toggle collapse/expand thread associated with message at point.
see `vm-expand-thread' and `vm-collapse-thread' for a description
of action."
  (interactive)
  (when (and vm-summary-enable-thread-folding vm-summary-show-threads)
    (vm-select-folder-buffer-and-validate 1 (vm-interactive-p))
    (if (vm-interactive-p)
	(vm-follow-summary-cursor))
    (when vm-summary-buffer
      (set-buffer vm-summary-buffer)
      (let ((buffer-read-only nil)
	    (msg (vm-summary-message-at-point))
	    root next)
	(when msg
	  (setq root (vm-thread-root msg))
	  (if (vm-expanded-root-p root)
	      (call-interactively 'vm-collapse-thread)
	    (call-interactively 'vm-expand-thread))
	  )))))

(defun vm-do-needed-summary-rebuild ()
  "Rebuild the summary lines of all the messages starting at
`vm-summary-redo-start-point'.  Also, reset the summary pointer
to the current message.  Do the latter anyway if
`vm-need-summary-pointer-update' is non-NIL.  All this, only if
the Summary buffer exists. "
  (if (and vm-summary-redo-start-point vm-summary-buffer)
      (progn
	(vm-copy-local-variables vm-summary-buffer 'vm-summary-show-threads)
	(vm-do-summary (and (consp vm-summary-redo-start-point)
			    vm-summary-redo-start-point))
	(setq vm-summary-redo-start-point nil)
	(when vm-message-pointer
	  (vm-set-summary-pointer (car vm-message-pointer)))
	(setq vm-need-summary-pointer-update nil))
    (when (and vm-need-summary-pointer-update
	       vm-summary-buffer
	       vm-message-pointer)
      (vm-set-summary-pointer (car vm-message-pointer))
      (setq vm-need-summary-pointer-update nil))))

(defun vm-update-message-summary (m)
  "Replace the summary line of the message M in the summary
buffer by a regenerated summary line."
  (vm-summary-debug m)
  (if (and (buffer-name (vm-buffer-of m)) ; ignore deleted folders and
	   (markerp (vm-su-start-of m))	  ; markers into deleted buffers
	   (marker-buffer (vm-su-start-of m)))
      (let ((modified (buffer-modified-p)) ; Folder or Presentation
	    (do-mouse-track
	     (or (and vm-mouse-track-summary
		      (vm-mouse-support-possible-p))
		 vm-summary-enable-faces))
	    summary)
	(save-excursion
	  (setq summary (vm-su-summary m))
	  (set-buffer (marker-buffer (vm-su-start-of m)))
	  (let ((buffer-read-only nil)
		s e i
		(selected nil)
		(indicator nil)
		(modified (buffer-modified-p))) ; Summary buffer
	    (unwind-protect
		(save-excursion
		  (goto-char (vm-su-start-of m))
		  (setq selected (looking-at "[+-]>"))
		  (if (and vm-summary-show-threads
			   (eq m (vm-thread-root m))
			   (> (vm-thread-count m) 1))
		      (setq indicator (if (vm-collapsed-root-p m) "+" "-"))
		    (setq indicator nil))
		  ;; We do a little dance to update the text in
		  ;; order to make the markers in the text do
		  ;; what we want.
		  ;;
		  ;; 1. We need to avoid having the su-start-of
		  ;;    and su-end-of markers clumping together at
		  ;;    the start position.
		  ;;
		  ;; 2. We want the window point marker (w->pointm
		  ;;    in the Emacs display code) to move to the
		  ;;    start of the summary entry if it is
		  ;;    anywhere within the su-start-of to
		  ;;    su-end-of region.
		  ;;
		  ;; We achieve (2) by deleting before inserting.
		  ;; Reversing the order of insertion/deletion
		  ;; pushes the point marker into the next
		  ;; summary entry. We achieve (1) by inserting a
		  ;; placeholder character at the end of the
		  ;; summary entry before deleting the region.=09=09=20=20
                  (goto-char (vm-su-end-of m))=20=09=09
                  (insert-before-markers "z")
		  (goto-char (vm-su-start-of m))
		  (setq s (vm-su-start-of m))
		  (setq e (vm-su-end-of m))
		  (setq i (get-text-property (+ s 2) 'invisible))
		  (delete-region (point) (1- (vm-su-end-of m)))=09=09=20=20
		  (if (not selected)=09=09=20=20=20=20=20
		      (insert (concat (or indicator " ") " "))
		    (if indicator
			(insert (concat indicator ">"))
		      (insert vm-summary-=3D>)))
		  (vm-tokenized-summary-insert m (vm-su-summary m))
	          (delete-char 1)	; delete "z"
		  (run-hooks 'vm-summary-update-hook)
		  (when do-mouse-track
		    (vm-mouse-set-mouse-track-highlight
		     (vm-su-start-of m)
		     (vm-su-end-of m)
		     (vm-su-summary-mouse-track-overlay-of m)))
		  (if vm-summary-enable-faces
		      (vm-summary-faces-add m)
		    (if (and selected=20
			     (facep vm-summary-highlight-face))
			(vm-summary-highlight-region=20
			 (vm-su-start-of m) (point)
			 vm-summary-highlight-face))))
	      (when s
		(put-text-property s e 'vm-message m)
		(put-text-property s e 'invisible i))
	      (vm-reset-buffer-modified-p  ; Summary buffer
	       modified (current-buffer))
	      ))))))

(defun vm-set-summary-pointer (m)
  "Set the summary-pointer in the summary window to the message M.
Also move the cursor (point and window-point)."
  (if vm-summary-buffer
      (let ((w (vm-get-visible-buffer-window vm-summary-buffer))
	    (do-mouse-track
	     (or (and vm-mouse-track-summary
		      (vm-mouse-support-possible-p))
		 vm-summary-enable-faces))
	    (old-window nil))
	(with-current-buffer vm-summary-buffer
	  (when w
	    (setq old-window (selected-window))
	    (select-window w))
	  (unwind-protect
	      (let ((buffer-read-only nil))
		(when (and vm-summary-pointer
			   (vm-su-start-of vm-summary-pointer))
		  (goto-char (vm-su-start-of vm-summary-pointer))
		  (if (not (get-text-property (+ (point) 3) 'invisible))
		      (let ((msg (vm-summary-message-at-point)))
			(if (and vm-summary-show-threads
				 vm-summary-enable-thread-folding
				 (eq msg (vm-thread-root msg))
				 (> (vm-thread-count msg) 1))
			    (if (vm-collapsed-root-p msg)
				(progn (insert "+ ")=20
				       (delete-char (length vm-summary-=3D>)))
			      (progn (insert "- ")
				     (delete-char (length vm-summary-=3D>))))
			  (insert vm-summary-no-=3D>)
			  (delete-char (length vm-summary-=3D>))))
		    (delete-char (length vm-summary-=3D>))
		    (insert vm-summary-no-=3D>)
		    ;; re-invisible it so we dont have problems
		    (put-text-property=20
		     (- (point) (length vm-summary-no-=3D>)) (point)=20
		     'invisible t))
		  (when do-mouse-track
		    (vm-mouse-set-mouse-track-highlight
		     (vm-su-start-of vm-summary-pointer)
		     (vm-su-end-of vm-summary-pointer)
		     (vm-su-summary-mouse-track-overlay-of
		      vm-summary-pointer)))
		  (when vm-summary-enable-faces=20
		    (vm-summary-faces-add vm-summary-pointer)))

		(setq vm-summary-pointer m)
		(goto-char (vm-su-start-of m))
		(let ((modified (buffer-modified-p)))
		  (unwind-protect
		      (progn
			;;
			;; when we move the cursor, the thread-state
			;; indicator should have already changed,
			;; check now to see if we should set the
			;; cursor with indicator
			;;
			;; if, somehow, the cursor became on an
			;; invisible message in a collapsed thread,
			;; assume that there is a good reason for
			;; this and expand the thread (e.g in
			;; visiting a folder with bookmark on
			;; sub-thread
			;;
			(if vm-summary-show-threads
			    (if (vm-collapsed-root-p m)
				(insert "+>")
			      (if (get-text-property=20
				   (+ (vm-su-start-of m) 3) 'invisible)
				  (progn (insert vm-summary-=3D>)
					 (vm-expand-thread=20
					  (vm-thread-root m)))
				(insert vm-summary-=3D>)))
			  (insert vm-summary-=3D>))
			(delete-char (length vm-summary-=3D>))

			(when do-mouse-track
			  (vm-mouse-set-mouse-track-highlight
			   (vm-su-start-of m) (vm-su-end-of m)
			   (vm-su-summary-mouse-track-overlay-of m)))
			(when vm-summary-enable-faces=20
			  (vm-summary-faces-add m)))
		    (set-buffer-modified-p modified)))
		(forward-char (- (length vm-summary-=3D>)))
		(when vm-summary-highlight-face
		  (vm-summary-highlight-region
		   (vm-su-start-of m) (vm-su-end-of m)
		   vm-summary-highlight-face))
		(when (and w vm-auto-center-summary)
		  (vm-auto-center-summary))
		(run-hooks 'vm-summary-pointer-update-hook))
	    ;; unwind-protections
	    (when old-window (select-window old-window)))))))

(defun vm-summary-highlight-region (start end face)
  (vm-summary-xxxx-highlight-region start end face 'vm-summary-overlay))

(defun vm-folders-summary-highlight-region (start end face)
  (vm-summary-xxxx-highlight-region start end face
				    'vm-folders-summary-overlay))

(defun vm-summary-xxxx-highlight-region (start end face var)
  (let ((ooo (symbol-value var)))
    (cond (vm-fsfemacs-p
	   (if (and ooo (overlay-buffer ooo))
	       (move-overlay ooo start end)
	     (setq ooo (make-overlay start end))
	     (set var ooo)
	     (overlay-put ooo 'evaporate nil)
	     (overlay-put ooo 'face face)))
	  (vm-xemacs-p
	   (if (and ooo (vm-extent-end-position ooo))
	       (vm-set-extent-endpoints ooo start end)
	     (setq ooo (vm-make-extent start end))
	     (set var ooo)
	     ;; the reason this isn't needed under FSF Emacs is
	     ;; that insert-before-markers also inserts before
	     ;; overlays!  so a summary update of an entry just
	     ;; before this overlay in the summary buffer won't
	     ;; leak into the overlay, but it _will_ leak into an
	     ;; XEmacs extent.
	     (vm-set-extent-property ooo 'start-open t)
	     (vm-set-extent-property ooo 'detachable nil)
	     (vm-set-extent-property ooo 'face face))))))

(defun vm-auto-center-summary ()
  (if vm-auto-center-summary
      (if (or (eq vm-auto-center-summary t) (not (one-window-p t)))
	  (recenter '(4)))))

(defvar vm-su-message nil)		; used for dynamic binding

(defun vm-summary-sprintf (format message &optional tokenize)
  "Generates a summary in FORMAT for MESSAGE and return the
result.  The optional argument TOKENIZE says whether the summary
should be in tokenized form.  If so, the result is a list of
tokens, including strings in mime-decoded form with text-properties.
Otherwise, it is a string in mime-decoded form with text-properties.
						  USR, 2010-05-13"=20
  ;; compile the format into an eval'able s-expression
  ;; if it hasn't been compiled already.
  (let* ((alist-var (if tokenize
			'vm-summary-tokenized-compiled-format-alist
		      'vm-summary-untokenized-compiled-format-alist))
	 (match (assoc format (symbol-value alist-var))))
    (unless match
      (vm-summary-compile-format format tokenize)
      (setq match (assoc format (symbol-value alist-var))))
    ;; The local variable name `vm-su-message' is mandatory here for
    ;; the format s-expression to work.
    (let ((vm-su-message message)
	  (vm-mime-qp-decoder-program nil) ; speed up decoding
	  (vm-mime-base64-decoder-program nil))
      (if (or tokenize (null vm-display-using-mime))
	  (eval (cdr match))
	(vm-decode-mime-encoded-words-in-string (eval (cdr match)))))))

(defun vm-summary-compile-format (format tokenize)
  "Compile FORMAT into an eval'able expression that generates the
summary.  If TOKENIZE is t, the the summary generated will be a
list of tokens.  Otherwise it is a string in mime-decoded form
with text-propertiies.				USR, 2010-05-13."

  (let ((return-value (nth 1 (vm-summary-compile-format-1 format tokenize))=
))
    (if tokenize
	(setq vm-summary-tokenized-compiled-format-alist
	      (cons (cons format return-value)
		    vm-summary-tokenized-compiled-format-alist))
      (setq vm-summary-untokenized-compiled-format-alist
	    (cons (cons format return-value)
		  vm-summary-untokenized-compiled-format-alist)))))

;; Inserts the summary line for MESSAGE created from TOKENS, which is
;; a list of tokens.  A token is one of=20
;; - string, which is inserted literally,=20
;; - 'number, meaning message number,
;; - 'mark, meaning the message mark indicator,
;; - 'thread-indent, meaning the indentation space for the message
;; - 'group-begin and 'group-end

(defun vm-tokenized-summary-insert (message tokens)
  "Insert a summary line for MESSAGE in the current buffer, using the
tokenized summary TOKENS."
  (if (stringp tokens)
      (insert tokens)
    (let (token group-list)
      (while tokens
	(setq token (car tokens))
	(cond ((stringp token)
	       (if vm-display-using-mime
		   (let ((vm-mime-qp-decoder-program nil) ; speed up decoding
			 (vm-mime-base64-decoder-program nil))
		     (insert (vm-decode-mime-encoded-words-in-string token)))
		 (insert token)))
	      ((eq token 'group-begin)
	       (setq group-list (cons (list (point) (nth 1 tokens)
					    (nth 2 tokens))
				      group-list)
		     tokens (cdr (cdr tokens))))
	      ((eq token 'group-end)
	       (let* ((space (string-to-char " "))
		      (blob (car group-list))
		      (start (car blob))
		      (field-width (nth 1 blob))
		      (precision (nth 2 blob))
		      (end (vm-marker (point))))
		 (if (integerp field-width)
		     (if (< (- end start) (vm-abs field-width))
			 (if (< field-width 0)
			     (insert-char space (vm-abs (+ field-width
							   (- end start))))
			   (save-excursion
			     (goto-char start)
			     (insert-char space (- field-width
						   (- end start)))))))
		 (if (integerp precision)
		     (if (> (- end start) (vm-abs precision))
			 (if (> precision 0)
			     (delete-char (- precision (- end start)))
			   (save-excursion
			     (goto-char start)
			     (delete-char (vm-abs (+ precision
						     (- end start))))))))
		 (setq group-list (cdr group-list))))
	      ((eq token 'number)
	       (if (and vm-summary-enable-thread-folding
			vm-summary-show-threads
			vm-summary-show-thread-count)
		   (if (=3D (vm-thread-indentation message) 0)
		       (insert
			(concat (vm-padded-number-of message)=20
				(vm-summary-padded-thread-count message)))
		     (insert
		      (vm-summary-message-number-thread-descendant message)))
		 (insert (vm-padded-number-of message))))
	      ((eq token 'mark)
	       (insert (vm-su-mark message)))
	      ((eq token 'thread-indent)
	       (if (and vm-summary-show-threads
			(natnump vm-summary-thread-indent-level))
		   (insert-char=20
		    ?\=20
		    (* vm-summary-thread-indent-level
		       (min vm-summary-maximum-thread-indentation
			    (vm-thread-indentation message)))))))
	(setq tokens (cdr tokens))))))

(defun vm-reencode-mime-encoded-words-in-tokenized-summary (summary)
  "Given a tokenized SUMMARY, with tokens including mime-decoded
strings, returns another version where the strings are reencoded in
mime.  It is used for writing summary lines to disk.   USR, 2010-05-13."
  (mapcar
   (function (lambda (token)
	       (if (stringp token)
		   (vm-reencode-mime-encoded-words-in-string token)
		 token)))
   summary))

(defun vm-summary-compile-format-1 (format &optional tokenize start-index)
  (or start-index (setq start-index 0))
  (let ((case-fold-search nil)
	(finished-parsing-format nil)
	(list nil)
	(sexp nil)
	(sexp-fmt nil)
	(saw-close-group nil)
	(last-match-end start-index)
	new-match-end token conv-spec splice)
    (store-match-data nil)
    (while (and (not saw-close-group) (not finished-parsing-format))
      (setq token nil
	    splice nil)
      (while
	  (and (not saw-close-group) (not token)
	       (string-match
		"%\\(-\\)?\\([0-9]+\\)?\\(\\.\\(-?[0-9]+\\)\\)?\\([()pPaAbcSdfFhHiIlLmMns=
tTwyz*%]\\|U[A-Za-z]\\)"
		format last-match-end))
	(setq conv-spec (aref format (match-beginning 5)))
	(setq new-match-end (match-end 0))
	(if (and (memq conv-spec '(?\( ?\) ?p ?P ?a ?A ?b ?c ?S ?d ?f ?F ?h ?H ?i =
?I
				   ?l ?L ?M ?m ?n ?s ?t ?T ?U ?w ?y ?z ?* ))
		 ;; for the non-tokenized path, we don't want
		 ;; the close group spcifier processed here, we
		 ;; want to just bail out and return, which is
		 ;; accomplished by setting a flag in the other
		 ;; branch of this 'if'.
		 (or tokenize (not (=3D conv-spec ?\)))))
	    (progn
	      (cond ((=3D conv-spec ?\()
		     (if (not tokenize)
			 (save-match-data
			   (let ((retval (vm-summary-compile-format-1
					  format tokenize (match-end 5))))
			     (setq sexp (cons (nth 1 retval) sexp)
				   new-match-end (car retval))))
		       (setq token `('group-begin
				     ,(if (match-beginning 2)
					  (string-to-number
					   (concat (match-string 1 format)
						   (match-string 2 format))))
				     ,(string-to-number
				       (match-string 4 format)))
			     splice t)))
		    ((=3D conv-spec ?\))
		     (setq token ''group-end))
		    ((=3D conv-spec ?p)
		     (setq sexp (cons (list 'vm-su-postponed-indicator
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?P)
		     (setq sexp (cons (list 'vm-su-attachment-indicator
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?a)
		     (setq sexp (cons (list 'vm-su-attribute-indicators
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?A)
		     (setq sexp (cons (list 'vm-su-attribute-indicators-long
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?b)
		     (setq sexp (cons (list 'vm-su-attribute-indicators-short
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?c)
		     (setq sexp (cons (list 'vm-su-byte-count
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?S)
		     (setq sexp (cons (list 'vm-su-size
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?d)
		     (setq sexp (cons (list 'vm-su-monthday
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?f)
		     (setq sexp (cons (list 'vm-su-interesting-from
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?F)
		     (setq sexp (cons (list 'vm-su-interesting-full-name
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?h)
		     (setq sexp (cons (list 'vm-su-hour
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?H)
		     (setq sexp (cons (list 'vm-su-hour-short
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?i)
		     (setq sexp (cons (list 'vm-su-message-id
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?I)
		     (if tokenize
			 (setq token ''thread-indent)
		       (setq sexp (cons (list 'vm-su-thread-indent
					      'vm-su-message) sexp))))
		    ((=3D conv-spec ?l)
		     (setq sexp (cons (list 'vm-su-line-count
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?L)
		     (setq sexp (cons (list 'vm-su-labels
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?m)
		     (setq sexp (cons (list 'vm-su-month
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?M)
		     (setq sexp (cons (list 'vm-su-month-number
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?n)
		     (if tokenize
			 (setq token ''number)
		       (setq sexp (cons (list 'vm-padded-number-of
					      'vm-su-message) sexp))))
		    ((=3D conv-spec ?s)
		     (setq sexp (cons (list 'vm-su-summary-subject
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?T)
		     (setq sexp (cons (list 'vm-su-to-names
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?t)
		     (setq sexp (cons (list 'vm-su-to
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?R)
		     (setq sexp (cons (list 'vm-su-to-cc-names
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?r)
		     (setq sexp (cons (list 'vm-su-to-cc
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?U)
		     (setq sexp
			   (cons (list 'vm-run-user-summary-function
				       (list 'quote
					     (intern
					      (concat
					       "vm-summary-function-"
					       (substring
						format
						(1+ (match-beginning 5))
						(+ 2 (match-beginning 5))))))
				       'vm-su-message) sexp)))
		    ((=3D conv-spec ?w)
		     (setq sexp (cons (list 'vm-su-weekday
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?y)
		     (setq sexp (cons (list 'vm-su-year
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?z)
		     (setq sexp (cons (list 'vm-su-zone
					    'vm-su-message) sexp)))
		    ((=3D conv-spec ?*)
		     (if tokenize
			 (setq token ''mark)
		       (setq sexp (cons (list 'vm-su-mark
					      'vm-su-message) sexp)))))
	      (cond ((and (not token) vm-display-using-mime)
		     ;; strings might have been already mime-decoded,
		     ;; but there is no harm in doing it again. USR, 2010-05-13
		     (setcar sexp
			     (list 'vm-decode-mime-encoded-words-in-string
				   (car sexp)))))
	      (cond ((and (not token) (match-beginning 1) (match-beginning 2))
		     (setcar sexp
			     (list
			      (if (eq (aref format (match-beginning 2)) ?0)
				  'vm-numeric-left-justify-string
				'vm-left-justify-string)
			      (car sexp)
			      (string-to-number
			       (substring format
					  (match-beginning 2)
					  (match-end 2))))))
		    ((and (not token) (match-beginning 2))
		     (setcar sexp
			     (list
			      (if (eq (aref format (match-beginning 2)) ?0)
				  'vm-numeric-right-justify-string
				'vm-right-justify-string)
			      (car sexp)
			      (string-to-number
			       (substring format
					  (match-beginning 2)
					  (match-end 2)))))))
	      (cond ((and (not token) (match-beginning 3))
		     (setcar sexp
			     (list 'vm-truncate-string (car sexp)
				   (string-to-number
				    (substring format
					       (match-beginning 4)
					       (match-end 4)))))))
	      ;; Why do we reencode decoded strings?  USR, 2010-05-12
;; 	      (cond ((and (not token) vm-display-using-mime)
;; 		     (setcar sexp
;; 			     (list 'vm-reencode-mime-encoded-words-in-string
;; 				   (car sexp)))))
	      (setq sexp-fmt
		    (cons (if token "" "%s")
			  (cons (substring format
					   last-match-end
					   (match-beginning 0))
				sexp-fmt))))
	  (setq sexp-fmt
		(cons (if (eq conv-spec ?\))
			  (prog1 "" (setq saw-close-group t))
			"%%")
		      (cons (substring format
				       (or last-match-end 0)
				       (match-beginning 0))
			    sexp-fmt))))
	  (setq last-match-end new-match-end))
      (if (and (not saw-close-group) (not token))
	  (setq sexp-fmt
		(cons (substring format last-match-end (length format))
		      sexp-fmt)
		finished-parsing-format t))
      (setq sexp-fmt (apply 'concat (nreverse sexp-fmt)))
      (if sexp
	  (setq sexp (cons 'format (cons sexp-fmt (nreverse sexp))))
	(setq sexp sexp-fmt))
      (if tokenize
	  (setq list (nconc list (if (equal sexp "") nil (list sexp))
			    (and token (if splice token (list token))))
		sexp nil
		sexp-fmt nil)))
    (list last-match-end (if list (cons 'list list) sexp))))

;;;###autoload
(defun vm-get-header-contents (message header-name-regexp &optional clump-s=
ep)
  "Return the header field of MESSAGE with the header name matching
HEADER-NAME-REGEXP.  The result will be a string that is
mime-encoded.  The optional argument CLUMP-SEP, if present, should be
a string, which can be used as a separator to concatenate the fields
of multiple header lines which might match HEADER-NAME-REGEXP.
							USR, 2010-05-13."
  (let ((contents nil)
	(regexp (concat "^\\(" header-name-regexp "\\)")))
    (setq message (vm-real-message-of message))
    (save-excursion
      (set-buffer (vm-buffer-of (vm-real-message-of message)))
      (save-restriction
	(widen)
	(goto-char (vm-headers-of message))
	(let ((case-fold-search t))
	  (while (and (or (null contents) clump-sep)
		      (re-search-forward regexp (vm-text-of message) t)
		      (save-excursion (goto-char (match-beginning 0))
				      (vm-match-header)))
	    (if contents
		(setq contents
		      (concat contents clump-sep (vm-matched-header-contents)))
	      (setq contents (vm-matched-header-contents))))))
      contents )))

;; Do not use Emacs 20's string-width here.
;; It does not consider buffer-display-table.
(defun vm-string-width (string)
  (if (not (fboundp 'char-width))
      (length string)
    (let ((i 0)
	  (lim (length string))
	  (total 0))
      (while (< i lim)
	(setq total (+ total (char-width (aref string i)))
	      i (1+ i)))
      total )))

(defun vm-left-justify-string (string width)
  (let ((sw (vm-string-width string)))
    (if (>=3D sw width)
	string
      (concat string (make-string (- width sw) ?\ )))))

(defun vm-right-justify-string (string width)
  (let ((sw (vm-string-width string)))
    (if (>=3D sw width)
	string
      (concat (make-string (- width sw) ?\ ) string))))

;; I don't think number glyphs ever have a width > 1
(defun vm-numeric-left-justify-string (string width)
  (let ((sw (length string)))
    (if (>=3D sw width)
	string
      (concat string (make-string (- width sw) ?0)))))

;; I don't think number glyphs ever have a width > 1
(defun vm-numeric-right-justify-string (string width)
  (let ((sw (length string)))
    (if (>=3D sw width)
	string
      (concat (make-string (- width sw) ?0) string))))

(defun vm-truncate-string (string width)
  "Truncate STRING to WIDTH number of columns."
  (cond ((fboundp 'trucate-string-to-width)
	 (truncate-string-to-width string width))
	((fboundp 'char-width)
	 (cond ((> width 0)
		(let ((i 0)
		      (lim (length string))
		      (total 0))
		  (while (and (< i lim) (< total width))
		    (setq total (+ total (char-width (aref string i)))
			  i (1+ i)))
		  (if (< total width)
		      string
		    (substring string 0 i))))
	       (t
		(let ((i (1- (length string)))
		      (lim -1)
		      (total 0))
		  (setq width (- width))
		  (while (and (> i lim) (< total width))
		    (setq total (+ total (char-width (aref string i)))
			  i (1- i)))
		  (if (< total width)
		      string
		    (substring string (1+ i)))))))
	(t (vm-truncate-roman-string string width))))

(defun vm-truncate-roman-string (string width)
  "Truncate STRING in Roman alphabet to WIDTH number of columns."
  (cond ((<=3D (length string) (vm-abs width))
	 string)
	((< width 0)
	 (substring string width))
	(t
	 (substring string 0 width))))

(defvar vm-postponed-header)		; defined vm-pine.el

(defun vm-su-postponed-indicator (msg)
  "Given a MESSAGE, ruturns a string indicating whether the
message is a postponed draft that still needs to be sent.  The
indicator string is that defined by the variable
`vm-summary-postponed-indicator'.  		USR, 2010-05-13."
  (if (vm-get-header-contents msg vm-postponed-header)
      vm-summary-postponed-indicator
    ""))

(defun vm-su-attachment-indicator (msg)
  "Given a MESSAGE, ruturns a string indicating whether the
message has attachments.  The indicator string is the value of
`vm-summary-attachment-indicator' followed by the number of
attachments.  					USR, 2010-05-13."
  (let ((attachments 0))
    (setq msg (vm-real-message-of msg))
    ;; If this calls back vm-update-summary-and-mode-line
    ;; an infinite regress happens!
    (vm-mime-operate-on-attachments
     nil
     :action
     (lambda (msg layout type file)
       (setq attachments (1+ attachments)))
     :included vm-summary-attachment-mime-types
     :excluded vm-summary-attachment-mime-type-exceptions
     :messages (list msg))
    (if (=3D attachments 0)
        ""
      (if (stringp vm-summary-attachment-indicator)
          vm-summary-attachment-indicator
        (format "%s%d" vm-summary-attachment-indicator attachments)))))

(defun vm-su-attribute-indicators (m)
  "Given a MESSAGE, ruturns a short string showing the attributes of the
message.  The string is 4 characters long. 		USR, 2010-05-13."
  (concat
   (cond ((vm-deleted-flag m) "D")
	 ((vm-new-flag m) "N")
	 ((vm-unread-flag m) "U")
	 ((vm-flagged-flag m) "!")
	 (t " "))
   (cond ((vm-filed-flag m) "F")
	 ((vm-written-flag m) "W")
	 (t " "))
   (cond ((vm-replied-flag m) "R")
	 ((vm-forwarded-flag m) "Z")
	 ((vm-redistributed-flag m) "B")
	 (t " "))
   (cond ((vm-edited-flag m) "E")
	 (t " "))))

(defun vm-su-attribute-indicators-short (m)
  "Given a MESSAGE, ruturns a short string showing the attributes of the
message.  The string is 1 character long. 		USR, 2011-01-08."
  (concat
   (cond ((vm-deleted-flag m) "D")
	 ((vm-new-flag m) "N")
	 ((vm-unread-flag m) "U")
	 ((vm-flagged-flag m) "!")
	 (t " "))))

(defun vm-su-attribute-indicators-long (m)
  "Given a MESSAGE, ruturns a long string showing the attributes of the
message.  The string is 7 characters long. 		USR, 2010-05-13."
  (concat
   (cond ((vm-deleted-flag m) "D")
	 ((vm-new-flag m) "N")
	 ((vm-unread-flag m) "U")
	 ((vm-flagged-flag m) "!")
	 (t " "))
   (if (vm-replied-flag m) "r" " ")
   (if (vm-forwarded-flag m) "z" " ")
   (if (vm-redistributed-flag m) "b" " ")
   (if (vm-filed-flag m) "f" " ")
   (if (vm-written-flag m) "w" " ")
   (if (vm-edited-flag m) "e" " ")))

(defun vm-su-byte-count (m)
  "Given a message M, returns a string showing the length of the
message in bytes.  				USR, 2010-05-13."
  (or (vm-byte-count-of m)
      (let* ((real-m (vm-real-message-of m))
	     (size (if (vm-body-to-be-retrieved-of real-m)
		       (vm-fetch-message-size=20
			(list (vm-message-access-method-of real-m)) real-m)
		     (int-to-string
		      (- (vm-text-end-of real-m)
			 (vm-text-of real-m))))))
	(vm-set-byte-count-of real-m size)
	(vm-set-byte-count-of m size)
	(or size "0"))))

(defun vm-su-size (msg)
  "Given a MESSAGE, return a string showing the the size of the
message in bytes, kilobytes or megabytes.      USR, 2010-05.13"
  (let ((size (string-to-number (vm-su-byte-count msg))))
    (cond ((< size 1024)
           (format "%d" size))
          ((< size 1048576)
           (setq size (/ size 1024))
           (format "%dK" size))
          (t
           (setq size (/ size 1048576))
           (format "%dM" size)))))

(defun vm-su-spam-score-aux (m)
  "Return the numeric spam level for M.  The spam level is obtained
from any of the headers listed in `vm-spam-score-headers'."
  (let ((spam-headers vm-spam-score-headers))
    (catch 'done
      (while spam-headers
	(let* ((spam-selector (car spam-headers))
	       (score (vm-get-header-contents m (car spam-selector))))
	  (when (and score (string-match (nth 1 spam-selector) score))
	    (throw 'done=20
		   (funcall (nth 2 spam-selector) (match-string 0 score))))
	  (setq spam-headers (cdr spam-headers))))
      0)))

(defun vm-su-spam-score (m)
  "Return the numeric spam level for M (possibly using the cached-data)."
  (or (vm-spam-score-of m)
      (vm-set-spam-score-of m (vm-su-spam-score-aux m))))

(defun vm-su-weekday (message)
  "Given a MESSAGE, returns a string showing the week day on which it
was sent.                                                  USR, 2010-05-13"
  (or (vm-weekday-of message)
      (progn (vm-su-do-date message) (vm-weekday-of message))))

(defun vm-su-monthday (message)
  "Given a MESSAGE, returns a string showing the month day on which it
was sent.                                                  USR, 2010-05-13"
  (or (vm-monthday-of message)
      (progn (vm-su-do-date message) (vm-monthday-of message))))

(defun vm-su-month (message)
  "Given a MESSAGE, returns a string showing the month name in which it
was sent.                                                  USR, 2010-05-13"
  (or (vm-month-of message)
      (progn (vm-su-do-date message) (vm-month-of message))))

(defun vm-su-month-number (message)
  "Given a MESSAGE, returns a string showing the month number in which it
was sent.                                                  USR, 2010-05-13"
  (or (vm-month-number-of message)
      (progn (vm-su-do-date message) (vm-month-number-of message))))

(defun vm-su-year (message)
  "Given a MESSAGE, returns a string showing the year in which it
was sent.                                                  USR, 2010-05-13"
  (or (vm-year-of message)
      (progn (vm-su-do-date message) (vm-year-of message))))

(defun vm-su-hour-short (message)
  "Given a MESSAGE, returns a string showing the hour in which it
was sent.  The hour is short (6 characters long). 	  USR, 2012-10-13"
  (let ((string (vm-su-hour message)))
    (if (> (length string) 5)
	(substring string 0 5)
      string)))

(defun vm-su-hour (message)
  "Given a MESSAGE, returns a string showing the hour in which it
was sent.						 USR, 2012-10-13"
  (or (vm-hour-of message)
      (progn (vm-su-do-date message) (vm-hour-of message))))

(defun vm-su-zone (message)
  "Given a MESSAGE, returns a string showing the time zone in which it
was sent.						 USR, 2012-10-13"
  (or (vm-zone-of message)
      (progn (vm-su-do-date message) (vm-zone-of message))))

(defun vm-su-mark (message)=20
  "Given a MESSAGE, returns the string that should appear in its mark
field in the summary.				 	USR, 2012-10-13"
  (if (vm-mark-of message) "*" " "))

;; Some yogurt-headed delivery agents don't provide a Date: header.
(defun vm-grok-From_-date (message)
  ;; This works only on the From_ types, obviously
  (if (not (memq (vm-message-type-of message)
		 '(BellFrom_ From_ From_-with-Content-Length)))
      nil
    (save-excursion
      (set-buffer (vm-buffer-of (vm-real-message-of message)))
      (save-excursion
	(save-restriction
	  (widen)
	  (goto-char (vm-start-of message))
	  (let ((case-fold-search nil))
	    (if (or (looking-at
		     ;; special case this so that the "remote from blah"
		     ;; isn't included.
		     "From [^ \t\n]*[ \t]+\\([^ \t\n].*\\) remote from .*")
		    (looking-at "From [^ \t\n]*[ \t]+\\([^ \t\n].*\\)"))
		(vm-buffer-substring-no-properties
		 (match-beginning 1)
		 (match-end 1)))))))))

(defconst vm-su-rfc822-date-format
  ;; The date format recognized here is the one specified in RFC 822.
  ;; Some slop is allowed e.g. dashes between the monthday, month and year
  ;; because such malformed headers have been observed.
  (concat "\\(\\([a-z][a-z][a-z]\\),\\)?[ \t\n]*"
	  "\\([0-9][0-9]?\\)[ \t\n---]*"
	  "\\([a-z][a-z][a-z]\\)[ \t\n---]*"
	  "\\([0-9]*[0-9][0-9]\\)[ \t\n]*"
	  "\\([0-9:]+\\)[ \t\n]*"
	  "\\([a-z][a-z]?[a-z]?\\|\\(-\\|\\+\\)[01][0-9][0-9][0-9]\\)"))

(defconst vm-su-ctime-format
  ;; UNIX ctime(3) format, with slop allowed in the whitespace, and we allo=
w for
  ;; the possibility of a timezone at the end.
  (concat
   "\\([a-z][a-z][a-z]\\)[ \t\n]*"=20
   "\\([a-z][a-z][a-z]\\)[ \t\n]*"=20
   "\\([0-9][0-9]?\\)[ \t\n]*"
   "\\([0-9:]+\\)[ \t\n]*"
   "\\([0-9][0-9][0-9][0-9]\\)[ \t\n]*"
   "\\([a-z][a-z]?[a-z]?\\|\\(-\\|\\+\\)[01][0-9][0-9][0-9]\\)?"))

(defun vm-su-do-date (m)
  "Given a message M, extract its sent date and cache it in the
cached-data-vector."
  (let ((case-fold-search t)
	vector date)
    (setq date=20
	  (or=20
	   ;; (and vm-sort-messages-by-delivery-date
	   ;; 	(vm-get-header-contents m "Delivery-Date:"))
	   (vm-get-header-contents m "Date:")
	   (vm-grok-From_-date m)))
    (cond
     ((null date)
      (vm-set-weekday-of m "")
      (vm-set-monthday-of m "")
      (vm-set-month-of m "")
      (vm-set-month-number-of m "")
      (vm-set-year-of m "")
      (vm-set-hour-of m "")
      (vm-set-zone-of m ""))
     ((string-match vm-su-rfc822-date-format date)
      (if (match-beginning 2)
	  (vm-su-do-weekday=20
	   m (substring date (match-beginning 2) (match-end 2)))
	(vm-set-weekday-of m ""))
      (vm-set-monthday-of m (substring date (match-beginning 3) (match-end =
3)))
      (vm-su-do-month m (substring date (match-beginning 4) (match-end 4)))
      (vm-set-year-of m (substring date (match-beginning 5) (match-end 5)))
      (if (=3D 2 (length (vm-year-of m)))
	  (save-match-data
	    (cond ((string-match "^[0-6]" (vm-year-of m))
		   (vm-set-year-of m (concat "20" (vm-year-of m))))
		  (t
		   (vm-set-year-of m (concat "19" (vm-year-of m)))))))
      (vm-set-hour-of m (substring date (match-beginning 6) (match-end 6)))
      (vm-set-zone-of m (substring date (match-beginning 7) (match-end 7))))
     ((string-match vm-su-ctime-format date)
      (vm-su-do-weekday m (substring date (match-beginning 1) (match-end 1)=
))
      (vm-su-do-month m (substring date (match-beginning 2) (match-end 2)))
      (vm-set-monthday-of m (substring date (match-beginning 3) (match-end =
3)))
      (vm-set-hour-of m (substring date (match-beginning 4) (match-end 4)))
      (vm-set-year-of m (substring date (match-beginning 5) (match-end 5)))
      (if (match-beginning 6)
	  (vm-set-zone-of m (substring date (match-beginning 6) (match-end 6)))
	(vm-set-zone-of m "")))
     (t
      (setq vector (vm-parse-date date))
      (vm-su-do-weekday m (elt vector 0))
      (vm-set-monthday-of m (elt vector 1))
      (vm-su-do-month m (elt vector 2))
      (vm-set-year-of m (elt vector 3))
      (vm-set-hour-of m (elt vector 4))
      (vm-set-zone-of m (elt vector 5)))))

  ;; Normalize all hour and date specifications to avoid jagged margins.
  ;; If the hour is " 3:..." or "3:...", turn it into "03:...".
  ;; If the date is "03", turn it into " 3".
  (cond ((null (vm-hour-of m)) nil)
	((string-match "\\`[0-9]:" (vm-hour-of m))
	 (vm-set-hour-of m (concat "0" (vm-hour-of m)))))
  (cond ((null (vm-monthday-of m)) nil)
	((string-match "\\`0[0-9]\\'" (vm-monthday-of m))
	 (vm-set-monthday-of m (substring (vm-monthday-of m) 1 2))))
  )

(defun vm-su-do-month (m month-abbrev)
  (let ((val (assoc (downcase month-abbrev) vm-month-alist)))
    (if val
	(progn (vm-set-month-of m (nth 1 val))
	       (vm-set-month-number-of m (nth 2 val)))
      (vm-set-month-of m "")
      (vm-set-month-number-of m ""))))

(defun vm-su-do-weekday (m weekday-abbrev)
  (let ((val (assoc (downcase weekday-abbrev) vm-weekday-alist)))
    (if val
	(vm-set-weekday-of m (nth 1 val))
      (vm-set-weekday-of m ""))))

(defun vm-su-datestring (m)
  "The sent date of message M in the format \"Sun Jan 01 00:00:00 2000\"."
  (when (and (vm-su-weekday m) (vm-su-month m) (vm-su-monthday m)
	     (vm-su-hour m) (vm-su-year m))
    (format "%s %s %s %s %s"
	    (condition-case error
		(substring (vm-su-weekday m) 0 3)
	      (error "Sun"))		; make up a valid weekday
	    (substring (vm-su-month m) 0 3)
	    (vm-su-monthday m)
	    (vm-su-hour m)
	    (vm-su-year m))))

;; (defun vm-su-delivery-datestring (m)
;;   "The delivery date of message M in the format \"Sun Jan 01 00:00:00 20=
00"."
;;   (when (vm-su-d-weekday m)
;;     (format "%s %s %s %s %s"
;; 	    (condition-case error
;; 		(substring (vm-su-d-weekday m) 0 3)
;; 	      (error "Sun"))
;; 	    (substring (vm-su-d-month m) 0 3)
;; 	    (vm-su-d-monthday m)
;; 	    (vm-su-d-hour m)
;; 	    (vm-su-d-year m))))

(defun vm-run-user-summary-function (function message)
  ;; (condition-case nil
  (let ((m (vm-real-message-of message)))
    (save-excursion
      (set-buffer (vm-buffer-of m))
      (save-restriction
	(widen)
	(save-excursion
	  (narrow-to-region (vm-headers-of m) (vm-text-end-of m))
	  (funcall function m)))))
  ;; (error " "))
  )

(defun vm-su-decoded-full-name (m)
  "Returns the author name of M as a string, either from
the stored entry (`vm-decoded-full-name-of') or recalculating it if necessa=
ry.
The result is a mime-decoded string with text-properties.
							USR 2010-05-13"
  (or (vm-decoded-full-name-of m)
      (progn (vm-su-do-author m) (vm-decoded-full-name-of m))))
(defalias 'vm-su-full-name 'vm-su-decoded-full-name)

(defun vm-su-decoded-reply-to-name (m)
  "Returns the principal (Reply-To) name of M as a string, either
from the stored entry (`vm-decoded-reply-to-name-of') or
recalculating it if necessary.  The result is a mime-decoded
string with text-properties.                           USR 2010-05-13"
  (or (vm-decoded-reply-to-name-of m)
      (progn (vm-su-do-principal m) (vm-decoded-reply-to-name-of m))))
(defalias 'vm-su-reply-to-name 'vm-su-decoded-reply-to-name)

(defun vm-su-interesting-full-name (m)
  "Returns the author name of M as a string.
If the author is \"uninteresting\" then returns the value of
`vm-summary-recipient-marker' followed by recipient names.
If the recipient is also \"uninteresting\" then returns the value of
`vm-summary-principal-marker' followed by the reply-to names.
The result is a mime-decoded string with text properties.
							  USR 2010-05-13"
  (let ((case-fold-search nil))
    (cond=20
     ((null vm-summary-uninteresting-senders)
      (vm-su-full-name m))
     ((not (string-match vm-summary-uninteresting-senders (vm-su-from m)))
      (vm-su-full-name m))
      ;; FIXME do we need to match each address separately?  USR, 2012-03-02
     ((not (string-match vm-summary-uninteresting-senders (vm-su-to-names m=
)))
      (concat vm-summary-recipient-marker (vm-su-to-names m)))
     ((not (string-match "\\?\\?\\?" (vm-su-reply-to-name m)))
      (concat vm-summary-principal-marker (vm-su-reply-to-name m)))
     (t
      (concat vm-summary-recipient-marker (vm-su-to-names m))))))
=20=20=20=20=20=20

(defun vm-su-from (m)
  "Returns the author address of M as a string, either from
the stored entry (`vm-decoded-from-of') or recalculating it if necessary.
The result is a mime-encoded string, but this is not certain.
							USR 2010-05-13"
  (or (vm-decoded-from-of m)
      (progn (vm-su-do-author m) (vm-decoded-from-of m))))

(defun vm-su-reply-to (m)
  "Returns the principal (Reply-To) address of M as a string, either from
the stored entry (`vm-decoded-reply-to-of') or recalculating it if necessar=
y.
The result is a mime-encoded string, but this is not certain.
							USR 2010-05-13"
  (or (vm-decoded-reply-to-of m)
      (progn (vm-su-do-principal m) (vm-decoded-reply-to-of m))))

(defun vm-su-interesting-from (m)
  "Returns the author address of M as a string.
If the author is \"uninteresting\" then returns the value of
`vm-summary-recipient-marker' followed by recipient addresses.
If the recipient is also \"uninteresting\" then returns the value of
`vm-summary-principal-marker' followed by the reply-to address.
The result is a mime-encoded string, but this is not certain.
							  USR 2010-05-13"
  (let ((case-fold-search nil))
    (cond=20
     ((null vm-summary-uninteresting-senders)
      (vm-su-from m))
     ((not (string-match vm-summary-uninteresting-senders (vm-su-from m)))
      (vm-su-from m))
     ((not (string-match vm-summary-uninteresting-senders (vm-su-to m)))
      ;; FIXME do we need to match each address separately?  USR, 2012-03-02
      (concat vm-summary-uninteresting-senders-arrow (vm-su-to m)))
     ((not (string-match "\\?\\?\\?" (vm-su-reply-to m)))
      (concat vm-summary-principal-marker (vm-su-reply-to m)))
     (t
      (concat vm-summary-recipient-marker (vm-su-to m))))))

;; Some yogurt-headed delivery agents don't even provide a From: header.
(defun vm-grok-From_-author (message)
  ;; This works only on the From_ types, obviously
  (if (not (memq (vm-message-type-of message)
		 '(From_ BellFrom_ From_-with-Content-Length)))
      nil
    (save-excursion
      (set-buffer (vm-buffer-of message))
      (save-excursion
	(save-restriction
	  (widen)
	  (goto-char (vm-start-of message))
	  (let ((case-fold-search nil))
	    (if (looking-at "From \\([^ \t\n]+\\)")
		(vm-buffer-substring-no-properties
		 (match-beginning 1)
		 (match-end 1)))))))))

(defun vm-su-do-author (m)
  "Parses the From headers of the message M and stores the results in
the `from' and `full-name' entries of the cached-data vector.   USR, 2010-0=
5-13"
  (let ((full-name (vm-get-header-contents m "Full-Name:"))
	(from (or (vm-get-header-contents m "From:" ", ")
		  (vm-grok-From_-author m)))
	pair i)
    (if (and full-name (string-match "^[ \t]*$" full-name))
	(setq full-name nil))
    (if (null from)
	(progn
	  (setq from "???")
	  (if (null full-name)
	      (setq full-name "???")))
      (setq pair (funcall vm-chop-full-name-function from)
	    from (or (nth 1 pair) from)
	    full-name (or full-name (nth 0 pair) from)))
    (if (string-match "\\`\"\\([^\"]+\\)\"\\'" full-name)
 	(setq full-name
 	      (substring full-name (match-beginning 1) (match-end 1))))
    (while (setq i (string-match "\n" full-name i))
      (aset full-name i ?\ ))
    (vm-set-decoded-full-name-of=20
     m (vm-decode-mime-encoded-words-in-string full-name))
    (vm-set-decoded-from-of=20
     m (vm-decode-mime-encoded-words-in-string from))))

(defun vm-su-do-principal (m)
  "Parses the Reply-To header of the message M and stores the results in
the `reply-to' and `reply-to-name' entries of the cached-data vector."
  (let ((reply-to (vm-get-header-contents m "Reply-To:" ", "))
	reply-to-name pair i)
    (if (null reply-to)
	(setq reply-to "???"
	      reply-to-name "???")
      (setq pair (funcall vm-chop-full-name-function reply-to)
	    reply-to (or (nth 1 pair) reply-to)
	    reply-to-name (or (nth 0 pair) reply-to)))
    (if (string-match "\\`\"\\([^\"]+\\)\"\\'" reply-to-name)
 	(setq reply-to-name
 	      (substring reply-to-name (match-beginning 1) (match-end 1))))
    (while (setq i (string-match "\n" reply-to-name i))
      (aset reply-to-name i ?\ ))
    (vm-set-decoded-reply-to-name-of=20
     m (vm-decode-mime-encoded-words-in-string reply-to-name))
    (vm-set-decoded-reply-to-of=20
     m (vm-decode-mime-encoded-words-in-string reply-to))))

(defconst vm-su-address-format
  (concat
   "\\`[ \t\n]*\\([^< \t\n]+\\([ \t\n]+[^< \t\n]+\\)*\\)?[ \t\n]*"
   "<\\([^>]+\\)>[ \t\n]*\\'"))

(defconst vm-su-address-format-2
  (concat
   "\\`[ \t\n]*\\(\\(\"[^\"]+\"\\|[^\"( \t\n]\\)+\\)[ \t\n]*"
   "(\\([^ \t\n]+\\([ \t\n]+[^ \t\n]+\\)*\\)?)[ \t\n]*\\'"))

(defun vm-default-chop-full-name (address)
  (let ((from address)
	(full-name nil))
    (cond ((string-match vm-su-address-format address)
	   (if (match-beginning 1)
	       (setq full-name
		     (substring address (match-beginning 1) (match-end 1))))
	   (setq from
		 (substring address (match-beginning 3) (match-end 3))))
	  ((string-match vm-su-address-format-2 address)
	   (if (match-beginning 3)
	       (setq full-name
		     (substring address (match-beginning 3) (match-end 3))))
	   (setq from
		 (substring address (match-beginning 1) (match-end 1)))))
    (list full-name from)))

;; test for existence and functionality of mail-extract-address-components
;; there are versions out there that don't work right, so we run
;; some test data through it to see if we can trust it.
(defun vm-choose-chop-full-name-function (address)
  (let ((test-data '(("kyle@HIDDEN" .
		      (nil "kyle@HIDDEN"))
		     ("c++std=3Dlib@HIDDEN" .
		      (nil "c++std=3Dlib@HIDDEN"))
		     ("\"Piet.Rypens\" <rypens@HIDDEN>" .
		      ("Piet Rypens" "rypens@HIDDEN"))
		     ("makke@HIDDEN (Marc.Gemis)" .
		      ("Marc Gemis" "makke@HIDDEN"))
		     ("" . (nil nil))))
	(failed nil)
	result)
    (while test-data
      (setq result (condition-case nil
		       (mail-extract-address-components (car (car test-data)))
		     (error nil)))
      (if (not (equal result (cdr (car test-data))))
	  ;; failed test, use default
	  (setq failed t
		test-data nil)
	(setq test-data (cdr test-data))))
    (if failed
	;; it failed, use default
	(setq vm-chop-full-name-function 'vm-default-chop-full-name)
      ;; it passed the tests
      (setq vm-chop-full-name-function 'mail-extract-address-components))
    (funcall vm-chop-full-name-function address)))

(defun vm-su-do-recipients (m)
  "Given a message M, extract its recipients from the headers and
store the strings in the cached data vector.		USR, 2012-10-13"
  (let ((mail-use-rfc822 t) i names addresses to cc all list full-name)
    (setq to (or (vm-get-header-contents m "To:" ", ")
		 (vm-get-header-contents m "Apparently-To:" ", ")
		 (vm-get-header-contents m "Newsgroups:" ", ")
		 ;; desperation....
		 (user-login-name))
          cc (or (vm-get-header-contents m "Cc:" ", ")
                 (vm-get-header-contents m "Bcc:" ", "))
	  all to
	  all (if all (concat all ", " cc) cc)
	  addresses (condition-case err
                        (rfc822-addresses all)
                      (error
                       (vm-warn 0 5 err)
                       (list "corrupted-header"))))
    (setq list (vm-parse-addresses all)) ; adds text properties for charsets
    (while list
      ;; Just like vm-su-do-author:
      (setq full-name (or (nth 0 (funcall vm-chop-full-name-function
					  (car list)))
			  (car list)))
      ;; If double quotes are around the full name, fish the name out.
      (if (string-match "\\`\"\\([^\"]+\\)\"\\'" full-name)
	  (setq full-name
		(substring full-name (match-beginning 1) (match-end 1))))
      (while (setq i (string-match "\n" full-name i))
	(aset full-name i ?\ ))
      (setq names (cons full-name names))
      (setq list (cdr list)))
    (setq names (nreverse names))
    ;; added by jwz for fixed vm-parse-addresses
    (vm-set-decoded-to-cc-of=20
     m (vm-decode-mime-encoded-words-in-string=20
	(mapconcat 'identity addresses ", ")))
    (vm-set-decoded-to-cc-names-of=20
     m (vm-decode-mime-encoded-words-in-string=20
	(mapconcat 'identity names ", ")))))

(defun vm-su-do-addressees (m)
  (let ((mail-use-rfc822 t) i names addresses to list full-name)
    (setq to (or (vm-get-header-contents m "To:" ", ")
		 (vm-get-header-contents m "Apparently-To:" ", ")
		 (vm-get-header-contents m "Newsgroups:" ", ")
		 ;; desperation....
		 (user-login-name))
	  addresses (condition-case err
                        (rfc822-addresses to)
                      (error
                       (vm-warn 0 5 err)
                       (list "corrupted-header"))))
    (setq list (vm-parse-addresses to)) ; adds text properties for charsets
    (while list
      ;; Just like vm-su-do-author:
      (setq full-name (or (nth 0 (funcall vm-chop-full-name-function
					  (car list)))
			  (car list)))
      ;; If double quotes are around the full name, fish the name out.
      (if (string-match "\\`\"\\([^\"]+\\)\"\\'" full-name)
	  (setq full-name
		(substring full-name (match-beginning 1) (match-end 1))))
      (while (setq i (string-match "\n" full-name i))
	(aset full-name i ?\ ))
      (setq names (cons full-name names))
      (setq list (cdr list)))
    (setq names (nreverse names))
    ;; added by jwz for fixed vm-parse-addresses
    (vm-set-decoded-to-of=20
     m (vm-decode-mime-encoded-words-in-string=20
	(mapconcat 'identity addresses ", ")))
    (vm-set-decoded-to-names-of=20
     m (vm-decode-mime-encoded-words-in-string=20
	(mapconcat 'identity names ", ")))))

(defun vm-su-decoded-to (m)
  "Returns the email addresses of the addressees of M as a string,
either from the stored entry (`vm-decoded-to-of') or
recalculating them if necessary. The result is a mime-decoded
string with text properties.  			USR 2012-10-07"
  (or (vm-decoded-to-of m)=20
      (progn (vm-su-do-addressees m) (vm-decoded-to-of m))))
(defalias 'vm-su-to 'vm-su-decoded-to)

(defun vm-su-decoded-to-names (m)
  "Returns the addressees of M as a string, either from the
stored entry (`vm-decoded-to-names-of') or recalculating them if
necessary.  The result is a mime-decoded string with text
properties.  					USR 2012-10-07"
  (or (vm-decoded-to-names-of m)=20
      (progn (vm-su-do-addressees m) (vm-decoded-to-names-of m))))
(defalias 'vm-su-to-names 'vm-su-decoded-to-names)
=09=09=09=09=20=20
(defun vm-su-decoded-to-cc (m)
  "Returns the recipient addresses of M as a string, either from
the stored entry (`vm-decoded-to-cc-of') or recalculating them if
necessary. The result is a mime-decoded string with text properties.=20=20
							USR 2012-10-07"
  (or (vm-decoded-to-cc-of m)=20
      (progn (vm-su-do-recipients m) (vm-decoded-to-cc-of m))))
(defalias 'vm-su-to-cc 'vm-su-decoded-to-cc)

(defun vm-su-decoded-to-cc-names (m)
  "Returns the recipient names of M as a string, either from
the stored entry (`vm-decoded-to-cc-names-of') or recalculating them
if necessary.  The result is a mime-decoded string with text properties.=20=
=20
							USR 2012-10-07"
  (or (vm-decoded-to-cc-names-of m)=20
      (progn (vm-su-do-recipients m) (vm-decoded-to-cc-names-of m))))
(defalias 'vm-su-to-cc-names 'vm-su-decoded-to-cc-names)

;;;###autoload
(defun vm-su-message-id (m)
  "Returns the message id of M.  It is a mime-encoded string.
							USR 2010-12-16"
  (or (vm-message-id-of m)
      (vm-set-message-id-of
       m
       (or (let ((id (vm-get-header-contents m "Message-Id:")))
	     (and id (car (vm-parse id "[^<]*\\(<[^>]+>\\)"))))
	   ;; try running md5 on the message body to produce an ID
	   ;; better than nothing.
	   (save-excursion
	     (set-buffer (vm-buffer-of (vm-real-message-of m)))
	     (save-restriction
	       (widen)
	       (condition-case nil
		   (concat "<fake-VM-id."
			   (vm-md5-string
			    (buffer-substring
			     (vm-headers-of (vm-real-message-of m))
			     (vm-text-of (vm-real-message-of m))))
			   "@talos.iv>")
		 (error nil))))
	   (concat "<" (int-to-string (vm-abs (random))) "@toto.iv>")))))

(defun vm-su-line-count (m)
  "Returns the line count of M as a string, either from the stored
entry (`vm-line-count-of') or recalculating it if necessary.  USR 2010-05-1=
3"
  (or (vm-line-count-of m)
      (vm-set-line-count-of
       m
       (save-excursion
	 (set-buffer (vm-buffer-of (vm-real-message-of m)))
	 (save-restriction
	   (widen)
	   (int-to-string
	    (count-lines (vm-text-of (vm-real-message-of m))
			 (vm-text-end-of (vm-real-message-of m)))))))))

;;;###autoload
(defun vm-su-decoded-subject (m)
  "Returns the subject string of M, either from the stored
entry (`vm-decoded-subject-of') or recalculating it if necessary.  It is a
mime-decoded string with text properties.  USR 2010-05-13"
  (or (vm-decoded-subject-of m)
      (vm-set-decoded-subject-of
       m
       (let ((subject (vm-decode-mime-encoded-words-in-string
                       (or (vm-get-header-contents m "Subject:") "")))
	     (i nil))
	 (while (string-match "\n[ \t]*" subject)
	   (setq subject (replace-match " " nil t subject)))
	 subject ))))
(defalias 'vm-su-subject 'vm-su-decoded-subject)

(defun vm-su-decoded-summary-subject (m)
  "Returns the subject string of M, appropriate for display in
summary lines.  It is either from the stored
entry (`vm-decoded-summary-subject-of') or recalculating it if
necessary.  It is a mime-decoded string with text properties.
							USR 2010-05-13"
  (or (vm-decoded-summary-subject-of m)
      (vm-set-decoded-summary-subject-of
       m
       (let ((subject (vm-decode-mime-encoded-words-in-string
                       (or (vm-get-header-contents m "Subject:") "")))
	     (i nil))
	 (setq subject (vm-su-trim-subject subject))
	 (while (string-match "\n[ \t]*" subject)
	   (setq subject (replace-match " " nil t subject)))
	 subject ))))
(defalias 'vm-su-summary-subject 'vm-su-decoded-summary-subject)

(defun vm-su-trim-subject (subject)
  "Given SUBJECT string (which should be MIME-decoded with
possible text properties), returns a modified string after
stripping subject tags as determined by `vm-subject-tag-prefix'
but not matching `vm-subject-tag-prefix-exceptions'.

The other prefixes and suffixes (`vm-subject-ignored-prefix' and
 `vm-subject-ignored-suffix') are not modified."
  (let ((case-fold-search t)
	(prefix "")
	(tag-end nil))
    (catch 'done
      (while vm-summary-strip-subject-tags ; constant in the loop
	(cond ((and vm-subject-ignored-prefix
		    (string-match vm-subject-ignored-prefix subject)
		    (zerop (match-beginning 0)))
	       (setq prefix=20
		     (concat prefix
			     (substring subject 0 (match-end 0))))
	       (setq subject (substring subject (match-end 0))))
	      ((and vm-subject-tag-prefix
		    (string-match vm-subject-tag-prefix subject)
		    (zerop (match-beginning 0))
		    (setq tag-end (match-end 0))
		    (or (null vm-subject-tag-prefix-exceptions)
			(not (string-match
			      vm-subject-tag-prefix-exceptions subject))))
	       (setq subject (substring subject tag-end)))
	      (t
	       (throw 'done nil)))))
    (setq subject (vm-with-string-as-temp-buffer
		   subject
		   (function vm-collapse-whitespace)))
    (concat prefix subject) ))

(defun vm-su-decoded-tokenized-summary (m)
  "Returns the tokenized summary line of M, either from the
stored entry (`vm-decoded-tokenized-summary-of') or recalculating it
if necessary.  The summary line is a mime-decoded string with text
properties.=20
						  USR 2010-05-13"
  (if (and (vm-virtual-message-p m)
	   ;; Kyle also had (not (vm-virtual-messages-of m)) as a condition
	   ;; here.    USR 2012-10-14
	   ;; We put this back for now because removing it is giving
	   ;; errors for virtual foldrs.  USR 2012-10-19
	   (not (vm-virtual-messages-of m)))
      (or (vm-virtual-summary-of m)
	  (with-current-buffer (vm-buffer-of m)
	    (vm-set-virtual-summary-of=20
	     m (vm-summary-sprintf vm-summary-format m t))
	    (vm-virtual-summary-of m)))
    (or (vm-decoded-tokenized-summary-of m)
	(with-current-buffer (vm-buffer-of m)
	  ;; FIXME Is this being set to a decoded string?  USR, 2012-10-07
	  (vm-set-decoded-tokenized-summary-of=20
	   m (vm-summary-sprintf vm-summary-format m t))
	  (vm-decoded-tokenized-summary-of m)))))
(defalias 'vm-su-summary 'vm-su-decoded-tokenized-summary)


(defun vm-set-su-decoded-tokenized-summary (m summary)
  "Set the tokenized summary line of M to SUMMARY.  SUMMARY should be
a mime-decoded string with text properties."
  (if (vm-virtual-message-p m)
      ;; Kyle also had (not (vm-virtual-messages-of m)) as a condition
      ;; here.    USR 2012-10-14
      (with-current-buffer (vm-buffer-of m)
	    (vm-set-virtual-summary-of m summary)
	    (vm-virtual-summary-of m))
    (with-current-buffer (vm-buffer-of m)
	  (vm-set-decoded-tokenized-summary-of m summary)
	  (vm-decoded-tokenized-summary-of m))))

;;;###autoload
(defun vm-fix-my-summary (&optional kill-local-summary)
  "Rebuild the summary.
Call this function if you made changes to `vm-summary-format'."
  (interactive "P")
  (vm-select-folder-buffer-and-validate 1 (vm-interactive-p))
  (if kill-local-summary
      (kill-local-variable 'vm-summary-format))
  (vm-inform 5 "%s: Fixing your summary... %s" (buffer-name) vm-summary-for=
mat)
  (let ((mp vm-message-list))
    ;; Erase all the cached summary and threading data
    (while mp
      (vm-set-su-decoded-tokenized-summary (car mp) nil)
      (vm-set-thread-indentation-of (car mp) nil)
      (vm-set-thread-list-of (car mp) nil)
      (vm-set-thread-subtree-of (car mp) nil)
      (vm-mark-for-summary-update (car mp))
      (vm-set-stuff-flag-of (car mp) t)
      (setq mp (cdr mp)))
    ;; Erase threading information
    (setq vm-thread-obarray 'bonk
	  vm-thread-subject-obarray 'bonk)
    ;; Ask for messages to be renumbered
    (vm-set-numbering-redo-start-point t)
    (vm-set-numbering-redo-end-point t)
    ;; Generate fresh summary data and stuff it
    ;; (vm-inform 7 "%s: Stuffing cached data..." (buffer-name))
    ;; (vm-stuff-folder-data :interactive t :abort-if-input-pending nil)
    ;; (vm-inform 7 "%s: Stuffing cached data... done" (buffer-name))
    ;; (set-buffer-modified-p t)
    ;; Regenerate the summary
    (vm-sort-messages (or vm-ml-sort-keys "activity"))
    (vm-inform 5 "%s: Recreating summary..." (buffer-name))
    (vm-update-summary-and-mode-line)
    (unless vm-summary-debug
      (vm-inform 5 "%s: Recreating summary... done" (buffer-name))))
  (if vm-thread-debug
      (vm-check-thread-integrity))
  (vm-inform 5 "%s: Fixing your summary... done" (buffer-name)))

(defun vm-su-thread-indent (m)
  (if (and vm-summary-show-threads (natnump vm-summary-thread-indent-level))
      (make-string (* (vm-thread-indentation m)
		      vm-summary-thread-indent-level)
		   ?\ )
    "" ))

(defun vm-su-labels (m)
  (or (vm-decoded-label-string-of m)
      ;; FIXME Is this being set to a decoded string?
      (vm-set-decoded-label-string-of
       m
       (mapconcat=20
	'identity=20
	(sort (copy-sequence (vm-decoded-labels-of m)) 'string-lessp)
	","))
      (vm-decoded-label-string-of m)))

(defun vm-make-folder-summary ()
  (make-vector vm-folder-summary-vector-length nil))

(defun vm-fs-folder-of (fs) (aref fs 0))
(defun vm-fs-total-count-of (fs) (aref fs 1))
(defun vm-fs-new-count-of (fs) (aref fs 2))
(defun vm-fs-unread-count-of (fs) (aref fs 3))
(defun vm-fs-deleted-count-of (fs) (aref fs 4))
(defun vm-fs-start-of (fs) (aref fs 5))
(defun vm-fs-end-of (fs) (aref fs 6))
(defun vm-fs-folder-key-of (fs) (aref fs 7))
(defun vm-fs-mouse-track-overlay-of (fs) (aref fs 8))
(defun vm-fs-short-folder-of (fs) (aref fs 9))
(defun vm-fs-modflag-of (fs) (aref fs 10))

(defun vm-set-fs-folder-of (fs x) (aset fs 0 x))
(defun vm-set-fs-total-count-of (fs x) (aset fs 1 x))
(defun vm-set-fs-new-count-of (fs x) (aset fs 2 x))
(defun vm-set-fs-unread-count-of (fs x) (aset fs 3 x))
(defun vm-set-fs-deleted-count-of (fs x) (aset fs 4 x))
(defun vm-set-fs-start-of (fs x) (aset fs 5 x))
(defun vm-set-fs-end-of (fs x) (aset fs 6 x))
(defun vm-set-fs-folder-key-of (fs x) (aset fs 7 x))
(defun vm-set-fs-mouse-track-overlay-of (fs x) (aset fs 8 x))
(defun vm-set-fs-short-folder-of (fs x) (aset fs 9 x))
(defun vm-set-fs-modflag-of (fs x) (aset fs 10 x))

(defun vm-fs-spooled (fs)
  (let ((count 0)
	(list (symbol-value
	       (intern-soft (vm-fs-folder-key-of fs)
			    vm-folders-summary-folder-hash))))
    (while list
      (setq count (+ count (car (vm-get-folder-totals (car list))))
	    list (cdr list)))
    (int-to-string count)))

(defun vm-make-folders-summary-key (folder &optional dir)
  (cond ((vm-pop-folder-spec-p folder)
	 (or (vm-pop-find-name-for-spec folder)
	     (vm-safe-popdrop-string folder)))
	((vm-imap-folder-spec-p folder)
	 (or (vm-imap-folder-for-spec folder)
	     (vm-safe-imapdrop-string folder)))
	(t
	 (concat "folder-summary0:"
		 (file-truename
		  (expand-file-name folder (or dir vm-folder-directory)))))))

(defun vm-open-folders-summary-database (mode)
  (condition-case data
      (open-database vm-folders-summary-database 'berkeley-db 'hash mode)
    (error (vm-warn 0 2 "open-database signaled: %S" data)
	   nil )))

(defun vm-get-folder-totals (folder)
  (let ((default "(0 0 0 0)") fs db key data)
    (catch 'done
      (if (null vm-folders-summary-database)
	  (throw 'done (read default)))
      (if (not (featurep 'berkeley-db))
	  (throw 'done (read default)))
      (if (null (setq db (vm-open-folders-summary-database "rw+")))
	  (throw 'done (read default)))
      (setq key (vm-make-folders-summary-key folder)
	    data (read (get-database key db default)))
      (close-database db)
      data )))

(defun vm-store-folder-totals (folder totals)
  (let (fs db key data)
    (catch 'done
      (if (null vm-folders-summary-database)
	  (throw 'done nil))
      (if (not (featurep 'berkeley-db))
	  (throw 'done nil))
      (if (null (setq db (vm-open-folders-summary-database "rw+")))
	  (throw 'done nil))
      (setq key (vm-make-folders-summary-key folder)
	    data (prin1-to-string totals))
      (put-database key data db t)
      (close-database db)
      (if (null vm-folders-summary-hash)
	  nil
	(setq fs (intern-soft key vm-folders-summary-hash)
	      fs (symbol-value fs))
	(if (null fs)
	    nil
	  (vm-set-fs-total-count-of fs (int-to-string (car totals)))
	  (vm-set-fs-new-count-of fs (int-to-string (nth 1 totals)))
	  (vm-set-fs-unread-count-of fs (int-to-string (nth 2 totals)))
	  (vm-set-fs-deleted-count-of fs (int-to-string (nth 3 totals)))))
      (vm-mark-for-folders-summary-update folder))))

(defun vm-modify-folder-totals (folder action &rest objects)
  (let (fs db totals key data)
    (catch 'done
      (if (null vm-folders-summary-database)
	  (throw 'done nil))
      (if (not (featurep 'berkeley-db))
	  (throw 'done nil))
      (if (null (setq db (vm-open-folders-summary-database "r")))
	  (throw 'done nil))
      (setq key (vm-make-folders-summary-key folder))
      (setq totals (get-database key db))
      (close-database db)
      (if (null totals)
	  (throw 'done nil))
      (setq totals (read totals))
      (cond ((eq action 'arrived)
	     (let ((arrived (car objects)) c n)
	       (setcar totals (+ (car totals) arrived))
	       (setq c (cdr totals))
	       (setcar c (+ (car c) arrived))))
	    ((eq action 'saved)
	     (let ((arrived (car objects))
		   (m (nth 1 objects)) c n)
	       (setcar totals (+ (car totals) arrived))
	       ;; increment new and unread counts if necessary.
	       ;; messages are never saved with the deleted flag
	       ;; set no need to check that.
	       (setq c (cdr totals))
	       (if (eq (car c) -1)
		   nil
		 (if (vm-new-flag m)
		     (setcar c (+ (car c) arrived))))
	       (setq c (cdr c))
	       (if (eq (car c) -1)
		   nil
		 (if (vm-unread-flag m)
		     (setcar c (+ (car c) arrived)))))))
      (setq data (prin1-to-string totals))
      (if (null (setq db (vm-open-folders-summary-database "rw+")))
	  (throw 'done nil))
      (put-database key data db t)
      (close-database db)
      (if (null vm-folders-summary-hash)
	  nil
	(setq fs (intern-soft key vm-folders-summary-hash)
	      fs (symbol-value fs))
	(if (null fs)
	    nil
	  (vm-set-fs-total-count-of fs (int-to-string (car totals)))
	  (vm-set-fs-new-count-of fs (int-to-string (nth 1 totals)))
	  (vm-set-fs-unread-count-of fs (int-to-string (nth 2 totals)))
	  (vm-set-fs-deleted-count-of fs (int-to-string (nth 3 totals)))))
      (vm-mark-for-folders-summary-update folder))))

(defvar vm-folder-summary nil)		; used with dynamic binding

(defun vm-folders-summary-sprintf (format layout)
  ;; compile the format into an eval'able s-expression
  ;; if it hasn't been compiled already.
  (let ((match (assoc format vm-folders-summary-compiled-format-alist)))
    (if (null match)
	(progn
	  (vm-folders-summary-compile-format format)
	  (setq match
		(assoc format vm-folders-summary-compiled-format-alist))))
    ;; The local variable name `vm-folder-summary' is mandatory here for
    ;; the format s-expression to work.
    (let ((vm-folder-summary layout))
      (eval (cdr match)))))

(defun vm-folders-summary-compile-format (format)
  (let ((return-value (vm-folders-summary-compile-format-1 format 0)))
    (setq vm-folders-summary-compiled-format-alist
	  (cons (cons format (nth 1 return-value))
		vm-folders-summary-compiled-format-alist))))

(defun vm-folders-summary-compile-format-1 (format start-index)
  (let ((case-fold-search nil)
	(done nil)
	(sexp nil)
	(sexp-fmt nil)
	(last-match-end start-index)
	new-match-end conv-spec)
    (store-match-data nil)
    (while (not done)
      (while
	  (and (not done)
	       (string-match
		"%\\(-\\)?\\([0-9]+\\)?\\(\\.\\(-?[0-9]+\\)\\)?\\([()dfnstu%]\\)"
		format last-match-end))
	(setq conv-spec (aref format (match-beginning 5)))
	(setq new-match-end (match-end 0))
	(if (memq conv-spec '(?\( ?d ?f ?n ?s ?t ?u))
	    (progn
	      (cond ((=3D conv-spec ?\()
		     (save-match-data
		       (let ((retval
			      (vm-folders-summary-compile-format-1
			       format
			       (match-end 5))))
			 (setq sexp (cons (nth 1 retval) sexp)
			       new-match-end (car retval)))))
		    ((=3D conv-spec ?d)
		     (setq sexp (cons (list 'vm-fs-deleted-count-of
					    'vm-folder-summary) sexp)))
		    ((=3D conv-spec ?f)
		     (setq sexp (cons (list 'vm-fs-short-folder-of
					    'vm-folder-summary) sexp)))
		    ((=3D conv-spec ?n)
		     (setq sexp (cons (list 'vm-fs-new-count-of
					    'vm-folder-summary) sexp)))
		    ((=3D conv-spec ?t)
		     (setq sexp (cons (list 'vm-fs-total-count-of
					    'vm-folder-summary) sexp)))
		    ((=3D conv-spec ?s)
		     (setq sexp (cons (list 'vm-fs-spooled
					    'vm-folder-summary) sexp)))
		    ((=3D conv-spec ?u)
		     (setq sexp (cons (list 'vm-fs-unread-count-of
					    'vm-folder-summary) sexp))))
	      (cond ((and (match-beginning 1) (match-beginning 2))
		     (setcar sexp
			     (list
			      (if (eq (aref format (match-beginning 2)) ?0)
				  'vm-numeric-left-justify-string
				'vm-left-justify-string)
			      (car sexp)
			      (string-to-number
			       (substring format
					  (match-beginning 2)
					  (match-end 2))))))
		    ((match-beginning 2)
		     (setcar sexp
			     (list
			      (if (eq (aref format (match-beginning 2)) ?0)
				  'vm-numeric-right-justify-string
				'vm-right-justify-string)
			      (car sexp)
			      (string-to-number
			       (substring format
					  (match-beginning 2)
					  (match-end 2)))))))
	      (cond ((match-beginning 3)
		     (setcar sexp
			     (list 'vm-truncate-string (car sexp)
				   (string-to-number
				    (substring format
					       (match-beginning 4)
					       (match-end 4)))))))
	      (setq sexp-fmt
		    (cons "%s"
			  (cons (substring format
					   last-match-end
					   (match-beginning 0))
				sexp-fmt))))
	  (setq sexp-fmt
		(cons (if (eq conv-spec ?\))
			  (prog1 "" (setq done t))
			"%%")
		      (cons (substring format
				       (or last-match-end 0)
				       (match-beginning 0))
			    sexp-fmt))))
	(setq last-match-end new-match-end))
      (if (not done)
	  (setq sexp-fmt
		(cons (substring format last-match-end (length format))
		      sexp-fmt)
		done t))
      (setq sexp-fmt (apply 'concat (nreverse sexp-fmt)))
      (if sexp
	  (setq sexp (cons 'format (cons sexp-fmt (nreverse sexp))))
	(setq sexp sexp-fmt)))
    (list last-match-end sexp)))

(defun vm-update-folders-summary-entry (fs)
  (if (and (vm-fs-start-of fs)
	   (marker-buffer (vm-fs-start-of fs)))
      (let ((modified (buffer-modified-p))
	    (do-mouse-track
	     (or (and vm-mouse-track-summary
		      (vm-mouse-support-possible-p))
		 vm-summary-enable-faces))
	    summary)
	(save-excursion
	  (set-buffer (marker-buffer (vm-fs-start-of fs)))
	  (let ((buffer-read-only nil))
	    (unwind-protect
		(save-excursion
		  (goto-char (vm-fs-start-of fs))
		  ;; We do a little dance to update the text in
		  ;; order to make the markers in the text do
		  ;; what we want.
		  ;;
		  ;; 1. We need to avoid having the start
		  ;;    and end markers clumping together at
		  ;;    the start position.
		  ;;
		  ;; 2. We want the window point marker (w->pointm
		  ;;    in the Emacs display code) to move to the
		  ;;    start of the summary entry if it is
		  ;;    anywhere within the su-start-of to
		  ;;    su-end-of region.
		  ;;
		  ;; We achieve (2) by deleting before inserting.
		  ;; Reversing the order of insertion/deletion
		  ;; pushes the point marker into the next
		  ;; summary entry. We achieve (1) by inserting a
		  ;; placeholder character at the end of the
		  ;; summary entry before deleting the region.
		  (goto-char (vm-fs-end-of fs))
		  (insert-before-markers "z")
		  (goto-char (vm-fs-start-of fs))
		  (delete-region (point) (1- (vm-fs-end-of fs)))
		  (insert
		   (vm-folders-summary-sprintf vm-folders-summary-format fs))
		  (delete-char 1)
		  (when do-mouse-track
		    (vm-mouse-set-mouse-track-highlight
		     (vm-fs-start-of fs)
		     (vm-fs-end-of fs)
		     (vm-fs-mouse-track-overlay-of fs)))
		  ;; VM Summary Faces may not work for this yet
		  ;; (when vm-summary-enable-faces
		  ;;   (vm-summary-faces-add fs))
		  )
	      (set-buffer-modified-p modified)))))))

(defun vm-folders-summary-mode-internal ()
  (setq mode-name "VM Folders Summary"
	major-mode 'vm-folders-summary-mode
	mode-line-format '("     %b")
	;; must come after the setting of major-mode
	mode-popup-menu (and vm-use-menus
			     (vm-menu-support-possible-p)
			     (vm-menu-mode-menu))
	buffer-read-only t
	buffer-offer-save nil
	truncate-lines t)
  (when (and vm-xemacs-p (featurep 'scrollbar))
    (set-specifier scrollbar-height (cons (current-buffer) 0)))
  (use-local-map vm-folders-summary-mode-map)
  (when (vm-menu-support-possible-p)
    (vm-menu-install-menus))
  (when (and vm-mutable-frame-configuration vm-frame-per-folders-summary)
    (vm-set-hooks-for-frame-deletion))
  (run-hooks 'vm-folders-summary-mode-hook))

(defun vm-do-folders-summary ()
  (catch 'done
    (let ((fs-hash (make-vector 89 0)) db dp fp f key fs totals
          (format vm-folders-summary-format)
	  (do-mouse-track (or (and vm-mouse-track-summary
				   (vm-mouse-support-possible-p))
			      vm-summary-enable-faces)))
      (save-excursion
	(set-buffer vm-folders-summary-buffer)
	(erase-buffer)
	(let ((buffer-read-only nil))
	  (if (null vm-folders-summary-database)
	      (throw 'done nil))
	  (if (not (featurep 'berkeley-db))
	      (throw 'done nil))
	  (if (null (setq db (vm-open-folders-summary-database "r")))
	      (throw 'done nil))
	  (setq dp vm-folders-summary-directories)
	  (while dp
	    (if (cdr vm-folders-summary-directories)
		(insert (car dp) ":\n"))
	    (let ((default-directory (car dp)))
	      (setq fp (sort (vm-delete-backup-file-names
			      (vm-delete-auto-save-file-names
			       (vm-delete-index-file-names
				(vm-delete-directory-names
				 (directory-files (car dp))))))
			     (function string-lessp))))
	    (while fp
	      (setq f (car fp)
		    key (vm-make-folders-summary-key f (car dp))
		    totals (get-database key db))
	      (if (null totals)
		  (let ((ff (expand-file-name f (car dp))))
		    (setq totals (list (or (vm-count-messages-in-file ff) -1)
				       -1 -1 -1))
		    (if (eq (car totals) -1)
			nil
		      (vm-store-folder-totals ff totals)))
		(setq totals (read totals)))
	      (if (eq (car totals) -1)
		  nil
		(setq fs (vm-make-folder-summary))
		(vm-set-fs-folder-of fs (expand-file-name f (car dp)))
		(vm-set-fs-short-folder-of fs f)
		(vm-set-fs-total-count-of fs (vm-nonneg-string (car totals)))
		(vm-set-fs-new-count-of fs (vm-nonneg-string (nth 1 totals)))
		(vm-set-fs-unread-count-of fs (vm-nonneg-string
					       (nth 2 totals)))
		(vm-set-fs-deleted-count-of fs (vm-nonneg-string
						(nth 3 totals)))
		(vm-set-fs-folder-key-of fs key)
		(vm-set-fs-start-of fs (vm-marker (point)))
		(insert (vm-folders-summary-sprintf format fs))
		(vm-set-fs-end-of fs (vm-marker (point)))
		(when do-mouse-track
		  (vm-set-fs-mouse-track-overlay-of
		   fs
		   (vm-mouse-set-mouse-track-highlight
		    (vm-fs-start-of fs)
		    (vm-fs-end-of fs))))
		;; VM Summary Faces may not work here yet
		;; (when vm-summary-enable-faces
		;;   (vm-summary-faces-add fs))
		(set (intern key fs-hash) fs))
	      (setq fp (cdr fp)))
	    (setq dp (cdr dp)))
	  (close-database db)
	  (setq vm-folders-summary-hash fs-hash))
	(goto-char (point-min))))))

(defun vm-update-folders-summary-highlight ()
  (if (or (null vm-mail-buffer)
	  (null (buffer-file-name vm-mail-buffer))
	  (null vm-folders-summary-hash))
      (progn
	(and vm-folders-summary-overlay
	     (vm-set-extent-endpoints vm-folders-summary-overlay 1 1))
	(setq vm-mail-buffer nil))
    (let ((ooo vm-folders-summary-overlay)
	  (fs (symbol-value (intern-soft (vm-make-folders-summary-key
					  (buffer-file-name vm-mail-buffer))
					 vm-folders-summary-hash))))
      (if (and fs
	       (or (null ooo)
		   (null (vm-extent-object ooo))
		   (/=3D (vm-extent-end-position ooo)
		       (vm-fs-end-of fs))))
	  (vm-folders-summary-highlight-region
	   (vm-fs-start-of fs) (vm-fs-end-of fs)
	   vm-summary-highlight-face)))))

(defun vm-do-needed-folders-summary-update ()
  (if (null vm-folders-summary-buffer)
      nil
    (save-excursion
      (set-buffer vm-folders-summary-buffer)
      (if (or (eq vm-modification-counter vm-flushed-modification-counter)
	      (null vm-folders-summary-hash))
	  nil
	(mapatoms
	 (function
	  (lambda (sym)
	    (let ((fs (symbol-value sym)))
	      (if (null (vm-fs-modflag-of fs))
		  nil
		(vm-update-folders-summary-entry fs)
		(vm-set-fs-modflag-of fs nil)))))
	  vm-folders-summary-hash)
	(vm-update-folders-summary-highlight)
	(setq vm-flushed-modification-counter vm-modification-counter)))))

(defun vm-mark-for-folders-summary-update (folder &optional dont-descend)
  (let ((key (vm-make-folders-summary-key folder))
	(hash vm-folders-summary-hash)
	(spool-hash vm-folders-summary-spool-hash)
	list fs )
    (setq fs (symbol-value (intern-soft key hash)))
    (if (not fs)
	nil
      (vm-set-fs-modflag-of fs t)
      (vm-check-for-killed-summary)
      (if vm-folders-summary-buffer
	  (save-excursion
	    (set-buffer vm-folders-summary-buffer)
	    (vm-increment vm-modification-counter))))
    (if dont-descend
	nil
      (setq list (symbol-value (intern-soft key spool-hash)))
      (while list
	(vm-mark-for-folders-summary-update (car list) t)
	(setq list (cdr list))))))

(defun vm-make-folders-summary-associative-hashes ()
  (let ((triples (vm-compute-spool-files t))
	(spool-hash (make-vector 61 0))
	(folder-hash (make-vector 61 0))
	s-list f-list folder-key spool-key)
    (while triples
      (setq folder-key (vm-make-folders-summary-key (car (car triples)))
	    spool-key (vm-make-folders-summary-key (nth 1 (car triples)))
	    s-list (symbol-value (intern-soft spool-key spool-hash))
	    s-list (cons (car (car triples)) s-list)
	    f-list (symbol-value (intern-soft folder-key folder-hash))
	    f-list (cons (nth 1 (car triples)) f-list)
	    triples (cdr triples))
      (set (intern spool-key spool-hash) s-list)
      (set (intern folder-key folder-hash) f-list))
    (setq vm-folders-summary-spool-hash spool-hash)
    (setq vm-folders-summary-folder-hash folder-hash)))

(defun vm-follow-folders-summary-cursor ()
  (if (or (not (eq major-mode 'vm-folders-summary-mode))
	  (null vm-folders-summary-hash))
      nil
    (catch 'done
      (mapatoms
       (function
	(lambda (sym)
	  (let ((fs (symbol-value sym)))
	    (if (and (>=3D (point) (vm-fs-start-of fs))
		     (< (point) (vm-fs-end-of fs))
		     (or (null vm-mail-buffer)
			 (not (eq vm-mail-buffer
				  (vm-get-file-buffer (vm-fs-folder-of fs))))))
		(progn
		  (setq vm-mail-buffer
			(save-excursion
			  (vm-visit-folder (vm-fs-folder-of fs))
			  (current-buffer)))
		  (vm-increment vm-modification-counter)
		  (vm-update-summary-and-mode-line)
		  (throw 'done t))))))
       vm-folders-summary-hash)
      nil )))


;;; vm-summary.el ends here

--=-=-=
Content-Type: text/plain


-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 9 Mar 2020 17:10:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 13:10:12 2020
Received: from localhost ([127.0.0.1]:51410 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBLut-0002f3-Q2
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2020 13:10:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jBLus-0002ee-O8
 for 39962 <at> debbugs.gnu.org; Mon, 09 Mar 2020 13:10:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46840)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jBLum-0004a6-Iw; Mon, 09 Mar 2020 13:10:04 -0400
Received: from [176.228.60.248] (port=1594 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jBLul-00020R-S6; Mon, 09 Mar 2020 13:10:04 -0400
Date: Mon, 09 Mar 2020 19:10:02 +0200
Message-Id: <83d09lbgk5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-Reply-To: <lxv9nd4q2s.fsf@HIDDEN> (message from Pieter
 van Oostrum on Mon, 09 Mar 2020 14:26:19 +0100)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
 <lxv9nd4q2s.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, eggert@HIDDEN, pieter@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Cc: Pieter van Oostrum <pieter@HIDDEN>,  39962 <at> debbugs.gnu.org,  Eli
>  Zaretskii <eliz@HIDDEN>
> Date: Mon, 09 Mar 2020 14:26:19 +0100
> 
> OK, with this change I get sensible information:
> 
> (gdb) f 9
> #9  0x0000000100314bfe in Ffuncall (nargs=2, args=0x7ffeefbf6e78)
>     at eval.c:2796
> 2796	    val = funcall_lambda (fun, numargs, args + 1);
> (gdb) p args[0]
> $50 = XIL(0xcfeb420)
> (gdb) xtype
> Lisp_Symbol
> (gdb) xsymbol
> $51 = (struct Lisp_Symbol *) 0x10da24150
> "vm-set-summary-pointer"

Thanks (and thanks to Paul for making GD|B usable in this case).

So does vm-set-summary-pointer indeed call mapatoms as part of its
job?  If so, can you show the relevant code fragment(s)?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 9 Mar 2020 13:26:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 09:26:28 2020
Received: from localhost ([127.0.0.1]:49987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBIQN-0003Ih-Su
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2020 09:26:28 -0400
Received: from [145.132.212.31] (port=52644 helo=cochabamba.vanoostrum.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jBIQL-0003IU-N5
 for 39962 <at> debbugs.gnu.org; Mon, 09 Mar 2020 09:26:26 -0400
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id DD97BAA99D8A;
 Mon,  9 Mar 2020 14:26:19 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
 <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
Date: Mon, 09 Mar 2020 14:26:19 +0100
In-Reply-To: <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN> (Paul Eggert's
 message of "Sun, 8 Mar 2020 17:01:52 -0700")
Message-ID: <lxv9nd4q2s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Paul Eggert <eggert@HIDDEN> writes: > On 3/8/20 4:58
 PM, Pieter van Oostrum wrote: >> Can I get this activated in a running gdb,
 or must I start a new gdb session? > > You can type the 'define xgetsym'
 into a running GDB. Something like [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ucla.edu]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Pieter van Oostrum <pieter@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Paul Eggert <eggert@HIDDEN> writes:

> On 3/8/20 4:58 PM, Pieter van Oostrum wrote:
>> Can I get this activated in a running gdb, or must I start a new gdb session?
>
> You can type the 'define xgetsym' into a running GDB. Something like this:
>
> (gdb) define xgetsym
> Redefine command "xgetsym"? (y or n) y
> Type commands for definition of "xgetsym".
> End with a line saying just "end".
>>xgetptr $arg0
>>set $ptr = ((struct Lisp_Symbol *) ((char *) &lispsym + $ptr))
>>end
> (gdb)
>

OK, with this change I get sensible information:

(gdb) f 9
#9  0x0000000100314bfe in Ffuncall (nargs=2, args=0x7ffeefbf6e78)
    at eval.c:2796
2796	    val = funcall_lambda (fun, numargs, args + 1);
(gdb) p args[0]
$50 = XIL(0xcfeb420)
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$51 = (struct Lisp_Symbol *) 0x10da24150
"vm-set-summary-pointer"
(gdb) f 12
#12 0x0000000100314bfe in Ffuncall (nargs=1, args=0x7ffeefbf7e48)
    at eval.c:2796
2796	    val = funcall_lambda (fun, numargs, args + 1);
(gdb) p args[0]
$52 = XIL(0x3e349a0)
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$53 = (struct Lisp_Symbol *) 0x10486d6d0
"vm-do-needed-summary-rebuild"
(gdb) f 15
#15 0x0000000100314bfe in Ffuncall (nargs=2, args=0x7ffeefbf8e48)
    at eval.c:2796
2796	    val = funcall_lambda (fun, numargs, args + 1);
(gdb) p args[0]
$54 = XIL(0x105c5b465)
(gdb) xtype
Lisp_Vectorlike
PVEC_COMPILED
(gdb) f 21
#21 0x0000000100314bae in Ffuncall (nargs=3, args=0x7ffeefbf9198)
    at eval.c:2794
2794	    val = funcall_subr (XSUBR (fun), numargs, args + 1);
(gdb) p args[0]
$55 = XIL(0x5fb6d60)
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$56 = (struct Lisp_Symbol *) 0x1069efa90
"mapatoms"
(gdb) f 24
#24 0x0000000100314bfe in Ffuncall (nargs=1, args=0x7ffeefbfa1b8)
    at eval.c:2796
2796	    val = funcall_lambda (fun, numargs, args + 1);
(gdb) p args[0]
$57 = XIL(0x3e34910)
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$58 = (struct Lisp_Symbol *) 0x10486d640
"vm-update-summary-and-mode-line"
(gdb) f 27
#27 0x0000000100314bfe in Ffuncall (nargs=10, args=0x7ffeefbfb608)
    at eval.c:2796
2796	    val = funcall_lambda (fun, numargs, args + 1);
(gdb) p args[0]
$59 = XIL(0x56c6a00)
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$60 = (struct Lisp_Symbol *) 0x1060ff730
"vm"
(gdb) f 30
#30 0x0000000100314bfe in Ffuncall (nargs=3, args=0x7ffeefbfc958)
    at eval.c:2796
2796	    val = funcall_lambda (fun, numargs, args + 1);
(gdb) p args[0]
$61 = XIL(0x4a62fc0)
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$62 = (struct Lisp_Symbol *) 0x10549bcf0
"vm-visit-folder"
(gdb) f 31
#31 0x00000001002fd9ca in Ffuncall_interactively (nargs=3, args=0x7ffeefbfc958)
    at callint.c:254
254	  return unbind_to (speccount, Ffuncall (nargs, args));
(gdb) p args[0]
$63 = XIL(0x4a62fc0)
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$64 = (struct Lisp_Symbol *) 0x10549bcf0
"vm-visit-folder"
(gdb) f 33
#33 0x0000000100314bae in Ffuncall (nargs=4, args=0x7ffeefbfc950)
    at eval.c:2794
2794	    val = funcall_subr (XSUBR (fun), numargs, args + 1);
(gdb) p args[0]
$65 = XIL(0x62a0)
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$66 = (struct Lisp_Symbol *) 0x100a3efd0
"funcall-interactively"
(gdb) f 37
#37 0x0000000100314bae in Ffuncall (nargs=4, args=0x7ffeefbfd9b8)
    at eval.c:2794
2794	    val = funcall_subr (XSUBR (fun), numargs, args + 1);
(gdb) p args[0]
$67 = XIL(0x5f592d0)
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$68 = (struct Lisp_Symbol *) 0x106992000
"call-interactively"
(gdb) f 40
#40 0x0000000100314bfe in Ffuncall (nargs=2, args=0x7ffeefbfea18)
    at eval.c:2796
2796	    val = funcall_lambda (fun, numargs, args + 1);
(gdb) p args[0]
$69 = XIL(0x3960)
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$70 = (struct Lisp_Symbol *) 0x100a3c690
"command-execute"
(gdb) 

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 9 Mar 2020 04:00:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 00:00:45 2020
Received: from localhost ([127.0.0.1]:49644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jB9av-00071P-Ah
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2020 00:00:45 -0400
Received: from mail-ot1-f49.google.com ([209.85.210.49]:37613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1jB9at-00071A-Qa
 for 39962 <at> debbugs.gnu.org; Mon, 09 Mar 2020 00:00:44 -0400
Received: by mail-ot1-f49.google.com with SMTP id b3so8268110otp.4
 for <39962 <at> debbugs.gnu.org>; Sun, 08 Mar 2020 21:00:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=RVL/cMH7YSkpShKuil8I0COaE7je5Vy+HwbAJue7p2g=;
 b=Z4a+yjXmxdJAqPuAyc/XGXPhq2hWTY1vJ8quqwEk5jVU/4QtXVKyau6ryF2KCHW9ML
 4EQNoqWB6o8lN2NKxJWYylQFmOh4Kzk0r+oebG5ZK2i4E2mXRhlVkX9q+rZ8iFd1B3fx
 KB8HnHGek/FRUOauBaY+kislBTsbivoVeNNpeIsfZDMPhUrssmxWw3tS6U+Rkvw6McvN
 Vhc/4Igx4QEBpJ/vBgXXEpkuOnnRLp4d5BW31RvbGIZs9Q7gI6+n0eNvDW4bfsQt2tdN
 RSUFtG+b3IMMvXwXdarLaQYdy2W4gG0aoVPe7ERJNbZ37nJbmxvOFja+CNj3H91MKWTx
 Dd2w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=RVL/cMH7YSkpShKuil8I0COaE7je5Vy+HwbAJue7p2g=;
 b=IoVokHEKW1as75+2/4kdzh60UnduxF5GcC5Xl/j+q3yBXq9ZI9DImBY+WZg8xyclZw
 zSidMkj5Qm8EmTwxfeyqwcjOqXbjhHA3OZ58v9mppojZ1voiQer1Aa8EpacgW1iRABna
 PLvyqjerVWQi+sl56v94DonafNGKN/kJ3T5F/h9I/bnz+xZ7B9et96kF8wIio8K5/P/K
 zlhtnFkngpchLWbyNgF1bp2yIf6XruPmtQYGsM/pXpFryMUntejQdpmVX25JH1koc1VY
 iCG8I3oaJ7pwAkF7BDlookI9RvaqXnYC/oA5JVPyyivHGE6Vi+y3jRx9+ZrowED1izLj
 f85g==
X-Gm-Message-State: ANhLgQ1w8QxBd/m237fKhZvqBKQ0UTdBPSMoi8ijnfVfdClruTXgeWVm
 FDXg/5L90sN0m7FiS8am5oKK+Nhos87mvgIbjnk=
X-Google-Smtp-Source: ADFU+vviezjwUOrO4f34uMJSvec99pAjbVq8bWWBLoiQHuK9uvMbaANQ13/QL109bOAB7tSySph01jNTlsMkdkiUpPQ=
X-Received: by 2002:a9d:175:: with SMTP id 108mr12114407otu.287.1583726438141; 
 Sun, 08 Mar 2020 21:00:38 -0700 (PDT)
MIME-Version: 1.0
References: <24162.58107.725366.668639@HIDDEN>
 <835zfgbo6f.fsf@HIDDEN> <lximjgbf05.fsf@HIDDEN>
In-Reply-To: <lximjgbf05.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Mon, 9 Mar 2020 04:00:01 +0000
Message-ID: <CAOqdjBdpxmbvTZ33V5N86j_YYt4TOKC8Q9DVxygfvZon4dQXBw@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: Eli Zaretskii <eliz@HIDDEN>, Pieter van Oostrum <pieter@HIDDEN>,
 39962 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Mar 7, 2020 at 11:07 AM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> Eli Zaretskii <eliz@HIDDEN> writes:
> >> Date: Sat, 7 Mar 2020 00:55:39 +0100
> >> From: Pieter van Oostrum <pieter@HIDDEN>
> >>
> >> I got a segmentation fault in Emacs. I read my email with VM
> >> (Viewmail), and I had a few fairly large mailboxes open when Emacs
> >> crashed. I had a few other cases where it crashed under similar
> >> circumstances, but other cases where it ran without problems.

This is a hunch, but is it possible GC is somehow triggered either on
a secondary thread or in an event handler?

Can you uncomment the definitions of NSTRACE_ENABLED and
NSTRACE_ALL_GROUPS in nsterm.h and post the last few lines produced
that way before a crash? Also, what's the output of "i thr" in gdb
after that crash?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 9 Mar 2020 00:02:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 08 20:02:02 2020
Received: from localhost ([127.0.0.1]:49510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jB5ru-0001Nm-4H
	for submit <at> debbugs.gnu.org; Sun, 08 Mar 2020 20:02:02 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:46400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1jB5rr-0001NK-J2
 for 39962 <at> debbugs.gnu.org; Sun, 08 Mar 2020 20:02:00 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id E6E0F16006B;
 Sun,  8 Mar 2020 17:01:53 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id KCTUX8UPrcKh; Sun,  8 Mar 2020 17:01:53 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 4C396160091;
 Sun,  8 Mar 2020 17:01:53 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id oSZcLxSJRF7w; Sun,  8 Mar 2020 17:01:53 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 08BAA16006B;
 Sun,  8 Mar 2020 17:01:53 -0700 (PDT)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter@HIDDEN>
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
 <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <63b88e2d-9888-f3ce-a4b0-fcf344e803e5@HIDDEN>
Date: Sun, 8 Mar 2020 17:01:52 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
In-Reply-To: <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Pieter van Oostrum <pieter-l@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 3/8/20 4:58 PM, Pieter van Oostrum wrote:
> Can I get this activated in a running gdb, or must I start a new gdb session?

You can type the 'define xgetsym' into a running GDB. Something like this:

(gdb) define xgetsym
Redefine command "xgetsym"? (y or n) y
Type commands for definition of "xgetsym".
End with a line saying just "end".
 >xgetptr $arg0
 >set $ptr = ((struct Lisp_Symbol *) ((char *) &lispsym + $ptr))
 >end
(gdb)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 8 Mar 2020 23:58:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 08 19:58:57 2020
Received: from localhost ([127.0.0.1]:49505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jB5ov-0001HR-Lw
	for submit <at> debbugs.gnu.org; Sun, 08 Mar 2020 19:58:57 -0400
Received: from smarthost-b.hosting2go.nl ([83.137.198.202]:56810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter@HIDDEN>) id 1jB5ot-0001H1-Ki
 for 39962 <at> debbugs.gnu.org; Sun, 08 Mar 2020 19:58:56 -0400
X-ASG-Debug-ID: 1583711929-0a9db43b8a3226860001-PyL51Z
Received: from server24.hosting2go.nl (server24.hosting2go.nl [83.137.194.11])
 by smarthost-b.hosting2go.nl with ESMTP id S9Q4cJzSLaiCQDTs (version=TLSv1.2
 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO) for
 <39962 <at> debbugs.gnu.org>; Mon, 09 Mar 2020 00:58:49 +0100 (CET)
X-Barracuda-Envelope-From: pieter@HIDDEN
X-Barracuda-Effective-Source-IP: server24.hosting2go.nl[83.137.194.11]
X-Barracuda-Apparent-Source-IP: 83.137.194.11
Received: (qmail 23543 invoked from network); 8 Mar 2020 23:58:49 -0000
Received: from static-145.132.212.31.ip.telfort.nl (HELO ?192.168.2.3?)
 (145.132.212.31)
 by server24.hosting2go.nl with ESMTPS (ECDHE-RSA-AES256-GCM-SHA384 encrypted);
 8 Mar 2020 23:58:49 -0000
Received-SPF: unknown (server24.hosting2go.nl: domain at 83.137.194.9 does not
 designate permitted sender hosts)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (1.0)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
From: Pieter van Oostrum <pieter@HIDDEN>
X-ASG-Orig-Subj: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
X-Mailer: iPad Mail (16G161)
In-Reply-To: <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
Date: Mon, 9 Mar 2020 00:58:18 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <89A83582-358F-43DC-B96E-04EE9D655D5F@HIDDEN>
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
 <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
X-Barracuda-Connect: server24.hosting2go.nl[83.137.194.11]
X-Barracuda-Start-Time: 1583711929
X-Barracuda-Encrypted: ECDHE-RSA-AES256-GCM-SHA384
X-Barracuda-URL: https://83.137.198.202:443/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at hosting2go.nl
X-Barracuda-Scan-Msg-Size: 577
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=4.5 tests=BSF_SC0_MISMATCH_TO,
 MIME_QP_LONG_LINE
B-X-Hosting2GO-Smarthost: Clean
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.80541
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.00 MIME_QP_LONG_LINE      RAW: Quoted-printable line longer than 76 chars
 0.00 BSF_SC0_MISMATCH_TO    Envelope rcpt doesn't match header
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Pieter van Oostrum <pieter-l@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Can I get this activated in a running gdb, or must I start a new gdb session=
?

--=20
Pieter van Oostrum

> On 8 Mar 2020, at 23:34, Paul Eggert <eggert@HIDDEN> wrote:
>=20
>> On 3/8/20 2:37 PM, Pieter van Oostrum wrote:
>> gdb) p (char *) &lispsym
>> $35 =3D 0x100a38d30 "\230\001"
>=20
> In that case, I expect the attached patch to work around the clang bug (an=
d it is a bug in clang - clang is not outputting 'lispsym' debug info anywhe=
re but in lread.o). Please give this patch a try and (assuming it works) go o=
n to debugging the original problem.
> <tt.diff>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 8 Mar 2020 22:34:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 08 18:34:16 2020
Received: from localhost ([127.0.0.1]:49462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jB4Uy-0007lM-AX
	for submit <at> debbugs.gnu.org; Sun, 08 Mar 2020 18:34:16 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:37656)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1jB4Uw-0007l8-AI
 for 39962 <at> debbugs.gnu.org; Sun, 08 Mar 2020 18:34:15 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 8583416006B;
 Sun,  8 Mar 2020 15:34:08 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id pUHdMj2zzkiK; Sun,  8 Mar 2020 15:34:07 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id D36D1160091;
 Sun,  8 Mar 2020 15:34:07 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id TOi8jYjdheVR; Sun,  8 Mar 2020 15:34:07 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id A0E4F16006B;
 Sun,  8 Mar 2020 15:34:07 -0700 (PDT)
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
To: Pieter van Oostrum <pieter-l@HIDDEN>
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <22225b66-44f6-d132-3036-92181d53c28d@HIDDEN>
Date: Sun, 8 Mar 2020 15:34:07 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
In-Reply-To: <lx36ai7cjz.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------CBD680A4130A68F331AEAEA2"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Pieter van Oostrum <pieter@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------CBD680A4130A68F331AEAEA2
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 3/8/20 2:37 PM, Pieter van Oostrum wrote:
> gdb) p (char *) &lispsym
> $35 = 0x100a38d30 "\230\001"

In that case, I expect the attached patch to work around the clang bug (and it 
is a bug in clang - clang is not outputting 'lispsym' debug info anywhere but in 
lread.o). Please give this patch a try and (assuming it works) go on to 
debugging the original problem.

--------------CBD680A4130A68F331AEAEA2
Content-Type: text/x-patch; charset=UTF-8;
 name="tt.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="tt.diff"

diff --git a/src/.gdbinit b/src/.gdbinit
index 5dd0133715..30c7b055ce 100644
--- a/src/.gdbinit
+++ b/src/.gdbinit
@@ -72,7 +72,7 @@ end
 
 define xgetsym
   xgetptr $arg0
-  set $ptr = ((struct Lisp_Symbol *) ((char *)lispsym + $ptr))
+  set $ptr = ((struct Lisp_Symbol *) ((char *) &lispsym + $ptr))
 end
 
 # Access the name of a symbol

--------------CBD680A4130A68F331AEAEA2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 8 Mar 2020 21:58:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 08 17:58:28 2020
Received: from localhost ([127.0.0.1]:49418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jB3wK-0006rY-OC
	for submit <at> debbugs.gnu.org; Sun, 08 Mar 2020 17:58:28 -0400
Received: from [145.132.212.31] (port=62694 helo=cochabamba.vanoostrum.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jB3wJ-0006rL-Ep
 for 39962 <at> debbugs.gnu.org; Sun, 08 Mar 2020 17:58:27 -0400
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 8C66CAA92D72;
 Sun,  8 Mar 2020 22:58:21 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
 <lx36ai7cjz.fsf@HIDDEN>
Date: Sun, 08 Mar 2020 22:58:21 +0100
In-Reply-To: <lx36ai7cjz.fsf@HIDDEN> (Pieter van Oostrum's
 message of "Sun, 08 Mar 2020 22:37:52 +0100")
Message-ID: <lxr1y25x1e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: lispsym comes up in dwarfdum *.o: File: lread.o (x86_64)
 0x000004b2:
 TAG_variable [19] AT_name( "lispsym" ) AT_type( {0x000004c8} ( Lisp_Symbol[]
 ) ) AT_external( true ) AT_decl_file(
 "/Users/pieter/Projects/EMACS/src/globals.h"
 ) AT_decl_line( 1124 ) AT_lo [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: vanoostrum.org]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Pieter van Oostrum <pieter@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

lispsym comes up in dwarfdum *.o:

File: lread.o (x86_64)

0x000004b2:     TAG_variable [19]  
                 AT_name( "lispsym" )
                 AT_type( {0x000004c8} ( Lisp_Symbol[] ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1124 )
                 AT_location( [0x0000000000000000] )

-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39962; Package emacs. Full text available.

Message received at 39962 <at> debbugs.gnu.org:


Received: (at 39962) by debbugs.gnu.org; 8 Mar 2020 21:38:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 08 17:38:06 2020
Received: from localhost ([127.0.0.1]:49400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jB3cb-0006OY-V5
	for submit <at> debbugs.gnu.org; Sun, 08 Mar 2020 17:38:06 -0400
Received: from [145.132.212.31] (port=62412 helo=cochabamba.vanoostrum.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1jB3cX-0006O1-Oe
 for 39962 <at> debbugs.gnu.org; Sun, 08 Mar 2020 17:38:05 -0400
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id C51E7AA92AB8;
 Sun,  8 Mar 2020 22:37:54 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#39962: 27.0.90; Crash in Emacs 27.0.90
References: <24162.58107.725366.668639@HIDDEN>
 <329e58b1-6255-311e-bdd8-b6f5b3d5208f@HIDDEN>
 <lxh7yz6vhf.fsf@HIDDEN>
 <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN>
Date: Sun, 08 Mar 2020 22:37:52 +0100
In-Reply-To: <ce8486f9-2be5-fb10-8107-8c408fb354d7@HIDDEN> (Paul Eggert's
 message of "Sun, 8 Mar 2020 03:05:42 -0700")
Message-ID: <lx36ai7cjz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Debbugs-Envelope-To: 39962
Cc: 39962 <at> debbugs.gnu.org, Pieter van Oostrum <pieter@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

Paul Eggert <eggert@HIDDEN> writes:

> On 3/8/20 1:34 AM, Pieter van Oostrum wrote:
>> (gdb) p (char *)lispsym
>> $34 = 0x198 <error: Cannot access memory at address 0x198>
>> (gdb) p (char *)&lispsym[0]
>> 'lispsym' has unknown type; cast it to its declared type
>
> lispsym's type is not known?! Either your compiler or your debugger has
> got a serious bug.
>
> What does this command do?
>
> (gdb) p (char *) &lispsym

gdb) p (char *) &lispsym
$35 = 0x100a38d30 "\230\001"

By the way, the same comes up from
dsymutil   -dump-debug-map  emacs

      - { sym: _lispsym, binAddr: 0x0000000100A38D30, size: 0x00000000 }

>
> Also, what does 'objdump -g emacs.o' say about lispsym? Mine says this:
>
> emacs.o:     file format elf64-x86-64

objdump doesn't do Mach-O object files.

I did use dwarfdump which gives debug info. But it doesn't mention lispsym, although it gives other variables. 


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=debuginfo2

src $ dwarfdump emacs.o
----------------------------------------------------------------------
 File: emacs.o (x86_64)
----------------------------------------------------------------------
.debug_info contents:

0x00000000: Compile Unit: length = 0x00008950  version = 0x0004  abbr_offset = 0x00000000  addr_size = 0x08  (next CU at 0x00008954)

0x0000000b: TAG_compile_unit [1] *
             AT_producer( "Apple LLVM version 9.1.0 (clang-902.0.39.2)" )
             AT_language( DW_LANG_C99 )
             AT_name( "emacs.c" )
             AT_stmt_list( 0x00000000 )
             AT_comp_dir( "/Users/pieter/Projects/EMACS/src" )
             AT_low_pc( 0x0000000000000000 )
             AT_high_pc( 0x00005100 )

0x0000002a:     TAG_variable [2]  
                 AT_name( "GCTYPEBITS" )
                 AT_type( {0x0000003f} ( const int ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/lisp.h" )
                 AT_decl_line( 68 )
                 AT_location( [0x0000000000005100] )

0x0000003f:     TAG_const_type [3]  
                 AT_type( {0x00000044} ( int ) )

0x00000044:     TAG_base_type [4]  
                 AT_name( "int" )
                 AT_encoding( DW_ATE_signed )
                 AT_byte_size( 0x04 )

0x0000004b:     TAG_variable [2]  
                 AT_name( "INTTYPEBITS" )
                 AT_type( {0x0000003f} ( const int ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/lisp.h" )
                 AT_decl_line( 230 )
                 AT_location( [0x0000000000005104] )

0x00000060:     TAG_variable [2]  
                 AT_name( "USE_LSB_TAG" )
                 AT_type( {0x00000075} ( const _Bool ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/lisp.h" )
                 AT_decl_line( 245 )
                 AT_location( [0x0000000000005108] )

0x00000075:     TAG_const_type [3]  
                 AT_type( {0x0000007a} ( _Bool ) )

0x0000007a:     TAG_base_type [4]  
                 AT_name( "_Bool" )
                 AT_encoding( DW_ATE_boolean )
                 AT_byte_size( 0x01 )

0x00000081:     TAG_variable [2]  
                 AT_name( "VALMASK" )
                 AT_type( {0x00000096} ( const EMACS_INT ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/lisp.h" )
                 AT_decl_line( 250 )
                 AT_location( [0x0000000000005110] )

0x00000096:     TAG_const_type [3]  
                 AT_type( {0x0000009b} ( EMACS_INT ) )

0x0000009b:     TAG_typedef [5]  
                 AT_type( {0x000000a6} ( long int ) )
                 AT_name( "EMACS_INT" )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/lisp.h" )
                 AT_decl_line( 87 )

0x000000a6:     TAG_base_type [4]  
                 AT_name( "long int" )
                 AT_encoding( DW_ATE_signed )
                 AT_byte_size( 0x08 )

0x000000ad:     TAG_variable [6]  
                 AT_name( "Qnil" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1127 )
                 AT_location( [0x0000000000005118] )

0x000000c3:     TAG_const_type [3]  
                 AT_type( {0x000000c8} ( Lisp_Object ) )

0x000000c8:     TAG_typedef [7]  
                 AT_type( {0x000000d4} ( Lisp_Object ) )
                 AT_name( "Lisp_Object" )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/lisp.h" )
                 AT_decl_line( 570 )

0x000000d4:     TAG_structure_type [8] *
                 AT_name( "Lisp_Object" )
                 AT_byte_size( 0x08 )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/lisp.h" )
                 AT_decl_line( 570 )

0x000000dd:         TAG_member [9]  
                     AT_name( "i" )
                     AT_type( {0x000000eb} ( Lisp_Word ) )
                     AT_decl_file( "/Users/pieter/Projects/EMACS/src/lisp.h" )
                     AT_decl_line( 570 )
                     AT_data_member_location( 0x00 )

0x000000ea:         NULL

0x000000eb:     TAG_typedef [7]  
                 AT_type( {0x000000f7} ( Lisp_X* ) )
                 AT_name( "Lisp_Word" )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/lisp.h" )
                 AT_decl_line( 307 )

0x000000f7:     TAG_pointer_type [10]  
                 AT_type( {0x000000fc} ( Lisp_X ) )

0x000000fc:     TAG_union_type [11]  
                 AT_name( "Lisp_X" )
                 AT_declaration( true )

0x00000101:     TAG_variable [6]  
                 AT_name( "Qt" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1129 )
                 AT_location( [0x0000000000005120] )

0x00000117:     TAG_variable [6]  
                 AT_name( "Qunbound" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1131 )
                 AT_location( [0x0000000000005128] )

0x0000012d:     TAG_variable [6]  
                 AT_name( "Qerror" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1133 )
                 AT_location( [0x0000000000005130] )

0x00000143:     TAG_variable [6]  
                 AT_name( "Qlambda" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1135 )
                 AT_location( [0x0000000000005138] )

0x00000159:     TAG_variable [6]  
                 AT_name( "QAutomatic_GC" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1137 )
                 AT_location( [0x0000000000005140] )

0x0000016f:     TAG_variable [6]  
                 AT_name( "QCLIPBOARD" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1139 )
                 AT_location( [0x0000000000005148] )

0x00000185:     TAG_variable [6]  
                 AT_name( "QCadstyle" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1141 )
                 AT_location( [0x0000000000005150] )

0x0000019b:     TAG_variable [6]  
                 AT_name( "QCadvertised_binding" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1143 )
                 AT_location( [0x0000000000005158] )

0x000001b1:     TAG_variable [6]  
                 AT_name( "QCalign_to" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1145 )
                 AT_location( [0x0000000000005160] )

0x000001c7:     TAG_variable [6]  
                 AT_name( "QCantialias" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1147 )
                 AT_location( [0x0000000000005168] )

0x000001dd:     TAG_variable [6]  
                 AT_name( "QCascent" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1149 )
                 AT_location( [0x0000000000005170] )

0x000001f3:     TAG_variable [6]  
                 AT_name( "QCascii_compatible_p" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1151 )
                 AT_location( [0x0000000000005178] )

0x00000209:     TAG_variable [6]  
                 AT_name( "QCavgwidth" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1153 )
                 AT_location( [0x0000000000005180] )

0x0000021f:     TAG_variable [6]  
                 AT_name( "QCbackground" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1155 )
                 AT_location( [0x0000000000005188] )

0x00000235:     TAG_variable [6]  
                 AT_name( "QCbold" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1157 )
                 AT_location( [0x0000000000005190] )

0x0000024b:     TAG_variable [6]  
                 AT_name( "QCbox" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1159 )
                 AT_location( [0x0000000000005198] )

0x00000261:     TAG_variable [6]  
                 AT_name( "QCbuffer" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1161 )
                 AT_location( [0x00000000000051a0] )

0x00000277:     TAG_variable [6]  
                 AT_name( "QCbutton" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1163 )
                 AT_location( [0x00000000000051a8] )

0x0000028d:     TAG_variable [6]  
                 AT_name( "QCbytesize" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1165 )
                 AT_location( [0x00000000000051b0] )

0x000002a3:     TAG_variable [6]  
                 AT_name( "QCcategory" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1167 )
                 AT_location( [0x00000000000051b8] )

0x000002b9:     TAG_variable [6]  
                 AT_name( "QCcipher_aead_capable" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1169 )
                 AT_location( [0x00000000000051c0] )

0x000002cf:     TAG_variable [6]  
                 AT_name( "QCcipher_blocksize" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1171 )
                 AT_location( [0x00000000000051c8] )

0x000002e5:     TAG_variable [6]  
                 AT_name( "QCcipher_id" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1173 )
                 AT_location( [0x00000000000051d0] )

0x000002fb:     TAG_variable [6]  
                 AT_name( "QCcipher_ivsize" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1175 )
                 AT_location( [0x00000000000051d8] )

0x00000311:     TAG_variable [6]  
                 AT_name( "QCcipher_keysize" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1177 )
                 AT_location( [0x00000000000051e0] )

0x00000327:     TAG_variable [6]  
                 AT_name( "QCcipher_tagsize" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1179 )
                 AT_location( [0x00000000000051e8] )

0x0000033d:     TAG_variable [6]  
                 AT_name( "QCcoding" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1181 )
                 AT_location( [0x00000000000051f0] )

0x00000353:     TAG_variable [6]  
                 AT_name( "QCcolor" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1183 )
                 AT_location( [0x00000000000051f8] )

0x00000369:     TAG_variable [6]  
                 AT_name( "QCcolor_adjustment" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1185 )
                 AT_location( [0x0000000000005200] )

0x0000037f:     TAG_variable [6]  
                 AT_name( "QCcolor_symbols" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1187 )
                 AT_location( [0x0000000000005208] )

0x00000395:     TAG_variable [6]  
                 AT_name( "QCcombining_capability" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1189 )
                 AT_location( [0x0000000000005210] )

0x000003ab:     TAG_variable [6]  
                 AT_name( "QCcommand" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1191 )
                 AT_location( [0x0000000000005218] )

0x000003c1:     TAG_variable [6]  
                 AT_name( "QCcomplete_negotiation" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1193 )
                 AT_location( [0x0000000000005220] )

0x000003d7:     TAG_variable [6]  
                 AT_name( "QCconnection_type" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1195 )
                 AT_location( [0x0000000000005228] )

0x000003ed:     TAG_variable [6]  
                 AT_name( "QCconversion" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1197 )
                 AT_location( [0x0000000000005230] )

0x00000403:     TAG_variable [6]  
                 AT_name( "QCcrlfiles" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1199 )
                 AT_location( [0x0000000000005238] )

0x00000419:     TAG_variable [6]  
                 AT_name( "QCcrop" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1201 )
                 AT_location( [0x0000000000005240] )

0x0000042f:     TAG_variable [6]  
                 AT_name( "QCdata" )
                 AT_type( {0x000000c3} ( const Lisp_Object ) )
                 AT_external( true )
                 AT_decl_file( "/Users/pieter/Projects/EMACS/src/globals.h" )
                 AT_decl_line( 1203 )
                 AT_location( [0x0000000000005248] )

0x00000445:     TAG_variable [6]